=== modified file 'HISTORY'
--- HISTORY	2011-12-02 14:46:33 +0000
+++ HISTORY	2012-02-25 11:17:15 +0000
@@ -17,6 +17,170 @@
    review, so each item is truly a community effort.
      __________________________________________________________________
 
+                               Release 8.4.11
+
+     Release Date: 2012-02-27
+
+   This release contains a variety of fixes from 8.4.10. For information
+   about new features in the 8.4 major release, see the Section called
+   Release 8.4.
+     __________________________________________________________________
+
+Migration to Version 8.4.11
+
+   A dump/restore is not required for those running 8.4.X.
+
+   However, if you are upgrading from a version earlier than 8.4.10, see
+   the release notes for 8.4.10.
+     __________________________________________________________________
+
+Changes
+
+     * Require execute permission on the trigger function for "CREATE
+       TRIGGER" (Robert Haas)
+       This missing check could allow another user to execute a trigger
+       function with forged input data, by installing it on a table he
+       owns. This is only of significance for trigger functions marked
+       SECURITY DEFINER, since otherwise trigger functions run as the
+       table owner anyway. (CVE-2012-0866)
+     * Remove arbitrary limitation on length of common name in SSL
+       certificates (Heikki Linnakangas)
+       Both libpq and the server truncated the common name extracted from
+       an SSL certificate at 32 bytes. Normally this would cause nothing
+       worse than an unexpected verification failure, but there are some
+       rather-implausible scenarios in which it might allow one
+       certificate holder to impersonate another. The victim would have to
+       have a common name exactly 32 bytes long, and the attacker would
+       have to persuade a trusted CA to issue a certificate in which the
+       common name has that string as a prefix. Impersonating a server
+       would also require some additional exploit to redirect client
+       connections. (CVE-2012-0867)
+     * Convert newlines to spaces in names written in pg_dump comments
+       (Robert Haas)
+       pg_dump was incautious about sanitizing object names that are
+       emitted within SQL comments in its output script. A name containing
+       a newline would at least render the script syntactically incorrect.
+       Maliciously crafted object names could present a SQL injection risk
+       when the script is reloaded. (CVE-2012-0868)
+     * Fix btree index corruption from insertions concurrent with
+       vacuuming (Tom Lane)
+       An index page split caused by an insertion could sometimes cause a
+       concurrently-running "VACUUM" to miss removing index entries that
+       it should remove. After the corresponding table rows are removed,
+       the dangling index entries would cause errors (such as "could not
+       read block N in file ...") or worse, silently wrong query results
+       after unrelated rows are re-inserted at the now-free table
+       locations. This bug has been present since release 8.2, but occurs
+       so infrequently that it was not diagnosed until now. If you have
+       reason to suspect that it has happened in your database, reindexing
+       the affected index will fix things.
+     * Update per-column permissions, not only per-table permissions, when
+       changing table owner (Tom Lane)
+       Failure to do this meant that any previously granted column
+       permissions were still shown as having been granted by the old
+       owner. This meant that neither the new owner nor a superuser could
+       revoke the now-untraceable-to-table-owner permissions.
+     * Allow non-existent values for some settings in "ALTER USER/DATABASE
+       SET" (Heikki Linnakangas)
+       Allow default_text_search_config, default_tablespace, and
+       temp_tablespaces to be set to names that are not known. This is
+       because they might be known in another database where the setting
+       is intended to be used, or for the tablespace cases because the
+       tablespace might not be created yet. The same issue was previously
+       recognized for search_path, and these settings now act like that
+       one.
+     * Avoid crashing when we have problems deleting table files
+       post-commit (Tom Lane)
+       Dropping a table should lead to deleting the underlying disk files
+       only after the transaction commits. In event of failure then (for
+       instance, because of wrong file permissions) the code is supposed
+       to just emit a warning message and go on, since it's too late to
+       abort the transaction. This logic got broken as of release 8.4,
+       causing such situations to result in a PANIC and an unrestartable
+       database.
+     * Track the OID counter correctly during WAL replay, even when it
+       wraps around (Tom Lane)
+       Previously the OID counter would remain stuck at a high value until
+       the system exited replay mode. The practical consequences of that
+       are usually nil, but there are scenarios wherein a standby server
+       that's been promoted to master might take a long time to advance
+       the OID counter to a reasonable value once values are needed.
+     * Fix regular expression back-references with * attached (Tom Lane)
+       Rather than enforcing an exact string match, the code would
+       effectively accept any string that satisfies the pattern
+       sub-expression referenced by the back-reference symbol.
+       A similar problem still afflicts back-references that are embedded
+       in a larger quantified expression, rather than being the immediate
+       subject of the quantifier. This will be addressed in a future
+       PostgreSQL release.
+     * Fix recently-introduced memory leak in processing of inet/cidr
+       values (Heikki Linnakangas)
+       A patch in the December 2011 releases of PostgreSQL caused memory
+       leakage in these operations, which could be significant in
+       scenarios such as building a btree index on such a column.
+     * Fix dangling pointer after "CREATE TABLE AS"/"SELECT INTO" in a
+       SQL-language function (Tom Lane)
+       In most cases this only led to an assertion failure in
+       assert-enabled builds, but worse consequences seem possible.
+     * Avoid double close of file handle in syslogger on Windows (MauMau)
+       Ordinarily this error was invisible, but it would cause an
+       exception when running on a debug version of Windows.
+     * Fix I/O-conversion-related memory leaks in plpgsql (Andres Freund,
+       Jan Urbanski, Tom Lane)
+       Certain operations would leak memory until the end of the current
+       function.
+     * Improve pg_dump's handling of inherited table columns (Tom Lane)
+       pg_dump mishandled situations where a child column has a different
+       default expression than its parent column. If the default is
+       textually identical to the parent's default, but not actually the
+       same (for instance, because of schema search path differences) it
+       would not be recognized as different, so that after dump and
+       restore the child would be allowed to inherit the parent's default.
+       Child columns that are NOT NULL where their parent is not could
+       also be restored subtly incorrectly.
+     * Fix pg_restore's direct-to-database mode for INSERT-style table
+       data (Tom Lane)
+       Direct-to-database restores from archive files made with
+       "--inserts" or "--column-inserts" options fail when using
+       pg_restore from a release dated September or December 2011, as a
+       result of an oversight in a fix for another problem. The archive
+       file itself is not at fault, and text-mode output is okay.
+     * Allow AT option in ecpg DEALLOCATE statements (Michael Meskes)
+       The infrastructure to support this has been there for awhile, but
+       through an oversight there was still an error check rejecting the
+       case.
+     * Fix error in "contrib/intarray"'s int[] & int[] operator (Guillaume
+       Lelarge)
+       If the smallest integer the two input arrays have in common is 1,
+       and there are smaller values in either array, then 1 would be
+       incorrectly omitted from the result.
+     * Fix error detection in "contrib/pgcrypto"'s encrypt_iv() and
+       decrypt_iv() (Marko Kreen)
+       These functions failed to report certain types of invalid-input
+       errors, and would instead return random garbage values for
+       incorrect input.
+     * Fix one-byte buffer overrun in "contrib/test_parser" (Paul Guyot)
+       The code would try to read one more byte than it should, which
+       would crash in corner cases. Since "contrib/test_parser" is only
+       example code, this is not a security issue in itself, but bad
+       example code is still bad.
+     * Use __sync_lock_test_and_set() for spinlocks on ARM, if available
+       (Martin Pitt)
+       This function replaces our previous use of the SWPB instruction,
+       which is deprecated and not available on ARMv6 and later. Reports
+       suggest that the old code doesn't fail in an obvious way on recent
+       ARM boards, but simply doesn't interlock concurrent accesses,
+       leading to bizarre failures in multiprocess operation.
+     * Use "-fexcess-precision=standard" option when building with gcc
+       versions that accept it (Andrew Dunstan)
+       This prevents assorted scenarios wherein recent versions of gcc
+       will produce creative results.
+     * Allow use of threaded Python on FreeBSD (Chris Rees)
+       Our configure script previously believed that this combination
+       wouldn't work; but FreeBSD fixed the problem, so remove that error
+       check.
+     __________________________________________________________________
+
                                Release 8.4.10
 
      Release Date: 2011-12-05
@@ -2388,6 +2552,135 @@
        unsafe to use a symlink (Simon)
      __________________________________________________________________
 
+                               Release 8.3.18
+
+     Release Date: 2012-02-27
+
+   This release contains a variety of fixes from 8.3.17. For information
+   about new features in the 8.3 major release, see the Section called
+   Release 8.3.
+     __________________________________________________________________
+
+Migration to Version 8.3.18
+
+   A dump/restore is not required for those running 8.3.X.
+
+   However, if you are upgrading from a version earlier than 8.3.17, see
+   the release notes for 8.3.17.
+     __________________________________________________________________
+
+Changes
+
+     * Require execute permission on the trigger function for "CREATE
+       TRIGGER" (Robert Haas)
+       This missing check could allow another user to execute a trigger
+       function with forged input data, by installing it on a table he
+       owns. This is only of significance for trigger functions marked
+       SECURITY DEFINER, since otherwise trigger functions run as the
+       table owner anyway. (CVE-2012-0866)
+     * Convert newlines to spaces in names written in pg_dump comments
+       (Robert Haas)
+       pg_dump was incautious about sanitizing object names that are
+       emitted within SQL comments in its output script. A name containing
+       a newline would at least render the script syntactically incorrect.
+       Maliciously crafted object names could present a SQL injection risk
+       when the script is reloaded. (CVE-2012-0868)
+     * Fix btree index corruption from insertions concurrent with
+       vacuuming (Tom Lane)
+       An index page split caused by an insertion could sometimes cause a
+       concurrently-running "VACUUM" to miss removing index entries that
+       it should remove. After the corresponding table rows are removed,
+       the dangling index entries would cause errors (such as "could not
+       read block N in file ...") or worse, silently wrong query results
+       after unrelated rows are re-inserted at the now-free table
+       locations. This bug has been present since release 8.2, but occurs
+       so infrequently that it was not diagnosed until now. If you have
+       reason to suspect that it has happened in your database, reindexing
+       the affected index will fix things.
+     * Allow non-existent values for some settings in "ALTER USER/DATABASE
+       SET" (Heikki Linnakangas)
+       Allow default_text_search_config, default_tablespace, and
+       temp_tablespaces to be set to names that are not known. This is
+       because they might be known in another database where the setting
+       is intended to be used, or for the tablespace cases because the
+       tablespace might not be created yet. The same issue was previously
+       recognized for search_path, and these settings now act like that
+       one.
+     * Track the OID counter correctly during WAL replay, even when it
+       wraps around (Tom Lane)
+       Previously the OID counter would remain stuck at a high value until
+       the system exited replay mode. The practical consequences of that
+       are usually nil, but there are scenarios wherein a standby server
+       that's been promoted to master might take a long time to advance
+       the OID counter to a reasonable value once values are needed.
+     * Fix regular expression back-references with * attached (Tom Lane)
+       Rather than enforcing an exact string match, the code would
+       effectively accept any string that satisfies the pattern
+       sub-expression referenced by the back-reference symbol.
+       A similar problem still afflicts back-references that are embedded
+       in a larger quantified expression, rather than being the immediate
+       subject of the quantifier. This will be addressed in a future
+       PostgreSQL release.
+     * Fix recently-introduced memory leak in processing of inet/cidr
+       values (Heikki Linnakangas)
+       A patch in the December 2011 releases of PostgreSQL caused memory
+       leakage in these operations, which could be significant in
+       scenarios such as building a btree index on such a column.
+     * Avoid double close of file handle in syslogger on Windows (MauMau)
+       Ordinarily this error was invisible, but it would cause an
+       exception when running on a debug version of Windows.
+     * Fix I/O-conversion-related memory leaks in plpgsql (Andres Freund,
+       Jan Urbanski, Tom Lane)
+       Certain operations would leak memory until the end of the current
+       function.
+     * Improve pg_dump's handling of inherited table columns (Tom Lane)
+       pg_dump mishandled situations where a child column has a different
+       default expression than its parent column. If the default is
+       textually identical to the parent's default, but not actually the
+       same (for instance, because of schema search path differences) it
+       would not be recognized as different, so that after dump and
+       restore the child would be allowed to inherit the parent's default.
+       Child columns that are NOT NULL where their parent is not could
+       also be restored subtly incorrectly.
+     * Fix pg_restore's direct-to-database mode for INSERT-style table
+       data (Tom Lane)
+       Direct-to-database restores from archive files made with
+       "--inserts" or "--column-inserts" options fail when using
+       pg_restore from a release dated September or December 2011, as a
+       result of an oversight in a fix for another problem. The archive
+       file itself is not at fault, and text-mode output is okay.
+     * Fix error in "contrib/intarray"'s int[] & int[] operator (Guillaume
+       Lelarge)
+       If the smallest integer the two input arrays have in common is 1,
+       and there are smaller values in either array, then 1 would be
+       incorrectly omitted from the result.
+     * Fix error detection in "contrib/pgcrypto"'s encrypt_iv() and
+       decrypt_iv() (Marko Kreen)
+       These functions failed to report certain types of invalid-input
+       errors, and would instead return random garbage values for
+       incorrect input.
+     * Fix one-byte buffer overrun in "contrib/test_parser" (Paul Guyot)
+       The code would try to read one more byte than it should, which
+       would crash in corner cases. Since "contrib/test_parser" is only
+       example code, this is not a security issue in itself, but bad
+       example code is still bad.
+     * Use __sync_lock_test_and_set() for spinlocks on ARM, if available
+       (Martin Pitt)
+       This function replaces our previous use of the SWPB instruction,
+       which is deprecated and not available on ARMv6 and later. Reports
+       suggest that the old code doesn't fail in an obvious way on recent
+       ARM boards, but simply doesn't interlock concurrent accesses,
+       leading to bizarre failures in multiprocess operation.
+     * Use "-fexcess-precision=standard" option when building with gcc
+       versions that accept it (Andrew Dunstan)
+       This prevents assorted scenarios wherein recent versions of gcc
+       will produce creative results.
+     * Allow use of threaded Python on FreeBSD (Chris Rees)
+       Our configure script previously believed that this combination
+       wouldn't work; but FreeBSD fixed the problem, so remove that error
+       check.
+     __________________________________________________________________
+
                                Release 8.3.17
 
      Release Date: 2011-12-05

=== modified file 'INSTALL'
--- INSTALL	2011-12-02 14:46:33 +0000
+++ INSTALL	2012-02-25 11:17:15 +0000
@@ -173,7 +173,7 @@
        keys), then use the "-o" option when running pg_dumpall.
        To make the backup, you can use the pg_dumpall command from the
        version you are currently running. For best results, however, try
-       to use the pg_dumpall command from PostgreSQL 8.4.10, since this
+       to use the pg_dumpall command from PostgreSQL 8.4.11, since this
        version contains bug fixes and improvements over older versions.
        While this advice might seem idiosyncratic since you haven't
        installed the new version yet, it is advisable to follow it if you

=== modified file 'config/python.m4'
--- config/python.m4	2009-05-19 14:03:37 +0000
+++ config/python.m4	2012-02-25 11:17:15 +0000
@@ -78,13 +78,13 @@
 AC_SUBST(python_libspec)[]dnl
 AC_SUBST(python_additional_libs)[]dnl
 
-# threaded python is not supported on bsd's
+# threaded python is not supported on OpenBSD
 AC_MSG_CHECKING(whether Python is compiled with thread support)
 pythreads=`${PYTHON} -c "import sys; print(int('thread' in sys.builtin_module_names))"`
 if test "$pythreads" = "1"; then
   AC_MSG_RESULT(yes)
   case $host_os in
-  openbsd*|freebsd*)
+  openbsd*)
     AC_MSG_ERROR([threaded Python not supported on this platform])
     ;;
   esac

=== modified file 'configure'
--- configure	2011-12-02 14:46:33 +0000
+++ configure	2012-02-25 11:17:15 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for PostgreSQL 8.4.10.
+# Generated by GNU Autoconf 2.61 for PostgreSQL 8.4.11.
 #
 # Report bugs to <pgsql-bugs@postgresql.org>.
 #
@@ -576,8 +576,8 @@
 # Identity of this package.
 PACKAGE_NAME='PostgreSQL'
 PACKAGE_TARNAME='postgresql'
-PACKAGE_VERSION='8.4.10'
-PACKAGE_STRING='PostgreSQL 8.4.10'
+PACKAGE_VERSION='8.4.11'
+PACKAGE_STRING='PostgreSQL 8.4.11'
 PACKAGE_BUGREPORT='pgsql-bugs@postgresql.org'
 
 ac_unique_file="src/backend/access/common/heaptuple.c"
@@ -1289,7 +1289,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures PostgreSQL 8.4.10 to adapt to many kinds of systems.
+\`configure' configures PostgreSQL 8.4.11 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1354,7 +1354,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of PostgreSQL 8.4.10:";;
+     short | recursive ) echo "Configuration of PostgreSQL 8.4.11:";;
    esac
   cat <<\_ACEOF
 
@@ -1499,7 +1499,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-PostgreSQL configure 8.4.10
+PostgreSQL configure 8.4.11
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1515,7 +1515,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by PostgreSQL $as_me 8.4.10, which was
+It was created by PostgreSQL $as_me 8.4.11, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -4056,6 +4056,56 @@
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 
+  # Disable FP optimizations that cause various errors on gcc 4.5+ or maybe 4.6+
+  { echo "$as_me:$LINENO: checking if $CC supports -fexcess-precision=standard" >&5
+echo $ECHO_N "checking if $CC supports -fexcess-precision=standard... $ECHO_C" >&6; }
+pgac_save_CFLAGS=$CFLAGS
+CFLAGS="$pgac_save_CFLAGS -fexcess-precision=standard"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	CFLAGS="$pgac_save_CFLAGS"
+                    { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
 elif test "$ICC" = yes; then
   # Intel's compiler has a bug/misoptimization in checking for
   # division by NAN (NaN == 0), -mp1 fixes it, so add it to the CFLAGS.
@@ -6923,7 +6973,7 @@
 echo "${ECHO_T}${python_libspec} ${python_additional_libs}" >&6; }
 
 
-# threaded python is not supported on bsd's
+# threaded python is not supported on OpenBSD
 { echo "$as_me:$LINENO: checking whether Python is compiled with thread support" >&5
 echo $ECHO_N "checking whether Python is compiled with thread support... $ECHO_C" >&6; }
 pythreads=`${PYTHON} -c "import sys; print(int('thread' in sys.builtin_module_names))"`
@@ -6931,7 +6981,7 @@
   { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
   case $host_os in
-  openbsd*|freebsd*)
+  openbsd*)
     { { echo "$as_me:$LINENO: error: threaded Python not supported on this platform" >&5
 echo "$as_me: error: threaded Python not supported on this platform" >&2;}
    { (exit 1); exit 1; }; }
@@ -20283,6 +20333,67 @@
 done
 
 
+{ echo "$as_me:$LINENO: checking for builtin locking functions" >&5
+echo $ECHO_N "checking for builtin locking functions... $ECHO_C" >&6; }
+if test "${pgac_cv_gcc_int_atomics+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+int lock = 0;
+   __sync_lock_test_and_set(&lock, 1);
+   __sync_lock_release(&lock);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  pgac_cv_gcc_int_atomics="yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	pgac_cv_gcc_int_atomics="no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $pgac_cv_gcc_int_atomics" >&5
+echo "${ECHO_T}$pgac_cv_gcc_int_atomics" >&6; }
+if test x"$pgac_cv_gcc_int_atomics" = x"yes"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GCC_INT_ATOMICS 1
+_ACEOF
+
+fi
+
 
 #
 # Pthreads
@@ -27814,7 +27925,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by PostgreSQL $as_me 8.4.10, which was
+This file was extended by PostgreSQL $as_me 8.4.11, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -27871,7 +27982,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-PostgreSQL config.status 8.4.10
+PostgreSQL config.status 8.4.11
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 

=== modified file 'configure.in'
--- configure.in	2011-12-02 14:46:33 +0000
+++ configure.in	2012-02-25 11:17:15 +0000
@@ -17,7 +17,7 @@
 dnl
 m4_pattern_forbid(^PGAC_)dnl to catch undefined macros
 
-AC_INIT([PostgreSQL], [8.4.10], [pgsql-bugs@postgresql.org])
+AC_INIT([PostgreSQL], [8.4.11], [pgsql-bugs@postgresql.org])
 
 m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.61], [], [m4_fatal([Autoconf version 2.61 is required.
 Untested combinations of 'autoconf' and PostgreSQL versions are not
@@ -433,6 +433,8 @@
   PGAC_PROG_CC_CFLAGS_OPT([-fno-strict-aliasing])
   # Disable optimizations that assume no overflow; needed for gcc 4.3+
   PGAC_PROG_CC_CFLAGS_OPT([-fwrapv])
+  # Disable FP optimizations that cause various errors on gcc 4.5+ or maybe 4.6+
+  PGAC_PROG_CC_CFLAGS_OPT([-fexcess-precision=standard])
 elif test "$ICC" = yes; then
   # Intel's compiler has a bug/misoptimization in checking for
   # division by NAN (NaN == 0), -mp1 fixes it, so add it to the CFLAGS.
@@ -1382,6 +1384,17 @@
                [AC_CHECK_FUNCS(on_exit, [],
                [AC_MSG_ERROR([neither atexit() nor on_exit() found])])])
 
+AC_CACHE_CHECK([for builtin locking functions], pgac_cv_gcc_int_atomics,
+[AC_TRY_LINK([],
+  [int lock = 0;
+   __sync_lock_test_and_set(&lock, 1);
+   __sync_lock_release(&lock);],
+  [pgac_cv_gcc_int_atomics="yes"],
+  [pgac_cv_gcc_int_atomics="no"])])
+if test x"$pgac_cv_gcc_int_atomics" = x"yes"; then
+  AC_DEFINE(HAVE_GCC_INT_ATOMICS, 1, [Define to 1 if you have __sync_lock_test_and_set(int *) and friends.])
+fi
+
 
 #
 # Pthreads

=== modified file 'contrib/intarray/_int_tool.c'
--- contrib/intarray/_int_tool.c	2009-07-01 17:41:41 +0000
+++ contrib/intarray/_int_tool.c	2012-02-25 11:17:15 +0000
@@ -146,7 +146,8 @@
 			   *db,
 			   *dr;
 	int			i,
-				j;
+				j,
+				k;
 
 	CHECKARRVALID(a);
 	CHECKARRVALID(b);
@@ -161,27 +162,29 @@
 	r = new_intArrayType(Min(na, nb));
 	dr = ARRPTR(r);
 
-	i = j = 0;
+	i = j = k = 0;
 	while (i < na && j < nb)
+	{
 		if (da[i] < db[j])
 			i++;
 		else if (da[i] == db[j])
 		{
-			if (i + j == 0 || (i + j > 0 && *(dr - 1) != db[j]))
-				*dr++ = db[j];
+			if (k == 0 || dr[k - 1] != db[j])
+				dr[k++] = db[j];
 			i++;
 			j++;
 		}
 		else
 			j++;
+	}
 
-	if ((dr - ARRPTR(r)) == 0)
+	if (k == 0)
 	{
 		pfree(r);
 		return new_intArrayType(0);
 	}
 	else
-		return resize_intArrayType(r, dr - ARRPTR(r));
+		return resize_intArrayType(r, k);
 }
 
 void

=== modified file 'contrib/intarray/expected/_int.out'
--- contrib/intarray/expected/_int.out	2009-03-20 12:00:13 +0000
+++ contrib/intarray/expected/_int.out	2012-02-25 11:17:15 +0000
@@ -143,6 +143,12 @@
  {623}
 (1 row)
 
+SELECT '{-1,3,1}'::int[] & '{1,2}';
+ ?column? 
+----------
+ {1}
+(1 row)
+
 --test query_int
 SELECT '1'::query_int;
  query_int 

=== modified file 'contrib/intarray/sql/_int.sql'
--- contrib/intarray/sql/_int.sql	2009-03-20 12:00:13 +0000
+++ contrib/intarray/sql/_int.sql	2012-02-25 11:17:15 +0000
@@ -32,6 +32,7 @@
 SELECT '{123,623,445}'::int[] | 1623;
 SELECT '{123,623,445}'::int[] | '{1623,623}';
 SELECT '{123,623,445}'::int[] & '{1623,623}';
+SELECT '{-1,3,1}'::int[] & '{1,2}';
 
 
 --test query_int

=== modified file 'contrib/pgcrypto/pgcrypto.c'
--- contrib/pgcrypto/pgcrypto.c	2009-05-19 14:03:37 +0000
+++ contrib/pgcrypto/pgcrypto.c	2012-02-25 11:17:15 +0000
@@ -342,8 +342,8 @@
 	err = px_combo_init(c, (uint8 *) VARDATA(key), klen,
 						(uint8 *) VARDATA(iv), ivlen);
 	if (!err)
-		px_combo_encrypt(c, (uint8 *) VARDATA(data), dlen,
-						 (uint8 *) VARDATA(res), &rlen);
+		err = px_combo_encrypt(c, (uint8 *) VARDATA(data), dlen,
+							   (uint8 *) VARDATA(res), &rlen);
 
 	px_combo_free(c);
 
@@ -396,8 +396,8 @@
 	err = px_combo_init(c, (uint8 *) VARDATA(key), klen,
 						(uint8 *) VARDATA(iv), ivlen);
 	if (!err)
-		px_combo_decrypt(c, (uint8 *) VARDATA(data), dlen,
-						 (uint8 *) VARDATA(res), &rlen);
+		err = px_combo_decrypt(c, (uint8 *) VARDATA(data), dlen,
+							   (uint8 *) VARDATA(res), &rlen);
 
 	px_combo_free(c);
 

=== modified file 'contrib/test_parser/test_parser.c'
--- contrib/test_parser/test_parser.c	2009-07-01 17:41:41 +0000
+++ contrib/test_parser/test_parser.c	2012-02-25 11:17:15 +0000
@@ -73,31 +73,32 @@
 	ParserState *pst = (ParserState *) PG_GETARG_POINTER(0);
 	char	  **t = (char **) PG_GETARG_POINTER(1);
 	int		   *tlen = (int *) PG_GETARG_POINTER(2);
+	int			startpos = pst->pos;
 	int			type;
 
-	*tlen = pst->pos;
 	*t = pst->buffer + pst->pos;
 
-	if ((pst->buffer)[pst->pos] == ' ')
+	if (pst->pos < pst->len &&
+		(pst->buffer)[pst->pos] == ' ')
 	{
 		/* blank type */
 		type = 12;
-		/* go to the next non-white-space character */
-		while ((pst->buffer)[pst->pos] == ' ' &&
-			   pst->pos < pst->len)
+		/* go to the next non-space character */
+		while (pst->pos < pst->len &&
+			   (pst->buffer)[pst->pos] == ' ')
 			(pst->pos)++;
 	}
 	else
 	{
 		/* word type */
 		type = 3;
-		/* go to the next white-space character */
-		while ((pst->buffer)[pst->pos] != ' ' &&
-			   pst->pos < pst->len)
+		/* go to the next space character */
+		while (pst->pos < pst->len &&
+			   (pst->buffer)[pst->pos] != ' ')
 			(pst->pos)++;
 	}
 
-	*tlen = pst->pos - *tlen;
+	*tlen = pst->pos - startpos;
 
 	/* we are finished if (*tlen == 0) */
 	if (*tlen == 0)

=== modified file 'debian/changelog'
--- debian/changelog	2011-12-02 14:46:33 +0000
+++ debian/changelog	2012-02-25 11:17:15 +0000
@@ -1,3 +1,142 @@
+postgresql-8.4 (8.4.11-1) unstable; urgency=medium
+
+  * Urgency medium due to security fixes.
+  * New upstream bug fix/security release:
+    - Require execute permission on the trigger function for "CREATE
+      TRIGGER".
+      This missing check could allow another user to execute a trigger
+      function with forged input data, by installing it on a table he
+      owns. This is only of significance for trigger functions marked
+      SECURITY DEFINER, since otherwise trigger functions run as the
+      table owner anyway. (CVE-2012-0866)
+    - Remove arbitrary limitation on length of common name in SSL
+      certificates.
+      Both libpq and the server truncated the common name extracted from
+      an SSL certificate at 32 bytes. Normally this would cause nothing
+      worse than an unexpected verification failure, but there are some
+      rather-implausible scenarios in which it might allow one
+      certificate holder to impersonate another. The victim would have to
+      have a common name exactly 32 bytes long, and the attacker would
+      have to persuade a trusted CA to issue a certificate in which the
+      common name has that string as a prefix. Impersonating a server
+      would also require some additional exploit to redirect client
+      connections. (CVE-2012-0867)
+    - Convert newlines to spaces in names written in pg_dump comments.
+      pg_dump was incautious about sanitizing object names that are
+      emitted within SQL comments in its output script. A name containing
+      a newline would at least render the script syntactically incorrect.
+      Maliciously crafted object names could present a SQL injection risk
+      when the script is reloaded. (CVE-2012-0868)
+    - Fix btree index corruption from insertions concurrent with
+      vacuuming.
+      An index page split caused by an insertion could sometimes cause a
+      concurrently-running "VACUUM" to miss removing index entries that
+      it should remove. After the corresponding table rows are removed,
+      the dangling index entries would cause errors (such as "could not
+      read block N in file ...") or worse, silently wrong query results
+      after unrelated rows are re-inserted at the now-free table
+      locations. This bug has been present since release 8.2, but occurs
+      so infrequently that it was not diagnosed until now. If you have
+      reason to suspect that it has happened in your database, reindexing
+      the affected index will fix things.
+    - Update per-column permissions, not only per-table permissions, when
+      changing table owner.
+      Failure to do this meant that any previously granted column
+      permissions were still shown as having been granted by the old
+      owner. This meant that neither the new owner nor a superuser could
+      revoke the now-untraceable-to-table-owner permissions.
+    - Allow non-existent values for some settings in "ALTER USER/DATABASE
+      SET".
+      Allow default_text_search_config, default_tablespace, and
+      temp_tablespaces to be set to names that are not known. This is
+      because they might be known in another database where the setting
+      is intended to be used, or for the tablespace cases because the
+      tablespace might not be created yet. The same issue was previously
+      recognized for search_path, and these settings now act like that
+      one.
+    - Avoid crashing when we have problems deleting table files
+      post-commit.
+      Dropping a table should lead to deleting the underlying disk files
+      only after the transaction commits. In event of failure then (for
+      instance, because of wrong file permissions) the code is supposed
+      to just emit a warning message and go on, since it's too late to
+      abort the transaction. This logic got broken as of release 8.4,
+      causing such situations to result in a PANIC and an unrestartable
+      database.
+    - Track the OID counter correctly during WAL replay, even when it
+      wraps around.
+      Previously the OID counter would remain stuck at a high value until
+      the system exited replay mode. The practical consequences of that
+      are usually nil, but there are scenarios wherein a standby server
+      that's been promoted to master might take a long time to advance
+      the OID counter to a reasonable value once values are needed.
+    - Fix regular expression back-references with - attached.
+      Rather than enforcing an exact string match, the code would
+      effectively accept any string that satisfies the pattern
+      sub-expression referenced by the back-reference symbol.
+      A similar problem still afflicts back-references that are embedded
+      in a larger quantified expression, rather than being the immediate
+      subject of the quantifier. This will be addressed in a future
+      PostgreSQL release.
+    - Fix recently-introduced memory leak in processing of inet/cidr
+      values.
+    - Fix dangling pointer after "CREATE TABLE AS"/"SELECT INTO" in a
+      SQL-language function.
+      In most cases this only led to an assertion failure in
+      assert-enabled builds, but worse consequences seem possible.
+    - Fix I/O-conversion-related memory leaks in plpgsql.
+    - Improve pg_dump's handling of inherited table columns.
+      pg_dump mishandled situations where a child column has a different
+      default expression than its parent column. If the default is
+      textually identical to the parent's default, but not actually the
+      same (for instance, because of schema search path differences) it
+      would not be recognized as different, so that after dump and
+      restore the child would be allowed to inherit the parent's default.
+      Child columns that are NOT NULL where their parent is not could
+      also be restored subtly incorrectly.
+    - Fix pg_restore's direct-to-database mode for INSERT-style table
+      data.
+      Direct-to-database restores from archive files made with
+      "--inserts" or "--column-inserts" options fail when using
+      pg_restore from a release dated September or December 2011, as a
+      result of an oversight in a fix for another problem. The archive
+      file itself is not at fault, and text-mode output is okay.
+    - Allow AT option in ecpg DEALLOCATE statements.
+      The infrastructure to support this has been there for awhile, but
+      through an oversight there was still an error check rejecting the
+      case.
+    - Fix error in "contrib/intarray"'s int[] & int[] operator.
+      If the smallest integer the two input arrays have in common is 1,
+      and there are smaller values in either array, then 1 would be
+      incorrectly omitted from the result.
+    - Fix error detection in "contrib/pgcrypto"'s encrypt_iv() and
+      decrypt_iv().
+      These functions failed to report certain types of invalid-input
+      errors, and would instead return random garbage values for
+      incorrect input.
+    - Fix one-byte buffer overrun in "contrib/test_parser".
+      The code would try to read one more byte than it should, which
+      would crash in corner cases. Since "contrib/test_parser" is only
+      example code, this is not a security issue in itself, but bad
+      example code is still bad.
+    - Use __sync_lock_test_and_set() for spinlocks on ARM, if available.
+      This function replaces our previous use of the SWPB instruction,
+      which is deprecated and not available on ARMv6 and later. Reports
+      suggest that the old code doesn't fail in an obvious way on recent
+      ARM boards, but simply doesn't interlock concurrent accesses,
+      leading to bizarre failures in multiprocess operation.
+    - Use "-fexcess-precision=standard" option when building with gcc
+      versions that accept it.
+      This prevents assorted scenarios wherein recent versions of gcc
+      will produce creative results.
+    - Allow use of threaded Python on FreeBSD.
+      Our configure script previously believed that this combination
+      wouldn't work; but FreeBSD fixed the problem, so remove that error
+      check.
+  * Drop 04-armel-tas.patch, applied upstream.
+
+ -- Martin Pitt <mpitt@debian.org>  Sat, 25 Feb 2012 11:17:15 +0100
+
 postgresql-8.4 (8.4.10-1) unstable; urgency=low
 
   * New upstream bug fix release:

=== removed file 'debian/patches/04-armel-tas.patch'
--- debian/patches/04-armel-tas.patch	2010-01-19 23:25:34 +0000
+++ debian/patches/04-armel-tas.patch	1970-01-01 00:00:00 +0000
@@ -1,21 +0,0 @@
-Description: use gcc intrinsics rather than assembler to implement tas
-Author: Alexander Sack <asac@ubuntu.com>
-Bug-Ubuntu: https://launchpad.net/bugs/497331
---- postgresql-8.4-8.4.2/src/include/storage/s_lock.h	2010-01-04 14:21:40.789729336 +0100
-+++ postgresql-8.4-8.4.2.new/src/include/storage/s_lock.h	2010-01-04 14:23:46.918690895 +0100
-@@ -262,14 +262,7 @@
- static __inline__ int
- tas(volatile slock_t *lock)
- {
--	register slock_t _res = 1;
--
--	__asm__ __volatile__(
--		"	swpb 	%0, %0, [%2]	\n"
--:		"+r"(_res), "+m"(*lock)
--:		"r"(lock)
--:		"memory");
--	return (int) _res;
-+	return __sync_lock_test_and_set (lock, 1);
- }
- 
- #endif	 /* __arm__ */

=== modified file 'doc/bug.template'
--- doc/bug.template	2011-12-02 14:46:33 +0000
+++ doc/bug.template	2012-02-25 11:17:15 +0000
@@ -27,7 +27,7 @@
 
   Operating System (example: Linux 2.4.18)	:
 
-  PostgreSQL version (example: PostgreSQL 8.4.10):  PostgreSQL 8.4.10
+  PostgreSQL version (example: PostgreSQL 8.4.11):  PostgreSQL 8.4.11
 
   Compiler used (example: gcc 3.3.5)		:
 

=== modified file 'doc/man.tar.gz'
Binary files doc/man.tar.gz and doc/man.tar.gz differ
=== modified file 'doc/postgres.tar.gz'
Binary files doc/postgres.tar.gz and doc/postgres.tar.gz differ
=== modified file 'doc/src/sgml/auto-explain.sgml'
--- doc/src/sgml/auto-explain.sgml	2009-05-19 14:03:37 +0000
+++ doc/src/sgml/auto-explain.sgml	2012-02-25 11:17:15 +0000
@@ -79,7 +79,7 @@
       <para>
        When this parameter is on, per-plan-node timing occurs for all
        statements executed, whether or not they run long enough to actually
-       get logged.  This can have extremely negative impact on performance.
+       get logged.  This can have an extremely negative impact on performance.
       </para>
      </note>
     </listitem>

=== modified file 'doc/src/sgml/libpq.sgml'
--- doc/src/sgml/libpq.sgml	2011-12-02 14:46:33 +0000
+++ doc/src/sgml/libpq.sgml	2012-02-25 11:17:15 +0000
@@ -6208,7 +6208,7 @@
     as that of <literal>verify-ca</literal>, meaning the sever certificate
     is validated against the CA. Relying on this behavior is discouraged,
     and applications that need certificate validation should always use
-    <literal>validate-ca</literal> or <literal>validate-full</literal>.
+    <literal>verify-ca</literal> or <literal>verify-full</literal>.
    </para>
   </note>
  </sect2>

=== modified file 'doc/src/sgml/ref/create_trigger.sgml'
--- doc/src/sgml/ref/create_trigger.sgml	2009-05-19 14:03:37 +0000
+++ doc/src/sgml/ref/create_trigger.sgml	2012-02-25 11:17:15 +0000
@@ -183,7 +183,8 @@
 
   <para>
    To create a trigger on a table, the user must have the
-   <literal>TRIGGER</literal> privilege on the table.
+   <literal>TRIGGER</literal> privilege on the table.  The user must
+   also have <literal>EXECUTE</literal> privilege on the trigger function.
   </para>
 
   <para>

=== modified file 'doc/src/sgml/release-8.3.sgml'
--- doc/src/sgml/release-8.3.sgml	2011-12-02 14:46:33 +0000
+++ doc/src/sgml/release-8.3.sgml	2012-02-25 11:17:15 +0000
@@ -1,6 +1,294 @@
 <!-- doc/src/sgml/release-8.3.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
+ <sect1 id="release-8-3-18">
+  <title>Release 8.3.18</title>
+
+  <note>
+  <title>Release Date</title>
+  <simpara>2012-02-27</simpara>
+  </note>
+
+  <para>
+   This release contains a variety of fixes from 8.3.17.
+   For information about new features in the 8.3 major release, see
+   <xref linkend="release-8-3">.
+  </para>
+
+  <sect2>
+   <title>Migration to Version 8.3.18</title>
+
+   <para>
+    A dump/restore is not required for those running 8.3.X.
+   </para>
+
+   <para>
+    However, if you are upgrading from a version earlier than 8.3.17,
+    see the release notes for 8.3.17.
+   </para>
+
+  </sect2>
+
+  <sect2>
+   <title>Changes</title>
+
+   <itemizedlist>
+
+    <listitem>
+     <para>
+      Require execute permission on the trigger function for
+      <command>CREATE TRIGGER</> (Robert Haas)
+     </para>
+
+     <para>
+      This missing check could allow another user to execute a trigger
+      function with forged input data, by installing it on a table he owns.
+      This is only of significance for trigger functions marked
+      <literal>SECURITY DEFINER</>, since otherwise trigger functions run
+      as the table owner anyway.  (CVE-2012-0866)
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Convert newlines to spaces in names written in <application>pg_dump</>
+      comments (Robert Haas)
+     </para>
+
+     <para>
+      <application>pg_dump</> was incautious about sanitizing object names
+      that are emitted within SQL comments in its output script.  A name
+      containing a newline would at least render the script syntactically
+      incorrect.  Maliciously crafted object names could present a SQL
+      injection risk when the script is reloaded.  (CVE-2012-0868)
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix btree index corruption from insertions concurrent with vacuuming
+      (Tom Lane)
+     </para>
+
+     <para>
+      An index page split caused by an insertion could sometimes cause a
+      concurrently-running <command>VACUUM</> to miss removing index entries
+      that it should remove.  After the corresponding table rows are removed,
+      the dangling index entries would cause errors (such as <quote>could not
+      read block N in file ...</>) or worse, silently wrong query results
+      after unrelated rows are re-inserted at the now-free table locations.
+      This bug has been present since release 8.2, but occurs so infrequently
+      that it was not diagnosed until now.  If you have reason to suspect
+      that it has happened in your database, reindexing the affected index
+      will fix things.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Allow non-existent values for some settings in <command>ALTER
+      USER/DATABASE SET</> (Heikki Linnakangas)
+     </para>
+
+     <para>
+      Allow <varname>default_text_search_config</>,
+      <varname>default_tablespace</>, and <varname>temp_tablespaces</> to be
+      set to names that are not known.  This is because they might be known
+      in another database where the setting is intended to be used, or for the
+      tablespace cases because the tablespace might not be created yet.  The
+      same issue was previously recognized for <varname>search_path</>, and
+      these settings now act like that one.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Track the OID counter correctly during WAL replay, even when it wraps
+      around (Tom Lane)
+     </para>
+
+     <para>
+      Previously the OID counter would remain stuck at a high value until the
+      system exited replay mode.  The practical consequences of that are
+      usually nil, but there are scenarios wherein a standby server that's
+      been promoted to master might take a long time to advance the OID
+      counter to a reasonable value once values are needed.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix regular expression back-references with <literal>*</> attached
+      (Tom Lane)
+     </para>
+
+     <para>
+      Rather than enforcing an exact string match, the code would effectively
+      accept any string that satisfies the pattern sub-expression referenced
+      by the back-reference symbol.
+     </para>
+
+     <para>
+      A similar problem still afflicts back-references that are embedded in a
+      larger quantified expression, rather than being the immediate subject
+      of the quantifier.  This will be addressed in a future
+      <productname>PostgreSQL</> release.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix recently-introduced memory leak in processing of
+      <type>inet</>/<type>cidr</> values (Heikki Linnakangas)
+     </para>
+
+     <para>
+      A patch in the December 2011 releases of <productname>PostgreSQL</>
+      caused memory leakage in these operations, which could be significant
+      in scenarios such as building a btree index on such a column.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Avoid double close of file handle in syslogger on Windows (MauMau)
+     </para>
+
+     <para>
+      Ordinarily this error was invisible, but it would cause an exception
+      when running on a debug version of Windows.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix I/O-conversion-related memory leaks in plpgsql
+      (Andres Freund, Jan Urbanski, Tom Lane)
+     </para>
+
+     <para>
+      Certain operations would leak memory until the end of the current
+      function.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Improve <application>pg_dump</>'s handling of inherited table columns
+      (Tom Lane)
+     </para>
+
+     <para>
+      <application>pg_dump</> mishandled situations where a child column has
+      a different default expression than its parent column.  If the default
+      is textually identical to the parent's default, but not actually the
+      same (for instance, because of schema search path differences) it would
+      not be recognized as different, so that after dump and restore the
+      child would be allowed to inherit the parent's default.  Child columns
+      that are <literal>NOT NULL</> where their parent is not could also be
+      restored subtly incorrectly.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix <application>pg_restore</>'s direct-to-database mode for
+      INSERT-style table data (Tom Lane)
+     </para>
+
+     <para>
+      Direct-to-database restores from archive files made with
+      <option>--inserts</> or <option>--column-inserts</> options fail when
+      using <application>pg_restore</> from a release dated September or
+      December 2011, as a result of an oversight in a fix for another
+      problem.  The archive file itself is not at fault, and text-mode
+      output is okay.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix error in <filename>contrib/intarray</>'s <literal>int[] &amp;
+      int[]</> operator (Guillaume Lelarge)
+     </para>
+
+     <para>
+      If the smallest integer the two input arrays have in common is 1,
+      and there are smaller values in either array, then 1 would be
+      incorrectly omitted from the result.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix error detection in <filename>contrib/pgcrypto</>'s
+      <function>encrypt_iv()</> and <function>decrypt_iv()</>
+      (Marko Kreen)
+     </para>
+
+     <para>
+      These functions failed to report certain types of invalid-input errors,
+      and would instead return random garbage values for incorrect input.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix one-byte buffer overrun in <filename>contrib/test_parser</>
+      (Paul Guyot)
+     </para>
+
+     <para>
+      The code would try to read one more byte than it should, which would
+      crash in corner cases.
+      Since <filename>contrib/test_parser</> is only example code, this is
+      not a security issue in itself, but bad example code is still bad.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Use <function>__sync_lock_test_and_set()</> for spinlocks on ARM, if
+      available (Martin Pitt)
+     </para>
+
+     <para>
+      This function replaces our previous use of the <literal>SWPB</>
+      instruction, which is deprecated and not available on ARMv6 and later.
+      Reports suggest that the old code doesn't fail in an obvious way on
+      recent ARM boards, but simply doesn't interlock concurrent accesses,
+      leading to bizarre failures in multiprocess operation.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Use <option>-fexcess-precision=standard</> option when building with
+      gcc versions that accept it (Andrew Dunstan)
+     </para>
+
+     <para>
+      This prevents assorted scenarios wherein recent versions of gcc will
+      produce creative results.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Allow use of threaded Python on FreeBSD (Chris Rees)
+     </para>
+
+     <para>
+      Our configure script previously believed that this combination wouldn't
+      work; but FreeBSD fixed the problem, so remove that error check.
+     </para>
+    </listitem>
+
+   </itemizedlist>
+
+  </sect2>
+ </sect1>
+
  <sect1 id="release-8-3-17">
   <title>Release 8.3.17</title>
 

=== modified file 'doc/src/sgml/release-8.4.sgml'
--- doc/src/sgml/release-8.4.sgml	2011-12-02 14:46:33 +0000
+++ doc/src/sgml/release-8.4.sgml	2012-02-25 11:17:15 +0000
@@ -1,6 +1,368 @@
 <!-- doc/src/sgml/release-8.4.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
+ <sect1 id="release-8-4-11">
+  <title>Release 8.4.11</title>
+
+  <note>
+  <title>Release Date</title>
+  <simpara>2012-02-27</simpara>
+  </note>
+
+  <para>
+   This release contains a variety of fixes from 8.4.10.
+   For information about new features in the 8.4 major release, see
+   <xref linkend="release-8-4">.
+  </para>
+
+  <sect2>
+   <title>Migration to Version 8.4.11</title>
+
+   <para>
+    A dump/restore is not required for those running 8.4.X.
+   </para>
+
+   <para>
+    However, if you are upgrading from a version earlier than 8.4.10,
+    see the release notes for 8.4.10.
+   </para>
+
+  </sect2>
+
+  <sect2>
+   <title>Changes</title>
+
+   <itemizedlist>
+
+    <listitem>
+     <para>
+      Require execute permission on the trigger function for
+      <command>CREATE TRIGGER</> (Robert Haas)
+     </para>
+
+     <para>
+      This missing check could allow another user to execute a trigger
+      function with forged input data, by installing it on a table he owns.
+      This is only of significance for trigger functions marked
+      <literal>SECURITY DEFINER</>, since otherwise trigger functions run
+      as the table owner anyway.  (CVE-2012-0866)
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Remove arbitrary limitation on length of common name in SSL
+      certificates (Heikki Linnakangas)
+     </para>
+
+     <para>
+      Both <application>libpq</> and the server truncated the common name
+      extracted from an SSL certificate at 32 bytes.  Normally this would
+      cause nothing worse than an unexpected verification failure, but there
+      are some rather-implausible scenarios in which it might allow one
+      certificate holder to impersonate another.  The victim would have to
+      have a common name exactly 32 bytes long, and the attacker would have
+      to persuade a trusted CA to issue a certificate in which the common
+      name has that string as a prefix.  Impersonating a server would also
+      require some additional exploit to redirect client connections.
+      (CVE-2012-0867)
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Convert newlines to spaces in names written in <application>pg_dump</>
+      comments (Robert Haas)
+     </para>
+
+     <para>
+      <application>pg_dump</> was incautious about sanitizing object names
+      that are emitted within SQL comments in its output script.  A name
+      containing a newline would at least render the script syntactically
+      incorrect.  Maliciously crafted object names could present a SQL
+      injection risk when the script is reloaded.  (CVE-2012-0868)
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix btree index corruption from insertions concurrent with vacuuming
+      (Tom Lane)
+     </para>
+
+     <para>
+      An index page split caused by an insertion could sometimes cause a
+      concurrently-running <command>VACUUM</> to miss removing index entries
+      that it should remove.  After the corresponding table rows are removed,
+      the dangling index entries would cause errors (such as <quote>could not
+      read block N in file ...</>) or worse, silently wrong query results
+      after unrelated rows are re-inserted at the now-free table locations.
+      This bug has been present since release 8.2, but occurs so infrequently
+      that it was not diagnosed until now.  If you have reason to suspect
+      that it has happened in your database, reindexing the affected index
+      will fix things.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Update per-column permissions, not only per-table permissions, when
+      changing table owner (Tom Lane)
+     </para>
+
+     <para>
+      Failure to do this meant that any previously granted column permissions
+      were still shown as having been granted by the old owner.  This meant
+      that neither the new owner nor a superuser could revoke the
+      now-untraceable-to-table-owner permissions.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Allow non-existent values for some settings in <command>ALTER
+      USER/DATABASE SET</> (Heikki Linnakangas)
+     </para>
+
+     <para>
+      Allow <varname>default_text_search_config</>,
+      <varname>default_tablespace</>, and <varname>temp_tablespaces</> to be
+      set to names that are not known.  This is because they might be known
+      in another database where the setting is intended to be used, or for the
+      tablespace cases because the tablespace might not be created yet.  The
+      same issue was previously recognized for <varname>search_path</>, and
+      these settings now act like that one.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Avoid crashing when we have problems deleting table files post-commit
+      (Tom Lane)
+     </para>
+
+     <para>
+      Dropping a table should lead to deleting the underlying disk files only
+      after the transaction commits.  In event of failure then (for instance,
+      because of wrong file permissions) the code is supposed to just emit a
+      warning message and go on, since it's too late to abort the
+      transaction.  This logic got broken as of release 8.4, causing such
+      situations to result in a PANIC and an unrestartable database.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Track the OID counter correctly during WAL replay, even when it wraps
+      around (Tom Lane)
+     </para>
+
+     <para>
+      Previously the OID counter would remain stuck at a high value until the
+      system exited replay mode.  The practical consequences of that are
+      usually nil, but there are scenarios wherein a standby server that's
+      been promoted to master might take a long time to advance the OID
+      counter to a reasonable value once values are needed.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix regular expression back-references with <literal>*</> attached
+      (Tom Lane)
+     </para>
+
+     <para>
+      Rather than enforcing an exact string match, the code would effectively
+      accept any string that satisfies the pattern sub-expression referenced
+      by the back-reference symbol.
+     </para>
+
+     <para>
+      A similar problem still afflicts back-references that are embedded in a
+      larger quantified expression, rather than being the immediate subject
+      of the quantifier.  This will be addressed in a future
+      <productname>PostgreSQL</> release.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix recently-introduced memory leak in processing of
+      <type>inet</>/<type>cidr</> values (Heikki Linnakangas)
+     </para>
+
+     <para>
+      A patch in the December 2011 releases of <productname>PostgreSQL</>
+      caused memory leakage in these operations, which could be significant
+      in scenarios such as building a btree index on such a column.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix dangling pointer after <command>CREATE TABLE AS</>/<command>SELECT
+      INTO</> in a SQL-language function (Tom Lane)
+     </para>
+
+     <para>
+      In most cases this only led to an assertion failure in assert-enabled
+      builds, but worse consequences seem possible.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Avoid double close of file handle in syslogger on Windows (MauMau)
+     </para>
+
+     <para>
+      Ordinarily this error was invisible, but it would cause an exception
+      when running on a debug version of Windows.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix I/O-conversion-related memory leaks in plpgsql
+      (Andres Freund, Jan Urbanski, Tom Lane)
+     </para>
+
+     <para>
+      Certain operations would leak memory until the end of the current
+      function.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Improve <application>pg_dump</>'s handling of inherited table columns
+      (Tom Lane)
+     </para>
+
+     <para>
+      <application>pg_dump</> mishandled situations where a child column has
+      a different default expression than its parent column.  If the default
+      is textually identical to the parent's default, but not actually the
+      same (for instance, because of schema search path differences) it would
+      not be recognized as different, so that after dump and restore the
+      child would be allowed to inherit the parent's default.  Child columns
+      that are <literal>NOT NULL</> where their parent is not could also be
+      restored subtly incorrectly.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix <application>pg_restore</>'s direct-to-database mode for
+      INSERT-style table data (Tom Lane)
+     </para>
+
+     <para>
+      Direct-to-database restores from archive files made with
+      <option>--inserts</> or <option>--column-inserts</> options fail when
+      using <application>pg_restore</> from a release dated September or
+      December 2011, as a result of an oversight in a fix for another
+      problem.  The archive file itself is not at fault, and text-mode
+      output is okay.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Allow <literal>AT</> option in <application>ecpg</>
+      <literal>DEALLOCATE</> statements (Michael Meskes)
+     </para>
+
+     <para>
+      The infrastructure to support this has been there for awhile, but
+      through an oversight there was still an error check rejecting the case.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix error in <filename>contrib/intarray</>'s <literal>int[] &amp;
+      int[]</> operator (Guillaume Lelarge)
+     </para>
+
+     <para>
+      If the smallest integer the two input arrays have in common is 1,
+      and there are smaller values in either array, then 1 would be
+      incorrectly omitted from the result.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix error detection in <filename>contrib/pgcrypto</>'s
+      <function>encrypt_iv()</> and <function>decrypt_iv()</>
+      (Marko Kreen)
+     </para>
+
+     <para>
+      These functions failed to report certain types of invalid-input errors,
+      and would instead return random garbage values for incorrect input.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Fix one-byte buffer overrun in <filename>contrib/test_parser</>
+      (Paul Guyot)
+     </para>
+
+     <para>
+      The code would try to read one more byte than it should, which would
+      crash in corner cases.
+      Since <filename>contrib/test_parser</> is only example code, this is
+      not a security issue in itself, but bad example code is still bad.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Use <function>__sync_lock_test_and_set()</> for spinlocks on ARM, if
+      available (Martin Pitt)
+     </para>
+
+     <para>
+      This function replaces our previous use of the <literal>SWPB</>
+      instruction, which is deprecated and not available on ARMv6 and later.
+      Reports suggest that the old code doesn't fail in an obvious way on
+      recent ARM boards, but simply doesn't interlock concurrent accesses,
+      leading to bizarre failures in multiprocess operation.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Use <option>-fexcess-precision=standard</> option when building with
+      gcc versions that accept it (Andrew Dunstan)
+     </para>
+
+     <para>
+      This prevents assorted scenarios wherein recent versions of gcc will
+      produce creative results.
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Allow use of threaded Python on FreeBSD (Chris Rees)
+     </para>
+
+     <para>
+      Our configure script previously believed that this combination wouldn't
+      work; but FreeBSD fixed the problem, so remove that error check.
+     </para>
+    </listitem>
+
+   </itemizedlist>
+
+  </sect2>
+ </sect1>
+
  <sect1 id="release-8-4-10">
   <title>Release 8.4.10</title>
 

=== modified file 'src/backend/access/nbtree/nbtinsert.c'
--- src/backend/access/nbtree/nbtinsert.c	2010-10-05 20:41:08 +0000
+++ src/backend/access/nbtree/nbtinsert.c	2012-02-25 11:17:15 +0000
@@ -1978,7 +1978,7 @@
 	}
 
 	if (ndeletable > 0)
-		_bt_delitems(rel, buffer, deletable, ndeletable);
+		_bt_delitems(rel, buffer, deletable, ndeletable, false);
 
 	/*
 	 * Note: if we didn't find any LP_DEAD items, then the page's

=== modified file 'src/backend/access/nbtree/nbtpage.c'
--- src/backend/access/nbtree/nbtpage.c	2010-10-05 20:41:08 +0000
+++ src/backend/access/nbtree/nbtpage.c	2012-02-25 11:17:15 +0000
@@ -656,7 +656,8 @@
  */
 void
 _bt_delitems(Relation rel, Buffer buf,
-			 OffsetNumber *itemnos, int nitems)
+			 OffsetNumber *itemnos, int nitems,
+			 bool inVacuum)
 {
 	Page		page = BufferGetPage(buf);
 	BTPageOpaque opaque;
@@ -668,11 +669,12 @@
 	PageIndexMultiDelete(page, itemnos, nitems);
 
 	/*
-	 * We can clear the vacuum cycle ID since this page has certainly been
-	 * processed by the current vacuum scan.
+	 * If this is within VACUUM, we can clear the vacuum cycle ID since this
+	 * page has certainly been processed by the current vacuum scan.
 	 */
 	opaque = (BTPageOpaque) PageGetSpecialPointer(page);
-	opaque->btpo_cycleid = 0;
+	if (inVacuum)
+		opaque->btpo_cycleid = 0;
 
 	/*
 	 * Mark the page as not containing any LP_DEAD items.  This is not

=== modified file 'src/backend/access/nbtree/nbtree.c'
--- src/backend/access/nbtree/nbtree.c	2009-07-01 17:41:41 +0000
+++ src/backend/access/nbtree/nbtree.c	2012-02-25 11:17:15 +0000
@@ -857,7 +857,7 @@
 		 */
 		if (ndeletable > 0)
 		{
-			_bt_delitems(rel, buf, deletable, ndeletable);
+			_bt_delitems(rel, buf, deletable, ndeletable, true);
 			stats->tuples_removed += ndeletable;
 			/* must recompute maxoff */
 			maxoff = PageGetMaxOffsetNumber(page);

=== modified file 'src/backend/access/transam/twophase.c'
--- src/backend/access/transam/twophase.c	2009-12-14 19:02:38 +0000
+++ src/backend/access/transam/twophase.c	2012-02-25 11:17:15 +0000
@@ -1271,8 +1271,7 @@
 
 		for (fork = 0; fork <= MAX_FORKNUM; fork++)
 		{
-			if (smgrexists(srel, fork))
-				smgrdounlink(srel, fork, false, false);
+			smgrdounlink(srel, fork, false, false);
 		}
 		smgrclose(srel);
 	}

=== modified file 'src/backend/access/transam/xact.c'
--- src/backend/access/transam/xact.c	2010-10-05 20:41:08 +0000
+++ src/backend/access/transam/xact.c	2012-02-25 11:17:15 +0000
@@ -4270,11 +4270,8 @@
 
 		for (fork = 0; fork <= MAX_FORKNUM; fork++)
 		{
-			if (smgrexists(srel, fork))
-			{
-				XLogDropRelation(xlrec->xnodes[i], fork);
-				smgrdounlink(srel, fork, false, true);
-			}
+			XLogDropRelation(xlrec->xnodes[i], fork);
+			smgrdounlink(srel, fork, false, true);
 		}
 		smgrclose(srel);
 	}
@@ -4313,11 +4310,8 @@
 
 		for (fork = 0; fork <= MAX_FORKNUM; fork++)
 		{
-			if (smgrexists(srel, fork))
-			{
-				XLogDropRelation(xlrec->xnodes[i], fork);
-				smgrdounlink(srel, fork, false, true);
-			}
+			XLogDropRelation(xlrec->xnodes[i], fork);
+			smgrdounlink(srel, fork, false, true);
 		}
 		smgrclose(srel);
 	}

=== modified file 'src/backend/access/transam/xlog.c'
--- src/backend/access/transam/xlog.c	2011-09-25 14:23:57 +0000
+++ src/backend/access/transam/xlog.c	2012-02-25 11:17:15 +0000
@@ -7017,12 +7017,15 @@
 	{
 		Oid			nextOid;
 
+		/*
+		 * We used to try to take the maximum of ShmemVariableCache->nextOid
+		 * and the recorded nextOid, but that fails if the OID counter wraps
+		 * around.  Since no OID allocation should be happening during replay
+		 * anyway, better to just believe the record exactly.
+		 */
 		memcpy(&nextOid, XLogRecGetData(record), sizeof(Oid));
-		if (ShmemVariableCache->nextOid < nextOid)
-		{
-			ShmemVariableCache->nextOid = nextOid;
-			ShmemVariableCache->oidCount = 0;
-		}
+		ShmemVariableCache->nextOid = nextOid;
+		ShmemVariableCache->oidCount = 0;
 	}
 	else if (info == XLOG_CHECKPOINT_SHUTDOWN)
 	{
@@ -7062,15 +7065,13 @@
 		CheckPoint	checkPoint;
 
 		memcpy(&checkPoint, XLogRecGetData(record), sizeof(CheckPoint));
-		/* In an ONLINE checkpoint, treat the counters like NEXTOID */
+		/* In an ONLINE checkpoint, treat the XID counter as a minimum */
 		if (TransactionIdPrecedes(ShmemVariableCache->nextXid,
 								  checkPoint.nextXid))
 			ShmemVariableCache->nextXid = checkPoint.nextXid;
-		if (ShmemVariableCache->nextOid < checkPoint.nextOid)
-		{
-			ShmemVariableCache->nextOid = checkPoint.nextOid;
-			ShmemVariableCache->oidCount = 0;
-		}
+		/* ... but still treat OID counter as exact */
+		ShmemVariableCache->nextOid = checkPoint.nextOid;
+		ShmemVariableCache->oidCount = 0;
 		MultiXactAdvanceNextMXact(checkPoint.nextMulti,
 								  checkPoint.nextMultiOffset);
 

=== modified file 'src/backend/catalog/storage.c'
--- src/backend/catalog/storage.c	2010-03-13 16:44:46 +0000
+++ src/backend/catalog/storage.c	2012-02-25 11:17:15 +0000
@@ -278,11 +278,10 @@
 				srel = smgropen(pending->relnode);
 				for (i = 0; i <= MAX_FORKNUM; i++)
 				{
-					if (smgrexists(srel, i))
-						smgrdounlink(srel,
-									 i,
-									 pending->isTemp,
-									 false);
+					smgrdounlink(srel,
+								 i,
+								 pending->isTemp,
+								 false);
 				}
 				smgrclose(srel);
 			}

=== modified file 'src/backend/commands/tablecmds.c'
--- src/backend/commands/tablecmds.c	2011-12-02 14:46:33 +0000
+++ src/backend/commands/tablecmds.c	2012-02-25 11:17:15 +0000
@@ -309,6 +309,8 @@
 					  const char *colName, TypeName *typename);
 static void ATPostAlterTypeCleanup(List **wqueue, AlteredTableInfo *tab);
 static void ATPostAlterTypeParse(char *cmd, List **wqueue);
+static void change_owner_fix_column_acls(Oid relationOid,
+							 Oid oldOwnerId, Oid newOwnerId);
 static void change_owner_recurse_to_sequences(Oid relationOid,
 								  Oid newOwnerId);
 static void ATExecClusterOn(Relation rel, const char *indexName);
@@ -6374,6 +6376,14 @@
 		heap_freetuple(newtuple);
 
 		/*
+		 * We must similarly update any per-column ACLs to reflect the new
+		 * owner; for neatness reasons that's split out as a subroutine.
+		 */
+		change_owner_fix_column_acls(relationOid,
+									 tuple_class->relowner,
+									 newOwnerId);
+
+		/*
 		 * Update owner dependency reference, if any.  A composite type has
 		 * none, because it's tracked for the pg_type entry instead of here;
 		 * indexes and TOAST tables don't have their own entries either.
@@ -6430,6 +6440,71 @@
 }
 
 /*
+ * change_owner_fix_column_acls
+ *
+ * Helper function for ATExecChangeOwner.  Scan the columns of the table
+ * and fix any non-null column ACLs to reflect the new owner.
+ */
+static void
+change_owner_fix_column_acls(Oid relationOid, Oid oldOwnerId, Oid newOwnerId)
+{
+	Relation	attRelation;
+	SysScanDesc scan;
+	ScanKeyData key[1];
+	HeapTuple	attributeTuple;
+
+	attRelation = heap_open(AttributeRelationId, RowExclusiveLock);
+	ScanKeyInit(&key[0],
+				Anum_pg_attribute_attrelid,
+				BTEqualStrategyNumber, F_OIDEQ,
+				ObjectIdGetDatum(relationOid));
+	scan = systable_beginscan(attRelation, AttributeRelidNumIndexId,
+							  true, SnapshotNow, 1, key);
+	while (HeapTupleIsValid(attributeTuple = systable_getnext(scan)))
+	{
+		Form_pg_attribute att = (Form_pg_attribute) GETSTRUCT(attributeTuple);
+		Datum		repl_val[Natts_pg_attribute];
+		bool		repl_null[Natts_pg_attribute];
+		bool		repl_repl[Natts_pg_attribute];
+		Acl		   *newAcl;
+		Datum		aclDatum;
+		bool		isNull;
+		HeapTuple	newtuple;
+
+		/* Ignore dropped columns */
+		if (att->attisdropped)
+			continue;
+
+		aclDatum = heap_getattr(attributeTuple,
+								Anum_pg_attribute_attacl,
+								RelationGetDescr(attRelation),
+								&isNull);
+		/* Null ACLs do not require changes */
+		if (isNull)
+			continue;
+
+		memset(repl_null, false, sizeof(repl_null));
+		memset(repl_repl, false, sizeof(repl_repl));
+
+		newAcl = aclnewowner(DatumGetAclP(aclDatum),
+							 oldOwnerId, newOwnerId);
+		repl_repl[Anum_pg_attribute_attacl - 1] = true;
+		repl_val[Anum_pg_attribute_attacl - 1] = PointerGetDatum(newAcl);
+
+		newtuple = heap_modify_tuple(attributeTuple,
+									 RelationGetDescr(attRelation),
+									 repl_val, repl_null, repl_repl);
+
+		simple_heap_update(attRelation, &newtuple->t_self, newtuple);
+		CatalogUpdateIndexes(attRelation, newtuple);
+
+		heap_freetuple(newtuple);
+	}
+	systable_endscan(scan);
+	heap_close(attRelation, RowExclusiveLock);
+}
+
+/*
  * change_owner_recurse_to_sequences
  *
  * Helper function for ATExecChangeOwner.  Examines pg_depend searching

=== modified file 'src/backend/commands/tablespace.c'
--- src/backend/commands/tablespace.c	2009-05-19 14:03:37 +0000
+++ src/backend/commands/tablespace.c	2012-02-25 11:17:15 +0000
@@ -926,11 +926,22 @@
 		if (newval[0] != '\0' &&
 			!OidIsValid(get_tablespace_oid(newval)))
 		{
-			ereport(GUC_complaint_elevel(source),
+			/*
+			 * When source == PGC_S_TEST, we are checking the argument of an
+			 * ALTER DATABASE SET or ALTER USER SET command.  pg_dumpall dumps
+			 * all roles before tablespaces, so if we're restoring a
+			 * pg_dumpall script the tablespace might not yet exist, but will
+			 * be created later.  Because of that, issue a NOTICE if source ==
+			 * PGC_S_TEST, but accept the value anyway.
+			 */
+			ereport((source == PGC_S_TEST) ? NOTICE : GUC_complaint_elevel(source),
 					(errcode(ERRCODE_UNDEFINED_OBJECT),
 					 errmsg("tablespace \"%s\" does not exist",
 							newval)));
-			return NULL;
+			if (source == PGC_S_TEST)
+				return newval;
+			else
+				return NULL;
 		}
 	}
 
@@ -1047,10 +1058,16 @@
 			{
 				/*
 				 * In an interactive SET command, we ereport for bad info.
+				 * When source == PGC_S_TEST, we are checking the argument of
+				 * an ALTER DATABASE SET or ALTER USER SET command.  pg_dumpall
+				 * dumps all roles before tablespaces, so if we're restoring a
+				 * pg_dumpall script the tablespace might not yet exist, but
+				 * will be created later.  Because of that, issue a NOTICE if
+				 * source == PGC_S_TEST, but accept the value anyway.
 				 * Otherwise, silently ignore any bad list elements.
 				 */
 				if (source >= PGC_S_INTERACTIVE)
-					ereport(ERROR,
+					ereport((source == PGC_S_TEST) ? NOTICE : ERROR,
 							(errcode(ERRCODE_UNDEFINED_OBJECT),
 							 errmsg("tablespace \"%s\" does not exist",
 									curname)));

=== modified file 'src/backend/commands/trigger.c'
--- src/backend/commands/trigger.c	2011-04-20 15:57:49 +0000
+++ src/backend/commands/trigger.c	2012-02-25 11:17:15 +0000
@@ -161,6 +161,10 @@
 	 * Find and validate the trigger function.
 	 */
 	funcoid = LookupFuncName(stmt->funcname, 0, fargtypes, false);
+	aclresult = pg_proc_aclcheck(funcoid, GetUserId(), ACL_EXECUTE);
+	if (aclresult != ACLCHECK_OK)
+		aclcheck_error(aclresult, ACL_KIND_PROC,
+					   NameListToString(stmt->funcname));
 	funcrettype = get_func_rettype(funcoid);
 	if (funcrettype != TRIGGEROID)
 	{

=== modified file 'src/backend/executor/execMain.c'
--- src/backend/executor/execMain.c	2011-09-25 14:23:57 +0000
+++ src/backend/executor/execMain.c	2012-02-25 11:17:15 +0000
@@ -2842,6 +2842,7 @@
 {
 	DestReceiver pub;			/* publicly-known function pointers */
 	EState	   *estate;			/* EState we are working with */
+	DestReceiver *origdest;		/* QueryDesc's original receiver */
 	Relation	rel;			/* Relation to write to */
 	int			hi_options;		/* heap_insert performance options */
 	BulkInsertState bistate;	/* bulk insert state */
@@ -2999,12 +3000,14 @@
 	/*
 	 * Now replace the query's DestReceiver with one for SELECT INTO
 	 */
-	queryDesc->dest = CreateDestReceiver(DestIntoRel);
-	myState = (DR_intorel *) queryDesc->dest;
+	myState = (DR_intorel *) CreateDestReceiver(DestIntoRel);
 	Assert(myState->pub.mydest == DestIntoRel);
 	myState->estate = estate;
+	myState->origdest = queryDesc->dest;
 	myState->rel = intoRelationDesc;
 
+	queryDesc->dest = (DestReceiver *) myState;
+
 	/*
 	 * We can skip WAL-logging the insertions, unless PITR is in use.  We can
 	 * skip the FSM in any case.
@@ -3025,8 +3028,11 @@
 {
 	DR_intorel *myState = (DR_intorel *) queryDesc->dest;
 
-	/* OpenIntoRel might never have gotten called */
-	if (myState && myState->pub.mydest == DestIntoRel && myState->rel)
+	/*
+	 * OpenIntoRel might never have gotten called, and we also want to guard
+	 * against double destruction.
+	 */
+	if (myState && myState->pub.mydest == DestIntoRel)
 	{
 		FreeBulkInsertState(myState->bistate);
 
@@ -3037,7 +3043,11 @@
 		/* close rel, but keep lock until commit */
 		heap_close(myState->rel, NoLock);
 
-		myState->rel = NULL;
+		/* restore the receiver belonging to executor's caller */
+		queryDesc->dest = myState->origdest;
+
+		/* might as well invoke my destructor */
+		intorel_destroy((DestReceiver *) myState);
 	}
 }
 

=== modified file 'src/backend/libpq/be-secure.c'
--- src/backend/libpq/be-secure.c	2011-09-25 14:23:57 +0000
+++ src/backend/libpq/be-secure.c	2012-02-25 11:17:15 +0000
@@ -73,6 +73,7 @@
 
 #include "libpq/libpq.h"
 #include "tcop/tcopprot.h"
+#include "utils/memutils.h"
 
 
 #ifdef USE_SSL
@@ -950,44 +951,54 @@
 
 	port->count = 0;
 
-	/* get client certificate, if available. */
+	/* Get client certificate, if available. */
 	port->peer = SSL_get_peer_certificate(port->ssl);
-	if (port->peer == NULL)
-	{
-		strlcpy(port->peer_dn, "(anonymous)", sizeof(port->peer_dn));
-		strlcpy(port->peer_cn, "(anonymous)", sizeof(port->peer_cn));
-	}
-	else
-	{
-		X509_NAME_oneline(X509_get_subject_name(port->peer),
-						  port->peer_dn, sizeof(port->peer_dn));
-		port->peer_dn[sizeof(port->peer_dn) - 1] = '\0';
-		r = X509_NAME_get_text_by_NID(X509_get_subject_name(port->peer),
-					   NID_commonName, port->peer_cn, sizeof(port->peer_cn));
-		port->peer_cn[sizeof(port->peer_cn) - 1] = '\0';
-		if (r == -1)
-		{
-			/* Unable to get the CN, set it to blank so it can't be used */
-			port->peer_cn[0] = '\0';
-		}
-		else
-		{
+
+	/* and extract the Common Name from it. */
+	port->peer_cn = NULL;
+	if (port->peer != NULL)
+	{
+		int		len;
+
+		len = X509_NAME_get_text_by_NID(X509_get_subject_name(port->peer),
+										NID_commonName, NULL, 0);
+		if (len != -1)
+		{
+			char	   *peer_cn;
+
+			peer_cn = MemoryContextAlloc(TopMemoryContext, len + 1);
+			r = X509_NAME_get_text_by_NID(X509_get_subject_name(port->peer),
+										  NID_commonName, peer_cn, len + 1);
+			peer_cn[len] = '\0';
+			if (r != len)
+			{
+				/* shouldn't happen */
+				pfree(peer_cn);
+				close_SSL(port);
+				return -1;
+			}
+
 			/*
-			 * Reject embedded NULLs in certificate common name to prevent attacks like
-			 * CVE-2009-4034.
+			 * Reject embedded NULLs in certificate common name to prevent
+			 * attacks like CVE-2009-4034.
 			 */
-			if (r != strlen(port->peer_cn))
+			if (len != strlen(peer_cn))
 			{
 				ereport(COMMERROR,
 						(errcode(ERRCODE_PROTOCOL_VIOLATION),
 						 errmsg("SSL certificate's common name contains embedded null")));
+				pfree(peer_cn);
 				close_SSL(port);
 				return -1;
 			}
+
+			port->peer_cn = peer_cn;
 		}
 	}
+
 	ereport(DEBUG2,
-			(errmsg("SSL connection from \"%s\"", port->peer_cn)));
+			(errmsg("SSL connection from \"%s\"",
+					port->peer_cn ? port->peer_cn : "(anonymous)")));
 
 	/* set up debugging/info callback */
 	SSL_CTX_set_info_callback(SSL_context, info_cb);
@@ -1013,6 +1024,12 @@
 		X509_free(port->peer);
 		port->peer = NULL;
 	}
+
+	if (port->peer_cn)
+	{
+		pfree(port->peer_cn);
+		port->peer_cn = NULL;
+	}
 }
 
 /*

=== modified file 'src/backend/po/es.po'
--- src/backend/po/es.po	2011-09-25 14:23:57 +0000
+++ src/backend/po/es.po	2012-02-25 11:17:15 +0000
@@ -42,7 +42,7 @@
 msgstr ""
 "Project-Id-Version: PostgreSQL server 8.4\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:47+0000\n"
+"POT-Creation-Date: 2012-02-22 15:00+0000\n"
 "PO-Revision-Date: 2011-09-22 11:29-0300\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL Español <pgsql-es-ayuda@postgresql.org>\n"
@@ -52,976 +52,5509 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 
-#: libpq/auth.c:239
-#, c-format
-msgid "authentication failed for user \"%s\": host rejected"
-msgstr "la autentificación falló para el usuario «%s»: anfitrión rechazado"
-
-#: libpq/auth.c:242
-#, c-format
-msgid "Kerberos 5 authentication failed for user \"%s\""
-msgstr "la autentificación Kerberos 5 falló para el usuario «%s»"
-
-#: libpq/auth.c:245
-#, c-format
-msgid "GSSAPI authentication failed for user \"%s\""
-msgstr "la autentificación GSSAPI falló para el usuario «%s»"
-
-#: libpq/auth.c:248
-#, c-format
-msgid "SSPI authentication failed for user \"%s\""
-msgstr "la autentificación SSPI falló para el usuario «%s»"
-
-#: libpq/auth.c:251
-#, c-format
-msgid "\"trust\" authentication failed for user \"%s\""
-msgstr "la autentificación «trust» falló para el usuario «%s»"
-
-#: libpq/auth.c:254
-#, c-format
-msgid "Ident authentication failed for user \"%s\""
-msgstr "la autentificación Ident falló para el usuario «%s»"
-
-#: libpq/auth.c:258
-#, c-format
-msgid "password authentication failed for user \"%s\""
-msgstr "la autentificación password falló para el usuario «%s»"
-
-#: libpq/auth.c:261
-#, c-format
-msgid "PAM authentication failed for user \"%s\""
-msgstr "la autentificación PAM falló para el usuario «%s»"
-
-#: libpq/auth.c:264
-#, c-format
-msgid "LDAP authentication failed for user \"%s\""
-msgstr "la autentificación LDAP falló para el usuario «%s»"
-
-#: libpq/auth.c:267
-#, c-format
-msgid "authentication failed for user \"%s\": invalid authentication method"
-msgstr ""
-"la autentificación falló para el usuario «%s»: método de autentificación no "
-"válido"
-
-#: libpq/auth.c:296
-msgid "missing or erroneous pg_hba.conf file"
-msgstr "No se encuentra pg_hba.conf o el archivo es incorrecto"
-
-#: libpq/auth.c:297
-msgid "See server log for details."
-msgstr "Vea el registro del servidor para obtener más detalles."
-
-#: libpq/auth.c:318
-msgid "connection requires a valid client certificate"
-msgstr "la conexión requiere un certificado de cliente válido"
-
-#: libpq/auth.c:359
-msgid "SSL on"
-msgstr "SSL activo"
-
-#: libpq/auth.c:359
-msgid "SSL off"
-msgstr "SSL inactivo"
-
-#: libpq/auth.c:357
-#, c-format
-msgid "no pg_hba.conf entry for host \"%s\", user \"%s\", database \"%s\", %s"
-msgstr ""
-"no hay una línea en pg_hba.conf para «%s», usuario «%s», base de datos «%s», "
-"%s"
-
-#: libpq/auth.c:363
-#, c-format
-msgid "no pg_hba.conf entry for host \"%s\", user \"%s\", database \"%s\""
-msgstr ""
-"no hay una línea en pg_hba.conf para «%s», usuario «%s», base de datos «%s»"
-
-#: libpq/auth.c:419
-#, c-format
-msgid "could not enable credential reception: %m"
-msgstr "no se pudo activar la recepción de credenciales: %m"
-
-#: libpq/auth.c:432 libpq/hba.c:881
-msgid ""
-"MD5 authentication is not supported when \"db_user_namespace\" is enabled"
-msgstr ""
-"la autentificación MD5 no está soportada cuando «db_user_namespace» está "
-"activo"
-
-#: libpq/auth.c:548
-#, c-format
-msgid "expected password response, got message type %d"
-msgstr "se esperaba una respuesta de contraseña, se obtuvo mensaje de tipo %d"
-
-#: libpq/auth.c:576
-msgid "invalid password packet size"
-msgstr "el tamaño del paquete de contraseña no es válido"
-
-#: libpq/auth.c:580
-msgid "received password packet"
-msgstr "se recibió un paquete de clave"
-
-#: libpq/auth.c:638
-#, c-format
-msgid "Kerberos initialization returned error %d"
-msgstr "la inicialización de Kerberos retornó error %d"
-
-#: libpq/auth.c:648
-#, c-format
-msgid "Kerberos keytab resolving returned error %d"
-msgstr "la resolución de keytab de Kerberos retornó error %d"
-
-#: libpq/auth.c:672
-#, c-format
-msgid "Kerberos sname_to_principal(\"%s\", \"%s\") returned error %d"
-msgstr "sname_to_principal(\"%s\", \"%s\") de Kerberos retornó error %d"
-
-#: libpq/auth.c:720
-#, c-format
-msgid "Kerberos recvauth returned error %d"
-msgstr "recvauth de Kerberos retornó error %d"
-
-#: libpq/auth.c:743
-#, c-format
-msgid "Kerberos unparse_name returned error %d"
-msgstr "unparse_name de Kerberos retornó error %d"
-
-#: libpq/auth.c:866
-#, c-format
-msgid "%s: %s"
-msgstr "%s: %s"
-
-#: libpq/auth.c:892
-msgid "GSSAPI is not supported in protocol version 2"
-msgstr "GSSAPI no está soportado por el protocolo versión 2"
-
-#: libpq/auth.c:911 libpq/auth.c:1271 libpq/auth.c:1339 libpq/auth.c:1926
-#: commands/sequence.c:928 lib/stringinfo.c:245 storage/buffer/buf_init.c:164
-#: storage/buffer/localbuf.c:347 storage/file/fd.c:338 storage/file/fd.c:721
-#: storage/file/fd.c:839 storage/ipc/procarray.c:392
-#: storage/ipc/procarray.c:720 storage/ipc/procarray.c:727
+#: postmaster/bgwriter.c:470
+#, c-format
+msgid "checkpoints are occurring too frequently (%d second apart)"
+msgid_plural "checkpoints are occurring too frequently (%d seconds apart)"
+msgstr[0] ""
+"los puntos de control están ocurriendo con demasiada frecuencia (cada %d "
+"segundo)"
+msgstr[1] ""
+"los puntos de control están ocurriendo con demasiada frecuencia (cada %d "
+"segundos)"
+
+#: postmaster/bgwriter.c:474
+msgid ""
+"Consider increasing the configuration parameter \"checkpoint_segments\"."
+msgstr ""
+"Considere incrementar el parámetro de configuración «checkpoint_segments»."
+
+#: postmaster/bgwriter.c:583
+#, c-format
+msgid "transaction log switch forced (archive_timeout=%d)"
+msgstr "cambio forzado de registro de transacción (archive_timeout=%d)"
+
+#: postmaster/bgwriter.c:891
+msgid "not enough shared memory for background writer"
+msgstr ""
+"el espacio de memoria compartida es insuficiente para el background writer"
+
+#: postmaster/bgwriter.c:1041
+msgid "checkpoint request failed"
+msgstr "falló la petición de punto de control"
+
+#: postmaster/bgwriter.c:1042
+msgid "Consult recent messages in the server log for details."
+msgstr ""
+"Vea los mensajes recientes en el registro del servidor para obtener más "
+"detalles."
+
+#: postmaster/pgstat.c:323
+#, c-format
+msgid "could not resolve \"localhost\": %s"
+msgstr "no se pudo resolver «localhost»: %s"
+
+#: postmaster/pgstat.c:346
+msgid "trying another address for the statistics collector"
+msgstr "intentando otra dirección para el recolector de estadísticas"
+
+#: postmaster/pgstat.c:355
+#, c-format
+msgid "could not create socket for statistics collector: %m"
+msgstr "no se pudo crear el socket para el recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:367
+#, c-format
+msgid "could not bind socket for statistics collector: %m"
+msgstr ""
+"no se pudo enlazar (bind) el socket para el recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:378
+#, c-format
+msgid "could not get address of socket for statistics collector: %m"
+msgstr "no se pudo obtener la dirección del socket de estadísticas: %m"
+
+#: postmaster/pgstat.c:394
+#, c-format
+msgid "could not connect socket for statistics collector: %m"
+msgstr "no se pudo conectar el socket para el recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:415
+#, c-format
+msgid "could not send test message on socket for statistics collector: %m"
+msgstr ""
+"no se pudo enviar el mensaje de prueba al recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:441 postmaster/pgstat.c:2744
+#, c-format
+msgid "select() failed in statistics collector: %m"
+msgstr "select() falló en el recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:456
+msgid "test message did not get through on socket for statistics collector"
+msgstr ""
+"el mensaje de prueba al recolector de estadísticas no ha sido recibido en el "
+"socket"
+
+#: postmaster/pgstat.c:471
+#, c-format
+msgid "could not receive test message on socket for statistics collector: %m"
+msgstr ""
+"no se pudo recibir el mensaje de prueba en el socket del recolector de "
+"estadísticas: %m"
+
+#: postmaster/pgstat.c:481
+msgid "incorrect test message transmission on socket for statistics collector"
+msgstr ""
+"transmisión del mensaje de prueba incorrecta en el socket del recolector de "
+"estadísticas"
+
+#: postmaster/pgstat.c:504
+#, c-format
+msgid "could not set statistics collector socket to nonblocking mode: %m"
+msgstr "no se pudo poner el socket de estadísticas en modo no bloqueante: %m"
+
+#: postmaster/pgstat.c:514
+msgid "disabling statistics collector for lack of working socket"
+msgstr "desactivando el recolector de estadísticas por falla del socket"
+
+#: postmaster/pgstat.c:616
+#, c-format
+msgid "could not fork statistics collector: %m"
+msgstr "no se pudo crear el proceso para el recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:1144
+msgid "must be superuser to reset statistics counters"
+msgstr ""
+"debe ser superusuario para reinicializar los contadores de estadísticas"
+
+#: postmaster/pgstat.c:2723
+#, c-format
+msgid "poll() failed in statistics collector: %m"
+msgstr "poll() falló en el recolector de estadísticas: %m"
+
+#: postmaster/pgstat.c:2768
+#, c-format
+msgid "could not read statistics message: %m"
+msgstr "no se pudo leer un mensaje de estadísticas: %m"
+
+#: postmaster/pgstat.c:2967
+#, c-format
+msgid "could not open temporary statistics file \"%s\": %m"
+msgstr "no se pudo abrir el archivo temporal de estadísticas «%s»: %m"
+
+#: postmaster/pgstat.c:3039
+#, c-format
+msgid "could not write temporary statistics file \"%s\": %m"
+msgstr "no se pudo escribir el archivo temporal de estadísticas «%s»: %m"
+
+#: postmaster/pgstat.c:3048
+#, c-format
+msgid "could not close temporary statistics file \"%s\": %m"
+msgstr "no se pudo cerrar el archivo temporal de estadísticas «%s»: %m"
+
+#: postmaster/pgstat.c:3056
+#, c-format
+msgid "could not rename temporary statistics file \"%s\" to \"%s\": %m"
+msgstr ""
+"no se pudo cambiar el nombre al archivo temporal de estadísticas de «%s» a "
+"«%s»: %m"
+
+#: postmaster/pgstat.c:3144 postmaster/pgstat.c:3154 postmaster/pgstat.c:3176
+#: postmaster/pgstat.c:3190 postmaster/pgstat.c:3252 postmaster/pgstat.c:3269
+#: postmaster/pgstat.c:3284 postmaster/pgstat.c:3301 postmaster/pgstat.c:3316
+msgid "corrupted pgstat.stat file"
+msgstr "el archivo pgstat.stat está corrupto"
+
+#: postmaster/pgstat.c:3657
+msgid "database hash table corrupted during cleanup --- abort"
+msgstr ""
+"el hash de bases de datos se corrompió durante la finalización; abortando"
+
+#: postmaster/autovacuum.c:365
+#, c-format
+msgid "could not fork autovacuum launcher process: %m"
+msgstr "no se pudo iniciar el lanzador autovacuum: %m"
+
+#: postmaster/autovacuum.c:529
+msgid "autovacuum launcher started"
+msgstr "lanzador de autovacuum iniciado"
+
+#: postmaster/autovacuum.c:760
+msgid "autovacuum launcher shutting down"
+msgstr "apagando lanzador de autovacuum"
+
+#: postmaster/autovacuum.c:1426
+#, c-format
+msgid "could not fork autovacuum worker process: %m"
+msgstr "no se pudo lanzar el proceso «autovacuum worker»: %m"
+
+#: postmaster/autovacuum.c:1628
+#, c-format
+msgid "autovacuum: processing database \"%s\""
+msgstr "autovacuum: procesando la base de datos «%s»"
+
+#: postmaster/autovacuum.c:1816 utils/init/miscinit.c:1066
+#: utils/init/miscinit.c:1179 utils/init/postinit.c:95
+#: utils/init/postinit.c:135 utils/error/elog.c:1417
+#: access/transam/xlog.c:2334 access/transam/xlog.c:3924
+#: access/transam/xlog.c:4014 access/transam/xlog.c:4112 libpq/hba.c:1272
+#: storage/file/copydir.c:123
+#, c-format
+msgid "could not open file \"%s\": %m"
+msgstr "no se pudo abrir el archivo «%s»: %m"
+
+#: postmaster/autovacuum.c:2008
+#, c-format
+msgid "autovacuum: dropping orphan temp table \"%s\".\"%s\" in database \"%s\""
+msgstr ""
+"autovacuum: eliminando la tabla temporal huérfana «%s».«%s» en la base de "
+"datos «%s»"
+
+#: postmaster/autovacuum.c:2020
+#, c-format
+msgid "autovacuum: found orphan temp table \"%s\".\"%s\" in database \"%s\""
+msgstr ""
+"autovacuum: se encontró una tabla temporal huérfana «%s».«%s» en la base de "
+"datos «%s»"
+
+#: postmaster/autovacuum.c:2290
+#, c-format
+msgid "automatic vacuum of table \"%s.%s.%s\""
+msgstr "vacuum automático de la tabla «%s.%s.%s»"
+
+#: postmaster/autovacuum.c:2293
+#, c-format
+msgid "automatic analyze of table \"%s.%s.%s\""
+msgstr "análisis automático de la tabla «%s.%s.%s»"
+
+#: postmaster/autovacuum.c:2773
+msgid "autovacuum not started because of misconfiguration"
+msgstr "autovacuum no fue iniciado debido a un error de configuración"
+
+#: postmaster/autovacuum.c:2774
+msgid "Enable the \"track_counts\" option."
+msgstr "Active la opción «track_counts»."
+
+#: postmaster/autovacuum.c:2830
+msgid "not enough shared memory for autovacuum"
+msgstr ""
+"el espacio de memoria compartida es insuficiente para el lanzador de "
+"autovacuum"
+
+#: postmaster/syslogger.c:387
+#, c-format
+msgid "select() failed in logger process: %m"
+msgstr "select() falló en proceso de log: %m"
+
+#: postmaster/syslogger.c:399 postmaster/syslogger.c:976
+#, c-format
+msgid "could not read from logger pipe: %m"
+msgstr "no se pudo leer desde la tubería de log: %m"
+
+#: postmaster/syslogger.c:446
+msgid "logger shutting down"
+msgstr "apagando proceso de log"
+
+#: postmaster/syslogger.c:490 postmaster/syslogger.c:504
+#, c-format
+msgid "could not create pipe for syslog: %m"
+msgstr "no se pudo crear la tubería para syslog: %m"
+
+#: postmaster/syslogger.c:524 postmaster/syslogger.c:1015
+#, c-format
+msgid "could not create log file \"%s\": %m"
+msgstr "no se pudo crear archivo de log «%s»: %m"
+
+#: postmaster/syslogger.c:539
+#, c-format
+msgid "could not fork system logger: %m"
+msgstr "no se pudo crear el proceso de log: %m"
+
+#: postmaster/syslogger.c:570
+#, c-format
+msgid "could not redirect stdout: %m"
+msgstr "no se pudo redirigir stdout: %m"
+
+#: postmaster/syslogger.c:575 postmaster/syslogger.c:593
+#, c-format
+msgid "could not redirect stderr: %m"
+msgstr "no se pudo redirigir stderr: %m"
+
+#: postmaster/syslogger.c:931
+#, c-format
+msgid "could not write to log file: %s\n"
+msgstr "no se pudo escribir al archivo de log: %s\n"
+
+#: postmaster/syslogger.c:1086 postmaster/syslogger.c:1144
+#, c-format
+msgid "could not open new log file \"%s\": %m"
+msgstr "no se pudo abrir el nuevo archivo de log «%s»: %m"
+
+#: postmaster/syslogger.c:1098 postmaster/syslogger.c:1156
+msgid "disabling automatic rotation (use SIGHUP to reenable)"
+msgstr "desactivando rotación automática (use SIGHUP para reactivarla)"
+
+#: postmaster/pgarch.c:158
+#, c-format
+msgid "could not fork archiver: %m"
+msgstr "no se pudo lanzar el proceso archivador: %m"
+
+#: postmaster/pgarch.c:450
+msgid "archive_mode enabled, yet archive_command is not set"
+msgstr "archive_mode activado, pero archive_command no está definido"
+
+#: postmaster/pgarch.c:465
+#, c-format
+msgid "transaction log file \"%s\" could not be archived: too many failures"
+msgstr ""
+"el archivo de transacción «%s» no pudo ser archivado: demasiadas fallas"
+
+#: postmaster/pgarch.c:568
+#, c-format
+msgid "archive command failed with exit code %d"
+msgstr "la orden de archivado falló con código de retorno %d"
+
+#: postmaster/pgarch.c:570 postmaster/pgarch.c:580 postmaster/pgarch.c:587
+#: postmaster/pgarch.c:593 postmaster/pgarch.c:602
+#, c-format
+msgid "The failed archive command was: %s"
+msgstr "La orden fallida era: «%s»"
+
+#: postmaster/pgarch.c:577
+#, c-format
+msgid "archive command was terminated by exception 0x%X"
+msgstr "la orden de archivado fue terminada por una excepción 0x%X"
+
+#: postmaster/pgarch.c:579 postmaster/postmaster.c:2735
+msgid ""
+"See C include file \"ntstatus.h\" for a description of the hexadecimal value."
+msgstr ""
+"Vea el archivo «ntstatus.h» para una descripción del valor hexadecimal."
+
+#: postmaster/pgarch.c:584
+#, c-format
+msgid "archive command was terminated by signal %d: %s"
+msgstr "la orden de archivado fue terminada por una señal %d: %s"
+
+#: postmaster/pgarch.c:591
+#, c-format
+msgid "archive command was terminated by signal %d"
+msgstr "la orden de archivado fue terminada por una señal %d"
+
+#: postmaster/pgarch.c:600
+#, c-format
+msgid "archive command exited with unrecognized status %d"
+msgstr "la orden de archivado fue terminada con código no reconocido %d"
+
+#: postmaster/pgarch.c:612
+#, c-format
+msgid "archived transaction log file \"%s\""
+msgstr "el archivo de registro «%s» ha sido archivado"
+
+#: postmaster/pgarch.c:661
+#, c-format
+msgid "could not open archive status directory \"%s\": %m"
+msgstr "no se pudo abrir el directorio de estado de archivado «%s»: %m"
+
+#: postmaster/pgarch.c:715 utils/init/flatfiles.c:289
+#: utils/init/flatfiles.c:673 access/transam/xlog.c:4218
+#: access/transam/xlog.c:5039 access/transam/xlog.c:5092
+#: access/transam/xlog.c:5506
+#, c-format
+msgid "could not rename file \"%s\" to \"%s\": %m"
+msgstr "no se pudo renombrar el archivo de «%s» a «%s»: %m"
+
+#: postmaster/postmaster.c:544
+#, c-format
+msgid "%s: invalid argument for option -f: \"%s\"\n"
+msgstr "%s: argumento no válido para la opción -f: «%s»\n"
+
+#: postmaster/postmaster.c:630
+#, c-format
+msgid "%s: invalid argument for option -t: \"%s\"\n"
+msgstr "%s: argumento no válido para la opción -t: «%s»\n"
+
+#: postmaster/postmaster.c:653 bootstrap/bootstrap.c:294 tcop/postgres.c:3181
+#, c-format
+msgid "--%s requires a value"
+msgstr "--%s requiere un valor"
+
+#: postmaster/postmaster.c:658 bootstrap/bootstrap.c:299 tcop/postgres.c:3186
+#, c-format
+msgid "-c %s requires a value"
+msgstr "-c %s requiere un valor"
+
+#: postmaster/postmaster.c:670 postmaster/postmaster.c:683
+#: bootstrap/bootstrap.c:310
+#, c-format
+msgid "Try \"%s --help\" for more information.\n"
+msgstr "Pruebe «%s --help» para mayor información.\n"
+
+#: postmaster/postmaster.c:681
+#, c-format
+msgid "%s: invalid argument: \"%s\"\n"
+msgstr "%s: argumento no válido: «%s»\n"
+
+#: postmaster/postmaster.c:706
+#, c-format
+msgid "%s: superuser_reserved_connections must be less than max_connections\n"
+msgstr ""
+"%s: superuser_reserved_connections debe ser menor que max_connections\n"
+
+#: postmaster/postmaster.c:716
+#, c-format
+msgid "%s: invalid datetoken tables, please fix\n"
+msgstr "%s: las tablas de palabras clave de fecha no son válidas, arréglelas\n"
+
+#: postmaster/postmaster.c:822
+msgid "invalid list syntax for \"listen_addresses\""
+msgstr "la sintaxis de lista no es válida para el parámetro «listen_addresses»"
+
+#: postmaster/postmaster.c:843
+#, c-format
+msgid "could not create listen socket for \"%s\""
+msgstr "no se pudo crear el socket de escucha para «%s»"
+
+#: postmaster/postmaster.c:849
+msgid "could not create any TCP/IP sockets"
+msgstr "no se pudo crear ningún socket TCP/IP"
+
+#: postmaster/postmaster.c:876
+msgid "could not create Unix-domain socket"
+msgstr "no se pudo crear el socket de dominio Unix"
+
+#: postmaster/postmaster.c:884
+msgid "no socket created for listening"
+msgstr "no se creó el socket de atención"
+
+#: postmaster/postmaster.c:910
+msgid "could not create I/O completion port for child queue"
+msgstr ""
+"no se pudo crear el port E/S de reporte de completitud para la cola de "
+"procesos hijos"
+
+#: postmaster/postmaster.c:954
+#, c-format
+msgid "%s: could not write external PID file \"%s\": %s\n"
+msgstr "%s: no pudo escribir en el archivo externo de PID «%s»: %s\n"
+
+#: postmaster/postmaster.c:1022 postmaster/postmaster.c:3311
+msgid "could not load pg_hba.conf"
+msgstr "no se pudo cargar pg_hba.conf"
+
+#: postmaster/postmaster.c:1069
+#, c-format
+msgid "%s: could not locate matching postgres executable"
+msgstr "%s: no se pudo localizar el ejecutable postgres correspondiente"
+
+#: postmaster/postmaster.c:1090 utils/misc/tzparser.c:345 utils/adt/misc.c:210
+#: utils/adt/genfile.c:240 commands/tablespace.c:581 storage/file/fd.c:1568
+#: storage/file/copydir.c:66
+#, c-format
+msgid "could not open directory \"%s\": %m"
+msgstr "no se pudo abrir el directorio «%s»: %m"
+
+#: postmaster/postmaster.c:1092 utils/misc/tzparser.c:347
+#, c-format
+msgid ""
+"This may indicate an incomplete PostgreSQL installation, or that the file "
+"\"%s\" has been moved away from its proper location."
+msgstr ""
+"Esto puede indicar una instalación de PostgreSQL incompleta, o que el "
+"archivo «%s» ha sido movido de la ubicación adecuada."
+
+#: postmaster/postmaster.c:1120
+#, c-format
+msgid "data directory \"%s\" does not exist"
+msgstr "no existe el directorio de datos «%s»"
+
+#: postmaster/postmaster.c:1125
+#, c-format
+msgid "could not read permissions of directory \"%s\": %m"
+msgstr "no se pudo obtener los permisos del directorio «%s»: %m"
+
+#: postmaster/postmaster.c:1133
+#, c-format
+msgid "specified data directory \"%s\" is not a directory"
+msgstr "el directorio de datos especificado «%s» no es un directorio"
+
+#: postmaster/postmaster.c:1149
+#, c-format
+msgid "data directory \"%s\" has wrong ownership"
+msgstr "el directorio de datos «%s» tiene dueño equivocado"
+
+#: postmaster/postmaster.c:1151
+msgid "The server must be started by the user that owns the data directory."
+msgstr ""
+"El servidor debe ser iniciado por el usuario dueño del directorio de datos."
+
+#: postmaster/postmaster.c:1171
+#, c-format
+msgid "data directory \"%s\" has group or world access"
+msgstr "el directorio de datos «%s» tiene acceso para el grupo u otros"
+
+#: postmaster/postmaster.c:1173
+msgid "Permissions should be u=rwx (0700)."
+msgstr "Los permisos deberían ser u=rwx (0700)."
+
+#: postmaster/postmaster.c:1184
+#, c-format
+msgid ""
+"%s: could not find the database system\n"
+"Expected to find it in the directory \"%s\",\n"
+"but could not open file \"%s\": %s\n"
+msgstr ""
+"%s: no se pudo encontrar el sistema de base de datos.\n"
+"Se esperaba encontrar en el directorio PGDATA «%s»,\n"
+"pero no se pudo abrir el archivo «%s»: %s\n"
+
+#: postmaster/postmaster.c:1232
+#, c-format
+msgid "%s: could not open file \"%s\": %s\n"
+msgstr "%s: no se pudo abrir el archivo «%s»: %s\n"
+
+#: postmaster/postmaster.c:1239
+#, c-format
+msgid "%s: could not open log file \"%s/%s\": %s\n"
+msgstr "%s: no se pudo abrir archivo de log «%s/%s»: %s\n"
+
+#: postmaster/postmaster.c:1250
+#, c-format
+msgid "%s: could not fork background process: %s\n"
+msgstr "%s: no se pudo lanzar el proceso en segundo plano: %s\n"
+
+#: postmaster/postmaster.c:1271
+#, c-format
+msgid "%s: could not dissociate from controlling TTY: %s\n"
+msgstr "%s: no se pudo disociar del TTY de control: %s\n"
+
+#: postmaster/postmaster.c:1363
+#, c-format
+msgid "select() failed in postmaster: %m"
+msgstr "select() falló en postmaster: %m"
+
+#: postmaster/postmaster.c:1520 postmaster/postmaster.c:1551
+msgid "incomplete startup packet"
+msgstr "el paquete de inicio está incompleto"
+
+#: postmaster/postmaster.c:1532
+msgid "invalid length of startup packet"
+msgstr "el de paquete de inicio tiene largo incorrecto"
+
+#: postmaster/postmaster.c:1588
+#, c-format
+msgid "failed to send SSL negotiation response: %m"
+msgstr "no se pudo enviar la respuesta de negociación SSL: %m"
+
+#: postmaster/postmaster.c:1617
+#, c-format
+msgid "unsupported frontend protocol %u.%u: server supports %u.0 to %u.%u"
+msgstr ""
+"el protocolo %u.%u no está soportado: servidor soporta %u.0 hasta %u.%u"
+
+#: postmaster/postmaster.c:1683
+msgid "invalid startup packet layout: expected terminator as last byte"
+msgstr ""
+"el paquete de inicio no es válido: se esperaba un terminador en el último "
+"byte"
+
+#: postmaster/postmaster.c:1711
+msgid "no PostgreSQL user name specified in startup packet"
+msgstr "no se especifica un nombre de usuario en el paquete de inicio"
+
+#: postmaster/postmaster.c:1764
+msgid "the database system is starting up"
+msgstr "el sistema de base de datos está iniciándose"
+
+#: postmaster/postmaster.c:1769
+msgid "the database system is shutting down"
+msgstr "el sistema de base de datos está apagándose"
+
+#: postmaster/postmaster.c:1774
+msgid "the database system is in recovery mode"
+msgstr "el sistema de base de datos está en modo de recuperación"
+
+#: postmaster/postmaster.c:1779 storage/ipc/procarray.c:151
+#: storage/ipc/sinvaladt.c:293 storage/lmgr/proc.c:275
+msgid "sorry, too many clients already"
+msgstr "lo siento, ya tenemos demasiados clientes"
+
+#: postmaster/postmaster.c:1841
+#, c-format
+msgid "wrong key in cancel request for process %d"
+msgstr "llave incorrecta en la petición de cancelación para el proceso %d"
+
+#: postmaster/postmaster.c:1849
+#, c-format
+msgid "PID %d in cancel request did not match any process"
+msgstr ""
+"el PID %d en la petición de cancelación no coincidió con ningún proceso"
+
 #: postmaster/postmaster.c:1916 postmaster/postmaster.c:1949
 #: postmaster/postmaster.c:3027 postmaster/postmaster.c:3777
 #: postmaster/postmaster.c:3858 postmaster/postmaster.c:4427
+#: utils/hash/dynahash.c:363 utils/hash/dynahash.c:435
+#: utils/hash/dynahash.c:929 utils/misc/guc.c:2757 utils/misc/guc.c:2770
+#: utils/misc/guc.c:2783 utils/init/miscinit.c:212 utils/init/miscinit.c:233
+#: utils/init/miscinit.c:243 utils/fmgr/dfmgr.c:224 utils/mb/mbutils.c:335
+#: utils/mb/mbutils.c:596 utils/mmgr/aset.c:385 utils/mmgr/aset.c:564
+#: utils/mmgr/aset.c:747 utils/mmgr/aset.c:953 utils/adt/regexp.c:209
+#: utils/adt/varlena.c:3037 utils/adt/varlena.c:3058
 #: utils/adt/formatting.c:1493 utils/adt/formatting.c:1549
-#: utils/adt/formatting.c:1606 utils/adt/regexp.c:209 utils/adt/varlena.c:3037
-#: utils/adt/varlena.c:3058 utils/mmgr/aset.c:385 utils/mmgr/aset.c:564
-#: utils/mmgr/aset.c:747 utils/mmgr/aset.c:953 utils/misc/guc.c:2757
-#: utils/misc/guc.c:2770 utils/misc/guc.c:2783 utils/mb/mbutils.c:335
-#: utils/mb/mbutils.c:596 utils/fmgr/dfmgr.c:224 utils/hash/dynahash.c:363
-#: utils/hash/dynahash.c:435 utils/hash/dynahash.c:929
-#: utils/init/miscinit.c:212 utils/init/miscinit.c:233
-#: utils/init/miscinit.c:243
+#: utils/adt/formatting.c:1606 lib/stringinfo.c:245 commands/sequence.c:928
+#: libpq/auth.c:911 libpq/auth.c:1271 libpq/auth.c:1339 libpq/auth.c:1926
+#: storage/file/fd.c:338 storage/file/fd.c:721 storage/file/fd.c:839
+#: storage/ipc/procarray.c:392 storage/ipc/procarray.c:720
+#: storage/ipc/procarray.c:727 storage/buffer/localbuf.c:347
+#: storage/buffer/buf_init.c:164
 msgid "out of memory"
 msgstr "memoria agotada"
 
-#: libpq/auth.c:947
-#, c-format
-msgid "expected GSS response, got message type %d"
-msgstr "se esperaba una respuesta GSS, se obtuvo mensaje de tipo %d"
-
-#: libpq/auth.c:1010
-msgid "accepting GSS security context failed"
-msgstr "falló la aceptación del contexto de seguridad GSS"
-
-#: libpq/auth.c:1036
-msgid "retrieving GSS user name failed"
-msgstr "falló la obtención del nombre de usuario GSS"
-
-#: libpq/auth.c:1109
-#, c-format
-msgid "SSPI error %x"
-msgstr "error SSPI %x"
-
-#: libpq/auth.c:1113
-#, c-format
-msgid "%s (%x)"
-msgstr "%s (%x)"
-
-#: libpq/auth.c:1153
-msgid "SSPI is not supported in protocol version 2"
-msgstr "SSPI no está soportado por el protocolo versión 2"
-
-#: libpq/auth.c:1168
-msgid "could not acquire SSPI credentials"
-msgstr "no se pudo obtener las credenciales SSPI"
-
-#: libpq/auth.c:1185
-#, c-format
-msgid "expected SSPI response, got message type %d"
-msgstr "se esperaba una respuesta SSPI, se obtuvo mensaje de tipo %d"
-
-#: libpq/auth.c:1257
-msgid "could not accept SSPI security context"
-msgstr "no se pudo aceptar un contexto SSPI"
-
-#: libpq/auth.c:1319
-msgid "could not get token from SSPI security context"
-msgstr ""
-"no se pudo obtener un testigo (token) desde el contexto de seguridad SSPI"
-
-#: libpq/auth.c:1562
-#, c-format
-msgid "could not create socket for Ident connection: %m"
-msgstr "no se pudo crear un socket para conexión Ident: %m"
-
-#: libpq/auth.c:1577
-#, c-format
-msgid "could not bind to local address \"%s\": %m"
-msgstr "no se pudo enlazar a la dirección local «%s»: %m"
-
-#: libpq/auth.c:1589
-#, c-format
-msgid "could not connect to Ident server at address \"%s\", port %s: %m"
-msgstr "no se pudo conectar al servidor Ident «%s», port %s: %m"
-
-#: libpq/auth.c:1609
-#, c-format
-msgid "could not send query to Ident server at address \"%s\", port %s: %m"
-msgstr "no se pudo enviar consulta Ident al servidor «%s», port %s: %m"
-
-#: libpq/auth.c:1624
-#, c-format
-msgid ""
-"could not receive response from Ident server at address \"%s\", port %s: %m"
-msgstr "no se pudo recibir respuesta Ident desde el servidor «%s», port %s: %m"
-
-#: libpq/auth.c:1634
-#, c-format
-msgid "invalidly formatted response from Ident server: \"%s\""
-msgstr "respuesta del servidor Ident en formato no válido: «%s»"
-
-#: libpq/auth.c:1669 libpq/auth.c:1699 libpq/auth.c:1727 libpq/auth.c:1800
-#, c-format
-msgid "could not get peer credentials: %m"
-msgstr "no se pudo recibir credenciales: %m"
-
-#: libpq/auth.c:1678 libpq/auth.c:1708 libpq/auth.c:1745 libpq/auth.c:1824
-#, c-format
-msgid "local user with ID %d does not exist"
-msgstr "no existe un usuario local con ID %d"
-
-#: libpq/auth.c:1735
-#, c-format
-msgid "could not get effective UID from peer credentials: %m"
-msgstr "no se pudo obtener el UID efectivo desde las credenciales del par: %m"
-
-#: libpq/auth.c:1813
-msgid "could not get peer credentials: incorrect control message"
-msgstr "no se pudo recibir credenciales: mensaje de control incorrecto"
-
-#: libpq/auth.c:1835
-msgid ""
-"Ident authentication is not supported on local connections on this platform"
-msgstr "esta plataforma no soporta autentificación Ident en conexiones locales"
-
-#: libpq/auth.c:1955 libpq/auth.c:2135
-msgid "empty password returned by client"
-msgstr "el cliente retornó una contraseña vacía"
-
-#: libpq/auth.c:1965
-#, c-format
-msgid "error from underlying PAM layer: %s"
-msgstr "se ha recibido un error de la biblioteca PAM: %s"
-
-#: libpq/auth.c:2034
-#, c-format
-msgid "could not create PAM authenticator: %s"
-msgstr "no se pudo crear autenticador PAM: %s"
-
-#: libpq/auth.c:2045
-#, c-format
-msgid "pam_set_item(PAM_USER) failed: %s"
-msgstr "pam_set_item(PAM_USER) falló: %s"
-
-#: libpq/auth.c:2056
-#, c-format
-msgid "pam_set_item(PAM_CONV) failed: %s"
-msgstr "pam_set_item(PAM_CONV) falló: %s"
-
-#: libpq/auth.c:2067
-#, c-format
-msgid "pam_authenticate failed: %s"
-msgstr "pam_authenticate falló: %s"
-
-#: libpq/auth.c:2078
-#, c-format
-msgid "pam_acct_mgmt failed: %s"
-msgstr "pam_acct_mgmt falló: %s"
-
-#: libpq/auth.c:2089
-#, c-format
-msgid "could not release PAM authenticator: %s"
-msgstr "no se pudo liberar autenticador PAM: %s"
-
-#: libpq/auth.c:2119
-msgid "LDAP server not specified"
-msgstr "servidor LDAP no especificado"
-
-#: libpq/auth.c:2144 libpq/auth.c:2148
-#, c-format
-msgid "could not initialize LDAP: error code %d"
-msgstr "no se pudo inicializar LDAP: código de error %d"
-
-#: libpq/auth.c:2158
-#, c-format
-msgid "could not set LDAP protocol version: error code %d"
-msgstr "no se pudo definir la versión de protocolo LDAP: código de error %d"
-
-#: libpq/auth.c:2187
-msgid "could not load wldap32.dll"
-msgstr "no se pudo cargar wldap32.dll"
-
-#: libpq/auth.c:2195
-msgid "could not load function _ldap_start_tls_sA in wldap32.dll"
-msgstr "no se pudo cargar la función _ldap_start_tls_sA en wldap32.dll"
-
-#: libpq/auth.c:2196
-msgid "LDAP over SSL is not supported on this platform."
-msgstr "LDAP sobre SSL no está soportado en esta plataforma."
-
-#: libpq/auth.c:2211
-#, c-format
-msgid "could not start LDAP TLS session: error code %d"
-msgstr "no se pudo iniciar sesión de LDAP TLS: código de error %d"
-
-#: libpq/auth.c:2228
-#, c-format
-msgid "LDAP login failed for user \"%s\" on server \"%s\": error code %d"
-msgstr ""
-"Falló el inicio de sesión LDAP para el usuario «%s» en el servidor «%s»: "
-"código de error %d"
-
-#: libpq/auth.c:2253
-#, c-format
-msgid ""
-"Certificate login failed for user \"%s\": client certificate contains no "
-"username"
-msgstr ""
-"Inicio de sesión con certificado falló para el usuario «%s»: el certificado "
-"de cliente no contiene un nombre de usuario"
-
-#: libpq/be-fsstubs.c:127 libpq/be-fsstubs.c:157 libpq/be-fsstubs.c:172
-#: libpq/be-fsstubs.c:197 libpq/be-fsstubs.c:244 libpq/be-fsstubs.c:483
-#, c-format
-msgid "invalid large-object descriptor: %d"
-msgstr "el descriptor de objeto grande no es válido: %d"
-
-#: libpq/be-fsstubs.c:177
-#, c-format
-msgid "large object descriptor %d was not opened for writing"
-msgstr "el descriptor de objeto grande %d no fue abierto para escritura"
-
-#: libpq/be-fsstubs.c:357
-msgid "must be superuser to use server-side lo_import()"
-msgstr ""
-"debe ser superusuario para utilizar lo_import() en el extremo del servidor"
-
-#: libpq/be-fsstubs.c:358
-msgid "Anyone can use the client-side lo_import() provided by libpq."
-msgstr ""
-"Todos los usuarios pueden utilizar lo_import() de cliente proporcionada por "
-"libpq."
-
-#: libpq/be-fsstubs.c:371
-#, c-format
-msgid "could not open server file \"%s\": %m"
-msgstr "no se pudo abrir el archivo de servidor «%s»: %m"
-
-#: libpq/be-fsstubs.c:393
-#, c-format
-msgid "could not read server file \"%s\": %m"
-msgstr "no se pudo leer el archivo de servidor «%s»: %m"
-
-#: libpq/be-fsstubs.c:423
-msgid "must be superuser to use server-side lo_export()"
-msgstr ""
-"debe ser superusuario para utilizar lo_export() en el extremo del servidor"
-
-#: libpq/be-fsstubs.c:424
-msgid "Anyone can use the client-side lo_export() provided by libpq."
-msgstr ""
-"Todos los usuarios pueden utilizar lo_export() de cliente proporcionada por "
-"libpq."
-
-#: libpq/be-fsstubs.c:448
-#, c-format
-msgid "could not create server file \"%s\": %m"
-msgstr "no se pudo crear el archivo del servidor «%s»: %m"
-
-#: libpq/be-fsstubs.c:460
-#, c-format
-msgid "could not write server file \"%s\": %m"
-msgstr "no se pudo escribir el archivo del servidor «%s»: %m"
-
-#: libpq/be-secure.c:277 libpq/be-secure.c:372
-#, c-format
-msgid "SSL error: %s"
-msgstr "error SSL: %s"
-
-#: libpq/be-secure.c:286 libpq/be-secure.c:381 libpq/be-secure.c:943
-#, c-format
-msgid "unrecognized SSL error code: %d"
-msgstr "código de error SSL no reconocido: %d"
-
-#: libpq/be-secure.c:325 libpq/be-secure.c:329 libpq/be-secure.c:339
-msgid "SSL renegotiation failure"
-msgstr "ocurrió una falla en renegociación SSL"
-
-#: libpq/be-secure.c:333
-msgid "SSL failed to send renegotiation request"
-msgstr "SSL no pudo enviar una petición de renegociación"
-
-#: libpq/be-secure.c:729
-#, c-format
-msgid "could not create SSL context: %s"
-msgstr "no se pudo crear un contexto SSL: %s"
-
-#: libpq/be-secure.c:745
-#, c-format
-msgid "could not load server certificate file \"%s\": %s"
-msgstr "no se pudo cargar el archivo de certificado de servidor «%s»: %s"
-
-#: libpq/be-secure.c:751
-#, c-format
-msgid "could not access private key file \"%s\": %m"
-msgstr "no se pudo acceder al archivo de la llave privada «%s»: %m"
-
-#: libpq/be-secure.c:766
-#, c-format
-msgid "private key file \"%s\" has group or world access"
-msgstr "el archivo de la llave privada «%s» tiene acceso para el grupo u otros"
-
-#: libpq/be-secure.c:768
-msgid "Permissions should be u=rw (0600) or less."
-msgstr "Los permisos deberían ser u=rw (0500) o menos."
-
-#: libpq/be-secure.c:775
-#, c-format
-msgid "could not load private key file \"%s\": %s"
-msgstr "no se pudo cargar el archivo de la llave privada «%s»: %s"
-
-#: libpq/be-secure.c:780
-#, c-format
-msgid "check of private key failed: %s"
-msgstr "falló la revisión de la llave privada: %s"
-
-#: libpq/be-secure.c:809
-#, c-format
-msgid "could not access root certificate file \"%s\": %m"
-msgstr "no se pudo acceder al archivo del certificado raíz «%s»: %m"
-
-#: libpq/be-secure.c:822
-#, c-format
-msgid "could not load root certificate file \"%s\": %s"
-msgstr "no se pudo cargar el archivo del certificado raíz «%s»: %s"
-
-#: libpq/be-secure.c:844
-#, c-format
-msgid "SSL certificate revocation list file \"%s\" ignored"
-msgstr "ignorando lista de revocación de certificado SSL «%s»"
-
-#: libpq/be-secure.c:846
-msgid "SSL library does not support certificate revocation lists."
-msgstr "La libreria SSL no soporta listas de revocación de certificados."
-
-#: libpq/be-secure.c:852
-#, c-format
-msgid "SSL certificate revocation list file \"%s\" not found, skipping: %s"
-msgstr ""
-"lista de revocación de certificados SSL «%s» no encontrada, ignorando: %s"
-
-#: libpq/be-secure.c:854
-msgid "Certificates will not be checked against revocation list."
-msgstr "Certificados no serán verificados en las listas de revocación."
-
-#: libpq/be-secure.c:888
-#, c-format
-msgid "could not initialize SSL connection: %s"
-msgstr "no se pudo inicializar la conexión SSL: %s"
-
-#: libpq/be-secure.c:897
-#, c-format
-msgid "could not set SSL socket: %s"
-msgstr "no se definir un socket SSL: %s"
-
-#: libpq/be-secure.c:923
-#, c-format
-msgid "could not accept SSL connection: %m"
-msgstr "no se pudo aceptar una conexión SSL: %m"
-
-#: libpq/be-secure.c:927 libpq/be-secure.c:938
-msgid "could not accept SSL connection: EOF detected"
-msgstr "no se pudo aceptar una conexión SSL: se detectó EOF"
-
-#: libpq/be-secure.c:932
-#, c-format
-msgid "could not accept SSL connection: %s"
-msgstr "no se pudo aceptar una conexión SSL: %s"
-
-#: libpq/be-secure.c:983
-msgid "SSL certificate's common name contains embedded null"
-msgstr "el «common name» del certificado SSL contiene un carácter null"
-
-#: libpq/be-secure.c:990
-#, c-format
-msgid "SSL connection from \"%s\""
-msgstr "conexión SSL desde «%s»"
-
-#: libpq/be-secure.c:1034
-msgid "no SSL error reported"
-msgstr "código de error SSL no reportado"
-
-#: libpq/be-secure.c:1038
-#, c-format
-msgid "SSL error code %lu"
-msgstr "código de error SSL %lu"
-
-#: libpq/hba.c:160
-#, c-format
-msgid "authentication file token too long, skipping: \"%s\""
-msgstr ""
-"una palabra en el archivo de autentificación es demasiado larga, ignorando: "
-"«%s»"
-
-#: libpq/hba.c:352
-#, c-format
-msgid "could not open secondary authentication file \"@%s\" as \"%s\": %m"
-msgstr ""
-"no se pudo abrir el archivo secundario de autentificación «@%s» como «%s»: %m"
-
-#. translator: the second %s is a list of auth methods
-#: libpq/hba.c:593
-#, c-format
-msgid ""
-"authentication option \"%s\" is only valid for authentication methods %s"
-msgstr ""
-"la opción de autentificación «%s» sólo es válida para los métodos de "
-"autentificación %s"
-
-#: libpq/hba.c:595 libpq/hba.c:611 libpq/hba.c:660 libpq/hba.c:669
-#: libpq/hba.c:692 libpq/hba.c:704 libpq/hba.c:717 libpq/hba.c:732
-#: libpq/hba.c:762 libpq/hba.c:784 libpq/hba.c:801 libpq/hba.c:814
-#: libpq/hba.c:842 libpq/hba.c:910 libpq/hba.c:921 libpq/hba.c:933
-#: libpq/hba.c:944 libpq/hba.c:960 libpq/hba.c:983 libpq/hba.c:1012
-#: libpq/hba.c:1024 libpq/hba.c:1037 libpq/hba.c:1071 libpq/hba.c:1115
-#: tsearch/ts_locale.c:173
-#, c-format
-msgid "line %d of configuration file \"%s\""
-msgstr "línea %d del archivo de configuración «%s»"
-
-#: libpq/hba.c:609
-#, c-format
-msgid "authentication method \"%s\" requires argument \"%s\" to be set"
-msgstr ""
-"el método de autentificación «%s» requiere que el argumento «%s» esté "
-"definido"
-
-#: libpq/hba.c:658
-msgid "hostssl requires SSL to be turned on"
-msgstr "hostssl requiere que SSL esté activado"
-
-#: libpq/hba.c:659
-msgid "Set ssl = on in postgresql.conf."
-msgstr "Defina «ssl = on» en postgresql.conf."
-
-#: libpq/hba.c:667
-msgid "hostssl not supported on this platform"
-msgstr "hostssl no están soportados en esta plataforma"
-
-#: libpq/hba.c:668
-msgid "compile with --enable-ssl to use SSL connections"
-msgstr "compile con --enable-ssl para usar conexiones SSL"
-
-#: libpq/hba.c:690
-#, c-format
-msgid "invalid connection type \"%s\""
-msgstr "tipo de conexión «%s» no válido"
-
-#: libpq/hba.c:703
-msgid "end-of-line before database specification"
-msgstr "fin de línea antes de especificación de base de datos"
-
-#: libpq/hba.c:716
-msgid "end-of-line before role specification"
-msgstr "fin de línea antes de especificación de rol"
-
-#: libpq/hba.c:731
-msgid "end-of-line before IP address specification"
-msgstr "fin de línea antes de especificación de dirección IP"
-
-#: libpq/hba.c:760
-#, c-format
-msgid "invalid IP address \"%s\": %s"
-msgstr "dirección IP «%s» no válida: %s"
-
-#: libpq/hba.c:782
-#, c-format
-msgid "invalid CIDR mask in address \"%s\""
-msgstr "máscara CIDR no válida en dirección «%s»"
-
-#: libpq/hba.c:800
-msgid "end-of-line before netmask specification"
-msgstr "fin de línea antes de especificación de máscara de red"
-
-#: libpq/hba.c:812
-#, c-format
-msgid "invalid IP mask \"%s\": %s"
-msgstr "máscara IP «%s» no válida: %s"
-
-#: libpq/hba.c:828
-#, c-format
-msgid "IP address and mask do not match in file \"%s\" line %d"
-msgstr "La dirección y máscara IP no coinciden en el archivo «%s», línea %d"
-
-#: libpq/hba.c:841
-msgid "end-of-line before authentication method"
-msgstr "fin de línea antes de especificación de método de autentificación"
-
-#: libpq/hba.c:908
-#, c-format
-msgid "invalid authentication method \"%s\""
-msgstr "método de autentificación «%s» no válido"
-
-#: libpq/hba.c:919
-#, c-format
-msgid "invalid authentication method \"%s\": not supported on this platform"
-msgstr ""
-"método de autentificación «%s» no válido: esta plataforma no lo soporta"
-
-#: libpq/hba.c:932
-msgid "krb5 authentication is not supported on local sockets"
-msgstr "la autentificación krb5 no está soportada en conexiones locales"
-
-#: libpq/hba.c:943
-msgid "gssapi authentication is not supported on local sockets"
-msgstr "la autentificación gssapi no está soportada en conexiones locales"
-
-#: libpq/hba.c:959
-msgid "cert authentication is only supported on hostssl connections"
-msgstr "la autentificación cert sólo está soportada en conexiones hostssl"
-
-#: libpq/hba.c:982
-#, c-format
-msgid "authentication option not in name=value format: %s"
-msgstr "opción de autentificación en formato nombre=valor: %s"
-
-#: libpq/hba.c:997
-msgid "ident, krb5, gssapi, sspi and cert"
-msgstr "ident, krb5, gssapi, sspi y cert"
-
-#: libpq/hba.c:1011
-msgid "clientcert can only be configured for \"hostssl\" rows"
-msgstr "clientcert sólo puede ser configurado en líneas «hostssl»"
-
-#: libpq/hba.c:1022
-msgid ""
-"client certificates can only be checked if a root certificate store is "
-"available"
-msgstr ""
-"los certificados de cliente sólo pueden verificarse si un almacén de "
-"certificado raíz está disponible"
-
-#: libpq/hba.c:1023
-msgid "make sure the root certificate store is present and readable"
-msgstr ""
-"asegúrese que el almacén de certificado raíz está presente y es legible"
-
-#: libpq/hba.c:1036
-msgid "clientcert can not be set to 0 when using \"cert\" authentication"
-msgstr ""
-"clientcert no puede establecerse en 0 cuando se emplea autentificación «cert»"
-
-#: libpq/hba.c:1070
-#, c-format
-msgid "invalid LDAP port number: \"%s\""
-msgstr "número de puerto LDP no válido: «%s»"
-
-#: libpq/hba.c:1096 libpq/hba.c:1104
-msgid "krb5, gssapi and sspi"
-msgstr "krb5, gssapi y sspi"
-
-#: libpq/hba.c:1114
-#, c-format
-msgid "unknown authentication option name: \"%s\""
-msgstr "nombre de opción de autentificación desconocido: «%s»"
-
-#: libpq/hba.c:1272 access/transam/xlog.c:2334 access/transam/xlog.c:3924
-#: access/transam/xlog.c:4014 access/transam/xlog.c:4112
-#: storage/file/copydir.c:123 postmaster/autovacuum.c:1816
-#: utils/error/elog.c:1399 utils/init/miscinit.c:1066
-#: utils/init/miscinit.c:1179 utils/init/postinit.c:95
-#: utils/init/postinit.c:135
-#, c-format
-msgid "could not open file \"%s\": %m"
-msgstr "no se pudo abrir el archivo «%s»: %m"
-
-#: libpq/hba.c:1364 guc-file.l:404
+#: postmaster/postmaster.c:2046
+msgid "received SIGHUP, reloading configuration files"
+msgstr "se recibió SIGHUP, releyendo el archivo de configuración"
+
+#: postmaster/postmaster.c:2067
+msgid "pg_hba.conf not reloaded"
+msgstr "pg_hba.conf no ha sido recargado"
+
+#: postmaster/postmaster.c:2110
+msgid "received smart shutdown request"
+msgstr "se recibió petición de apagado inteligente"
+
+#: postmaster/postmaster.c:2146
+msgid "received fast shutdown request"
+msgstr "se recibió petición de apagado rápido"
+
+#: postmaster/postmaster.c:2161
+msgid "aborting any active transactions"
+msgstr "abortando transacciones activas"
+
+#: postmaster/postmaster.c:2189
+msgid "received immediate shutdown request"
+msgstr "se recibió petición de apagado inmediato"
+
+#: postmaster/postmaster.c:2263 postmaster/postmaster.c:2291
+msgid "startup process"
+msgstr "proceso de inicio"
+
+#: postmaster/postmaster.c:2266
+msgid "aborting startup due to startup process failure"
+msgstr "abortando el inicio debido a una falla en el procesamiento de inicio"
+
+#: postmaster/postmaster.c:2331
+msgid "database system is ready to accept connections"
+msgstr "el sistema de bases de datos está listo para aceptar conexiones"
+
+#: postmaster/postmaster.c:2383
+msgid "background writer process"
+msgstr "proceso background writer"
+
+#: postmaster/postmaster.c:2399
+msgid "WAL writer process"
+msgstr "proceso escritor de WAL"
+
+#: postmaster/postmaster.c:2414
+msgid "autovacuum launcher process"
+msgstr "proceso lanzador de autovacuum"
+
+#: postmaster/postmaster.c:2428
+msgid "archiver process"
+msgstr "proceso de archivado"
+
+#: postmaster/postmaster.c:2446
+msgid "statistics collector process"
+msgstr "recolector de estadísticas"
+
+#: postmaster/postmaster.c:2460
+msgid "system logger process"
+msgstr "proceso de log"
+
+#: postmaster/postmaster.c:2495 postmaster/postmaster.c:2511
+#: postmaster/postmaster.c:2518 postmaster/postmaster.c:2536
+msgid "server process"
+msgstr "proceso de servidor"
+
+#: postmaster/postmaster.c:2572
+msgid "terminating any other active server processes"
+msgstr "terminando todos los otros procesos de servidor activos"
+
+#. translator: %s is a noun phrase describing a child process, such as
+#. "server process"
+#: postmaster/postmaster.c:2724
+#, c-format
+msgid "%s (PID %d) exited with exit code %d"
+msgstr "%s (PID %d) terminó con código de salida %d"
+
+#. translator: %s is a noun phrase describing a child process, such as
+#. "server process"
+#: postmaster/postmaster.c:2733
+#, c-format
+msgid "%s (PID %d) was terminated by exception 0x%X"
+msgstr "%s (PID %d) fue terminado por una excepción 0x%X"
+
+#. translator: %s is a noun phrase describing a child process, such as
+#. "server process"
+#: postmaster/postmaster.c:2742
+#, c-format
+msgid "%s (PID %d) was terminated by signal %d: %s"
+msgstr "%s (PID %d) fue terminado por una señal %d: %s"
+
+#. translator: %s is a noun phrase describing a child process, such as
+#. "server process"
+#: postmaster/postmaster.c:2752
+#, c-format
+msgid "%s (PID %d) was terminated by signal %d"
+msgstr "%s (PID %d) fue terminado por una señal %d"
+
+#. translator: %s is a noun phrase describing a child process, such as
+#. "server process"
+#: postmaster/postmaster.c:2761
+#, c-format
+msgid "%s (PID %d) exited with unrecognized status %d"
+msgstr "%s (PID %d) terminó con código no reconocido %d"
+
+#: postmaster/postmaster.c:2898
+msgid "abnormal database system shutdown"
+msgstr "apagado anormal del sistema de bases de datos"
+
+#: postmaster/postmaster.c:2930
+msgid "all server processes terminated; reinitializing"
+msgstr "todos los procesos fueron terminados; reinicializando"
+
+#: postmaster/postmaster.c:3095
+#, c-format
+msgid "could not fork new process for connection: %m"
+msgstr "no se pudo lanzar el nuevo proceso para la conexión: %m"
+
+#: postmaster/postmaster.c:3137
+msgid "could not fork new process for connection: "
+msgstr "no se pudo lanzar el nuevo proceso para la conexión: "
+
+#: postmaster/postmaster.c:3277
+#, c-format
+msgid "connection received: host=%s%s%s"
+msgstr "conexión recibida: host=%s%s%s"
+
+#: postmaster/postmaster.c:3356
+#, c-format
+msgid "connection authorized: user=%s database=%s"
+msgstr "conexión autorizada: usuario=%s database=%s"
+
+#: postmaster/postmaster.c:3557 access/transam/xlog.c:2216
+#: access/transam/xlog.c:2349 access/transam/xlog.c:4093
+#: access/transam/xlog.c:7424 access/transam/xlog.c:7559
+#: storage/file/copydir.c:130
+#, c-format
+msgid "could not create file \"%s\": %m"
+msgstr "no se pudo crear archivo «%s»: %m"
+
+#: postmaster/postmaster.c:3567 postmaster/postmaster.c:3577
+#: utils/misc/guc.c:6836 utils/misc/guc.c:6861 utils/init/miscinit.c:1115
+#: utils/init/miscinit.c:1124 utils/init/miscinit.c:1131
+#: access/transam/xlog.c:2248 access/transam/xlog.c:2381
+#: access/transam/xlog.c:4145 access/transam/xlog.c:4183 commands/copy.c:1290
+#: commands/tablespace.c:706 commands/tablespace.c:712
+#: storage/file/copydir.c:155
+#, c-format
+msgid "could not write to file \"%s\": %m"
+msgstr "no se pudo escribir a archivo «%s»: %m"
+
+#: postmaster/postmaster.c:3596
+#, c-format
+msgid "could not execute server process \"%s\": %m"
+msgstr "no se pudo lanzar el proceso servidor «%s»: %m"
+
+#: postmaster/postmaster.c:4117
+msgid "database system is in consistent recovery mode"
+msgstr "el sistema de base de datos está en modo consistente de recuperación"
+
+#: postmaster/postmaster.c:4334
+#, c-format
+msgid "could not fork startup process: %m"
+msgstr "no se pudo lanzar el proceso de inicio: %m"
+
+#: postmaster/postmaster.c:4338
+#, c-format
+msgid "could not fork background writer process: %m"
+msgstr "no se pudo lanzar el background writer: %m"
+
+#: postmaster/postmaster.c:4342
+#, c-format
+msgid "could not fork WAL writer process: %m"
+msgstr "no se pudo lanzar el proceso escritor de WAL: %m"
+
+#: postmaster/postmaster.c:4346
+#, c-format
+msgid "could not fork process: %m"
+msgstr "No se pudo lanzar el proceso: %m"
+
+#: postmaster/postmaster.c:4620
+#, c-format
+msgid "could not duplicate socket %d for use in backend: error code %d"
+msgstr ""
+"no se pudo duplicar el socket %d para su empleo en el backend: código de "
+"error %d"
+
+#: postmaster/postmaster.c:4649
+#, c-format
+msgid "could not create inherited socket: error code %d\n"
+msgstr "no se pudo crear el socket heradado: código de error %d\n"
+
+#: postmaster/postmaster.c:4678 postmaster/postmaster.c:4685
+#, c-format
+msgid "could not read from backend variables file \"%s\": %s\n"
+msgstr "no se pudo leer el archivo de variables de servidor «%s»: %s\n"
+
+#: postmaster/postmaster.c:4694
+#, c-format
+msgid "could not remove file \"%s\": %s\n"
+msgstr "no se pudo eliminar el archivo «%s»: %s\n"
+
+#: postmaster/postmaster.c:4707
+#, c-format
+msgid "could not map view of backend variables: error code %d\n"
+msgstr ""
+"no se pudo mapear la vista del archivo de variables: código de error %d\n"
+
+#: postmaster/postmaster.c:4716
+#, c-format
+msgid "could not unmap view of backend variables: error code %d\n"
+msgstr ""
+"no se pudo desmapear la vista del archivo de variables: código de error %d\n"
+
+#: postmaster/postmaster.c:4723
+#, c-format
+msgid "could not close handle to backend parameter variables: error code %d\n"
+msgstr ""
+"no se pudo cerrar el archivo de variables de servidor: código de error %d\n"
+
+#: postmaster/postmaster.c:4866
+msgid "could not read exit code for process\n"
+msgstr "no se pudo leer el código de salida del proceso\n"
+
+#: postmaster/postmaster.c:4871
+msgid "could not post child completion status\n"
+msgstr "no se pudo publicar el estado de completitud del proceso hijo\n"
+
+#: utils/cache/ts_cache.c:624 commands/tsearchcmds.c:1562
+#: commands/tsearchcmds.c:1722 catalog/namespace.c:1960
+#, c-format
+msgid "text search configuration \"%s\" does not exist"
+msgstr "no existe la configuración de búsqueda en texto «%s»"
+
+#: utils/cache/plancache.c:541
+msgid "cached plan must not change result type"
+msgstr "el plan almacenado no debe cambiar el tipo de resultado"
+
+#: utils/cache/relcache.c:3859
+#, c-format
+msgid "could not create relation-cache initialization file \"%s\": %m"
+msgstr "no se pudo crear el archivo de cache de catálogos de sistema «%s»: %m"
+
+#: utils/cache/relcache.c:3861
+msgid "Continuing anyway, but there's something wrong."
+msgstr "Prosiguiendo de todas maneras, pero hay algo mal."
+
+#: utils/cache/relcache.c:4063
+#, c-format
+msgid "could not remove cache file \"%s\": %m"
+msgstr "no se pudo eliminar el archivo de cache «%s»: %m"
+
+#: utils/cache/lsyscache.c:2319 utils/cache/lsyscache.c:2354
+#: utils/cache/lsyscache.c:2389 utils/cache/lsyscache.c:2424
+#, c-format
+msgid "type %s is only a shell"
+msgstr "el tipo %s está inconcluso"
+
+#: utils/cache/lsyscache.c:2324
+#, c-format
+msgid "no input function available for type %s"
+msgstr "no hay una función de entrada para el tipo %s"
+
+#: utils/cache/lsyscache.c:2359
+#, c-format
+msgid "no output function available for type %s"
+msgstr "no hay una función de salida para el tipo %s"
+
+#: utils/cache/lsyscache.c:2394 utils/adt/arrayfuncs.c:1241
+#, c-format
+msgid "no binary input function available for type %s"
+msgstr "no hay una función binaria de entrada para el tipo %s"
+
+#: utils/cache/lsyscache.c:2429 utils/adt/arrayfuncs.c:1463
+#, c-format
+msgid "no binary output function available for type %s"
+msgstr "no hay una función binaria de salida para el tipo %s"
+
+#: utils/cache/lsyscache.c:2762 utils/init/miscinit.c:480
+#: commands/variable.c:737 commands/variable.c:853 commands/user.c:566
+#: commands/user.c:748 commands/user.c:879 commands/user.c:1033
+#, c-format
+msgid "role \"%s\" does not exist"
+msgstr "no existe el rol «%s»"
+
+#: utils/cache/typcache.c:152 parser/parse_type.c:205
+#, c-format
+msgid "type \"%s\" is only a shell"
+msgstr "el tipo «%s» está inconcluso"
+
+#: utils/cache/typcache.c:332
+#, c-format
+msgid "type %s is not composite"
+msgstr "el tipo %s no es compuesto"
+
+#: utils/cache/typcache.c:346
+msgid "record type has not been registered"
+msgstr "el tipo record no ha sido registrado"
+
+#: utils/hash/dynahash.c:925 storage/ipc/shmem.c:190 storage/ipc/shmem.c:359
+#: storage/lmgr/proc.c:186 storage/lmgr/proc.c:199 storage/lmgr/lock.c:583
+#: storage/lmgr/lock.c:649 storage/lmgr/lock.c:2051 storage/lmgr/lock.c:2339
+#: storage/lmgr/lock.c:2404
+msgid "out of shared memory"
+msgstr "memoria compartida agotada"
+
+#: utils/misc/help_config.c:131
+msgid "internal error: unrecognized run-time parameter type\n"
+msgstr "error interno: tipo parámetro no reconocido\n"
+
+#: utils/misc/guc.c:467
+msgid "Ungrouped"
+msgstr "Sin Grupo"
+
+#: utils/misc/guc.c:469
+msgid "File Locations"
+msgstr "Ubicaciones de Archivos"
+
+#: utils/misc/guc.c:471
+msgid "Connections and Authentication"
+msgstr "Conexiones y Autentificación"
+
+#: utils/misc/guc.c:473
+msgid "Connections and Authentication / Connection Settings"
+msgstr "Conexiones y Autentificación / Parámetros de Conexión"
+
+#: utils/misc/guc.c:475
+msgid "Connections and Authentication / Security and Authentication"
+msgstr "Conexiones y Autentificación / Seguridad y Autentificación"
+
+#: utils/misc/guc.c:477
+msgid "Resource Usage"
+msgstr "Uso de Recursos"
+
+#: utils/misc/guc.c:479
+msgid "Resource Usage / Memory"
+msgstr "Uso de Recursos / Memoria"
+
+#: utils/misc/guc.c:481
+msgid "Resource Usage / Kernel Resources"
+msgstr "Uso de Recursos / Recursos del Kernel"
+
+#: utils/misc/guc.c:483
+msgid "Write-Ahead Log"
+msgstr "Write-Ahead Log"
+
+#: utils/misc/guc.c:485
+msgid "Write-Ahead Log / Settings"
+msgstr "Write-Ahead Log / Configuraciones"
+
+#: utils/misc/guc.c:487
+msgid "Write-Ahead Log / Checkpoints"
+msgstr "Write-Ahead Log / Puntos de Control (Checkpoints)"
+
+#: utils/misc/guc.c:489
+msgid "Query Tuning"
+msgstr "Afinamiento de Consultas"
+
+#: utils/misc/guc.c:491
+msgid "Query Tuning / Planner Method Configuration"
+msgstr "Afinamiento de Consultas / Configuración de Métodos del Planner"
+
+#: utils/misc/guc.c:493
+msgid "Query Tuning / Planner Cost Constants"
+msgstr "Afinamiento de Consultas / Constantes de Costo del Planner"
+
+#: utils/misc/guc.c:495
+msgid "Query Tuning / Genetic Query Optimizer"
+msgstr "Afinamiento de Consultas / Optimizador Genético de Consultas"
+
+#: utils/misc/guc.c:497
+msgid "Query Tuning / Other Planner Options"
+msgstr "Afinamiento de Consultas / Otras Opciones del Planner"
+
+#: utils/misc/guc.c:499
+msgid "Reporting and Logging"
+msgstr "Reporte y Registro"
+
+#: utils/misc/guc.c:501
+msgid "Reporting and Logging / Where to Log"
+msgstr "Reporte y Registro / Cuándo Registrar"
+
+#: utils/misc/guc.c:503
+msgid "Reporting and Logging / When to Log"
+msgstr "Reporte y Registro / Cuándo Registrar"
+
+#: utils/misc/guc.c:505
+msgid "Reporting and Logging / What to Log"
+msgstr "Reporte y Registro / Qué Registrar"
+
+#: utils/misc/guc.c:507
+msgid "Statistics"
+msgstr "Estadísticas"
+
+#: utils/misc/guc.c:509
+msgid "Statistics / Monitoring"
+msgstr "Estadísticas / Monitoreo"
+
+#: utils/misc/guc.c:511
+msgid "Statistics / Query and Index Statistics Collector"
+msgstr "Estadísticas / Recolector de Estadísticas de Consultas e Índices"
+
+#: utils/misc/guc.c:513
+msgid "Autovacuum"
+msgstr "Autovacuum"
+
+#: utils/misc/guc.c:515
+msgid "Client Connection Defaults"
+msgstr "Valores por Omisión de Conexiones"
+
+#: utils/misc/guc.c:517
+msgid "Client Connection Defaults / Statement Behavior"
+msgstr "Valores por Omisión de Conexiones / Comportamiento de Sentencias"
+
+#: utils/misc/guc.c:519
+msgid "Client Connection Defaults / Locale and Formatting"
+msgstr ""
+"Valores por Omisión de Conexiones / Configuraciones Regionales y Formateo"
+
+#: utils/misc/guc.c:521
+msgid "Client Connection Defaults / Other Defaults"
+msgstr "Valores por Omisión de Conexiones / Otros Valores"
+
+#: utils/misc/guc.c:523
+msgid "Lock Management"
+msgstr "Manejo de Bloqueos"
+
+#: utils/misc/guc.c:525
+msgid "Version and Platform Compatibility"
+msgstr "Compatibilidad de Versión y Plataforma"
+
+#: utils/misc/guc.c:527
+msgid "Version and Platform Compatibility / Previous PostgreSQL Versions"
+msgstr ""
+"Compatibilidad de Versión y Plataforma / Versiones Anteriores de PostgreSQL"
+
+#: utils/misc/guc.c:529
+msgid "Version and Platform Compatibility / Other Platforms and Clients"
+msgstr "Compatibilidad de Versión y Plataforma / Otras Plataformas y Clientes"
+
+#: utils/misc/guc.c:531
+msgid "Preset Options"
+msgstr "Opciones Predefinidas"
+
+#: utils/misc/guc.c:533
+msgid "Customized Options"
+msgstr "Opciones Personalizadas"
+
+#: utils/misc/guc.c:535
+msgid "Developer Options"
+msgstr "Opciones de Desarrollador"
+
+#: utils/misc/guc.c:589
+msgid "Enables the planner's use of sequential-scan plans."
+msgstr "Permitir el uso de planes de recorrido secuencial."
+
+#: utils/misc/guc.c:597
+msgid "Enables the planner's use of index-scan plans."
+msgstr "Permitir el uso de planes de recorrido de índice."
+
+#: utils/misc/guc.c:605
+msgid "Enables the planner's use of bitmap-scan plans."
+msgstr "Permitir el uso de planes de recorrido de índice por mapas de bits."
+
+#: utils/misc/guc.c:613
+msgid "Enables the planner's use of TID scan plans."
+msgstr "Permitir el uso de planes de recorrido por TID."
+
+#: utils/misc/guc.c:621
+msgid "Enables the planner's use of explicit sort steps."
+msgstr "Permitir el uso de pasos explícitos de ordenamiento."
+
+#: utils/misc/guc.c:629
+msgid "Enables the planner's use of hashed aggregation plans."
+msgstr "Permitir el uso de planes de agregación a través de hash."
+
+#: utils/misc/guc.c:637
+msgid "Enables the planner's use of nested-loop join plans."
+msgstr "Permitir el uso de planes «nested-loop join»."
+
+#: utils/misc/guc.c:645
+msgid "Enables the planner's use of merge join plans."
+msgstr "Permitir el uso de planes «merge join»."
+
+#: utils/misc/guc.c:653
+msgid "Enables the planner's use of hash join plans."
+msgstr "Permitir el uso de planes «hash join»."
+
+#: utils/misc/guc.c:661
+msgid "Enables genetic query optimization."
+msgstr "Permitir el uso del optimizador genético de consultas."
+
+#: utils/misc/guc.c:662
+msgid "This algorithm attempts to do planning without exhaustive searching."
+msgstr ""
+"Este algoritmo intenta planear las consultas sin hacer búsqueda exhaustiva."
+
+#: utils/misc/guc.c:671
+msgid "Shows whether the current user is a superuser."
+msgstr "Indica si el usuario actual es superusuario."
+
+#: utils/misc/guc.c:680
+msgid "Enables SSL connections."
+msgstr "Permitir conexiones SSL."
+
+#: utils/misc/guc.c:688
+msgid "Forces synchronization of updates to disk."
+msgstr "Forzar la sincronización de escrituras a disco."
+
+#: utils/misc/guc.c:689
+msgid ""
+"The server will use the fsync() system call in several places to make sure "
+"that updates are physically written to disk. This insures that a database "
+"cluster will recover to a consistent state after an operating system or "
+"hardware crash."
+msgstr ""
+"El servidor usará la llamada a sistema fsync() en varios lugares para "
+"asegurarse que las actualizaciones son escritas físicamente a disco. Esto "
+"asegura que las bases de datos se recuperarán a un estado consistente "
+"después de una caída de hardware o sistema operativo."
+
+#: utils/misc/guc.c:699
+msgid "Sets immediate fsync at commit."
+msgstr "Activar fsync inmediato al comprometer transacciones."
+
+#: utils/misc/guc.c:707
+msgid "Continues processing past damaged page headers."
+msgstr "Continuar procesando más allá de encabezados de página dañados."
+
+#: utils/misc/guc.c:708
+msgid ""
+"Detection of a damaged page header normally causes PostgreSQL to report an "
+"error, aborting the current transaction. Setting zero_damaged_pages to true "
+"causes the system to instead report a warning, zero out the damaged page, "
+"and continue processing. This behavior will destroy data, namely all the "
+"rows on the damaged page."
+msgstr ""
+"La detección de un encabezado de página dañado normalmente hace que "
+"PostgreSQL reporte un error, abortando la transacción en curso. Definiendo "
+"zero_damaged_pages a true hace que el sistema reporte un mensaje de warning, "
+"escriba ceros en toda la página, y continúe el procesamiento. Este "
+"comportamiento destruirá datos; en particular, todas las tuplas en la página "
+"dañada."
+
+#: utils/misc/guc.c:720
+msgid "Writes full pages to WAL when first modified after a checkpoint."
+msgstr ""
+"Escribe páginas completas a WAL cuando son modificadas después de un punto "
+"de control."
+
+#: utils/misc/guc.c:721
+msgid ""
+"A page write in process during an operating system crash might be only "
+"partially written to disk.  During recovery, the row changes stored in WAL "
+"are not enough to recover.  This option writes pages when first modified "
+"after a checkpoint to WAL so full recovery is possible."
+msgstr ""
+"Una escritura de página que está siendo procesada durante una caída del "
+"sistema operativo puede ser completada sólo parcialmente.  Durante la "
+"recuperación, los cambios de registros (tuplas) almacenados en WAL no son "
+"suficientes para la recuperación. Esta opción activa la escritura de las "
+"páginas a WAL cuando son modificadas por primera vez después de un punto de "
+"control, de manera que una recuperación total es posible."
+
+#: utils/misc/guc.c:732
+msgid "Runs the server silently."
+msgstr "Ejecuta el servidor silenciosamente."
+
+#: utils/misc/guc.c:733
+msgid ""
+"If this parameter is set, the server will automatically run in the "
+"background and any controlling terminals are dissociated."
+msgstr ""
+"Si esta opción está activada, el servidor se ejecutará automáticamente en "
+"segundo plano y los terminales de control serán disociados."
+
+#: utils/misc/guc.c:741
+msgid "Logs each checkpoint."
+msgstr "Registrar cada punto de control."
+
+#: utils/misc/guc.c:749
+msgid "Logs each successful connection."
+msgstr "Registrar cada conexión exitosa."
+
+#: utils/misc/guc.c:757
+msgid "Logs end of a session, including duration."
+msgstr "Registrar el fin de una sesión, incluyendo su duración."
+
+#: utils/misc/guc.c:765
+msgid "Turns on various assertion checks."
+msgstr "Activar varios chequeos de integridad (assertion checks)."
+
+#: utils/misc/guc.c:766
+msgid "This is a debugging aid."
+msgstr "Esto es una ayuda para la depuración."
+
+#: utils/misc/guc.c:780 utils/misc/guc.c:862 utils/misc/guc.c:921
+#: utils/misc/guc.c:930 utils/misc/guc.c:939 utils/misc/guc.c:948
+#: utils/misc/guc.c:1514 utils/misc/guc.c:1523
+msgid "No description available."
+msgstr "No hay descripción disponible."
+
+#: utils/misc/guc.c:789
+msgid "Logs the duration of each completed SQL statement."
+msgstr "Registrar la duración de cada sentencia SQL ejecutada."
+
+#: utils/misc/guc.c:797
+msgid "Logs each query's parse tree."
+msgstr "Registrar cada arbol analizado de consulta "
+
+#: utils/misc/guc.c:805
+msgid "Logs each query's rewritten parse tree."
+msgstr "Registrar cada reescritura del arból analizado de consulta"
+
+#: utils/misc/guc.c:813
+msgid "Logs each query's execution plan."
+msgstr "Registrar el plan de ejecución de cada consulta."
+
+#: utils/misc/guc.c:821
+msgid "Indents parse and plan tree displays."
+msgstr "Indentar los árboles de parse y plan."
+
+#: utils/misc/guc.c:829
+msgid "Writes parser performance statistics to the server log."
+msgstr "Escribir estadísticas de parser al registro del servidor."
+
+#: utils/misc/guc.c:837
+msgid "Writes planner performance statistics to the server log."
+msgstr "Escribir estadísticas de planner al registro del servidor."
+
+#: utils/misc/guc.c:845
+msgid "Writes executor performance statistics to the server log."
+msgstr "Escribir estadísticas del executor al registro del servidor."
+
+#: utils/misc/guc.c:853
+msgid "Writes cumulative performance statistics to the server log."
+msgstr "Escribir estadísticas acumulativas al registro del servidor."
+
+#: utils/misc/guc.c:873
+msgid "Collects information about executing commands."
+msgstr "Recolectar estadísticas sobre órdenes en ejecución."
+
+#: utils/misc/guc.c:874
+msgid ""
+"Enables the collection of information on the currently executing command of "
+"each session, along with the time at which that command began execution."
+msgstr ""
+"Activa la recolección de información sobre la orden actualmente en ejecución "
+"en cada sesión, junto con el momento en el cual esa orden comenzó la "
+"ejecución."
+
+#: utils/misc/guc.c:883
+msgid "Collects statistics on database activity."
+msgstr "Recolectar estadísticas de actividad de la base de datos."
+
+#: utils/misc/guc.c:892
+msgid "Updates the process title to show the active SQL command."
+msgstr "Actualiza el título del proceso para mostrar la orden SQL activo."
+
+#: utils/misc/guc.c:893
+msgid ""
+"Enables updating of the process title every time a new SQL command is "
+"received by the server."
+msgstr ""
+"Habilita que se actualice el título del proceso cada vez que una orden SQL "
+"es recibido por el servidor."
+
+#: utils/misc/guc.c:901
+msgid "Starts the autovacuum subprocess."
+msgstr "Iniciar el subproceso de autovacuum."
+
+#: utils/misc/guc.c:910
+msgid "Generates debugging output for LISTEN and NOTIFY."
+msgstr "Generar salida de depuración para LISTEN y NOTIFY."
+
+#: utils/misc/guc.c:959
+msgid "Logs long lock waits."
+msgstr "Registrar esperas largas de bloqueos."
+
+#: utils/misc/guc.c:968
+msgid "Logs the host name in the connection logs."
+msgstr "Registrar el nombre del host en la conexión."
+
+#: utils/misc/guc.c:969
+msgid ""
+"By default, connection logs only show the IP address of the connecting host. "
+"If you want them to show the host name you can turn this on, but depending "
+"on your host name resolution setup it might impose a non-negligible "
+"performance penalty."
+msgstr ""
+"Por omisión, los registros de conexión sólo muestran la dirección IP del "
+"host que establece la conexión. Si desea que se despliegue el nombre del "
+"host puede activar esta opción, pero dependiendo de su configuración de "
+"resolución de nombres esto puede imponer una penalización de rendimiento no "
+"despreciable."
+
+#: utils/misc/guc.c:979
+msgid "Causes subtables to be included by default in various commands."
+msgstr "Incluir, por omisión, subtablas en varias órdenes."
+
+#: utils/misc/guc.c:987
+msgid "Encrypt passwords."
+msgstr "Cifrar contraseñas."
+
+#: utils/misc/guc.c:988
+msgid ""
+"When a password is specified in CREATE USER or ALTER USER without writing "
+"either ENCRYPTED or UNENCRYPTED, this parameter determines whether the "
+"password is to be encrypted."
+msgstr ""
+"Cuando se entrega una contraseña en CREATE USER o ALTER USER sin especificar "
+"ENCRYPTED ni UNENCRYPTED, esta opción determina si la password deberá ser "
+"encriptada."
+
+#: utils/misc/guc.c:997
+msgid "Treats \"expr=NULL\" as \"expr IS NULL\"."
+msgstr "Tratar expr=NULL como expr IS NULL."
+
+#: utils/misc/guc.c:998
+msgid ""
+"When turned on, expressions of the form expr = NULL (or NULL = expr) are "
+"treated as expr IS NULL, that is, they return true if expr evaluates to the "
+"null value, and false otherwise. The correct behavior of expr = NULL is to "
+"always return null (unknown)."
+msgstr ""
+"Cuando está activado, expresiones de la forma expr = NULL (o NULL = expr) "
+"son tratadas como expr IS NULL, esto es, retornarán verdadero si expr es "
+"evaluada al valor nulo, y falso en caso contrario. El comportamiento "
+"correcto de expr = NULL es retornar siempre null (desconocido)."
+
+#: utils/misc/guc.c:1009
+msgid "Enables per-database user names."
+msgstr "Activar el uso de nombre de usuario locales a cada base de datos."
+
+#: utils/misc/guc.c:1018
+msgid "This parameter doesn't do anything."
+msgstr "Este parámetro no hace nada."
+
+#: utils/misc/guc.c:1019
+msgid ""
+"It's just here so that we won't choke on SET AUTOCOMMIT TO ON from 7.3-"
+"vintage clients."
+msgstr ""
+"Está aquí sólo para poder aceptar SET AUTOCOMMIT TO ON desde clientes de la "
+"línea 7.3."
+
+#: utils/misc/guc.c:1027
+msgid "Sets the default read-only status of new transactions."
+msgstr "Estado por omisión de sólo lectura de nuevas transacciones."
+
+#: utils/misc/guc.c:1035
+msgid "Sets the current transaction's read-only status."
+msgstr "Activa el estado de sólo lectura de la transacción en curso."
+
+#: utils/misc/guc.c:1044
+msgid "Automatically adds missing table references to FROM clauses."
+msgstr "Agregar automáticamente tablas faltantes en cláusulas FROM."
+
+#: utils/misc/guc.c:1052
+msgid "Check function bodies during CREATE FUNCTION."
+msgstr "Verificar definición de funciones durante CREATE FUNCTION."
+
+#: utils/misc/guc.c:1060
+msgid "Enable input of NULL elements in arrays."
+msgstr "Habilita el ingreso de elementos nulos en arrays."
+
+#: utils/misc/guc.c:1061
+msgid ""
+"When turned on, unquoted NULL in an array input value means a null value; "
+"otherwise it is taken literally."
+msgstr ""
+"Cuando está activo, un valor NULL sin comillas en la entrada de un array "
+"significa un valor nulo; en caso contrario es tomado literalmente."
+
+#: utils/misc/guc.c:1070
+msgid "Create new tables with OIDs by default."
+msgstr "Crea nuevas tablas con OIDs por omisión."
+
+#: utils/misc/guc.c:1078
+msgid ""
+"Start a subprocess to capture stderr output and/or csvlogs into log files."
+msgstr ""
+"Lanzar un subproceso para capturar stderr y/o logs CSV en archivos de log."
+
+#: utils/misc/guc.c:1086
+msgid "Truncate existing log files of same name during log rotation."
+msgstr "Truncar archivos de log del mismo nombre durante la rotación."
+
+#: utils/misc/guc.c:1096
+msgid "Emit information about resource usage in sorting."
+msgstr ""
+"Emitir información acerca de uso de recursos durante los ordenamientos."
+
+#: utils/misc/guc.c:1109
+msgid "Generate debugging output for synchronized scanning."
+msgstr "Generar salida de depuración para recorrido sincronizado."
+
+#: utils/misc/guc.c:1123
+msgid "Enable bounded sorting using heap sort."
+msgstr "Activar ordenamiento acotado usando «heap sort»."
+
+#: utils/misc/guc.c:1135
+msgid "Emit WAL-related debugging output."
+msgstr "Activar salida de depuración de WAL."
+
+#: utils/misc/guc.c:1146
+msgid "Datetimes are integer based."
+msgstr "Las fechas y horas se basan en tipos enteros."
+
+#: utils/misc/guc.c:1160
+msgid ""
+"Sets whether Kerberos and GSSAPI user names should be treated as case-"
+"insensitive."
+msgstr ""
+"Define que los nombres de usuario Kerberos y GSSAPI deberían ser tratados "
+"sin distinción de mayúsculas."
+
+#: utils/misc/guc.c:1169
+msgid "Warn about backslash escapes in ordinary string literals."
+msgstr ""
+"Avisa acerca de escapes de backslash en literales de cadena corrientes."
+
+#: utils/misc/guc.c:1178
+msgid "Causes '...' strings to treat backslashes literally."
+msgstr ""
+"Provoca que las cadenas '...' traten las barras inclinadas inversas (\\) en "
+"forma literal."
+
+#: utils/misc/guc.c:1188
+msgid "Enable synchronized sequential scans."
+msgstr "Permitir la sincronización de recorridos secuenciales."
+
+#: utils/misc/guc.c:1197
+msgid "Allows archiving of WAL files using archive_command."
+msgstr "Permite el archivado de WAL usando archive_command."
+
+#: utils/misc/guc.c:1206
+msgid "Allows modifications of the structure of system tables."
+msgstr "Permite modificaciones de la estructura de las tablas del sistema."
+
+#: utils/misc/guc.c:1216
+msgid "Disables reading from system indexes."
+msgstr "Deshabilita lectura de índices del sistema."
+
+#: utils/misc/guc.c:1217
+msgid ""
+"It does not prevent updating the indexes, so it is safe to use.  The worst "
+"consequence is slowness."
+msgstr ""
+"No evita la actualización de índices, así que es seguro. Lo peor que puede "
+"ocurrir es lentitud del sistema."
+
+#: utils/misc/guc.c:1236
+msgid ""
+"Forces a switch to the next xlog file if a new file has not been started "
+"within N seconds."
+msgstr ""
+"Fuerza el cambio al siguiente archivo xlog si un nuevo archivo no ha sido "
+"iniciado dentro de N segundos."
+
+#: utils/misc/guc.c:1246
+msgid "Waits N seconds on connection startup after authentication."
+msgstr ""
+"Espera N segundos al inicio de la conexión después de la autentificación."
+
+#: utils/misc/guc.c:1247 utils/misc/guc.c:1585
+msgid "This allows attaching a debugger to the process."
+msgstr "Esto permite adjuntar un depurador al proceso."
+
+#: utils/misc/guc.c:1255
+msgid "Sets the default statistics target."
+msgstr "Definir el valor por omisión de toma de estadísticas."
+
+#: utils/misc/guc.c:1256
+msgid ""
+"This applies to table columns that have not had a column-specific target set "
+"via ALTER TABLE SET STATISTICS."
+msgstr ""
+"Esto se aplica a columnas de tablas que no tienen un valor definido a través "
+"de ALTER TABLE SET STATISTICS."
+
+#: utils/misc/guc.c:1264
+msgid "Sets the FROM-list size beyond which subqueries are not collapsed."
+msgstr ""
+"Tamaño de lista de FROM a partir del cual subconsultas no serán colapsadas."
+
+#: utils/misc/guc.c:1266
+msgid ""
+"The planner will merge subqueries into upper queries if the resulting FROM "
+"list would have no more than this many items."
+msgstr ""
+"El planner mezclará subconsultas en consultas de nivel superior si la lista "
+"FROM resultante es menor que esta cantidad de ítems."
+
+#: utils/misc/guc.c:1275
+msgid "Sets the FROM-list size beyond which JOIN constructs are not flattened."
+msgstr ""
+"Tamaño de lista de FROM a partir del cual constructos JOIN no serán "
+"aplanados."
+
+#: utils/misc/guc.c:1277
+msgid ""
+"The planner will flatten explicit JOIN constructs into lists of FROM items "
+"whenever a list of no more than this many items would result."
+msgstr ""
+"El planner aplanará constructos JOIN explícitos en listas de ítems FROM "
+"siempre que la lista resultante no tenga más que esta cantidad de ítems."
+
+#: utils/misc/guc.c:1286
+msgid "Sets the threshold of FROM items beyond which GEQO is used."
+msgstr "Umbral de ítems en FROM a partir del cual se usará GEQO."
+
+#: utils/misc/guc.c:1294
+msgid "GEQO: effort is used to set the default for other GEQO parameters."
+msgstr ""
+"GEQO: effort se usa para determinar los valores por defecto para otros "
+"parámetros."
+
+#: utils/misc/guc.c:1302
+msgid "GEQO: number of individuals in the population."
+msgstr "GEQO: número de individuos en una población."
+
+#: utils/misc/guc.c:1303 utils/misc/guc.c:1311
+msgid "Zero selects a suitable default value."
+msgstr "Cero selecciona un valor por omisión razonable."
+
+#: utils/misc/guc.c:1310
+msgid "GEQO: number of iterations of the algorithm."
+msgstr "GEQO: número de iteraciones del algoritmo."
+
+#: utils/misc/guc.c:1320
+msgid "Sets the time to wait on a lock before checking for deadlock."
+msgstr "Define el tiempo a esperar un lock antes de buscar un deadlock."
+
+#: utils/misc/guc.c:1338
+msgid "Sets the maximum number of concurrent connections."
+msgstr "Número máximo de conexiones concurrentes."
+
+#: utils/misc/guc.c:1347
+msgid "Sets the number of connection slots reserved for superusers."
+msgstr "Número de conexiones reservadas para superusuarios."
+
+#: utils/misc/guc.c:1356
+msgid "Sets the number of shared memory buffers used by the server."
+msgstr "Número de búfers de memoria compartida usados por el servidor."
+
+#: utils/misc/guc.c:1366
+msgid "Sets the maximum number of temporary buffers used by each session."
+msgstr "Número de búfers de memoria temporal usados por cada sesión."
+
+#: utils/misc/guc.c:1376
+msgid "Sets the TCP port the server listens on."
+msgstr "Puerto TCP en el cual escuchará el servidor."
+
+#: utils/misc/guc.c:1385
+msgid "Sets the access permissions of the Unix-domain socket."
+msgstr "Privilegios de acceso al socket Unix."
+
+#: utils/misc/guc.c:1386
+msgid ""
+"Unix-domain sockets use the usual Unix file system permission set. The "
+"parameter value is expected to be a numeric mode specification in the form "
+"accepted by the chmod and umask system calls. (To use the customary octal "
+"format the number must start with a 0 (zero).)"
+msgstr ""
+"Los sockets de dominio Unix usan la funcionalidad de permisos de archivos "
+"estándar de Unix. Se espera que el valor de esta opción sea una "
+"especificación numérica de modo, en la forma aceptada por las llamadas a "
+"sistema chmod y umask. Para usar el modo octal acostumbrado, comience el "
+"número con un 0 (cero)."
+
+#: utils/misc/guc.c:1398
+msgid "Sets the maximum memory to be used for query workspaces."
+msgstr ""
+"Establece el límite de memoria que se usará para espacios de trabajo de "
+"consultas."
+
+#: utils/misc/guc.c:1399
+msgid ""
+"This much memory can be used by each internal sort operation and hash table "
+"before switching to temporary disk files."
+msgstr ""
+"Esta es la cantidad máxima de memoria que se usará para operaciones internas "
+"de ordenamiento y tablas de hashing, antes de comenzar a usar archivos "
+"temporales en disco."
+
+#: utils/misc/guc.c:1410
+msgid "Sets the maximum memory to be used for maintenance operations."
+msgstr ""
+"Establece el límite de memoria que se usará para operaciones de mantención."
+
+#: utils/misc/guc.c:1411
+msgid "This includes operations such as VACUUM and CREATE INDEX."
+msgstr "Esto incluye operaciones como VACUUM y CREATE INDEX."
+
+#: utils/misc/guc.c:1420
+msgid "Sets the maximum stack depth, in kilobytes."
+msgstr "Establece el tamaño máximo del stack, en kilobytes."
+
+#: utils/misc/guc.c:1430
+msgid "Vacuum cost for a page found in the buffer cache."
+msgstr "Costo de Vacuum de una página encontrada en el buffer."
+
+#: utils/misc/guc.c:1439
+msgid "Vacuum cost for a page not found in the buffer cache."
+msgstr "Costo de Vacuum de una página no encontrada en el cache."
+
+#: utils/misc/guc.c:1448
+msgid "Vacuum cost for a page dirtied by vacuum."
+msgstr "Costo de Vacuum de una página ensuciada por vacuum."
+
+#: utils/misc/guc.c:1457
+msgid "Vacuum cost amount available before napping."
+msgstr "Costo de Vacuum disponible antes de descansar."
+
+#: utils/misc/guc.c:1466
+msgid "Vacuum cost delay in milliseconds."
+msgstr "Tiempo de descanso de vacuum en milisegundos."
+
+#: utils/misc/guc.c:1476
+msgid "Vacuum cost delay in milliseconds, for autovacuum."
+msgstr "Tiempo de descanso de vacuum en milisegundos, para autovacuum."
+
+#: utils/misc/guc.c:1486
+msgid "Vacuum cost amount available before napping, for autovacuum."
+msgstr "Costo de Vacuum disponible antes de descansar, para autovacuum."
+
+#: utils/misc/guc.c:1495
+msgid ""
+"Sets the maximum number of simultaneously open files for each server process."
+msgstr "Define la cantidad máxima de archivos abiertos por cada subproceso."
+
+#: utils/misc/guc.c:1504
+msgid "Sets the maximum number of simultaneously prepared transactions."
+msgstr "Define la cantidad máxima de transacciones preparadas simultáneas."
+
+#: utils/misc/guc.c:1534
+msgid "Sets the maximum allowed duration of any statement."
+msgstr "Define la duración máxima permitida de sentencias."
+
+#: utils/misc/guc.c:1535
+msgid "A value of 0 turns off the timeout."
+msgstr "Un valor de 0 desactiva el máximo."
+
+#: utils/misc/guc.c:1544
+msgid "Minimum age at which VACUUM should freeze a table row."
+msgstr ""
+"Mínima edad a la cual VACUUM debería congelar (freeze) una fila de una tabla."
+
+#: utils/misc/guc.c:1553
+msgid "Age at which VACUUM should scan whole table to freeze tuples."
+msgstr ""
+"Edad a la cual VACUUM debería recorrer una tabla completa para congelar "
+"(freeze) las filas."
+
+#: utils/misc/guc.c:1562
+msgid "Sets the maximum number of locks per transaction."
+msgstr "Cantidad máxima de bloqueos (locks) por transacción."
+
+#: utils/misc/guc.c:1563
+msgid ""
+"The shared lock table is sized on the assumption that at most "
+"max_locks_per_transaction * max_connections distinct objects will need to be "
+"locked at any one time."
+msgstr ""
+"El tamaño de la tabla compartida de bloqueos se calcula usando la suposición "
+"de que a lo más max_locks_per_transaction * max_connections objetos "
+"necesitarán ser bloqueados simultáneamente."
+
+#: utils/misc/guc.c:1573
+msgid "Sets the maximum allowed time to complete client authentication."
+msgstr "Define el tiempo máximo para completar proceso de autentificación."
+
+#: utils/misc/guc.c:1584
+msgid "Waits N seconds on connection startup before authentication."
+msgstr ""
+"Espera N segundos al inicio de la conexión antes de la autentificación."
+
+#: utils/misc/guc.c:1594
+msgid ""
+"Sets the maximum distance in log segments between automatic WAL checkpoints."
+msgstr ""
+"Define la distancia máxima, en cantidad de segmentos, entre puntos de "
+"control de WAL automáticos."
+
+#: utils/misc/guc.c:1603
+msgid "Sets the maximum time between automatic WAL checkpoints."
+msgstr "Define el tiempo máximo entre puntos de control de WAL automáticos."
+
+#: utils/misc/guc.c:1613
+msgid ""
+"Enables warnings if checkpoint segments are filled more frequently than this."
+msgstr "Registrar si el llenado de segmentos de WAL es más frecuente que esto."
+
+#: utils/misc/guc.c:1615
+msgid ""
+"Write a message to the server log if checkpoints caused by the filling of "
+"checkpoint segment files happens more frequently than this number of "
+"seconds. Zero turns off the warning."
+msgstr ""
+"Envía un mensaje a los registros del servidor si los punto de control "
+"causados por el llenado de archivos de segmento sucede con más frecuencia "
+"que este número de segundos. Un valor de 0 (cero) desactiva la opción."
+
+#: utils/misc/guc.c:1626
+msgid "Sets the number of disk-page buffers in shared memory for WAL."
+msgstr "Búfers en memoria compartida para páginas de WAL."
+
+#: utils/misc/guc.c:1636
+msgid "WAL writer sleep time between WAL flushes."
+msgstr ""
+"Tiempo de descanso del escritor de WAL entre escrituras de WAL consecutivas."
+
+#: utils/misc/guc.c:1646
+msgid ""
+"Sets the delay in microseconds between transaction commit and flushing WAL "
+"to disk."
+msgstr ""
+"Retardo en microsegundos entre completar una transacción y escribir WAL a "
+"disco."
+
+#: utils/misc/guc.c:1656
+msgid ""
+"Sets the minimum concurrent open transactions before performing commit_delay."
+msgstr "Mínimo de transacciones concurrentes para esperar commit_delay."
+
+#: utils/misc/guc.c:1666
+msgid "Sets the number of digits displayed for floating-point values."
+msgstr "Ajustar el número de dígitos mostrados para valores de coma flotante."
+
+#: utils/misc/guc.c:1667
+msgid ""
+"This affects real, double precision, and geometric data types. The parameter "
+"value is added to the standard number of digits (FLT_DIG or DBL_DIG as "
+"appropriate)."
+msgstr ""
+"Afecta los tipos real, double precision y geométricos. El valor del "
+"parámetro se agrega al número estándar de dígitos (FLT_DIG o DBL_DIG según "
+"corresponda)"
+
+#: utils/misc/guc.c:1677
+msgid "Sets the minimum execution time above which statements will be logged."
+msgstr ""
+"Tiempo mínimo de ejecución a partir del cual se registran las consultas."
+
+#: utils/misc/guc.c:1679
+msgid "Zero prints all queries. -1 turns this feature off."
+msgstr "Cero registra todas las consultas. -1 desactiva esta característica."
+
+#: utils/misc/guc.c:1688
+msgid ""
+"Sets the minimum execution time above which autovacuum actions will be "
+"logged."
+msgstr ""
+"Tiempo mínimo de ejecución a partir del cual se registran las acciones de "
+"autovacuum."
+
+#: utils/misc/guc.c:1690
+msgid "Zero prints all actions. -1 turns autovacuum logging off."
+msgstr ""
+"Cero registra todas las acciones. -1 desactiva el registro de autovacuum."
+
+#: utils/misc/guc.c:1699
+msgid "Background writer sleep time between rounds."
+msgstr "Tiempo de descanso entre rondas del background writer"
+
+#: utils/misc/guc.c:1709
+msgid "Background writer maximum number of LRU pages to flush per round."
+msgstr ""
+"Número máximo de páginas LRU a escribir en cada ronda del background writer"
+
+#: utils/misc/guc.c:1724
+msgid ""
+"Number of simultaneous requests that can be handled efficiently by the disk "
+"subsystem."
+msgstr ""
+"Cantidad máxima de peticiones simultáneas que pueden ser manejadas "
+"eficientemente por el sistema de disco."
+
+#: utils/misc/guc.c:1725
+msgid ""
+"For RAID arrays, this should be approximately the number of drive spindles "
+"in the array."
+msgstr ""
+"Para arrays RAID, esto debería ser aproximadamente la cantidad de discos en "
+"el array."
+
+#: utils/misc/guc.c:1738
+msgid "Automatic log file rotation will occur after N minutes."
+msgstr ""
+"La rotación automática de archivos de log se efectuará después de N minutos."
+
+#: utils/misc/guc.c:1748
+msgid "Automatic log file rotation will occur after N kilobytes."
+msgstr ""
+"La rotación automática de archivos de log se efectuará después de N "
+"kilobytes."
+
+#: utils/misc/guc.c:1758
+msgid "Shows the maximum number of function arguments."
+msgstr "Muestra la cantidad máxima de argumentos de funciones."
+
+#: utils/misc/guc.c:1768
+msgid "Shows the maximum number of index keys."
+msgstr "Muestra la cantidad máxima de claves de índices."
+
+#: utils/misc/guc.c:1778
+msgid "Shows the maximum identifier length."
+msgstr "Muestra el largo máximo de identificadores."
+
+#: utils/misc/guc.c:1788
+msgid "Shows the size of a disk block."
+msgstr "Muestra el tamaño de un bloque de disco."
+
+#: utils/misc/guc.c:1798
+msgid "Shows the number of pages per disk file."
+msgstr "Muestra el número de páginas por archivo en disco."
+
+#: utils/misc/guc.c:1808
+msgid "Shows the block size in the write ahead log."
+msgstr "Muestra el tamaño de bloque en el write-ahead log."
+
+#: utils/misc/guc.c:1818
+msgid "Shows the number of pages per write ahead log segment."
+msgstr "Muestra el número de páginas por cada segmento de write-ahead log."
+
+#: utils/misc/guc.c:1831
+msgid "Time to sleep between autovacuum runs."
+msgstr "Tiempo de descanso entre ejecuciones de autovacuum."
+
+#: utils/misc/guc.c:1840
+msgid "Minimum number of tuple updates or deletes prior to vacuum."
+msgstr "Número mínimo de updates o deletes antes de ejecutar vacuum."
+
+#: utils/misc/guc.c:1848
+msgid "Minimum number of tuple inserts, updates or deletes prior to analyze."
+msgstr "Número mínimo de inserts, updates, deletes antes de ejecutar analyze."
+
+#: utils/misc/guc.c:1857
+msgid ""
+"Age at which to autovacuum a table to prevent transaction ID wraparound."
+msgstr ""
+"Edad a la cual aplicar VACUUM automáticamente a una tabla para prevenir "
+"problemas por reciclaje de ID de transacción."
+
+#: utils/misc/guc.c:1866
+msgid ""
+"Sets the maximum number of simultaneously running autovacuum worker "
+"processes."
+msgstr "Define la cantidad máxima de procesos «autovacuum worker» simultáneos."
+
+#: utils/misc/guc.c:1875
+msgid "Time between issuing TCP keepalives."
+msgstr "Tiempo entre cada emisión de TCP keepalive."
+
+#: utils/misc/guc.c:1876 utils/misc/guc.c:1886
+msgid "A value of 0 uses the system default."
+msgstr "Un valor 0 usa el valor por omisión del sistema."
+
+#: utils/misc/guc.c:1885
+msgid "Time between TCP keepalive retransmits."
+msgstr "Tiempo entre retransmisiones TCP keepalive."
+
+#: utils/misc/guc.c:1895
+msgid ""
+"Set the amount of traffic to send and receive before renegotiating the "
+"encryption keys."
+msgstr ""
+"Define la cantidad de tráfico a enviar y recibir antes de renegociar las "
+"llaves de cifrado."
+
+#: utils/misc/guc.c:1905
+msgid "Maximum number of TCP keepalive retransmits."
+msgstr "Cantidad máxima de retransmisiones TCP keepalive."
+
+#: utils/misc/guc.c:1906
+msgid ""
+"This controls the number of consecutive keepalive retransmits that can be "
+"lost before a connection is considered dead. A value of 0 uses the system "
+"default."
+msgstr ""
+"Esto controla el número de retransmisiones consecutivas de keepalive que "
+"pueden ser perdidas antes que la conexión sea considerada muerta.  Un valor "
+"0 usa el valor por omisión del sistema."
+
+#: utils/misc/guc.c:1916
+msgid "Sets the maximum allowed result for exact search by GIN."
+msgstr ""
+"Define el máximo de resultados permitidos por búsquedas exactas con GIN."
+
+#: utils/misc/guc.c:1926
+msgid "Sets the planner's assumption about the size of the disk cache."
+msgstr "Define la suposición del tamaño del cache de disco."
+
+#: utils/misc/guc.c:1927
+msgid ""
+"That is, the portion of the kernel's disk cache that will be used for "
+"PostgreSQL data files. This is measured in disk pages, which are normally 8 "
+"kB each."
+msgstr ""
+"Esto es, la porción del cache de disco que será usado para archivos de datos "
+"de PostgreSQL. Esto se mide en cantidad de páginas, que normalmente son de 8 "
+"kB cada una."
+
+#: utils/misc/guc.c:1939
+msgid "Shows the server version as an integer."
+msgstr "Muestra la versión del servidor como un número entero."
+
+#: utils/misc/guc.c:1949
+msgid "Log the use of temporary files larger than this number of kilobytes."
+msgstr ""
+"Registra el uso de archivos temporales que crezcan más allá de este número "
+"de kilobytes."
+
+#: utils/misc/guc.c:1950
+msgid "Zero logs all files. The default is -1 (turning this feature off)."
+msgstr ""
+"Cero registra todos los archivos. El valor por omisión es -1 (lo cual "
+"desactiva el registro)."
+
+#: utils/misc/guc.c:1959
+msgid "Sets the size reserved for pg_stat_activity.current_query, in bytes."
+msgstr "Tamaño reservado para pg_stat_activity.current_query, en bytes."
+
+#: utils/misc/guc.c:1977
+msgid ""
+"Sets the planner's estimate of the cost of a sequentially fetched disk page."
+msgstr "Estimación del costo de una página leída secuencialmente."
+
+#: utils/misc/guc.c:1986
+msgid ""
+"Sets the planner's estimate of the cost of a nonsequentially fetched disk "
+"page."
+msgstr "Estimación del costo de una página leída no secuencialmente."
+
+#: utils/misc/guc.c:1995
+msgid "Sets the planner's estimate of the cost of processing each tuple (row)."
+msgstr "Estimación del costo de procesar cada tupla (fila)."
+
+#: utils/misc/guc.c:2004
+msgid ""
+"Sets the planner's estimate of the cost of processing each index entry "
+"during an index scan."
+msgstr ""
+"Estimación del costo de procesar cada fila de índice durante un recorrido de "
+"índice."
+
+#: utils/misc/guc.c:2013
+msgid ""
+"Sets the planner's estimate of the cost of processing each operator or "
+"function call."
+msgstr "Estimación del costo de procesar cada operador o llamada a función."
+
+#: utils/misc/guc.c:2023
+msgid ""
+"Sets the planner's estimate of the fraction of a cursor's rows that will be "
+"retrieved."
+msgstr "Estimación de la fracción de filas de un cursor que serán extraídas."
+
+#: utils/misc/guc.c:2033
+msgid "GEQO: selective pressure within the population."
+msgstr "GEQO: presión selectiva dentro de la población."
+
+#: utils/misc/guc.c:2043
+msgid "Multiple of the average buffer usage to free per round."
+msgstr "Múltiplo del uso promedio de búfers que liberar en cada ronda."
+
+#: utils/misc/guc.c:2052
+msgid "Sets the seed for random-number generation."
+msgstr "Semilla para la generación de números aleatorios."
+
+#: utils/misc/guc.c:2062
+msgid ""
+"Number of tuple updates or deletes prior to vacuum as a fraction of "
+"reltuples."
+msgstr ""
+"Número de updates o deletes de tuplas antes de ejecutar un vacuum, como "
+"fracción de reltuples."
+
+#: utils/misc/guc.c:2070
+msgid ""
+"Number of tuple inserts, updates or deletes prior to analyze as a fraction "
+"of reltuples."
+msgstr ""
+"Número de inserts, updates o deletes de tuplas antes de ejecutar un analyze, "
+"como fracción de reltuples."
+
+#: utils/misc/guc.c:2079
+msgid ""
+"Time spent flushing dirty buffers during checkpoint, as fraction of "
+"checkpoint interval."
+msgstr ""
+"Tiempo utilizado en escribir páginas «sucias» durante los puntos de control, "
+"medido como fracción del intervalo del punto de control."
+
+#: utils/misc/guc.c:2097
+msgid "Sets the shell command that will be called to archive a WAL file."
+msgstr "Orden de shell que se invocará para archivar un archivo WAL."
+
+#: utils/misc/guc.c:2106
+msgid "Sets the client's character set encoding."
+msgstr "Codificación del juego de caracteres del cliente."
+
+#: utils/misc/guc.c:2116
+msgid "Controls information prefixed to each log line."
+msgstr "Controla el prefijo que antecede cada línea registrada."
+
+#: utils/misc/guc.c:2117
+msgid "If blank, no prefix is used."
+msgstr "si está en blanco, no se usa prefijo."
+
+#: utils/misc/guc.c:2125
+msgid "Sets the time zone to use in log messages."
+msgstr "Define el huso horario usando en los mensajes registrados."
+
+#: utils/misc/guc.c:2134
+msgid "Sets the display format for date and time values."
+msgstr "Formato de salida para valores de horas y fechas."
+
+#: utils/misc/guc.c:2135
+msgid "Also controls interpretation of ambiguous date inputs."
+msgstr "También controla la interpretación de entradas ambiguas de fechas"
+
+#: utils/misc/guc.c:2145
+msgid "Sets the default tablespace to create tables and indexes in."
+msgstr "Define el tablespace en el cual crear tablas e índices."
+
+#: utils/misc/guc.c:2146
+msgid "An empty string selects the database's default tablespace."
+msgstr ""
+"Una cadena vacía especifica el tablespace por omisión de la base de datos."
+
+#: utils/misc/guc.c:2155
+msgid "Sets the tablespace(s) to use for temporary tables and sort files."
+msgstr ""
+"Define el/los tablespace/s en el cual crear tablas temporales y archivos de "
+"ordenamiento."
+
+#: utils/misc/guc.c:2165
+msgid "Sets the path for dynamically loadable modules."
+msgstr "Ruta para módulos dinámicos."
+
+#: utils/misc/guc.c:2166
+msgid ""
+"If a dynamically loadable module needs to be opened and the specified name "
+"does not have a directory component (i.e., the name does not contain a "
+"slash), the system will search this path for the specified file."
+msgstr ""
+"Si se necesita abrir un módulo dinámico y el nombre especificado no tiene un "
+"componente de directorio (es decir, no contiene un slash), el sistema "
+"buscará el archivo especificado en esta ruta."
+
+#: utils/misc/guc.c:2178
+msgid "Sets the location of the Kerberos server key file."
+msgstr "Ubicación del archivo de llave del servidor Kerberos."
+
+#: utils/misc/guc.c:2188
+msgid "Sets the name of the Kerberos service."
+msgstr "Nombre del servicio Kerberos."
+
+#: utils/misc/guc.c:2197
+msgid "Sets the Bonjour broadcast service name."
+msgstr "Nombre del servicio Bonjour."
+
+#: utils/misc/guc.c:2208
+msgid "Shows the collation order locale."
+msgstr "Configuración regional de ordenamiento de cadenas (collation)."
+
+#: utils/misc/guc.c:2218
+msgid "Shows the character classification and case conversion locale."
+msgstr ""
+"Configuración regional de clasificación de caracteres y conversión de "
+"mayúsculas."
+
+#: utils/misc/guc.c:2228
+msgid "Sets the language in which messages are displayed."
+msgstr "Idioma en el que se despliegan los mensajes."
+
+#: utils/misc/guc.c:2237
+msgid "Sets the locale for formatting monetary amounts."
+msgstr "Configuración regional para formatos de moneda."
+
+#: utils/misc/guc.c:2246
+msgid "Sets the locale for formatting numbers."
+msgstr "Configuración regional para formatos de números."
+
+#: utils/misc/guc.c:2255
+msgid "Sets the locale for formatting date and time values."
+msgstr "Configuración regional para formatos de horas y fechas."
+
+#: utils/misc/guc.c:2264
+msgid "Lists shared libraries to preload into server."
+msgstr "Bibliotecas compartidas a precargar en el servidor."
+
+#: utils/misc/guc.c:2274
+msgid "Lists shared libraries to preload into each backend."
+msgstr "Bibliotecas compartidas a precargar en cada proceso."
+
+#: utils/misc/guc.c:2284
+msgid "Sets the schema search order for names that are not schema-qualified."
+msgstr "Orden de búsqueda en schemas para nombres que no especifican schema."
+
+#: utils/misc/guc.c:2295
+msgid "Sets the server (database) character set encoding."
+msgstr "Codificación de caracteres del servidor (bases de datos)."
+
+#: utils/misc/guc.c:2306
+msgid "Shows the server version."
+msgstr "Versión del servidor."
+
+#: utils/misc/guc.c:2317
+msgid "Sets the current role."
+msgstr "Define el rol actual."
+
+#: utils/misc/guc.c:2328
+msgid "Sets the session user name."
+msgstr "Define el nombre del usuario de sesión."
+
+#: utils/misc/guc.c:2338
+msgid "Sets the destination for server log output."
+msgstr "Define el destino de la salida del registro del servidor."
+
+#: utils/misc/guc.c:2339
+msgid ""
+"Valid values are combinations of \"stderr\", \"syslog\", \"csvlog\", and "
+"\"eventlog\", depending on the platform."
+msgstr ""
+"Valores aceptables son combinaciones de «stderr», «syslog», «csvlog» y "
+"«eventlog», dependiendo de la plataforma."
+
+#: utils/misc/guc.c:2349
+msgid "Sets the destination directory for log files."
+msgstr ""
+"Define el directorio de destino de los archivos del registro del servidor."
+
+#: utils/misc/guc.c:2350
+msgid "Can be specified as relative to the data directory or as absolute path."
+msgstr ""
+"Puede ser una ruta relativa al directorio de datos o una ruta absoluta."
+
+#: utils/misc/guc.c:2359
+msgid "Sets the file name pattern for log files."
+msgstr ""
+"Define el patrón para los nombres de archivo del registro del servidor."
+
+#: utils/misc/guc.c:2370
+msgid "Sets the program name used to identify PostgreSQL messages in syslog."
+msgstr "Nombre de programa para identificar PostgreSQL en mensajes de syslog."
+
+#: utils/misc/guc.c:2381
+msgid "Sets the time zone for displaying and interpreting time stamps."
+msgstr "Huso horario para desplegar e interpretar valores de tiempo."
+
+#: utils/misc/guc.c:2390
+msgid "Selects a file of time zone abbreviations."
+msgstr "Selecciona un archivo de abreviaciones de huso horario."
+
+#: utils/misc/guc.c:2399
+msgid "Sets the current transaction's isolation level."
+msgstr "Define el nivel de aislación de la transacción en curso."
+
+#: utils/misc/guc.c:2409
+msgid "Sets the owning group of the Unix-domain socket."
+msgstr "Grupo dueño del socket de dominio Unix."
+
+#: utils/misc/guc.c:2410
+msgid ""
+"The owning user of the socket is always the user that starts the server."
+msgstr ""
+"El usuario dueño del socket siempre es el usuario que inicia el servidor."
+
+#: utils/misc/guc.c:2419
+msgid "Sets the directory where the Unix-domain socket will be created."
+msgstr "Directorio donde ser creará el socket de dominio Unix."
+
+#: utils/misc/guc.c:2429
+msgid "Sets the host name or IP address(es) to listen to."
+msgstr "Define el nombre de anfitrión o dirección IP en la cual escuchar."
+
+#: utils/misc/guc.c:2439
+msgid "Sets the list of known custom variable classes."
+msgstr "Define la lista de clases adicionales de variables conocidas."
+
+#: utils/misc/guc.c:2449
+msgid "Sets the server's data directory."
+msgstr "Define la ubicación del directorio de datos."
+
+#: utils/misc/guc.c:2459
+msgid "Sets the server's main configuration file."
+msgstr ""
+"Define la ubicación del archivo principal de configuración del servidor."
+
+#: utils/misc/guc.c:2469
+msgid "Sets the server's \"hba\" configuration file."
+msgstr "Define la ubicación del archivo de configuración «hba» del servidor."
+
+#: utils/misc/guc.c:2479
+msgid "Sets the server's \"ident\" configuration file."
+msgstr "Define la ubicación del archivo de configuración «ident» del servidor."
+
+#: utils/misc/guc.c:2489
+msgid "Writes the postmaster PID to the specified file."
+msgstr "Registra el PID de postmaster en el archivo especificado."
+
+#: utils/misc/guc.c:2499
+msgid "Writes temporary statistics files to the specified directory."
+msgstr ""
+"Escribe los archivos temporales de estadísticas al directorio especificado."
+
+#: utils/misc/guc.c:2509
+msgid "Sets default text search configuration."
+msgstr "Define la configuración de búsqueda en texto por omisión."
+
+#: utils/misc/guc.c:2519
+msgid "Sets the list of allowed SSL ciphers."
+msgstr "Define la lista de cifrados SSL permitidos."
+
+#: utils/misc/guc.c:2539
+msgid "Sets whether \"\\'\" is allowed in string literals."
+msgstr "Define si «\\'» está permitido en literales de cadena."
+
+#: utils/misc/guc.c:2548
+msgid "Sets the message levels that are sent to the client."
+msgstr "Nivel de mensajes enviados al cliente."
+
+#: utils/misc/guc.c:2549 utils/misc/guc.c:2598 utils/misc/guc.c:2608
+msgid ""
+"Each level includes all the levels that follow it. The later the level, the "
+"fewer messages are sent."
+msgstr ""
+"Cada nivel incluye todos los niveles que lo siguen.  Mientras más posterior "
+"el nivel, menos mensajes se enviarán."
+
+#: utils/misc/guc.c:2558
+msgid "Enables the planner to use constraints to optimize queries."
+msgstr "Permitir el uso de restricciones para limitar los accesos a tablas."
+
+#: utils/misc/guc.c:2559
+msgid ""
+"Table scans will be skipped if their constraints guarantee that no rows "
+"match the query."
+msgstr ""
+"Las tablas no serán recorridas si sus restricciones garantizan que ninguna "
+"fila coincidirá con la consulta."
+
+#: utils/misc/guc.c:2569
+msgid "Sets the transaction isolation level of each new transaction."
+msgstr "Nivel de aislación (isolation level) de transacciones nuevas."
+
+#: utils/misc/guc.c:2578
+msgid "Sets the display format for interval values."
+msgstr "Formato de salida para valores de intervalos."
+
+#: utils/misc/guc.c:2588
+msgid "Sets the verbosity of logged messages."
+msgstr "Verbosidad de los mensajes registrados."
+
+#: utils/misc/guc.c:2597
+msgid "Sets the message levels that are logged."
+msgstr "Nivel de mensajes registrados."
+
+#: utils/misc/guc.c:2607
+msgid ""
+"Causes all statements generating error at or above this level to be logged."
+msgstr ""
+"Registrar sentencias que generan error de nivel superior o igual a éste."
+
+#: utils/misc/guc.c:2617
+msgid "Sets the type of statements logged."
+msgstr "Define el tipo de sentencias que se registran."
+
+#: utils/misc/guc.c:2627
+msgid "Sets the syslog \"facility\" to be used when syslog enabled."
+msgstr "«Facility» de syslog que se usará cuando syslog esté habilitado."
+
+#: utils/misc/guc.c:2637
+msgid "Sets the regular expression \"flavor\"."
+msgstr "«Sabor» de expresiones regulares."
+
+#: utils/misc/guc.c:2646
+msgid "Sets the session's behavior for triggers and rewrite rules."
+msgstr ""
+"Define el comportamiento de la sesión con respecto a disparadores y reglas "
+"de reescritura."
+
+#: utils/misc/guc.c:2656
+msgid "Collects function-level statistics on database activity."
+msgstr "Recolectar estadísticas de actividad de funciones en la base de datos."
+
+#: utils/misc/guc.c:2665
+msgid "Selects the method used for forcing WAL updates to disk."
+msgstr "Selecciona el método usado para forzar escritura de WAL a disco."
+
+#: utils/misc/guc.c:2675
+msgid "Sets how binary values are to be encoded in XML."
+msgstr "Define cómo se codificarán los valores binarios en XML."
+
+#: utils/misc/guc.c:2684
+msgid ""
+"Sets whether XML data in implicit parsing and serialization operations is to "
+"be considered as documents or content fragments."
+msgstr ""
+"Define si los datos XML implícitos en operaciones de análisis y "
+"serialización serán considerados documentos o fragmentos de contenido."
+
+#: utils/misc/guc.c:3454
+#, c-format
+msgid ""
+"%s does not know where to find the server configuration file.\n"
+"You must specify the --config-file or -D invocation option or set the PGDATA "
+"environment variable.\n"
+msgstr ""
+"%s no sabe dónde encontrar el archivo de configuración del servidor.\n"
+"Debe especificar la opción --config-file o -D o definir la variable de "
+"ambiente PGDATA.\n"
+
+#: utils/misc/guc.c:3473
+#, c-format
+msgid "%s cannot access the server configuration file \"%s\": %s\n"
+msgstr "%s no pudo examinar el archivo de configuración «%s»: %s\n"
+
+#: utils/misc/guc.c:3493
+#, c-format
+msgid ""
+"%s does not know where to find the database system data.\n"
+"This can be specified as \"data_directory\" in \"%s\", or by the -D "
+"invocation option, or by the PGDATA environment variable.\n"
+msgstr ""
+"%s no sabe dónde encontrar los archivos de sistema de la base de datos.\n"
+"Esto puede especificarse como «data_directory» en «%s», o usando la opción -"
+"D, o a través de la variable de ambiente PGDATA.\n"
+
+#: utils/misc/guc.c:3524
+#, c-format
+msgid ""
+"%s does not know where to find the \"hba\" configuration file.\n"
+"This can be specified as \"hba_file\" in \"%s\", or by the -D invocation "
+"option, or by the PGDATA environment variable.\n"
+msgstr ""
+"%s no sabe dónde encontrar el archivo de configuración «hba».\n"
+"Esto puede especificarse como «hba_file» en «%s», o usando la opción -D, o a "
+"través de la variable de ambiente PGDATA.\n"
+
+#: utils/misc/guc.c:3547
+#, c-format
+msgid ""
+"%s does not know where to find the \"ident\" configuration file.\n"
+"This can be specified as \"ident_file\" in \"%s\", or by the -D invocation "
+"option, or by the PGDATA environment variable.\n"
+msgstr ""
+"%s no sabe dónde encontrar el archivo de configuración «ident».\n"
+"Esto puede especificarse como «ident_file» en «%s», o usando la opción -D, o "
+"a través de la variable de ambiente PGDATA.\n"
+
+#: utils/misc/guc.c:4152 utils/misc/guc.c:4320
+msgid "Value exceeds integer range."
+msgstr "El valor excede el rango para enteros."
+
+#: utils/misc/guc.c:4175
+msgid "Valid units for this parameter are \"kB\", \"MB\", and \"GB\"."
+msgstr "Unidades válidas para este parámetro son «kB», «MB» y «GB»."
+
+#: utils/misc/guc.c:4234
+msgid ""
+"Valid units for this parameter are \"ms\", \"s\", \"min\", \"h\", and \"d\"."
+msgstr "Unidades válidas para este parámetro son «ms», «s», «min», «h» y «d»."
+
+#: utils/misc/guc.c:4542 utils/misc/guc.c:5203 utils/misc/guc.c:5251
+#: utils/misc/guc.c:5372 utils/misc/guc.c:5952 utils/misc/guc.c:6093
+#: guc-file.l:217
+#, c-format
+msgid "unrecognized configuration parameter \"%s\""
+msgstr "parámetro de configuración no reconocido: «%s»"
+
+#: utils/misc/guc.c:4569
+#, c-format
+msgid "parameter \"%s\" cannot be changed"
+msgstr "no se puede cambiar el parámetro «%s»"
+
+#: utils/misc/guc.c:4586 utils/misc/guc.c:4595 guc-file.l:264
+#, c-format
+msgid "attempted change of parameter \"%s\" ignored"
+msgstr "el intento de cambiar la opción «%s» ha sido ignorado"
+
+#: utils/misc/guc.c:4588 utils/misc/guc.c:4597 guc-file.l:266
+msgid "This parameter cannot be changed after server start."
+msgstr "La opción no se puede modificar después del inicio del servidor."
+
+#: utils/misc/guc.c:4606
+#, c-format
+msgid "parameter \"%s\" cannot be changed now"
+msgstr "el parámetro «%s» no se puede cambiar en este momento"
+
+#: utils/misc/guc.c:4636
+#, c-format
+msgid "parameter \"%s\" cannot be set after connection start"
+msgstr "el parámetro «%s» no se puede cambiar después de efectuar la conexión"
+
+#: utils/misc/guc.c:4646
+#, c-format
+msgid "permission denied to set parameter \"%s\""
+msgstr "se ha denegado el permiso para cambiar la opción «%s»"
+
+#: utils/misc/guc.c:4684
+#, c-format
+msgid "cannot set parameter \"%s\" within security-definer function"
+msgstr ""
+"no se puede definir el parámetro «%s» dentro una función security-definer"
+
+#: utils/misc/guc.c:4692 utils/init/miscinit.c:443
+#, c-format
+msgid "cannot set parameter \"%s\" within security-restricted operation"
+msgstr ""
+"no se puede definir el parámetro «%s» dentro de una operación restringida "
+"por seguridad"
+
+#: utils/misc/guc.c:4741
+#, c-format
+msgid "parameter \"%s\" requires a Boolean value"
+msgstr "opción «%s» requiere un valor lógico (booleano)"
+
+#: utils/misc/guc.c:4763 utils/misc/guc.c:4838
+#, c-format
+msgid "invalid value for parameter \"%s\": %d"
+msgstr "valor no válido para el parámetro «%s»: %d"
+
+#: utils/misc/guc.c:4807 utils/misc/guc.c:5009 utils/misc/guc.c:5075
+#: utils/misc/guc.c:5101 guc-file.l:178
+#, c-format
+msgid "invalid value for parameter \"%s\": \"%s\""
+msgstr "valor no válido para el parámetro «%s»: «%s»"
+
+#: utils/misc/guc.c:4809 utils/misc/guc.c:5077 utils/fmgr/dfmgr.c:381
+#: utils/adt/xml.c:1365 utils/adt/xml.c:1366 utils/adt/xml.c:1372
+#: utils/adt/xml.c:1443 tcop/postgres.c:4057 commands/tablecmds.c:621
+#: commands/user.c:930 commands/user.c:931 commands/trigger.c:574
+#: commands/trigger.c:590 commands/trigger.c:602 nodes/print.c:85
+#: storage/lmgr/deadlock.c:942 storage/lmgr/deadlock.c:943
+#: catalog/dependency.c:907 catalog/dependency.c:908 catalog/dependency.c:914
+#: catalog/dependency.c:915 catalog/dependency.c:926 catalog/dependency.c:927
+#, c-format
+msgid "%s"
+msgstr "%s"
+
+#: utils/misc/guc.c:4816
+#, c-format
+msgid "%d is outside the valid range for parameter \"%s\" (%d .. %d)"
+msgstr "%d está fuera del rango aceptable para el parámetro «%s» (%d .. %d)"
+
+#: utils/misc/guc.c:4880
+#, c-format
+msgid "parameter \"%s\" requires a numeric value"
+msgstr "parámetro «%s» requiere un valor numérico"
+
+#: utils/misc/guc.c:4888
+#, c-format
+msgid "%g is outside the valid range for parameter \"%s\" (%g .. %g)"
+msgstr "%g está fuera del rango aceptable para el parámetro «%s» (%g .. %g)"
+
+#: utils/misc/guc.c:4910
+#, c-format
+msgid "invalid value for parameter \"%s\": %g"
+msgstr "valor no válido para el parámetro «%s»: %g"
+
+#: utils/misc/guc.c:5207 utils/misc/guc.c:5255 utils/misc/guc.c:6097
+#, c-format
+msgid "must be superuser to examine \"%s\""
+msgstr "debe ser superusuario para examinar «%s»"
+
+#: utils/misc/guc.c:5381
+#, c-format
+msgid "SET %s takes only one argument"
+msgstr "SET %s lleva sólo un argumento"
+
+#: utils/misc/guc.c:5608
+msgid "SET requires parameter name"
+msgstr "SET requiere el nombre de un parámetro"
+
+#: utils/misc/guc.c:5723
+#, c-format
+msgid "attempt to redefine parameter \"%s\""
+msgstr "intento de cambiar la opción «%s»"
+
+#: utils/misc/guc.c:6931 utils/init/miscinit.c:1075 commands/copy.c:2180
+#, c-format
+msgid "could not read from file \"%s\": %m"
+msgstr "no se pudo leer el archivo «%s»: %m"
+
+#: utils/misc/guc.c:7052
+#, c-format
+msgid "could not parse setting for parameter \"%s\""
+msgstr "no se pudo interpretar el valor de para el parámetro «%s»"
+
+#: utils/misc/guc.c:7324
+msgid "invalid list syntax for parameter \"log_destination\""
+msgstr "la sintaxis de lista no es válida para el parámetro «log_destination»"
+
+#: utils/misc/guc.c:7348
+#, c-format
+msgid "unrecognized \"log_destination\" key word: \"%s\""
+msgstr "palabra clave de «log_destination» no reconocida: «%s»"
+
+#: utils/misc/guc.c:7423
+msgid "SET AUTOCOMMIT TO OFF is no longer supported"
+msgstr "SET AUTOCOMMIT TO OFF ya no está soportado"
+
+#: utils/misc/guc.c:7495
+msgid "assertion checking is not supported by this build"
+msgstr ""
+"la revisión de aseveraciones (asserts) no está soportada en este servidor"
+
+#: utils/misc/guc.c:7510
+msgid "SSL is not supported by this build"
+msgstr "SSL no está soportado en este servidor"
+
+#: utils/misc/guc.c:7524
+msgid "cannot enable parameter when \"log_statement_stats\" is true"
+msgstr ""
+"no se puede activar el parámetro cuando «log_statement_stats» es verdadero"
+
+#: utils/misc/guc.c:7540
+msgid ""
+"cannot enable \"log_statement_stats\" when \"log_parser_stats\", "
+"\"log_planner_stats\", or \"log_executor_stats\" is true"
+msgstr ""
+"no se puede activar «log_statement_stats» cuando "
+"«log_parser_stats»,«log_planner_stats» o «log_executor_stats» están activos."
+
+#: utils/misc/guc.c:7558
+msgid "cannot set transaction read-write mode inside a read-only transaction"
+msgstr ""
+"no se puede poner en modo de escritura dentro de una transacción de sólo "
+"lectura"
+
+#: guc-file.l:380
+#, c-format
+msgid ""
+"could not open configuration file \"%s\": maximum nesting depth exceeded"
+msgstr ""
+"no se pudo abrir el archivo de configuración «%s»: nivel de anidamiento "
+"máximo excedido"
+
+#: guc-file.l:404 libpq/hba.c:1364
 #, c-format
 msgid "could not open configuration file \"%s\": %m"
 msgstr "no se pudo abrir el archivo de configuración «%s»: %m"
 
-#: libpq/hba.c:1542
-#, c-format
-msgid "invalid regular expression \"%s\": %s"
-msgstr "la expresión regular «%s» no es válida: %s"
-
-#: libpq/hba.c:1564
-#, c-format
-msgid "regular expression match for \"%s\" failed: %s"
-msgstr "la coincidencia de expresión regular para «%s» falló: %s"
-
-#: libpq/hba.c:1581
-#, c-format
-msgid ""
-"regular expression \"%s\" has no subexpressions as requested by "
-"backreference in \"%s\""
-msgstr ""
-"la expresión regular «%s» no tiene subexpresiones según lo requiere la "
-"referencia hacia atrás en «%s»"
-
-#: libpq/hba.c:1647
-#, c-format
-msgid "missing entry in file \"%s\" at end of line %d"
-msgstr "falta una entrada en el archivo «%s» al final de la línea %d"
-
-#: libpq/hba.c:1688
-#, c-format
-msgid "provided username (%s) and authenticated username (%s) don't match"
-msgstr ""
-"el nombre de usuario entregado (%s) y el nombre de usuario autentificado "
-"(%s) no coinciden"
-
-#: libpq/hba.c:1709
-#, c-format
-msgid "no match in usermap for user \"%s\" authenticated as \"%s\""
-msgstr ""
-"no hay coincidencia en el mapa para el usuario «%s» autentificado como «%s»"
-
-#: libpq/hba.c:1711
-#, c-format
-msgid "usermap \"%s\""
-msgstr " mapa de usuario «%s»"
-
-#: libpq/hba.c:1734
-#, c-format
-msgid "could not open Ident usermap file \"%s\": %m"
-msgstr "no se pudo abrir el mapa de usuarios Ident «%s»: %m"
-
-#: libpq/pqcomm.c:289
-#, c-format
-msgid "could not translate host name \"%s\", service \"%s\" to address: %s"
-msgstr ""
-"no se pudo traducir el nombre de host «%s», servicio «%s» a dirección: %s"
-
-#: libpq/pqcomm.c:293
-#, c-format
-msgid "could not translate service \"%s\" to address: %s"
-msgstr "no se pudo traducir el servicio «%s» a dirección: %s"
-
-#: libpq/pqcomm.c:320
-#, c-format
-msgid "could not bind to all requested addresses: MAXLISTEN (%d) exceeded"
-msgstr ""
-"no se pudo enlazar a todas las direcciones pedidas: MAXLISTEN (%d) fue "
-"excedido"
-
-#: libpq/pqcomm.c:329
-msgid "IPv4"
-msgstr "IPv4"
-
-#: libpq/pqcomm.c:333
-msgid "IPv6"
-msgstr "IPv6"
-
-#: libpq/pqcomm.c:338
-msgid "Unix"
-msgstr "Unix"
-
-#: libpq/pqcomm.c:343
-#, c-format
-msgid "unrecognized address family %d"
-msgstr "la familia de direcciones %d no es reconocida"
-
-#. translator: %s is IPv4, IPv6, or Unix
-#: libpq/pqcomm.c:354
-#, c-format
-msgid "could not create %s socket: %m"
-msgstr "no se pudo crear el socket %s: %m"
-
-#: libpq/pqcomm.c:379
-#, c-format
-msgid "setsockopt(SO_REUSEADDR) failed: %m"
-msgstr "setsockopt(SO_REUSEADDR) falló: %m"
-
-#: libpq/pqcomm.c:394
-#, c-format
-msgid "setsockopt(IPV6_V6ONLY) failed: %m"
-msgstr "setsockopt(IPV6_V6ONLY) falló: %m"
-
-#. translator: %s is IPv4, IPv6, or Unix
-#: libpq/pqcomm.c:413
-#, c-format
-msgid "could not bind %s socket: %m"
-msgstr "no se pudo enlazar al socket %s: %m"
-
-#: libpq/pqcomm.c:416
-#, c-format
-msgid ""
-"Is another postmaster already running on port %d? If not, remove socket file "
-"\"%s\" and retry."
-msgstr ""
-"¿Hay otro postmaster corriendo en el puerto %d? Si no, elimine el socket "
-"«%s» y reintente."
-
-#: libpq/pqcomm.c:419
-#, c-format
-msgid ""
-"Is another postmaster already running on port %d? If not, wait a few seconds "
-"and retry."
-msgstr ""
-"¿Hay otro postmaster corriendo en el puerto %d? Si no, aguarde unos segundos "
-"y reintente."
-
-#. translator: %s is IPv4, IPv6, or Unix
-#: libpq/pqcomm.c:452
-#, c-format
-msgid "could not listen on %s socket: %m"
-msgstr "no se pudo escuchar en el socket %s: %m"
-
-#: libpq/pqcomm.c:532
-#, c-format
-msgid "group \"%s\" does not exist"
-msgstr "no existe el grupo «%s»"
-
-#: libpq/pqcomm.c:542
-#, c-format
-msgid "could not set group of file \"%s\": %m"
-msgstr "no se pudo definir el grupo del archivo «%s»: %m"
-
-#: libpq/pqcomm.c:553
-#, c-format
-msgid "could not set permissions of file \"%s\": %m"
-msgstr "no se pudo definir los permisos del archivo «%s»: %m"
-
-#: libpq/pqcomm.c:583
-#, c-format
-msgid "could not accept new connection: %m"
-msgstr "no se pudo aceptar una nueva conexión: %m"
-
-#: libpq/pqcomm.c:769
-#, c-format
-msgid "could not receive data from client: %m"
-msgstr "no se pudo recibir datos del cliente: %m"
-
-#: libpq/pqcomm.c:956
-msgid "unexpected EOF within message length word"
-msgstr "EOF inesperado dentro de la palabra de tamaño del mensaje"
-
-#: libpq/pqcomm.c:967
-msgid "invalid message length"
-msgstr "el largo de mensaje no es válido"
-
-#: libpq/pqcomm.c:989 libpq/pqcomm.c:999
-msgid "incomplete message from client"
-msgstr "mensaje incompleto del cliente"
-
-#: libpq/pqcomm.c:1108
-#, c-format
-msgid "could not send data to client: %m"
-msgstr "no se pudo enviar datos al cliente: %m"
-
-#: libpq/pqformat.c:463
-msgid "no data left in message"
-msgstr "no hay datos restantes en el mensaje"
-
-#: libpq/pqformat.c:529
-msgid "binary value is out of range for type bigint"
-msgstr "el valor binario está fuera de rango para el tipo bigint"
-
-#: libpq/pqformat.c:611 libpq/pqformat.c:629 libpq/pqformat.c:650
-#: utils/adt/arrayfuncs.c:1345 utils/adt/rowtypes.c:551
+#: guc-file.l:543
+#, c-format
+msgid "syntax error in file \"%s\" line %u, near end of line"
+msgstr "error de sintaxis en el archivo «%s» línea %u, cerca del fin de línea"
+
+#: guc-file.l:548
+#, c-format
+msgid "syntax error in file \"%s\" line %u, near token \"%s\""
+msgstr ""
+"error de sintaxis en el archivo «%s» línea %u, cerca de la palabra «%s»"
+
+#: utils/misc/tzparser.c:63
+#, c-format
+msgid ""
+"time zone abbreviation \"%s\" is too long (maximum %d characters) in time "
+"zone file \"%s\", line %d"
+msgstr ""
+"la abreviación del huso horario «%s» es demasiado larga (máximo %d "
+"caracteres) en archivo de huso horario «%s», línea %d"
+
+#: utils/misc/tzparser.c:72
+#, c-format
+msgid ""
+"time zone offset %d is not a multiple of 900 sec (15 min) in time zone file "
+"\"%s\", line %d"
+msgstr ""
+"desplazamiento de huso horario %d no es un múltiplo de 900 segundos (15 "
+"minutos) en archivo de huso horario «%s», línea %d"
+
+#: utils/misc/tzparser.c:86
+#, c-format
+msgid "time zone offset %d is out of range in time zone file \"%s\", line %d"
+msgstr ""
+"desplazamiento de huso horario %d está fuera de rango en el archivo de huso "
+"horario «%s», línea %d"
+
+#: utils/misc/tzparser.c:123
+#, c-format
+msgid "missing time zone abbreviation in time zone file \"%s\", line %d"
+msgstr ""
+"falta una abreviación de huso horario en el archivo de huso horario «%s», "
+"línea %d"
+
+#: utils/misc/tzparser.c:134
+#, c-format
+msgid "missing time zone offset in time zone file \"%s\", line %d"
+msgstr ""
+"falta un desplazamiento de huso horario en el archivo de huso horario «%s», "
+"línea %d"
+
+#: utils/misc/tzparser.c:143
+#, c-format
+msgid "invalid number for time zone offset in time zone file \"%s\", line %d"
+msgstr ""
+"número no válido para desplazamiento de huso horario en archivo de huso "
+"horario «%s», línea %d"
+
+#: utils/misc/tzparser.c:168
+#, c-format
+msgid "invalid syntax in time zone file \"%s\", line %d"
+msgstr "sintaxis no válida en archivo de huso horario «%s», línea %d"
+
+#: utils/misc/tzparser.c:234
+#, c-format
+msgid "time zone abbreviation \"%s\" is multiply defined"
+msgstr "abreviación de huso horario «%s» está definida múltiples veces"
+
+#: utils/misc/tzparser.c:236
+#, c-format
+msgid ""
+"Entry in time zone file \"%s\", line %d, conflicts with entry in file \"%s"
+"\", line %d."
+msgstr ""
+"Entrada en archivo de huso horario «%s», línea %d, causa conflictos con "
+"entrada en archivo «%s», línea %d."
+
+#: utils/misc/tzparser.c:303
+#, c-format
+msgid "invalid time zone file name \"%s\""
+msgstr "nombre de huso horario «%s» no válido"
+
+#: utils/misc/tzparser.c:318
+#, c-format
+msgid "time zone file recursion limit exceeded in file \"%s\""
+msgstr "límite de recursión excedido en el archivo «%s»"
+
+#: utils/misc/tzparser.c:361 utils/misc/tzparser.c:376
+#, c-format
+msgid "could not read time zone file \"%s\": %m"
+msgstr "no se pudo leer archivo de huso horario «%s»: %m"
+
+#: utils/misc/tzparser.c:388
+#, c-format
+msgid "line is too long in time zone file \"%s\", line %d"
+msgstr "línea demasiado larga en archivo de huso horario «%s», línea %d"
+
+#: utils/misc/tzparser.c:413
+#, c-format
+msgid "@INCLUDE without file name in time zone file \"%s\", line %d"
+msgstr ""
+"@INCLUDE sin nombre de archivo en archivo de huso horario «%s», línea %d"
+
+#: utils/init/miscinit.c:177
+#, c-format
+msgid "could not change directory to \"%s\": %m"
+msgstr "no se pudo cambiar al directorio «%s»: %m"
+
+#: utils/init/miscinit.c:510
+#, c-format
+msgid "role \"%s\" is not permitted to log in"
+msgstr "al rol «%s» no se le permite conectarse"
+
+#: utils/init/miscinit.c:528
+#, c-format
+msgid "too many connections for role \"%s\""
+msgstr "demasiadas conexiones para el rol «%s»"
+
+#: utils/init/miscinit.c:603
+msgid "permission denied to set session authorization"
+msgstr "se ha denegado el permiso para cambiar el usuario actual"
+
+#: utils/init/miscinit.c:685
+#, c-format
+msgid "invalid role OID: %u"
+msgstr "el OID de rol no es válido: %u"
+
+#: utils/init/miscinit.c:777
+#, c-format
+msgid "could not create lock file \"%s\": %m"
+msgstr "no se pudo crear el archivo de bloqueo «%s»: %m"
+
+#: utils/init/miscinit.c:791
+#, c-format
+msgid "could not open lock file \"%s\": %m"
+msgstr "no se pudo abrir el archivo de bloqueo «%s»: %m"
+
+#: utils/init/miscinit.c:797
+#, c-format
+msgid "could not read lock file \"%s\": %m"
+msgstr "no se pudo leer el archivo de bloqueo «%s»: %m"
+
+#: utils/init/miscinit.c:860
+#, c-format
+msgid "lock file \"%s\" already exists"
+msgstr "el archivo de bloqueo «%s» ya existe"
+
+#: utils/init/miscinit.c:864
+#, c-format
+msgid "Is another postgres (PID %d) running in data directory \"%s\"?"
+msgstr "¿Hay otro postgres (PID %d) corriendo en el directorio de datos «%s»?"
+
+#: utils/init/miscinit.c:866
+#, c-format
+msgid "Is another postmaster (PID %d) running in data directory \"%s\"?"
+msgstr ""
+"¿Hay otro postmaster (PID %d) corriendo en el directorio de datos «%s»?"
+
+#: utils/init/miscinit.c:869
+#, c-format
+msgid "Is another postgres (PID %d) using socket file \"%s\"?"
+msgstr "¿Hay otro postgres (PID %d) usando el socket «%s»?"
+
+#: utils/init/miscinit.c:871
+#, c-format
+msgid "Is another postmaster (PID %d) using socket file \"%s\"?"
+msgstr "¿Hay otro postmaster (PID %d) usando el socket «%s»?"
+
+#: utils/init/miscinit.c:902
+#, c-format
+msgid "pre-existing shared memory block (key %lu, ID %lu) is still in use"
+msgstr ""
+"el bloque de memoria compartida preexistente (clave %lu, ID %lu) aún está en "
+"uso"
+
+#: utils/init/miscinit.c:905
+#, c-format
+msgid ""
+"If you're sure there are no old server processes still running, remove the "
+"shared memory block or just delete the file \"%s\"."
+msgstr ""
+"Si está seguro que no hay procesos de servidor antiguos aún en ejecución, "
+"elimine el bloque de memoria compartida, o simplemente borre el archivo «%s»."
+
+#: utils/init/miscinit.c:922
+#, c-format
+msgid "could not remove old lock file \"%s\": %m"
+msgstr "no se pudo eliminar el archivo de bloqueo antiguo «%s»: %m"
+
+#: utils/init/miscinit.c:924
+msgid ""
+"The file seems accidentally left over, but it could not be removed. Please "
+"remove the file by hand and try again."
+msgstr ""
+"El archivo parece accidentalmente abandonado, pero no pudo ser eliminado. "
+"Por favor elimine el archivo manualmente e intente nuevamente."
+
+#: utils/init/miscinit.c:946 utils/init/miscinit.c:957
+#: utils/init/miscinit.c:967
+#, c-format
+msgid "could not write lock file \"%s\": %m"
+msgstr "no se pudo escribir el archivo de bloqueo «%s»: %m"
+
+#: utils/init/miscinit.c:1173 utils/init/miscinit.c:1186
+#, c-format
+msgid "\"%s\" is not a valid data directory"
+msgstr "«%s» no es un directorio de datos válido"
+
+#: utils/init/miscinit.c:1175
+#, c-format
+msgid "File \"%s\" is missing."
+msgstr "Falta el archivo «%s»."
+
+#: utils/init/miscinit.c:1188
+#, c-format
+msgid "File \"%s\" does not contain valid data."
+msgstr "El archivo «%s» no contiene datos válidos."
+
+#: utils/init/miscinit.c:1190
+msgid "You might need to initdb."
+msgstr "Puede necesitar ejecutar initdb."
+
+#: utils/init/miscinit.c:1197 access/transam/xlog.c:4359
+#: access/transam/xlog.c:4368 access/transam/xlog.c:4392
+#: access/transam/xlog.c:4399 access/transam/xlog.c:4406
+#: access/transam/xlog.c:4411 access/transam/xlog.c:4418
+#: access/transam/xlog.c:4425 access/transam/xlog.c:4432
+#: access/transam/xlog.c:4439 access/transam/xlog.c:4446
+#: access/transam/xlog.c:4453 access/transam/xlog.c:4462
+#: access/transam/xlog.c:4469 access/transam/xlog.c:4478
+#: access/transam/xlog.c:4485 access/transam/xlog.c:4494
+#: access/transam/xlog.c:4501
+msgid "database files are incompatible with server"
+msgstr "los archivos de base de datos son incompatibles con el servidor"
+
+#: utils/init/miscinit.c:1198
+#, c-format
+msgid ""
+"The data directory was initialized by PostgreSQL version %ld.%ld, which is "
+"not compatible with this version %s."
+msgstr ""
+"El directorio de datos fue inicializado por PostgreSQL versión %ld.%ld, que "
+"no es compatible con esta versión %s."
+
+#: utils/init/miscinit.c:1246
+#, c-format
+msgid "invalid list syntax in parameter \"%s\""
+msgstr "la sintaxis de lista no es válida para el parámetro «%s»"
+
+#: utils/init/miscinit.c:1283
+#, c-format
+msgid "loaded library \"%s\""
+msgstr "biblioteca «%s» cargada"
+
+#: utils/init/postinit.c:178
+#, c-format
+msgid "database \"%s\" has disappeared from pg_database"
+msgstr "la base de datos «%s» ha desaparecido de pg_database"
+
+#: utils/init/postinit.c:180
+#, c-format
+msgid "Database OID %u now seems to belong to \"%s\"."
+msgstr "Base de datos con OID %u ahora parece pertenecer a «%s»."
+
+#: utils/init/postinit.c:200
+#, c-format
+msgid "database \"%s\" is not currently accepting connections"
+msgstr "la base de datos «%s» no acepta conexiones"
+
+#: utils/init/postinit.c:213
+#, c-format
+msgid "permission denied for database \"%s\""
+msgstr "permiso denegado a la base de datos «%s»"
+
+#: utils/init/postinit.c:214
+msgid "User does not have CONNECT privilege."
+msgstr "Usuario no tiene privilegios de conexión."
+
+#: utils/init/postinit.c:231
+#, c-format
+msgid "too many connections for database \"%s\""
+msgstr "demasiadas conexiones para la base de datos «%s»"
+
+#: utils/init/postinit.c:253 utils/init/postinit.c:260
+msgid "database locale is incompatible with operating system"
+msgstr "la configuración regional es incompatible con el sistema operativo"
+
+#: utils/init/postinit.c:254
+#, c-format
+msgid ""
+"The database was initialized with LC_COLLATE \"%s\",  which is not "
+"recognized by setlocale()."
+msgstr ""
+"La base de datos fue inicializada con LC_COLLATE «%s», el cual no es "
+"reconocido por setlocale()."
+
+#: utils/init/postinit.c:256 utils/init/postinit.c:263
+msgid ""
+"Recreate the database with another locale or install the missing locale."
+msgstr ""
+"Recree la base de datos con otra configuración regional, o instale la "
+"configuración regional faltante."
+
+#: utils/init/postinit.c:261
+#, c-format
+msgid ""
+"The database was initialized with LC_CTYPE \"%s\",  which is not recognized "
+"by setlocale()."
+msgstr ""
+"La base de datos fueron inicializada con LC_CTYPE «%s», el cual no es "
+"reconocido por setlocale()."
+
+#: utils/init/postinit.c:411
+#, c-format
+msgid "database %u does not exist"
+msgstr "no existe la base de datos %u"
+
+#: utils/init/postinit.c:421 utils/init/postinit.c:540
+#: utils/init/postinit.c:556 utils/adt/dbsize.c:148 utils/adt/acl.c:2514
+#: commands/dbcommands.c:759 commands/dbcommands.c:903
+#: commands/dbcommands.c:1010 commands/dbcommands.c:1187
+#: commands/dbcommands.c:1374 commands/dbcommands.c:1446
+#: commands/dbcommands.c:1554 commands/comment.c:626 catalog/aclchk.c:536
+#, c-format
+msgid "database \"%s\" does not exist"
+msgstr "no existe la base de datos «%s»"
+
+#: utils/init/postinit.c:542
+msgid "It seems to have just been dropped or renamed."
+msgstr "Parece haber sido eliminada o renombrada."
+
+#: utils/init/postinit.c:558
+#, c-format
+msgid "The database subdirectory \"%s\" is missing."
+msgstr "Falta el subdirectorio de base de datos «%s»."
+
+#: utils/init/postinit.c:563
+#, c-format
+msgid "could not access directory \"%s\": %m"
+msgstr "no se pudo acceder al directorio «%s»: %m"
+
+#: utils/init/postinit.c:596
+msgid "no roles are defined in this database system"
+msgstr "no hay roles definidos en esta base de datos"
+
+#: utils/init/postinit.c:597
+#, c-format
+msgid "You should immediately run CREATE USER \"%s\" CREATEUSER;."
+msgstr "Debería ejecutar imediatamente CREATE USER \"%s\" CREATEUSER;."
+
+#: utils/init/postinit.c:627
+msgid "must be superuser to connect during database shutdown"
+msgstr ""
+"debe ser superusuario para conectarse durante el apagado de la base de datos"
+
+#: utils/init/postinit.c:637
+msgid "connection limit exceeded for non-superusers"
+msgstr "el límite de conexiones para no-superusuarios ha sido excedido"
+
+#: utils/init/flatfiles.c:209 utils/init/flatfiles.c:279
+#: utils/init/flatfiles.c:408 utils/init/flatfiles.c:663
+#, c-format
+msgid "could not write to temporary file \"%s\": %m"
+msgstr "no se pudo escribir el archivo temporal «%s»: %m"
+
+#: utils/init/flatfiles.c:249
+#, c-format
+msgid "invalid database name \"%s\""
+msgstr "el nombre de base de datos «%s» no es válido"
+
+#: utils/init/flatfiles.c:505
+#, c-format
+msgid "invalid role name \"%s\""
+msgstr "el nombre de rol «%s» no es válido"
+
+#: utils/init/flatfiles.c:512
+#, c-format
+msgid "invalid role password \"%s\""
+msgstr "la contraseña de «%s» rol no es válida"
+
+#: utils/error/elog.c:1427
+#, c-format
+msgid "could not reopen file \"%s\" as stderr: %m"
+msgstr "no se pudo reabrir «%s» para error estándar: %m"
+
+#: utils/error/elog.c:1440
+#, c-format
+msgid "could not reopen file \"%s\" as stdout: %m"
+msgstr "no se pudo reabrir «%s» para usar como salida estándar: %m"
+
+#: utils/error/elog.c:1750 utils/error/elog.c:1760
+msgid "[unknown]"
+msgstr "[desconocido]"
+
+#: utils/error/elog.c:2100 utils/error/elog.c:2382 utils/error/elog.c:2460
+msgid "missing error text"
+msgstr "falta un texto de mensaje de error"
+
+#: utils/error/elog.c:2103 utils/error/elog.c:2106 utils/error/elog.c:2463
+#: utils/error/elog.c:2466
+#, c-format
+msgid " at character %d"
+msgstr " en carácter %d"
+
+#: utils/error/elog.c:2116 utils/error/elog.c:2123
+msgid "DETAIL:  "
+msgstr "DETALLE:  "
+
+#: utils/error/elog.c:2130
+msgid "HINT:  "
+msgstr "HINT:  "
+
+#: utils/error/elog.c:2137
+msgid "QUERY:  "
+msgstr "CONSULTA:  "
+
+#: utils/error/elog.c:2144
+msgid "CONTEXT:  "
+msgstr "CONTEXTO:  "
+
+#: utils/error/elog.c:2154
+#, c-format
+msgid "LOCATION:  %s, %s:%d\n"
+msgstr "UBICACIÓN:  %s, %s:%d\n"
+
+#: utils/error/elog.c:2161
+#, c-format
+msgid "LOCATION:  %s:%d\n"
+msgstr "UBICACIÓN:  %s:%d\n"
+
+#: utils/error/elog.c:2175
+msgid "STATEMENT:  "
+msgstr "SENTENCIA:  "
+
+#: utils/error/elog.c:2272
+msgid "Not safe to send CSV data\n"
+msgstr "No es seguro enviar datos CSV\n"
+
+#. translator: This string will be truncated at 47
+#. characters expanded.
+#: utils/error/elog.c:2575
+#, c-format
+msgid "operating system error %d"
+msgstr "error %d de sistema operativo"
+
+#: utils/error/elog.c:2598
+msgid "DEBUG"
+msgstr "DEBUG"
+
+#: utils/error/elog.c:2602
+msgid "LOG"
+msgstr "LOG"
+
+#: utils/error/elog.c:2605
+msgid "INFO"
+msgstr "INFO"
+
+#: utils/error/elog.c:2608
+msgid "NOTICE"
+msgstr "NOTICE"
+
+#: utils/error/elog.c:2611
+msgid "WARNING"
+msgstr "WARNING"
+
+#: utils/error/elog.c:2614
+msgid "ERROR"
+msgstr "ERROR"
+
+#: utils/error/elog.c:2617
+msgid "FATAL"
+msgstr "FATAL"
+
+#: utils/error/elog.c:2620
+msgid "PANIC"
+msgstr "PANIC"
+
+#: utils/error/assert.c:37
+msgid "TRAP: ExceptionalCondition: bad arguments\n"
+msgstr "TRAP: ExceptionalConditions: argumentos erróneos\n"
+
+#: utils/error/assert.c:40
+#, c-format
+msgid "TRAP: %s(\"%s\", File: \"%s\", Line: %d)\n"
+msgstr "TRAP: %s(«%s», Archivo: «%s», Línea: %d)\n"
+
+#: utils/sort/tuplesort.c:2806
+#, c-format
+msgid "could not create unique index \"%s\""
+msgstr "no se pudo crear el índice único «%s»"
+
+#: utils/sort/tuplesort.c:2808
+msgid "Table contains duplicated values."
+msgstr "La tabla contiene valores duplicados."
+
+#: utils/sort/logtape.c:213
+#, c-format
+msgid "could not write block %ld of temporary file: %m"
+msgstr "no se pudo escribir el bloque %ld del archivo temporal: %m"
+
+#: utils/sort/logtape.c:215
+msgid "Perhaps out of disk space?"
+msgstr "¿Quizás se agotó el espacio en disco?"
+
+#: utils/sort/logtape.c:232
+#, c-format
+msgid "could not read block %ld of temporary file: %m"
+msgstr "no se pudo leer el bloque %ld del archivo temporal: %m"
+
+#: utils/fmgr/fmgr.c:266
+#, c-format
+msgid "internal function \"%s\" is not in internal lookup table"
+msgstr "la función interna «%s» no está en la tabla interna de búsqueda"
+
+#: utils/fmgr/fmgr.c:472
+#, c-format
+msgid "unrecognized API version %d reported by info function \"%s\""
+msgstr "la versión de API %d no reconocida fue reportada por la función «%s»"
+
+#: utils/fmgr/fmgr.c:843 utils/fmgr/fmgr.c:2076
+#, c-format
+msgid "function %u has too many arguments (%d, maximum is %d)"
+msgstr "la función %u tiene demasiados argumentos (%d, el máximo es %d)"
+
+#: utils/fmgr/dfmgr.c:125
+#, c-format
+msgid "could not find function \"%s\" in file \"%s\""
+msgstr "no se encuentra la función «%s» en el archivo «%s»"
+
+#: utils/fmgr/dfmgr.c:204 utils/fmgr/dfmgr.c:413 utils/fmgr/dfmgr.c:461
+#, c-format
+msgid "could not access file \"%s\": %m"
+msgstr "no se pudo acceder al archivo «%s»: %m"
+
+#: utils/fmgr/dfmgr.c:242
+#, c-format
+msgid "could not load library \"%s\": %s"
+msgstr "no se pudo cargar la biblioteca «%s»: %s"
+
+#: utils/fmgr/dfmgr.c:274
+#, c-format
+msgid "incompatible library \"%s\": missing magic block"
+msgstr "biblioteca «%s» incompatible: no se encuentra el bloque mágico"
+
+#: utils/fmgr/dfmgr.c:276
+msgid "Extension libraries are required to use the PG_MODULE_MAGIC macro."
+msgstr ""
+"Se requiere que las bibliotecas de extensión usen la macro PG_MODULE_MAGIC."
+
+#: utils/fmgr/dfmgr.c:312
+#, c-format
+msgid "incompatible library \"%s\": version mismatch"
+msgstr "biblioteca «%s» incompatible: versión no coincide"
+
+#: utils/fmgr/dfmgr.c:314
+#, c-format
+msgid "Server is version %d.%d, library is version %d.%d."
+msgstr "Servidor tiene versión %d.%d, biblioteca es versión %d.%d."
+
+#: utils/fmgr/dfmgr.c:333
+#, c-format
+msgid "Server has FUNC_MAX_ARGS = %d, library has %d."
+msgstr "El servidor tiene FUNC_MAX_ARGS = %d, la librería tiene %d"
+
+#: utils/fmgr/dfmgr.c:342
+#, c-format
+msgid "Server has INDEX_MAX_KEYS = %d, library has %d."
+msgstr "El servidor tiene INDEX_MAX_KEYS = %d, la librería tiene %d"
+
+#: utils/fmgr/dfmgr.c:351
+#, c-format
+msgid "Server has NAMEDATALEN = %d, library has %d."
+msgstr "El servidor tiene NAMEDATALEN = %d, la librería tiene %d"
+
+#: utils/fmgr/dfmgr.c:360
+#, c-format
+msgid "Server has FLOAT4PASSBYVAL = %s, library has %s."
+msgstr "El servidor tiene FLOAT4PASSBYVAL = %s, la librería tiene %s"
+
+#: utils/fmgr/dfmgr.c:369
+#, c-format
+msgid "Server has FLOAT8PASSBYVAL = %s, library has %s."
+msgstr "El servidor tiene FLOAT8PASSBYVAL = %s, la librería tiene %s"
+
+#: utils/fmgr/dfmgr.c:376
+msgid "Magic block has unexpected length or padding difference."
+msgstr ""
+"El bloque mágico tiene un largo inesperado, o una diferencia de relleno."
+
+#: utils/fmgr/dfmgr.c:379
+#, c-format
+msgid "incompatible library \"%s\": magic block mismatch"
+msgstr "biblioteca «%s» incompatible: bloque mágico no coincide"
+
+#: utils/fmgr/dfmgr.c:545
+#, c-format
+msgid "access to library \"%s\" is not allowed"
+msgstr "no está permitido el acceso a la biblioteca «%s»"
+
+#: utils/fmgr/dfmgr.c:572
+#, c-format
+msgid "invalid macro name in dynamic library path: %s"
+msgstr "el nombre de macro no es válido en la ruta a biblioteca dinámica: %s"
+
+#: utils/fmgr/dfmgr.c:617
+msgid "zero-length component in parameter \"dynamic_library_path\""
+msgstr ""
+"se encontró componente de largo cero en el parámetro «dynamic_library_path»"
+
+#: utils/fmgr/dfmgr.c:636
+msgid "component in parameter \"dynamic_library_path\" is not an absolute path"
+msgstr ""
+"un componente en el parámetro «dynamic_library_path» no es una ruta absoluta"
+
+#: utils/fmgr/funcapi.c:60 utils/mmgr/portalmem.c:937 commands/prepare.c:749
+#: foreign/foreign.c:281 executor/functions.c:649 executor/execQual.c:1577
+#: executor/execQual.c:1602 executor/execQual.c:1963 executor/execQual.c:5129
+msgid "set-valued function called in context that cannot accept a set"
+msgstr ""
+"se llamó una función que retorna un conjunto en un contexto que no puede "
+"aceptarlo"
+
+#: utils/fmgr/funcapi.c:356
+#, c-format
+msgid ""
+"could not determine actual result type for function \"%s\" declared to "
+"return type %s"
+msgstr ""
+"no se pudo determinar el tipo verdadero de resultado para la función «%s»  "
+"declarada retornando tipo %s"
+
+#: utils/fmgr/funcapi.c:1105 utils/fmgr/funcapi.c:1136
+msgid "number of aliases does not match number of columns"
+msgstr "el número de aliases no calza con el número de columnas"
+
+#: utils/fmgr/funcapi.c:1130
+msgid "no column alias was provided"
+msgstr "no se entregó alias de columna"
+
+#: utils/fmgr/funcapi.c:1154
+msgid "could not determine row description for function returning record"
+msgstr ""
+"no se pudo encontrar descripción de registro de función que retorna record"
+
+#: utils/mb/conversion_procs/utf8_and_iso8859/utf8_and_iso8859.c:136
+#: utils/mb/conversion_procs/utf8_and_iso8859/utf8_and_iso8859.c:163
+#, c-format
+msgid "unexpected encoding ID %d for ISO 8859 character sets"
+msgstr "ID de codificación %d inesperado para juegos de caracteres ISO 8859"
+
+#: utils/mb/conversion_procs/utf8_and_win/utf8_and_win.c:126
+#: utils/mb/conversion_procs/utf8_and_win/utf8_and_win.c:153
+#, c-format
+msgid "unexpected encoding ID %d for WIN character sets"
+msgstr "ID de codificación %d inesperado para juegos de caracteres WIN"
+
+#: utils/mb/conv.c:509
+#, c-format
+msgid "invalid encoding number: %d"
+msgstr "el número de codificación no es válido: %d"
+
+#: utils/mb/encnames.c:564
+msgid "encoding name too long"
+msgstr "el nombre de codificación es demasiado largo"
+
+#: utils/mb/mbutils.c:240 commands/variable.c:665
+#, c-format
+msgid "conversion between %s and %s is not supported"
+msgstr "la conversión entre %s y %s no está soportada"
+
+#: utils/mb/mbutils.c:310
+#, c-format
+msgid ""
+"default conversion function for encoding \"%s\" to \"%s\" does not exist"
+msgstr ""
+"no existe el procedimiento por omisión de conversión desde la codificación "
+"«%s» a «%s»"
+
+#: utils/mb/mbutils.c:336 utils/mb/mbutils.c:597
+#, c-format
+msgid "String of %d bytes is too long for encoding conversion."
+msgstr "La cadena de %d bytes es demasiado larga para la recodificación."
+
+#: utils/mb/mbutils.c:423
+#, c-format
+msgid "invalid source encoding name \"%s\""
+msgstr "la codificación de origen «%s» no es válida"
+
+#: utils/mb/mbutils.c:428
+#, c-format
+msgid "invalid destination encoding name \"%s\""
+msgstr "la codificación de destino «%s» no es válida"
+
+#: utils/mb/mbutils.c:477 utils/adt/xml.c:156
+#, c-format
+msgid "invalid encoding name \"%s\""
+msgstr "nombre de codificación «%s» no válido"
+
+#: utils/mb/mbutils.c:529
+#, c-format
+msgid "invalid byte value for encoding \"%s\": 0x%02x"
+msgstr "byte no válido para codificación «%s»: 0x%02x"
+
+#: utils/mb/mbutils.c:724
+msgid "invalid multibyte character for locale"
+msgstr "el carácter multibyte no es válido para esta configuración regional"
+
+#: utils/mb/mbutils.c:725
+msgid ""
+"The server's LC_CTYPE locale is probably incompatible with the database "
+"encoding."
+msgstr ""
+"La configuración regional LC_CTYPE del servidor es probablemente "
+"incompatible con la codificación de la base de datos."
+
+#: utils/mb/wchar.c:1609
+#, c-format
+msgid "invalid byte sequence for encoding \"%s\": 0x%s"
+msgstr "secuencia de bytes no válida para codificación «%s»: 0x%s"
+
+#: utils/mb/wchar.c:1612
+msgid ""
+"This error can also happen if the byte sequence does not match the encoding "
+"expected by the server, which is controlled by \"client_encoding\"."
+msgstr ""
+"Este error también puede ocurrir si la secuencia de bytes no coinciden con "
+"la codificación esperada por el servidor, lo cual es controlado por el "
+"parámetro «client_encoding»."
+
+#: utils/mb/wchar.c:1641
+#, c-format
+msgid "character 0x%s of encoding \"%s\" has no equivalent in \"%s\""
+msgstr "carácter 0x%s de codificación «%s» no tiene equivalente en «%s»"
+
+#: utils/mmgr/aset.c:386
+#, c-format
+msgid "Failed while creating memory context \"%s\"."
+msgstr "Falla al crear el contexto de memoria «%s»."
+
+#: utils/mmgr/aset.c:565 utils/mmgr/aset.c:748 utils/mmgr/aset.c:954
+#, c-format
+msgid "Failed on request of size %lu."
+msgstr "Falla en petición de tamaño %lu."
+
+#: utils/mmgr/portalmem.c:207
+#, c-format
+msgid "cursor \"%s\" already exists"
+msgstr "el cursor «%s» ya existe"
+
+#: utils/mmgr/portalmem.c:211
+#, c-format
+msgid "closing existing cursor \"%s\""
+msgstr "cerrando el cursor «%s» preexistente"
+
+#: utils/mmgr/portalmem.c:422
+#, c-format
+msgid "cannot drop active portal \"%s\""
+msgstr "no se puede eliminar el portal activo «%s»"
+
+#: utils/mmgr/portalmem.c:627
+msgid "cannot PREPARE a transaction that has created a cursor WITH HOLD"
+msgstr ""
+"no se puede hacer PREPARE de una transacción que ha creado un cursor WITH "
+"HOLD"
+
+#: utils/mmgr/portalmem.c:941 commands/prepare.c:753 foreign/foreign.c:286
+msgid "materialize mode required, but it is not allowed in this context"
+msgstr ""
+"se requiere un nodo «materialize», pero no está permitido en este contexto"
+
+#: utils/adt/windowfuncs.c:243
+msgid "argument of ntile must be greater than zero"
+msgstr "el argumento de ntile debe ser mayor que cero"
+
+#: utils/adt/windowfuncs.c:465
+msgid "argument of nth_value must be greater than zero"
+msgstr "el argumento de nth_value debe ser mayor que cero"
+
+#: utils/adt/xml.c:135
+msgid "unsupported XML feature"
+msgstr "característica XML no soportada"
+
+#: utils/adt/xml.c:136
+msgid "This functionality requires the server to be built with libxml support."
+msgstr ""
+"Esta funcionalidad requiere que el servidor haya sido construido con soporte "
+"libxml."
+
+#: utils/adt/xml.c:137
+msgid "You need to rebuild PostgreSQL using --with-libxml."
+msgstr "Necesita reconstruir PostgreSQL usando --with-libxml."
+
+#: utils/adt/xml.c:402 utils/adt/xml.c:407
+msgid "invalid XML comment"
+msgstr "comentario XML no válido"
+
+#: utils/adt/xml.c:536
+msgid "not an XML document"
+msgstr "no es un documento XML"
+
+#: utils/adt/xml.c:689 utils/adt/xml.c:712
+msgid "invalid XML processing instruction"
+msgstr "instrucción de procesamiento XML no válida"
+
+#: utils/adt/xml.c:690
+#, c-format
+msgid "XML processing instruction target name cannot be \"%s\"."
+msgstr ""
+"el nombre de destino de la instrucción de procesamiento XML no puede ser "
+"«%s»."
+
+#: utils/adt/xml.c:713
+msgid "XML processing instruction cannot contain \"?>\"."
+msgstr "la instrucción de procesamiento XML no puede contener «?>»."
+
+#: utils/adt/xml.c:792
+msgid "xmlvalidate is not implemented"
+msgstr "xmlvalidate no está implementado"
+
+#: utils/adt/xml.c:877
+msgid "could not initialize XML library"
+msgstr "no se pudo inicializar la biblioteca XML"
+
+#: utils/adt/xml.c:878
+#, c-format
+msgid ""
+"libxml2 has incompatible char type: sizeof(char)=%u, sizeof(xmlChar)=%u."
+msgstr ""
+"libxml2 tiene tipo char incompatible: sizeof(char)=%u, sizeof(xmlChar)=%u."
+
+#: utils/adt/xml.c:1419
+msgid "Invalid character value."
+msgstr "Valor de carácter no válido."
+
+#: utils/adt/xml.c:1422
+msgid "Space required."
+msgstr "Se requiere un espacio."
+
+#: utils/adt/xml.c:1425
+msgid "standalone accepts only 'yes' or 'no'."
+msgstr "standalone acepta sólo 'yes' y 'no'."
+
+#: utils/adt/xml.c:1428
+msgid "Malformed declaration: missing version."
+msgstr "Declaración mal formada: falta la versión."
+
+#: utils/adt/xml.c:1431
+msgid "Missing encoding in text declaration."
+msgstr "Falta especificación de codificación en declaración de texto."
+
+#: utils/adt/xml.c:1434
+msgid "Parsing XML declaration: '?>' expected."
+msgstr "Procesando declaración XML: se esperaba '?>'."
+
+#: utils/adt/xml.c:1437
+#, c-format
+msgid "Unrecognized libxml error code: %d."
+msgstr "Código de error libxml no reconocido: %d."
+
+#: utils/adt/xml.c:1692
+msgid "date out of range"
+msgstr "la fecha fuera de rango"
+
+#: utils/adt/xml.c:1693
+msgid "XML does not support infinite date values."
+msgstr "XML no soporta valores infinitos de fecha."
+
+#: utils/adt/xml.c:1715 utils/adt/xml.c:1722 utils/adt/xml.c:1742
+#: utils/adt/xml.c:1749 utils/adt/timestamp.c:226 utils/adt/timestamp.c:264
+#: utils/adt/timestamp.c:486 utils/adt/timestamp.c:526
+#: utils/adt/timestamp.c:2525 utils/adt/timestamp.c:2546
+#: utils/adt/timestamp.c:2559 utils/adt/timestamp.c:2568
+#: utils/adt/timestamp.c:2626 utils/adt/timestamp.c:2649
+#: utils/adt/timestamp.c:2662 utils/adt/timestamp.c:2673
+#: utils/adt/timestamp.c:3103 utils/adt/timestamp.c:3233
+#: utils/adt/timestamp.c:3274 utils/adt/timestamp.c:3362
+#: utils/adt/timestamp.c:3409 utils/adt/timestamp.c:3520
+#: utils/adt/timestamp.c:3833 utils/adt/timestamp.c:3970
+#: utils/adt/timestamp.c:3977 utils/adt/timestamp.c:3991
+#: utils/adt/timestamp.c:4001 utils/adt/timestamp.c:4064
+#: utils/adt/timestamp.c:4204 utils/adt/timestamp.c:4214
+#: utils/adt/timestamp.c:4429 utils/adt/timestamp.c:4508
+#: utils/adt/timestamp.c:4515 utils/adt/timestamp.c:4542
+#: utils/adt/timestamp.c:4546 utils/adt/timestamp.c:4603
+#: utils/adt/formatting.c:2961 utils/adt/formatting.c:2993
+#: utils/adt/formatting.c:3061 utils/adt/date.c:901 utils/adt/date.c:948
+#: utils/adt/date.c:1504 utils/adt/date.c:1541 utils/adt/date.c:2415
+#: utils/adt/nabstime.c:480 utils/adt/nabstime.c:523 utils/adt/nabstime.c:553
+#: utils/adt/nabstime.c:596
+msgid "timestamp out of range"
+msgstr "el timestamp está fuera de rango"
+
+#: utils/adt/xml.c:1716 utils/adt/xml.c:1743
+msgid "XML does not support infinite timestamp values."
+msgstr "XML no soporta valores infinitos de timestamp."
+
+#: utils/adt/xml.c:2033 utils/adt/xml.c:2197 commands/portalcmds.c:168
+#: commands/portalcmds.c:222 executor/execCurrent.c:66
+#, c-format
+msgid "cursor \"%s\" does not exist"
+msgstr "no existe el cursor «%s»"
+
+#: utils/adt/xml.c:2112
+msgid "invalid query"
+msgstr "consulta no válido"
+
+#: utils/adt/xml.c:3345
+msgid "invalid array for XML namespace mapping"
+msgstr "array no válido para mapeo de espacio de nombres XML"
+
+#: utils/adt/xml.c:3346
+msgid ""
+"The array must be two-dimensional with length of the second axis equal to 2."
+msgstr "El array debe ser bidimensional y el largo del segundo eje igual a 2."
+
+#: utils/adt/xml.c:3370
+msgid "empty XPath expression"
+msgstr "expresion XPath vacía"
+
+#: utils/adt/xml.c:3418
+msgid "neither namespace name nor URI may be null"
+msgstr "ni el espacio de nombres ni la URI pueden ser vacíos"
+
+#: utils/adt/xml.c:3425
+#, c-format
+msgid "could not register XML namespace with name \"%s\" and URI \"%s\""
+msgstr ""
+"no se pudo registrar un espacio de nombres XML llamado «%s» con URI «%s»"
+
+#: utils/adt/regexp.c:194 tsearch/spell.c:365
+#, c-format
+msgid "invalid regular expression: %s"
+msgstr "la expresión regular no es válida: %s"
+
+#: utils/adt/regexp.c:273 utils/adt/varlena.c:2588
+#, c-format
+msgid "regular expression failed: %s"
+msgstr "la expresión regular falló: %s"
+
+#: utils/adt/regexp.c:408
+#, c-format
+msgid "invalid regexp option: \"%c\""
+msgstr "la opción de expresión regular no es válida: «%c»"
+
+#: utils/adt/regexp.c:681 utils/adt/like_match.c:285
+msgid "invalid escape string"
+msgstr "la cadena de escape no es válida"
+
+#: utils/adt/regexp.c:682 utils/adt/like_match.c:286
+msgid "Escape string must be empty or one character."
+msgstr "La cadena de escape debe estar vacía o tener un solo carácter."
+
+#: utils/adt/regexp.c:864
+msgid "regexp_split does not support the global option"
+msgstr "regex_split no soporta la opción «global»"
+
+#: utils/adt/datum.c:80 utils/adt/datum.c:92
+msgid "invalid Datum pointer"
+msgstr "puntero a Datum no válido"
+
+#: utils/adt/array_userfuncs.c:49
+msgid "could not determine input data types"
+msgstr "no se pudo determinar el tipo de datos de entrada"
+
+#: utils/adt/array_userfuncs.c:83
+msgid "neither input type is an array"
+msgstr "ninguno de los tipos de entrada es un array"
+
+#: utils/adt/array_userfuncs.c:104 utils/adt/array_userfuncs.c:114
+#: utils/adt/int.c:613 utils/adt/int.c:642 utils/adt/int.c:663
+#: utils/adt/int.c:683 utils/adt/int.c:705 utils/adt/int.c:734
+#: utils/adt/int.c:748 utils/adt/int.c:763 utils/adt/int.c:902
+#: utils/adt/int.c:923 utils/adt/int.c:950 utils/adt/int.c:990
+#: utils/adt/int.c:1011 utils/adt/int.c:1038 utils/adt/int.c:1069
+#: utils/adt/int.c:1132 utils/adt/int8.c:1222 utils/adt/float.c:1100
+#: utils/adt/float.c:1159 utils/adt/float.c:2716 utils/adt/float.c:2732
+#: utils/adt/varbit.c:1392 utils/adt/numeric.c:2035 utils/adt/numeric.c:2044
+msgid "integer out of range"
+msgstr "el entero está fuera de rango"
+
+#: utils/adt/array_userfuncs.c:122
+msgid "argument must be empty or one-dimensional array"
+msgstr "el argumento debe ser vacío o un array unidimensional"
+
+#: utils/adt/array_userfuncs.c:225 utils/adt/array_userfuncs.c:264
+#: utils/adt/array_userfuncs.c:301 utils/adt/array_userfuncs.c:330
+#: utils/adt/array_userfuncs.c:358
+msgid "cannot concatenate incompatible arrays"
+msgstr "no se pueden concatenar arrays incompatibles"
+
+#: utils/adt/array_userfuncs.c:226
+#, c-format
+msgid ""
+"Arrays with element types %s and %s are not compatible for concatenation."
+msgstr ""
+"Los arrays con elementos de tipo %s y %s son incompatibles para la "
+"concatenación."
+
+#: utils/adt/array_userfuncs.c:265
+#, c-format
+msgid "Arrays of %d and %d dimensions are not compatible for concatenation."
+msgstr ""
+"Los arrays de dimesiones %d y %d son incompatibles para la concatenación."
+
+#: utils/adt/array_userfuncs.c:302
+msgid ""
+"Arrays with differing element dimensions are not compatible for "
+"concatenation."
+msgstr ""
+"Los arrays con elementos de diferentes dimensiones son incompatibles para la "
+"concatenación."
+
+#: utils/adt/array_userfuncs.c:331 utils/adt/array_userfuncs.c:359
+msgid "Arrays with differing dimensions are not compatible for concatenation."
+msgstr ""
+"Los arrays con diferentes dimensiones son incompatibles para la "
+"concatenación."
+
+#: utils/adt/array_userfuncs.c:425 utils/adt/arrayfuncs.c:1186
+#: utils/adt/arrayfuncs.c:2845 utils/adt/arrayfuncs.c:4525
+#, c-format
+msgid "invalid number of dimensions: %d"
+msgstr "número incorrecto de dimensiones: %d"
+
+#: utils/adt/array_userfuncs.c:429 utils/adt/arrayfuncs.c:203
+#: utils/adt/arrayfuncs.c:455 utils/adt/arrayfuncs.c:1190
+#: utils/adt/arrayfuncs.c:2849 utils/adt/arrayfuncs.c:4529
+#: executor/execQual.c:295 executor/execQual.c:323 executor/execQual.c:3016
+#, c-format
+msgid "number of array dimensions (%d) exceeds the maximum allowed (%d)"
+msgstr ""
+"el número de dimensiones del array (%d) excede el máximo permitido (%d)"
+
+#: utils/adt/array_userfuncs.c:485
+msgid "could not determine input data type"
+msgstr "no se pudo determinar el tipo de dato de entrada"
+
+#: utils/adt/int.c:161
+msgid "int2vector has too many elements"
+msgstr "int2vector tiene demasiados elementos"
+
+#: utils/adt/int.c:234
+msgid "invalid int2vector data"
+msgstr "datos de int2vector no válidos"
+
+#: utils/adt/int.c:339 utils/adt/int.c:779 utils/adt/int.c:808
+#: utils/adt/int.c:829 utils/adt/int.c:849 utils/adt/int.c:881
+#: utils/adt/int.c:1147 utils/adt/int8.c:1247 utils/adt/float.c:1118
+#: utils/adt/float.c:1176 utils/adt/numeric.c:2136 utils/adt/numeric.c:2147
+msgid "smallint out of range"
+msgstr "smallint está fuera de rango"
+
+#: utils/adt/int.c:720 utils/adt/int.c:865 utils/adt/int.c:964
+#: utils/adt/int.c:1053 utils/adt/int.c:1083 utils/adt/int.c:1107
+#: utils/adt/timestamp.c:2865 utils/adt/geo_ops.c:3967 utils/adt/int8.c:605
+#: utils/adt/int8.c:656 utils/adt/int8.c:839 utils/adt/int8.c:938
+#: utils/adt/int8.c:1027 utils/adt/int8.c:1126 utils/adt/float.c:763
+#: utils/adt/float.c:827 utils/adt/float.c:2475 utils/adt/float.c:2538
+#: utils/adt/cash.c:538 utils/adt/cash.c:589 utils/adt/cash.c:638
+#: utils/adt/cash.c:690 utils/adt/cash.c:740 utils/adt/numeric.c:4183
+#: utils/adt/numeric.c:4466
+msgid "division by zero"
+msgstr "división por cero"
+
+#: utils/adt/int.c:1335 utils/adt/timestamp.c:4701 utils/adt/timestamp.c:4782
+#: utils/adt/int8.c:1384
+msgid "step size cannot equal zero"
+msgstr "el tamaño de paso no puede ser cero"
+
+#: utils/adt/tsgistidx.c:100
+msgid "gtsvector_in not implemented"
+msgstr "gtsvector_in no está implementado"
+
+#: utils/adt/bool.c:153
+#, c-format
+msgid "invalid input syntax for type boolean: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo boolean: «%s»"
+
+#: utils/adt/arrayutils.c:93 utils/adt/arrayutils.c:102
+#: utils/adt/arrayutils.c:109 utils/adt/arrayfuncs.c:819
+#: utils/adt/arrayfuncs.c:1407 utils/adt/arrayfuncs.c:2729
+#: utils/adt/arrayfuncs.c:2877 utils/adt/arrayfuncs.c:4625
+#, c-format
+msgid "array size exceeds the maximum allowed (%d)"
+msgstr "el tamaño del array excede el máximo permitido (%d)"
+
+#: utils/adt/arrayutils.c:209
+msgid "typmod array must be type cstring[]"
+msgstr "el array de typmod debe ser de tipo cstring[]"
+
+#: utils/adt/arrayutils.c:214
+msgid "typmod array must be one-dimensional"
+msgstr "array de typmod debe ser unidimensional"
+
+#: utils/adt/arrayutils.c:219
+msgid "typmod array must not contain nulls"
+msgstr "los arrays de typmod no deben contener valores nulos"
+
+#: utils/adt/trigfuncs.c:41
+msgid "suppress_redundant_updates_trigger: must be called as trigger"
+msgstr "suppress_redundant_updates_trigger: debe ser invocado como trigger"
+
+#: utils/adt/trigfuncs.c:47
+msgid "suppress_redundant_updates_trigger: must be called on update"
+msgstr "suppress_redundant_updates_trigger: debe ser invocado en «UPDATE»"
+
+#: utils/adt/trigfuncs.c:53
+msgid "suppress_redundant_updates_trigger: must be called before update"
+msgstr "suppress_redundant_updates_trigger: debe ser invocado «BEFORE UPDATE»"
+
+#: utils/adt/trigfuncs.c:59
+msgid "suppress_redundant_updates_trigger: must be called for each row"
+msgstr "suppress_redundant_updates_trigger: debe ser invocado «FOR EACH ROW»"
+
+#: utils/adt/timestamp.c:92 utils/adt/varchar.c:43 utils/adt/date.c:66
+#: utils/adt/varbit.c:44
+msgid "invalid type modifier"
+msgstr "el modificador de tipo no es válido"
+
+#: utils/adt/timestamp.c:97
+#, c-format
+msgid "TIMESTAMP(%d)%s precision must not be negative"
+msgstr "la precisión de TIMESTAMP(%d)%s no debe ser negativa"
+
+#: utils/adt/timestamp.c:103
+#, c-format
+msgid "TIMESTAMP(%d)%s precision reduced to maximum allowed, %d"
+msgstr "la precisión de TIMESTAMP(%d)%s fue reducida al máximo permitido, %d"
+
+#: utils/adt/timestamp.c:171 utils/adt/timestamp.c:430
+#, c-format
+msgid "timestamp out of range: \"%s\""
+msgstr "timestamp fuera de rango: «%s»"
+
+#: utils/adt/timestamp.c:189 utils/adt/timestamp.c:448
+#: utils/adt/timestamp.c:659
+#, c-format
+msgid "date/time value \"%s\" is no longer supported"
+msgstr "el valor de date/time «%s» ya no está soportado"
+
+#: utils/adt/timestamp.c:365
+#, c-format
+msgid "timestamp(%d) precision must be between %d and %d"
+msgstr "la precisión de timestamp(%d) debe estar entre %d y %d"
+
+#: utils/adt/timestamp.c:653 utils/adt/timestamp.c:3098
+#: utils/adt/timestamp.c:3228 utils/adt/timestamp.c:3613
+msgid "interval out of range"
+msgstr "interval fuera de rango"
+
+#: utils/adt/timestamp.c:782 utils/adt/timestamp.c:815
+msgid "invalid INTERVAL type modifier"
+msgstr "modificador de tipo INTERVAL no válido"
+
+#: utils/adt/timestamp.c:798
+#, c-format
+msgid "INTERVAL(%d) precision must not be negative"
+msgstr "la precisión de INTERVAL(%d) no debe ser negativa"
+
+#: utils/adt/timestamp.c:804
+#, c-format
+msgid "INTERVAL(%d) precision reduced to maximum allowed, %d"
+msgstr "la precisión de INTERVAL(%d) fue reducida al máximo permitido, %d"
+
+#: utils/adt/timestamp.c:1096
+#, c-format
+msgid "interval(%d) precision must be between %d and %d"
+msgstr "la precisión de interval(%d) debe estar entre %d y %d"
+
+#: utils/adt/timestamp.c:2301
+msgid "cannot subtract infinite timestamps"
+msgstr "no se pueden restar timestamps infinitos"
+
+#: utils/adt/timestamp.c:3354 utils/adt/timestamp.c:3950
+#: utils/adt/timestamp.c:4009
+#, c-format
+msgid "timestamp units \"%s\" not supported"
+msgstr "las unidades de timestamp «%s» no están soportadas"
+
+#: utils/adt/timestamp.c:3368 utils/adt/timestamp.c:4019
+#, c-format
+msgid "timestamp units \"%s\" not recognized"
+msgstr "las unidades de timestamp «%s» no son reconocidas"
+
+#: utils/adt/timestamp.c:3509 utils/adt/timestamp.c:4181
+#: utils/adt/timestamp.c:4222
+#, c-format
+msgid "timestamp with time zone units \"%s\" not supported"
+msgstr "las unidades de timestamp with time zone «%s» no están soportadas"
+
+#: utils/adt/timestamp.c:3526 utils/adt/timestamp.c:4231
+#, c-format
+msgid "timestamp with time zone units \"%s\" not recognized"
+msgstr "las unidades de timestamp with time zone «%s» no son reconocidas"
+
+#: utils/adt/timestamp.c:3606 utils/adt/timestamp.c:4337
+#, c-format
+msgid "interval units \"%s\" not supported"
+msgstr "las unidades de interval «%s» no están soportadas"
+
+#: utils/adt/timestamp.c:3622 utils/adt/timestamp.c:4364
+#, c-format
+msgid "interval units \"%s\" not recognized"
+msgstr "las unidades de interval «%s» no son reconocidas"
+
+#: utils/adt/timestamp.c:4434 utils/adt/timestamp.c:4607
+#, c-format
+msgid "could not convert to time zone \"%s\""
+msgstr "no se pudo convertir al huso horario «%s»"
+
+#: utils/adt/timestamp.c:4441 utils/adt/timestamp.c:4614 utils/adt/date.c:2620
+#: utils/adt/datetime.c:928 utils/adt/datetime.c:1663
+#, c-format
+msgid "time zone \"%s\" not recognized"
+msgstr "el huso horario «%s» no es reconocido"
+
+#: utils/adt/timestamp.c:4466 utils/adt/timestamp.c:4640
+#, c-format
+msgid "interval time zone \"%s\" must not specify month"
+msgstr "el intervalo de huso horario «%s» no debe especificar mes"
+
+#: utils/adt/selfuncs.c:4558 utils/adt/selfuncs.c:4999
+msgid "case insensitive matching not supported on type bytea"
+msgstr "no está soportada la comparación insensible a mayúsculas en bytea"
+
+#: utils/adt/selfuncs.c:4664 utils/adt/selfuncs.c:5159
+msgid "regular-expression matching not supported on type bytea"
+msgstr "no está soportada la comparación con expresiones regulares en bytea"
+
+#: utils/adt/varlena.c:211 utils/adt/varlena.c:252 utils/adt/encode.c:441
+#: utils/adt/encode.c:506
+msgid "invalid input syntax for type bytea"
+msgstr "sintaxis de entrada no válida para tipo bytea"
+
+#: utils/adt/varlena.c:670 utils/adt/varlena.c:734 utils/adt/varlena.c:1684
+#: utils/adt/varbit.c:961
+msgid "negative substring length not allowed"
+msgstr "no se permite un largo negativo de subcadena"
+
+#: utils/adt/varlena.c:1213 utils/adt/varlena.c:1226
+#, c-format
+msgid "could not convert string to UTF-16: error %lu"
+msgstr "no se pudo convertir la cadena a UTF-16: error %lu"
+
+#: utils/adt/varlena.c:1236
+#, c-format
+msgid "could not compare Unicode strings: %m"
+msgstr "no se pudieron comparar las cadenas Unicode: %m"
+
+#: utils/adt/varlena.c:1779 utils/adt/varlena.c:1810 utils/adt/varlena.c:1846
+#: utils/adt/varlena.c:1889
+#, c-format
+msgid "index %d out of valid range, 0..%d"
+msgstr "el índice %d está fuera de rango [0..%d]"
+
+#: utils/adt/varlena.c:1901
+msgid "new bit must be 0 or 1"
+msgstr "el nuevo bit debe ser 0 o 1"
+
+#: utils/adt/varlena.c:1989 utils/adt/varlena.c:1994 utils/adt/regproc.c:1336
+#: utils/adt/regproc.c:1341
+msgid "invalid name syntax"
+msgstr "la sintaxis de nombre no es válida"
+
+#: utils/adt/varlena.c:2681
+msgid "field position must be greater than zero"
+msgstr "la posición del campo debe ser mayor que cero"
+
+#: utils/adt/like_match.c:103
+msgid "LIKE pattern must not end with escape character"
+msgstr "el patrón LIKE no debe terminar con un carácter de escape"
+
+#: utils/adt/tid.c:70 utils/adt/tid.c:78 utils/adt/tid.c:86
+#, c-format
+msgid "invalid input syntax for type tid: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo tid: «%s»"
+
+#: utils/adt/geo_ops.c:292 utils/adt/geo_ops.c:4088 utils/adt/geo_ops.c:5009
+msgid "too many points requested"
+msgstr "se pidieron demasiados puntos"
+
+#: utils/adt/geo_ops.c:315
+msgid "could not format \"path\" value"
+msgstr "no se pudo dar formato a «path»"
+
+#: utils/adt/geo_ops.c:390
+#, c-format
+msgid "invalid input syntax for type box: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo box: «%s»"
+
+#: utils/adt/geo_ops.c:954
+#, c-format
+msgid "invalid input syntax for type line: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo line: «%s»"
+
+#: utils/adt/geo_ops.c:961 utils/adt/geo_ops.c:1028 utils/adt/geo_ops.c:1043
+#: utils/adt/geo_ops.c:1055
+msgid "type \"line\" not yet implemented"
+msgstr "el tipo «line» no está implementado"
+
+#: utils/adt/geo_ops.c:1409 utils/adt/geo_ops.c:1432
+#, c-format
+msgid "invalid input syntax for type path: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo «path»: «%s»"
+
+#: utils/adt/geo_ops.c:1471
+msgid "invalid number of points in external \"path\" value"
+msgstr "el número de puntos no es válido en el valor «path» externo"
+
+#: utils/adt/geo_ops.c:1814
+#, c-format
+msgid "invalid input syntax for type point: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo point: «%s»"
+
+#: utils/adt/geo_ops.c:2042
+#, c-format
+msgid "invalid input syntax for type lseg: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo lseg: «%s»"
+
+#: utils/adt/geo_ops.c:2632
+msgid "function \"dist_lb\" not implemented"
+msgstr "la función «dist_lb» no está implementada"
+
+#: utils/adt/geo_ops.c:3145
+msgid "function \"close_lb\" not implemented"
+msgstr "la función «close_lb» no está implementada"
+
+#: utils/adt/geo_ops.c:3424
+msgid "cannot create bounding box for empty polygon"
+msgstr "no se puede crear una caja de contorno para un polígono vacío"
+
+#: utils/adt/geo_ops.c:3448 utils/adt/geo_ops.c:3460
+#, c-format
+msgid "invalid input syntax for type polygon: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo polygon: «%s»"
+
+#: utils/adt/geo_ops.c:3500
+msgid "invalid number of points in external \"polygon\" value"
+msgstr "el número de puntos no es válido en «polygon» externo"
+
+#: utils/adt/geo_ops.c:3886
+msgid "function \"poly_distance\" not implemented"
+msgstr "la función «poly_distance» no está implementada"
+
+#: utils/adt/geo_ops.c:4200
+msgid "function \"path_center\" not implemented"
+msgstr "la función «path_center» no está implementada"
+
+#: utils/adt/geo_ops.c:4217
+msgid "open path cannot be converted to polygon"
+msgstr "no se puede convertir un camino abierto en polygon"
+
+#: utils/adt/geo_ops.c:4386 utils/adt/geo_ops.c:4396 utils/adt/geo_ops.c:4411
+#: utils/adt/geo_ops.c:4417
+#, c-format
+msgid "invalid input syntax for type circle: \"%s\""
+msgstr "la sintaxis de entrada no es válida para el tipo circle: «%s»"
+
+#: utils/adt/geo_ops.c:4439 utils/adt/geo_ops.c:4447
+msgid "could not format \"circle\" value"
+msgstr "no se pudo dar formato al valor «circle»"
+
+#: utils/adt/geo_ops.c:4474
+msgid "invalid radius in external \"circle\" value"
+msgstr "el radio no es válido en el valor «circle» externo"
+
+#: utils/adt/geo_ops.c:4995
+msgid "cannot convert circle with radius zero to polygon"
+msgstr "no se puede convertir un círculo de radio cero a polygon"
+
+#: utils/adt/geo_ops.c:5000
+msgid "must request at least 2 points"
+msgstr "debe pedir al menos 2 puntos"
+
+#: utils/adt/geo_ops.c:5044 utils/adt/geo_ops.c:5067
+msgid "cannot convert empty polygon to circle"
+msgstr "no se puede convertir polígono vacío a circle"
+
+#: utils/adt/varchar.c:48 utils/adt/varbit.c:49
+#, c-format
+msgid "length for type %s must be at least 1"
+msgstr "el largo para el tipo %s debe ser al menos 1"
+
+#: utils/adt/varchar.c:52 utils/adt/varbit.c:54
+#, c-format
+msgid "length for type %s cannot exceed %d"
+msgstr "el largo del tipo %s no puede exceder %d"
+
+#: utils/adt/varchar.c:152 utils/adt/varchar.c:305
+#, c-format
+msgid "value too long for type character(%d)"
+msgstr "el valor es demasiado largo para el tipo character(%d)"
+
+#: utils/adt/varchar.c:473 utils/adt/varchar.c:594
+#, c-format
+msgid "value too long for type character varying(%d)"
+msgstr "el valor es demasiado largo para el tipo character varying(%d)"
+
+#: utils/adt/int8.c:101 utils/adt/int8.c:136 utils/adt/numutils.c:53
+#: utils/adt/numutils.c:63 utils/adt/numutils.c:105
+#, c-format
+msgid "invalid input syntax for integer: \"%s\""
+msgstr "la sintaxis de entrada no es válida para integer: «%s»"
+
+#: utils/adt/int8.c:117
+#, c-format
+msgid "value \"%s\" is out of range for type bigint"
+msgstr "el valor «%s» está fuera de rango para el tipo bigint"
+
+#: utils/adt/int8.c:506 utils/adt/int8.c:535 utils/adt/int8.c:556
+#: utils/adt/int8.c:589 utils/adt/int8.c:621 utils/adt/int8.c:639
+#: utils/adt/int8.c:690 utils/adt/int8.c:707 utils/adt/int8.c:776
+#: utils/adt/int8.c:797 utils/adt/int8.c:824 utils/adt/int8.c:855
+#: utils/adt/int8.c:876 utils/adt/int8.c:897 utils/adt/int8.c:924
+#: utils/adt/int8.c:964 utils/adt/int8.c:985 utils/adt/int8.c:1012
+#: utils/adt/int8.c:1043 utils/adt/int8.c:1064 utils/adt/int8.c:1085
+#: utils/adt/int8.c:1112 utils/adt/int8.c:1285 utils/adt/int8.c:1324
+#: utils/adt/varbit.c:1476 utils/adt/numeric.c:2088
+msgid "bigint out of range"
+msgstr "bigint está fuera de rango"
+
+#: utils/adt/int8.c:1341
+msgid "OID out of range"
+msgstr "OID está fuera de rango"
+
+#: utils/adt/float.c:54
+msgid "value out of range: overflow"
+msgstr "valor fuera de rango: desbordamiento"
+
+#: utils/adt/float.c:59
+msgid "value out of range: underflow"
+msgstr "valor fuera de rango: desbordamiento por abajo"
+
+#: utils/adt/float.c:205 utils/adt/float.c:246 utils/adt/float.c:297
+#, c-format
+msgid "invalid input syntax for type real: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo real: «%s»"
+
+#: utils/adt/float.c:241
+#, c-format
+msgid "\"%s\" is out of range for type real"
+msgstr "«%s» está fuera de rango para el tipo real"
+
+#: utils/adt/float.c:398 utils/adt/float.c:439 utils/adt/float.c:490
+#: utils/adt/numeric.c:3645 utils/adt/numeric.c:3671
+#, c-format
+msgid "invalid input syntax for type double precision: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo double precision: «%s»"
+
+#: utils/adt/float.c:434
+#, c-format
+msgid "\"%s\" is out of range for type double precision"
+msgstr "«%s» está fuera de rango para el tipo double precision"
+
+#: utils/adt/float.c:1302 utils/adt/numeric.c:4859
+msgid "cannot take square root of a negative number"
+msgstr "no se puede calcular la raíz cuadrada un de número negativo"
+
+#: utils/adt/float.c:1344 utils/adt/numeric.c:1948
+msgid "zero raised to a negative power is undefined"
+msgstr "cero elevado a una potencia negativa es indefinido"
+
+#: utils/adt/float.c:1348 utils/adt/numeric.c:1954
+msgid "a negative number raised to a non-integer power yields a complex result"
+msgstr ""
+"un número negativo elevado a una potencia no positiva entrega un resultado "
+"complejo"
+
+#: utils/adt/float.c:1414 utils/adt/float.c:1444 utils/adt/numeric.c:5077
+msgid "cannot take logarithm of zero"
+msgstr "no se puede calcular logaritmo de cero"
+
+#: utils/adt/float.c:1418 utils/adt/float.c:1448 utils/adt/numeric.c:5081
+msgid "cannot take logarithm of a negative number"
+msgstr "no se puede calcular logaritmo de un número negativo"
+
+#: utils/adt/float.c:1475 utils/adt/float.c:1496 utils/adt/float.c:1517
+#: utils/adt/float.c:1539 utils/adt/float.c:1560 utils/adt/float.c:1581
+#: utils/adt/float.c:1603 utils/adt/float.c:1624
+msgid "input is out of range"
+msgstr "la entrada está fuera de rango"
+
+#: utils/adt/float.c:2692 utils/adt/numeric.c:955
+msgid "count must be greater than zero"
+msgstr "count debe ser mayor que cero"
+
+#: utils/adt/float.c:2697 utils/adt/numeric.c:962
+msgid "operand, lower bound and upper bound cannot be NaN"
+msgstr "el operando, límite inferior y límite superior no pueden ser NaN"
+
+#: utils/adt/float.c:2703
+msgid "lower and upper bounds must be finite"
+msgstr "los límites inferior y superior deben ser finitos"
+
+#: utils/adt/float.c:2741 utils/adt/numeric.c:975
+msgid "lower bound cannot equal upper bound"
+msgstr "el límite superior no puede ser igual al límite inferior"
+
+#: utils/adt/formatting.c:489
+msgid "invalid format specification for an interval value"
+msgstr "especificación de formato no válida para un valor de interval"
+
+#: utils/adt/formatting.c:490
+msgid "Intervals are not tied to specific calendar dates."
+msgstr ""
+"Los Interval no están ... a valores determinados de fechas de calendario."
+
+#: utils/adt/formatting.c:1055
+msgid "\"9\" must be ahead of \"PR\""
+msgstr "«9» debe ir antes de «PR»"
+
+#: utils/adt/formatting.c:1074
+msgid "\"0\" must be ahead of \"PR\""
+msgstr "«0» debe ir antes de «PR»"
+
+#: utils/adt/formatting.c:1103
+msgid "multiple decimal points"
+msgstr "hay múltiples puntos decimales"
+
+#: utils/adt/formatting.c:1110 utils/adt/formatting.c:1214
+msgid "cannot use \"V\" and decimal point together"
+msgstr "no se puede usar «V» y un punto decimal simultáneamente"
+
+#: utils/adt/formatting.c:1125
+msgid "cannot use \"S\" twice"
+msgstr "no se puede usar «S» dos veces"
+
+#: utils/adt/formatting.c:1132
+msgid "cannot use \"S\" and \"PL\"/\"MI\"/\"SG\"/\"PR\" together"
+msgstr "no se puede usar «S» y «PL»/«MI»/«SG»/«PR» simultáneamente"
+
+#: utils/adt/formatting.c:1155
+msgid "cannot use \"S\" and \"MI\" together"
+msgstr "no se puede usar «S» y «MI» simultáneamente"
+
+#: utils/adt/formatting.c:1168
+msgid "cannot use \"S\" and \"PL\" together"
+msgstr "no se puede usar «S» y «PL» simultáneamente"
+
+#: utils/adt/formatting.c:1181
+msgid "cannot use \"S\" and \"SG\" together"
+msgstr "no se puede usar «S» y «SG» simultáneamente"
+
+#: utils/adt/formatting.c:1193
+msgid "cannot use \"PR\" and \"S\"/\"PL\"/\"MI\"/\"SG\" together"
+msgstr "no se puede usar «PR» y «S»/«PL»/«MI»/«SG» simultáneamente"
+
+#: utils/adt/formatting.c:1223
+msgid "\"E\" is not supported"
+msgstr "«E» no está soportado"
+
+#: utils/adt/formatting.c:1413
+#, c-format
+msgid "\"%s\" is not a number"
+msgstr "«%s» no es un número"
+
+#: utils/adt/formatting.c:1790
+msgid "invalid combination of date conventions"
+msgstr "combinacion invalida de convenciones de fecha"
+
+#: utils/adt/formatting.c:1791
+msgid ""
+"Do not mix Gregorian and ISO week date conventions in a formatting template."
+msgstr ""
+" No mezclar convenciones de semana Gregorianas e ISO en una plantilla "
+"formateada"
+
+#: utils/adt/formatting.c:1808
+#, c-format
+msgid "conflicting values for \"%s\" field in formatting string"
+msgstr "valores en conflicto para le campo \"%s\" en un string formateado"
+
+#: utils/adt/formatting.c:1810
+msgid "This value contradicts a previous setting for the same field type."
+msgstr ""
+"Este valor se contradice con un seteo previo para el mismo tipo de campo"
+
+#: utils/adt/formatting.c:1871
+#, c-format
+msgid "source string too short for \"%s\" formatting field"
+msgstr "cadena de texto fuente muy corta para campo formateado \"%s\" "
+
+#: utils/adt/formatting.c:1873
+#, c-format
+msgid "Field requires %d characters, but only %d remain."
+msgstr "El campo requiere %d caractéres, pero solo quedan %d."
+
+#: utils/adt/formatting.c:1876 utils/adt/formatting.c:1890
+msgid ""
+"If your source string is not fixed-width, try using the \"FM\" modifier."
+msgstr ""
+"Si su cadena de texto no es de ancho modificado, trate de usar el "
+"modificador \"FM\" "
+
+#: utils/adt/formatting.c:1886 utils/adt/formatting.c:1899
+#: utils/adt/formatting.c:2029
+#, c-format
+msgid "invalid value \"%s\" for \"%s\""
+msgstr "el valor «%s» no es válido para «%s»"
+
+#: utils/adt/formatting.c:1888
+#, c-format
+msgid "Field requires %d characters, but only %d could be parsed."
+msgstr "El campo requiere %d caracteres, pero sólo %d pudieron ser analizados."
+
+#: utils/adt/formatting.c:1901
+msgid "Value must be an integer."
+msgstr "El valor debe ser un entero."
+
+#: utils/adt/formatting.c:1906
+#, c-format
+msgid "value for \"%s\" in source string is out of range"
+msgstr "el valor para «%s» en la cadena de origen está fuera de rango"
+
+#: utils/adt/formatting.c:1908
+#, c-format
+msgid "Value must be in the range %d to %d."
+msgstr "EL valor debe estar en el rango de %d a %d."
+
+#: utils/adt/formatting.c:2031
+msgid "The given value did not match any of the allowed values for this field."
+msgstr ""
+"El valor dado no concuerda con ninguno de los valores permitidos para este "
+"campo."
+
+#: utils/adt/formatting.c:2593
+msgid "\"TZ\"/\"tz\" format patterns are not supported in to_date"
+msgstr "los patrones de formato «TZ»/«tz» no están soportados en to_date"
+
+#: utils/adt/formatting.c:2694
+msgid "invalid input string for \"Y,YYY\""
+msgstr "cadena de entrada no válida para «Y,YYY»"
+
+#: utils/adt/formatting.c:3208
+#, c-format
+msgid "hour \"%d\" is invalid for the 12-hour clock"
+msgstr "la hora «%d» no es válida para el reloj de 12 horas"
+
+#: utils/adt/formatting.c:3210
+msgid "Use the 24-hour clock, or give an hour between 1 and 12."
+msgstr "Use el reloj de 24 horas, o entregue una hora entre 1 y 12."
+
+#: utils/adt/formatting.c:3248
+#, c-format
+msgid "inconsistent use of year %04d and \"BC\""
+msgstr "el uso del año %04d y «BC» es inconsistente"
+
+#: utils/adt/formatting.c:3295
+msgid "cannot calculate day of year without year information"
+msgstr "no se puede calcular el día del año sin conocer el año"
+
+#: utils/adt/formatting.c:4160
+msgid "\"RN\" not supported"
+msgstr "«RN» no está soportado"
+
+#: utils/adt/date.c:71
+#, c-format
+msgid "TIME(%d)%s precision must not be negative"
+msgstr "la precisión de TIME(%d)%s no debe ser negativa"
+
+#: utils/adt/date.c:77
+#, c-format
+msgid "TIME(%d)%s precision reduced to maximum allowed, %d"
+msgstr "la precisión de TIME(%d)%s fue reducida al máximo permitido, %d"
+
+#: utils/adt/date.c:142 utils/adt/datetime.c:1186 utils/adt/datetime.c:1934
+msgid "date/time value \"current\" is no longer supported"
+msgstr "valor de hora/fecha «current» ya no está soportado"
+
+#: utils/adt/date.c:167
+#, c-format
+msgid "date out of range: \"%s\""
+msgstr "fecha fuera de rango: «%s»"
+
+#: utils/adt/date.c:347
+msgid "cannot subtract infinite dates"
+msgstr "no se pueden restar fechas infinitas"
+
+#: utils/adt/date.c:404 utils/adt/date.c:441
+msgid "date out of range for timestamp"
+msgstr "fecha fuera de rango para timestamp"
+
+#: utils/adt/date.c:974
+msgid "cannot convert reserved abstime value to date"
+msgstr "no se puede convertir un valor reservado de abstime a date"
+
+#: utils/adt/date.c:1128 utils/adt/date.c:1135 utils/adt/date.c:1903
+#: utils/adt/date.c:1910
+msgid "time out of range"
+msgstr "hora fuera de rango"
+
+#: utils/adt/date.c:1781 utils/adt/date.c:1798
+#, c-format
+msgid "\"time\" units \"%s\" not recognized"
+msgstr "las unidades de «time» «%s» no son reconocidas"
+
+#: utils/adt/date.c:1920
+msgid "time zone displacement out of range"
+msgstr "desplazamiento de huso horario fuera de rango"
+
+#: utils/adt/date.c:2545 utils/adt/date.c:2562
+#, c-format
+msgid "\"time with time zone\" units \"%s\" not recognized"
+msgstr "las unidades de «timestamp with time zone» «%s» no son reconocidas"
+
+#: utils/adt/date.c:2660
+#, c-format
+msgid "\"interval\" time zone \"%s\" not valid"
+msgstr "el huso horario «%s» de «interval» no es válido"
+
+#: utils/adt/varbit.c:157 utils/adt/varbit.c:297 utils/adt/varbit.c:353
+#, c-format
+msgid "bit string length %d does not match type bit(%d)"
+msgstr "el largo de la cadena de bits %d no coincide con el tipo bit(%d)"
+
+#: utils/adt/varbit.c:179 utils/adt/varbit.c:477
+#, c-format
+msgid "\"%c\" is not a valid binary digit"
+msgstr "«%c» no es un dígito binario válido"
+
+#: utils/adt/varbit.c:204 utils/adt/varbit.c:502
+#, c-format
+msgid "\"%c\" is not a valid hexadecimal digit"
+msgstr "«%c» no es un dígito hexadecimal válido"
+
+#: utils/adt/varbit.c:288 utils/adt/varbit.c:589
+msgid "invalid length in external bit string"
+msgstr "el largo largo no es válido en cadena de bits externa"
+
+#: utils/adt/varbit.c:455 utils/adt/varbit.c:598 utils/adt/varbit.c:659
+#, c-format
+msgid "bit string too long for type bit varying(%d)"
+msgstr "la cadena de bits es demasiado larga para el tipo bit varying(%d)"
+
+#: utils/adt/varbit.c:1058
+msgid "cannot AND bit strings of different sizes"
+msgstr "no se puede hacer AND entre cadenas de bits de distintos tamaños"
+
+#: utils/adt/varbit.c:1099
+msgid "cannot OR bit strings of different sizes"
+msgstr "no se puede hacer OR entre cadenas de bits de distintos tamaños"
+
+#: utils/adt/varbit.c:1145
+msgid "cannot XOR bit strings of different sizes"
+msgstr "no se puede hacer XOR entre cadenas de bits de distintos tamaños"
+
+#: utils/adt/tsvector.c:215
+#, c-format
+msgid "word is too long (%ld bytes, max %ld bytes)"
+msgstr "la palabra es demasiado larga (%ld, máximo %ld bytes)"
+
+#: utils/adt/tsvector.c:222
+#, c-format
+msgid "string is too long for tsvector (%ld bytes, max %ld bytes)"
+msgstr ""
+"la cadena es demasiado larga para tsvector (%ld bytes, máximo %ld bytes)"
+
+#: utils/adt/tsvector.c:272 utils/adt/tsvector_op.c:530 tsearch/to_tsany.c:165
+#, c-format
+msgid "string is too long for tsvector (%d bytes, max %d bytes)"
+msgstr "la cadena es demasiado larga para tsvector (%d bytes, máximo %d bytes)"
+
+#: utils/adt/ascii.c:75
+#, c-format
+msgid "encoding conversion from %s to ASCII not supported"
+msgstr "la conversión de codificación de %s a ASCII no está soportada"
+
+#: utils/adt/ascii.c:126 commands/dbcommands.c:234
+#, c-format
+msgid "%s is not a valid encoding name"
+msgstr "%s no es un nombre válido de codificación"
+
+#: utils/adt/ascii.c:144 commands/dbcommands.c:224
+#, c-format
+msgid "%d is not a valid encoding code"
+msgstr "%d no es un código válido de codificación"
+
+#: utils/adt/dbsize.c:64 utils/adt/dbsize.c:215 utils/adt/dbsize.c:286
+#: utils/adt/genfile.c:166 access/transam/xlog.c:2697
+#: access/transam/xlog.c:2849 access/transam/xlog.c:7407
+#: storage/file/copydir.c:85
+#, c-format
+msgid "could not stat file \"%s\": %m"
+msgstr "no se pudo verificar archivo «%s»: %m"
+
+#: utils/adt/dbsize.c:104 utils/adt/dbsize.c:193
+#, c-format
+msgid "could not open tablespace directory \"%s\": %m"
+msgstr "no se pudo abrir el directorio de tablespace «%s»: %m"
+
+#: utils/adt/dbsize.c:126 catalog/aclchk.c:2522 catalog/aclchk.c:3535
+#, c-format
+msgid "database with OID %u does not exist"
+msgstr "no existe la base de datos con OID %u"
+
+#: utils/adt/dbsize.c:246 utils/adt/acl.c:3695 commands/tablecmds.c:412
+#: commands/tablecmds.c:6627 commands/dbcommands.c:431
+#: commands/dbcommands.c:1043 commands/indexcmds.c:213 commands/comment.c:665
+#: commands/tablespace.c:415 commands/tablespace.c:770
+#: commands/tablespace.c:837 commands/tablespace.c:939
+#: commands/tablespace.c:1072 executor/execMain.c:2921 catalog/aclchk.c:613
+#, c-format
+msgid "tablespace \"%s\" does not exist"
+msgstr "no existe el tablespace «%s»"
+
+#: utils/adt/cash.c:237
+#, c-format
+msgid "invalid input syntax for type money: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo money: «%s»"
+
+#: utils/adt/tsrank.c:404
+msgid "array of weight must be one-dimensional"
+msgstr "el array de pesos debe ser unidimensional"
+
+#: utils/adt/tsrank.c:409
+msgid "array of weight is too short"
+msgstr "el array de pesos es muy corto"
+
+#: utils/adt/tsrank.c:414
+msgid "array of weight must not contain nulls"
+msgstr "los arrays de pesos no deben contener valores nulos"
+
+#: utils/adt/tsrank.c:423 utils/adt/tsrank.c:749
+msgid "weight out of range"
+msgstr "el peso está fuera de rango"
+
+#: utils/adt/name.c:87 utils/adt/acl.c:160
+msgid "identifier too long"
+msgstr "el identificador es demasiado largo"
+
+#: utils/adt/name.c:88 utils/adt/acl.c:161
+#, c-format
+msgid "Identifier must be less than %d characters."
+msgstr "El identificador debe ser menor a %d caracteres."
+
+#. translator: first %s is inet or cidr
+#: utils/adt/network.c:107 utils/adt/datetime.c:3556
+#, c-format
+msgid "invalid input syntax for type %s: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo %s: «%s»"
+
+#: utils/adt/network.c:118
+#, c-format
+msgid "invalid cidr value: \"%s\""
+msgstr "el formato de cidr no es válido: «%s»"
+
+#: utils/adt/network.c:119 utils/adt/network.c:249
+msgid "Value has bits set to right of mask."
+msgstr "El valor tiene bits a la derecha de la máscara."
+
+#: utils/adt/network.c:160 utils/adt/network.c:614 utils/adt/network.c:639
+#: utils/adt/network.c:664
+#, c-format
+msgid "could not format inet value: %m"
+msgstr "no se pudo dar formato al valor inet: %m"
+
+#. translator: %s is inet or cidr
+#: utils/adt/network.c:217
+#, c-format
+msgid "invalid address family in external \"%s\" value"
+msgstr "la familia de la dirección no es válida en valor «%s» externo"
+
+#. translator: %s is inet or cidr
+#: utils/adt/network.c:224
+#, c-format
+msgid "invalid bits in external \"%s\" value"
+msgstr "bits no válidos en el valor «%s» externo"
+
+#. translator: %s is inet or cidr
+#: utils/adt/network.c:233
+#, c-format
+msgid "invalid length in external \"%s\" value"
+msgstr "largo no válido en valor «%s» externo"
+
+#: utils/adt/network.c:248
+msgid "invalid external \"cidr\" value"
+msgstr "el valor externo «cidr» no es válido"
+
+#: utils/adt/network.c:370 utils/adt/network.c:397
+#, c-format
+msgid "invalid mask length: %d"
+msgstr "el largo de el máscara no es válido: %d"
+
+#: utils/adt/network.c:682
+#, c-format
+msgid "could not format cidr value: %m"
+msgstr "no se pudo dar formato al valor cidr: %m"
+
+#: utils/adt/network.c:1255
+msgid "cannot AND inet values of different sizes"
+msgstr "no se puede hacer AND entre valores inet de distintos tamaños"
+
+#: utils/adt/network.c:1287
+msgid "cannot OR inet values of different sizes"
+msgstr "no se puede hacer OR entre valor inet de distintos tamaños"
+
+#: utils/adt/network.c:1348 utils/adt/network.c:1424
+msgid "result is out of range"
+msgstr "el resultado está fuera de rango"
+
+#: utils/adt/network.c:1389
+msgid "cannot subtract inet values of different sizes"
+msgstr "no se puede restar valores inet de distintos tamaños"
+
+#: utils/adt/mac.c:65
+#, c-format
+msgid "invalid input syntax for type macaddr: \"%s\""
+msgstr "la sintaxis de entrada no es válida para tipo macaddr: «%s»"
+
+#: utils/adt/mac.c:72
+#, c-format
+msgid "invalid octet value in \"macaddr\" value: \"%s\""
+msgstr "el valor de octeto no es válido en «macaddr»: «%s»"
+
+#: utils/adt/domains.c:80
+#, c-format
+msgid "type %s is not a domain"
+msgstr "tipo «%s» no es un dominio"
+
+#: utils/adt/domains.c:128 executor/execQual.c:3808
+#, c-format
+msgid "domain %s does not allow null values"
+msgstr "el dominio %s no permite valores null"
+
+#: utils/adt/domains.c:164 executor/execQual.c:3837
+#, c-format
+msgid "value for domain %s violates check constraint \"%s\""
+msgstr "el valor para el dominio %s viola la restricción check «%s»"
+
+#: utils/adt/ruleutils.c:1361 utils/adt/acl.c:2303 commands/tablecmds.c:3836
+#: commands/tablecmds.c:3928 commands/tablecmds.c:3975
+#: commands/tablecmds.c:4071 commands/tablecmds.c:4132
+#: commands/tablecmds.c:4196 commands/tablecmds.c:5603
+#: commands/tablecmds.c:5742 commands/analyze.c:271 commands/sequence.c:1317
+#: commands/copy.c:3404 commands/comment.c:579 catalog/aclchk.c:672
+#: parser/analyze.c:1830 parser/parse_target.c:804
+#: parser/parse_relation.c:2061 parser/parse_relation.c:2116
+#: parser/parse_type.c:117
+#, c-format
+msgid "column \"%s\" of relation \"%s\" does not exist"
+msgstr "no existe la columna «%s» en la relación «%s»"
+
+#: utils/adt/ruleutils.c:1476 commands/functioncmds.c:976
+#: commands/functioncmds.c:1082 commands/functioncmds.c:1147
+#: commands/functioncmds.c:1302
+#, c-format
+msgid "\"%s\" is an aggregate function"
+msgstr "«%s» es una función de agregación"
+
+#: utils/adt/ruleutils.c:2086
+#, c-format
+msgid "rule \"%s\" has unsupported event type %d"
+msgstr "la regla «%s» tiene el tipo de evento no soportado %d"
+
+#: utils/adt/ruleutils.c:5289 utils/adt/ruleutils.c:5326
+#: utils/adt/ruleutils.c:5360 utils/adt/regproc.c:641 utils/adt/regproc.c:1501
+msgid "too many arguments"
+msgstr "demasiados argumentos"
+
+#: utils/adt/pseudotypes.c:94
+msgid "cannot accept a value of type any"
+msgstr "no se puede aceptar un valor de tipo any"
+
+#: utils/adt/pseudotypes.c:107
+msgid "cannot display a value of type any"
+msgstr "no se puede desplegar un valor de tipo any"
+
+#: utils/adt/pseudotypes.c:121 utils/adt/pseudotypes.c:149
+msgid "cannot accept a value of type anyarray"
+msgstr "no se puede aceptar un valor de tipo anyarray"
+
+#: utils/adt/pseudotypes.c:174
+msgid "cannot accept a value of type anyenum"
+msgstr "no se puede aceptar un valor de tipo anyenum"
+
+#: utils/adt/pseudotypes.c:224
+msgid "cannot accept a value of type trigger"
+msgstr "no se puede aceptar un valor de tipo trigger"
+
+#: utils/adt/pseudotypes.c:237
+msgid "cannot display a value of type trigger"
+msgstr "no se puede desplegar un valor de tipo trigger"
+
+#: utils/adt/pseudotypes.c:251
+msgid "cannot accept a value of type language_handler"
+msgstr "no se puede aceptar un valor de tipo language_handler"
+
+#: utils/adt/pseudotypes.c:264
+msgid "cannot display a value of type language_handler"
+msgstr "no se puede desplegar un valor de tipo language_handler"
+
+#: utils/adt/pseudotypes.c:278
+msgid "cannot accept a value of type internal"
+msgstr "no se puede aceptar un valor de tipo internal"
+
+#: utils/adt/pseudotypes.c:291
+msgid "cannot display a value of type internal"
+msgstr "no se puede desplegar un valor de tipo internal"
+
+#: utils/adt/pseudotypes.c:305
+msgid "cannot accept a value of type opaque"
+msgstr "no se puede aceptar un valor de tipo opaque"
+
+#: utils/adt/pseudotypes.c:318
+msgid "cannot display a value of type opaque"
+msgstr "no se puede desplegar un valor de tipo opaque"
+
+#: utils/adt/pseudotypes.c:332
+msgid "cannot accept a value of type anyelement"
+msgstr "no se puede aceptar un valor de tipo anyelement"
+
+#: utils/adt/pseudotypes.c:345
+msgid "cannot display a value of type anyelement"
+msgstr "no se puede desplegar un valor de tipo anyelement"
+
+#: utils/adt/pseudotypes.c:358
+msgid "cannot accept a value of type anynonarray"
+msgstr "no se puede aceptar un valor de tipo anynonarray"
+
+#: utils/adt/pseudotypes.c:371
+msgid "cannot display a value of type anynonarray"
+msgstr "no se puede desplegar un valor de tipo anynonarray"
+
+#: utils/adt/pseudotypes.c:384
+msgid "cannot accept a value of a shell type"
+msgstr "no se puede aceptar un valor de un tipo inconcluso"
+
+#: utils/adt/pseudotypes.c:397
+msgid "cannot display a value of a shell type"
+msgstr "no se puede desplegar un valor de un tipo inconcluso"
+
+#: utils/adt/char.c:169
+msgid "\"char\" out of range"
+msgstr "«char» está fuera de rango"
+
+#: utils/adt/arrayfuncs.c:210 utils/adt/arrayfuncs.c:222
+msgid "missing dimension value"
+msgstr "falta un valor de dimensión"
+
+#: utils/adt/arrayfuncs.c:232
+msgid "missing \"]\" in array dimensions"
+msgstr "falta un «]» en las dimensiones de array"
+
+#: utils/adt/arrayfuncs.c:240 utils/adt/arrayfuncs.c:2370
+#: utils/adt/arrayfuncs.c:2398 utils/adt/arrayfuncs.c:2413
+msgid "upper bound cannot be less than lower bound"
+msgstr "el límite superior no puede ser menor que el límite inferior"
+
+#: utils/adt/arrayfuncs.c:252 utils/adt/arrayfuncs.c:278
+msgid "array value must start with \"{\" or dimension information"
+msgstr "el valor de array debe comenzar con «{» o información de dimensión"
+
+#: utils/adt/arrayfuncs.c:266
+msgid "missing assignment operator"
+msgstr "falta un operador de asignación"
+
+#: utils/adt/arrayfuncs.c:283 utils/adt/arrayfuncs.c:289
+msgid "array dimensions incompatible with array literal"
+msgstr "las dimensiones del array no son compatibles con el literal"
+
+#: utils/adt/arrayfuncs.c:392 utils/adt/arrayfuncs.c:407
+#: utils/adt/arrayfuncs.c:416 utils/adt/arrayfuncs.c:430
+#: utils/adt/arrayfuncs.c:450 utils/adt/arrayfuncs.c:478
+#: utils/adt/arrayfuncs.c:483 utils/adt/arrayfuncs.c:523
+#: utils/adt/arrayfuncs.c:544 utils/adt/arrayfuncs.c:563
+#: utils/adt/arrayfuncs.c:673 utils/adt/arrayfuncs.c:682
+#: utils/adt/arrayfuncs.c:712 utils/adt/arrayfuncs.c:727
+#: utils/adt/arrayfuncs.c:780
+#, c-format
+msgid "malformed array literal: \"%s\""
+msgstr "literal de array no es válido: «%s»"
+
+#: utils/adt/arrayfuncs.c:490 executor/execQual.c:3036
+#: executor/execQual.c:3063
+msgid ""
+"multidimensional arrays must have array expressions with matching dimensions"
+msgstr ""
+"los arrays multidimensionales deben tener expresiones de arrays con "
+"dimensiones coincidentes"
+
+#: utils/adt/arrayfuncs.c:1197
+msgid "invalid array flags"
+msgstr "opciones de array no válidas"
+
+#: utils/adt/arrayfuncs.c:1205
+msgid "wrong element type"
+msgstr "el tipo de elemento es erróneo"
+
+#: utils/adt/arrayfuncs.c:1345 utils/adt/rowtypes.c:551 libpq/pqformat.c:611
+#: libpq/pqformat.c:629 libpq/pqformat.c:650
 msgid "insufficient data left in message"
 msgstr "los datos restantes del mensaje son insuficientes"
 
-#: libpq/pqformat.c:691
-msgid "invalid string in message"
-msgstr "cadena inválida en el mensaje"
-
-#: libpq/pqformat.c:707
-msgid "invalid message format"
-msgstr "formato de mensaje no válido"
-
-#: tsearch/wparser_def.c:2436
-#, c-format
-msgid "unrecognized headline parameter: \"%s\""
-msgstr "parámetro de encabezado (headline) no reconocido: «%s»"
-
-#: tsearch/wparser_def.c:2445
-msgid "MinWords should be less than MaxWords"
-msgstr "MinWords debería ser menor que MaxWords"
-
-#: tsearch/wparser_def.c:2449
-msgid "MinWords should be positive"
-msgstr "MinWords debería ser positivo"
-
-#: tsearch/wparser_def.c:2453
-msgid "ShortWord should be >= 0"
-msgstr "ShortWord debería ser >= 0"
-
-#: tsearch/wparser_def.c:2457
-msgid "MaxFragments should be >= 0"
-msgstr "MaxFragments debería ser >= 0"
-
-#: tsearch/dict_ispell.c:52 tsearch/dict_thesaurus.c:615
-msgid "multiple DictFile parameters"
-msgstr "parámetro DictFile duplicado"
-
-#: tsearch/dict_ispell.c:63
-msgid "multiple AffFile parameters"
-msgstr "parámetro AffFile duplicado"
-
-#: tsearch/dict_ispell.c:74 tsearch/dict_simple.c:50
-#: snowball/dict_snowball.c:206
+#: utils/adt/arrayfuncs.c:1381
+#, c-format
+msgid "improper binary format in array element %d"
+msgstr "el formato binario no es válido en elemento %d de array"
+
+#: utils/adt/arrayfuncs.c:1837
+msgid "slices of fixed-length arrays not implemented"
+msgstr "no está implementada la obtención de segmentos de arrays de largo fijo"
+
+#: utils/adt/arrayfuncs.c:2010 utils/adt/arrayfuncs.c:2032
+#: utils/adt/arrayfuncs.c:2066 utils/adt/arrayfuncs.c:2352
+#: utils/adt/arrayfuncs.c:4505 utils/adt/arrayfuncs.c:4537
+#: utils/adt/arrayfuncs.c:4554
+msgid "wrong number of array subscripts"
+msgstr "número incorrecto de subíndices del array"
+
+#: utils/adt/arrayfuncs.c:2015 utils/adt/arrayfuncs.c:2108
+#: utils/adt/arrayfuncs.c:2403
+msgid "array subscript out of range"
+msgstr "los subíndices de arrays están fuera de rango"
+
+#: utils/adt/arrayfuncs.c:2020
+msgid "cannot assign null value to an element of a fixed-length array"
+msgstr ""
+"no se puede asignar un valor nulo a un elemento de un array de longitud fija"
+
+#: utils/adt/arrayfuncs.c:2306
+msgid "updates on slices of fixed-length arrays not implemented"
+msgstr ""
+"no están implementadas las actualizaciones en segmentos de arrays de largo "
+"fija"
+
+#: utils/adt/arrayfuncs.c:2342 utils/adt/arrayfuncs.c:2429
+msgid "source array too small"
+msgstr "el array de origen es demasiado pequeño"
+
+#: utils/adt/arrayfuncs.c:2984
+msgid "null array element not allowed in this context"
+msgstr "los arrays con elementos null no son permitidos en este contexto"
+
+#: utils/adt/arrayfuncs.c:3045 utils/adt/arrayfuncs.c:3252
+#: utils/adt/arrayfuncs.c:3452
+msgid "cannot compare arrays of different element types"
+msgstr "no se pueden comparar arrays con elementos de distintos tipos"
+
+#: utils/adt/arrayfuncs.c:3068 utils/adt/arrayfuncs.c:3469
+#: utils/adt/rowtypes.c:1133 parser/parse_oper.c:259
+#, c-format
+msgid "could not identify an equality operator for type %s"
+msgstr "no se pudo identificar un operador de igualdad para el tipo %s"
+
+#: utils/adt/arrayfuncs.c:3269 utils/adt/rowtypes.c:907
+#: executor/execQual.c:4785
+#, c-format
+msgid "could not identify a comparison function for type %s"
+msgstr "no se pudo identificar una función de comparación para el tipo %s"
+
+#: utils/adt/arrayfuncs.c:4403 utils/adt/arrayfuncs.c:4443
+msgid "dimension array or low bound array cannot be NULL"
+msgstr ""
+"el array de dimensiones o el array de límites inferiores no puede ser NULL"
+
+#: utils/adt/arrayfuncs.c:4506 utils/adt/arrayfuncs.c:4538
+msgid "Dimension array must be one dimensional."
+msgstr "El array de dimensiones debe ser unidimensional."
+
+#: utils/adt/arrayfuncs.c:4511 utils/adt/arrayfuncs.c:4543
+msgid "wrong range of array subscripts"
+msgstr "rango incorrecto en los subíndices del array"
+
+#: utils/adt/arrayfuncs.c:4512 utils/adt/arrayfuncs.c:4544
+msgid "Lower bound of dimension array must be one."
+msgstr "El límite inferior del array de dimensiones debe ser uno."
+
+#: utils/adt/arrayfuncs.c:4517 utils/adt/arrayfuncs.c:4549
+msgid "dimension values cannot be null"
+msgstr "los valores de dimensión no pueden ser null"
+
+#: utils/adt/arrayfuncs.c:4555
+msgid "Low bound array has different size than dimensions array."
+msgstr ""
+"El array de límites inferiores tiene tamaño diferente que el array de "
+"dimensiones."
+
+#: utils/adt/tsquery.c:156 utils/adt/tsquery.c:392
+#: utils/adt/tsvector_parser.c:136
+#, c-format
+msgid "syntax error in tsquery: \"%s\""
+msgstr "error de sintaxis en tsquery: «%s»"
+
+#: utils/adt/tsquery.c:177
+#, c-format
+msgid "no operand in tsquery: \"%s\""
+msgstr "no hay operando en tsquery: «%s»"
+
+#: utils/adt/tsquery.c:250
+#, c-format
+msgid "value is too big in tsquery: \"%s\""
+msgstr "el valor es demasiado grande en tsquery: «%s»"
+
+#: utils/adt/tsquery.c:255
+#, c-format
+msgid "operand is too long in tsquery: \"%s\""
+msgstr "el operando es muy largo en tsquery: «%s»"
+
+#: utils/adt/tsquery.c:283
+#, c-format
+msgid "word is too long in tsquery: \"%s\""
+msgstr "palabra demasiado larga en tsquery: «%s»"
+
+#: utils/adt/tsquery.c:512
+#, c-format
+msgid "text-search query doesn't contain lexemes: \"%s\""
+msgstr "la consulta de búsqueda en texto no contiene lexemas: «%s»"
+
+#: utils/adt/misc.c:79
+msgid "must be superuser to signal other server processes"
+msgstr "debe ser superusuario para enviar señales a otros procesos"
+
+#: utils/adt/misc.c:88
+#, c-format
+msgid "PID %d is not a PostgreSQL server process"
+msgstr "el proceso con PID %d no es un proceso servidor PostgreSQL"
+
+#: utils/adt/misc.c:101 storage/lmgr/proc.c:932
+#, c-format
+msgid "could not send signal to process %d: %m"
+msgstr "no se pudo enviar la señal al proceso %d: %m"
+
+#: utils/adt/misc.c:125
+msgid "must be superuser to signal the postmaster"
+msgstr "debe ser superusuario para enviar señales a postmaster"
+
+#: utils/adt/misc.c:130
+#, c-format
+msgid "failed to send signal to postmaster: %m"
+msgstr "no se pudo enviar la señal al postmaster: %m"
+
+#: utils/adt/misc.c:147
+msgid "must be superuser to rotate log files"
+msgstr "debe ser superusuario para rotar archivos de registro"
+
+#: utils/adt/misc.c:152
+msgid "rotation not possible because log collection not active"
+msgstr ""
+"la rotación no es posible, porque la recolección del logs no está activa"
+
+#: utils/adt/misc.c:193
+msgid "global tablespace never has databases"
+msgstr "el tablespace global nunca tiene bases de datos"
+
+#: utils/adt/misc.c:213
+#, c-format
+msgid "%u is not a tablespace OID"
+msgstr "%u no es un OID de tablespace"
+
+#: utils/adt/misc.c:349
+msgid "unreserved"
+msgstr "no reservada"
+
+#: utils/adt/misc.c:353
+msgid "unreserved (cannot be function or type name)"
+msgstr "no reservada (no puede ser nombre de función o tipo)"
+
+#: utils/adt/misc.c:357
+msgid "reserved (can be function or type name)"
+msgstr "reservada (puede ser nombre de función o tipo)"
+
+#: utils/adt/misc.c:361
+msgid "reserved"
+msgstr "reservada"
+
+#: utils/adt/oracle_compat.c:181 utils/adt/oracle_compat.c:279
+#: utils/adt/oracle_compat.c:755 utils/adt/oracle_compat.c:1045
+#: utils/adt/genfile.c:123
+msgid "requested length too large"
+msgstr "el tamaño solicitado es demasiado grande"
+
+#: utils/adt/oracle_compat.c:892
+msgid "requested character too large"
+msgstr "el carácter solicitado es demasiado grande"
+
+#: utils/adt/oracle_compat.c:938 utils/adt/oracle_compat.c:992
+#, c-format
+msgid "requested character too large for encoding: %d"
+msgstr "el carácter pedido es demasiado largo para el encoding: %d"
+
+#: utils/adt/oracle_compat.c:985
+msgid "null character not permitted"
+msgstr "el carácter nulo no está permitido"
+
+#: utils/adt/tsvector_op.c:1127
+msgid "ts_stat query must return one tsvector column"
+msgstr "la consulta ts_stat debe retornar una columna tsvector"
+
+#: utils/adt/tsvector_op.c:1307
+#, c-format
+msgid "tsvector column \"%s\" does not exist"
+msgstr "la columna tsvector «%s» no existe"
+
+#: utils/adt/tsvector_op.c:1313
+#, c-format
+msgid "column \"%s\" is not of tsvector type"
+msgstr "la columna «%s» no es de tipo tsvector"
+
+#: utils/adt/tsvector_op.c:1325
+#, c-format
+msgid "configuration column \"%s\" does not exist"
+msgstr "la columna de configuración «%s» no existe"
+
+#: utils/adt/tsvector_op.c:1331
+#, c-format
+msgid "column \"%s\" is not of regconfig type"
+msgstr "la columna «%s» no es de tipo regconfig"
+
+#: utils/adt/tsvector_op.c:1338
+#, c-format
+msgid "configuration column \"%s\" must not be null"
+msgstr "la columna de configuración «%s» no debe ser nula"
+
+#: utils/adt/tsvector_op.c:1351
+#, c-format
+msgid "text search configuration name \"%s\" must be schema-qualified"
+msgstr ""
+"el nombre de la configuración de búsqueda «%s» debe ser calificada con "
+"esquema"
+
+#: utils/adt/tsvector_op.c:1371 commands/tablecmds.c:1925 commands/copy.c:3409
+#: commands/indexcmds.c:863 parser/parse_expr.c:472
+#, c-format
+msgid "column \"%s\" does not exist"
+msgstr "no existe la columna «%s»"
+
+#: utils/adt/tsvector_op.c:1376
+#, c-format
+msgid "column \"%s\" is not of a character type"
+msgstr "la columna «%s» no es de un tipo textual"
+
+#: utils/adt/datetime.c:3529 utils/adt/datetime.c:3536
+#, c-format
+msgid "date/time field value out of range: \"%s\""
+msgstr "el valor de hora/fecha está fuera de rango: «%s»"
+
+#: utils/adt/datetime.c:3538
+msgid "Perhaps you need a different \"datestyle\" setting."
+msgstr "Quizás necesite una configuración diferente de «datestyle»."
+
+#: utils/adt/datetime.c:3543
+#, c-format
+msgid "interval field value out of range: \"%s\""
+msgstr "el valor de interval está fuera de rango: «%s»"
+
+#: utils/adt/datetime.c:3549
+#, c-format
+msgid "time zone displacement out of range: \"%s\""
+msgstr "el desplazamiento de huso horario está fuera de rango: «%s»"
+
+#: utils/adt/genfile.c:57
+msgid "reference to parent directory (\"..\") not allowed"
+msgstr "no se permiten referencias a directorios padre («..»)"
+
+#: utils/adt/genfile.c:71
+msgid "absolute path not allowed"
+msgstr "no se permiten rutas absolutas"
+
+#: utils/adt/genfile.c:98
+msgid "must be superuser to read files"
+msgstr "debe ser superusuario para leer archivos"
+
+#: utils/adt/genfile.c:105 commands/copy.c:1748
+#, c-format
+msgid "could not open file \"%s\" for reading: %m"
+msgstr "no se pudo abrir archivo «%s» para lectura: %m"
+
+#: utils/adt/genfile.c:112
+#, c-format
+msgid "could not seek in file \"%s\": %m"
+msgstr "no se pudo posicionar (seek) el archivo «%s»: %m"
+
+#: utils/adt/genfile.c:117
+msgid "requested length cannot be negative"
+msgstr "el tamaño solicitado no puede ser negativo"
+
+#: utils/adt/genfile.c:132 access/transam/xlog.c:2362
+#: access/transam/xlog.c:4124 access/transam/xlog.c:7531
+#: access/transam/xlog.c:7581 access/transam/xlog.c:7873
+#: access/transam/xlog.c:7898 access/transam/xlog.c:7936
+#: storage/file/copydir.c:144
+#, c-format
+msgid "could not read file \"%s\": %m"
+msgstr "no se pudo leer el archivo «%s»: %m"
+
+#: utils/adt/genfile.c:159
+msgid "must be superuser to get file information"
+msgstr "debe ser superusuario obtener información de archivos"
+
+#: utils/adt/genfile.c:223
+msgid "must be superuser to get directory listings"
+msgstr "debe ser superusuario para obtener listados de directorio"
+
+#: utils/adt/tsquery_rewrite.c:296
+msgid "ts_rewrite query must return two tsquery columns"
+msgstr "consulta ts_rewrite debe retornar dos columnas tsquery"
+
+#: utils/adt/tsquery_cleanup.c:285
+msgid ""
+"text-search query contains only stop words or doesn't contain lexemes, "
+"ignored"
+msgstr ""
+"la consulta de búsqueda en texto contiene sólo stopwords o no contiene "
+"lexemas; ignorada"
+
+#: utils/adt/uuid.c:128
+#, c-format
+msgid "invalid input syntax for uuid: \"%s\""
+msgstr "la sintaxis de entrada no es válida para el tipo uuid: «%s»"
+
+#: utils/adt/rowtypes.c:98 utils/adt/rowtypes.c:467
+msgid "input of anonymous composite types is not implemented"
+msgstr "el ingreso de tipos compuestos anónimos no está implementado"
+
+#: utils/adt/rowtypes.c:145 utils/adt/rowtypes.c:173 utils/adt/rowtypes.c:196
+#: utils/adt/rowtypes.c:204 utils/adt/rowtypes.c:256 utils/adt/rowtypes.c:264
+#, c-format
+msgid "malformed record literal: \"%s\""
+msgstr "literal de record no es válido: «%s»"
+
+#: utils/adt/rowtypes.c:146
+msgid "Missing left parenthesis."
+msgstr "Falta paréntesis izquierdo."
+
+#: utils/adt/rowtypes.c:174
+msgid "Too few columns."
+msgstr "Muy pocas columnas."
+
+#: utils/adt/rowtypes.c:198 utils/adt/rowtypes.c:206
+msgid "Unexpected end of input."
+msgstr "Fin inesperado de la entrada."
+
+#: utils/adt/rowtypes.c:257
+msgid "Too many columns."
+msgstr "Demasiadas columnas."
+
+#: utils/adt/rowtypes.c:265
+msgid "Junk after right parenthesis."
+msgstr "Basura después del paréntesis derecho."
+
+#: utils/adt/rowtypes.c:516
+#, c-format
+msgid "wrong number of columns: %d, expected %d"
+msgstr "número de columnas erróneo: %d, se esperaban %d"
+
+#: utils/adt/rowtypes.c:543
+#, c-format
+msgid "wrong data type: %u, expected %u"
+msgstr "tipo de dato erróneo: %u, se esperaba %u"
+
+#: utils/adt/rowtypes.c:604
+#, c-format
+msgid "improper binary format in record column %d"
+msgstr "formato binario incorrecto en la columna record %d"
+
+#: utils/adt/rowtypes.c:890 utils/adt/rowtypes.c:1116
+#, c-format
+msgid "cannot compare dissimilar column types %s and %s at record column %d"
+msgstr ""
+"no se pueden comparar los tipos de columnas disímiles %s y %s en la columna "
+"%d"
+
+#: utils/adt/rowtypes.c:968 utils/adt/rowtypes.c:1179
+msgid "cannot compare record types with different numbers of columns"
+msgstr "no se pueden comparar registros con cantidad distinta de columnas"
+
+#: utils/adt/nabstime.c:160
+#, c-format
+msgid "invalid time zone name: \"%s\""
+msgstr "el nombre de huso horario no es válido: «%s»"
+
+#: utils/adt/nabstime.c:506 utils/adt/nabstime.c:579
+msgid "cannot convert abstime \"invalid\" to timestamp"
+msgstr "no se puede convertir abstime «invalid» a timestamp"
+
+#: utils/adt/nabstime.c:798
+msgid "invalid status in external \"tinterval\" value"
+msgstr "el estado no es válido en el valor «tinterval» externo"
+
+#: utils/adt/nabstime.c:875
+msgid "cannot convert reltime \"invalid\" to interval"
+msgstr "no se puede convertir reltime «invalid» a interval"
+
+#: utils/adt/nabstime.c:1557
+#, c-format
+msgid "invalid input syntax for type tinterval: \"%s\""
+msgstr "la sintaxis de entrada no es válida para el tipo tinterval: «%s»"
+
+#: utils/adt/numutils.c:77
+#, c-format
+msgid "value \"%s\" is out of range for type integer"
+msgstr "el valor «%s» está fuera de rango para el tipo integer"
+
+#: utils/adt/numutils.c:83
+#, c-format
+msgid "value \"%s\" is out of range for type smallint"
+msgstr "el valor «%s» está fuera de rango para el tipo smallint"
+
+#: utils/adt/numutils.c:89
+#, c-format
+msgid "value \"%s\" is out of range for 8-bit integer"
+msgstr "el valor «%s» está fuera de rango para un entero de 8 bits"
+
+#: utils/adt/encode.c:55 utils/adt/encode.c:91
+#, c-format
+msgid "unrecognized encoding: \"%s\""
+msgstr "no se reconoce la codificación: «%s»"
+
+#: utils/adt/encode.c:150
+#, c-format
+msgid "invalid hexadecimal digit: \"%c\""
+msgstr "el dígito hexadecimal no es válido: «%c»"
+
+#: utils/adt/encode.c:178
+msgid "invalid hexadecimal data: odd number of digits"
+msgstr "el dato hexadecimal no es válido: tiene un número impar de dígitos"
+
+#: utils/adt/encode.c:295
+msgid "unexpected \"=\""
+msgstr "«=» inesperado"
+
+#: utils/adt/encode.c:307
+msgid "invalid symbol"
+msgstr "símbolo no válido"
+
+#: utils/adt/encode.c:327
+msgid "invalid end sequence"
+msgstr "secuencia de término no válida"
+
+#: utils/adt/oid.c:43 utils/adt/oid.c:57 utils/adt/oid.c:63 utils/adt/oid.c:84
+#, c-format
+msgid "invalid input syntax for type oid: \"%s\""
+msgstr "la sintaxis de entrada no es válida para el tipo oid: «%s»"
+
+#: utils/adt/oid.c:69 utils/adt/oid.c:107
+#, c-format
+msgid "value \"%s\" is out of range for type oid"
+msgstr "el valor «%s» está fuera de rango para el tipo oid"
+
+#: utils/adt/oid.c:212
+msgid "oidvector has too many elements"
+msgstr "el oidvector tiene demasiados elementos"
+
+#: utils/adt/oid.c:285
+msgid "invalid oidvector data"
+msgstr "datos de oidvector no válidos"
+
+#: utils/adt/acl.c:247
+#, c-format
+msgid "unrecognized key word: \"%s\""
+msgstr "palabra clave no reconocida: «%s»"
+
+#: utils/adt/acl.c:248
+msgid "ACL key word must be \"group\" or \"user\"."
+msgstr "Palabra clave de ACL debe ser «group» o «user»."
+
+#: utils/adt/acl.c:253
+msgid "missing name"
+msgstr "falta un nombre"
+
+#: utils/adt/acl.c:254
+msgid "A name must follow the \"group\" or \"user\" key word."
+msgstr "Debe venir un nombre después de una palabra clave «group» o «user»."
+
+#: utils/adt/acl.c:260
+msgid "missing \"=\" sign"
+msgstr "falta un signo «=»"
+
+#: utils/adt/acl.c:313
+#, c-format
+msgid "invalid mode character: must be one of \"%s\""
+msgstr "carácter de modo no válido: debe ser uno de «%s»"
+
+#: utils/adt/acl.c:335
+msgid "a name must follow the \"/\" sign"
+msgstr "debe venir un nombre después del signo «/»"
+
+#: utils/adt/acl.c:343
+#, c-format
+msgid "defaulting grantor to user ID %u"
+msgstr "usando el cedente por omisión con ID %u"
+
+#: utils/adt/acl.c:433
+msgid "ACL array contains wrong data type"
+msgstr "el array ACL contiene tipo de datos incorrecto"
+
+#: utils/adt/acl.c:437
+msgid "ACL arrays must be one-dimensional"
+msgstr "los array de ACL debe ser unidimensional"
+
+#: utils/adt/acl.c:441
+msgid "ACL arrays must not contain null values"
+msgstr "los arrays de ACL no pueden contener valores nulos"
+
+#: utils/adt/acl.c:465
+msgid "extra garbage at the end of the ACL specification"
+msgstr "basura extra al final de la especificación de la ACL"
+
+#: utils/adt/acl.c:994
+msgid "grant options cannot be granted back to your own grantor"
+msgstr "la opción de grant no puede ser otorgada de vuelta a quien la otorgó"
+
+#: utils/adt/acl.c:1055
+msgid "dependent privileges exist"
+msgstr "existen privilegios dependientes"
+
+#: utils/adt/acl.c:1056
+msgid "Use CASCADE to revoke them too."
+msgstr "Use CASCADE para revocarlos también."
+
+#: utils/adt/acl.c:1335
+msgid "aclinsert is no longer supported"
+msgstr "aclinsert ya no está soportado"
+
+#: utils/adt/acl.c:1345
+msgid "aclremove is no longer supported"
+msgstr "aclremove ya no está soportado"
+
+#: utils/adt/acl.c:1431 utils/adt/acl.c:1485
+#, c-format
+msgid "unrecognized privilege type: \"%s\""
+msgstr "tipo de privilegio no reconocido: «%s»"
+
+#: utils/adt/acl.c:2909 utils/adt/regproc.c:118 utils/adt/regproc.c:139
+#: utils/adt/regproc.c:291
+#, c-format
+msgid "function \"%s\" does not exist"
+msgstr "no existe la función «%s»"
+
+#: utils/adt/acl.c:3115 commands/proclang.c:433 commands/proclang.c:506
+#: commands/proclang.c:550 commands/functioncmds.c:805 commands/comment.c:1195
+#: catalog/aclchk.c:564
+#, c-format
+msgid "language \"%s\" does not exist"
+msgstr "no existe el lenguaje «%s»"
+
+#: utils/adt/acl.c:3321 commands/comment.c:736 commands/schemacmds.c:191
+#: commands/schemacmds.c:268 commands/schemacmds.c:344 catalog/aclchk.c:584
+#: catalog/namespace.c:338 catalog/namespace.c:2124 catalog/namespace.c:2165
+#: catalog/namespace.c:2213 catalog/namespace.c:3128
+#, c-format
+msgid "schema \"%s\" does not exist"
+msgstr "no existe el esquema «%s»"
+
+#: utils/adt/acl.c:4200
+#, c-format
+msgid "must be member of role \"%s\""
+msgstr "debe ser miembro del rol «%s»"
+
+#: utils/adt/enum.c:44 utils/adt/enum.c:55 utils/adt/enum.c:108
+#: utils/adt/enum.c:119
+#, c-format
+msgid "invalid input value for enum %s: \"%s\""
+msgstr "la sintaxis de entrada no es válida para el enum %s: «%s»"
+
+#: utils/adt/enum.c:80 utils/adt/enum.c:146
+#, c-format
+msgid "invalid internal value for enum: %u"
+msgstr "el valor interno no es válido para enum: %u"
+
+#: utils/adt/enum.c:266 utils/adt/enum.c:307 utils/adt/enum.c:356
+#: utils/adt/enum.c:376
+msgid "could not determine actual enum type"
+msgstr "no se pudo determinar el tipo enum efectivo"
+
+#: utils/adt/ri_triggers.c:373 utils/adt/ri_triggers.c:433
+#: utils/adt/ri_triggers.c:596 utils/adt/ri_triggers.c:836
+#: utils/adt/ri_triggers.c:1024 utils/adt/ri_triggers.c:1186
+#: utils/adt/ri_triggers.c:1374 utils/adt/ri_triggers.c:1545
+#: utils/adt/ri_triggers.c:1728 utils/adt/ri_triggers.c:1899
+#: utils/adt/ri_triggers.c:2115 utils/adt/ri_triggers.c:2297
+#: utils/adt/ri_triggers.c:2500 utils/adt/ri_triggers.c:2548
+#: utils/adt/ri_triggers.c:2593 utils/adt/ri_triggers.c:2721 gram.y:2429
+msgid "MATCH PARTIAL not yet implemented"
+msgstr "MATCH PARTIAL no está implementada"
+
+#: utils/adt/ri_triggers.c:407 utils/adt/ri_triggers.c:2803
+#: utils/adt/ri_triggers.c:3463 utils/adt/ri_triggers.c:3500
+#, c-format
+msgid "insert or update on table \"%s\" violates foreign key constraint \"%s\""
+msgstr "inserción o actualización en la tabla «%s» viola la llave foránea «%s»"
+
+#: utils/adt/ri_triggers.c:410 utils/adt/ri_triggers.c:2806
+msgid "MATCH FULL does not allow mixing of null and nonnull key values."
+msgstr "MATCH FULL no permite la mezcla de valores de clave nulos y no nulos."
+
+#: utils/adt/ri_triggers.c:3003
+#, c-format
+msgid "function \"%s\" was not called by trigger manager"
+msgstr "la función «%s» no fue ejecutada por el manejador de triggers"
+
+#: utils/adt/ri_triggers.c:3012
+#, c-format
+msgid "function \"%s\" must be fired AFTER ROW"
+msgstr "la función «%s» debe ser ejecutada AFTER ROW"
+
+#: utils/adt/ri_triggers.c:3020
+#, c-format
+msgid "function \"%s\" must be fired for INSERT"
+msgstr "la función «%s» debe ser ejecutada en INSERT"
+
+#: utils/adt/ri_triggers.c:3026
+#, c-format
+msgid "function \"%s\" must be fired for UPDATE"
+msgstr "la función «%s» debe ser ejecutada en UPDATE"
+
+#: utils/adt/ri_triggers.c:3033
+#, c-format
+msgid "function \"%s\" must be fired for INSERT or UPDATE"
+msgstr "la función «%s» debe ser ejecutada en INSERT o UPDATE"
+
+#: utils/adt/ri_triggers.c:3040
+#, c-format
+msgid "function \"%s\" must be fired for DELETE"
+msgstr "la función «%s» debe ser ejecutada en DELETE"
+
+#: utils/adt/ri_triggers.c:3069
+#, c-format
+msgid "no pg_constraint entry for trigger \"%s\" on table \"%s\""
+msgstr "no hay una entrada en pg_constraint para el trigger «%s» en tabla «%s»"
+
+#: utils/adt/ri_triggers.c:3071
+msgid ""
+"Remove this referential integrity trigger and its mates, then do ALTER TABLE "
+"ADD CONSTRAINT."
+msgstr ""
+"Elimine este trigger de integridad referencial y sus pares, y utilice ALTER "
+"TABLE ADD CONSTRAINT."
+
+#: utils/adt/ri_triggers.c:3430
+#, c-format
+msgid ""
+"referential integrity query on \"%s\" from constraint \"%s\" on \"%s\" gave "
+"unexpected result"
+msgstr ""
+"la consulta de integridad referencial en «%s» de la restricción «%s» en «%s» "
+"entregó un resultado inesperado"
+
+#: utils/adt/ri_triggers.c:3434
+msgid "This is most likely due to a rule having rewritten the query."
+msgstr ""
+"Esto probablemente es causado por una regla que reescribió la consulta."
+
+#: utils/adt/ri_triggers.c:3465
+#, c-format
+msgid "No rows were found in \"%s\"."
+msgstr "No se encontraron registros en «%s»."
+
+#: utils/adt/ri_triggers.c:3502
+#, c-format
+msgid "Key (%s)=(%s) is not present in table \"%s\"."
+msgstr "La llave (%s)=(%s) no está presente en la tabla «%s»."
+
+#: utils/adt/ri_triggers.c:3508
+#, c-format
+msgid ""
+"update or delete on table \"%s\" violates foreign key constraint \"%s\" on "
+"table \"%s\""
+msgstr "update o delete en «%s» viola la llave foránea «%s» en la tabla «%s»"
+
+#: utils/adt/ri_triggers.c:3511
+#, c-format
+msgid "Key (%s)=(%s) is still referenced from table \"%s\"."
+msgstr "La llave (%s)=(%s) todavía es referida desde la tabla «%s»."
+
+#: utils/adt/numeric.c:351 utils/adt/numeric.c:378 utils/adt/numeric.c:3072
+#: utils/adt/numeric.c:3095 utils/adt/numeric.c:3119 utils/adt/numeric.c:3126
+#, c-format
+msgid "invalid input syntax for type numeric: \"%s\""
+msgstr "la sintaxis de entrada no es válida para el tipo numeric: «%s»"
+
+#: utils/adt/numeric.c:455
+msgid "invalid length in external \"numeric\" value"
+msgstr "el largo no es válido en el valor «numeric» externo"
+
+#: utils/adt/numeric.c:466
+msgid "invalid sign in external \"numeric\" value"
+msgstr "el signo no es válido en el valor «numeric» externo"
+
+#: utils/adt/numeric.c:476
+msgid "invalid digit in external \"numeric\" value"
+msgstr "hay un dígito no válido en el valor «numeric» externo"
+
+#: utils/adt/numeric.c:607 utils/adt/numeric.c:621
+#, c-format
+msgid "NUMERIC precision %d must be between 1 and %d"
+msgstr "la precisión %d de NUMERIC debe estar entre 1 y %d"
+
+#: utils/adt/numeric.c:612
+#, c-format
+msgid "NUMERIC scale %d must be between 0 and precision %d"
+msgstr "la escala de NUMERIC, %d, debe estar entre 0 y la precisión %d"
+
+#: utils/adt/numeric.c:630
+msgid "invalid NUMERIC type modifier"
+msgstr "modificador de tipo NUMERIC no es válido"
+
+#: utils/adt/numeric.c:1663 utils/adt/numeric.c:3430
+msgid "value overflows numeric format"
+msgstr "el valor excede el formato numeric"
+
+#: utils/adt/numeric.c:2011
+msgid "cannot convert NaN to integer"
+msgstr "no se puede convertir NaN a entero"
+
+#: utils/adt/numeric.c:2079
+msgid "cannot convert NaN to bigint"
+msgstr "no se puede convertir NaN a bigint"
+
+#: utils/adt/numeric.c:2127
+msgid "cannot convert NaN to smallint"
+msgstr "no se puede convertir NaN a smallint"
+
+#: utils/adt/numeric.c:3500
+msgid "numeric field overflow"
+msgstr "desbordamiento de campo numeric"
+
+#: utils/adt/numeric.c:3501
+#, c-format
+msgid ""
+"A field with precision %d, scale %d must round to an absolute value less "
+"than %s%d."
+msgstr ""
+"Un campo con precisión %d, escala %d debe redondear a un valor absoluto "
+"menor que %s%d."
+
+#: utils/adt/numeric.c:4949
+msgid "argument for function \"exp\" too big"
+msgstr "el argumento a la función «exp» es demasiado grande"
+
+#: utils/adt/tsvector_parser.c:137
+#, c-format
+msgid "syntax error in tsvector: \"%s\""
+msgstr "error de sintaxis en tsvector: «%s»"
+
+#: utils/adt/tsvector_parser.c:202
+#, c-format
+msgid "there is no escaped character: \"%s\""
+msgstr "no hay carácter escapado: «%s»"
+
+#: utils/adt/tsvector_parser.c:319
+#, c-format
+msgid "wrong position info in tsvector: \"%s\""
+msgstr "información posicional incorrecta en tsvector: «%s»"
+
+#: utils/adt/regproc.c:123 utils/adt/regproc.c:143
+#, c-format
+msgid "more than one function named \"%s\""
+msgstr "existe más de una función llamada «%s»"
+
+#: utils/adt/regproc.c:468 utils/adt/regproc.c:488 utils/adt/regproc.c:649
+#: parser/parse_oper.c:124 parser/parse_oper.c:762
+#, c-format
+msgid "operator does not exist: %s"
+msgstr "el operador no existe: %s"
+
+#: utils/adt/regproc.c:472 utils/adt/regproc.c:492
+#, c-format
+msgid "more than one operator named %s"
+msgstr "existe más de un operador llamado %s"
+
+#: utils/adt/regproc.c:636 gram.y:5043
+msgid "missing argument"
+msgstr "falta un argumento"
+
+#: utils/adt/regproc.c:637 gram.y:5044
+msgid "Use NONE to denote the missing argument of a unary operator."
+msgstr "Use NONE para denotar el argumento faltante de un operador unario."
+
+#: utils/adt/regproc.c:642
+msgid "Provide two argument types for operator."
+msgstr "Provea dos tipos de argumento para un operador."
+
+#: utils/adt/regproc.c:818 commands/lockcmds.c:118 catalog/namespace.c:275
+#: parser/parse_relation.c:876 parser/parse_relation.c:884
+#, c-format
+msgid "relation \"%s\" does not exist"
+msgstr "no existe la relación «%s»"
+
+#: utils/adt/regproc.c:983 commands/tablecmds.c:215
+#: commands/functioncmds.c:126 commands/typecmds.c:648
+#: commands/typecmds.c:2535 parser/parse_func.c:1320 parser/parse_type.c:199
+#, c-format
+msgid "type \"%s\" does not exist"
+msgstr "no existe el tipo «%s»"
+
+#: utils/adt/regproc.c:1399
+msgid "expected a left parenthesis"
+msgstr "se esperaba un paréntesis izquierdo"
+
+#: utils/adt/regproc.c:1415
+msgid "expected a right parenthesis"
+msgstr "se esperaba un paréntesis derecho"
+
+#: utils/adt/regproc.c:1434
+msgid "expected a type name"
+msgstr "se esperaba un nombre de tipo"
+
+#: utils/adt/regproc.c:1466
+msgid "improper type name"
+msgstr "el nombre de tipo no es válido"
+
+#: snowball/dict_snowball.c:183
+#, c-format
+msgid "no Snowball stemmer available for language \"%s\" and encoding \"%s\""
+msgstr ""
+"no se encontró un analizador Snowball para el lenguaje «%s» y la "
+"codificación «%s»"
+
+#: snowball/dict_snowball.c:206 tsearch/dict_ispell.c:74
+#: tsearch/dict_simple.c:50
 msgid "multiple StopWords parameters"
 msgstr "parámetro StopWords duplicado"
 
-#: tsearch/dict_ispell.c:82
-#, c-format
-msgid "unrecognized Ispell parameter: \"%s\""
-msgstr "parámetro Ispell no reconocido: «%s»"
-
-#: tsearch/dict_ispell.c:96
-msgid "missing AffFile parameter"
-msgstr "falta un parámetro AffFile"
-
-#: tsearch/dict_ispell.c:102 tsearch/dict_thesaurus.c:639
-msgid "missing DictFile parameter"
-msgstr "falta un parámetro DictFile"
-
-#: tsearch/dict_simple.c:59
-msgid "multiple Accept parameters"
-msgstr "parámetro Accept duplicado"
-
-#: tsearch/dict_simple.c:67
-#, c-format
-msgid "unrecognized simple dictionary parameter: \"%s\""
-msgstr "parámetro del diccionario simple no reconocido: «%s»"
-
-#: tsearch/dict_synonym.c:99
-#, c-format
-msgid "unrecognized synonym parameter: \"%s\""
-msgstr "parámetro de sinónimo no reconocido «%s»"
-
-#: tsearch/dict_synonym.c:106
-msgid "missing Synonyms parameter"
-msgstr "falta un parámetro Synonyms"
-
-#: tsearch/dict_synonym.c:113
-#, c-format
-msgid "could not open synonym file \"%s\": %m"
-msgstr "no se pudo abrir el archivo de sinónimos «%s»: %m"
+#: snowball/dict_snowball.c:215
+msgid "multiple Language parameters"
+msgstr "parámetro Language duplicado"
+
+#: snowball/dict_snowball.c:222
+#, c-format
+msgid "unrecognized Snowball parameter: \"%s\""
+msgstr "parámetro Snowball no reconocido: «%s»"
+
+#: snowball/dict_snowball.c:230
+msgid "missing Language parameter"
+msgstr "falta un parámetro Language"
+
+#: bootstrap/bootstrap.c:319
+#, c-format
+msgid "%s: invalid command-line arguments\n"
+msgstr "%s: argumentos de línea de órdenes no válidos\n"
+
+#: lib/stringinfo.c:246
+#, c-format
+msgid "Cannot enlarge string buffer containing %d bytes by %d more bytes."
+msgstr ""
+"No se puede agrandar el búfer de cadena que ya tiene %d bytes en %d bytes "
+"adicionales."
+
+#: tsearch/ts_locale.c:168
+#, c-format
+msgid "line %d of configuration file \"%s\": \"%s\""
+msgstr "línea %d del archivo de configuración «%s»: «%s»"
+
+#: tsearch/ts_locale.c:173 libpq/hba.c:595 libpq/hba.c:611 libpq/hba.c:660
+#: libpq/hba.c:669 libpq/hba.c:692 libpq/hba.c:704 libpq/hba.c:717
+#: libpq/hba.c:732 libpq/hba.c:762 libpq/hba.c:784 libpq/hba.c:801
+#: libpq/hba.c:814 libpq/hba.c:842 libpq/hba.c:910 libpq/hba.c:921
+#: libpq/hba.c:933 libpq/hba.c:944 libpq/hba.c:960 libpq/hba.c:983
+#: libpq/hba.c:1012 libpq/hba.c:1024 libpq/hba.c:1037 libpq/hba.c:1071
+#: libpq/hba.c:1115
+#, c-format
+msgid "line %d of configuration file \"%s\""
+msgstr "línea %d del archivo de configuración «%s»"
+
+#: tsearch/ts_locale.c:288
+#, c-format
+msgid "conversion from wchar_t to server encoding failed: %m"
+msgstr "conversión desde un wchar_t a la codificación del servidor falló: %m"
 
 #: tsearch/dict_thesaurus.c:180
 #, c-format
@@ -1078,6 +5611,10 @@
 msgid "thesaurus substitute phrase is empty (rule %d)"
 msgstr "la frase sustituta del tesauro está vacía (regla %d)"
 
+#: tsearch/dict_thesaurus.c:615 tsearch/dict_ispell.c:52
+msgid "multiple DictFile parameters"
+msgstr "parámetro DictFile duplicado"
+
 #: tsearch/dict_thesaurus.c:624
 msgid "multiple Dictionary parameters"
 msgstr "parámetro Dictionary duplicado"
@@ -1087,20 +5624,57 @@
 msgid "unrecognized Thesaurus parameter: \"%s\""
 msgstr "parámetro no reconocido de tesauro: «%s»"
 
+#: tsearch/dict_thesaurus.c:639 tsearch/dict_ispell.c:102
+msgid "missing DictFile parameter"
+msgstr "falta un parámetro DictFile"
+
 #: tsearch/dict_thesaurus.c:643
 msgid "missing Dictionary parameter"
 msgstr "falta un paramétro Dictionary"
 
+#: tsearch/ts_parse.c:383 tsearch/ts_parse.c:390 tsearch/ts_parse.c:553
+#: tsearch/ts_parse.c:560
+msgid "word is too long to be indexed"
+msgstr "la palabra es demasiado larga para ser indexada"
+
+#: tsearch/ts_parse.c:384 tsearch/ts_parse.c:391 tsearch/ts_parse.c:554
+#: tsearch/ts_parse.c:561
+#, c-format
+msgid "Words longer than %d characters are ignored."
+msgstr "Las palabras más largas que %d caracteres son ignoradas."
+
+#: tsearch/wparser.c:314
+msgid "text search parser does not support headline creation"
+msgstr ""
+"el analizador de búsqueda en texto no soporta creación de encabezados "
+"(headline)"
+
+#: tsearch/wparser_def.c:2436
+#, c-format
+msgid "unrecognized headline parameter: \"%s\""
+msgstr "parámetro de encabezado (headline) no reconocido: «%s»"
+
+#: tsearch/wparser_def.c:2445
+msgid "MinWords should be less than MaxWords"
+msgstr "MinWords debería ser menor que MaxWords"
+
+#: tsearch/wparser_def.c:2449
+msgid "MinWords should be positive"
+msgstr "MinWords debería ser positivo"
+
+#: tsearch/wparser_def.c:2453
+msgid "ShortWord should be >= 0"
+msgstr "ShortWord debería ser >= 0"
+
+#: tsearch/wparser_def.c:2457
+msgid "MaxFragments should be >= 0"
+msgstr "MaxFragments debería ser >= 0"
+
 #: tsearch/spell.c:204
 #, c-format
 msgid "could not open dictionary file \"%s\": %m"
 msgstr "no se pudo abrir el archivo de diccionario «%s»: %m"
 
-#: tsearch/spell.c:365 utils/adt/regexp.c:194
-#, c-format
-msgid "invalid regular expression: %s"
-msgstr "la expresión regular no es válida: %s"
-
 #: tsearch/spell.c:444 tsearch/spell.c:461 tsearch/spell.c:478
 #: tsearch/spell.c:495 tsearch/spell.c:517 gram.y:10787 gram.y:10804
 msgid "syntax error"
@@ -1123,31 +5697,18 @@
 msgid "wrong affix file format for flag"
 msgstr "formato de archivo de afijos incorrecto para la bandera"
 
-#: tsearch/to_tsany.c:165 utils/adt/tsvector.c:272 utils/adt/tsvector_op.c:530
-#, c-format
-msgid "string is too long for tsvector (%d bytes, max %d bytes)"
-msgstr "la cadena es demasiado larga para tsvector (%d bytes, máximo %d bytes)"
-
-#: tsearch/ts_locale.c:168
-#, c-format
-msgid "line %d of configuration file \"%s\": \"%s\""
-msgstr "línea %d del archivo de configuración «%s»: «%s»"
-
-#: tsearch/ts_locale.c:288
-#, c-format
-msgid "conversion from wchar_t to server encoding failed: %m"
-msgstr "conversión desde un wchar_t a la codificación del servidor falló: %m"
-
-#: tsearch/ts_parse.c:383 tsearch/ts_parse.c:390 tsearch/ts_parse.c:553
-#: tsearch/ts_parse.c:560
-msgid "word is too long to be indexed"
-msgstr "la palabra es demasiado larga para ser indexada"
-
-#: tsearch/ts_parse.c:384 tsearch/ts_parse.c:391 tsearch/ts_parse.c:554
-#: tsearch/ts_parse.c:561
-#, c-format
-msgid "Words longer than %d characters are ignored."
-msgstr "Las palabras más largas que %d caracteres son ignoradas."
+#: tsearch/dict_ispell.c:63
+msgid "multiple AffFile parameters"
+msgstr "parámetro AffFile duplicado"
+
+#: tsearch/dict_ispell.c:82
+#, c-format
+msgid "unrecognized Ispell parameter: \"%s\""
+msgstr "parámetro Ispell no reconocido: «%s»"
+
+#: tsearch/dict_ispell.c:96
+msgid "missing AffFile parameter"
+msgstr "falta un parámetro AffFile"
 
 #: tsearch/ts_utils.c:53
 #, c-format
@@ -1159,65 +5720,641 @@
 msgid "could not open stop-word file \"%s\": %m"
 msgstr "no se pudo abrir el archivo de stopwords «%s»: %m"
 
-#: tsearch/wparser.c:314
-msgid "text search parser does not support headline creation"
-msgstr ""
-"el analizador de búsqueda en texto no soporta creación de encabezados "
-"(headline)"
-
-#: access/transam/slru.c:614
-#, c-format
-msgid "file \"%s\" doesn't exist, reading as zeroes"
-msgstr "el archivo «%s» no existe, leyendo como ceros"
-
-#: access/transam/slru.c:844 access/transam/slru.c:850
-#: access/transam/slru.c:857 access/transam/slru.c:864
-#: access/transam/slru.c:871 access/transam/slru.c:878
-#, c-format
-msgid "could not access status of transaction %u"
-msgstr "no se pudo encontrar el estado de la transacción %u"
-
-#: access/transam/slru.c:845
-#, c-format
-msgid "Could not open file \"%s\": %m."
-msgstr "No se pudo abrir el archivo «%s»: %m."
-
-#: access/transam/slru.c:851
-#, c-format
-msgid "Could not seek in file \"%s\" to offset %u: %m."
-msgstr "No se pudo posicionar (seek) en el archivo «%s» a la posición %u: %m."
-
-#: access/transam/slru.c:858
-#, c-format
-msgid "Could not read from file \"%s\" at offset %u: %m."
-msgstr "No se pudo leer desde el archivo «%s» en la posición %u: %m."
-
-#: access/transam/slru.c:865
-#, c-format
-msgid "Could not write to file \"%s\" at offset %u: %m."
-msgstr "No se pudo escribir al archivo «%s» en la posición %u: %m."
-
-#: access/transam/slru.c:872
-#, c-format
-msgid "Could not fsync file \"%s\": %m."
-msgstr "No se pudo sincronizar (fsync) archivo «%s»: %m."
-
-#: access/transam/slru.c:879
-#, c-format
-msgid "Could not close file \"%s\": %m."
-msgstr "No se pudo cerrar el archivo «%s»: %m."
-
-#: access/transam/slru.c:1106
-#, c-format
-msgid "could not truncate directory \"%s\": apparent wraparound"
-msgstr ""
-"no se pudo truncar el directorio «%s»: aparente problema por reciclaje de "
-"transacciones"
-
-#: access/transam/slru.c:1187
-#, c-format
-msgid "removing file \"%s\""
-msgstr "eliminando el archivo «%s»"
+#: tsearch/dict_synonym.c:99
+#, c-format
+msgid "unrecognized synonym parameter: \"%s\""
+msgstr "parámetro de sinónimo no reconocido «%s»"
+
+#: tsearch/dict_synonym.c:106
+msgid "missing Synonyms parameter"
+msgstr "falta un parámetro Synonyms"
+
+#: tsearch/dict_synonym.c:113
+#, c-format
+msgid "could not open synonym file \"%s\": %m"
+msgstr "no se pudo abrir el archivo de sinónimos «%s»: %m"
+
+#: tsearch/dict_simple.c:59
+msgid "multiple Accept parameters"
+msgstr "parámetro Accept duplicado"
+
+#: tsearch/dict_simple.c:67
+#, c-format
+msgid "unrecognized simple dictionary parameter: \"%s\""
+msgstr "parámetro del diccionario simple no reconocido: «%s»"
+
+#: tcop/pquery.c:668
+#, c-format
+msgid "bind message has %d result formats but query has %d columns"
+msgstr ""
+"el mensaje de enlace (bind) tiene %d formatos de resultado pero la consulta "
+"tiene %d columnas"
+
+#: tcop/pquery.c:745 tcop/pquery.c:1366 commands/portalcmds.c:329
+#, c-format
+msgid "portal \"%s\" cannot be run"
+msgstr "el portal «%s» no puede ser ejecutado"
+
+#: tcop/pquery.c:979
+msgid "cursor can only scan forward"
+msgstr "el cursor sólo se puede desplazar hacia adelante"
+
+#: tcop/pquery.c:980
+msgid "Declare it with SCROLL option to enable backward scan."
+msgstr "Declárelo con SCROLL para permitirle desplazar hacia atrás."
+
+#: tcop/fastpath.c:110 tcop/fastpath.c:494 tcop/fastpath.c:624
+#, c-format
+msgid "invalid argument size %d in function call message"
+msgstr ""
+"el tamaño de argumento %d no es válido en el mensaje de llamada a función"
+
+#: tcop/fastpath.c:181 tcop/fastpath.c:563 tcop/postgres.c:1636
+#: access/common/printtup.c:278
+#, c-format
+msgid "unsupported format code: %d"
+msgstr "código de formato no soportado: %d"
+
+#: tcop/fastpath.c:224 catalog/aclchk.c:2578 catalog/aclchk.c:3266
+#, c-format
+msgid "function with OID %u does not exist"
+msgstr "no existe la función con OID %u"
+
+#: tcop/fastpath.c:293 tcop/postgres.c:332 tcop/postgres.c:355
+#: commands/copy.c:514 commands/copy.c:533 commands/copy.c:537
+msgid "unexpected EOF on client connection"
+msgstr "se encontró fin de archivo inesperado en la conexión del cliente"
+
+#: tcop/fastpath.c:306 tcop/postgres.c:897 tcop/postgres.c:1206
+#: tcop/postgres.c:1486 tcop/postgres.c:1922 tcop/postgres.c:2239
+#: tcop/postgres.c:2319
+msgid ""
+"current transaction is aborted, commands ignored until end of transaction "
+"block"
+msgstr ""
+"transacción abortada, las órdenes serán ignoradas hasta el fin de bloque de "
+"transacción"
+
+#: tcop/fastpath.c:334
+#, c-format
+msgid "fastpath function call: \"%s\" (OID %u)"
+msgstr "llamada a función fastpath: «%s» (OID %u)"
+
+#: tcop/fastpath.c:361 parser/parse_func.c:1491
+msgid "argument to pg_get_expr() must come from system catalogs"
+msgstr "el argumento a pg_get_expr() debe venir de catálogos del sistema"
+
+#: tcop/fastpath.c:420 tcop/postgres.c:1066 tcop/postgres.c:1352
+#: tcop/postgres.c:1763 tcop/postgres.c:1979
+#, c-format
+msgid "duration: %s ms"
+msgstr "duración: %s ms"
+
+#: tcop/fastpath.c:424
+#, c-format
+msgid "duration: %s ms  fastpath function call: \"%s\" (OID %u)"
+msgstr "duración: %s ms  llamada a función fastpath: «%s» (OID %u)"
+
+#: tcop/fastpath.c:462 tcop/fastpath.c:589
+#, c-format
+msgid "function call message contains %d arguments but function requires %d"
+msgstr ""
+"el mensaje de llamada a función contiene %d argumentos pero la función "
+"requiere %d"
+
+#: tcop/fastpath.c:470
+#, c-format
+msgid "function call message contains %d argument formats but %d arguments"
+msgstr ""
+"el mensaje de llamada a función contiene %d formatos de argumento pero %d "
+"argumentos"
+
+#: tcop/fastpath.c:557 tcop/fastpath.c:640
+#, c-format
+msgid "incorrect binary data format in function argument %d"
+msgstr "el formato de datos binarios es incorrecto en argumento %d a función"
+
+#: tcop/postgres.c:382 tcop/postgres.c:394 tcop/postgres.c:405
+#: tcop/postgres.c:417 tcop/postgres.c:3906
+#, c-format
+msgid "invalid frontend message type %d"
+msgstr "el tipo de mensaje de frontend %d no es válido"
+
+#: tcop/postgres.c:838
+#, c-format
+msgid "statement: %s"
+msgstr "sentencia: %s"
+
+#: tcop/postgres.c:1071
+#, c-format
+msgid "duration: %s ms  statement: %s"
+msgstr "duración: %s ms  sentencia: %s"
+
+#: tcop/postgres.c:1121
+#, c-format
+msgid "parse %s: %s"
+msgstr "parse %s: %s"
+
+#: tcop/postgres.c:1179
+msgid "cannot insert multiple commands into a prepared statement"
+msgstr "no se pueden insertar múltiples órdenes en una sentencia preparada"
+
+#: tcop/postgres.c:1245 commands/prepare.c:122 parser/analyze.c:2275
+#, c-format
+msgid "could not determine data type of parameter $%d"
+msgstr "no se pudo determinar el tipo del parámetro $%d"
+
+#: tcop/postgres.c:1357
+#, c-format
+msgid "duration: %s ms  parse %s: %s"
+msgstr "duración: %s ms  parse: %s: %s"
+
+#: tcop/postgres.c:1403
+#, c-format
+msgid "bind %s to %s"
+msgstr "bind %s a %s"
+
+#: tcop/postgres.c:1422 tcop/postgres.c:2219
+msgid "unnamed prepared statement does not exist"
+msgstr "no existe una sentencia preparada sin nombre"
+
+#: tcop/postgres.c:1464
+#, c-format
+msgid "bind message has %d parameter formats but %d parameters"
+msgstr ""
+"el mensaje de enlace (bind) tiene %d formatos de parámetro pero %d parámetros"
+
+#: tcop/postgres.c:1470
+#, c-format
+msgid ""
+"bind message supplies %d parameters, but prepared statement \"%s\" requires "
+"%d"
+msgstr ""
+"el mensaje de enlace (bind) entrega %d parámetros, pero la sentencia "
+"preparada «%s» requiere %d"
+
+#: tcop/postgres.c:1629
+#, c-format
+msgid "incorrect binary data format in bind parameter %d"
+msgstr ""
+"el formato de datos binarios es incorrecto en el parámetro de enlace %d"
+
+#: tcop/postgres.c:1768
+#, c-format
+msgid "duration: %s ms  bind %s%s%s: %s"
+msgstr "duración: %s ms  bind %s%s%s: %s"
+
+#: tcop/postgres.c:1816 tcop/postgres.c:2305
+#, c-format
+msgid "portal \"%s\" does not exist"
+msgstr "no existe el portal «%s»"
+
+#: tcop/postgres.c:1903 tcop/postgres.c:1987
+msgid "execute fetch from"
+msgstr "ejecutar fetch desde"
+
+#: tcop/postgres.c:1904 tcop/postgres.c:1988
+msgid "execute"
+msgstr "ejecutar"
+
+#: tcop/postgres.c:1901
+#, c-format
+msgid "%s %s%s%s: %s"
+msgstr "%s %s%s%s: %s"
+
+#: tcop/postgres.c:1984
+#, c-format
+msgid "duration: %s ms  %s %s%s%s: %s"
+msgstr "duración: %s ms  %s %s%s%s: %s"
+
+#: tcop/postgres.c:2110
+#, c-format
+msgid "prepare: %s"
+msgstr "prepare: %s"
+
+#: tcop/postgres.c:2173
+#, c-format
+msgid "parameters: %s"
+msgstr "parámetros: %s"
+
+#: tcop/postgres.c:2495
+msgid "terminating connection because of crash of another server process"
+msgstr "terminando la conexión debido a una falla en otro proceso servidor"
+
+#: tcop/postgres.c:2496
+msgid ""
+"The postmaster has commanded this server process to roll back the current "
+"transaction and exit, because another server process exited abnormally and "
+"possibly corrupted shared memory."
+msgstr ""
+"Postmaster ha ordenado que este proceso servidor cancele la transacción en "
+"curso y finalice la conexión, porque otro proceso servidor ha terminado "
+"anormalmente y podría haber corrompido la memoria compartida."
+
+#: tcop/postgres.c:2500
+msgid ""
+"In a moment you should be able to reconnect to the database and repeat your "
+"command."
+msgstr "Dentro de un momento debería poder reconectarse y repetir la consulta."
+
+#: tcop/postgres.c:2619
+msgid "floating-point exception"
+msgstr "excepción de coma flotante"
+
+#: tcop/postgres.c:2620
+msgid ""
+"An invalid floating-point operation was signaled. This probably means an out-"
+"of-range result or an invalid operation, such as division by zero."
+msgstr ""
+"Se ha recibido una señal de una operación de coma flotante no válida.  Esto "
+"puede significar un resultado fuera de rango o una operación no válida, como "
+"una división por cero."
+
+#: tcop/postgres.c:2657
+msgid "terminating autovacuum process due to administrator command"
+msgstr "terminando el proceso autovacuum debido a una orden del administrador"
+
+#: tcop/postgres.c:2661
+msgid "terminating connection due to administrator command"
+msgstr "terminando la conexión debido a una orden del administrador"
+
+#: tcop/postgres.c:2672
+msgid "canceling statement due to statement timeout"
+msgstr ""
+"cancelando consulta debido a que se agotó el tiempo de espera de sentencias"
+
+#: tcop/postgres.c:2676
+msgid "canceling autovacuum task"
+msgstr "cancelando tarea de autovacuum"
+
+#: tcop/postgres.c:2680
+msgid "canceling statement due to user request"
+msgstr "cancelando consulta debido a una petición del usuario"
+
+#: tcop/postgres.c:2760 tcop/postgres.c:2781
+msgid "stack depth limit exceeded"
+msgstr "límite de profundidad de stack alcanzado"
+
+#: tcop/postgres.c:2761 tcop/postgres.c:2782
+msgid ""
+"Increase the configuration parameter \"max_stack_depth\", after ensuring the "
+"platform's stack depth limit is adequate."
+msgstr ""
+"Incremente el parámetro de configuración «max_stack_depth», después de "
+"asegurarse que el límite de profundidad de stack de la plataforma es "
+"adecuado."
+
+#: tcop/postgres.c:2799
+#, c-format
+msgid "\"max_stack_depth\" must not exceed %ldkB"
+msgstr "«max_stack_depth» no debe exceder %ldkB"
+
+#: tcop/postgres.c:2801
+msgid ""
+"Increase the platform's stack depth limit via \"ulimit -s\" or local "
+"equivalent."
+msgstr ""
+"Incremente el límite de profundidad del stack del sistema usando «ulimit -s» "
+"o el equivalente de su sistema."
+
+#: tcop/postgres.c:3321
+msgid "invalid command-line arguments for server process"
+msgstr ""
+"los argumentos de línea de órdenes no son válidos para proceso servidor"
+
+#: tcop/postgres.c:3322 tcop/postgres.c:3336
+#, c-format
+msgid "Try \"%s --help\" for more information."
+msgstr "Pruebe «%s --help» para mayor información."
+
+#: tcop/postgres.c:3334
+#, c-format
+msgid "%s: invalid command-line arguments"
+msgstr "%s: argumentos de línea de órdenes no válidos"
+
+#: tcop/postgres.c:3344
+#, c-format
+msgid "%s: no database nor user name specified"
+msgstr "%s: no se ha especificado base de datos ni usuario"
+
+#: tcop/postgres.c:3816
+#, c-format
+msgid "invalid CLOSE message subtype %d"
+msgstr "subtipo %d de mensaje CLOSE no válido"
+
+#: tcop/postgres.c:3849
+#, c-format
+msgid "invalid DESCRIBE message subtype %d"
+msgstr "subtipo %d de mensaje DESCRIBE no válido"
+
+#: tcop/postgres.c:4087
+#, c-format
+msgid ""
+"disconnection: session time: %d:%02d:%02d.%03d user=%s database=%s host=%s%s"
+"%s"
+msgstr ""
+"desconexión: duración de sesión: %d:%02d:%02d.%03d usuario=%s base=%s host=%s"
+"%s%s"
+
+#: tcop/utility.c:90 commands/tablecmds.c:744 commands/tablecmds.c:1054
+#: commands/tablecmds.c:1872 commands/tablecmds.c:3255
+#: commands/tablecmds.c:3284 commands/tablecmds.c:4625 commands/trigger.c:121
+#: commands/trigger.c:809 rewrite/rewriteDefine.c:259
+#, c-format
+msgid "permission denied: \"%s\" is a system catalog"
+msgstr "permiso denegado: «%s» es un catálogo de sistema"
+
+#: tcop/utility.c:218 commands/copy.c:1007 executor/execMain.c:636
+msgid "transaction is read-only"
+msgstr "la transacción es de sólo lectura"
+
+#. translator: %s is name of a SQL command, eg PREPARE
+#: tcop/utility.c:241
+#, c-format
+msgid "cannot execute %s within security-restricted operation"
+msgstr ""
+"no se puede ejecutar %s durante una operación restringida por seguridad"
+
+#: tcop/utility.c:1047
+msgid "must be superuser to do CHECKPOINT"
+msgstr "debe ser superusuario para ejecutar CHECKPOINT"
+
+#: access/common/tupconvert.c:108
+#, c-format
+msgid "Returned type %s does not match expected type %s in column %d."
+msgstr ""
+"El tipo retornado %s no coincide con el tipo de registro esperado %s en la "
+"columna %d."
+
+#: access/common/tupconvert.c:136
+#, c-format
+msgid ""
+"Number of returned columns (%d) does not match expected column count (%d)."
+msgstr ""
+"El número de columnas retornadas (%d) no coincide con la cantidad esperada "
+"de columnas (%d)."
+
+#: access/common/tupconvert.c:241
+#, c-format
+msgid ""
+"Attribute \"%s\" of type %s does not match corresponding attribute of type "
+"%s."
+msgstr ""
+"El atributo «%s» de tipo %s no coincide el atributo correspondiente de tipo "
+"%s."
+
+#: access/common/tupconvert.c:253
+#, c-format
+msgid "Attribute \"%s\" of type %s does not exist in type %s."
+msgstr "El atributo «%s» de tipo %s no existe en el tipo %s."
+
+#: access/common/indextuple.c:57
+#, c-format
+msgid "number of index columns (%d) exceeds limit (%d)"
+msgstr "el número de columnas del índice (%d) excede el límite (%d)"
+
+#: access/common/indextuple.c:168
+#, c-format
+msgid "index row requires %lu bytes, maximum size is %lu"
+msgstr "fila de índice requiere %lu bytes, tamaño máximo es %lu"
+
+#: access/common/reloptions.c:289
+msgid "user-defined relation parameter types limit exceeded"
+msgstr ""
+"el límite de tipos de parámetros de relación definidos por el usuario ha "
+"sido excedido"
+
+#: access/common/reloptions.c:588
+msgid "RESET must not include values for parameters"
+msgstr "RESET no debe incluir valores de parámetros"
+
+#: access/common/reloptions.c:621
+#, c-format
+msgid "unrecognized parameter namespace \"%s\""
+msgstr "espacio de nombre de parámetro «%s» no reconocido"
+
+#: access/common/reloptions.c:861
+#, c-format
+msgid "unrecognized parameter \"%s\""
+msgstr "parámetro no reconocido «%s»"
+
+#: access/common/reloptions.c:886
+#, c-format
+msgid "parameter \"%s\" specified more than once"
+msgstr "el parámetro «%s» fue especificado más de una vez"
+
+#: access/common/reloptions.c:901
+#, c-format
+msgid "invalid value for boolean option \"%s\": %s"
+msgstr "valor no válido para la opción booleana «%s»: «%s»"
+
+#: access/common/reloptions.c:912
+#, c-format
+msgid "invalid value for integer option \"%s\": %s"
+msgstr "valor no válido para la opción entera «%s»: «%s»"
+
+#: access/common/reloptions.c:917 access/common/reloptions.c:935
+#, c-format
+msgid "value %s out of bounds for option \"%s\""
+msgstr "el valor %s está fuera del rango de la opción «%s»"
+
+#: access/common/reloptions.c:919
+#, c-format
+msgid "Valid values are between \"%d\" and \"%d\"."
+msgstr "Los valores aceptables están entre «%d» y «%d»."
+
+#: access/common/reloptions.c:930
+#, c-format
+msgid "invalid value for floating point option \"%s\": %s"
+msgstr "valor no válido para la opción de coma flotante «%s»: «%s»"
+
+#: access/common/reloptions.c:937
+#, c-format
+msgid "Valid values are between \"%f\" and \"%f\"."
+msgstr "Valores aceptables están entre «%f» y «%f»."
+
+#: access/common/tupdesc.c:547 parser/parse_relation.c:1193
+#, c-format
+msgid "column \"%s\" cannot be declared SETOF"
+msgstr "la columna «%s» no puede ser declarada SETOF"
+
+#: access/common/heaptuple.c:686 access/common/heaptuple.c:1438
+#, c-format
+msgid "number of columns (%d) exceeds limit (%d)"
+msgstr "el número de columnas (%d) excede el límite (%d)"
+
+#: access/hash/hashovfl.c:546
+#, c-format
+msgid "out of overflow pages in hash index \"%s\""
+msgstr "se agotaron las páginas de desbordamiento en el índice hash «%s»"
+
+#: access/hash/hashsearch.c:152
+msgid "hash indexes do not support whole-index scans"
+msgstr "los índices hash no soportan recorridos del índice completo"
+
+#: access/hash/hashinsert.c:73
+#, c-format
+msgid "index row size %lu exceeds hash maximum %lu"
+msgstr "el tamaño de fila de índice %lu excede el máximo para hash %lu"
+
+#: access/hash/hashinsert.c:76
+msgid "Values larger than a buffer page cannot be indexed."
+msgstr "Valores mayores a una página del buffer no pueden ser indexados."
+
+#: access/hash/hashutil.c:169 access/nbtree/nbtpage.c:432
+#: access/gist/gistutil.c:596
+#, c-format
+msgid "index \"%s\" contains unexpected zero page at block %u"
+msgstr "índice «%s» contiene páginas vacías no esperadas en el bloque %u"
+
+#: access/hash/hashutil.c:172 access/hash/hashutil.c:183
+#: access/hash/hashutil.c:195 access/hash/hashutil.c:216
+#: access/nbtree/nbtpage.c:435 access/nbtree/nbtpage.c:446
+#: access/gist/gistutil.c:599 access/gist/gistutil.c:610
+msgid "Please REINDEX it."
+msgstr "Por favor aplíquele REINDEX."
+
+#: access/hash/hashutil.c:180 access/hash/hashutil.c:192
+#: access/nbtree/nbtpage.c:443 access/gist/gistutil.c:607
+#, c-format
+msgid "index \"%s\" contains corrupted page at block %u"
+msgstr "el índice «%s» contiene una página corrupta en el bloque %u"
+
+#: access/hash/hashutil.c:208
+#, c-format
+msgid "index \"%s\" is not a hash index"
+msgstr "el índice «%s» no es un índice hash"
+
+#: access/hash/hashutil.c:214
+#, c-format
+msgid "index \"%s\" has wrong hash version"
+msgstr "el índice «%s» tiene una versión de hash incorrecta"
+
+#: access/heap/hio.c:174 access/heap/rewriteheap.c:592
+#, c-format
+msgid "row is too big: size %lu, maximum size %lu"
+msgstr "fila es demasiado grande: tamaño %lu, tamaño máximo %lu"
+
+#: access/heap/heapam.c:1074 access/heap/heapam.c:1102
+#: access/heap/heapam.c:1132 catalog/aclchk.c:916
+#, c-format
+msgid "\"%s\" is an index"
+msgstr "«%s» es un índice"
+
+#: access/heap/heapam.c:1079 access/heap/heapam.c:1107
+#: access/heap/heapam.c:1137 commands/tablecmds.c:2073
+#: commands/tablecmds.c:6295 commands/tablecmds.c:7673 catalog/aclchk.c:923
+#, c-format
+msgid "\"%s\" is a composite type"
+msgstr "«%s» es un tipo compuesto"
+
+#: access/heap/heapam.c:3147 access/heap/heapam.c:3178
+#: access/heap/heapam.c:3213
+#, c-format
+msgid "could not obtain lock on row in relation \"%s\""
+msgstr "no se pudo obtener un bloqueo en la fila de la relación «%s»"
+
+#: access/transam/xact.c:643
+msgid "cannot have more than 2^32-1 commands in a transaction"
+msgstr "no se pueden tener más de 2^32-1 órdenes en una transacción"
+
+#: access/transam/xact.c:1125
+#, c-format
+msgid "maximum number of committed subtransactions (%d) exceeded"
+msgstr "se superó el número máximo de subtransacciones comprometidas (%d)"
+
+#: access/transam/xact.c:1842
+msgid "cannot PREPARE a transaction that has operated on temporary tables"
+msgstr ""
+"no se puede hacer PREPARE de una transacción que ha operado en tablas "
+"temporales"
+
+#. translator: %s represents an SQL statement name
+#: access/transam/xact.c:2632
+#, c-format
+msgid "%s cannot run inside a transaction block"
+msgstr "%s no puede ser ejecutado dentro de un bloque de transacción"
+
+#. translator: %s represents an SQL statement name
+#: access/transam/xact.c:2642
+#, c-format
+msgid "%s cannot run inside a subtransaction"
+msgstr "%s no puede ser ejecutado dentro de una subtransacción"
+
+#. translator: %s represents an SQL statement name
+#: access/transam/xact.c:2652
+#, c-format
+msgid "%s cannot be executed from a function or multi-command string"
+msgstr ""
+"la orden %s no puede ser ejecutada desde una función o una línea con "
+"múltiples órdenes"
+
+#. translator: %s represents an SQL statement name
+#: access/transam/xact.c:2703
+#, c-format
+msgid "%s can only be used in transaction blocks"
+msgstr "la orden %s sólo puede ser usada en bloques de transacción"
+
+#: access/transam/xact.c:2885
+msgid "there is already a transaction in progress"
+msgstr "ya hay una transacción en curso"
+
+#: access/transam/xact.c:3052 access/transam/xact.c:3144
+msgid "there is no transaction in progress"
+msgstr "no hay una transacción en curso"
+
+#: access/transam/xact.c:3238 access/transam/xact.c:3288
+#: access/transam/xact.c:3294 access/transam/xact.c:3338
+#: access/transam/xact.c:3386 access/transam/xact.c:3392
+msgid "no such savepoint"
+msgstr "no hay un savepoint con ese nombre"
+
+#: access/transam/xact.c:4026
+msgid "cannot have more than 2^32-1 subtransactions in a transaction"
+msgstr "no se pueden tener más de 2^32-1 subtransacciones en una transacción"
+
+#: access/transam/varsup.c:87
+#, c-format
+msgid ""
+"database is not accepting commands to avoid wraparound data loss in database "
+"\"%s\""
+msgstr ""
+"la base de datos no está aceptando órdenes para evitar pérdida de datos "
+"debido al problema del reciclaje de transacciones en la base «%s»"
+
+#: access/transam/varsup.c:89
+#, c-format
+msgid ""
+"Stop the postmaster and use a standalone backend to vacuum database \"%s\".\n"
+"You might also need to commit or roll back old prepared transactions."
+msgstr ""
+"Detenga el proceso postmaster y utilice una conexión aislada (standalone) "
+"para limpiar (vacuum) la base «%s».\n"
+"Puede que además necesite comprometer o abortar transacciones preparadas "
+"antiguas."
+
+#: access/transam/varsup.c:94 access/transam/varsup.c:301
+#, c-format
+msgid "database \"%s\" must be vacuumed within %u transactions"
+msgstr "base de datos «%s» debe ser limpiada dentro de %u transacciones"
+
+#: access/transam/varsup.c:97 access/transam/varsup.c:304
+#, c-format
+msgid ""
+"To avoid a database shutdown, execute a database-wide VACUUM in \"%s\".\n"
+"You might also need to commit or roll back old prepared transactions."
+msgstr ""
+"Para evitar que la base de datos se desactive, ejecute VACUUM en toda la "
+"base de datos «%s».\n"
+"Puede que además necesite comprometer o abortar transacciones preparadas "
+"antiguas."
+
+#: access/transam/varsup.c:284
+#, c-format
+msgid "transaction ID wrap limit is %u, limited by database \"%s\""
+msgstr ""
+"el límite para el reciclaje de ID de transacciones es %u, limitado por base "
+"de datos «%s»"
 
 #: access/transam/twophase.c:243
 #, c-format
@@ -1286,8 +6423,8 @@
 msgstr "no se pudo crear el archivo de estado de COMMIT en dos fases «%s»: %m"
 
 #: access/transam/twophase.c:949 access/transam/twophase.c:966
-#: access/transam/twophase.c:1015 access/transam/twophase.c:1379
-#: access/transam/twophase.c:1386
+#: access/transam/twophase.c:1015 access/transam/twophase.c:1378
+#: access/transam/twophase.c:1385
 #, c-format
 msgid "could not write two-phase state file: %m"
 msgstr "no se pudo escribir el archivo de estado de COMMIT en dos fases: %m"
@@ -1299,12 +6436,12 @@
 "no se pudo posicionar (seek) en el archivo de estado de COMMIT en dos fases: "
 "%m"
 
-#: access/transam/twophase.c:1021 access/transam/twophase.c:1404
+#: access/transam/twophase.c:1021 access/transam/twophase.c:1403
 #, c-format
 msgid "could not close two-phase state file: %m"
 msgstr "no se pudo cerrar el archivo de estado de COMMIT en dos fases: %m"
 
-#: access/transam/twophase.c:1092 access/transam/twophase.c:1484
+#: access/transam/twophase.c:1092 access/transam/twophase.c:1483
 #, c-format
 msgid "could not open two-phase state file \"%s\": %m"
 msgstr "no se pudo abrir el archivo de estado de COMMIT en dos fases «%s»: %m"
@@ -1328,159 +6465,111 @@
 "el archivo de estado de COMMIT en dos fases para la transacción %u está "
 "dañado"
 
-#: access/transam/twophase.c:1341
+#: access/transam/twophase.c:1340
 #, c-format
 msgid "could not remove two-phase state file \"%s\": %m"
 msgstr ""
 "no se pudo eliminar el archivo de estado de COMMIT en dos fases «%s»: %m"
 
-#: access/transam/twophase.c:1370
+#: access/transam/twophase.c:1369
 #, c-format
 msgid "could not recreate two-phase state file \"%s\": %m"
 msgstr ""
 "no se pudo recrear el archivo de estado de COMMIT en dos fases «%s»: %m"
 
-#: access/transam/twophase.c:1398
+#: access/transam/twophase.c:1397
 #, c-format
 msgid "could not fsync two-phase state file: %m"
 msgstr ""
 "no se pudo sincronizar (fsync) el archivo de estado de COMMIT en dos fases: "
 "%m"
 
-#: access/transam/twophase.c:1493
+#: access/transam/twophase.c:1492
 #, c-format
 msgid "could not fsync two-phase state file \"%s\": %m"
 msgstr ""
 "no se pudo sincronizar (fsync) el archivo de estado de COMMIT en dos fases "
 "«%s»: %m"
 
-#: access/transam/twophase.c:1500
+#: access/transam/twophase.c:1499
 #, c-format
 msgid "could not close two-phase state file \"%s\": %m"
 msgstr "no se pudo cerrar el archivo de estado de COMMIT en dos fases «%s»: %m"
 
-#: access/transam/twophase.c:1558
+#: access/transam/twophase.c:1557
 #, c-format
 msgid "removing future two-phase state file \"%s\""
 msgstr "eliminando archivo futuro de estado de COMMIT en dos fases «%s»"
 
-#: access/transam/twophase.c:1574 access/transam/twophase.c:1585
-#: access/transam/twophase.c:1673
+#: access/transam/twophase.c:1573 access/transam/twophase.c:1584
+#: access/transam/twophase.c:1672
 #, c-format
 msgid "removing corrupt two-phase state file \"%s\""
 msgstr "eliminando archivo dañado de estado de COMMIT en dos fases «%s»"
 
-#: access/transam/twophase.c:1662
+#: access/transam/twophase.c:1661
 #, c-format
 msgid "removing stale two-phase state file \"%s\""
 msgstr "eliminando archivo obsoleto de estado de COMMIT en dos fases «%s»"
 
-#: access/transam/twophase.c:1680
+#: access/transam/twophase.c:1679
 #, c-format
 msgid "recovering prepared transaction %u"
 msgstr "recuperando transacción preparada %u"
 
-#: access/transam/varsup.c:87
-#, c-format
-msgid ""
-"database is not accepting commands to avoid wraparound data loss in database "
-"\"%s\""
-msgstr ""
-"la base de datos no está aceptando órdenes para evitar pérdida de datos "
-"debido al problema del reciclaje de transacciones en la base «%s»"
-
-#: access/transam/varsup.c:89
-#, c-format
-msgid ""
-"Stop the postmaster and use a standalone backend to vacuum database \"%s\".\n"
-"You might also need to commit or roll back old prepared transactions."
-msgstr ""
-"Detenga el proceso postmaster y utilice una conexión aislada (standalone) "
-"para limpiar (vacuum) la base «%s».\n"
-"Puede que además necesite comprometer o abortar transacciones preparadas "
-"antiguas."
-
-#: access/transam/varsup.c:94 access/transam/varsup.c:301
-#, c-format
-msgid "database \"%s\" must be vacuumed within %u transactions"
-msgstr "base de datos «%s» debe ser limpiada dentro de %u transacciones"
-
-#: access/transam/varsup.c:97 access/transam/varsup.c:304
-#, c-format
-msgid ""
-"To avoid a database shutdown, execute a database-wide VACUUM in \"%s\".\n"
-"You might also need to commit or roll back old prepared transactions."
-msgstr ""
-"Para evitar que la base de datos se desactive, ejecute VACUUM en toda la "
-"base de datos «%s».\n"
-"Puede que además necesite comprometer o abortar transacciones preparadas "
-"antiguas."
-
-#: access/transam/varsup.c:284
-#, c-format
-msgid "transaction ID wrap limit is %u, limited by database \"%s\""
-msgstr ""
-"el límite para el reciclaje de ID de transacciones es %u, limitado por base "
-"de datos «%s»"
-
-#: access/transam/xact.c:643
-msgid "cannot have more than 2^32-1 commands in a transaction"
-msgstr "no se pueden tener más de 2^32-1 órdenes en una transacción"
-
-#: access/transam/xact.c:1125
-#, c-format
-msgid "maximum number of committed subtransactions (%d) exceeded"
-msgstr "se superó el número máximo de subtransacciones comprometidas (%d)"
-
-#: access/transam/xact.c:1842
-msgid "cannot PREPARE a transaction that has operated on temporary tables"
-msgstr ""
-"no se puede hacer PREPARE de una transacción que ha operado en tablas "
-"temporales"
-
-#. translator: %s represents an SQL statement name
-#: access/transam/xact.c:2632
-#, c-format
-msgid "%s cannot run inside a transaction block"
-msgstr "%s no puede ser ejecutado dentro de un bloque de transacción"
-
-#. translator: %s represents an SQL statement name
-#: access/transam/xact.c:2642
-#, c-format
-msgid "%s cannot run inside a subtransaction"
-msgstr "%s no puede ser ejecutado dentro de una subtransacción"
-
-#. translator: %s represents an SQL statement name
-#: access/transam/xact.c:2652
-#, c-format
-msgid "%s cannot be executed from a function or multi-command string"
-msgstr ""
-"la orden %s no puede ser ejecutada desde una función o una línea con "
-"múltiples órdenes"
-
-#. translator: %s represents an SQL statement name
-#: access/transam/xact.c:2703
-#, c-format
-msgid "%s can only be used in transaction blocks"
-msgstr "la orden %s sólo puede ser usada en bloques de transacción"
-
-#: access/transam/xact.c:2885
-msgid "there is already a transaction in progress"
-msgstr "ya hay una transacción en curso"
-
-#: access/transam/xact.c:3052 access/transam/xact.c:3144
-msgid "there is no transaction in progress"
-msgstr "no hay una transacción en curso"
-
-#: access/transam/xact.c:3238 access/transam/xact.c:3288
-#: access/transam/xact.c:3294 access/transam/xact.c:3338
-#: access/transam/xact.c:3386 access/transam/xact.c:3392
-msgid "no such savepoint"
-msgstr "no hay un savepoint con ese nombre"
-
-#: access/transam/xact.c:4026
-msgid "cannot have more than 2^32-1 subtransactions in a transaction"
-msgstr "no se pueden tener más de 2^32-1 subtransacciones en una transacción"
+#: access/transam/slru.c:614
+#, c-format
+msgid "file \"%s\" doesn't exist, reading as zeroes"
+msgstr "el archivo «%s» no existe, leyendo como ceros"
+
+#: access/transam/slru.c:844 access/transam/slru.c:850
+#: access/transam/slru.c:857 access/transam/slru.c:864
+#: access/transam/slru.c:871 access/transam/slru.c:878
+#, c-format
+msgid "could not access status of transaction %u"
+msgstr "no se pudo encontrar el estado de la transacción %u"
+
+#: access/transam/slru.c:845
+#, c-format
+msgid "Could not open file \"%s\": %m."
+msgstr "No se pudo abrir el archivo «%s»: %m."
+
+#: access/transam/slru.c:851
+#, c-format
+msgid "Could not seek in file \"%s\" to offset %u: %m."
+msgstr "No se pudo posicionar (seek) en el archivo «%s» a la posición %u: %m."
+
+#: access/transam/slru.c:858
+#, c-format
+msgid "Could not read from file \"%s\" at offset %u: %m."
+msgstr "No se pudo leer desde el archivo «%s» en la posición %u: %m."
+
+#: access/transam/slru.c:865
+#, c-format
+msgid "Could not write to file \"%s\" at offset %u: %m."
+msgstr "No se pudo escribir al archivo «%s» en la posición %u: %m."
+
+#: access/transam/slru.c:872
+#, c-format
+msgid "Could not fsync file \"%s\": %m."
+msgstr "No se pudo sincronizar (fsync) archivo «%s»: %m."
+
+#: access/transam/slru.c:879
+#, c-format
+msgid "Could not close file \"%s\": %m."
+msgstr "No se pudo cerrar el archivo «%s»: %m."
+
+#: access/transam/slru.c:1106
+#, c-format
+msgid "could not truncate directory \"%s\": apparent wraparound"
+msgstr ""
+"no se pudo truncar el directorio «%s»: aparente problema por reciclaje de "
+"transacciones"
+
+#: access/transam/slru.c:1187
+#, c-format
+msgid "removing file \"%s\""
+msgstr "eliminando el archivo «%s»"
 
 #: access/transam/xlog.c:1175
 #, c-format
@@ -1518,25 +6607,6 @@
 msgid "could not open file \"%s\" (log file %u, segment %u): %m"
 msgstr "no se pudo abrir «%s» (archivo de registro %u, segmento %u): %m"
 
-#: access/transam/xlog.c:2216 access/transam/xlog.c:2349
-#: access/transam/xlog.c:4093 access/transam/xlog.c:7423
-#: access/transam/xlog.c:7558 storage/file/copydir.c:130
-#: postmaster/postmaster.c:3557
-#, c-format
-msgid "could not create file \"%s\": %m"
-msgstr "no se pudo crear archivo «%s»: %m"
-
-#: access/transam/xlog.c:2248 access/transam/xlog.c:2381
-#: access/transam/xlog.c:4145 access/transam/xlog.c:4183 commands/copy.c:1290
-#: commands/tablespace.c:706 commands/tablespace.c:712
-#: storage/file/copydir.c:155 postmaster/postmaster.c:3567
-#: postmaster/postmaster.c:3577 utils/misc/guc.c:6830 utils/misc/guc.c:6855
-#: utils/init/miscinit.c:1115 utils/init/miscinit.c:1124
-#: utils/init/miscinit.c:1131
-#, c-format
-msgid "could not write to file \"%s\": %m"
-msgstr "no se pudo escribir a archivo «%s»: %m"
-
 #: access/transam/xlog.c:2256 access/transam/xlog.c:2388
 #: access/transam/xlog.c:4189 storage/file/copydir.c:165
 #, c-format
@@ -1549,15 +6619,6 @@
 msgid "could not close file \"%s\": %m"
 msgstr "no se pudo cerrar el archivo «%s»: %m"
 
-#: access/transam/xlog.c:2362 access/transam/xlog.c:4124
-#: access/transam/xlog.c:7530 access/transam/xlog.c:7580
-#: access/transam/xlog.c:7872 access/transam/xlog.c:7897
-#: access/transam/xlog.c:7935 storage/file/copydir.c:144
-#: utils/adt/genfile.c:132
-#, c-format
-msgid "could not read file \"%s\": %m"
-msgstr "no se pudo leer el archivo «%s»: %m"
-
 #: access/transam/xlog.c:2365
 #, c-format
 msgid "not enough data in file \"%s\""
@@ -1586,14 +6647,7 @@
 msgid "could not close log file %u, segment %u: %m"
 msgstr "no se pudo cerrar archivo de registro %u, segmento %u: %m"
 
-#: access/transam/xlog.c:2697 access/transam/xlog.c:2849
-#: access/transam/xlog.c:7406 storage/file/copydir.c:85 utils/adt/dbsize.c:64
-#: utils/adt/dbsize.c:215 utils/adt/dbsize.c:286 utils/adt/genfile.c:166
-#, c-format
-msgid "could not stat file \"%s\": %m"
-msgstr "no se pudo verificar archivo «%s»: %m"
-
-#: access/transam/xlog.c:2705 access/transam/xlog.c:7585
+#: access/transam/xlog.c:2705 access/transam/xlog.c:7586
 #: commands/tablespace.c:631
 #, c-format
 msgid "could not remove file \"%s\": %m"
@@ -1832,14 +6886,6 @@
 msgid "could not link file \"%s\" to \"%s\": %m"
 msgstr "no se pudo enlazar (link) el archivo «%s» a «%s»: %m"
 
-#: access/transam/xlog.c:4218 access/transam/xlog.c:5039
-#: access/transam/xlog.c:5092 access/transam/xlog.c:5506
-#: postmaster/pgarch.c:715 utils/init/flatfiles.c:289
-#: utils/init/flatfiles.c:673
-#, c-format
-msgid "could not rename file \"%s\" to \"%s\": %m"
-msgstr "no se pudo renombrar el archivo de «%s» a «%s»: %m"
-
 #: access/transam/xlog.c:4300
 #, c-format
 msgid "could not create control file \"%s\": %m"
@@ -1870,19 +6916,6 @@
 msgid "could not read from control file: %m"
 msgstr "no se pudo leer desde el archivo de control: %m"
 
-#: access/transam/xlog.c:4359 access/transam/xlog.c:4368
-#: access/transam/xlog.c:4392 access/transam/xlog.c:4399
-#: access/transam/xlog.c:4406 access/transam/xlog.c:4411
-#: access/transam/xlog.c:4418 access/transam/xlog.c:4425
-#: access/transam/xlog.c:4432 access/transam/xlog.c:4439
-#: access/transam/xlog.c:4446 access/transam/xlog.c:4453
-#: access/transam/xlog.c:4462 access/transam/xlog.c:4469
-#: access/transam/xlog.c:4478 access/transam/xlog.c:4485
-#: access/transam/xlog.c:4494 access/transam/xlog.c:4501
-#: utils/init/miscinit.c:1197
-msgid "database files are incompatible with server"
-msgstr "los archivos de base de datos son incompatibles con el servidor"
-
 #: access/transam/xlog.c:4360
 #, c-format
 msgid ""
@@ -2462,68 +7495,68 @@
 msgid "recovery restart point at %X/%X"
 msgstr "punto-de-reinicio de recuperación en %X/%X"
 
-#: access/transam/xlog.c:7052
+#: access/transam/xlog.c:7055
 #, c-format
 msgid "unexpected timeline ID %u (after %u) in checkpoint record"
 msgstr ""
 "ID de timeline %u inesperado (después de %u) en el registro de punto de "
 "control"
 
-#: access/transam/xlog.c:7084
+#: access/transam/xlog.c:7085
 #, c-format
 msgid "unexpected timeline ID %u (should be %u) in checkpoint record"
 msgstr ""
 "ID de timeline %u inesperado (debería ser %u) en el registro de punto de "
 "control"
 
-#: access/transam/xlog.c:7220 access/transam/xlog.c:7243
+#: access/transam/xlog.c:7221 access/transam/xlog.c:7244
 #, c-format
 msgid "could not fsync log file %u, segment %u: %m"
 msgstr ""
 "no se pudo sincronizar (fsync) el archivo de registro %u, segmento %u: %m"
 
-#: access/transam/xlog.c:7251
+#: access/transam/xlog.c:7252
 #, c-format
 msgid "could not fsync write-through log file %u, segment %u: %m"
 msgstr ""
 "no se pudo sincronizar (write-through) el archivo de registro %u, segmento "
 "%u: %m"
 
-#: access/transam/xlog.c:7260
+#: access/transam/xlog.c:7261
 #, c-format
 msgid "could not fdatasync log file %u, segment %u: %m"
 msgstr ""
 "no se pudo sincronizar (fdatasync) el archivo de registro %u, segmento %u: %m"
 
-#: access/transam/xlog.c:7303 access/transam/xlog.c:7490
+#: access/transam/xlog.c:7304 access/transam/xlog.c:7491
 msgid "must be superuser to run a backup"
 msgstr "debe ser superusuario para ejecutar un respaldo"
 
-#: access/transam/xlog.c:7308 access/transam/xlog.c:7314
-#: access/transam/xlog.c:7495
+#: access/transam/xlog.c:7309 access/transam/xlog.c:7315
+#: access/transam/xlog.c:7496
 msgid "WAL archiving is not active"
 msgstr "el archivado WAL no está activo"
 
-#: access/transam/xlog.c:7309 access/transam/xlog.c:7496
+#: access/transam/xlog.c:7310 access/transam/xlog.c:7497
 msgid "archive_mode must be enabled at server start."
 msgstr "El parámetro archive_mode debe ser activado al iniciar el servidor."
 
-#: access/transam/xlog.c:7315
+#: access/transam/xlog.c:7316
 msgid ""
 "archive_command must be defined before online backups can be made safely."
 msgstr ""
 "El parámetro archive_command debe estar definido antes de que los respaldos "
 "en línea puedan ser hechos de forma segura."
 
-#: access/transam/xlog.c:7343 access/transam/xlog.c:7412
+#: access/transam/xlog.c:7344 access/transam/xlog.c:7413
 msgid "a backup is already in progress"
 msgstr "ya hay un respaldo en curso"
 
-#: access/transam/xlog.c:7344
+#: access/transam/xlog.c:7345
 msgid "Run pg_stop_backup() and try again."
 msgstr "Ejecute pg_stop_backup() e intente nuevamente."
 
-#: access/transam/xlog.c:7413
+#: access/transam/xlog.c:7414
 #, c-format
 msgid ""
 "If you're sure there is no backup in progress, remove file \"%s\" and try "
@@ -2532,23 +7565,23 @@
 "Si está seguro que no hay un respaldo en curso, elimine el archivo «%s» e "
 "intente nuevamente."
 
-#: access/transam/xlog.c:7434 access/transam/xlog.c:7571
+#: access/transam/xlog.c:7435 access/transam/xlog.c:7572
 #, c-format
 msgid "could not write file \"%s\": %m"
 msgstr "no se pudo escribir el archivo «%s»: %m"
 
-#: access/transam/xlog.c:7534
+#: access/transam/xlog.c:7535
 msgid "a backup is not in progress"
 msgstr "no hay un respaldo en curso"
 
-#: access/transam/xlog.c:7546 access/transam/xlog.c:7887
-#: access/transam/xlog.c:7893 access/transam/xlog.c:7924
-#: access/transam/xlog.c:7930
+#: access/transam/xlog.c:7547 access/transam/xlog.c:7888
+#: access/transam/xlog.c:7894 access/transam/xlog.c:7925
+#: access/transam/xlog.c:7931
 #, c-format
 msgid "invalid data in file \"%s\""
 msgstr "datos no válidos en archivo «%s»"
 
-#: access/transam/xlog.c:7626
+#: access/transam/xlog.c:7627
 #, c-format
 msgid ""
 "pg_stop_backup still waiting for archive to complete (%d seconds elapsed)"
@@ -2556,154 +7589,40 @@
 "pg_stop_backup todavía espera que el archivo se complete (han pasado %d "
 "segundos)"
 
-#: access/transam/xlog.c:7651
+#: access/transam/xlog.c:7652
 msgid "must be superuser to switch transaction log files"
 msgstr "debe ser superusuario para cambiar a un nuevo archivo de registro"
 
-#: access/transam/xlog.c:7748 access/transam/xlog.c:7814
+#: access/transam/xlog.c:7749 access/transam/xlog.c:7815
 #, c-format
 msgid "could not parse transaction log location \"%s\""
 msgstr "no se pudo interpretar la ubicación del registro de transacciones «%s»"
 
-#: access/transam/xlog.c:7958
+#: access/transam/xlog.c:7959
 #, c-format
 msgid "xlog redo %s"
 msgstr "xlog redo %s"
 
-#: access/transam/xlog.c:7998
+#: access/transam/xlog.c:7999
 msgid "online backup mode cancelled"
 msgstr "el modo de respaldo en línea fue cancelado"
 
-#: access/transam/xlog.c:7999
+#: access/transam/xlog.c:8000
 #, c-format
 msgid "\"%s\" was renamed to \"%s\"."
 msgstr "«%s» fue renombrado a «%s»."
 
-#: access/transam/xlog.c:8006
+#: access/transam/xlog.c:8007
 msgid "online backup mode was not cancelled"
 msgstr "el modo de respaldo en línea no fue cancelado"
 
-#: access/transam/xlog.c:8007
+#: access/transam/xlog.c:8008
 #, c-format
 msgid "Could not rename \"%s\" to \"%s\": %m."
 msgstr "No se pudo renombrar «%s» a «%s»: %m."
 
-#: access/common/tupconvert.c:108
-#, c-format
-msgid "Returned type %s does not match expected type %s in column %d."
-msgstr ""
-"El tipo retornado %s no coincide con el tipo de registro esperado %s en la "
-"columna %d."
-
-#: access/common/tupconvert.c:136
-#, c-format
-msgid ""
-"Number of returned columns (%d) does not match expected column count (%d)."
-msgstr ""
-"El número de columnas retornadas (%d) no coincide con la cantidad esperada "
-"de columnas (%d)."
-
-#: access/common/tupconvert.c:241
-#, c-format
-msgid ""
-"Attribute \"%s\" of type %s does not match corresponding attribute of type "
-"%s."
-msgstr ""
-"El atributo «%s» de tipo %s no coincide el atributo correspondiente de tipo "
-"%s."
-
-#: access/common/tupconvert.c:253
-#, c-format
-msgid "Attribute \"%s\" of type %s does not exist in type %s."
-msgstr "El atributo «%s» de tipo %s no existe en el tipo %s."
-
-#: access/common/heaptuple.c:686 access/common/heaptuple.c:1438
-#, c-format
-msgid "number of columns (%d) exceeds limit (%d)"
-msgstr "el número de columnas (%d) excede el límite (%d)"
-
-#: access/common/indextuple.c:57
-#, c-format
-msgid "number of index columns (%d) exceeds limit (%d)"
-msgstr "el número de columnas del índice (%d) excede el límite (%d)"
-
-#: access/common/indextuple.c:168
-#, c-format
-msgid "index row requires %lu bytes, maximum size is %lu"
-msgstr "fila de índice requiere %lu bytes, tamaño máximo es %lu"
-
-#: access/common/printtup.c:278 tcop/fastpath.c:181 tcop/fastpath.c:563
-#: tcop/postgres.c:1636
-#, c-format
-msgid "unsupported format code: %d"
-msgstr "código de formato no soportado: %d"
-
-#: access/common/reloptions.c:289
-msgid "user-defined relation parameter types limit exceeded"
-msgstr ""
-"el límite de tipos de parámetros de relación definidos por el usuario ha "
-"sido excedido"
-
-#: access/common/reloptions.c:588
-msgid "RESET must not include values for parameters"
-msgstr "RESET no debe incluir valores de parámetros"
-
-#: access/common/reloptions.c:621
-#, c-format
-msgid "unrecognized parameter namespace \"%s\""
-msgstr "espacio de nombre de parámetro «%s» no reconocido"
-
-#: access/common/reloptions.c:861
-#, c-format
-msgid "unrecognized parameter \"%s\""
-msgstr "parámetro no reconocido «%s»"
-
-#: access/common/reloptions.c:886
-#, c-format
-msgid "parameter \"%s\" specified more than once"
-msgstr "el parámetro «%s» fue especificado más de una vez"
-
-#: access/common/reloptions.c:901
-#, c-format
-msgid "invalid value for boolean option \"%s\": %s"
-msgstr "valor no válido para la opción booleana «%s»: «%s»"
-
-#: access/common/reloptions.c:912
-#, c-format
-msgid "invalid value for integer option \"%s\": %s"
-msgstr "valor no válido para la opción entera «%s»: «%s»"
-
-#: access/common/reloptions.c:917 access/common/reloptions.c:935
-#, c-format
-msgid "value %s out of bounds for option \"%s\""
-msgstr "el valor %s está fuera del rango de la opción «%s»"
-
-#: access/common/reloptions.c:919
-#, c-format
-msgid "Valid values are between \"%d\" and \"%d\"."
-msgstr "Los valores aceptables están entre «%d» y «%d»."
-
-#: access/common/reloptions.c:930
-#, c-format
-msgid "invalid value for floating point option \"%s\": %s"
-msgstr "valor no válido para la opción de coma flotante «%s»: «%s»"
-
-#: access/common/reloptions.c:937
-#, c-format
-msgid "Valid values are between \"%f\" and \"%f\"."
-msgstr "Valores aceptables están entre «%f» y «%f»."
-
-#: access/common/tupdesc.c:547 parser/parse_relation.c:1193
-#, c-format
-msgid "column \"%s\" cannot be declared SETOF"
-msgstr "la columna «%s» no puede ser declarada SETOF"
-
-#: access/gin/ginarrayproc.c:30
-msgid "array must not contain null values"
-msgstr "los arrays no deben contener valores nulos"
-
 #: access/gin/ginentrypage.c:83 access/gin/ginentrypage.c:118
-#: access/nbtree/nbtinsert.c:420 access/nbtree/nbtsort.c:483
+#: access/nbtree/nbtsort.c:483 access/nbtree/nbtinsert.c:420
 #, c-format
 msgid "index row size %lu exceeds maximum %lu for index \"%s\""
 msgstr ""
@@ -2713,16 +7632,42 @@
 msgid "GIN indexes do not support whole-index scans"
 msgstr "los índices GIN no soportan recorridos del índice completo"
 
-#: access/gist/gistxlog.c:797
-#, c-format
-msgid "index %u/%u/%u needs VACUUM FULL or REINDEX to finish crash recovery"
-msgstr ""
-"índice %u/%u/%u necesita que se ejecute VACUUM FULL o REINDEX para finalizar "
-"la recuperación"
-
-#: access/gist/gistxlog.c:799
-msgid "Incomplete insertion detected during crash replay."
-msgstr "Inserción incompleta detectada durante recuperación."
+#: access/gin/ginarrayproc.c:30
+msgid "array must not contain null values"
+msgstr "los arrays no deben contener valores nulos"
+
+#: access/nbtree/nbtpage.c:160 access/nbtree/nbtpage.c:364
+#, c-format
+msgid "index \"%s\" is not a btree"
+msgstr "el índice «%s» no es un btree"
+
+#: access/nbtree/nbtpage.c:166 access/nbtree/nbtpage.c:370
+#, c-format
+msgid "version mismatch in index \"%s\": file version %d, code version %d"
+msgstr ""
+"discordancia de versión en índice «%s»: versión de archivo %d, versión de "
+"código %d"
+
+#: access/nbtree/nbtsort.c:487 access/nbtree/nbtinsert.c:424
+msgid ""
+"Values larger than 1/3 of a buffer page cannot be indexed.\n"
+"Consider a function index of an MD5 hash of the value, or use full text "
+"indexing."
+msgstr ""
+"Valores mayores a 1/3 de la página del buffer no pueden ser indexados.\n"
+"Considere un índice sobre una función que genere un hash MD5 del valor, o "
+"utilice un esquema de indexación de texto completo."
+
+#: access/nbtree/nbtinsert.c:299
+#, c-format
+msgid "duplicate key value violates unique constraint \"%s\""
+msgstr "llave duplicada viola restricción de unicidad «%s»"
+
+#: access/index/indexam.c:149 commands/tablecmds.c:211
+#: commands/tablecmds.c:2270 commands/indexcmds.c:1352 commands/comment.c:502
+#, c-format
+msgid "\"%s\" is not an index"
+msgstr "«%s» no es un índice"
 
 #: access/gist/gistsplit.c:372
 #, c-format
@@ -2737,6 +7682,17 @@
 "El índice no es óptimo.  Para optimizarlo, contacte un desarrollador o trate "
 "de usar la columna en segunda posición en la orden CREATE INDEX."
 
+#: access/gist/gistxlog.c:797
+#, c-format
+msgid "index %u/%u/%u needs VACUUM FULL or REINDEX to finish crash recovery"
+msgstr ""
+"índice %u/%u/%u necesita que se ejecute VACUUM FULL o REINDEX para finalizar "
+"la recuperación"
+
+#: access/gist/gistxlog.c:799
+msgid "Incomplete insertion detected during crash replay."
+msgstr "Inserción incompleta detectada durante recuperación."
+
 #: access/gist/gistutil.c:409
 #, c-format
 msgid "index \"%s\" needs VACUUM or REINDEX to finish crash recovery"
@@ -2744,25 +7700,6 @@
 "índice «%s» necesita que se ejecute VACUUM o REINDEX para finalizar la "
 "recuperación"
 
-#: access/gist/gistutil.c:596 access/hash/hashutil.c:169
-#: access/nbtree/nbtpage.c:432
-#, c-format
-msgid "index \"%s\" contains unexpected zero page at block %u"
-msgstr "índice «%s» contiene páginas vacías no esperadas en el bloque %u"
-
-#: access/gist/gistutil.c:599 access/gist/gistutil.c:610
-#: access/hash/hashutil.c:172 access/hash/hashutil.c:183
-#: access/hash/hashutil.c:195 access/hash/hashutil.c:216
-#: access/nbtree/nbtpage.c:435 access/nbtree/nbtpage.c:446
-msgid "Please REINDEX it."
-msgstr "Por favor aplíquele REINDEX."
-
-#: access/gist/gistutil.c:607 access/hash/hashutil.c:180
-#: access/hash/hashutil.c:192 access/nbtree/nbtpage.c:443
-#, c-format
-msgid "index \"%s\" contains corrupted page at block %u"
-msgstr "el índice «%s» contiene una página corrupta en el bloque %u"
-
 #: access/gist/gistvacuum.c:566
 #, c-format
 msgid "index \"%s\" needs VACUUM FULL or REINDEX to finish crash recovery"
@@ -2770,1506 +7707,799 @@
 "índice «%s» necesita que se ejecute VACUUM FULL o REINDEX para finalizar la "
 "recuperación"
 
-#: access/hash/hashutil.c:208
-#, c-format
-msgid "index \"%s\" is not a hash index"
-msgstr "el índice «%s» no es un índice hash"
-
-#: access/hash/hashutil.c:214
-#, c-format
-msgid "index \"%s\" has wrong hash version"
-msgstr "el índice «%s» tiene una versión de hash incorrecta"
-
-#: access/hash/hashinsert.c:73
-#, c-format
-msgid "index row size %lu exceeds hash maximum %lu"
-msgstr "el tamaño de fila de índice %lu excede el máximo para hash %lu"
-
-#: access/hash/hashinsert.c:76
-msgid "Values larger than a buffer page cannot be indexed."
-msgstr "Valores mayores a una página del buffer no pueden ser indexados."
-
-#: access/hash/hashovfl.c:546
-#, c-format
-msgid "out of overflow pages in hash index \"%s\""
-msgstr "se agotaron las páginas de desbordamiento en el índice hash «%s»"
-
-#: access/hash/hashsearch.c:152
-msgid "hash indexes do not support whole-index scans"
-msgstr "los índices hash no soportan recorridos del índice completo"
-
-#: access/heap/heapam.c:1074 access/heap/heapam.c:1102
-#: access/heap/heapam.c:1132 catalog/aclchk.c:916
-#, c-format
-msgid "\"%s\" is an index"
-msgstr "«%s» es un índice"
-
-#: access/heap/heapam.c:1079 access/heap/heapam.c:1107
-#: access/heap/heapam.c:1137 catalog/aclchk.c:923 commands/tablecmds.c:2071
-#: commands/tablecmds.c:6279 commands/tablecmds.c:7584
-#, c-format
-msgid "\"%s\" is a composite type"
-msgstr "«%s» es un tipo compuesto"
-
-#: access/heap/heapam.c:3147 access/heap/heapam.c:3178
-#: access/heap/heapam.c:3213
-#, c-format
-msgid "could not obtain lock on row in relation \"%s\""
-msgstr "no se pudo obtener un bloqueo en la fila de la relación «%s»"
-
-#: access/heap/hio.c:174 access/heap/rewriteheap.c:592
-#, c-format
-msgid "row is too big: size %lu, maximum size %lu"
-msgstr "fila es demasiado grande: tamaño %lu, tamaño máximo %lu"
-
-#: access/index/indexam.c:149 commands/comment.c:502 commands/indexcmds.c:1352
-#: commands/tablecmds.c:211 commands/tablecmds.c:2268
-#, c-format
-msgid "\"%s\" is not an index"
-msgstr "«%s» no es un índice"
-
-#: access/nbtree/nbtinsert.c:299
-#, c-format
-msgid "duplicate key value violates unique constraint \"%s\""
-msgstr "llave duplicada viola restricción de unicidad «%s»"
-
-#: access/nbtree/nbtinsert.c:424 access/nbtree/nbtsort.c:487
-msgid ""
-"Values larger than 1/3 of a buffer page cannot be indexed.\n"
-"Consider a function index of an MD5 hash of the value, or use full text "
-"indexing."
-msgstr ""
-"Valores mayores a 1/3 de la página del buffer no pueden ser indexados.\n"
-"Considere un índice sobre una función que genere un hash MD5 del valor, o "
-"utilice un esquema de indexación de texto completo."
-
-#: access/nbtree/nbtpage.c:160 access/nbtree/nbtpage.c:364
-#, c-format
-msgid "index \"%s\" is not a btree"
-msgstr "el índice «%s» no es un btree"
-
-#: access/nbtree/nbtpage.c:166 access/nbtree/nbtpage.c:370
-#, c-format
-msgid "version mismatch in index \"%s\": file version %d, code version %d"
-msgstr ""
-"discordancia de versión en índice «%s»: versión de archivo %d, versión de "
-"código %d"
-
-#: bootstrap/bootstrap.c:294 tcop/postgres.c:3181 postmaster/postmaster.c:653
-#, c-format
-msgid "--%s requires a value"
-msgstr "--%s requiere un valor"
-
-#: bootstrap/bootstrap.c:299 tcop/postgres.c:3186 postmaster/postmaster.c:658
-#, c-format
-msgid "-c %s requires a value"
-msgstr "-c %s requiere un valor"
-
-#: bootstrap/bootstrap.c:310 postmaster/postmaster.c:670
-#: postmaster/postmaster.c:683
-#, c-format
-msgid "Try \"%s --help\" for more information.\n"
-msgstr "Pruebe «%s --help» para mayor información.\n"
-
-#: bootstrap/bootstrap.c:319
-#, c-format
-msgid "%s: invalid command-line arguments\n"
-msgstr "%s: argumentos de línea de órdenes no válidos\n"
-
-#: catalog/toasting.c:94 commands/comment.c:516 commands/indexcmds.c:175
-#: commands/indexcmds.c:1386 commands/lockcmds.c:140 commands/tablecmds.c:193
-#: commands/tablecmds.c:1039 commands/tablecmds.c:3241 commands/trigger.c:115
-#: commands/trigger.c:803
+#: commands/lockcmds.c:84
+#, c-format
+msgid "could not obtain lock on relation \"%s\""
+msgstr "no se pudo obtener un bloqueo en la relación «%s»"
+
+#: commands/lockcmds.c:89
+#, c-format
+msgid "could not obtain lock on relation with OID %u"
+msgstr "no se pudo obtener un bloqueo en la relación con OID %u"
+
+#: commands/lockcmds.c:113 catalog/namespace.c:270 parser/parse_relation.c:863
+#, c-format
+msgid "relation \"%s.%s\" does not exist"
+msgstr "no existe la relación «%s.%s»"
+
+#: commands/lockcmds.c:140 commands/tablecmds.c:193 commands/tablecmds.c:1041
+#: commands/tablecmds.c:3243 commands/indexcmds.c:175
+#: commands/indexcmds.c:1386 commands/comment.c:516 commands/trigger.c:115
+#: commands/trigger.c:803 catalog/toasting.c:94
 #, c-format
 msgid "\"%s\" is not a table"
 msgstr "«%s» no es una tabla"
 
-#: catalog/toasting.c:143
-msgid "shared tables cannot be toasted after initdb"
-msgstr ""
-"no se puede crear tablas TOAST a relaciones compartidas después de initdb"
-
-#: catalog/aclchk.c:141
-msgid "grant options can only be granted to roles"
-msgstr "la opción de grant sólo puede ser otorgada a roles"
-
-#: catalog/aclchk.c:254
-#, c-format
-msgid "no privileges were granted for column \"%s\" of relation \"%s\""
-msgstr "no se otorgaron privilegios para la columna «%s» de la relación «%s»"
-
-#: catalog/aclchk.c:259
-#, c-format
-msgid "no privileges were granted for \"%s\""
-msgstr "no se otorgaron privilegios para «%s»"
-
-#: catalog/aclchk.c:267
-#, c-format
-msgid "not all privileges were granted for column \"%s\" of relation \"%s\""
-msgstr ""
-"no todos los privilegios fueron otorgados para la columna «%s» de la "
-"relación «%s»"
-
-#: catalog/aclchk.c:272
-#, c-format
-msgid "not all privileges were granted for \"%s\""
-msgstr "no todos los privilegios fueron otorgados para «%s»"
-
-#: catalog/aclchk.c:283
-#, c-format
-msgid "no privileges could be revoked for column \"%s\" of relation \"%s\""
-msgstr ""
-"ningún privilegio pudo ser revocado para la columna «%s» de la relación «%s»"
-
-#: catalog/aclchk.c:288
-#, c-format
-msgid "no privileges could be revoked for \"%s\""
-msgstr "ningún privilegio pudo ser revocado para «%s»"
-
-#: catalog/aclchk.c:296
-#, c-format
-msgid ""
-"not all privileges could be revoked for column \"%s\" of relation \"%s\""
-msgstr ""
-"no todos los privilegios pudieron ser revocados para la columna «%s» de la "
-"relación «%s»"
-
-#: catalog/aclchk.c:301
-#, c-format
-msgid "not all privileges could be revoked for \"%s\""
-msgstr "no todos los privilegios pudieron ser revocados para «%s»"
-
-#: catalog/aclchk.c:365
-#, c-format
-msgid "invalid privilege type %s for relation"
-msgstr "el tipo de privilegio %s no es válido para una relación"
-
-#: catalog/aclchk.c:369
-#, c-format
-msgid "invalid privilege type %s for sequence"
-msgstr "el tipo de privilegio %s no es válido para una secuencia"
-
-#: catalog/aclchk.c:373
-#, c-format
-msgid "invalid privilege type %s for database"
-msgstr "el tipo de privilegio %s no es válido para una base de datos"
-
-#: catalog/aclchk.c:377
-#, c-format
-msgid "invalid privilege type %s for function"
-msgstr "el tipo de privilegio %s no es válido para una función"
-
-#: catalog/aclchk.c:381
-#, c-format
-msgid "invalid privilege type %s for language"
-msgstr "el tipo de privilegio %s no es válido para un lenguaje"
-
-#: catalog/aclchk.c:385
-#, c-format
-msgid "invalid privilege type %s for schema"
-msgstr "el tipo de privilegio %s no es válido para un esquema"
-
-#: catalog/aclchk.c:389
-#, c-format
-msgid "invalid privilege type %s for tablespace"
-msgstr "el tipo de privilegio %s no es válido para tablespaces"
-
-#: catalog/aclchk.c:393
-#, c-format
-msgid "invalid privilege type %s for foreign-data wrapper"
-msgstr ""
-"el tipo de privilegio %s no es válido para un conector de datos externos"
-
-#: catalog/aclchk.c:397
-#, c-format
-msgid "invalid privilege type %s for foreign server"
-msgstr "el tipo de privilegio %s no es válido para un servidor foráneo"
-
-#: catalog/aclchk.c:436
-msgid "column privileges are only valid for relations"
-msgstr "los privilegios de columna son sólo válidos para relaciones"
-
-#: catalog/aclchk.c:536 commands/comment.c:626 commands/dbcommands.c:759
-#: commands/dbcommands.c:903 commands/dbcommands.c:1010
-#: commands/dbcommands.c:1187 commands/dbcommands.c:1374
-#: commands/dbcommands.c:1446 commands/dbcommands.c:1554 utils/adt/acl.c:2514
-#: utils/adt/dbsize.c:148 utils/init/postinit.c:421 utils/init/postinit.c:540
-#: utils/init/postinit.c:556
-#, c-format
-msgid "database \"%s\" does not exist"
-msgstr "no existe la base de datos «%s»"
-
-#: catalog/aclchk.c:564 commands/comment.c:1195 commands/functioncmds.c:805
-#: commands/proclang.c:433 commands/proclang.c:506 commands/proclang.c:550
-#: utils/adt/acl.c:3115
-#, c-format
-msgid "language \"%s\" does not exist"
-msgstr "no existe el lenguaje «%s»"
-
-#: catalog/aclchk.c:584 catalog/namespace.c:338 catalog/namespace.c:2124
-#: catalog/namespace.c:2165 catalog/namespace.c:2213 catalog/namespace.c:3128
-#: commands/comment.c:736 commands/schemacmds.c:191 commands/schemacmds.c:268
-#: commands/schemacmds.c:344 utils/adt/acl.c:3321
-#, c-format
-msgid "schema \"%s\" does not exist"
-msgstr "no existe el esquema «%s»"
-
-#: catalog/aclchk.c:613 commands/comment.c:665 commands/dbcommands.c:431
-#: commands/dbcommands.c:1043 commands/indexcmds.c:213
-#: commands/tablecmds.c:410 commands/tablecmds.c:6538
-#: commands/tablespace.c:415 commands/tablespace.c:770
-#: commands/tablespace.c:837 commands/tablespace.c:931
-#: commands/tablespace.c:1055 executor/execMain.c:2920 utils/adt/acl.c:3695
-#: utils/adt/dbsize.c:246
-#, c-format
-msgid "tablespace \"%s\" does not exist"
-msgstr "no existe el tablespace «%s»"
-
-#: catalog/aclchk.c:672 commands/analyze.c:271 commands/comment.c:579
-#: commands/copy.c:3404 commands/sequence.c:1317 commands/tablecmds.c:3834
-#: commands/tablecmds.c:3926 commands/tablecmds.c:3973
-#: commands/tablecmds.c:4069 commands/tablecmds.c:4130
-#: commands/tablecmds.c:4194 commands/tablecmds.c:5587
-#: commands/tablecmds.c:5726 parser/analyze.c:1830
-#: parser/parse_relation.c:2061 parser/parse_relation.c:2116
-#: parser/parse_target.c:804 parser/parse_type.c:117 utils/adt/acl.c:2303
-#: utils/adt/ruleutils.c:1361
-#, c-format
-msgid "column \"%s\" of relation \"%s\" does not exist"
-msgstr "no existe la columna «%s» en la relación «%s»"
-
-#: catalog/aclchk.c:931 commands/comment.c:509 commands/sequence.c:945
-#: commands/tablecmds.c:199 commands/tablecmds.c:2055
-#: commands/tablecmds.c:2276 commands/tablecmds.c:7543
+#: commands/define.c:67 commands/define.c:213 commands/define.c:245
+#: commands/define.c:273
+#, c-format
+msgid "%s requires a parameter"
+msgstr "%s requiere un parámetro"
+
+#: commands/define.c:106 commands/define.c:117 commands/define.c:180
+#: commands/define.c:198
+#, c-format
+msgid "%s requires a numeric value"
+msgstr "%s requiere un valor numérico"
+
+#: commands/define.c:166
+#, c-format
+msgid "%s requires a Boolean value"
+msgstr "«%s» requiere un valor lógico (booleano)"
+
+#: commands/define.c:227
+#, c-format
+msgid "argument of %s must be a name"
+msgstr "el argumento de %s debe ser un nombre"
+
+#: commands/define.c:257
+#, c-format
+msgid "argument of %s must be a type name"
+msgstr "el argumento de %s debe ser un nombre de tipo"
+
+#: commands/define.c:282
+#, c-format
+msgid "%s requires an integer value"
+msgstr "%s requiere valor entero"
+
+#: commands/define.c:303
+#, c-format
+msgid "invalid argument for %s: \"%s\""
+msgstr "argumento no válido para %s: «%s»"
+
+#: commands/variable.c:62
+msgid "invalid list syntax for parameter \"datestyle\""
+msgstr "la sintaxis de lista no es válida para el parámetro «datestyle»"
+
+#: commands/variable.c:161
+#, c-format
+msgid "unrecognized \"datestyle\" key word: \"%s\""
+msgstr "no se reconoce el valor de «datestyle» «%s»"
+
+#: commands/variable.c:175
+msgid "conflicting \"datestyle\" specifications"
+msgstr "especificaciones contradictorias de «datestyle»"
+
+#: commands/variable.c:285
+msgid "invalid interval value for time zone: month not allowed"
+msgstr "no se permite especificar mes en interval para huso horario"
+
+#: commands/variable.c:293
+msgid "invalid interval value for time zone: day not allowed"
+msgstr "no se permite especificar día en interval para huso horario"
+
+#: commands/variable.c:361 commands/variable.c:493
+#, c-format
+msgid "unrecognized time zone name: \"%s\""
+msgstr "el nombre de huso horario no es reconocido: «%s»"
+
+#: commands/variable.c:370 commands/variable.c:502
+#, c-format
+msgid "time zone \"%s\" appears to use leap seconds"
+msgstr "el huso horario «%s» parece usar segundos intercalares (bisiestos)"
+
+#: commands/variable.c:372 commands/variable.c:504
+msgid "PostgreSQL does not support leap seconds."
+msgstr "PostgreSQL no soporta segundos intercalares."
+
+#: commands/variable.c:557
+msgid "SET TRANSACTION ISOLATION LEVEL must be called before any query"
+msgstr ""
+"SET TRANSACTION ISOLATION LEVEL debe ser llamado antes de cualquier consulta"
+
+#: commands/variable.c:566
+msgid "SET TRANSACTION ISOLATION LEVEL must not be called in a subtransaction"
+msgstr ""
+"SET TRANSACTION ISOLATION LEVEL no debe ser llamado en una subtransacción"
+
+#: commands/variable.c:869
+#, c-format
+msgid "permission denied to set role \"%s\""
+msgstr "se ha denegado el permiso para definir el rol «%s»"
+
+#: commands/prepare.c:71
+msgid "invalid statement name: must not be empty"
+msgstr "el nombre de sentencia no es válido: no debe ser vacío"
+
+#: commands/prepare.c:140
+msgid "utility statements cannot be prepared"
+msgstr "sentencias de utilidad no pueden ser preparadas"
+
+#: commands/prepare.c:240 commands/prepare.c:247 commands/prepare.c:702
+msgid "prepared statement is not a SELECT"
+msgstr "la sentencia preparada no es un SELECT"
+
+#: commands/prepare.c:314
+#, c-format
+msgid "wrong number of parameters for prepared statement \"%s\""
+msgstr "el número de parámetros es incorrecto en la sentencia preparada «%s»"
+
+#: commands/prepare.c:316
+#, c-format
+msgid "Expected %d parameters but got %d."
+msgstr "Se esperaban %d parámetros pero se obtuvieron %d."
+
+#: commands/prepare.c:345
+msgid "cannot use subquery in EXECUTE parameter"
+msgstr "no se puede usar una subconsulta en un parámetro a EXECUTE"
+
+#: commands/prepare.c:349
+msgid "cannot use aggregate function in EXECUTE parameter"
+msgstr "no se puede usar una función de agregación en un parámetro a EXECUTE"
+
+#: commands/prepare.c:353
+msgid "cannot use window function in EXECUTE parameter"
+msgstr "no se puede usar una función ventana en un parámetro a EXECUTE"
+
+#: commands/prepare.c:366
+#, c-format
+msgid "parameter $%d of type %s cannot be coerced to the expected type %s"
+msgstr ""
+"el parámetro $%d de tipo %s no puede ser convertido al tipo esperado %s"
+
+#: commands/prepare.c:370 rewrite/rewriteHandler.c:949 catalog/heap.c:2211
+#: parser/parse_target.c:471 parser/parse_target.c:730
+#: parser/parse_target.c:740 parser/parse_node.c:367
+msgid "You will need to rewrite or cast the expression."
+msgstr "Necesitará reescribir la expresión o aplicarle una conversión de tipo."
+
+#: commands/prepare.c:459
+#, c-format
+msgid "prepared statement \"%s\" already exists"
+msgstr "la sentencia preparada «%s» ya existe"
+
+#: commands/prepare.c:517
+#, c-format
+msgid "prepared statement \"%s\" does not exist"
+msgstr "no existe la sentencia preparada «%s»"
+
+#: commands/tablecmds.c:191
+#, c-format
+msgid "table \"%s\" does not exist"
+msgstr "no existe la tabla «%s»"
+
+#: commands/tablecmds.c:192
+#, c-format
+msgid "table \"%s\" does not exist, skipping"
+msgstr "la tabla «%s» no existe, ignorando"
+
+#: commands/tablecmds.c:194
+msgid "Use DROP TABLE to remove a table."
+msgstr "Use DROP TABLE para eliminar una tabla."
+
+#: commands/tablecmds.c:197
+#, c-format
+msgid "sequence \"%s\" does not exist"
+msgstr "no existe la secuencia «%s»"
+
+#: commands/tablecmds.c:198
+#, c-format
+msgid "sequence \"%s\" does not exist, skipping"
+msgstr "la secuencia «%s» no existe, ignorando"
+
+#: commands/tablecmds.c:199 commands/tablecmds.c:2057
+#: commands/tablecmds.c:2278 commands/tablecmds.c:7632 commands/sequence.c:945
+#: commands/comment.c:509 catalog/aclchk.c:931
 #, c-format
 msgid "\"%s\" is not a sequence"
 msgstr "«%s» no es una secuencia"
 
-#: catalog/aclchk.c:969
-#, c-format
-msgid "sequence \"%s\" only supports USAGE, SELECT, and UPDATE privileges"
-msgstr "la secuencia «%s» sólo soporta los privilegios USAGE, SELECT, y UPDATE"
-
-#: catalog/aclchk.c:986
-msgid "invalid privilege type USAGE for table"
-msgstr "el tipo de privilegio USAGE no es válido para tablas"
-
-#: catalog/aclchk.c:1130
-#, c-format
-msgid "invalid privilege type %s for column"
-msgstr "el tipo de privilegio %s no es válido para una columna"
-
-#: catalog/aclchk.c:1143
-#, c-format
-msgid "sequence \"%s\" only supports SELECT column privileges"
-msgstr "la secuencia «%s» sólo soporta el privilegio SELECT"
-
-#: catalog/aclchk.c:1704
-#, c-format
-msgid "language \"%s\" is not trusted"
-msgstr "el lenguaje «%s» no es confiable (trusted)"
-
-#: catalog/aclchk.c:1706
-msgid "Only superusers can use untrusted languages."
-msgstr "Sólo los superusuarios pueden usar lenguajes no confiables."
-
-#: catalog/aclchk.c:2060
-#, c-format
-msgid "unrecognized privilege type \"%s\""
-msgstr "tipo de privilegio no reconocido: «%s»"
-
-#: catalog/aclchk.c:2109
-#, c-format
-msgid "permission denied for column %s"
-msgstr "permiso denegado a la columna %s"
-
-#: catalog/aclchk.c:2111
-#, c-format
-msgid "permission denied for relation %s"
-msgstr "permiso denegado a la relación %s"
-
-#: catalog/aclchk.c:2113 commands/sequence.c:467 commands/sequence.c:662
-#: commands/sequence.c:706 commands/sequence.c:742
-#, c-format
-msgid "permission denied for sequence %s"
-msgstr "permiso denegado a la secuencia %s"
-
-#: catalog/aclchk.c:2115
-#, c-format
-msgid "permission denied for database %s"
-msgstr "permiso denegado a la base de datos %s"
-
-#: catalog/aclchk.c:2117
-#, c-format
-msgid "permission denied for function %s"
-msgstr "permiso denegado a la función %s"
-
-#: catalog/aclchk.c:2119
-#, c-format
-msgid "permission denied for operator %s"
-msgstr "permiso denegado al operador %s"
-
-#: catalog/aclchk.c:2121
-#, c-format
-msgid "permission denied for type %s"
-msgstr "permiso denegado al tipo %s"
-
-#: catalog/aclchk.c:2123
-#, c-format
-msgid "permission denied for language %s"
-msgstr "permiso denegado al lenguaje %s"
-
-#: catalog/aclchk.c:2125
-#, c-format
-msgid "permission denied for schema %s"
-msgstr "permiso denegado al esquema %s"
-
-#: catalog/aclchk.c:2127
-#, c-format
-msgid "permission denied for operator class %s"
-msgstr "permiso denegado a la clase de operadores %s"
-
-#: catalog/aclchk.c:2129
-#, c-format
-msgid "permission denied for operator family %s"
-msgstr "permiso denegado a la familia de operadores %s"
-
-#: catalog/aclchk.c:2131
-#, c-format
-msgid "permission denied for conversion %s"
-msgstr "permiso denegado a la conversión %s"
-
-#: catalog/aclchk.c:2133
-#, c-format
-msgid "permission denied for tablespace %s"
-msgstr "permiso denegado al tablespace %s"
-
-#: catalog/aclchk.c:2135
-#, c-format
-msgid "permission denied for text search dictionary %s"
-msgstr "permiso denegado a la configuración de búsqueda en texto %s"
-
-#: catalog/aclchk.c:2137
-#, c-format
-msgid "permission denied for text search configuration %s"
-msgstr "permiso denegado a la configuración de búsqueda en texto %s"
-
-#: catalog/aclchk.c:2139
-#, c-format
-msgid "permission denied for foreign-data wrapper %s"
-msgstr "permiso denegado al conector de datos externos %s"
-
-#: catalog/aclchk.c:2141
-#, c-format
-msgid "permission denied for foreign server %s"
-msgstr "permiso denegado al servidor foráneo %s"
-
-#: catalog/aclchk.c:2147 catalog/aclchk.c:2149
-#, c-format
-msgid "must be owner of relation %s"
-msgstr "debe ser dueño de la relación %s"
-
-#: catalog/aclchk.c:2151
-#, c-format
-msgid "must be owner of sequence %s"
-msgstr "debe ser dueño de la secuencia %s"
-
-#: catalog/aclchk.c:2153
-#, c-format
-msgid "must be owner of database %s"
-msgstr "debe ser dueño de la base de datos %s"
-
-#: catalog/aclchk.c:2155
-#, c-format
-msgid "must be owner of function %s"
-msgstr "debe ser dueño de la función %s"
-
-#: catalog/aclchk.c:2157
-#, c-format
-msgid "must be owner of operator %s"
-msgstr "debe ser dueño del operador %s"
-
-#: catalog/aclchk.c:2159
-#, c-format
-msgid "must be owner of type %s"
-msgstr "debe ser dueño del tipo %s"
-
-#: catalog/aclchk.c:2161
-#, c-format
-msgid "must be owner of language %s"
-msgstr "debe ser dueño del lenguaje %s"
-
-#: catalog/aclchk.c:2163
-#, c-format
-msgid "must be owner of schema %s"
-msgstr "debe ser dueño del esquema %s"
-
-#: catalog/aclchk.c:2165
-#, c-format
-msgid "must be owner of operator class %s"
-msgstr "debe ser dueño de la clase de operadores %s"
-
-#: catalog/aclchk.c:2167
-#, c-format
-msgid "must be owner of operator family %s"
-msgstr "debe ser dueño de la familia de operadores %s"
-
-#: catalog/aclchk.c:2169
-#, c-format
-msgid "must be owner of conversion %s"
-msgstr "debe ser dueño de la conversión %s"
-
-#: catalog/aclchk.c:2171
-#, c-format
-msgid "must be owner of tablespace %s"
-msgstr "debe ser dueño del tablespace %s"
-
-#: catalog/aclchk.c:2173
-#, c-format
-msgid "must be owner of text search dictionary %s"
-msgstr "debe ser dueño del diccionario de búsqueda en texto %s"
-
-#: catalog/aclchk.c:2175
-#, c-format
-msgid "must be owner of text search configuration %s"
-msgstr "debe ser dueño de la configuración de búsqueda en texto %s"
-
-#: catalog/aclchk.c:2177
-#, c-format
-msgid "must be owner of foreign-data wrapper %s"
-msgstr "debe ser dueño del conector de datos externos %s"
-
-#: catalog/aclchk.c:2179
-#, c-format
-msgid "must be owner of foreign server %s"
-msgstr "debe ser dueño del servidor foráneo %s"
-
-#: catalog/aclchk.c:2221
-#, c-format
-msgid "permission denied for column \"%s\" of relation \"%s\""
-msgstr "permiso denegado a la columna «%s» de la relación «%s»"
-
-#: catalog/aclchk.c:2250
-#, c-format
-msgid "role with OID %u does not exist"
-msgstr "no existe el rol con OID %u"
-
-#: catalog/aclchk.c:2341 catalog/aclchk.c:2349
-#, c-format
-msgid "attribute %d of relation with OID %u does not exist"
-msgstr "no existe el atributo %d de la relación con OID %u"
-
-#: catalog/aclchk.c:2426 catalog/aclchk.c:3182
-#, c-format
-msgid "relation with OID %u does not exist"
-msgstr "no existe la relación con OID %u"
-
-#: catalog/aclchk.c:2522 catalog/aclchk.c:3535 utils/adt/dbsize.c:126
-#, c-format
-msgid "database with OID %u does not exist"
-msgstr "no existe la base de datos con OID %u"
-
-#: catalog/aclchk.c:2578 catalog/aclchk.c:3266 tcop/fastpath.c:224
-#, c-format
-msgid "function with OID %u does not exist"
-msgstr "no existe la función con OID %u"
-
-#: catalog/aclchk.c:2634 catalog/aclchk.c:3294
-#, c-format
-msgid "language with OID %u does not exist"
-msgstr "no existe el lenguaje con OID %u"
-
-#: catalog/aclchk.c:2718 catalog/aclchk.c:3322
-#, c-format
-msgid "schema with OID %u does not exist"
-msgstr "no existe el esquema con OID %u"
-
-#: catalog/aclchk.c:2784 catalog/aclchk.c:3361
-#, c-format
-msgid "tablespace with OID %u does not exist"
-msgstr "no existe el tablespace con OID %u"
-
-#: catalog/aclchk.c:2844
-#, c-format
-msgid "foreign-data wrapper with OID %u does not exist"
-msgstr "no existe el conector de datos externos con OID %u"
-
-#: catalog/aclchk.c:2907 catalog/aclchk.c:3506
-#, c-format
-msgid "foreign server with OID %u does not exist"
-msgstr "no existe el servidor foráneo con OID %u"
-
-#: catalog/aclchk.c:3210
-#, c-format
-msgid "type with OID %u does not exist"
-msgstr "no existe el tipo con OID %u"
-
-#: catalog/aclchk.c:3238
-#, c-format
-msgid "operator with OID %u does not exist"
-msgstr "no existe el operador con OID %u"
-
-#: catalog/aclchk.c:3390
-#, c-format
-msgid "operator class with OID %u does not exist"
-msgstr "no existe la clase de operadores con OID %u"
-
-#: catalog/aclchk.c:3419
-#, c-format
-msgid "operator family with OID %u does not exist"
-msgstr "no existe la familia de operadores con OID %u"
-
-#: catalog/aclchk.c:3448
-#, c-format
-msgid "text search dictionary with OID %u does not exist"
-msgstr "no existe el diccionario de búsqueda en texto con OID %u"
-
-#: catalog/aclchk.c:3477
-#, c-format
-msgid "text search configuration with OID %u does not exist"
-msgstr "no existe la configuración de búsqueda en texto con OID %u"
-
-#: catalog/aclchk.c:3563
-#, c-format
-msgid "conversion with OID %u does not exist"
-msgstr "no existe la conversión con OID %u"
-
-#: catalog/catalog.c:75
-msgid "invalid fork name"
-msgstr "nombre de «fork» no válido"
-
-#: catalog/catalog.c:76
-msgid "Valid fork names are \"main\", \"fsm\", and \"vm\"."
-msgstr "Los nombres válidos son «man», «fsm» y «vm»."
-
-#: catalog/dependency.c:573
-#, c-format
-msgid "cannot drop %s because %s requires it"
-msgstr "no se puede eliminar %s porque %s lo requiere"
-
-#: catalog/dependency.c:576
-#, c-format
-msgid "You can drop %s instead."
-msgstr "Puede eliminar %s en su lugar."
-
-#: catalog/dependency.c:729 catalog/pg_shdepend.c:549
-#, c-format
-msgid "cannot drop %s because it is required by the database system"
-msgstr "no se puede eliminar %s porque es requerido por el sistema"
-
-#: catalog/dependency.c:843
-#, c-format
-msgid "drop auto-cascades to %s"
-msgstr "eliminando automáticamente %s"
-
-#: catalog/dependency.c:855 catalog/dependency.c:864
-#, c-format
-msgid "%s depends on %s"
-msgstr "%s depende de %s"
-
-#: catalog/dependency.c:876 catalog/dependency.c:885
-#, c-format
-msgid "drop cascades to %s"
-msgstr "eliminando además %s"
-
-#: catalog/dependency.c:893 catalog/pg_shdepend.c:660
-#, c-format
-msgid ""
-"\n"
-"and %d other object (see server log for list)"
-msgid_plural ""
-"\n"
-"and %d other objects (see server log for list)"
-msgstr[0] ""
-"\n"
-"y %d otro objeto (vea el registro del servidor para obtener la lista)"
-msgstr[1] ""
-"\n"
-"y otros %d objetos (vea el registro del servidor para obtener la lista)"
-
-#: catalog/dependency.c:905
-#, c-format
-msgid "cannot drop %s because other objects depend on it"
-msgstr "no se puede eliminar %s porque otros objetos dependen de él"
-
-#: catalog/dependency.c:907 catalog/dependency.c:908 catalog/dependency.c:914
-#: catalog/dependency.c:915 catalog/dependency.c:926 catalog/dependency.c:927
-#: commands/tablecmds.c:619 commands/trigger.c:574 commands/trigger.c:590
-#: commands/trigger.c:602 commands/user.c:930 commands/user.c:931
-#: tcop/postgres.c:4057 storage/lmgr/deadlock.c:942
-#: storage/lmgr/deadlock.c:943 nodes/print.c:85 utils/adt/xml.c:1365
-#: utils/adt/xml.c:1366 utils/adt/xml.c:1372 utils/adt/xml.c:1443
-#: utils/misc/guc.c:4809 utils/misc/guc.c:5077 utils/fmgr/dfmgr.c:381
-#, c-format
-msgid "%s"
-msgstr "%s"
-
-#: catalog/dependency.c:909 catalog/dependency.c:916
-msgid "Use DROP ... CASCADE to drop the dependent objects too."
-msgstr "Use DROP ... CASCADE para eliminar además los objetos dependientes."
-
-#: catalog/dependency.c:913
-msgid "cannot drop desired object(s) because other objects depend on them"
-msgstr ""
-"no se puede eliminar el o los objetos deseados porque otros objetos dependen "
-"de ellos"
-
-#. translator: %d always has a value larger than 1
-#: catalog/dependency.c:922
-#, c-format
-msgid "drop cascades to %d other object"
-msgid_plural "drop cascades to %d other objects"
-msgstr[0] "eliminando además %d objeto más"
-msgstr[1] "eliminando además %d objetos más"
-
-#: catalog/dependency.c:2095
-#, c-format
-msgid " column %s"
-msgstr " columna %s"
-
-#: catalog/dependency.c:2101
-#, c-format
-msgid "function %s"
-msgstr "función %s"
-
-#: catalog/dependency.c:2106
-#, c-format
-msgid "type %s"
-msgstr "tipo %s"
-
-#: catalog/dependency.c:2136
-#, c-format
-msgid "cast from %s to %s"
-msgstr "conversión de %s a %s"
-
-#: catalog/dependency.c:2164
-#, c-format
-msgid "constraint %s on %s"
-msgstr "restricción «%s» en %s"
-
-#: catalog/dependency.c:2170
-#, c-format
-msgid "constraint %s"
-msgstr "restricción %s"
-
-#: catalog/dependency.c:2188
-#, c-format
-msgid "conversion %s"
-msgstr "conversión %s"
-
-#: catalog/dependency.c:2225
-#, c-format
-msgid "default for %s"
-msgstr "valor por omisión para %s"
-
-#: catalog/dependency.c:2243
-#, c-format
-msgid "language %s"
-msgstr "lenguaje %s"
-
-#: catalog/dependency.c:2250
-#, c-format
-msgid "operator %s"
-msgstr "operador %s"
-
-#: catalog/dependency.c:2284
-#, c-format
-msgid "operator class %s for access method %s"
-msgstr "clase de operadores «%s» para el método de acceso «%s»"
-
-#: catalog/dependency.c:2334
-#, c-format
-msgid "operator %d %s of %s"
-msgstr "operador %d %s de %s"
-
-#: catalog/dependency.c:2381
-#, c-format
-msgid "function %d %s of %s"
-msgstr "función %d %s de %s"
-
-#: catalog/dependency.c:2418
-#, c-format
-msgid "rule %s on "
-msgstr "regla «%s» en "
-
-#: catalog/dependency.c:2453
-#, c-format
-msgid "trigger %s on "
-msgstr "disparador %s en "
-
-#: catalog/dependency.c:2470
-#, c-format
-msgid "schema %s"
-msgstr "esquema %s"
-
-#: catalog/dependency.c:2484
-#, c-format
-msgid "text search parser %s"
-msgstr "analizador de búsqueda en texto %s"
-
-#: catalog/dependency.c:2500
-#, c-format
-msgid "text search dictionary %s"
-msgstr "diccionario de búsqueda en texto %s"
-
-#: catalog/dependency.c:2516
-#, c-format
-msgid "text search template %s"
-msgstr "plantilla de búsqueda en texto %s"
-
-#: catalog/dependency.c:2532
-#, c-format
-msgid "text search configuration %s"
-msgstr "configuración de búsqueda en texto %s"
-
-#: catalog/dependency.c:2540
-#, c-format
-msgid "role %s"
-msgstr "rol %s"
-
-#: catalog/dependency.c:2553
-#, c-format
-msgid "database %s"
-msgstr "base de datos %s"
-
-#: catalog/dependency.c:2565
-#, c-format
-msgid "tablespace %s"
-msgstr "tablespace %s"
-
-#: catalog/dependency.c:2574
-#, c-format
-msgid "foreign-data wrapper %s"
-msgstr "conector de datos foráneos %s"
-
-#: catalog/dependency.c:2583
-#, c-format
-msgid "server %s"
-msgstr "servidor %s"
-
-#: catalog/dependency.c:2609
-#, c-format
-msgid "user mapping for %s"
-msgstr "mapeo para el usuario %s"
-
-#: catalog/dependency.c:2653
-#, c-format
-msgid "table %s"
-msgstr "tabla %s"
-
-#: catalog/dependency.c:2657
-#, c-format
-msgid "index %s"
-msgstr "índice %s"
-
-#: catalog/dependency.c:2661
-#, c-format
-msgid "sequence %s"
-msgstr "secuencia %s"
-
-#: catalog/dependency.c:2665
-#, c-format
-msgid "uncataloged table %s"
-msgstr "tabla sin catalogar %s"
-
-#: catalog/dependency.c:2669
-#, c-format
-msgid "toast table %s"
-msgstr "tabla toast %s"
-
-#: catalog/dependency.c:2673
-#, c-format
-msgid "view %s"
-msgstr "vista %s"
-
-#: catalog/dependency.c:2677
-#, c-format
-msgid "composite type %s"
-msgstr "tipo compuesto %s"
-
-#: catalog/dependency.c:2682
-#, c-format
-msgid "relation %s"
-msgstr "relación %s"
-
-#: catalog/dependency.c:2723
-#, c-format
-msgid "operator family %s for access method %s"
-msgstr "familia de operadores %s para el método de acceso %s"
-
-#: catalog/heap.c:241
-#, c-format
-msgid "permission denied to create \"%s.%s\""
-msgstr "se ha denegado el permiso para crear «%s.%s»"
-
-#: catalog/heap.c:243
-msgid "System catalog modifications are currently disallowed."
-msgstr ""
-"Las modificaciones al catálogo del sistema están actualmente deshabilitadas."
-
-#: catalog/heap.c:362 commands/tablecmds.c:1166 commands/tablecmds.c:1491
-#: commands/tablecmds.c:3607
+#: commands/tablecmds.c:200
+msgid "Use DROP SEQUENCE to remove a sequence."
+msgstr "Use DROP SEQUENCE para eliminar una secuencia."
+
+#: commands/tablecmds.c:203
+#, c-format
+msgid "view \"%s\" does not exist"
+msgstr "no existe la vista «%s»"
+
+#: commands/tablecmds.c:204
+#, c-format
+msgid "view \"%s\" does not exist, skipping"
+msgstr "la vista «%s» no existe, ignorando"
+
+#: commands/tablecmds.c:205 commands/tablecmds.c:2063
+#: commands/tablecmds.c:2286 commands/tablecmds.c:7640 commands/view.c:162
+#: commands/comment.c:523
+#, c-format
+msgid "\"%s\" is not a view"
+msgstr "«%s» no es una vista"
+
+#: commands/tablecmds.c:206
+msgid "Use DROP VIEW to remove a view."
+msgstr "Use DROP VIEW para eliminar una vista."
+
+#: commands/tablecmds.c:209
+#, c-format
+msgid "index \"%s\" does not exist"
+msgstr "no existe el índice «%s»"
+
+#: commands/tablecmds.c:210
+#, c-format
+msgid "index \"%s\" does not exist, skipping"
+msgstr "el índice «%s» no existe, ignorando"
+
+#: commands/tablecmds.c:212
+msgid "Use DROP INDEX to remove an index."
+msgstr "Use DROP INDEX para eliminar un índice."
+
+#: commands/tablecmds.c:216 commands/typecmds.c:654
+#, c-format
+msgid "type \"%s\" does not exist, skipping"
+msgstr "el tipo «%s» no existe, ignorando"
+
+#: commands/tablecmds.c:217
+#, c-format
+msgid "\"%s\" is not a type"
+msgstr "«%s» no es un tipo"
+
+#: commands/tablecmds.c:218
+msgid "Use DROP TYPE to remove a type."
+msgstr "Use DROP TYPE para eliminar un tipo."
+
+#: commands/tablecmds.c:372 executor/execMain.c:2887
+msgid "ON COMMIT can only be used on temporary tables"
+msgstr "ON COMMIT sólo puede ser usado en tablas temporales"
+
+#: commands/tablecmds.c:382 executor/execMain.c:2897
+msgid "cannot create temporary table within security-restricted operation"
+msgstr ""
+"no se puede crear una tabla temporal dentro una operación restringida por "
+"seguridad"
+
+#: commands/tablecmds.c:855
+#, c-format
+msgid "truncate cascades to table \"%s\""
+msgstr "truncando además la tabla «%s»"
+
+#: commands/tablecmds.c:1064
+#, c-format
+msgid "cannot truncate system relation \"%s\""
+msgstr "no se puede truncar la relación de sistema «%s»"
+
+#: commands/tablecmds.c:1074
+msgid "cannot truncate temporary tables of other sessions"
+msgstr "no se pueden truncar tablas temporales de otras sesiones"
+
+#: commands/tablecmds.c:1168 commands/tablecmds.c:1493
+#: commands/tablecmds.c:3609 catalog/heap.c:362
 #, c-format
 msgid "tables can have at most %d columns"
 msgstr "las tablas pueden tener a lo más %d columnas"
 
-#: catalog/heap.c:379
-#, c-format
-msgid "column name \"%s\" conflicts with a system column name"
-msgstr ""
-"el nombre de columna «%s» colisiona con nombre de una columna de sistema"
-
-#: catalog/heap.c:395
-#, c-format
-msgid "column name \"%s\" specified more than once"
-msgstr "el nombre de columna «%s» fue especificado más de una vez"
-
-#: catalog/heap.c:441
-#, c-format
-msgid "column \"%s\" has type \"unknown\""
-msgstr "la columna «%s» tiene tipo «unknown» (desconocido)"
-
-#: catalog/heap.c:442
-msgid "Proceeding with relation creation anyway."
-msgstr "Continuando con la creación de la relación de todas maneras."
-
-#: catalog/heap.c:453
-#, c-format
-msgid "column \"%s\" has pseudo-type %s"
-msgstr "la columna «%s» tiene pseudotipo %s"
-
-#: catalog/heap.c:476
-#, c-format
-msgid "composite type %s cannot be made a member of itself"
-msgstr "un tipo compuesto %s no puede ser hecho miembro de sí mismo"
-
-#: catalog/heap.c:901 catalog/index.c:595 commands/tablecmds.c:2122
+#: commands/tablecmds.c:1190 commands/copy.c:3416 parser/parse_target.c:820
+#: parser/parse_target.c:831
+#, c-format
+msgid "column \"%s\" specified more than once"
+msgstr "la columna «%s» fue especificada más de una vez"
+
+#: commands/tablecmds.c:1215 parser/parse_utilcmd.c:557
+#: parser/parse_utilcmd.c:1163
+#, c-format
+msgid "inherited relation \"%s\" is not a table"
+msgstr "la relación heredada «%s» no es una tabla"
+
+#: commands/tablecmds.c:1221 commands/tablecmds.c:7045
+#, c-format
+msgid "cannot inherit from temporary relation \"%s\""
+msgstr "no se puede heredar de la tabla temporal «%s»"
+
+#: commands/tablecmds.c:1238 commands/tablecmds.c:7073
+#, c-format
+msgid "relation \"%s\" would be inherited from more than once"
+msgstr "se heredaría de la relación «%s» más de una vez"
+
+#: commands/tablecmds.c:1293
+#, c-format
+msgid "merging multiple inherited definitions of column \"%s\""
+msgstr "mezclando múltiples definiciones heredadas de la columna «%s»"
+
+#: commands/tablecmds.c:1301
+#, c-format
+msgid "inherited column \"%s\" has a type conflict"
+msgstr "columna heredada «%s» tiene conflicto de tipos"
+
+#: commands/tablecmds.c:1303 commands/tablecmds.c:1461
+#: parser/parse_coerce.c:302 parser/parse_coerce.c:1488
+#: parser/parse_coerce.c:1507 parser/parse_coerce.c:1552
+#: parser/parse_expr.c:1881
+#, c-format
+msgid "%s versus %s"
+msgstr "%s versus %s"
+
+#: commands/tablecmds.c:1451
+#, c-format
+msgid "merging column \"%s\" with inherited definition"
+msgstr "mezclando la columna «%s» con la definición heredada"
+
+#: commands/tablecmds.c:1459
+#, c-format
+msgid "column \"%s\" has a type conflict"
+msgstr "la columna «%s» tiene conflicto de tipos"
+
+#: commands/tablecmds.c:1510
+#, c-format
+msgid "column \"%s\" inherits conflicting default values"
+msgstr "la columna «%s» hereda valores por omisión no coincidentes"
+
+#: commands/tablecmds.c:1512
+msgid "To resolve the conflict, specify a default explicitly."
+msgstr ""
+"Para resolver el conflicto, indique explícitamente un valor por omisión."
+
+#: commands/tablecmds.c:1559
+#, c-format
+msgid ""
+"check constraint name \"%s\" appears multiple times but with different "
+"expressions"
+msgstr ""
+"la restricción «check» «%s» aparece más de una vez con diferentes expresiones"
+
+#: commands/tablecmds.c:1915
+#, c-format
+msgid "inherited column \"%s\" must be renamed in child tables too"
+msgstr ""
+"debe cambiar el nombre a la columna heredada «%s» en las tablas hijas también"
+
+#: commands/tablecmds.c:1933
+#, c-format
+msgid "cannot rename system column \"%s\""
+msgstr "no se puede cambiar el nombre a la columna de sistema «%s»"
+
+#: commands/tablecmds.c:1943
+#, c-format
+msgid "cannot rename inherited column \"%s\""
+msgstr "no se puede cambiar el nombre a la columna heredada «%s»"
+
+#: commands/tablecmds.c:1954 commands/tablecmds.c:3597
+#, c-format
+msgid "column \"%s\" of relation \"%s\" already exists"
+msgstr "ya existe la columna «%s» en la relación «%s»"
+
+#: commands/tablecmds.c:2075 commands/tablecmds.c:6297
+#: commands/tablecmds.c:7675
+msgid "Use ALTER TYPE instead."
+msgstr "Considere usar ALTER TYPE."
+
+#: commands/tablecmds.c:2124 catalog/index.c:595 catalog/heap.c:901
 #, c-format
 msgid "relation \"%s\" already exists"
 msgstr "la relación «%s» ya existe"
 
-#: catalog/heap.c:918 catalog/pg_type.c:379 catalog/pg_type.c:656
-#: commands/typecmds.c:219 commands/typecmds.c:796 commands/typecmds.c:1122
-#, c-format
-msgid "type \"%s\" already exists"
-msgstr "ya existe un tipo «%s»"
-
-#: catalog/heap.c:919
-msgid ""
-"A relation has an associated type of the same name, so you must use a name "
-"that doesn't conflict with any existing type."
-msgstr ""
-"Una relación tiene un tipo asociado del mismo nombre, de modo que debe usar "
-"un nombre que no entre en conflicto con un tipo existente."
-
-#: catalog/heap.c:940 catalog/index.c:589 commands/tablecmds.c:6722
+#. translator: first %s is a SQL command, eg ALTER TABLE
+#: commands/tablecmds.c:2200
+#, c-format
+msgid ""
+"cannot %s \"%s\" because it is being used by active queries in this session"
+msgstr ""
+"no se puede hacer %s en «%s» porque está siendo usada por consultas activas "
+"en esta sesión"
+
+#. translator: first %s is a SQL command, eg ALTER TABLE
+#: commands/tablecmds.c:2209
+#, c-format
+msgid "cannot %s \"%s\" because it has pending trigger events"
+msgstr ""
+"no se puede hacer %s en «%s» porque tiene eventos de disparador pendientes"
+
+#: commands/tablecmds.c:2804
+#, c-format
+msgid "cannot rewrite system relation \"%s\""
+msgstr "no se puede reescribir la relación de sistema «%s»"
+
+#: commands/tablecmds.c:2814
+msgid "cannot rewrite temporary tables of other sessions"
+msgstr "no se puede reescribir tablas temporales de otras sesiones"
+
+#: commands/tablecmds.c:3140
+#, c-format
+msgid "column \"%s\" contains null values"
+msgstr "la columna «%s» contiene valores nulos"
+
+#: commands/tablecmds.c:3154
+#, c-format
+msgid "check constraint \"%s\" is violated by some row"
+msgstr "la restricción check «%s» es violada por alguna fila"
+
+#: commands/tablecmds.c:3237 rewrite/rewriteDefine.c:253
+#, c-format
+msgid "\"%s\" is not a table or view"
+msgstr "«%s» no es una tabla o vista"
+
+#: commands/tablecmds.c:3273 commands/tablecmds.c:4025
+#, c-format
+msgid "\"%s\" is not a table or index"
+msgstr "«%s» no es una tabla o índice"
+
+#: commands/tablecmds.c:3428
+#, c-format
+msgid "cannot alter table \"%s\" because column \"%s\".\"%s\" uses its rowtype"
+msgstr ""
+"no se puede alterar la tabla «%s» porque la columna «%s».«%s» usa su tipo"
+
+#: commands/tablecmds.c:3435
+#, c-format
+msgid "cannot alter type \"%s\" because column \"%s\".\"%s\" uses it"
+msgstr "no se puede alterar el tipo «%s» porque la columna «%s».«%s» lo usa"
+
+#: commands/tablecmds.c:3506
+msgid "column must be added to child tables too"
+msgstr "la columna debe ser agregada a las tablas hijas también"
+
+#: commands/tablecmds.c:3551 commands/tablecmds.c:7229
+#, c-format
+msgid "child table \"%s\" has different type for column \"%s\""
+msgstr "la tabla hija «%s» tiene un tipo diferente para la columna «%s»"
+
+#: commands/tablecmds.c:3558
+#, c-format
+msgid "child table \"%s\" has a conflicting \"%s\" column"
+msgstr "tabla hija «%s» tiene una columna «%s» que entra en conflicto"
+
+#: commands/tablecmds.c:3570
+#, c-format
+msgid "merging definition of column \"%s\" for child \"%s\""
+msgstr "mezclando la definición de la columna «%s» en la tabla hija «%s»"
+
+#: commands/tablecmds.c:3845 commands/tablecmds.c:3937
+#: commands/tablecmds.c:3982 commands/tablecmds.c:4078
+#: commands/tablecmds.c:4139 commands/tablecmds.c:5612
+#, c-format
+msgid "cannot alter system column \"%s\""
+msgstr "no se puede alterar columna de sistema «%s»"
+
+#: commands/tablecmds.c:3881
+#, c-format
+msgid "column \"%s\" is in a primary key"
+msgstr "la columna «%s» está en la llave primaria"
+
+#: commands/tablecmds.c:4052
+#, c-format
+msgid "statistics target %d is too low"
+msgstr "el valor de estadísticas %d es demasiado bajo"
+
+#: commands/tablecmds.c:4060
+#, c-format
+msgid "lowering statistics target to %d"
+msgstr "bajando el valor de estadísticas a %d"
+
+#: commands/tablecmds.c:4120
+#, c-format
+msgid "invalid storage type \"%s\""
+msgstr "tipo de almacenamiento no válido «%s»"
+
+#: commands/tablecmds.c:4151
+#, c-format
+msgid "column data type %s can only have storage PLAIN"
+msgstr ""
+"el tipo de datos %s de la columna sólo puede tener almacenamiento PLAIN"
+
+#: commands/tablecmds.c:4206
+#, c-format
+msgid "cannot drop system column \"%s\""
+msgstr "no se puede eliminar la columna de sistema «%s»"
+
+#: commands/tablecmds.c:4213
+#, c-format
+msgid "cannot drop inherited column \"%s\""
+msgstr "no se puede eliminar la columna heredada «%s»"
+
+#: commands/tablecmds.c:4443 catalog/pg_constraint.c:613 catalog/heap.c:2060
+#, c-format
+msgid "constraint \"%s\" for relation \"%s\" already exists"
+msgstr "la restricción «%s» para la relación «%s» ya existe"
+
+#: commands/tablecmds.c:4554
+msgid "constraint must be added to child tables too"
+msgstr "la restricción debe ser agregada a las tablas hijas también"
+
+#: commands/tablecmds.c:4619 commands/sequence.c:1299
+#, c-format
+msgid "referenced relation \"%s\" is not a table"
+msgstr "la relación referida «%s» no es una tabla"
+
+#: commands/tablecmds.c:4641
+msgid "cannot reference temporary table from permanent table constraint"
+msgstr ""
+"no se puede referir a una tabla temporal en una restricción de una tabla "
+"permanente"
+
+#: commands/tablecmds.c:4648
+msgid "cannot reference permanent table from temporary table constraint"
+msgstr ""
+"no se puede referir a una tabla permanente en una restricción de una tabla "
+"temporal"
+
+#: commands/tablecmds.c:4708
+msgid "number of referencing and referenced columns for foreign key disagree"
+msgstr ""
+"el número de columnas referidas en la llave foránea no coincide con el "
+"número de columnas de referencia"
+
+#: commands/tablecmds.c:4799
+#, c-format
+msgid "foreign key constraint \"%s\" cannot be implemented"
+msgstr "la restricción de llave foránea «%s» no puede ser implementada"
+
+#: commands/tablecmds.c:4802
+#, c-format
+msgid "Key columns \"%s\" and \"%s\" are of incompatible types: %s and %s."
+msgstr "Las columnas llave «%s» y «%s» son de tipos incompatibles: %s y %s"
+
+#: commands/tablecmds.c:4895
+#, c-format
+msgid "column \"%s\" referenced in foreign key constraint does not exist"
+msgstr "no existe la columna «%s» referida en la llave foránea"
+
+#: commands/tablecmds.c:4900
+#, c-format
+msgid "cannot have more than %d keys in a foreign key"
+msgstr "no se puede tener más de %d columnas en una llave foránea"
+
+#: commands/tablecmds.c:4973
+#, c-format
+msgid "there is no primary key for referenced table \"%s\""
+msgstr "no hay llave primaria para la tabla referida «%s»"
+
+#: commands/tablecmds.c:5107
+#, c-format
+msgid ""
+"there is no unique constraint matching given keys for referenced table \"%s\""
+msgstr ""
+"no hay restricción unique que coincida con las columnas dadas en la tabla "
+"referida «%s»"
+
+#: commands/tablecmds.c:5441
+#, c-format
+msgid "cannot drop inherited constraint \"%s\" of relation \"%s\""
+msgstr "no se puede eliminar la restricción «%s» heredada de la relación «%s»"
+
+#: commands/tablecmds.c:5465 commands/tablecmds.c:5568
+#, c-format
+msgid "constraint \"%s\" of relation \"%s\" does not exist"
+msgstr "no existe la restricción «%s» en la relación «%s»"
+
+#: commands/tablecmds.c:5619
+#, c-format
+msgid "cannot alter inherited column \"%s\""
+msgstr "no se puede alterar la columna heredada «%s»"
+
+#: commands/tablecmds.c:5655
+msgid "transform expression must not return a set"
+msgstr "la expresión de transformación no puede retornar conjuntos"
+
+#: commands/tablecmds.c:5661
+msgid "cannot use subquery in transform expression"
+msgstr "no se puede usar una subconsulta en una expresión de transformación"
+
+#: commands/tablecmds.c:5665
+msgid "cannot use aggregate function in transform expression"
+msgstr ""
+"no se puede usar una función de agregación en una expresión de transformación"
+
+#: commands/tablecmds.c:5669
+msgid "cannot use window function in transform expression"
+msgstr ""
+"no se puede usar una función ventana en una expresión de transformación"
+
+#: commands/tablecmds.c:5687
+#, c-format
+msgid "column \"%s\" cannot be cast to type %s"
+msgstr "la columna «%s» no puede convertirse al tipo %s"
+
+#: commands/tablecmds.c:5713
+#, c-format
+msgid "type of inherited column \"%s\" must be changed in child tables too"
+msgstr ""
+"debe cambiar el tipo a la columna heredada «%s» en las tablas hijas también"
+
+#: commands/tablecmds.c:5752
+#, c-format
+msgid "cannot alter type of column \"%s\" twice"
+msgstr "no se puede alterar el tipo de la columna «%s» dos veces"
+
+#: commands/tablecmds.c:5786
+#, c-format
+msgid "default for column \"%s\" cannot be cast to type %s"
+msgstr ""
+"el valor por omisión para la columna «%s» no puede ser convertido al tipo %s"
+
+#: commands/tablecmds.c:5912
+msgid "cannot alter type of a column used by a view or rule"
+msgstr "no se puede alterar el tipo de una columna usada en una regla o vista"
+
+#: commands/tablecmds.c:5913
+#, c-format
+msgid "%s depends on column \"%s\""
+msgstr "%s depende de la columna «%s»"
+
+#: commands/tablecmds.c:6265
+#, c-format
+msgid "cannot change owner of index \"%s\""
+msgstr "no se puede cambiar el dueño del índice «%s»"
+
+#: commands/tablecmds.c:6267
+msgid "Change the ownership of the index's table, instead."
+msgstr ""
+"Considere cambiar el dueño de la tabla en vez de cambiar el dueño del índice."
+
+#: commands/tablecmds.c:6283
+#, c-format
+msgid "cannot change owner of sequence \"%s\""
+msgstr "no se puede cambiar el dueño de la secuencia «%s»"
+
+#: commands/tablecmds.c:6285 commands/tablecmds.c:7665
+#, c-format
+msgid "Sequence \"%s\" is linked to table \"%s\"."
+msgstr "La secuencia «%s» está enlazada a la tabla «%s»."
+
+#: commands/tablecmds.c:6306 commands/tablecmds.c:7683
+#, c-format
+msgid "\"%s\" is not a table, view, or sequence"
+msgstr "«%s» no es una tabla, vista o secuencia"
+
+#: commands/tablecmds.c:6591 commands/cluster.c:169
+#, c-format
+msgid "index \"%s\" for table \"%s\" does not exist"
+msgstr "no existe el índice «%s» en la tabla «%s»"
+
+#: commands/tablecmds.c:6638
+msgid "cannot have multiple SET TABLESPACE subcommands"
+msgstr "no se pueden tener múltiples subórdenes SET TABLESPACE"
+
+#: commands/tablecmds.c:6692
+#, c-format
+msgid "\"%s\" is not a table, index, or TOAST table"
+msgstr "«%s» no es una tabla, índice o tabla TOAST"
+
+#: commands/tablecmds.c:6804
+#, c-format
+msgid "cannot move system relation \"%s\""
+msgstr "no se puede mover la relación de sistema «%s»"
+
+#: commands/tablecmds.c:6811 catalog/index.c:589 catalog/heap.c:940
 msgid "only shared relations can be placed in pg_global tablespace"
 msgstr ""
 "sólo relaciones compartidas pueden ser puestas en el tablespace pg_global"
 
-#: catalog/heap.c:1916
-#, c-format
-msgid "check constraint \"%s\" already exists"
-msgstr "la restricción check «%s» ya existe"
-
-#: catalog/heap.c:2060 catalog/pg_constraint.c:613 commands/tablecmds.c:4441
-#, c-format
-msgid "constraint \"%s\" for relation \"%s\" already exists"
-msgstr "la restricción «%s» para la relación «%s» ya existe"
-
-#: catalog/heap.c:2064
-#, c-format
-msgid "merging constraint \"%s\" with inherited definition"
-msgstr "mezclando la restricción «%s» con la definición heredada"
-
-#: catalog/heap.c:2163
-msgid "cannot use column references in default expression"
-msgstr "no se pueden usar referencias a columnas en una cláusula default"
-
-#: catalog/heap.c:2171
-msgid "default expression must not return a set"
-msgstr "expresiones default no pueden retornar conjuntos"
-
-#: catalog/heap.c:2179
-msgid "cannot use subquery in default expression"
-msgstr "no se puede usar una subconsulta en expresión default"
-
-#: catalog/heap.c:2183
-msgid "cannot use aggregate function in default expression"
-msgstr "no se puede usar una función de agregación en expresión default"
-
-#: catalog/heap.c:2187
-msgid "cannot use window function in default expression"
-msgstr "no se puede usar una función ventana en expresión default"
-
-#: catalog/heap.c:2206 rewrite/rewriteHandler.c:944
-#, c-format
-msgid "column \"%s\" is of type %s but default expression is of type %s"
-msgstr "la columna «%s» es de tipo %s pero la expresión default es de tipo %s"
-
-#: catalog/heap.c:2211 commands/prepare.c:370 parser/parse_node.c:367
-#: parser/parse_target.c:471 parser/parse_target.c:730
-#: parser/parse_target.c:740 rewrite/rewriteHandler.c:949
-msgid "You will need to rewrite or cast the expression."
-msgstr "Necesitará reescribir la expresión o aplicarle una conversión de tipo."
-
-#: catalog/heap.c:2247
-#, c-format
-msgid "only table \"%s\" can be referenced in check constraint"
-msgstr "sólo la tabla «%s» puede ser referenciada en una restricción check"
-
-#: catalog/heap.c:2256 commands/typecmds.c:2258
-msgid "cannot use subquery in check constraint"
-msgstr "no se pueden usar subconsultas en una restricción check"
-
-#: catalog/heap.c:2260 commands/typecmds.c:2262
-msgid "cannot use aggregate function in check constraint"
-msgstr "no se pueden usar funciones de agregación en una restricción check"
-
-#: catalog/heap.c:2264 commands/typecmds.c:2266
-msgid "cannot use window function in check constraint"
-msgstr "no se pueden usar funciones ventana en una restricción check"
-
-#: catalog/heap.c:2483
-msgid "unsupported ON COMMIT and foreign key combination"
-msgstr "combinación de ON COMMIT y llaves foráneas no soportada"
-
-#: catalog/heap.c:2484
-#, c-format
-msgid ""
-"Table \"%s\" references \"%s\", but they do not have the same ON COMMIT "
-"setting."
-msgstr ""
-"La tabla «%s» se refiere a «%s», pero no tienen la misma expresión para ON "
-"COMMIT."
-
-#: catalog/heap.c:2489
-msgid "cannot truncate a table referenced in a foreign key constraint"
-msgstr "no se puede truncar una tabla referida en una llave foránea"
-
-#: catalog/heap.c:2490
-#, c-format
-msgid "Table \"%s\" references \"%s\"."
-msgstr "La tabla «%s» hace referencia a «%s»."
-
-#: catalog/heap.c:2492
-#, c-format
-msgid "Truncate table \"%s\" at the same time, or use TRUNCATE ... CASCADE."
-msgstr "Trunque la tabla «%s» al mismo tiempo, o utilice TRUNCATE ... CASCADE."
-
-#: catalog/index.c:552
-msgid "user-defined indexes on system catalog tables are not supported"
-msgstr "los usuarios no pueden crear índices en tablas del sistema"
-
-#: catalog/index.c:562
-msgid "concurrent index creation on system catalog tables is not supported"
-msgstr "no se pueden crear índices de forma concurrente en tablas del sistema"
-
-#: catalog/index.c:571
-msgid "shared indexes cannot be created after initdb"
-msgstr "no se pueden crear índices compartidos después de initdb"
-
-#: catalog/index.c:2305
-msgid "cannot reindex temporary tables of other sessions"
-msgstr "no se puede hacer reindex de tablas temporales de otras sesiones"
-
-#: catalog/index.c:2327
-#, c-format
-msgid "shared index \"%s\" can only be reindexed in stand-alone mode"
-msgstr ""
-"el índice compartido «%s» sólo puede ser reindexado en modo aislado "
-"(standalone)"
-
-#: catalog/namespace.c:229 catalog/namespace.c:303 commands/trigger.c:3563
-#, c-format
-msgid "cross-database references are not implemented: \"%s.%s.%s\""
-msgstr ""
-"no están implementadas las referencias entre bases de datos: «%s.%s.%s»"
-
-#: catalog/namespace.c:247 catalog/namespace.c:314
-msgid "temporary tables cannot specify a schema name"
-msgstr "las tablas temporales no pueden especificar un nombre de esquema"
-
-#: catalog/namespace.c:270 commands/lockcmds.c:113 parser/parse_relation.c:863
-#, c-format
-msgid "relation \"%s.%s\" does not exist"
-msgstr "no existe la relación «%s.%s»"
-
-#: catalog/namespace.c:275 commands/lockcmds.c:118 parser/parse_relation.c:876
-#: parser/parse_relation.c:884 utils/adt/regproc.c:818
-#, c-format
-msgid "relation \"%s\" does not exist"
-msgstr "no existe la relación «%s»"
-
-#: catalog/namespace.c:356 catalog/namespace.c:2230
-msgid "no schema has been selected to create in"
-msgstr "no se ha seleccionado ningún esquema dentro del cual crear"
-
-#: catalog/namespace.c:1575 commands/tsearchcmds.c:306
-#, c-format
-msgid "text search parser \"%s\" does not exist"
-msgstr "no existe el analizador de búsqueda en texto «%s»"
-
-#: catalog/namespace.c:1703 commands/tsearchcmds.c:664
-#, c-format
-msgid "text search dictionary \"%s\" does not exist"
-msgstr "no existe el diccionario de búsqueda en texto «%s»"
-
-#: catalog/namespace.c:1832 commands/tsearchcmds.c:1158
-#, c-format
-msgid "text search template \"%s\" does not exist"
-msgstr "no existe la plantilla de búsqueda en texto «%s»"
-
-#: catalog/namespace.c:1960 commands/tsearchcmds.c:1562
-#: commands/tsearchcmds.c:1722
-#, c-format
-msgid "text search configuration \"%s\" does not exist"
-msgstr "no existe la configuración de búsqueda en texto «%s»"
-
-#: catalog/namespace.c:2076 parser/parse_expr.c:584 parser/parse_target.c:909
-#, c-format
-msgid "cross-database references are not implemented: %s"
-msgstr "no están implementadas las referencias entre bases de datos: %s"
-
-#: catalog/namespace.c:2082 parser/parse_expr.c:618 parser/parse_target.c:919
-#: gram.y:3434 gram.y:9931
-#, c-format
-msgid "improper qualified name (too many dotted names): %s"
-msgstr "el nombre no es válido (demasiados puntos): %s"
-
-#: catalog/namespace.c:2262
-#, c-format
-msgid "improper relation name (too many dotted names): %s"
-msgstr "el nombre de relación no es válido (demasiados puntos): %s"
-
-#: catalog/namespace.c:2844
-#, c-format
-msgid "permission denied to create temporary tables in database \"%s\""
-msgstr ""
-"se ha denegado el permiso para crear tablas temporales en la base de datos "
+#: commands/tablecmds.c:6820
+msgid "cannot move temporary tables of other sessions"
+msgstr "no se pueden mover tablas temporales de otras sesiones"
+
+#: commands/tablecmds.c:7100
+msgid "circular inheritance not allowed"
+msgstr "la herencia circular no está permitida"
+
+#: commands/tablecmds.c:7101
+#, c-format
+msgid "\"%s\" is already a child of \"%s\"."
+msgstr "«%s» ya es un hijo de «%s»."
+
+#: commands/tablecmds.c:7109
+#, c-format
+msgid "table \"%s\" without OIDs cannot inherit from table \"%s\" with OIDs"
+msgstr "tabla «%s» sin OIDs no puede heredar de tabla «%s» con OIDs"
+
+#: commands/tablecmds.c:7236
+#, c-format
+msgid "column \"%s\" in child table must be marked NOT NULL"
+msgstr "columna «%s» en tabla hija debe marcarse como NOT NULL"
+
+#: commands/tablecmds.c:7252
+#, c-format
+msgid "child table is missing column \"%s\""
+msgstr "tabla hija no tiene la columna «%s»"
+
+#: commands/tablecmds.c:7331
+#, c-format
+msgid "child table \"%s\" has different definition for check constraint \"%s\""
+msgstr ""
+"la tabla hija «%s» tiene una definición diferente para la restricción check "
 "«%s»"
 
-#: catalog/pg_aggregate.c:100
-msgid "cannot determine transition data type"
-msgstr "no se pudo determinar el tipo de dato de transición"
-
-#: catalog/pg_aggregate.c:101
-msgid ""
-"An aggregate using a polymorphic transition type must have at least one "
-"polymorphic argument."
-msgstr ""
-"Una función de agregación que use un tipo de dato de transición polimórfico "
-"debe tener al menos un argumento de tipo polimórfico."
-
-#: catalog/pg_aggregate.c:124
-#, c-format
-msgid "return type of transition function %s is not %s"
-msgstr "el tipo de retorno de la función de transición %s no es %s"
-
-#: catalog/pg_aggregate.c:146
-msgid ""
-"must not omit initial value when transition function is strict and "
-"transition type is not compatible with input type"
-msgstr ""
-"no se puede omitir el valor inicial cuando la función de transición es "
-"strict y el tipo de transición no es compatible con el tipo de entrada"
-
-#: catalog/pg_aggregate.c:177 catalog/pg_proc.c:203
-msgid "cannot determine result data type"
-msgstr "no se puede determinar el tipo de dato del resultado"
-
-#: catalog/pg_aggregate.c:178
-msgid ""
-"An aggregate returning a polymorphic type must have at least one polymorphic "
-"argument."
-msgstr ""
-"Una función de agregación que retorne un tipo de datos polimórfico debe "
-"tener al menos un argumento de tipo polimórfico."
-
-#: catalog/pg_aggregate.c:190 catalog/pg_proc.c:209
-msgid "unsafe use of pseudo-type \"internal\""
-msgstr "uso inseguro de pseudotipo «internal»"
-
-#: catalog/pg_aggregate.c:191 catalog/pg_proc.c:210
-msgid ""
-"A function returning \"internal\" must have at least one \"internal\" "
-"argument."
-msgstr ""
-"Una función que retorne «internal» debe tener al menos un argumento de tipo "
-"«internal»."
-
-#: catalog/pg_aggregate.c:199
-msgid "sort operator can only be specified for single-argument aggregates"
-msgstr ""
-"el operador de ordenamiento sólo pueden ser especificado para funciones de "
-"agregación de un solo argumento"
-
-#: catalog/pg_aggregate.c:332 commands/typecmds.c:1274
-#: commands/typecmds.c:1325 commands/typecmds.c:1356 commands/typecmds.c:1379
-#: commands/typecmds.c:1400 commands/typecmds.c:1427 commands/typecmds.c:1454
-#: parser/parse_func.c:242 parser/parse_func.c:1300
-#, c-format
-msgid "function %s does not exist"
-msgstr "no existe la función %s"
-
-#: catalog/pg_aggregate.c:337
-#, c-format
-msgid "function %s returns a set"
-msgstr "la función %s retorna un conjunto"
-
-#: catalog/pg_aggregate.c:361
-#, c-format
-msgid "function %s requires run-time type coercion"
-msgstr "la función %s requiere conversión de tipos en tiempo de ejecución"
-
-#: catalog/pg_constraint.c:622 commands/typecmds.c:2199
-#, c-format
-msgid "constraint \"%s\" for domain \"%s\" already exists"
-msgstr "el dominio «%2$s» ya contiene una restricción llamada «%1$s»"
-
-#: catalog/pg_conversion.c:67
-#, c-format
-msgid "conversion \"%s\" already exists"
-msgstr "ya existe la conversión «%s»"
-
-#: catalog/pg_conversion.c:80
-#, c-format
-msgid "default conversion for %s to %s already exists"
-msgstr "ya existe una conversión por omisión desde %s a %s"
-
-#: catalog/pg_depend.c:209
-#, c-format
-msgid "cannot remove dependency on %s because it is a system object"
-msgstr ""
-"no se puede eliminar dependencia a %s porque es un objeto requerido por el "
-"sistema"
-
-#: catalog/pg_enum.c:91
-#, c-format
-msgid "invalid enum label \"%s\""
-msgstr "la etiqueta enum «%s» no es válida"
-
-#: catalog/pg_enum.c:92
-#, c-format
-msgid "Labels must be %d characters or less."
-msgstr "Las etiquetas deben ser de %d caracteres o menos."
-
-#: catalog/pg_largeobject.c:107 commands/comment.c:1423
-#: storage/large_object/inv_api.c:266 storage/large_object/inv_api.c:371
-#, c-format
-msgid "large object %u does not exist"
-msgstr "no existe el objeto grande %u"
-
-#: catalog/pg_namespace.c:52 commands/schemacmds.c:277
-#, c-format
-msgid "schema \"%s\" already exists"
-msgstr "ya existe el esquema «%s»"
-
-#: catalog/pg_operator.c:220 catalog/pg_operator.c:358
-#, c-format
-msgid "\"%s\" is not a valid operator name"
-msgstr "«%s» no es un nombre válido de operador"
-
-#: catalog/pg_operator.c:367
-msgid "only binary operators can have commutators"
-msgstr "sólo los operadores binarios pueden tener conmutadores"
-
-#: catalog/pg_operator.c:371
-msgid "only binary operators can have join selectivity"
-msgstr "sólo los operadores binarios pueden tener selectividad de join"
-
-#: catalog/pg_operator.c:375
-msgid "only binary operators can merge join"
-msgstr "sólo los operadores binarios pueden ser usados en merge join"
-
-#: catalog/pg_operator.c:379
-msgid "only binary operators can hash"
-msgstr "sólo los operadores binarios pueden ser usados en hash"
-
-#: catalog/pg_operator.c:390
-msgid "only boolean operators can have negators"
-msgstr "sólo los operadores booleanos pueden tener negadores"
-
-#: catalog/pg_operator.c:394
-msgid "only boolean operators can have restriction selectivity"
-msgstr "sólo los operadores booleanos pueden tener selectividad de restricción"
-
-#: catalog/pg_operator.c:398
-msgid "only boolean operators can have join selectivity"
-msgstr "sólo los operadores booleanos pueden tener selectividad de join"
-
-#: catalog/pg_operator.c:402
-msgid "only boolean operators can merge join"
-msgstr "sólo los operadores booleanos pueden ser usados en merge join"
-
-#: catalog/pg_operator.c:406
-msgid "only boolean operators can hash"
-msgstr "sólo los operadores booleanos pueden ser usados en hash"
-
-#: catalog/pg_operator.c:418
-#, c-format
-msgid "operator %s already exists"
-msgstr "ya existe un operador %s"
-
-#: catalog/pg_operator.c:608
-msgid "operator cannot be its own negator or sort operator"
-msgstr "un operador no puede ser su propio negador u operador de ordenamiento"
-
-#: catalog/pg_proc.c:122 parser/parse_func.c:1344 parser/parse_func.c:1384
-#, c-format
-msgid "functions cannot have more than %d argument"
-msgid_plural "functions cannot have more than %d arguments"
-msgstr[0] "las funciones no pueden tener más de %d argumento"
-msgstr[1] "las funciones no pueden tener más de %d argumentos"
-
-#: catalog/pg_proc.c:204
-msgid ""
-"A function returning a polymorphic type must have at least one polymorphic "
-"argument."
-msgstr ""
-"Una función que retorne un tipo polimórfico debe tener al menos un argumento "
-"de tipo polimórfico."
-
-#: catalog/pg_proc.c:222
-#, c-format
-msgid "\"%s\" is already an attribute of type %s"
-msgstr "«%s» ya es un atributo de tipo %s"
-
-#: catalog/pg_proc.c:361
-#, c-format
-msgid "function \"%s\" already exists with same argument types"
-msgstr "ya existe una función «%s» con los mismos argumentos"
-
-#: catalog/pg_proc.c:375 catalog/pg_proc.c:397
-msgid "cannot change return type of existing function"
-msgstr "no se puede cambiar el tipo de retorno de una función existente"
-
-#: catalog/pg_proc.c:376 catalog/pg_proc.c:399 catalog/pg_proc.c:422
-#: catalog/pg_proc.c:448
-msgid "Use DROP FUNCTION first."
-msgstr "Use DROP FUNCTION primero."
-
-#: catalog/pg_proc.c:398
-msgid "Row type defined by OUT parameters is different."
-msgstr "Tipo de registro definido por parámetros OUT es diferente."
-
-#: catalog/pg_proc.c:421
-msgid "cannot remove parameter defaults from existing function"
-msgstr "no se puede eliminar el valor por omisión de funciones existentes"
-
-#: catalog/pg_proc.c:447
-msgid "cannot change data type of existing parameter default value"
-msgstr ""
-"no se puede cambiar el tipo de dato del valor por omisión de un parámetro"
-
-#: catalog/pg_proc.c:459
-#, c-format
-msgid "function \"%s\" is an aggregate function"
-msgstr "la función «%s» es una función de agregación"
-
-#: catalog/pg_proc.c:464
-#, c-format
-msgid "function \"%s\" is not an aggregate function"
-msgstr "la función «%s» no es una función de agregación"
-
-#: catalog/pg_proc.c:472
-#, c-format
-msgid "function \"%s\" is a window function"
-msgstr "la función %s es de tipo window"
-
-#: catalog/pg_proc.c:477
-#, c-format
-msgid "function \"%s\" is not a window function"
-msgstr "la función «%s» no es de tipo window"
-
-#: catalog/pg_proc.c:625
-#, c-format
-msgid "there is no built-in function named \"%s\""
-msgstr "no hay ninguna función interna llamada «%s»"
-
-#: catalog/pg_proc.c:721
-#, c-format
-msgid "SQL functions cannot return type %s"
-msgstr "las funciones SQL no pueden retornar el tipo %s"
-
-#: catalog/pg_proc.c:736
-#, c-format
-msgid "SQL functions cannot have arguments of type %s"
-msgstr "las funciones SQL no pueden tener argumentos de tipo %s"
-
-#: catalog/pg_proc.c:802 executor/functions.c:933
-#, c-format
-msgid "SQL function \"%s\""
-msgstr "función SQL «%s»"
-
-#: catalog/pg_shdepend.c:667
-#, c-format
-msgid ""
-"\n"
-"and objects in %d other database (see server log for list)"
-msgid_plural ""
-"\n"
-"and objects in %d other databases (see server log for list)"
-msgstr[0] ""
-"\n"
-"y objetos en %d base de datos (vea el registro del servidor para obtener la "
-"lista)"
-msgstr[1] ""
-"\n"
-"y objetos en otras %d bases de datos (vea el registro del servidor para "
-"obtener la lista)"
-
-#: catalog/pg_shdepend.c:981
-#, c-format
-msgid "role %u was concurrently dropped"
-msgstr "el rol %u fue eliminado por una transacción concurrente"
-
-#: catalog/pg_shdepend.c:1000
-#, c-format
-msgid "tablespace %u was concurrently dropped"
-msgstr "el tablespace %u fue eliminado por una transacción concurrente"
-
-#: catalog/pg_shdepend.c:1044
-#, c-format
-msgid "owner of %s"
-msgstr "dueño de %s"
-
-#: catalog/pg_shdepend.c:1046
-#, c-format
-msgid "access to %s"
-msgstr "acceso a %s"
-
-#. translator: %s will always be "database %s"
-#: catalog/pg_shdepend.c:1054
-#, c-format
-msgid "%d object in %s"
-msgid_plural "%d objects in %s"
-msgstr[0] "%d objeto en %s"
-msgstr[1] "%d objetos en %s"
-
-#: catalog/pg_shdepend.c:1165
-#, c-format
-msgid ""
-"cannot drop objects owned by %s because they are required by the database "
-"system"
-msgstr ""
-"no se puede eliminar objetos de propiedad de %s porque son requeridos por el "
-"sistema"
-
-#: catalog/pg_shdepend.c:1295
-#, c-format
-msgid ""
-"cannot reassign ownership of objects owned by %s because they are required "
-"by the database system"
-msgstr ""
-"no se puede reasignar la propiedad de objetos de %s porque son requeridos "
-"por el sistema"
-
-#: catalog/pg_type.c:224
-#, c-format
-msgid "invalid type internal size %d"
-msgstr "el tamaño interno de tipo %d no es válido"
-
-#: catalog/pg_type.c:240 catalog/pg_type.c:248 catalog/pg_type.c:256
-#: catalog/pg_type.c:265
-#, c-format
-msgid "alignment \"%c\" is invalid for passed-by-value type of size %d"
-msgstr ""
-"el alineamiento «%c» no es válido para un tipo pasado por valor de tamaño %d"
-
-#: catalog/pg_type.c:272
-#, c-format
-msgid "internal size %d is invalid for passed-by-value type"
-msgstr "el tamaño interno %d no es válido para un tipo pasado por valor"
-
-#: catalog/pg_type.c:281 catalog/pg_type.c:287
-#, c-format
-msgid "alignment \"%c\" is invalid for variable-length type"
-msgstr "el alineamiento «%c» no es válido para un tipo de largo variable"
-
-#: catalog/pg_type.c:295
-msgid "fixed-size types must have storage PLAIN"
-msgstr "los tipos de tamaño fijo deben tener almacenamiento PLAIN"
-
-#: catalog/pg_type.c:722
-#, c-format
-msgid "could not form array type name for type \"%s\""
-msgstr "no se pudo formar un nombre de tipo de array para el tipo «%s»"
-
-#: commands/view.c:138
-msgid "view must have at least one column"
-msgstr "una vista debe tener al menos una columna"
-
-#: commands/view.c:162 commands/comment.c:523 commands/tablecmds.c:205
-#: commands/tablecmds.c:2061 commands/tablecmds.c:2284
-#: commands/tablecmds.c:7551
-#, c-format
-msgid "\"%s\" is not a view"
-msgstr "«%s» no es una vista"
-
-#: commands/view.c:259 commands/view.c:271
-msgid "cannot drop columns from view"
-msgstr "no se pueden eliminar columnas de una vista"
-
-#: commands/view.c:276
-#, c-format
-msgid "cannot change name of view column \"%s\" to \"%s\""
-msgstr "no se puede cambiar el nombre de la columna «%s» de la vista a «%s»"
-
-#: commands/view.c:284
-#, c-format
-msgid "cannot change data type of view column \"%s\" from %s to %s"
-msgstr ""
-"no se puede cambiar el tipo de dato de la columna «%s» de la vista de %s a %s"
-
-#: commands/view.c:440
-msgid "CREATE VIEW specifies more column names than columns"
-msgstr "CREATE VIEW especifica más nombres de columna que columnas"
-
-#: commands/view.c:456
-#, c-format
-msgid "view \"%s\" will be a temporary view"
-msgstr "la vista «%s» será una vista temporal"
-
-#: commands/aggregatecmds.c:103
-#, c-format
-msgid "aggregate attribute \"%s\" not recognized"
-msgstr "el atributo de la función de agregación «%s» no es reconocido"
-
-#: commands/aggregatecmds.c:113
-msgid "aggregate stype must be specified"
-msgstr ""
-"debe especificarse el tipo de transición (stype) de la función de agregación"
-
-#: commands/aggregatecmds.c:117
-msgid "aggregate sfunc must be specified"
-msgstr ""
-"debe especificarse la función de transición (sfunc) de la función de "
-"agregación"
-
-#: commands/aggregatecmds.c:134
-msgid "aggregate input type must be specified"
-msgstr "debe especificarse el tipo de entrada de la función de agregación"
-
-#: commands/aggregatecmds.c:159
-msgid "basetype is redundant with aggregate input type specification"
-msgstr ""
-"el tipo base es redundante con el tipo de entrada en la función de agregación"
-
-#: commands/aggregatecmds.c:191
-#, c-format
-msgid "aggregate transition data type cannot be %s"
-msgstr "el tipo de transición de la función de agregación no puede ser %s"
-
-#: commands/aggregatecmds.c:230
-#, c-format
-msgid "aggregate %s(%s) does not exist, skipping"
-msgstr "la función de agregación %s(%s) no existe, ignorando"
-
-#: commands/aggregatecmds.c:297 commands/functioncmds.c:1097
-#, c-format
-msgid "function %s already exists in schema \"%s\""
-msgstr "ya existe una función llamada %s en el esquema «%s»"
+#: commands/tablecmds.c:7355
+#, c-format
+msgid "child table is missing constraint \"%s\""
+msgstr "tabla hija no tiene la restricción «%s»"
+
+#: commands/tablecmds.c:7436
+#, c-format
+msgid "relation \"%s\" is not a parent of relation \"%s\""
+msgstr "relación «%s» no es un padre de la relación «%s»"
+
+#: commands/tablecmds.c:7664
+msgid "cannot move an owned sequence into another schema"
+msgstr ""
+"no se puede mover una secuencia enlazada a una tabla hacia otro esquema"
+
+#: commands/tablecmds.c:7693
+#, c-format
+msgid "relation \"%s\" is already in schema \"%s\""
+msgstr "la relación «%s» ya está en el esquema «%s»"
+
+#: commands/tablecmds.c:7701 commands/functioncmds.c:1880
+#: commands/typecmds.c:2761
+msgid "cannot move objects into or out of temporary schemas"
+msgstr "no se puede mover objetos hacia o desde esquemas temporales"
+
+#: commands/tablecmds.c:7707 commands/functioncmds.c:1886
+#: commands/typecmds.c:2767
+msgid "cannot move objects into or out of TOAST schema"
+msgstr "no se puede mover objetos hacia o desde el esquema TOAST"
+
+#: commands/tablecmds.c:7758
+#, c-format
+msgid "relation \"%s\" already exists in schema \"%s\""
+msgstr "ya existe una relación llamada «%s» en el esquema «%s»"
+
+#: commands/proclang.c:83 commands/proclang.c:514
+#, c-format
+msgid "language \"%s\" already exists"
+msgstr "ya existe el lenguaje «%s»"
+
+#: commands/proclang.c:98
+msgid "using pg_pltemplate information instead of CREATE LANGUAGE parameters"
+msgstr ""
+"usando información de pg_pltemplate en vez de los parámetros de CREATE "
+"LANGUAGE"
+
+#: commands/proclang.c:108
+#, c-format
+msgid "must be superuser to create procedural language \"%s\""
+msgstr "debe ser superusuario para crear el lenguaje procedural «%s»"
+
+#: commands/proclang.c:128 commands/proclang.c:245
+#, c-format
+msgid "function %s must return type \"language_handler\""
+msgstr "la función %s debe retornar tipo «language_handler»"
+
+#: commands/proclang.c:209
+#, c-format
+msgid "unsupported language \"%s\""
+msgstr "lenguaje no soportado: «%s»"
+
+#: commands/proclang.c:211
+msgid "The supported languages are listed in the pg_pltemplate system catalog."
+msgstr ""
+"Los lenguajes soportados están listados en el catálogo del sistema "
+"pg_pltemplate."
+
+#: commands/proclang.c:219
+msgid "must be superuser to create custom procedural language"
+msgstr "debe ser superusuario para crear un lenguaje procedural personalizado"
+
+#: commands/proclang.c:238
+#, c-format
+msgid ""
+"changing return type of function %s from \"opaque\" to \"language_handler\""
+msgstr ""
+"cambiando el tipo de retorno de la función %s de «opaque» a "
+"«language_handler»"
+
+#: commands/proclang.c:436
+#, c-format
+msgid "language \"%s\" does not exist, skipping"
+msgstr "el lenguaje «%s» no existe, ignorando"
 
 #: commands/analyze.c:172
 #, c-format
@@ -4316,212 +8546,6 @@
 "«%s»: se procesaron %d de %u páginas, que contenían %.0f filas vigentes y "
 "%.0f filas no vigentes; %d filas en la muestra, %.0f total de filas estimadas"
 
-#: commands/async.c:344
-msgid "cannot PREPARE a transaction that has executed LISTEN or UNLISTEN"
-msgstr ""
-"no se puede hacer PREPARE de una transacción que ha ejecutado LISTEN o "
-"UNLISTEN"
-
-#: commands/cluster.c:124 commands/cluster.c:472
-msgid "cannot cluster temporary tables of other sessions"
-msgstr "no se pueden reordenar tablas temporales de otras sesiones"
-
-#: commands/cluster.c:155
-#, c-format
-msgid "there is no previously clustered index for table \"%s\""
-msgstr "no hay un índice de ordenamiento definido para la tabla «%s»"
-
-#: commands/cluster.c:169 commands/tablecmds.c:6502
-#, c-format
-msgid "index \"%s\" for table \"%s\" does not exist"
-msgstr "no existe el índice «%s» en la tabla «%s»"
-
-#: commands/cluster.c:349
-#, c-format
-msgid "clustering \"%s.%s\""
-msgstr "reordenando «%s.%s»"
-
-#: commands/cluster.c:379
-#, c-format
-msgid "\"%s\" is not an index for table \"%s\""
-msgstr "«%s» no es un índice de la tabla «%s»"
-
-#: commands/cluster.c:392
-#, c-format
-msgid "cannot cluster on partial index \"%s\""
-msgstr "no se puede reordenar en índice parcial «%s»"
-
-#: commands/cluster.c:398
-#, c-format
-msgid ""
-"cannot cluster on index \"%s\" because access method does not support "
-"clustering"
-msgstr ""
-"no se puede reordenar en índice «%s» porque el método de acceso no soporta "
-"reordenamiento"
-
-#: commands/cluster.c:418
-#, c-format
-msgid ""
-"cannot cluster on index \"%s\" because access method does not handle null "
-"values"
-msgstr ""
-"no se puede reordenar en índice «%s» porque el método de acceso no maneja "
-"valores null"
-
-#: commands/cluster.c:421
-#, c-format
-msgid ""
-"You might be able to work around this by marking column \"%s\" NOT NULL, or "
-"use ALTER TABLE ... SET WITHOUT CLUSTER to remove the cluster specification "
-"from the table."
-msgstr ""
-"Quizás pueda corregir esto marcando la columna «%s» NOT NULL, o usando ALTER "
-"TABLE ... SET WITHOUT CLUSTER para eliminar la reordenación para la tabla."
-
-#: commands/cluster.c:423
-#, c-format
-msgid ""
-"You might be able to work around this by marking column \"%s\" NOT NULL."
-msgstr "Quizás pueda corregir esto marcando la columna «%s» NOT NULL."
-
-#: commands/cluster.c:434
-#, c-format
-msgid ""
-"cannot cluster on expressional index \"%s\" because its index access method "
-"does not handle null values"
-msgstr ""
-"no se puede reordenar en índice de expresión «%s» porque el método de acceso "
-"no maneja valores null"
-
-#: commands/cluster.c:449
-#, c-format
-msgid "cannot cluster on invalid index \"%s\""
-msgstr "no se puede reordenar en el índice no válido «%s»"
-
-#: commands/cluster.c:462
-#, c-format
-msgid "\"%s\" is a system catalog"
-msgstr "«%s» es un catálogo del sistema"
-
-#: commands/comment.c:609
-msgid "database name cannot be qualified"
-msgstr "un nombre de base de datos no puede ser calificado"
-
-#: commands/comment.c:657
-msgid "tablespace name cannot be qualified"
-msgstr "un nombre de tablespace no puede ser calificado"
-
-#: commands/comment.c:694
-msgid "role name cannot be qualified"
-msgstr "un nombre de rol no puede ser calificado"
-
-#: commands/comment.c:703
-#, c-format
-msgid "must be member of role \"%s\" to comment upon it"
-msgstr "debe ser miembro del rol «%s» para definirle un comentario"
-
-#: commands/comment.c:727 commands/schemacmds.c:178
-msgid "schema name cannot be qualified"
-msgstr "un nombre de esquema no puede ser calificado"
-
-#: commands/comment.c:804
-#, c-format
-msgid "rule \"%s\" does not exist"
-msgstr "no existe la regla «%s»"
-
-#: commands/comment.c:812
-#, c-format
-msgid "there are multiple rules named \"%s\""
-msgstr "hay múltiples reglas llamadas «%s»"
-
-#: commands/comment.c:813
-msgid "Specify a relation name as well as a rule name."
-msgstr "Especifique un nombre de relación además del nombre de regla."
-
-#: commands/comment.c:841 rewrite/rewriteDefine.c:689
-#: rewrite/rewriteDefine.c:752 rewrite/rewriteRemove.c:63
-#, c-format
-msgid "rule \"%s\" for relation \"%s\" does not exist"
-msgstr "no existe la regla «%s» para la relación «%s»"
-
-#: commands/comment.c:1036 commands/trigger.c:734 commands/trigger.c:934
-#: commands/trigger.c:1045
-#, c-format
-msgid "trigger \"%s\" for table \"%s\" does not exist"
-msgstr "no existe el trigger «%s» para la tabla «%s»"
-
-#: commands/comment.c:1115
-#, c-format
-msgid "table \"%s\" has multiple constraints named \"%s\""
-msgstr "hay múltiples restricciones llamadas «%2$s» en la tabla «%1$s»"
-
-#: commands/comment.c:1127
-#, c-format
-msgid "constraint \"%s\" for table \"%s\" does not exist"
-msgstr "no existe la restricción «%s» para la tabla «%s»"
-
-#: commands/comment.c:1156 commands/conversioncmds.c:153
-#: commands/conversioncmds.c:211 commands/conversioncmds.c:267
-#, c-format
-msgid "conversion \"%s\" does not exist"
-msgstr "no existe la conversión «%s»"
-
-#: commands/comment.c:1186
-msgid "language name cannot be qualified"
-msgstr "un nombre de lenguaje no puede ser calificado"
-
-#: commands/comment.c:1201
-msgid "must be superuser to comment on procedural language"
-msgstr "debe ser superusuario para comentar un lenguaje procedural"
-
-#: commands/comment.c:1238 commands/comment.c:1324 commands/indexcmds.c:287
-#: commands/opclasscmds.c:290 commands/opclasscmds.c:682
-#: commands/opclasscmds.c:785 commands/opclasscmds.c:1517
-#: commands/opclasscmds.c:1580 commands/opclasscmds.c:1748
-#: commands/opclasscmds.c:1848 commands/opclasscmds.c:1945
-#: commands/opclasscmds.c:2093
-#, c-format
-msgid "access method \"%s\" does not exist"
-msgstr "no existe el método de acceso «%s»"
-
-#: commands/comment.c:1267 commands/comment.c:1277 commands/indexcmds.c:1041
-#: commands/indexcmds.c:1051 commands/opclasscmds.c:1529
-#: commands/opclasscmds.c:1533 commands/opclasscmds.c:1770
-#: commands/opclasscmds.c:1781 commands/opclasscmds.c:1969
-#: commands/opclasscmds.c:1980
-#, c-format
-msgid "operator class \"%s\" does not exist for access method \"%s\""
-msgstr "no existe la clase de operadores «%s» para el método de acceso «%s»"
-
-#: commands/comment.c:1353 commands/comment.c:1363 commands/opclasscmds.c:352
-#: commands/opclasscmds.c:805 commands/opclasscmds.c:1592
-#: commands/opclasscmds.c:1596 commands/opclasscmds.c:1870
-#: commands/opclasscmds.c:1881 commands/opclasscmds.c:2117
-#: commands/opclasscmds.c:2128
-#, c-format
-msgid "operator family \"%s\" does not exist for access method \"%s\""
-msgstr "no existe la familia de operadores «%s» para el método de acceso «%s»"
-
-#: commands/comment.c:1466 commands/functioncmds.c:1768
-#, c-format
-msgid "cast from type %s to type %s does not exist"
-msgstr "no existe la conversión del tipo %s al tipo %s"
-
-#: commands/comment.c:1478 commands/functioncmds.c:1509
-#: commands/functioncmds.c:1785
-#, c-format
-msgid "must be owner of type %s or type %s"
-msgstr "debe ser dueño del tipo %s o el tipo %s"
-
-#: commands/comment.c:1498
-msgid "must be superuser to comment on text search parser"
-msgstr "debe ser superusuario para comentar un analizador de búsqueda en texto"
-
-#: commands/comment.c:1527
-msgid "must be superuser to comment on text search template"
-msgstr "debe ser superusuario para comentar una plantilla de búsqueda en texto"
-
 #: commands/conversioncmds.c:69
 #, c-format
 msgid "source encoding \"%s\" does not exist"
@@ -4537,6 +8561,12 @@
 msgid "encoding conversion function %s must return type \"void\""
 msgstr "la función de conversión de codificación %s debe retornar tipo «void»"
 
+#: commands/conversioncmds.c:153 commands/conversioncmds.c:211
+#: commands/conversioncmds.c:267 commands/comment.c:1156
+#, c-format
+msgid "conversion \"%s\" does not exist"
+msgstr "no existe la conversión «%s»"
+
 #: commands/conversioncmds.c:159
 #, c-format
 msgid "conversion \"%s\" does not exist, skipping"
@@ -4547,6 +8577,379 @@
 msgid "conversion \"%s\" already exists in schema \"%s\""
 msgstr "ya existe una conversión llamada «%s» en el esquema «%s»"
 
+#: commands/sequence.c:467 commands/sequence.c:662 commands/sequence.c:706
+#: commands/sequence.c:742 catalog/aclchk.c:2113
+#, c-format
+msgid "permission denied for sequence %s"
+msgstr "permiso denegado a la secuencia %s"
+
+#: commands/sequence.c:547
+#, c-format
+msgid "nextval: reached maximum value of sequence \"%s\" (%s)"
+msgstr "nextval: se alcanzó el valor máximo de la secuencia «%s» (%s)"
+
+#: commands/sequence.c:570
+#, c-format
+msgid "nextval: reached minimum value of sequence \"%s\" (%s)"
+msgstr "nextval: se alcanzó el valor mínimo de la secuencia «%s» (%s)"
+
+#: commands/sequence.c:668
+#, c-format
+msgid "currval of sequence \"%s\" is not yet defined in this session"
+msgstr "currval de la secuencia «%s» no está definido en esta sesión"
+
+#: commands/sequence.c:687 commands/sequence.c:695
+msgid "lastval is not yet defined in this session"
+msgstr "lastval no está definido en esta sesión"
+
+#: commands/sequence.c:759
+#, c-format
+msgid "setval: value %s is out of bounds for sequence \"%s\" (%s..%s)"
+msgstr "setval: el valor %s está fuera del rango de la secuencia «%s» (%s..%s)"
+
+#: commands/sequence.c:1033 commands/sequence.c:1041 commands/sequence.c:1049
+#: commands/sequence.c:1057 commands/sequence.c:1065 commands/sequence.c:1073
+#: commands/sequence.c:1081 commands/sequence.c:1089
+#: commands/functioncmds.c:452 commands/functioncmds.c:542
+#: commands/functioncmds.c:550 commands/functioncmds.c:558 commands/copy.c:746
+#: commands/copy.c:754 commands/copy.c:762 commands/copy.c:770
+#: commands/copy.c:778 commands/copy.c:786 commands/copy.c:794
+#: commands/copy.c:802 commands/copy.c:810 commands/copy.c:818
+#: commands/dbcommands.c:145 commands/dbcommands.c:153
+#: commands/dbcommands.c:161 commands/dbcommands.c:169
+#: commands/dbcommands.c:177 commands/dbcommands.c:185
+#: commands/dbcommands.c:193 commands/dbcommands.c:1323
+#: commands/dbcommands.c:1331 commands/user.c:135 commands/user.c:152
+#: commands/user.c:160 commands/user.c:168 commands/user.c:176
+#: commands/user.c:184 commands/user.c:192 commands/user.c:200
+#: commands/user.c:208 commands/user.c:216 commands/user.c:224
+#: commands/user.c:452 commands/user.c:464 commands/user.c:472
+#: commands/user.c:480 commands/user.c:488 commands/user.c:496
+#: commands/user.c:504 commands/user.c:513 commands/user.c:521
+#: commands/typecmds.c:275
+msgid "conflicting or redundant options"
+msgstr "opciones contradictorias o redundantes"
+
+#: commands/sequence.c:1104
+msgid "INCREMENT must not be zero"
+msgstr "INCREMENT no debe ser cero"
+
+#: commands/sequence.c:1150
+#, c-format
+msgid "MINVALUE (%s) must be less than MAXVALUE (%s)"
+msgstr "MINVALUE (%s) debe ser menor que MAXVALUE (%s)"
+
+#: commands/sequence.c:1175
+#, c-format
+msgid "START value (%s) cannot be less than MINVALUE (%s)"
+msgstr "el valor START (%s) no puede ser menor que MINVALUE (%s)"
+
+#: commands/sequence.c:1187
+#, c-format
+msgid "START value (%s) cannot be greater than MAXVALUE (%s)"
+msgstr "el valor START (%s) no puede ser mayor que MAXVALUE (%s)"
+
+#: commands/sequence.c:1218
+#, c-format
+msgid "RESTART value (%s) cannot be less than MINVALUE (%s)"
+msgstr "el valor RESTART (%s) no puede ser menor que MINVALUE (%s)"
+
+#: commands/sequence.c:1230
+#, c-format
+msgid "RESTART value (%s) cannot be greater than MAXVALUE (%s)"
+msgstr "el valor RESTART (%s) no puede ser mayor que MAXVALUE (%s)"
+
+#: commands/sequence.c:1245
+#, c-format
+msgid "CACHE (%s) must be greater than zero"
+msgstr "CACHE (%s) debe ser mayor que cero"
+
+#: commands/sequence.c:1276
+msgid "invalid OWNED BY option"
+msgstr "opción OWNED BY no válida"
+
+#: commands/sequence.c:1277
+msgid "Specify OWNED BY table.column or OWNED BY NONE."
+msgstr "Especifique OWNED BY tabla.columna o OWNED BY NONE."
+
+#: commands/sequence.c:1306
+msgid "sequence must have same owner as table it is linked to"
+msgstr ""
+"la secuencia debe tener el mismo dueño que la tabla a la que está enlazada"
+
+#: commands/sequence.c:1310
+msgid "sequence must be in same schema as table it is linked to"
+msgstr ""
+"la secuencia debe estar en el mismo esquema que la tabla a la que está "
+"enlazada"
+
+#: commands/functioncmds.c:98
+#, c-format
+msgid "SQL function cannot return shell type %s"
+msgstr "una función SQL no puede retornar el tipo inconcluso %s"
+
+#: commands/functioncmds.c:103
+#, c-format
+msgid "return type %s is only a shell"
+msgstr "el tipo de retorno %s está inconcluso"
+
+#: commands/functioncmds.c:132 parser/parse_type.c:264
+#, c-format
+msgid "type modifier cannot be specified for shell type \"%s\""
+msgstr ""
+"no se puede especificar un modificador de tipo para el tipo inconcluso «%s»"
+
+#: commands/functioncmds.c:138
+#, c-format
+msgid "type \"%s\" is not yet defined"
+msgstr "el tipo «%s» no ha sido definido aún"
+
+#: commands/functioncmds.c:139
+msgid "Creating a shell type definition."
+msgstr "Creando una definición de tipo inconclusa."
+
+#: commands/functioncmds.c:218
+#, c-format
+msgid "SQL function cannot accept shell type %s"
+msgstr "las funciones SQL no pueden aceptar el tipo inconcluso %s"
+
+#: commands/functioncmds.c:223
+#, c-format
+msgid "argument type %s is only a shell"
+msgstr "el tipo de argumento %s está inconcluso"
+
+#: commands/functioncmds.c:233
+#, c-format
+msgid "type %s does not exist"
+msgstr "no existe el tipo %s"
+
+#: commands/functioncmds.c:241
+msgid "functions cannot accept set arguments"
+msgstr "funciones no pueden aceptar argumentos de conjunto"
+
+#: commands/functioncmds.c:250
+msgid "VARIADIC parameter must be the last input parameter"
+msgstr "el parámetro VARIADIC debe ser el último parámetro de entrada"
+
+#: commands/functioncmds.c:277
+msgid "VARIADIC parameter must be an array"
+msgstr "el parámetro VARIADIC debe ser un array"
+
+#: commands/functioncmds.c:299
+msgid "only input parameters can have default values"
+msgstr "solo los parámetros de entrada pueden tener valores por omisión"
+
+#: commands/functioncmds.c:311
+msgid "cannot use table references in parameter default value"
+msgstr ""
+"no se pueden usar referencias a tablas en el valor por omisión de un "
+"parámetro"
+
+#: commands/functioncmds.c:327
+msgid "cannot use subquery in parameter default value"
+msgstr ""
+"no se puede usar una subconsulta en el valor por omisión de un parámetro"
+
+#: commands/functioncmds.c:331
+msgid "cannot use aggregate function in parameter default value"
+msgstr ""
+"no se puede usar una función de agregación en el valor por omisión de un "
+"parámetro"
+
+#: commands/functioncmds.c:335
+msgid "cannot use window function in parameter default value"
+msgstr ""
+"no se puede usar una función ventana en el valor por omisión de un parámetro"
+
+#: commands/functioncmds.c:345
+msgid "input parameters after one with a default value must also have defaults"
+msgstr ""
+"los parámetros de entrada después de uno que tenga valor por omisión también "
+"deben tener valores por omisión"
+
+#: commands/functioncmds.c:584
+msgid "no function body specified"
+msgstr "no se ha especificado un cuerpo para la función"
+
+#: commands/functioncmds.c:594
+msgid "no language specified"
+msgstr "no se ha especificado el lenguaje"
+
+#: commands/functioncmds.c:615 commands/functioncmds.c:1332
+msgid "COST must be positive"
+msgstr "COST debe ser positivo"
+
+#: commands/functioncmds.c:623 commands/functioncmds.c:1340
+msgid "ROWS must be positive"
+msgstr "ROWS debe ser positivo"
+
+#: commands/functioncmds.c:662
+#, c-format
+msgid "unrecognized function attribute \"%s\" ignored"
+msgstr "se ignoró el atributo de función no reconocido «%s»"
+
+#: commands/functioncmds.c:713
+#, c-format
+msgid "only one AS item needed for language \"%s\""
+msgstr "sólo se requiere un item AS para el lenguaje «%s»"
+
+#: commands/functioncmds.c:807
+msgid "Use CREATE LANGUAGE to load the language into the database."
+msgstr "Usar CREATE LANGUAGE para instalar el lenguaje en la base de datos."
+
+#: commands/functioncmds.c:854
+#, c-format
+msgid "function result type must be %s because of OUT parameters"
+msgstr "tipo de retorno de función debe ser %s debido a los parámetros OUT"
+
+#: commands/functioncmds.c:867
+msgid "function result type must be specified"
+msgstr "el tipo de retorno de la función debe ser especificado"
+
+#: commands/functioncmds.c:902 commands/functioncmds.c:1344
+msgid "ROWS is not applicable when function does not return a set"
+msgstr "ROWS no es aplicable cuando una función no retorna un conjunto"
+
+#: commands/functioncmds.c:954
+#, c-format
+msgid "function %s(%s) does not exist, skipping"
+msgstr "no existe la función %s(%s), ignorando"
+
+#: commands/functioncmds.c:978
+msgid "Use DROP AGGREGATE to drop aggregate functions."
+msgstr "Use DROP AGGREGATE para eliminar funciones de agregación."
+
+#: commands/functioncmds.c:985
+#, c-format
+msgid "removing built-in function \"%s\""
+msgstr "eliminando la función interna «%s»"
+
+#: commands/functioncmds.c:1084
+msgid "Use ALTER AGGREGATE to rename aggregate functions."
+msgstr ""
+"Use ALTER AGGREGATE para cambiar el nombre a las funciones de agregación."
+
+#: commands/functioncmds.c:1097 commands/aggregatecmds.c:297
+#, c-format
+msgid "function %s already exists in schema \"%s\""
+msgstr "ya existe una función llamada %s en el esquema «%s»"
+
+#: commands/functioncmds.c:1149
+msgid "Use ALTER AGGREGATE to change owner of aggregate functions."
+msgstr ""
+"Use ALTER AGGREGATE para cambiar el dueño a las funciones de agregación."
+
+#: commands/functioncmds.c:1495
+#, c-format
+msgid "source data type %s is a pseudo-type"
+msgstr "el tipo de origen %s es un pseudotipo"
+
+#: commands/functioncmds.c:1501
+#, c-format
+msgid "target data type %s is a pseudo-type"
+msgstr "el tipo de retorno %s es un pseudotipo"
+
+#: commands/functioncmds.c:1509 commands/functioncmds.c:1785
+#: commands/comment.c:1478
+#, c-format
+msgid "must be owner of type %s or type %s"
+msgstr "debe ser dueño del tipo %s o el tipo %s"
+
+#: commands/functioncmds.c:1540
+msgid "cast function must take one to three arguments"
+msgstr "la función de conversión lleva de uno a tres argumentos"
+
+#: commands/functioncmds.c:1544
+msgid ""
+"argument of cast function must match or be binary-coercible from source data "
+"type"
+msgstr ""
+"el argumento de la función de conversión debe coincidir o ser binario-"
+"convertible con el tipo de origen"
+
+#: commands/functioncmds.c:1548
+msgid "second argument of cast function must be type integer"
+msgstr "el segundo argumento de la función de conversión debe ser entero"
+
+#: commands/functioncmds.c:1552
+msgid "third argument of cast function must be type boolean"
+msgstr ""
+"el tercer argumento de la función de conversión debe ser de tipo boolean"
+
+#: commands/functioncmds.c:1556
+msgid ""
+"return data type of cast function must match or be binary-coercible to "
+"target data type"
+msgstr ""
+"el tipo de salida de la función de conversión debe coincidir o ser binario-"
+"convertible con el tipo de retorno"
+
+#: commands/functioncmds.c:1567
+msgid "cast function must not be volatile"
+msgstr "la función de conversión no debe ser volatile"
+
+#: commands/functioncmds.c:1572
+msgid "cast function must not be an aggregate function"
+msgstr "la función de conversión no debe ser una función de agregación"
+
+#: commands/functioncmds.c:1576
+msgid "cast function must not be a window function"
+msgstr "la función de conversión no debe ser una función ventana"
+
+#: commands/functioncmds.c:1580
+msgid "cast function must not return a set"
+msgstr "la función de conversión no debe retornar un conjunto"
+
+#: commands/functioncmds.c:1606
+msgid "must be superuser to create a cast WITHOUT FUNCTION"
+msgstr ""
+"debe ser superusuario para crear una conversión sin especificar función"
+
+#: commands/functioncmds.c:1621
+msgid "source and target data types are not physically compatible"
+msgstr "los tipos de datos de origen y destino no son físicamente compatibles"
+
+#: commands/functioncmds.c:1636
+msgid "composite data types are not binary-compatible"
+msgstr "los tipos de datos compuestos no son binario-compatibles"
+
+#: commands/functioncmds.c:1642
+msgid "enum data types are not binary-compatible"
+msgstr "los tipos de datos enum no son binario-compatibles"
+
+#: commands/functioncmds.c:1648
+msgid "array data types are not binary-compatible"
+msgstr "los tipos de datos de array no son binario-compatibles"
+
+#: commands/functioncmds.c:1658
+msgid "source data type and target data type are the same"
+msgstr "el tipo de origen y el tipo de retorno son el mismo"
+
+#: commands/functioncmds.c:1692
+#, c-format
+msgid "cast from type %s to type %s already exists"
+msgstr "ya existe una conversión del tipo %s al tipo %s"
+
+#: commands/functioncmds.c:1768 commands/comment.c:1466
+#, c-format
+msgid "cast from type %s to type %s does not exist"
+msgstr "no existe la conversión del tipo %s al tipo %s"
+
+#: commands/functioncmds.c:1773
+#, c-format
+msgid "cast from type %s to type %s does not exist, skipping"
+msgstr "no existe la conversión del tipo %s al tipo %s, ignorando"
+
+#: commands/functioncmds.c:1872
+#, c-format
+msgid "function \"%s\" is already in schema \"%s\""
+msgstr "la función «%s» ya está en el esquema «%s»"
+
+#: commands/functioncmds.c:1896
+#, c-format
+msgid "function \"%s\" already exists in schema \"%s\""
+msgstr "ya existe una función llamada %s en el esquema «%s»"
+
 #: commands/copy.c:311 commands/copy.c:323 commands/copy.c:357
 #: commands/copy.c:367
 msgid "COPY BINARY is not supported to stdout or from stdin"
@@ -4568,11 +8971,6 @@
 msgid "could not read from COPY file: %m"
 msgstr "no se pudo leer desde archivo COPY: %m"
 
-#: commands/copy.c:514 commands/copy.c:533 commands/copy.c:537
-#: tcop/fastpath.c:293 tcop/postgres.c:332 tcop/postgres.c:355
-msgid "unexpected EOF on client connection"
-msgstr "se encontró fin de archivo inesperado en la conexión del cliente"
-
 #: commands/copy.c:549
 #, c-format
 msgid "COPY from stdin failed: %s"
@@ -4585,29 +8983,6 @@
 "se recibió un mensaje de tipo 0x%02X inesperado durante COPY desde la "
 "entrada estándar"
 
-#: commands/copy.c:746 commands/copy.c:754 commands/copy.c:762
-#: commands/copy.c:770 commands/copy.c:778 commands/copy.c:786
-#: commands/copy.c:794 commands/copy.c:802 commands/copy.c:810
-#: commands/copy.c:818 commands/dbcommands.c:145 commands/dbcommands.c:153
-#: commands/dbcommands.c:161 commands/dbcommands.c:169
-#: commands/dbcommands.c:177 commands/dbcommands.c:185
-#: commands/dbcommands.c:193 commands/dbcommands.c:1323
-#: commands/dbcommands.c:1331 commands/functioncmds.c:452
-#: commands/functioncmds.c:542 commands/functioncmds.c:550
-#: commands/functioncmds.c:558 commands/sequence.c:1033
-#: commands/sequence.c:1041 commands/sequence.c:1049 commands/sequence.c:1057
-#: commands/sequence.c:1065 commands/sequence.c:1073 commands/sequence.c:1081
-#: commands/sequence.c:1089 commands/typecmds.c:275 commands/user.c:135
-#: commands/user.c:152 commands/user.c:160 commands/user.c:168
-#: commands/user.c:176 commands/user.c:184 commands/user.c:192
-#: commands/user.c:200 commands/user.c:208 commands/user.c:216
-#: commands/user.c:224 commands/user.c:452 commands/user.c:464
-#: commands/user.c:472 commands/user.c:480 commands/user.c:488
-#: commands/user.c:496 commands/user.c:504 commands/user.c:513
-#: commands/user.c:521
-msgid "conflicting or redundant options"
-msgstr "opciones contradictorias o redundantes"
-
 #: commands/copy.c:830
 msgid "cannot specify DELIMITER in BINARY mode"
 msgstr "no se puede especificar DELIMITER en modo BINARY"
@@ -4703,10 +9078,6 @@
 "entrada estándar. La orden \\copy de psql también puede ser utilizado por "
 "cualquier usuario."
 
-#: commands/copy.c:1007 tcop/utility.c:218 executor/execMain.c:636
-msgid "transaction is read-only"
-msgstr "la transacción es de sólo lectura"
-
 #: commands/copy.c:1013
 #, c-format
 msgid "table \"%s\" does not have OIDs"
@@ -4803,11 +9174,6 @@
 msgid "cannot copy to non-table relation \"%s\""
 msgstr "no se puede copiar hacia la relación «%s» porque no es una tabla"
 
-#: commands/copy.c:1748 utils/adt/genfile.c:105
-#, c-format
-msgid "could not open file \"%s\" for reading: %m"
-msgstr "no se pudo abrir archivo «%s» para lectura: %m"
-
 #: commands/copy.c:1856
 msgid "COPY file signature not recognized"
 msgstr "el identificador del archivo COPY no es reconocido"
@@ -4850,11 +9216,6 @@
 msgid "row field count is %d, expected %d"
 msgstr "la cantidad de registros es %d, pero se esperaban %d"
 
-#: commands/copy.c:2180 utils/misc/guc.c:6923 utils/init/miscinit.c:1075
-#, c-format
-msgid "could not read from file \"%s\": %m"
-msgstr "no se pudo leer el archivo «%s»: %m"
-
 #: commands/copy.c:2457 commands/copy.c:2474
 msgid "literal carriage return found in data"
 msgstr "se encontró un retorno de carro literal en los datos"
@@ -4917,17 +9278,170 @@
 msgid "incorrect binary data format"
 msgstr "el formato de datos binarios es incorrecto"
 
-#: commands/copy.c:3409 commands/indexcmds.c:863 commands/tablecmds.c:1923
-#: parser/parse_expr.c:472 utils/adt/tsvector_op.c:1371
-#, c-format
-msgid "column \"%s\" does not exist"
-msgstr "no existe la columna «%s»"
-
-#: commands/copy.c:3416 commands/tablecmds.c:1188 parser/parse_target.c:820
-#: parser/parse_target.c:831
-#, c-format
-msgid "column \"%s\" specified more than once"
-msgstr "la columna «%s» fue especificada más de una vez"
+#: commands/cluster.c:124 commands/cluster.c:472
+msgid "cannot cluster temporary tables of other sessions"
+msgstr "no se pueden reordenar tablas temporales de otras sesiones"
+
+#: commands/cluster.c:155
+#, c-format
+msgid "there is no previously clustered index for table \"%s\""
+msgstr "no hay un índice de ordenamiento definido para la tabla «%s»"
+
+#: commands/cluster.c:349
+#, c-format
+msgid "clustering \"%s.%s\""
+msgstr "reordenando «%s.%s»"
+
+#: commands/cluster.c:379
+#, c-format
+msgid "\"%s\" is not an index for table \"%s\""
+msgstr "«%s» no es un índice de la tabla «%s»"
+
+#: commands/cluster.c:392
+#, c-format
+msgid "cannot cluster on partial index \"%s\""
+msgstr "no se puede reordenar en índice parcial «%s»"
+
+#: commands/cluster.c:398
+#, c-format
+msgid ""
+"cannot cluster on index \"%s\" because access method does not support "
+"clustering"
+msgstr ""
+"no se puede reordenar en índice «%s» porque el método de acceso no soporta "
+"reordenamiento"
+
+#: commands/cluster.c:418
+#, c-format
+msgid ""
+"cannot cluster on index \"%s\" because access method does not handle null "
+"values"
+msgstr ""
+"no se puede reordenar en índice «%s» porque el método de acceso no maneja "
+"valores null"
+
+#: commands/cluster.c:421
+#, c-format
+msgid ""
+"You might be able to work around this by marking column \"%s\" NOT NULL, or "
+"use ALTER TABLE ... SET WITHOUT CLUSTER to remove the cluster specification "
+"from the table."
+msgstr ""
+"Quizás pueda corregir esto marcando la columna «%s» NOT NULL, o usando ALTER "
+"TABLE ... SET WITHOUT CLUSTER para eliminar la reordenación para la tabla."
+
+#: commands/cluster.c:423
+#, c-format
+msgid ""
+"You might be able to work around this by marking column \"%s\" NOT NULL."
+msgstr "Quizás pueda corregir esto marcando la columna «%s» NOT NULL."
+
+#: commands/cluster.c:434
+#, c-format
+msgid ""
+"cannot cluster on expressional index \"%s\" because its index access method "
+"does not handle null values"
+msgstr ""
+"no se puede reordenar en índice de expresión «%s» porque el método de acceso "
+"no maneja valores null"
+
+#: commands/cluster.c:449
+#, c-format
+msgid "cannot cluster on invalid index \"%s\""
+msgstr "no se puede reordenar en el índice no válido «%s»"
+
+#: commands/cluster.c:462
+#, c-format
+msgid "\"%s\" is a system catalog"
+msgstr "«%s» es un catálogo del sistema"
+
+#: commands/vacuumlazy.c:269
+#, c-format
+msgid ""
+"automatic vacuum of table \"%s.%s.%s\": index scans: %d\n"
+"pages: %d removed, %d remain\n"
+"tuples: %.0f removed, %.0f remain\n"
+"system usage: %s"
+msgstr ""
+"vacuum automático de la tabla «%s.%s.%s»: recorridos de índice: %d\n"
+"páginas: eliminadas %d, remanentes %d\n"
+"tuplas: eliminadas %.0f, remanentes %.0f\n"
+"uso del sistema: %s"
+
+#: commands/vacuumlazy.c:324 commands/vacuum.c:1459
+#, c-format
+msgid "vacuuming \"%s.%s\""
+msgstr "haciendo vacuum a «%s.%s»"
+
+#: commands/vacuumlazy.c:484 commands/vacuum.c:1518
+#, c-format
+msgid "relation \"%s\" page %u is uninitialized --- fixing"
+msgstr ""
+"la página %2$u de la relación «%1$s» no está inicializada --- arreglando"
+
+#: commands/vacuumlazy.c:831
+#, c-format
+msgid "\"%s\": removed %.0f row versions in %u pages"
+msgstr "«%s»: se eliminaron %.0f versiones de filas en %u páginas"
+
+#: commands/vacuumlazy.c:836
+#, c-format
+msgid ""
+"\"%s\": found %.0f removable, %.0f nonremovable row versions in %u out of %u "
+"pages"
+msgstr ""
+"«%s»: se encontraron %.0f versiones de filas eliminables y %.0f no "
+"eliminables en %u de %u páginas"
+
+#: commands/vacuumlazy.c:840
+#, c-format
+msgid ""
+"%.0f dead row versions cannot be removed yet.\n"
+"There were %.0f unused item pointers.\n"
+"%u pages are entirely empty.\n"
+"%s."
+msgstr ""
+"%.0f versiones muertas de filas no pueden ser eliminadas aún.\n"
+"Hubo %.0f punteros de ítem sin uso.\n"
+"%u páginas están completamente vacías.\n"
+"%s."
+
+#: commands/vacuumlazy.c:898
+#, c-format
+msgid "\"%s\": removed %d row versions in %d pages"
+msgstr "«%s»: se eliminaron %d versiones de filas en %d páginas"
+
+#: commands/vacuumlazy.c:901 commands/vacuumlazy.c:994
+#: commands/vacuumlazy.c:1129 commands/vacuum.c:2861
+#, c-format
+msgid "%s."
+msgstr "%s."
+
+#: commands/vacuumlazy.c:991
+#, c-format
+msgid "scanned index \"%s\" to remove %d row versions"
+msgstr "se recorrió el índice «%s» para eliminar %d versiones de filas"
+
+#: commands/vacuumlazy.c:1033 commands/vacuum.c:3528 commands/vacuum.c:3605
+#, c-format
+msgid "index \"%s\" now contains %.0f row versions in %u pages"
+msgstr "el índice «%s» ahora contiene %.0f versiones de filas en %u páginas"
+
+#: commands/vacuumlazy.c:1037 commands/vacuum.c:3609
+#, c-format
+msgid ""
+"%.0f index row versions were removed.\n"
+"%u index pages have been deleted, %u are currently reusable.\n"
+"%s."
+msgstr ""
+"%.0f versiones de filas del índice fueron eliminadas.\n"
+"%u páginas de índice han sido eliminadas, %u son reusables.\n"
+"%s."
+
+#: commands/vacuumlazy.c:1126 commands/vacuum.c:3435
+#, c-format
+msgid "\"%s\": truncated %u to %u pages"
+msgstr "«%s»: truncadas %u a %u páginas"
 
 #: commands/dbcommands.c:200
 msgid "LOCATION is not supported anymore"
@@ -4937,16 +9451,6 @@
 msgid "Consider using tablespaces instead."
 msgstr "Considere usar tablespaces."
 
-#: commands/dbcommands.c:224 utils/adt/ascii.c:144
-#, c-format
-msgid "%d is not a valid encoding code"
-msgstr "%d no es un código válido de codificación"
-
-#: commands/dbcommands.c:234 utils/adt/ascii.c:126
-#, c-format
-msgid "%s is not a valid encoding name"
-msgstr "%s no es un nombre válido de codificación"
-
 #: commands/dbcommands.c:252 commands/dbcommands.c:1355 commands/user.c:250
 #: commands/user.c:547
 #, c-format
@@ -5145,431 +9649,6 @@
 msgid "There are %d prepared transaction(s) using the database."
 msgstr "Hay otras %d transacciones preparadas usando la base de datos."
 
-#: commands/define.c:67 commands/define.c:213 commands/define.c:245
-#: commands/define.c:273
-#, c-format
-msgid "%s requires a parameter"
-msgstr "%s requiere un parámetro"
-
-#: commands/define.c:106 commands/define.c:117 commands/define.c:180
-#: commands/define.c:198
-#, c-format
-msgid "%s requires a numeric value"
-msgstr "%s requiere un valor numérico"
-
-#: commands/define.c:166
-#, c-format
-msgid "%s requires a Boolean value"
-msgstr "«%s» requiere un valor lógico (booleano)"
-
-#: commands/define.c:227
-#, c-format
-msgid "argument of %s must be a name"
-msgstr "el argumento de %s debe ser un nombre"
-
-#: commands/define.c:257
-#, c-format
-msgid "argument of %s must be a type name"
-msgstr "el argumento de %s debe ser un nombre de tipo"
-
-#: commands/define.c:282
-#, c-format
-msgid "%s requires an integer value"
-msgstr "%s requiere valor entero"
-
-#: commands/define.c:303
-#, c-format
-msgid "invalid argument for %s: \"%s\""
-msgstr "argumento no válido para %s: «%s»"
-
-#: commands/foreigncmds.c:132 commands/foreigncmds.c:141
-#, c-format
-msgid "option \"%s\" not found"
-msgstr "opción «%s» no encontrada"
-
-#: commands/foreigncmds.c:151
-#, c-format
-msgid "option \"%s\" provided more than once"
-msgstr "la opción «%s» fue especificada más de una vez"
-
-#: commands/foreigncmds.c:211 commands/foreigncmds.c:219
-#, c-format
-msgid "permission denied to change owner of foreign-data wrapper \"%s\""
-msgstr ""
-"se ha denegado el permiso para cambiar el dueño del foreign-data wrapper «%s»"
-
-#: commands/foreigncmds.c:213
-msgid "Must be superuser to change owner of a foreign-data wrapper."
-msgstr ""
-"Debe ser superusuario para cambiar el dueño de un foreign-data wrapper."
-
-#: commands/foreigncmds.c:221
-msgid "The owner of a foreign-data wrapper must be a superuser."
-msgstr "El dueño de un foreign-data wrapper debe ser un superusuario."
-
-#: commands/foreigncmds.c:230 commands/foreigncmds.c:459
-#: commands/foreigncmds.c:557 foreign/foreign.c:94
-#, c-format
-msgid "foreign-data wrapper \"%s\" does not exist"
-msgstr "no existe el foreign-data wrapper «%s»"
-
-#: commands/foreigncmds.c:274 commands/foreigncmds.c:732
-#: commands/foreigncmds.c:819 commands/foreigncmds.c:1100
-#: foreign/foreign.c:187
-#, c-format
-msgid "server \"%s\" does not exist"
-msgstr "no existe el servidor «%s»"
-
-#: commands/foreigncmds.c:353
-#, c-format
-msgid "permission denied to create foreign-data wrapper \"%s\""
-msgstr "se ha denegado el permiso para crear el foreign-data wrapper «%s»"
-
-#: commands/foreigncmds.c:355
-msgid "Must be superuser to create a foreign-data wrapper."
-msgstr "Debe ser superusuario para crear un foreign-data wrapper."
-
-#: commands/foreigncmds.c:366
-#, c-format
-msgid "foreign-data wrapper \"%s\" already exists"
-msgstr "el foreign-data wrapper «%s» ya existe"
-
-#: commands/foreigncmds.c:448
-#, c-format
-msgid "permission denied to alter foreign-data wrapper \"%s\""
-msgstr "permiso denegado para cambiar el foreign-data wrapper «%s»"
-
-#: commands/foreigncmds.c:450
-msgid "Must be superuser to alter a foreign-data wrapper."
-msgstr "Debe ser superusuario para alterar un foreign-data wrapper."
-
-#: commands/foreigncmds.c:479
-msgid ""
-"changing the foreign-data wrapper validator can cause the options for "
-"dependent objects to become invalid"
-msgstr ""
-"al cambiar el validador del conector de datos foráneos, las opciones para "
-"los objetos dependientes de él pueden volverse no válidas"
-
-#: commands/foreigncmds.c:548
-#, c-format
-msgid "permission denied to drop foreign-data wrapper \"%s\""
-msgstr ""
-"se ha denegado el permiso para eliminar el conector de datos externos «%s»"
-
-#: commands/foreigncmds.c:550
-msgid "Must be superuser to drop a foreign-data wrapper."
-msgstr "Debe ser superusuario para eliminar un conector de datos externos."
-
-#: commands/foreigncmds.c:562
-#, c-format
-msgid "foreign-data wrapper \"%s\" does not exist, skipping"
-msgstr "no existe el conector de datos externos «%s», ignorando"
-
-#: commands/foreigncmds.c:633
-#, c-format
-msgid "server \"%s\" already exists"
-msgstr "el servidor «%s» ya existe"
-
-#: commands/foreigncmds.c:823
-#, c-format
-msgid "server \"%s\" does not exist, skipping"
-msgstr "el servidor «%s» no existe, ignorando"
-
-#: commands/foreigncmds.c:931
-#, c-format
-msgid "user mapping \"%s\" already exists for server %s"
-msgstr "ya existe un mapeo para el usuario «%s» en el servidor %s"
-
-#: commands/foreigncmds.c:1010 commands/foreigncmds.c:1117
-#, c-format
-msgid "user mapping \"%s\" does not exist for the server"
-msgstr "no existe el mapeo para el usuario «%s» para el servidor"
-
-#: commands/foreigncmds.c:1103
-msgid "server does not exist, skipping"
-msgstr "el servidor no existe, ignorando"
-
-#: commands/foreigncmds.c:1122
-#, c-format
-msgid "user mapping \"%s\" does not exist for the server, skipping"
-msgstr "el mapeo para el usuario «%s» no existe para el servidor, ignorando"
-
-#: commands/functioncmds.c:98
-#, c-format
-msgid "SQL function cannot return shell type %s"
-msgstr "una función SQL no puede retornar el tipo inconcluso %s"
-
-#: commands/functioncmds.c:103
-#, c-format
-msgid "return type %s is only a shell"
-msgstr "el tipo de retorno %s está inconcluso"
-
-#: commands/functioncmds.c:126 commands/tablecmds.c:215
-#: commands/typecmds.c:648 commands/typecmds.c:2535 parser/parse_func.c:1320
-#: parser/parse_type.c:199 utils/adt/regproc.c:983
-#, c-format
-msgid "type \"%s\" does not exist"
-msgstr "no existe el tipo «%s»"
-
-#: commands/functioncmds.c:132 parser/parse_type.c:264
-#, c-format
-msgid "type modifier cannot be specified for shell type \"%s\""
-msgstr ""
-"no se puede especificar un modificador de tipo para el tipo inconcluso «%s»"
-
-#: commands/functioncmds.c:138
-#, c-format
-msgid "type \"%s\" is not yet defined"
-msgstr "el tipo «%s» no ha sido definido aún"
-
-#: commands/functioncmds.c:139
-msgid "Creating a shell type definition."
-msgstr "Creando una definición de tipo inconclusa."
-
-#: commands/functioncmds.c:218
-#, c-format
-msgid "SQL function cannot accept shell type %s"
-msgstr "las funciones SQL no pueden aceptar el tipo inconcluso %s"
-
-#: commands/functioncmds.c:223
-#, c-format
-msgid "argument type %s is only a shell"
-msgstr "el tipo de argumento %s está inconcluso"
-
-#: commands/functioncmds.c:233
-#, c-format
-msgid "type %s does not exist"
-msgstr "no existe el tipo %s"
-
-#: commands/functioncmds.c:241
-msgid "functions cannot accept set arguments"
-msgstr "funciones no pueden aceptar argumentos de conjunto"
-
-#: commands/functioncmds.c:250
-msgid "VARIADIC parameter must be the last input parameter"
-msgstr "el parámetro VARIADIC debe ser el último parámetro de entrada"
-
-#: commands/functioncmds.c:277
-msgid "VARIADIC parameter must be an array"
-msgstr "el parámetro VARIADIC debe ser un array"
-
-#: commands/functioncmds.c:299
-msgid "only input parameters can have default values"
-msgstr "solo los parámetros de entrada pueden tener valores por omisión"
-
-#: commands/functioncmds.c:311
-msgid "cannot use table references in parameter default value"
-msgstr ""
-"no se pueden usar referencias a tablas en el valor por omisión de un "
-"parámetro"
-
-#: commands/functioncmds.c:327
-msgid "cannot use subquery in parameter default value"
-msgstr ""
-"no se puede usar una subconsulta en el valor por omisión de un parámetro"
-
-#: commands/functioncmds.c:331
-msgid "cannot use aggregate function in parameter default value"
-msgstr ""
-"no se puede usar una función de agregación en el valor por omisión de un "
-"parámetro"
-
-#: commands/functioncmds.c:335
-msgid "cannot use window function in parameter default value"
-msgstr ""
-"no se puede usar una función ventana en el valor por omisión de un parámetro"
-
-#: commands/functioncmds.c:345
-msgid "input parameters after one with a default value must also have defaults"
-msgstr ""
-"los parámetros de entrada después de uno que tenga valor por omisión también "
-"deben tener valores por omisión"
-
-#: commands/functioncmds.c:584
-msgid "no function body specified"
-msgstr "no se ha especificado un cuerpo para la función"
-
-#: commands/functioncmds.c:594
-msgid "no language specified"
-msgstr "no se ha especificado el lenguaje"
-
-#: commands/functioncmds.c:615 commands/functioncmds.c:1332
-msgid "COST must be positive"
-msgstr "COST debe ser positivo"
-
-#: commands/functioncmds.c:623 commands/functioncmds.c:1340
-msgid "ROWS must be positive"
-msgstr "ROWS debe ser positivo"
-
-#: commands/functioncmds.c:662
-#, c-format
-msgid "unrecognized function attribute \"%s\" ignored"
-msgstr "se ignoró el atributo de función no reconocido «%s»"
-
-#: commands/functioncmds.c:713
-#, c-format
-msgid "only one AS item needed for language \"%s\""
-msgstr "sólo se requiere un item AS para el lenguaje «%s»"
-
-#: commands/functioncmds.c:807
-msgid "Use CREATE LANGUAGE to load the language into the database."
-msgstr "Usar CREATE LANGUAGE para instalar el lenguaje en la base de datos."
-
-#: commands/functioncmds.c:854
-#, c-format
-msgid "function result type must be %s because of OUT parameters"
-msgstr "tipo de retorno de función debe ser %s debido a los parámetros OUT"
-
-#: commands/functioncmds.c:867
-msgid "function result type must be specified"
-msgstr "el tipo de retorno de la función debe ser especificado"
-
-#: commands/functioncmds.c:902 commands/functioncmds.c:1344
-msgid "ROWS is not applicable when function does not return a set"
-msgstr "ROWS no es aplicable cuando una función no retorna un conjunto"
-
-#: commands/functioncmds.c:954
-#, c-format
-msgid "function %s(%s) does not exist, skipping"
-msgstr "no existe la función %s(%s), ignorando"
-
-#: commands/functioncmds.c:976 commands/functioncmds.c:1082
-#: commands/functioncmds.c:1147 commands/functioncmds.c:1302
-#: utils/adt/ruleutils.c:1476
-#, c-format
-msgid "\"%s\" is an aggregate function"
-msgstr "«%s» es una función de agregación"
-
-#: commands/functioncmds.c:978
-msgid "Use DROP AGGREGATE to drop aggregate functions."
-msgstr "Use DROP AGGREGATE para eliminar funciones de agregación."
-
-#: commands/functioncmds.c:985
-#, c-format
-msgid "removing built-in function \"%s\""
-msgstr "eliminando la función interna «%s»"
-
-#: commands/functioncmds.c:1084
-msgid "Use ALTER AGGREGATE to rename aggregate functions."
-msgstr ""
-"Use ALTER AGGREGATE para cambiar el nombre a las funciones de agregación."
-
-#: commands/functioncmds.c:1149
-msgid "Use ALTER AGGREGATE to change owner of aggregate functions."
-msgstr ""
-"Use ALTER AGGREGATE para cambiar el dueño a las funciones de agregación."
-
-#: commands/functioncmds.c:1495
-#, c-format
-msgid "source data type %s is a pseudo-type"
-msgstr "el tipo de origen %s es un pseudotipo"
-
-#: commands/functioncmds.c:1501
-#, c-format
-msgid "target data type %s is a pseudo-type"
-msgstr "el tipo de retorno %s es un pseudotipo"
-
-#: commands/functioncmds.c:1540
-msgid "cast function must take one to three arguments"
-msgstr "la función de conversión lleva de uno a tres argumentos"
-
-#: commands/functioncmds.c:1544
-msgid ""
-"argument of cast function must match or be binary-coercible from source data "
-"type"
-msgstr ""
-"el argumento de la función de conversión debe coincidir o ser binario-"
-"convertible con el tipo de origen"
-
-#: commands/functioncmds.c:1548
-msgid "second argument of cast function must be type integer"
-msgstr "el segundo argumento de la función de conversión debe ser entero"
-
-#: commands/functioncmds.c:1552
-msgid "third argument of cast function must be type boolean"
-msgstr ""
-"el tercer argumento de la función de conversión debe ser de tipo boolean"
-
-#: commands/functioncmds.c:1556
-msgid ""
-"return data type of cast function must match or be binary-coercible to "
-"target data type"
-msgstr ""
-"el tipo de salida de la función de conversión debe coincidir o ser binario-"
-"convertible con el tipo de retorno"
-
-#: commands/functioncmds.c:1567
-msgid "cast function must not be volatile"
-msgstr "la función de conversión no debe ser volatile"
-
-#: commands/functioncmds.c:1572
-msgid "cast function must not be an aggregate function"
-msgstr "la función de conversión no debe ser una función de agregación"
-
-#: commands/functioncmds.c:1576
-msgid "cast function must not be a window function"
-msgstr "la función de conversión no debe ser una función ventana"
-
-#: commands/functioncmds.c:1580
-msgid "cast function must not return a set"
-msgstr "la función de conversión no debe retornar un conjunto"
-
-#: commands/functioncmds.c:1606
-msgid "must be superuser to create a cast WITHOUT FUNCTION"
-msgstr ""
-"debe ser superusuario para crear una conversión sin especificar función"
-
-#: commands/functioncmds.c:1621
-msgid "source and target data types are not physically compatible"
-msgstr "los tipos de datos de origen y destino no son físicamente compatibles"
-
-#: commands/functioncmds.c:1636
-msgid "composite data types are not binary-compatible"
-msgstr "los tipos de datos compuestos no son binario-compatibles"
-
-#: commands/functioncmds.c:1642
-msgid "enum data types are not binary-compatible"
-msgstr "los tipos de datos enum no son binario-compatibles"
-
-#: commands/functioncmds.c:1648
-msgid "array data types are not binary-compatible"
-msgstr "los tipos de datos de array no son binario-compatibles"
-
-#: commands/functioncmds.c:1658
-msgid "source data type and target data type are the same"
-msgstr "el tipo de origen y el tipo de retorno son el mismo"
-
-#: commands/functioncmds.c:1692
-#, c-format
-msgid "cast from type %s to type %s already exists"
-msgstr "ya existe una conversión del tipo %s al tipo %s"
-
-#: commands/functioncmds.c:1773
-#, c-format
-msgid "cast from type %s to type %s does not exist, skipping"
-msgstr "no existe la conversión del tipo %s al tipo %s, ignorando"
-
-#: commands/functioncmds.c:1872
-#, c-format
-msgid "function \"%s\" is already in schema \"%s\""
-msgstr "la función «%s» ya está en el esquema «%s»"
-
-#: commands/functioncmds.c:1880 commands/tablecmds.c:7612
-#: commands/typecmds.c:2761
-msgid "cannot move objects into or out of temporary schemas"
-msgstr "no se puede mover objetos hacia o desde esquemas temporales"
-
-#: commands/functioncmds.c:1886 commands/tablecmds.c:7618
-#: commands/typecmds.c:2767
-msgid "cannot move objects into or out of TOAST schema"
-msgstr "no se puede mover objetos hacia o desde el esquema TOAST"
-
-#: commands/functioncmds.c:1896
-#, c-format
-msgid "function \"%s\" already exists in schema \"%s\""
-msgstr "ya existe una función llamada %s en el esquema «%s»"
-
 #: commands/indexcmds.c:150
 msgid "must specify at least one column"
 msgstr "debe especificar al menos una columna"
@@ -5587,6 +9666,16 @@
 msgid "substituting access method \"gist\" for obsolete method \"rtree\""
 msgstr "sustituyendo el método de acceso obsoleto «rtree» por «gist»"
 
+#: commands/indexcmds.c:287 commands/opclasscmds.c:290
+#: commands/opclasscmds.c:682 commands/opclasscmds.c:785
+#: commands/opclasscmds.c:1517 commands/opclasscmds.c:1580
+#: commands/opclasscmds.c:1748 commands/opclasscmds.c:1848
+#: commands/opclasscmds.c:1945 commands/opclasscmds.c:2093
+#: commands/comment.c:1238 commands/comment.c:1324
+#, c-format
+msgid "access method \"%s\" does not exist"
+msgstr "no existe el método de acceso «%s»"
+
 #: commands/indexcmds.c:296
 #, c-format
 msgid "access method \"%s\" does not support unique indexes"
@@ -5671,6 +9760,15 @@
 "Debe especificar una clase de operadores para el índice, o definir una clase "
 "de operadores por omisión para el tipo de datos."
 
+#: commands/indexcmds.c:1041 commands/indexcmds.c:1051
+#: commands/opclasscmds.c:1529 commands/opclasscmds.c:1533
+#: commands/opclasscmds.c:1770 commands/opclasscmds.c:1781
+#: commands/opclasscmds.c:1969 commands/opclasscmds.c:1980
+#: commands/comment.c:1267 commands/comment.c:1277
+#, c-format
+msgid "operator class \"%s\" does not exist for access method \"%s\""
+msgstr "no existe la clase de operadores «%s» para el método de acceso «%s»"
+
 #: commands/indexcmds.c:1064
 #, c-format
 msgid "operator class \"%s\" does not accept data type %s"
@@ -5702,15 +9800,33 @@
 msgid "table \"%s\" was reindexed"
 msgstr "la tabla «%s» fue reindexada"
 
-#: commands/lockcmds.c:84
-#, c-format
-msgid "could not obtain lock on relation \"%s\""
-msgstr "no se pudo obtener un bloqueo en la relación «%s»"
-
-#: commands/lockcmds.c:89
-#, c-format
-msgid "could not obtain lock on relation with OID %u"
-msgstr "no se pudo obtener un bloqueo en la relación con OID %u"
+#: commands/view.c:138
+msgid "view must have at least one column"
+msgstr "una vista debe tener al menos una columna"
+
+#: commands/view.c:259 commands/view.c:271
+msgid "cannot drop columns from view"
+msgstr "no se pueden eliminar columnas de una vista"
+
+#: commands/view.c:276
+#, c-format
+msgid "cannot change name of view column \"%s\" to \"%s\""
+msgstr "no se puede cambiar el nombre de la columna «%s» de la vista a «%s»"
+
+#: commands/view.c:284
+#, c-format
+msgid "cannot change data type of view column \"%s\" from %s to %s"
+msgstr ""
+"no se puede cambiar el tipo de dato de la columna «%s» de la vista de %s a %s"
+
+#: commands/view.c:440
+msgid "CREATE VIEW specifies more column names than columns"
+msgstr "CREATE VIEW especifica más nombres de columna que columnas"
+
+#: commands/view.c:456
+#, c-format
+msgid "view \"%s\" will be a temporary view"
+msgstr "la vista «%s» será una vista temporal"
 
 #: commands/opclasscmds.c:197 commands/opclasscmds.c:715
 #, c-format
@@ -5721,6 +9837,15 @@
 msgid "must be superuser to create an operator class"
 msgstr "debe ser superusuario para crear una clase de operadores"
 
+#: commands/opclasscmds.c:352 commands/opclasscmds.c:805
+#: commands/opclasscmds.c:1592 commands/opclasscmds.c:1596
+#: commands/opclasscmds.c:1870 commands/opclasscmds.c:1881
+#: commands/opclasscmds.c:2117 commands/opclasscmds.c:2128
+#: commands/comment.c:1353 commands/comment.c:1363
+#, c-format
+msgid "operator family \"%s\" does not exist for access method \"%s\""
+msgstr "no existe la familia de operadores «%s» para el método de acceso «%s»"
+
 #: commands/opclasscmds.c:413 commands/opclasscmds.c:865
 #: commands/opclasscmds.c:987
 #, c-format
@@ -5862,796 +9987,84 @@
 "ya existe una familia de operadores «%s» para el método de acceso «%s» en el "
 "esquema «%s»"
 
-#: commands/operatorcmds.c:110 commands/operatorcmds.c:118
-msgid "SETOF type not allowed for operator argument"
-msgstr "no se permite un tipo SETOF en los argumentos de un operador"
-
-#: commands/operatorcmds.c:146
-#, c-format
-msgid "operator attribute \"%s\" not recognized"
-msgstr "el atributo de operador «%s» no es reconocido"
-
-#: commands/operatorcmds.c:156
-msgid "operator procedure must be specified"
-msgstr "debe especificarse un procedimiento de operador"
-
-#: commands/operatorcmds.c:167
-msgid "at least one of leftarg or rightarg must be specified"
-msgstr "debe especificar al menos uno de los argumentos izquierdo o derecho"
-
-#: commands/operatorcmds.c:216
-#, c-format
-msgid "restriction estimator function %s must return type \"float8\""
-msgstr "la función de estimación de restricción %s debe retornar tipo «float8»"
-
-#: commands/operatorcmds.c:255
-#, c-format
-msgid "join estimator function %s must return type \"float8\""
-msgstr "la función de estimación de join %s debe retornar tipo «float8»"
-
-#: commands/operatorcmds.c:306
-#, c-format
-msgid "operator %s does not exist, skipping"
-msgstr "el operador %s no existe, ignorando"
-
-#: commands/portalcmds.c:61 commands/portalcmds.c:160
-#: commands/portalcmds.c:212
-msgid "invalid cursor name: must not be empty"
-msgstr "el nombre de cursor no es válido: no debe ser vacío"
-
-#: commands/portalcmds.c:168 commands/portalcmds.c:222
-#: executor/execCurrent.c:66 utils/adt/xml.c:2033 utils/adt/xml.c:2197
-#, c-format
-msgid "cursor \"%s\" does not exist"
-msgstr "no existe el cursor «%s»"
-
-#: commands/portalcmds.c:329 tcop/pquery.c:745 tcop/pquery.c:1366
-#, c-format
-msgid "portal \"%s\" cannot be run"
-msgstr "el portal «%s» no puede ser ejecutado"
-
-#: commands/portalcmds.c:402
-msgid "could not reposition held cursor"
-msgstr "no se pudo reposicionar cursor abierto"
-
-#: commands/prepare.c:71
-msgid "invalid statement name: must not be empty"
-msgstr "el nombre de sentencia no es válido: no debe ser vacío"
-
-#: commands/prepare.c:122 tcop/postgres.c:1245 parser/analyze.c:2275
-#, c-format
-msgid "could not determine data type of parameter $%d"
-msgstr "no se pudo determinar el tipo del parámetro $%d"
-
-#: commands/prepare.c:140
-msgid "utility statements cannot be prepared"
-msgstr "sentencias de utilidad no pueden ser preparadas"
-
-#: commands/prepare.c:240 commands/prepare.c:247 commands/prepare.c:702
-msgid "prepared statement is not a SELECT"
-msgstr "la sentencia preparada no es un SELECT"
-
-#: commands/prepare.c:314
-#, c-format
-msgid "wrong number of parameters for prepared statement \"%s\""
-msgstr "el número de parámetros es incorrecto en la sentencia preparada «%s»"
-
-#: commands/prepare.c:316
-#, c-format
-msgid "Expected %d parameters but got %d."
-msgstr "Se esperaban %d parámetros pero se obtuvieron %d."
-
-#: commands/prepare.c:345
-msgid "cannot use subquery in EXECUTE parameter"
-msgstr "no se puede usar una subconsulta en un parámetro a EXECUTE"
-
-#: commands/prepare.c:349
-msgid "cannot use aggregate function in EXECUTE parameter"
-msgstr "no se puede usar una función de agregación en un parámetro a EXECUTE"
-
-#: commands/prepare.c:353
-msgid "cannot use window function in EXECUTE parameter"
-msgstr "no se puede usar una función ventana en un parámetro a EXECUTE"
-
-#: commands/prepare.c:366
-#, c-format
-msgid "parameter $%d of type %s cannot be coerced to the expected type %s"
-msgstr ""
-"el parámetro $%d de tipo %s no puede ser convertido al tipo esperado %s"
-
-#: commands/prepare.c:459
-#, c-format
-msgid "prepared statement \"%s\" already exists"
-msgstr "la sentencia preparada «%s» ya existe"
-
-#: commands/prepare.c:517
-#, c-format
-msgid "prepared statement \"%s\" does not exist"
-msgstr "no existe la sentencia preparada «%s»"
-
-#: commands/prepare.c:749 executor/execQual.c:1577 executor/execQual.c:1602
-#: executor/execQual.c:1963 executor/execQual.c:5129 executor/functions.c:649
-#: foreign/foreign.c:281 utils/mmgr/portalmem.c:937 utils/fmgr/funcapi.c:60
-msgid "set-valued function called in context that cannot accept a set"
-msgstr ""
-"se llamó una función que retorna un conjunto en un contexto que no puede "
-"aceptarlo"
-
-#: commands/prepare.c:753 foreign/foreign.c:286 utils/mmgr/portalmem.c:941
-msgid "materialize mode required, but it is not allowed in this context"
-msgstr ""
-"se requiere un nodo «materialize», pero no está permitido en este contexto"
-
-#: commands/proclang.c:83 commands/proclang.c:514
-#, c-format
-msgid "language \"%s\" already exists"
-msgstr "ya existe el lenguaje «%s»"
-
-#: commands/proclang.c:98
-msgid "using pg_pltemplate information instead of CREATE LANGUAGE parameters"
-msgstr ""
-"usando información de pg_pltemplate en vez de los parámetros de CREATE "
-"LANGUAGE"
-
-#: commands/proclang.c:108
-#, c-format
-msgid "must be superuser to create procedural language \"%s\""
-msgstr "debe ser superusuario para crear el lenguaje procedural «%s»"
-
-#: commands/proclang.c:128 commands/proclang.c:245
-#, c-format
-msgid "function %s must return type \"language_handler\""
-msgstr "la función %s debe retornar tipo «language_handler»"
-
-#: commands/proclang.c:209
-#, c-format
-msgid "unsupported language \"%s\""
-msgstr "lenguaje no soportado: «%s»"
-
-#: commands/proclang.c:211
-msgid "The supported languages are listed in the pg_pltemplate system catalog."
-msgstr ""
-"Los lenguajes soportados están listados en el catálogo del sistema "
-"pg_pltemplate."
-
-#: commands/proclang.c:219
-msgid "must be superuser to create custom procedural language"
-msgstr "debe ser superusuario para crear un lenguaje procedural personalizado"
-
-#: commands/proclang.c:238
-#, c-format
-msgid ""
-"changing return type of function %s from \"opaque\" to \"language_handler\""
-msgstr ""
-"cambiando el tipo de retorno de la función %s de «opaque» a "
-"«language_handler»"
-
-#: commands/proclang.c:436
-#, c-format
-msgid "language \"%s\" does not exist, skipping"
-msgstr "el lenguaje «%s» no existe, ignorando"
-
-#: commands/schemacmds.c:82 commands/schemacmds.c:293
-#, c-format
-msgid "unacceptable schema name \"%s\""
-msgstr "el nombre de schema «%s» es inaceptable"
-
-#: commands/schemacmds.c:83 commands/schemacmds.c:294
-msgid "The prefix \"pg_\" is reserved for system schemas."
-msgstr "El prefijo «pg_» está reservado para esquemas del sistema."
-
-#: commands/schemacmds.c:197
-#, c-format
-msgid "schema \"%s\" does not exist, skipping"
-msgstr "el esquema «%s» no existe, ignorando"
-
-#: commands/sequence.c:547
-#, c-format
-msgid "nextval: reached maximum value of sequence \"%s\" (%s)"
-msgstr "nextval: se alcanzó el valor máximo de la secuencia «%s» (%s)"
-
-#: commands/sequence.c:570
-#, c-format
-msgid "nextval: reached minimum value of sequence \"%s\" (%s)"
-msgstr "nextval: se alcanzó el valor mínimo de la secuencia «%s» (%s)"
-
-#: commands/sequence.c:668
-#, c-format
-msgid "currval of sequence \"%s\" is not yet defined in this session"
-msgstr "currval de la secuencia «%s» no está definido en esta sesión"
-
-#: commands/sequence.c:687 commands/sequence.c:695
-msgid "lastval is not yet defined in this session"
-msgstr "lastval no está definido en esta sesión"
-
-#: commands/sequence.c:759
-#, c-format
-msgid "setval: value %s is out of bounds for sequence \"%s\" (%s..%s)"
-msgstr "setval: el valor %s está fuera del rango de la secuencia «%s» (%s..%s)"
-
-#: commands/sequence.c:1104
-msgid "INCREMENT must not be zero"
-msgstr "INCREMENT no debe ser cero"
-
-#: commands/sequence.c:1150
-#, c-format
-msgid "MINVALUE (%s) must be less than MAXVALUE (%s)"
-msgstr "MINVALUE (%s) debe ser menor que MAXVALUE (%s)"
-
-#: commands/sequence.c:1175
-#, c-format
-msgid "START value (%s) cannot be less than MINVALUE (%s)"
-msgstr "el valor START (%s) no puede ser menor que MINVALUE (%s)"
-
-#: commands/sequence.c:1187
-#, c-format
-msgid "START value (%s) cannot be greater than MAXVALUE (%s)"
-msgstr "el valor START (%s) no puede ser mayor que MAXVALUE (%s)"
-
-#: commands/sequence.c:1218
-#, c-format
-msgid "RESTART value (%s) cannot be less than MINVALUE (%s)"
-msgstr "el valor RESTART (%s) no puede ser menor que MINVALUE (%s)"
-
-#: commands/sequence.c:1230
-#, c-format
-msgid "RESTART value (%s) cannot be greater than MAXVALUE (%s)"
-msgstr "el valor RESTART (%s) no puede ser mayor que MAXVALUE (%s)"
-
-#: commands/sequence.c:1245
-#, c-format
-msgid "CACHE (%s) must be greater than zero"
-msgstr "CACHE (%s) debe ser mayor que cero"
-
-#: commands/sequence.c:1276
-msgid "invalid OWNED BY option"
-msgstr "opción OWNED BY no válida"
-
-#: commands/sequence.c:1277
-msgid "Specify OWNED BY table.column or OWNED BY NONE."
-msgstr "Especifique OWNED BY tabla.columna o OWNED BY NONE."
-
-#: commands/sequence.c:1299 commands/tablecmds.c:4617
-#, c-format
-msgid "referenced relation \"%s\" is not a table"
-msgstr "la relación referida «%s» no es una tabla"
-
-#: commands/sequence.c:1306
-msgid "sequence must have same owner as table it is linked to"
-msgstr ""
-"la secuencia debe tener el mismo dueño que la tabla a la que está enlazada"
-
-#: commands/sequence.c:1310
-msgid "sequence must be in same schema as table it is linked to"
-msgstr ""
-"la secuencia debe estar en el mismo esquema que la tabla a la que está "
-"enlazada"
-
-#: commands/tablecmds.c:191
-#, c-format
-msgid "table \"%s\" does not exist"
-msgstr "no existe la tabla «%s»"
-
-#: commands/tablecmds.c:192
-#, c-format
-msgid "table \"%s\" does not exist, skipping"
-msgstr "la tabla «%s» no existe, ignorando"
-
-#: commands/tablecmds.c:194
-msgid "Use DROP TABLE to remove a table."
-msgstr "Use DROP TABLE para eliminar una tabla."
-
-#: commands/tablecmds.c:197
-#, c-format
-msgid "sequence \"%s\" does not exist"
-msgstr "no existe la secuencia «%s»"
-
-#: commands/tablecmds.c:198
-#, c-format
-msgid "sequence \"%s\" does not exist, skipping"
-msgstr "la secuencia «%s» no existe, ignorando"
-
-#: commands/tablecmds.c:200
-msgid "Use DROP SEQUENCE to remove a sequence."
-msgstr "Use DROP SEQUENCE para eliminar una secuencia."
-
-#: commands/tablecmds.c:203
-#, c-format
-msgid "view \"%s\" does not exist"
-msgstr "no existe la vista «%s»"
-
-#: commands/tablecmds.c:204
-#, c-format
-msgid "view \"%s\" does not exist, skipping"
-msgstr "la vista «%s» no existe, ignorando"
-
-#: commands/tablecmds.c:206
-msgid "Use DROP VIEW to remove a view."
-msgstr "Use DROP VIEW para eliminar una vista."
-
-#: commands/tablecmds.c:209
-#, c-format
-msgid "index \"%s\" does not exist"
-msgstr "no existe el índice «%s»"
-
-#: commands/tablecmds.c:210
-#, c-format
-msgid "index \"%s\" does not exist, skipping"
-msgstr "el índice «%s» no existe, ignorando"
-
-#: commands/tablecmds.c:212
-msgid "Use DROP INDEX to remove an index."
-msgstr "Use DROP INDEX para eliminar un índice."
-
-#: commands/tablecmds.c:216 commands/typecmds.c:654
-#, c-format
-msgid "type \"%s\" does not exist, skipping"
-msgstr "el tipo «%s» no existe, ignorando"
-
-#: commands/tablecmds.c:217
-#, c-format
-msgid "\"%s\" is not a type"
-msgstr "«%s» no es un tipo"
-
-#: commands/tablecmds.c:218
-msgid "Use DROP TYPE to remove a type."
-msgstr "Use DROP TYPE para eliminar un tipo."
-
-#: commands/tablecmds.c:370 executor/execMain.c:2886
-msgid "ON COMMIT can only be used on temporary tables"
-msgstr "ON COMMIT sólo puede ser usado en tablas temporales"
-
-#: commands/tablecmds.c:380 executor/execMain.c:2896
-msgid "cannot create temporary table within security-restricted operation"
-msgstr ""
-"no se puede crear una tabla temporal dentro una operación restringida por "
-"seguridad"
-
-#: commands/tablecmds.c:742 commands/tablecmds.c:1052
-#: commands/tablecmds.c:1870 commands/tablecmds.c:3253
-#: commands/tablecmds.c:3282 commands/tablecmds.c:4623 commands/trigger.c:121
-#: commands/trigger.c:809 tcop/utility.c:90 rewrite/rewriteDefine.c:259
-#, c-format
-msgid "permission denied: \"%s\" is a system catalog"
-msgstr "permiso denegado: «%s» es un catálogo de sistema"
-
-#: commands/tablecmds.c:853
-#, c-format
-msgid "truncate cascades to table \"%s\""
-msgstr "truncando además la tabla «%s»"
-
-#: commands/tablecmds.c:1062
-#, c-format
-msgid "cannot truncate system relation \"%s\""
-msgstr "no se puede truncar la relación de sistema «%s»"
-
-#: commands/tablecmds.c:1072
-msgid "cannot truncate temporary tables of other sessions"
-msgstr "no se pueden truncar tablas temporales de otras sesiones"
-
-#: commands/tablecmds.c:1213 parser/parse_utilcmd.c:557
-#: parser/parse_utilcmd.c:1163
-#, c-format
-msgid "inherited relation \"%s\" is not a table"
-msgstr "la relación heredada «%s» no es una tabla"
-
-#: commands/tablecmds.c:1219 commands/tablecmds.c:6956
-#, c-format
-msgid "cannot inherit from temporary relation \"%s\""
-msgstr "no se puede heredar de la tabla temporal «%s»"
-
-#: commands/tablecmds.c:1236 commands/tablecmds.c:6984
-#, c-format
-msgid "relation \"%s\" would be inherited from more than once"
-msgstr "se heredaría de la relación «%s» más de una vez"
-
-#: commands/tablecmds.c:1291
-#, c-format
-msgid "merging multiple inherited definitions of column \"%s\""
-msgstr "mezclando múltiples definiciones heredadas de la columna «%s»"
-
-#: commands/tablecmds.c:1299
-#, c-format
-msgid "inherited column \"%s\" has a type conflict"
-msgstr "columna heredada «%s» tiene conflicto de tipos"
-
-#: commands/tablecmds.c:1301 commands/tablecmds.c:1459
-#: parser/parse_coerce.c:302 parser/parse_coerce.c:1488
-#: parser/parse_coerce.c:1507 parser/parse_coerce.c:1552
-#: parser/parse_expr.c:1878
-#, c-format
-msgid "%s versus %s"
-msgstr "%s versus %s"
-
-#: commands/tablecmds.c:1449
-#, c-format
-msgid "merging column \"%s\" with inherited definition"
-msgstr "mezclando la columna «%s» con la definición heredada"
-
-#: commands/tablecmds.c:1457
-#, c-format
-msgid "column \"%s\" has a type conflict"
-msgstr "la columna «%s» tiene conflicto de tipos"
-
-#: commands/tablecmds.c:1508
-#, c-format
-msgid "column \"%s\" inherits conflicting default values"
-msgstr "la columna «%s» hereda valores por omisión no coincidentes"
-
-#: commands/tablecmds.c:1510
-msgid "To resolve the conflict, specify a default explicitly."
-msgstr ""
-"Para resolver el conflicto, indique explícitamente un valor por omisión."
-
-#: commands/tablecmds.c:1557
-#, c-format
-msgid ""
-"check constraint name \"%s\" appears multiple times but with different "
-"expressions"
-msgstr ""
-"la restricción «check» «%s» aparece más de una vez con diferentes expresiones"
-
-#: commands/tablecmds.c:1913
-#, c-format
-msgid "inherited column \"%s\" must be renamed in child tables too"
-msgstr ""
-"debe cambiar el nombre a la columna heredada «%s» en las tablas hijas también"
-
-#: commands/tablecmds.c:1931
-#, c-format
-msgid "cannot rename system column \"%s\""
-msgstr "no se puede cambiar el nombre a la columna de sistema «%s»"
-
-#: commands/tablecmds.c:1941
-#, c-format
-msgid "cannot rename inherited column \"%s\""
-msgstr "no se puede cambiar el nombre a la columna heredada «%s»"
-
-#: commands/tablecmds.c:1952 commands/tablecmds.c:3595
-#, c-format
-msgid "column \"%s\" of relation \"%s\" already exists"
-msgstr "ya existe la columna «%s» en la relación «%s»"
-
-#: commands/tablecmds.c:2073 commands/tablecmds.c:6281
-#: commands/tablecmds.c:7586
-msgid "Use ALTER TYPE instead."
-msgstr "Considere usar ALTER TYPE."
-
-#. translator: first %s is a SQL command, eg ALTER TABLE
-#: commands/tablecmds.c:2198
-#, c-format
-msgid ""
-"cannot %s \"%s\" because it is being used by active queries in this session"
-msgstr ""
-"no se puede hacer %s en «%s» porque está siendo usada por consultas activas "
-"en esta sesión"
-
-#. translator: first %s is a SQL command, eg ALTER TABLE
-#: commands/tablecmds.c:2207
-#, c-format
-msgid "cannot %s \"%s\" because it has pending trigger events"
-msgstr ""
-"no se puede hacer %s en «%s» porque tiene eventos de disparador pendientes"
-
-#: commands/tablecmds.c:2802
-#, c-format
-msgid "cannot rewrite system relation \"%s\""
-msgstr "no se puede reescribir la relación de sistema «%s»"
-
-#: commands/tablecmds.c:2812
-msgid "cannot rewrite temporary tables of other sessions"
-msgstr "no se puede reescribir tablas temporales de otras sesiones"
-
-#: commands/tablecmds.c:3138
-#, c-format
-msgid "column \"%s\" contains null values"
-msgstr "la columna «%s» contiene valores nulos"
-
-#: commands/tablecmds.c:3152
-#, c-format
-msgid "check constraint \"%s\" is violated by some row"
-msgstr "la restricción check «%s» es violada por alguna fila"
-
-#: commands/tablecmds.c:3235 rewrite/rewriteDefine.c:253
-#, c-format
-msgid "\"%s\" is not a table or view"
-msgstr "«%s» no es una tabla o vista"
-
-#: commands/tablecmds.c:3271 commands/tablecmds.c:4023
-#, c-format
-msgid "\"%s\" is not a table or index"
-msgstr "«%s» no es una tabla o índice"
-
-#: commands/tablecmds.c:3426
-#, c-format
-msgid "cannot alter table \"%s\" because column \"%s\".\"%s\" uses its rowtype"
-msgstr ""
-"no se puede alterar la tabla «%s» porque la columna «%s».«%s» usa su tipo"
-
-#: commands/tablecmds.c:3433
-#, c-format
-msgid "cannot alter type \"%s\" because column \"%s\".\"%s\" uses it"
-msgstr "no se puede alterar el tipo «%s» porque la columna «%s».«%s» lo usa"
-
-#: commands/tablecmds.c:3504
-msgid "column must be added to child tables too"
-msgstr "la columna debe ser agregada a las tablas hijas también"
-
-#: commands/tablecmds.c:3549 commands/tablecmds.c:7140
-#, c-format
-msgid "child table \"%s\" has different type for column \"%s\""
-msgstr "la tabla hija «%s» tiene un tipo diferente para la columna «%s»"
-
-#: commands/tablecmds.c:3556
-#, c-format
-msgid "child table \"%s\" has a conflicting \"%s\" column"
-msgstr "tabla hija «%s» tiene una columna «%s» que entra en conflicto"
-
-#: commands/tablecmds.c:3568
-#, c-format
-msgid "merging definition of column \"%s\" for child \"%s\""
-msgstr "mezclando la definición de la columna «%s» en la tabla hija «%s»"
-
-#: commands/tablecmds.c:3843 commands/tablecmds.c:3935
-#: commands/tablecmds.c:3980 commands/tablecmds.c:4076
-#: commands/tablecmds.c:4137 commands/tablecmds.c:5596
-#, c-format
-msgid "cannot alter system column \"%s\""
-msgstr "no se puede alterar columna de sistema «%s»"
-
-#: commands/tablecmds.c:3879
-#, c-format
-msgid "column \"%s\" is in a primary key"
-msgstr "la columna «%s» está en la llave primaria"
-
-#: commands/tablecmds.c:4050
-#, c-format
-msgid "statistics target %d is too low"
-msgstr "el valor de estadísticas %d es demasiado bajo"
-
-#: commands/tablecmds.c:4058
-#, c-format
-msgid "lowering statistics target to %d"
-msgstr "bajando el valor de estadísticas a %d"
-
-#: commands/tablecmds.c:4118
-#, c-format
-msgid "invalid storage type \"%s\""
-msgstr "tipo de almacenamiento no válido «%s»"
-
-#: commands/tablecmds.c:4149
-#, c-format
-msgid "column data type %s can only have storage PLAIN"
-msgstr ""
-"el tipo de datos %s de la columna sólo puede tener almacenamiento PLAIN"
-
-#: commands/tablecmds.c:4204
-#, c-format
-msgid "cannot drop system column \"%s\""
-msgstr "no se puede eliminar la columna de sistema «%s»"
-
-#: commands/tablecmds.c:4211
-#, c-format
-msgid "cannot drop inherited column \"%s\""
-msgstr "no se puede eliminar la columna heredada «%s»"
-
-#: commands/tablecmds.c:4552
-msgid "constraint must be added to child tables too"
-msgstr "la restricción debe ser agregada a las tablas hijas también"
-
-#: commands/tablecmds.c:4639
-msgid "cannot reference temporary table from permanent table constraint"
-msgstr ""
-"no se puede referir a una tabla temporal en una restricción de una tabla "
-"permanente"
-
-#: commands/tablecmds.c:4646
-msgid "cannot reference permanent table from temporary table constraint"
-msgstr ""
-"no se puede referir a una tabla permanente en una restricción de una tabla "
-"temporal"
-
-#: commands/tablecmds.c:4706
-msgid "number of referencing and referenced columns for foreign key disagree"
-msgstr ""
-"el número de columnas referidas en la llave foránea no coincide con el "
-"número de columnas de referencia"
-
-#: commands/tablecmds.c:4797
-#, c-format
-msgid "foreign key constraint \"%s\" cannot be implemented"
-msgstr "la restricción de llave foránea «%s» no puede ser implementada"
-
-#: commands/tablecmds.c:4800
-#, c-format
-msgid "Key columns \"%s\" and \"%s\" are of incompatible types: %s and %s."
-msgstr "Las columnas llave «%s» y «%s» son de tipos incompatibles: %s y %s"
-
-#: commands/tablecmds.c:4893
-#, c-format
-msgid "column \"%s\" referenced in foreign key constraint does not exist"
-msgstr "no existe la columna «%s» referida en la llave foránea"
-
-#: commands/tablecmds.c:4898
-#, c-format
-msgid "cannot have more than %d keys in a foreign key"
-msgstr "no se puede tener más de %d columnas en una llave foránea"
-
-#: commands/tablecmds.c:4971
-#, c-format
-msgid "there is no primary key for referenced table \"%s\""
-msgstr "no hay llave primaria para la tabla referida «%s»"
-
-#: commands/tablecmds.c:5105
-#, c-format
-msgid ""
-"there is no unique constraint matching given keys for referenced table \"%s\""
-msgstr ""
-"no hay restricción unique que coincida con las columnas dadas en la tabla "
-"referida «%s»"
-
-#: commands/tablecmds.c:5425
-#, c-format
-msgid "cannot drop inherited constraint \"%s\" of relation \"%s\""
-msgstr "no se puede eliminar la restricción «%s» heredada de la relación «%s»"
-
-#: commands/tablecmds.c:5449 commands/tablecmds.c:5552
-#, c-format
-msgid "constraint \"%s\" of relation \"%s\" does not exist"
-msgstr "no existe la restricción «%s» en la relación «%s»"
-
-#: commands/tablecmds.c:5603
-#, c-format
-msgid "cannot alter inherited column \"%s\""
-msgstr "no se puede alterar la columna heredada «%s»"
-
-#: commands/tablecmds.c:5639
-msgid "transform expression must not return a set"
-msgstr "la expresión de transformación no puede retornar conjuntos"
-
-#: commands/tablecmds.c:5645
-msgid "cannot use subquery in transform expression"
-msgstr "no se puede usar una subconsulta en una expresión de transformación"
-
-#: commands/tablecmds.c:5649
-msgid "cannot use aggregate function in transform expression"
-msgstr ""
-"no se puede usar una función de agregación en una expresión de transformación"
-
-#: commands/tablecmds.c:5653
-msgid "cannot use window function in transform expression"
-msgstr ""
-"no se puede usar una función ventana en una expresión de transformación"
-
-#: commands/tablecmds.c:5671
-#, c-format
-msgid "column \"%s\" cannot be cast to type %s"
-msgstr "la columna «%s» no puede convertirse al tipo %s"
-
-#: commands/tablecmds.c:5697
-#, c-format
-msgid "type of inherited column \"%s\" must be changed in child tables too"
-msgstr ""
-"debe cambiar el tipo a la columna heredada «%s» en las tablas hijas también"
-
-#: commands/tablecmds.c:5736
-#, c-format
-msgid "cannot alter type of column \"%s\" twice"
-msgstr "no se puede alterar el tipo de la columna «%s» dos veces"
-
-#: commands/tablecmds.c:5770
-#, c-format
-msgid "default for column \"%s\" cannot be cast to type %s"
-msgstr ""
-"el valor por omisión para la columna «%s» no puede ser convertido al tipo %s"
-
-#: commands/tablecmds.c:5896
-msgid "cannot alter type of a column used by a view or rule"
-msgstr "no se puede alterar el tipo de una columna usada en una regla o vista"
-
-#: commands/tablecmds.c:5897
-#, c-format
-msgid "%s depends on column \"%s\""
-msgstr "%s depende de la columna «%s»"
-
-#: commands/tablecmds.c:6249
-#, c-format
-msgid "cannot change owner of index \"%s\""
-msgstr "no se puede cambiar el dueño del índice «%s»"
-
-#: commands/tablecmds.c:6251
-msgid "Change the ownership of the index's table, instead."
-msgstr ""
-"Considere cambiar el dueño de la tabla en vez de cambiar el dueño del índice."
-
-#: commands/tablecmds.c:6267
-#, c-format
-msgid "cannot change owner of sequence \"%s\""
-msgstr "no se puede cambiar el dueño de la secuencia «%s»"
-
-#: commands/tablecmds.c:6269 commands/tablecmds.c:7576
-#, c-format
-msgid "Sequence \"%s\" is linked to table \"%s\"."
-msgstr "La secuencia «%s» está enlazada a la tabla «%s»."
-
-#: commands/tablecmds.c:6290 commands/tablecmds.c:7594
-#, c-format
-msgid "\"%s\" is not a table, view, or sequence"
-msgstr "«%s» no es una tabla, vista o secuencia"
-
-#: commands/tablecmds.c:6549
-msgid "cannot have multiple SET TABLESPACE subcommands"
-msgstr "no se pueden tener múltiples subórdenes SET TABLESPACE"
-
-#: commands/tablecmds.c:6603
-#, c-format
-msgid "\"%s\" is not a table, index, or TOAST table"
-msgstr "«%s» no es una tabla, índice o tabla TOAST"
-
-#: commands/tablecmds.c:6715
-#, c-format
-msgid "cannot move system relation \"%s\""
-msgstr "no se puede mover la relación de sistema «%s»"
-
-#: commands/tablecmds.c:6731
-msgid "cannot move temporary tables of other sessions"
-msgstr "no se pueden mover tablas temporales de otras sesiones"
-
-#: commands/tablecmds.c:7011
-msgid "circular inheritance not allowed"
-msgstr "la herencia circular no está permitida"
-
-#: commands/tablecmds.c:7012
-#, c-format
-msgid "\"%s\" is already a child of \"%s\"."
-msgstr "«%s» ya es un hijo de «%s»."
-
-#: commands/tablecmds.c:7020
-#, c-format
-msgid "table \"%s\" without OIDs cannot inherit from table \"%s\" with OIDs"
-msgstr "tabla «%s» sin OIDs no puede heredar de tabla «%s» con OIDs"
-
-#: commands/tablecmds.c:7147
-#, c-format
-msgid "column \"%s\" in child table must be marked NOT NULL"
-msgstr "columna «%s» en tabla hija debe marcarse como NOT NULL"
-
-#: commands/tablecmds.c:7163
-#, c-format
-msgid "child table is missing column \"%s\""
-msgstr "tabla hija no tiene la columna «%s»"
-
-#: commands/tablecmds.c:7242
-#, c-format
-msgid "child table \"%s\" has different definition for check constraint \"%s\""
-msgstr ""
-"la tabla hija «%s» tiene una definición diferente para la restricción check "
-"«%s»"
-
-#: commands/tablecmds.c:7266
-#, c-format
-msgid "child table is missing constraint \"%s\""
-msgstr "tabla hija no tiene la restricción «%s»"
-
-#: commands/tablecmds.c:7347
-#, c-format
-msgid "relation \"%s\" is not a parent of relation \"%s\""
-msgstr "relación «%s» no es un padre de la relación «%s»"
-
-#: commands/tablecmds.c:7575
-msgid "cannot move an owned sequence into another schema"
-msgstr ""
-"no se puede mover una secuencia enlazada a una tabla hacia otro esquema"
-
-#: commands/tablecmds.c:7604
-#, c-format
-msgid "relation \"%s\" is already in schema \"%s\""
-msgstr "la relación «%s» ya está en el esquema «%s»"
-
-#: commands/tablecmds.c:7669
-#, c-format
-msgid "relation \"%s\" already exists in schema \"%s\""
-msgstr "ya existe una relación llamada «%s» en el esquema «%s»"
+#: commands/comment.c:609
+msgid "database name cannot be qualified"
+msgstr "un nombre de base de datos no puede ser calificado"
+
+#: commands/comment.c:657
+msgid "tablespace name cannot be qualified"
+msgstr "un nombre de tablespace no puede ser calificado"
+
+#: commands/comment.c:694
+msgid "role name cannot be qualified"
+msgstr "un nombre de rol no puede ser calificado"
+
+#: commands/comment.c:703
+#, c-format
+msgid "must be member of role \"%s\" to comment upon it"
+msgstr "debe ser miembro del rol «%s» para definirle un comentario"
+
+#: commands/comment.c:727 commands/schemacmds.c:178
+msgid "schema name cannot be qualified"
+msgstr "un nombre de esquema no puede ser calificado"
+
+#: commands/comment.c:804
+#, c-format
+msgid "rule \"%s\" does not exist"
+msgstr "no existe la regla «%s»"
+
+#: commands/comment.c:812
+#, c-format
+msgid "there are multiple rules named \"%s\""
+msgstr "hay múltiples reglas llamadas «%s»"
+
+#: commands/comment.c:813
+msgid "Specify a relation name as well as a rule name."
+msgstr "Especifique un nombre de relación además del nombre de regla."
+
+#: commands/comment.c:841 rewrite/rewriteRemove.c:63
+#: rewrite/rewriteDefine.c:689 rewrite/rewriteDefine.c:752
+#, c-format
+msgid "rule \"%s\" for relation \"%s\" does not exist"
+msgstr "no existe la regla «%s» para la relación «%s»"
+
+#: commands/comment.c:1036 commands/trigger.c:734 commands/trigger.c:934
+#: commands/trigger.c:1045
+#, c-format
+msgid "trigger \"%s\" for table \"%s\" does not exist"
+msgstr "no existe el trigger «%s» para la tabla «%s»"
+
+#: commands/comment.c:1115
+#, c-format
+msgid "table \"%s\" has multiple constraints named \"%s\""
+msgstr "hay múltiples restricciones llamadas «%2$s» en la tabla «%1$s»"
+
+#: commands/comment.c:1127
+#, c-format
+msgid "constraint \"%s\" for table \"%s\" does not exist"
+msgstr "no existe la restricción «%s» para la tabla «%s»"
+
+#: commands/comment.c:1186
+msgid "language name cannot be qualified"
+msgstr "un nombre de lenguaje no puede ser calificado"
+
+#: commands/comment.c:1201
+msgid "must be superuser to comment on procedural language"
+msgstr "debe ser superusuario para comentar un lenguaje procedural"
+
+#: commands/comment.c:1423 storage/large_object/inv_api.c:266
+#: storage/large_object/inv_api.c:371 catalog/pg_largeobject.c:107
+#, c-format
+msgid "large object %u does not exist"
+msgstr "no existe el objeto grande %u"
+
+#: commands/comment.c:1498
+msgid "must be superuser to comment on text search parser"
+msgstr "debe ser superusuario para comentar un analizador de búsqueda en texto"
+
+#: commands/comment.c:1527
+msgid "must be superuser to comment on text search template"
+msgstr "debe ser superusuario para comentar una plantilla de búsqueda en texto"
 
 #: commands/tablespace.c:146 commands/tablespace.c:154
 #: commands/tablespace.c:160 storage/file/copydir.c:60
@@ -6705,7 +10118,7 @@
 msgid "tablespace \"%s\" already exists"
 msgstr "el tablespace «%s» ya existe"
 
-#: commands/tablespace.c:309 commands/tablespace.c:1295
+#: commands/tablespace.c:309 commands/tablespace.c:1312
 #, c-format
 msgid "could not set permissions on directory \"%s\": %m"
 msgstr "no se pudo definir los permisos del directorio «%s»: %m"
@@ -6715,7 +10128,7 @@
 msgid "directory \"%s\" is not empty"
 msgstr "el directorio «%s» no está vacío"
 
-#: commands/tablespace.c:339 commands/tablespace.c:1310
+#: commands/tablespace.c:339 commands/tablespace.c:1327
 #, c-format
 msgid "could not create symbolic link \"%s\": %m"
 msgstr "no se pudo crear el enlace simbólico «%s»: %m"
@@ -6734,13 +10147,6 @@
 msgid "tablespace \"%s\" is not empty"
 msgstr "el tablespace «%s» no está vacío"
 
-#: commands/tablespace.c:581 storage/file/copydir.c:66 storage/file/fd.c:1568
-#: postmaster/postmaster.c:1090 utils/adt/genfile.c:240 utils/adt/misc.c:210
-#: utils/misc/tzparser.c:345
-#, c-format
-msgid "could not open directory \"%s\": %m"
-msgstr "no se pudo abrir el directorio «%s»: %m"
-
 #: commands/tablespace.c:611 commands/tablespace.c:648
 #, c-format
 msgid "could not remove directory \"%s\": %m"
@@ -6751,11 +10157,442 @@
 msgid "could not remove symbolic link \"%s\": %m"
 msgstr "no se pudo eliminar el enlace simbólico «%s»: %m"
 
-#: commands/tablespace.c:1323
+#: commands/tablespace.c:1340
 #, c-format
 msgid "tablespace %u is not empty"
 msgstr "el tablespace %u no está vacío"
 
+#: commands/schemacmds.c:82 commands/schemacmds.c:293
+#, c-format
+msgid "unacceptable schema name \"%s\""
+msgstr "el nombre de schema «%s» es inaceptable"
+
+#: commands/schemacmds.c:83 commands/schemacmds.c:294
+msgid "The prefix \"pg_\" is reserved for system schemas."
+msgstr "El prefijo «pg_» está reservado para esquemas del sistema."
+
+#: commands/schemacmds.c:197
+#, c-format
+msgid "schema \"%s\" does not exist, skipping"
+msgstr "el esquema «%s» no existe, ignorando"
+
+#: commands/schemacmds.c:277 catalog/pg_namespace.c:52
+#, c-format
+msgid "schema \"%s\" already exists"
+msgstr "ya existe el esquema «%s»"
+
+#: commands/portalcmds.c:61 commands/portalcmds.c:160
+#: commands/portalcmds.c:212
+msgid "invalid cursor name: must not be empty"
+msgstr "el nombre de cursor no es válido: no debe ser vacío"
+
+#: commands/portalcmds.c:402
+msgid "could not reposition held cursor"
+msgstr "no se pudo reposicionar cursor abierto"
+
+#: commands/aggregatecmds.c:103
+#, c-format
+msgid "aggregate attribute \"%s\" not recognized"
+msgstr "el atributo de la función de agregación «%s» no es reconocido"
+
+#: commands/aggregatecmds.c:113
+msgid "aggregate stype must be specified"
+msgstr ""
+"debe especificarse el tipo de transición (stype) de la función de agregación"
+
+#: commands/aggregatecmds.c:117
+msgid "aggregate sfunc must be specified"
+msgstr ""
+"debe especificarse la función de transición (sfunc) de la función de "
+"agregación"
+
+#: commands/aggregatecmds.c:134
+msgid "aggregate input type must be specified"
+msgstr "debe especificarse el tipo de entrada de la función de agregación"
+
+#: commands/aggregatecmds.c:159
+msgid "basetype is redundant with aggregate input type specification"
+msgstr ""
+"el tipo base es redundante con el tipo de entrada en la función de agregación"
+
+#: commands/aggregatecmds.c:191
+#, c-format
+msgid "aggregate transition data type cannot be %s"
+msgstr "el tipo de transición de la función de agregación no puede ser %s"
+
+#: commands/aggregatecmds.c:230
+#, c-format
+msgid "aggregate %s(%s) does not exist, skipping"
+msgstr "la función de agregación %s(%s) no existe, ignorando"
+
+#: commands/user.c:145
+msgid "SYSID can no longer be specified"
+msgstr "SYSID ya no puede ser especificado"
+
+#: commands/user.c:267
+msgid "must be superuser to create superusers"
+msgstr "debe ser superusuario para crear superusuarios"
+
+#: commands/user.c:274
+msgid "permission denied to create role"
+msgstr "se ha denegado el permiso para crear el rol"
+
+#: commands/user.c:281 commands/user.c:1066
+#, c-format
+msgid "role name \"%s\" is reserved"
+msgstr "el nombre de rol «%s» está reservado"
+
+#: commands/user.c:297 commands/user.c:1060
+#, c-format
+msgid "role \"%s\" already exists"
+msgstr "el rol «%s» ya existe"
+
+#: commands/user.c:579 commands/user.c:759 commands/user.c:1312
+#: commands/user.c:1451
+msgid "must be superuser to alter superusers"
+msgstr "debe ser superusuario para alterar superusuarios"
+
+#: commands/user.c:594 commands/user.c:767
+msgid "permission denied"
+msgstr "permiso denegado"
+
+#: commands/user.c:850
+msgid "permission denied to drop role"
+msgstr "se ha denegado el permiso para eliminar el rol"
+
+#: commands/user.c:884
+#, c-format
+msgid "role \"%s\" does not exist, skipping"
+msgstr "el rol «%s» no existe, ignorando"
+
+#: commands/user.c:896 commands/user.c:900
+msgid "current user cannot be dropped"
+msgstr "el usuario activo no puede ser eliminado"
+
+#: commands/user.c:904
+msgid "session user cannot be dropped"
+msgstr "no se puede eliminar un usuario de la sesión"
+
+#: commands/user.c:915
+msgid "must be superuser to drop superusers"
+msgstr "debe ser superusuario para eliminar superusuarios"
+
+#: commands/user.c:928
+#, c-format
+msgid "role \"%s\" cannot be dropped because some objects depend on it"
+msgstr "no se puede eliminar el rol «%s» porque otros objetos dependen de él"
+
+#: commands/user.c:1048
+msgid "session user cannot be renamed"
+msgstr "no se puede cambiar el nombre a un usuario de la sesión"
+
+#: commands/user.c:1052
+msgid "current user cannot be renamed"
+msgstr "no se puede cambiar el nombre al usuario activo"
+
+#: commands/user.c:1077
+msgid "must be superuser to rename superusers"
+msgstr "debe ser superusuario para cambiar el nombre a superusuarios"
+
+#: commands/user.c:1084
+msgid "permission denied to rename role"
+msgstr "se ha denegado el permiso para cambiar el nombre al rol"
+
+#: commands/user.c:1105
+msgid "MD5 password cleared because of role rename"
+msgstr "la contraseña MD5 fue borrada debido al cambio de nombre del rol"
+
+#: commands/user.c:1167
+msgid "column names cannot be included in GRANT/REVOKE ROLE"
+msgstr "los nombres de columna no pueden ser incluidos en GRANT/REVOKE ROLE"
+
+#: commands/user.c:1211
+msgid "permission denied to drop objects"
+msgstr "se ha denegado el permiso para eliminar objetos"
+
+#: commands/user.c:1238 commands/user.c:1247
+msgid "permission denied to reassign objects"
+msgstr "se ha denegado el permiso para reasignar objetos"
+
+#: commands/user.c:1320 commands/user.c:1459
+#, c-format
+msgid "must have admin option on role \"%s\""
+msgstr "debe tener opción de admin en rol «%s»"
+
+#: commands/user.c:1328
+msgid "must be superuser to set grantor"
+msgstr "debe ser superusuario para especificar el cedente (grantor)"
+
+#: commands/user.c:1353
+#, c-format
+msgid "role \"%s\" is a member of role \"%s\""
+msgstr "el rol «%s» es un miembro del rol «%s»"
+
+#: commands/user.c:1369
+#, c-format
+msgid "role \"%s\" is already a member of role \"%s\""
+msgstr "el rol «%s» ya es un miembro del rol «%s»"
+
+#: commands/user.c:1482
+#, c-format
+msgid "role \"%s\" is not a member of role \"%s\""
+msgstr "el rol «%s» no es un miembro del rol «%s»"
+
+#: commands/foreigncmds.c:132 commands/foreigncmds.c:141
+#, c-format
+msgid "option \"%s\" not found"
+msgstr "opción «%s» no encontrada"
+
+#: commands/foreigncmds.c:151
+#, c-format
+msgid "option \"%s\" provided more than once"
+msgstr "la opción «%s» fue especificada más de una vez"
+
+#: commands/foreigncmds.c:211 commands/foreigncmds.c:219
+#, c-format
+msgid "permission denied to change owner of foreign-data wrapper \"%s\""
+msgstr ""
+"se ha denegado el permiso para cambiar el dueño del foreign-data wrapper «%s»"
+
+#: commands/foreigncmds.c:213
+msgid "Must be superuser to change owner of a foreign-data wrapper."
+msgstr ""
+"Debe ser superusuario para cambiar el dueño de un foreign-data wrapper."
+
+#: commands/foreigncmds.c:221
+msgid "The owner of a foreign-data wrapper must be a superuser."
+msgstr "El dueño de un foreign-data wrapper debe ser un superusuario."
+
+#: commands/foreigncmds.c:230 commands/foreigncmds.c:459
+#: commands/foreigncmds.c:557 foreign/foreign.c:94
+#, c-format
+msgid "foreign-data wrapper \"%s\" does not exist"
+msgstr "no existe el foreign-data wrapper «%s»"
+
+#: commands/foreigncmds.c:274 commands/foreigncmds.c:732
+#: commands/foreigncmds.c:819 commands/foreigncmds.c:1100
+#: foreign/foreign.c:187
+#, c-format
+msgid "server \"%s\" does not exist"
+msgstr "no existe el servidor «%s»"
+
+#: commands/foreigncmds.c:353
+#, c-format
+msgid "permission denied to create foreign-data wrapper \"%s\""
+msgstr "se ha denegado el permiso para crear el foreign-data wrapper «%s»"
+
+#: commands/foreigncmds.c:355
+msgid "Must be superuser to create a foreign-data wrapper."
+msgstr "Debe ser superusuario para crear un foreign-data wrapper."
+
+#: commands/foreigncmds.c:366
+#, c-format
+msgid "foreign-data wrapper \"%s\" already exists"
+msgstr "el foreign-data wrapper «%s» ya existe"
+
+#: commands/foreigncmds.c:448
+#, c-format
+msgid "permission denied to alter foreign-data wrapper \"%s\""
+msgstr "permiso denegado para cambiar el foreign-data wrapper «%s»"
+
+#: commands/foreigncmds.c:450
+msgid "Must be superuser to alter a foreign-data wrapper."
+msgstr "Debe ser superusuario para alterar un foreign-data wrapper."
+
+#: commands/foreigncmds.c:479
+msgid ""
+"changing the foreign-data wrapper validator can cause the options for "
+"dependent objects to become invalid"
+msgstr ""
+"al cambiar el validador del conector de datos foráneos, las opciones para "
+"los objetos dependientes de él pueden volverse no válidas"
+
+#: commands/foreigncmds.c:548
+#, c-format
+msgid "permission denied to drop foreign-data wrapper \"%s\""
+msgstr ""
+"se ha denegado el permiso para eliminar el conector de datos externos «%s»"
+
+#: commands/foreigncmds.c:550
+msgid "Must be superuser to drop a foreign-data wrapper."
+msgstr "Debe ser superusuario para eliminar un conector de datos externos."
+
+#: commands/foreigncmds.c:562
+#, c-format
+msgid "foreign-data wrapper \"%s\" does not exist, skipping"
+msgstr "no existe el conector de datos externos «%s», ignorando"
+
+#: commands/foreigncmds.c:633
+#, c-format
+msgid "server \"%s\" already exists"
+msgstr "el servidor «%s» ya existe"
+
+#: commands/foreigncmds.c:823
+#, c-format
+msgid "server \"%s\" does not exist, skipping"
+msgstr "el servidor «%s» no existe, ignorando"
+
+#: commands/foreigncmds.c:931
+#, c-format
+msgid "user mapping \"%s\" already exists for server %s"
+msgstr "ya existe un mapeo para el usuario «%s» en el servidor %s"
+
+#: commands/foreigncmds.c:1010 commands/foreigncmds.c:1117
+#, c-format
+msgid "user mapping \"%s\" does not exist for the server"
+msgstr "no existe el mapeo para el usuario «%s» para el servidor"
+
+#: commands/foreigncmds.c:1103
+msgid "server does not exist, skipping"
+msgstr "el servidor no existe, ignorando"
+
+#: commands/foreigncmds.c:1122
+#, c-format
+msgid "user mapping \"%s\" does not exist for the server, skipping"
+msgstr "el mapeo para el usuario «%s» no existe para el servidor, ignorando"
+
+#: commands/vacuum.c:650
+msgid "oldest xmin is far in the past"
+msgstr "xmin más antiguo es demasiado antiguo"
+
+#: commands/vacuum.c:651
+msgid "Close open transactions soon to avoid wraparound problems."
+msgstr ""
+"Cierre transacciones pronto para prevenir problemas por reciclaje de "
+"transacciones."
+
+#: commands/vacuum.c:1054
+msgid "some databases have not been vacuumed in over 2 billion transactions"
+msgstr ""
+"algunas bases de datos no han tenido VACUUM en más de 2 mil millones de "
+"transacciones"
+
+#: commands/vacuum.c:1055
+msgid "You might have already suffered transaction-wraparound data loss."
+msgstr ""
+"Puede haber sufrido ya problemas de pérdida de datos por reciclaje del "
+"contador de transacciones."
+
+#: commands/vacuum.c:1182
+#, c-format
+msgid "skipping \"%s\" --- only superuser can vacuum it"
+msgstr "ignorando «%s»: sólo un superusuario puede aplicarle VACUUM"
+
+#: commands/vacuum.c:1186
+#, c-format
+msgid "skipping \"%s\" --- only superuser or database owner can vacuum it"
+msgstr ""
+"ignorando «%s»: sólo un superusuario o el dueño de la base de datos puede "
+"aplicarle VACUUM"
+
+#: commands/vacuum.c:1190
+#, c-format
+msgid "skipping \"%s\" --- only table or database owner can vacuum it"
+msgstr ""
+"ignorando «%s»: sólo su dueño o el de la base de datos puede aplicarle VACUUM"
+
+#: commands/vacuum.c:1207
+#, c-format
+msgid ""
+"skipping \"%s\" --- cannot vacuum indexes, views, or special system tables"
+msgstr ""
+"ignorando «%s»: no se puede aplicar VACUUM a índices, vistas o tablas "
+"especiales de sistema"
+
+#: commands/vacuum.c:1630 commands/vacuum.c:1695
+#, c-format
+msgid ""
+"relation \"%s\" TID %u/%u: XMIN_COMMITTED not set for transaction %u --- "
+"cannot shrink relation"
+msgstr ""
+"relación «%s» TID %u/%u: XMIN_COMMITED no está definido para la transacción "
+"%u --- no se puede reducir relación"
+
+#: commands/vacuum.c:1663
+#, c-format
+msgid ""
+"relation \"%s\" TID %u/%u: dead HOT-updated tuple --- cannot shrink relation"
+msgstr ""
+"relación «%s» TID %u/%u: tupla actualizada-HOT muerta --- no se puede "
+"reducir relación"
+
+#: commands/vacuum.c:1734
+#, c-format
+msgid ""
+"relation \"%s\" TID %u/%u: InsertTransactionInProgress %u --- cannot shrink "
+"relation"
+msgstr ""
+"relación «%s» TID %u/%u: InsertTransactionInProgress %u --- no se puede "
+"reducir relación"
+
+#: commands/vacuum.c:1751
+#, c-format
+msgid ""
+"relation \"%s\" TID %u/%u: DeleteTransactionInProgress %u --- cannot shrink "
+"relation"
+msgstr ""
+"relación «%s» TID %u/%u: DeleteTransactionInProgress %u --- no se puede "
+"reducir relación"
+
+#: commands/vacuum.c:1939
+#, c-format
+msgid ""
+"\"%s\": found %.0f removable, %.0f nonremovable row versions in %u pages"
+msgstr ""
+"«%s»: se encontraron %.0f versiones de filas eliminables y %.0f no "
+"eliminables en %u páginas"
+
+#: commands/vacuum.c:1942
+#, c-format
+msgid ""
+"%.0f dead row versions cannot be removed yet.\n"
+"Nonremovable row versions range from %lu to %lu bytes long.\n"
+"There were %.0f unused item pointers.\n"
+"Total free space (including removable row versions) is %.0f bytes.\n"
+"%u pages are or will become empty, including %u at the end of the table.\n"
+"%u pages containing %.0f free bytes are potential move destinations.\n"
+"%s."
+msgstr ""
+"%.0f versiones muertas de filas no puede ser eliminadas aún.\n"
+"Versiones no eliminables de filas usan entre %lu y %lu bytes cada una.\n"
+"Hubo %.0f punteros de ítem sin uso.\n"
+"Espacio libre total, incluyendo versiones de filas eliminables,\n"
+"es %.0f bytes.\n"
+"%u páginas están o estarán vacías, incluyendo %u al final de la tabla.\n"
+"%u páginas, que contienen %.0f bytes libres, son destinos potenciales.\n"
+"%s."
+
+#: commands/vacuum.c:2858
+#, c-format
+msgid "\"%s\": moved %u row versions, truncated %u to %u pages"
+msgstr "«%s»: %u versiones de filas movidas; truncada de %u a %u páginas"
+
+#: commands/vacuum.c:3532
+#, c-format
+msgid ""
+"%u index pages have been deleted, %u are currently reusable.\n"
+"%s."
+msgstr ""
+"%u páginas de índice han sido eliminadas, %u son reusables.\n"
+"%s."
+
+#: commands/vacuum.c:3547 commands/vacuum.c:3626
+#, c-format
+msgid ""
+"index \"%s\" contains %.0f row versions, but table contains %.0f row versions"
+msgstr ""
+"el índice «%s» contiene %.0f versiones de filas, pero la tabla contiene %.0f"
+
+#: commands/vacuum.c:3550 commands/vacuum.c:3629
+msgid "Rebuild the index with REINDEX."
+msgstr "Reconstruya el índice con REINDEX."
+
+#: commands/async.c:344
+msgid "cannot PREPARE a transaction that has executed LISTEN or UNLISTEN"
+msgstr ""
+"no se puede hacer PREPARE de una transacción que ha ejecutado LISTEN o "
+"UNLISTEN"
+
 #: commands/trigger.c:158
 msgid "TRUNCATE FOR EACH ROW triggers are not supported"
 msgstr "los triggers TRUNCATE FOR EACH ROW no están soportados"
@@ -6823,6 +10660,12 @@
 msgid "could not serialize access due to concurrent update"
 msgstr "no se pudo serializar el acceso debido a un update concurrente"
 
+#: commands/trigger.c:3563 catalog/namespace.c:229 catalog/namespace.c:303
+#, c-format
+msgid "cross-database references are not implemented: \"%s.%s.%s\""
+msgstr ""
+"no están implementadas las referencias entre bases de datos: «%s.%s.%s»"
+
 #: commands/trigger.c:3657
 #, c-format
 msgid "constraint \"%s\" is not deferrable"
@@ -6833,157 +10676,48 @@
 msgid "constraint \"%s\" does not exist"
 msgstr "no existe la restricción «%s»"
 
-#: commands/tsearchcmds.c:109 commands/tsearchcmds.c:947
-#, c-format
-msgid "function %s should return type %s"
-msgstr "la función %s debería retornar el tipo %s"
-
-#: commands/tsearchcmds.c:178
-msgid "must be superuser to create text search parsers"
-msgstr "debe ser superusuario para crear analizadores de búsqueda en texto"
-
-#: commands/tsearchcmds.c:226
-#, c-format
-msgid "text search parser parameter \"%s\" not recognized"
-msgstr "el parámetro de analizador de búsqueda en texto «%s» no es reconocido"
-
-#: commands/tsearchcmds.c:236
-msgid "text search parser start method is required"
-msgstr "se requiere el método start del analizador de búsqueda en texto"
-
-#: commands/tsearchcmds.c:241
-msgid "text search parser gettoken method is required"
-msgstr "se requiere el método gettoken del analizador de búsqueda en texto"
-
-#: commands/tsearchcmds.c:246
-msgid "text search parser end method is required"
-msgstr "se requiere el método end del analizador de búsqueda en texto"
-
-#: commands/tsearchcmds.c:251
-msgid "text search parser lextypes method is required"
-msgstr "se requiere el método lextypes del analizador de búsqueda en texto"
-
-#: commands/tsearchcmds.c:283
-msgid "must be superuser to drop text search parsers"
-msgstr "debe ser superusuario para eliminar analizadores de búsqueda en texto"
-
-#: commands/tsearchcmds.c:312
-#, c-format
-msgid "text search parser \"%s\" does not exist, skipping"
-msgstr "el analizador de búsqueda en texto «%s» no existe, ignorando"
-
-#: commands/tsearchcmds.c:369
-msgid "must be superuser to rename text search parsers"
-msgstr ""
-"debe ser superusuario para cambiar el nombre a analizadores de búsqueda en "
-"texto"
-
-#: commands/tsearchcmds.c:390
-#, c-format
-msgid "text search parser \"%s\" already exists"
-msgstr "el analizador de búsqueda en texto «%s» ya existe"
-
-#: commands/tsearchcmds.c:469
-#, c-format
-msgid "text search template \"%s\" does not accept options"
-msgstr "la plantilla de búsquede en texto «%s» no acepta opciones"
-
-#: commands/tsearchcmds.c:542
-msgid "text search template is required"
-msgstr "se requiere una plantilla de búsqueda en texto"
-
-#: commands/tsearchcmds.c:610
-#, c-format
-msgid "text search dictionary \"%s\" already exists"
-msgstr "el diccionario de búsqueda en texto «%s» ya existe"
-
-#: commands/tsearchcmds.c:670
-#, c-format
-msgid "text search dictionary \"%s\" does not exist, skipping"
-msgstr "el diccionario de búsqueda en texto «%s» no existe, ignorando"
-
-#: commands/tsearchcmds.c:1008
-msgid "must be superuser to create text search templates"
-msgstr "debe ser superusuario para crear una plantilla de búsqueda en texto"
-
-#: commands/tsearchcmds.c:1045
-#, c-format
-msgid "text search template parameter \"%s\" not recognized"
-msgstr ""
-"el parámetro de la plantilla de búsqueda en texto «%s» no es reconocido"
-
-#: commands/tsearchcmds.c:1055
-msgid "text search template lexize method is required"
-msgstr "se requiere el método lexize de la plantilla de búsqueda en texto"
-
-#: commands/tsearchcmds.c:1090
-msgid "must be superuser to rename text search templates"
-msgstr ""
-"debe ser superusuario para cambiar el nombre a plantillas de búsqueda en "
-"texto"
-
-#: commands/tsearchcmds.c:1112
-#, c-format
-msgid "text search template \"%s\" already exists"
-msgstr "ya existe la plantilla de búsqueda en texto «%s»"
-
-#: commands/tsearchcmds.c:1135
-msgid "must be superuser to drop text search templates"
-msgstr "debe ser superusuario para eliminar plantillas de búsqueda en texto"
-
-#: commands/tsearchcmds.c:1164
-#, c-format
-msgid "text search template \"%s\" does not exist, skipping"
-msgstr "la plantilla de búsqueda en texto «%s» no existe, ignorando"
-
-#: commands/tsearchcmds.c:1363
-#, c-format
-msgid "text search configuration parameter \"%s\" not recognized"
-msgstr ""
-"el parámetro de configuración de búsqueda en texto «%s» no es reconocido"
-
-#: commands/tsearchcmds.c:1370
-msgid "cannot specify both PARSER and COPY options"
-msgstr "no se puede especificar simultáneamente las opciones PARSER y COPY"
-
-#: commands/tsearchcmds.c:1400
-msgid "text search parser is required"
-msgstr "el analizador de búsqueda en texto es requerido"
-
-#: commands/tsearchcmds.c:1509
-#, c-format
-msgid "text search configuration \"%s\" already exists"
-msgstr "la configuración de búsqueda en texto «%s» ya existe"
-
-#: commands/tsearchcmds.c:1568
-#, c-format
-msgid "text search configuration \"%s\" does not exist, skipping"
-msgstr "no existe la configuración de búsqueda en texto «%s», ignorando"
-
-#: commands/tsearchcmds.c:1794
-#, c-format
-msgid "token type \"%s\" does not exist"
-msgstr "no existe el tipo de elemento «%s»"
-
-#: commands/tsearchcmds.c:2018
-#, c-format
-msgid "mapping for token type \"%s\" does not exist"
-msgstr "no existe un mapeo para el tipo de elemento «%s»"
-
-#: commands/tsearchcmds.c:2024
-#, c-format
-msgid "mapping for token type \"%s\" does not exist, skipping"
-msgstr "el mapeo para el tipo de elemento «%s» no existe, ignorando"
-
-#: commands/tsearchcmds.c:2177 commands/tsearchcmds.c:2288
-#, c-format
-msgid "invalid parameter list format: \"%s\""
-msgstr "el formato de la lista de parámetros no es válido: «%s»"
+#: commands/operatorcmds.c:110 commands/operatorcmds.c:118
+msgid "SETOF type not allowed for operator argument"
+msgstr "no se permite un tipo SETOF en los argumentos de un operador"
+
+#: commands/operatorcmds.c:146
+#, c-format
+msgid "operator attribute \"%s\" not recognized"
+msgstr "el atributo de operador «%s» no es reconocido"
+
+#: commands/operatorcmds.c:156
+msgid "operator procedure must be specified"
+msgstr "debe especificarse un procedimiento de operador"
+
+#: commands/operatorcmds.c:167
+msgid "at least one of leftarg or rightarg must be specified"
+msgstr "debe especificar al menos uno de los argumentos izquierdo o derecho"
+
+#: commands/operatorcmds.c:216
+#, c-format
+msgid "restriction estimator function %s must return type \"float8\""
+msgstr "la función de estimación de restricción %s debe retornar tipo «float8»"
+
+#: commands/operatorcmds.c:255
+#, c-format
+msgid "join estimator function %s must return type \"float8\""
+msgstr "la función de estimación de join %s debe retornar tipo «float8»"
+
+#: commands/operatorcmds.c:306
+#, c-format
+msgid "operator %s does not exist, skipping"
+msgstr "el operador %s no existe, ignorando"
 
 #: commands/typecmds.c:163
 msgid "must be superuser to create a base type"
 msgstr "debe ser superusuario para crear un tipo base"
 
+#: commands/typecmds.c:219 commands/typecmds.c:796 commands/typecmds.c:1122
+#: catalog/pg_type.c:379 catalog/pg_type.c:656 catalog/heap.c:918
+#, c-format
+msgid "type \"%s\" already exists"
+msgstr "ya existe un tipo «%s»"
+
 #: commands/typecmds.c:268
 #, c-format
 msgid "type attribute \"%s\" not recognized"
@@ -7096,6 +10830,14 @@
 msgstr ""
 "cambiando el tipo de argumento de la función %s de «opaque» a «cstring»"
 
+#: commands/typecmds.c:1274 commands/typecmds.c:1325 commands/typecmds.c:1356
+#: commands/typecmds.c:1379 commands/typecmds.c:1400 commands/typecmds.c:1427
+#: commands/typecmds.c:1454 catalog/pg_aggregate.c:332 parser/parse_func.c:242
+#: parser/parse_func.c:1300
+#, c-format
+msgid "function %s does not exist"
+msgstr "no existe la función %s"
+
 #: commands/typecmds.c:1307
 #, c-format
 msgid "changing argument type of function %s from \"opaque\" to %s"
@@ -7133,11 +10875,28 @@
 "la columna «%s» de la relación «%s» contiene valores que violan la nueva "
 "restricción"
 
+#: commands/typecmds.c:2199 catalog/pg_constraint.c:622
+#, c-format
+msgid "constraint \"%s\" for domain \"%s\" already exists"
+msgstr "el dominio «%2$s» ya contiene una restricción llamada «%1$s»"
+
 #: commands/typecmds.c:2241 commands/typecmds.c:2250
 msgid "cannot use table references in domain check constraint"
 msgstr ""
 "no se pueden usar referencias a tablas en restricción check para un dominio"
 
+#: commands/typecmds.c:2258 catalog/heap.c:2256
+msgid "cannot use subquery in check constraint"
+msgstr "no se pueden usar subconsultas en una restricción check"
+
+#: commands/typecmds.c:2262 catalog/heap.c:2260
+msgid "cannot use aggregate function in check constraint"
+msgstr "no se pueden usar funciones de agregación en una restricción check"
+
+#: commands/typecmds.c:2266 catalog/heap.c:2264
+msgid "cannot use window function in check constraint"
+msgstr "no se pueden usar funciones ventana en una restricción check"
+
 #: commands/typecmds.c:2482 commands/typecmds.c:2554 commands/typecmds.c:2790
 #, c-format
 msgid "%s is a table's row type"
@@ -7167,741 +10926,296 @@
 msgid "type \"%s\" already exists in schema \"%s\""
 msgstr "ya existe un tipo llamado «%s» en el esquema «%s»"
 
-#: commands/user.c:145
-msgid "SYSID can no longer be specified"
-msgstr "SYSID ya no puede ser especificado"
-
-#: commands/user.c:267
-msgid "must be superuser to create superusers"
-msgstr "debe ser superusuario para crear superusuarios"
-
-#: commands/user.c:274
-msgid "permission denied to create role"
-msgstr "se ha denegado el permiso para crear el rol"
-
-#: commands/user.c:281 commands/user.c:1066
-#, c-format
-msgid "role name \"%s\" is reserved"
-msgstr "el nombre de rol «%s» está reservado"
-
-#: commands/user.c:297 commands/user.c:1060
-#, c-format
-msgid "role \"%s\" already exists"
-msgstr "el rol «%s» ya existe"
-
-#: commands/user.c:566 commands/user.c:748 commands/user.c:879
-#: commands/user.c:1033 commands/variable.c:737 commands/variable.c:853
-#: utils/cache/lsyscache.c:2762 utils/init/miscinit.c:480
-#, c-format
-msgid "role \"%s\" does not exist"
-msgstr "no existe el rol «%s»"
-
-#: commands/user.c:579 commands/user.c:759 commands/user.c:1312
-#: commands/user.c:1451
-msgid "must be superuser to alter superusers"
-msgstr "debe ser superusuario para alterar superusuarios"
-
-#: commands/user.c:594 commands/user.c:767
-msgid "permission denied"
-msgstr "permiso denegado"
-
-#: commands/user.c:850
-msgid "permission denied to drop role"
-msgstr "se ha denegado el permiso para eliminar el rol"
-
-#: commands/user.c:884
-#, c-format
-msgid "role \"%s\" does not exist, skipping"
-msgstr "el rol «%s» no existe, ignorando"
-
-#: commands/user.c:896 commands/user.c:900
-msgid "current user cannot be dropped"
-msgstr "el usuario activo no puede ser eliminado"
-
-#: commands/user.c:904
-msgid "session user cannot be dropped"
-msgstr "no se puede eliminar un usuario de la sesión"
-
-#: commands/user.c:915
-msgid "must be superuser to drop superusers"
-msgstr "debe ser superusuario para eliminar superusuarios"
-
-#: commands/user.c:928
-#, c-format
-msgid "role \"%s\" cannot be dropped because some objects depend on it"
-msgstr "no se puede eliminar el rol «%s» porque otros objetos dependen de él"
-
-#: commands/user.c:1048
-msgid "session user cannot be renamed"
-msgstr "no se puede cambiar el nombre a un usuario de la sesión"
-
-#: commands/user.c:1052
-msgid "current user cannot be renamed"
-msgstr "no se puede cambiar el nombre al usuario activo"
-
-#: commands/user.c:1077
-msgid "must be superuser to rename superusers"
-msgstr "debe ser superusuario para cambiar el nombre a superusuarios"
-
-#: commands/user.c:1084
-msgid "permission denied to rename role"
-msgstr "se ha denegado el permiso para cambiar el nombre al rol"
-
-#: commands/user.c:1105
-msgid "MD5 password cleared because of role rename"
-msgstr "la contraseña MD5 fue borrada debido al cambio de nombre del rol"
-
-#: commands/user.c:1167
-msgid "column names cannot be included in GRANT/REVOKE ROLE"
-msgstr "los nombres de columna no pueden ser incluidos en GRANT/REVOKE ROLE"
-
-#: commands/user.c:1211
-msgid "permission denied to drop objects"
-msgstr "se ha denegado el permiso para eliminar objetos"
-
-#: commands/user.c:1238 commands/user.c:1247
-msgid "permission denied to reassign objects"
-msgstr "se ha denegado el permiso para reasignar objetos"
-
-#: commands/user.c:1320 commands/user.c:1459
-#, c-format
-msgid "must have admin option on role \"%s\""
-msgstr "debe tener opción de admin en rol «%s»"
-
-#: commands/user.c:1328
-msgid "must be superuser to set grantor"
-msgstr "debe ser superusuario para especificar el cedente (grantor)"
-
-#: commands/user.c:1353
-#, c-format
-msgid "role \"%s\" is a member of role \"%s\""
-msgstr "el rol «%s» es un miembro del rol «%s»"
-
-#: commands/user.c:1369
-#, c-format
-msgid "role \"%s\" is already a member of role \"%s\""
-msgstr "el rol «%s» ya es un miembro del rol «%s»"
-
-#: commands/user.c:1482
-#, c-format
-msgid "role \"%s\" is not a member of role \"%s\""
-msgstr "el rol «%s» no es un miembro del rol «%s»"
-
-#: commands/vacuum.c:650
-msgid "oldest xmin is far in the past"
-msgstr "xmin más antiguo es demasiado antiguo"
-
-#: commands/vacuum.c:651
-msgid "Close open transactions soon to avoid wraparound problems."
-msgstr ""
-"Cierre transacciones pronto para prevenir problemas por reciclaje de "
-"transacciones."
-
-#: commands/vacuum.c:1054
-msgid "some databases have not been vacuumed in over 2 billion transactions"
-msgstr ""
-"algunas bases de datos no han tenido VACUUM en más de 2 mil millones de "
-"transacciones"
-
-#: commands/vacuum.c:1055
-msgid "You might have already suffered transaction-wraparound data loss."
-msgstr ""
-"Puede haber sufrido ya problemas de pérdida de datos por reciclaje del "
-"contador de transacciones."
-
-#: commands/vacuum.c:1182
-#, c-format
-msgid "skipping \"%s\" --- only superuser can vacuum it"
-msgstr "ignorando «%s»: sólo un superusuario puede aplicarle VACUUM"
-
-#: commands/vacuum.c:1186
-#, c-format
-msgid "skipping \"%s\" --- only superuser or database owner can vacuum it"
-msgstr ""
-"ignorando «%s»: sólo un superusuario o el dueño de la base de datos puede "
-"aplicarle VACUUM"
-
-#: commands/vacuum.c:1190
-#, c-format
-msgid "skipping \"%s\" --- only table or database owner can vacuum it"
-msgstr ""
-"ignorando «%s»: sólo su dueño o el de la base de datos puede aplicarle VACUUM"
-
-#: commands/vacuum.c:1207
-#, c-format
-msgid ""
-"skipping \"%s\" --- cannot vacuum indexes, views, or special system tables"
-msgstr ""
-"ignorando «%s»: no se puede aplicar VACUUM a índices, vistas o tablas "
-"especiales de sistema"
-
-#: commands/vacuum.c:1459 commands/vacuumlazy.c:324
-#, c-format
-msgid "vacuuming \"%s.%s\""
-msgstr "haciendo vacuum a «%s.%s»"
-
-#: commands/vacuum.c:1518 commands/vacuumlazy.c:484
-#, c-format
-msgid "relation \"%s\" page %u is uninitialized --- fixing"
-msgstr ""
-"la página %2$u de la relación «%1$s» no está inicializada --- arreglando"
-
-#: commands/vacuum.c:1630 commands/vacuum.c:1695
-#, c-format
-msgid ""
-"relation \"%s\" TID %u/%u: XMIN_COMMITTED not set for transaction %u --- "
-"cannot shrink relation"
-msgstr ""
-"relación «%s» TID %u/%u: XMIN_COMMITED no está definido para la transacción "
-"%u --- no se puede reducir relación"
-
-#: commands/vacuum.c:1663
-#, c-format
-msgid ""
-"relation \"%s\" TID %u/%u: dead HOT-updated tuple --- cannot shrink relation"
-msgstr ""
-"relación «%s» TID %u/%u: tupla actualizada-HOT muerta --- no se puede "
-"reducir relación"
-
-#: commands/vacuum.c:1734
-#, c-format
-msgid ""
-"relation \"%s\" TID %u/%u: InsertTransactionInProgress %u --- cannot shrink "
-"relation"
-msgstr ""
-"relación «%s» TID %u/%u: InsertTransactionInProgress %u --- no se puede "
-"reducir relación"
-
-#: commands/vacuum.c:1751
-#, c-format
-msgid ""
-"relation \"%s\" TID %u/%u: DeleteTransactionInProgress %u --- cannot shrink "
-"relation"
-msgstr ""
-"relación «%s» TID %u/%u: DeleteTransactionInProgress %u --- no se puede "
-"reducir relación"
-
-#: commands/vacuum.c:1939
-#, c-format
-msgid ""
-"\"%s\": found %.0f removable, %.0f nonremovable row versions in %u pages"
-msgstr ""
-"«%s»: se encontraron %.0f versiones de filas eliminables y %.0f no "
-"eliminables en %u páginas"
-
-#: commands/vacuum.c:1942
-#, c-format
-msgid ""
-"%.0f dead row versions cannot be removed yet.\n"
-"Nonremovable row versions range from %lu to %lu bytes long.\n"
-"There were %.0f unused item pointers.\n"
-"Total free space (including removable row versions) is %.0f bytes.\n"
-"%u pages are or will become empty, including %u at the end of the table.\n"
-"%u pages containing %.0f free bytes are potential move destinations.\n"
-"%s."
-msgstr ""
-"%.0f versiones muertas de filas no puede ser eliminadas aún.\n"
-"Versiones no eliminables de filas usan entre %lu y %lu bytes cada una.\n"
-"Hubo %.0f punteros de ítem sin uso.\n"
-"Espacio libre total, incluyendo versiones de filas eliminables,\n"
-"es %.0f bytes.\n"
-"%u páginas están o estarán vacías, incluyendo %u al final de la tabla.\n"
-"%u páginas, que contienen %.0f bytes libres, son destinos potenciales.\n"
-"%s."
-
-#: commands/vacuum.c:2858
-#, c-format
-msgid "\"%s\": moved %u row versions, truncated %u to %u pages"
-msgstr "«%s»: %u versiones de filas movidas; truncada de %u a %u páginas"
-
-#: commands/vacuum.c:2861 commands/vacuumlazy.c:901 commands/vacuumlazy.c:994
-#: commands/vacuumlazy.c:1129
-#, c-format
-msgid "%s."
-msgstr "%s."
-
-#: commands/vacuum.c:3435 commands/vacuumlazy.c:1126
-#, c-format
-msgid "\"%s\": truncated %u to %u pages"
-msgstr "«%s»: truncadas %u a %u páginas"
-
-#: commands/vacuum.c:3528 commands/vacuum.c:3605 commands/vacuumlazy.c:1033
-#, c-format
-msgid "index \"%s\" now contains %.0f row versions in %u pages"
-msgstr "el índice «%s» ahora contiene %.0f versiones de filas en %u páginas"
-
-#: commands/vacuum.c:3532
-#, c-format
-msgid ""
-"%u index pages have been deleted, %u are currently reusable.\n"
-"%s."
-msgstr ""
-"%u páginas de índice han sido eliminadas, %u son reusables.\n"
-"%s."
-
-#: commands/vacuum.c:3547 commands/vacuum.c:3626
-#, c-format
-msgid ""
-"index \"%s\" contains %.0f row versions, but table contains %.0f row versions"
-msgstr ""
-"el índice «%s» contiene %.0f versiones de filas, pero la tabla contiene %.0f"
-
-#: commands/vacuum.c:3550 commands/vacuum.c:3629
-msgid "Rebuild the index with REINDEX."
-msgstr "Reconstruya el índice con REINDEX."
-
-#: commands/vacuum.c:3609 commands/vacuumlazy.c:1037
-#, c-format
-msgid ""
-"%.0f index row versions were removed.\n"
-"%u index pages have been deleted, %u are currently reusable.\n"
-"%s."
-msgstr ""
-"%.0f versiones de filas del índice fueron eliminadas.\n"
-"%u páginas de índice han sido eliminadas, %u son reusables.\n"
-"%s."
-
-#: commands/vacuumlazy.c:269
-#, c-format
-msgid ""
-"automatic vacuum of table \"%s.%s.%s\": index scans: %d\n"
-"pages: %d removed, %d remain\n"
-"tuples: %.0f removed, %.0f remain\n"
-"system usage: %s"
-msgstr ""
-"vacuum automático de la tabla «%s.%s.%s»: recorridos de índice: %d\n"
-"páginas: eliminadas %d, remanentes %d\n"
-"tuplas: eliminadas %.0f, remanentes %.0f\n"
-"uso del sistema: %s"
-
-#: commands/vacuumlazy.c:831
-#, c-format
-msgid "\"%s\": removed %.0f row versions in %u pages"
-msgstr "«%s»: se eliminaron %.0f versiones de filas en %u páginas"
-
-#: commands/vacuumlazy.c:836
-#, c-format
-msgid ""
-"\"%s\": found %.0f removable, %.0f nonremovable row versions in %u out of %u "
-"pages"
-msgstr ""
-"«%s»: se encontraron %.0f versiones de filas eliminables y %.0f no "
-"eliminables en %u de %u páginas"
-
-#: commands/vacuumlazy.c:840
-#, c-format
-msgid ""
-"%.0f dead row versions cannot be removed yet.\n"
-"There were %.0f unused item pointers.\n"
-"%u pages are entirely empty.\n"
-"%s."
-msgstr ""
-"%.0f versiones muertas de filas no pueden ser eliminadas aún.\n"
-"Hubo %.0f punteros de ítem sin uso.\n"
-"%u páginas están completamente vacías.\n"
-"%s."
-
-#: commands/vacuumlazy.c:898
-#, c-format
-msgid "\"%s\": removed %d row versions in %d pages"
-msgstr "«%s»: se eliminaron %d versiones de filas en %d páginas"
-
-#: commands/vacuumlazy.c:991
-#, c-format
-msgid "scanned index \"%s\" to remove %d row versions"
-msgstr "se recorrió el índice «%s» para eliminar %d versiones de filas"
-
-#: commands/variable.c:62
-msgid "invalid list syntax for parameter \"datestyle\""
-msgstr "la sintaxis de lista no es válida para el parámetro «datestyle»"
-
-#: commands/variable.c:161
-#, c-format
-msgid "unrecognized \"datestyle\" key word: \"%s\""
-msgstr "no se reconoce el valor de «datestyle» «%s»"
-
-#: commands/variable.c:175
-msgid "conflicting \"datestyle\" specifications"
-msgstr "especificaciones contradictorias de «datestyle»"
-
-#: commands/variable.c:285
-msgid "invalid interval value for time zone: month not allowed"
-msgstr "no se permite especificar mes en interval para huso horario"
-
-#: commands/variable.c:293
-msgid "invalid interval value for time zone: day not allowed"
-msgstr "no se permite especificar día en interval para huso horario"
-
-#: commands/variable.c:361 commands/variable.c:493
-#, c-format
-msgid "unrecognized time zone name: \"%s\""
-msgstr "el nombre de huso horario no es reconocido: «%s»"
-
-#: commands/variable.c:370 commands/variable.c:502
-#, c-format
-msgid "time zone \"%s\" appears to use leap seconds"
-msgstr "el huso horario «%s» parece usar segundos intercalares (bisiestos)"
-
-#: commands/variable.c:372 commands/variable.c:504
-msgid "PostgreSQL does not support leap seconds."
-msgstr "PostgreSQL no soporta segundos intercalares."
-
-#: commands/variable.c:557
-msgid "SET TRANSACTION ISOLATION LEVEL must be called before any query"
-msgstr ""
-"SET TRANSACTION ISOLATION LEVEL debe ser llamado antes de cualquier consulta"
-
-#: commands/variable.c:566
-msgid "SET TRANSACTION ISOLATION LEVEL must not be called in a subtransaction"
-msgstr ""
-"SET TRANSACTION ISOLATION LEVEL no debe ser llamado en una subtransacción"
-
-#: commands/variable.c:665 utils/mb/mbutils.c:240
-#, c-format
-msgid "conversion between %s and %s is not supported"
-msgstr "la conversión entre %s y %s no está soportada"
-
-#: commands/variable.c:869
-#, c-format
-msgid "permission denied to set role \"%s\""
-msgstr "se ha denegado el permiso para definir el rol «%s»"
-
-#: tcop/fastpath.c:110 tcop/fastpath.c:494 tcop/fastpath.c:624
-#, c-format
-msgid "invalid argument size %d in function call message"
-msgstr ""
-"el tamaño de argumento %d no es válido en el mensaje de llamada a función"
-
-#: tcop/fastpath.c:306 tcop/postgres.c:897 tcop/postgres.c:1206
-#: tcop/postgres.c:1486 tcop/postgres.c:1922 tcop/postgres.c:2239
-#: tcop/postgres.c:2319
-msgid ""
-"current transaction is aborted, commands ignored until end of transaction "
-"block"
-msgstr ""
-"transacción abortada, las órdenes serán ignoradas hasta el fin de bloque de "
-"transacción"
-
-#: tcop/fastpath.c:334
-#, c-format
-msgid "fastpath function call: \"%s\" (OID %u)"
-msgstr "llamada a función fastpath: «%s» (OID %u)"
-
-#: tcop/fastpath.c:361 parser/parse_func.c:1491
-msgid "argument to pg_get_expr() must come from system catalogs"
-msgstr "el argumento a pg_get_expr() debe venir de catálogos del sistema"
-
-#: tcop/fastpath.c:420 tcop/postgres.c:1066 tcop/postgres.c:1352
-#: tcop/postgres.c:1763 tcop/postgres.c:1979
-#, c-format
-msgid "duration: %s ms"
-msgstr "duración: %s ms"
-
-#: tcop/fastpath.c:424
-#, c-format
-msgid "duration: %s ms  fastpath function call: \"%s\" (OID %u)"
-msgstr "duración: %s ms  llamada a función fastpath: «%s» (OID %u)"
-
-#: tcop/fastpath.c:462 tcop/fastpath.c:589
-#, c-format
-msgid "function call message contains %d arguments but function requires %d"
-msgstr ""
-"el mensaje de llamada a función contiene %d argumentos pero la función "
-"requiere %d"
-
-#: tcop/fastpath.c:470
-#, c-format
-msgid "function call message contains %d argument formats but %d arguments"
-msgstr ""
-"el mensaje de llamada a función contiene %d formatos de argumento pero %d "
-"argumentos"
-
-#: tcop/fastpath.c:557 tcop/fastpath.c:640
-#, c-format
-msgid "incorrect binary data format in function argument %d"
-msgstr "el formato de datos binarios es incorrecto en argumento %d a función"
-
-#: tcop/postgres.c:382 tcop/postgres.c:394 tcop/postgres.c:405
-#: tcop/postgres.c:417 tcop/postgres.c:3906
-#, c-format
-msgid "invalid frontend message type %d"
-msgstr "el tipo de mensaje de frontend %d no es válido"
-
-#: tcop/postgres.c:838
-#, c-format
-msgid "statement: %s"
-msgstr "sentencia: %s"
-
-#: tcop/postgres.c:1071
-#, c-format
-msgid "duration: %s ms  statement: %s"
-msgstr "duración: %s ms  sentencia: %s"
-
-#: tcop/postgres.c:1121
-#, c-format
-msgid "parse %s: %s"
-msgstr "parse %s: %s"
-
-#: tcop/postgres.c:1179
-msgid "cannot insert multiple commands into a prepared statement"
-msgstr "no se pueden insertar múltiples órdenes en una sentencia preparada"
-
-#: tcop/postgres.c:1357
-#, c-format
-msgid "duration: %s ms  parse %s: %s"
-msgstr "duración: %s ms  parse: %s: %s"
-
-#: tcop/postgres.c:1403
-#, c-format
-msgid "bind %s to %s"
-msgstr "bind %s a %s"
-
-#: tcop/postgres.c:1422 tcop/postgres.c:2219
-msgid "unnamed prepared statement does not exist"
-msgstr "no existe una sentencia preparada sin nombre"
-
-#: tcop/postgres.c:1464
-#, c-format
-msgid "bind message has %d parameter formats but %d parameters"
-msgstr ""
-"el mensaje de enlace (bind) tiene %d formatos de parámetro pero %d parámetros"
-
-#: tcop/postgres.c:1470
-#, c-format
-msgid ""
-"bind message supplies %d parameters, but prepared statement \"%s\" requires "
-"%d"
-msgstr ""
-"el mensaje de enlace (bind) entrega %d parámetros, pero la sentencia "
-"preparada «%s» requiere %d"
-
-#: tcop/postgres.c:1629
-#, c-format
-msgid "incorrect binary data format in bind parameter %d"
-msgstr ""
-"el formato de datos binarios es incorrecto en el parámetro de enlace %d"
-
-#: tcop/postgres.c:1768
-#, c-format
-msgid "duration: %s ms  bind %s%s%s: %s"
-msgstr "duración: %s ms  bind %s%s%s: %s"
-
-#: tcop/postgres.c:1816 tcop/postgres.c:2305
-#, c-format
-msgid "portal \"%s\" does not exist"
-msgstr "no existe el portal «%s»"
-
-#: tcop/postgres.c:1903 tcop/postgres.c:1987
-msgid "execute fetch from"
-msgstr "ejecutar fetch desde"
-
-#: tcop/postgres.c:1904 tcop/postgres.c:1988
-msgid "execute"
-msgstr "ejecutar"
-
-#: tcop/postgres.c:1901
-#, c-format
-msgid "%s %s%s%s: %s"
-msgstr "%s %s%s%s: %s"
-
-#: tcop/postgres.c:1984
-#, c-format
-msgid "duration: %s ms  %s %s%s%s: %s"
-msgstr "duración: %s ms  %s %s%s%s: %s"
-
-#: tcop/postgres.c:2110
-#, c-format
-msgid "prepare: %s"
-msgstr "prepare: %s"
-
-#: tcop/postgres.c:2173
-#, c-format
-msgid "parameters: %s"
-msgstr "parámetros: %s"
-
-#: tcop/postgres.c:2495
-msgid "terminating connection because of crash of another server process"
-msgstr "terminando la conexión debido a una falla en otro proceso servidor"
-
-#: tcop/postgres.c:2496
-msgid ""
-"The postmaster has commanded this server process to roll back the current "
-"transaction and exit, because another server process exited abnormally and "
-"possibly corrupted shared memory."
-msgstr ""
-"Postmaster ha ordenado que este proceso servidor cancele la transacción en "
-"curso y finalice la conexión, porque otro proceso servidor ha terminado "
-"anormalmente y podría haber corrompido la memoria compartida."
-
-#: tcop/postgres.c:2500
-msgid ""
-"In a moment you should be able to reconnect to the database and repeat your "
-"command."
-msgstr "Dentro de un momento debería poder reconectarse y repetir la consulta."
-
-#: tcop/postgres.c:2619
-msgid "floating-point exception"
-msgstr "excepción de coma flotante"
-
-#: tcop/postgres.c:2620
-msgid ""
-"An invalid floating-point operation was signaled. This probably means an out-"
-"of-range result or an invalid operation, such as division by zero."
-msgstr ""
-"Se ha recibido una señal de una operación de coma flotante no válida.  Esto "
-"puede significar un resultado fuera de rango o una operación no válida, como "
-"una división por cero."
-
-#: tcop/postgres.c:2657
-msgid "terminating autovacuum process due to administrator command"
-msgstr "terminando el proceso autovacuum debido a una orden del administrador"
-
-#: tcop/postgres.c:2661
-msgid "terminating connection due to administrator command"
-msgstr "terminando la conexión debido a una orden del administrador"
-
-#: tcop/postgres.c:2672
-msgid "canceling statement due to statement timeout"
-msgstr ""
-"cancelando consulta debido a que se agotó el tiempo de espera de sentencias"
-
-#: tcop/postgres.c:2676
-msgid "canceling autovacuum task"
-msgstr "cancelando tarea de autovacuum"
-
-#: tcop/postgres.c:2680
-msgid "canceling statement due to user request"
-msgstr "cancelando consulta debido a una petición del usuario"
-
-#: tcop/postgres.c:2760 tcop/postgres.c:2781
-msgid "stack depth limit exceeded"
-msgstr "límite de profundidad de stack alcanzado"
-
-#: tcop/postgres.c:2761 tcop/postgres.c:2782
-msgid ""
-"Increase the configuration parameter \"max_stack_depth\", after ensuring the "
-"platform's stack depth limit is adequate."
-msgstr ""
-"Incremente el parámetro de configuración «max_stack_depth», después de "
-"asegurarse que el límite de profundidad de stack de la plataforma es "
-"adecuado."
-
-#: tcop/postgres.c:2799
-#, c-format
-msgid "\"max_stack_depth\" must not exceed %ldkB"
-msgstr "«max_stack_depth» no debe exceder %ldkB"
-
-#: tcop/postgres.c:2801
-msgid ""
-"Increase the platform's stack depth limit via \"ulimit -s\" or local "
-"equivalent."
-msgstr ""
-"Incremente el límite de profundidad del stack del sistema usando «ulimit -s» "
-"o el equivalente de su sistema."
-
-#: tcop/postgres.c:3321
-msgid "invalid command-line arguments for server process"
-msgstr ""
-"los argumentos de línea de órdenes no son válidos para proceso servidor"
-
-#: tcop/postgres.c:3322 tcop/postgres.c:3336
-#, c-format
-msgid "Try \"%s --help\" for more information."
-msgstr "Pruebe «%s --help» para mayor información."
-
-#: tcop/postgres.c:3334
-#, c-format
-msgid "%s: invalid command-line arguments"
-msgstr "%s: argumentos de línea de órdenes no válidos"
-
-#: tcop/postgres.c:3344
-#, c-format
-msgid "%s: no database nor user name specified"
-msgstr "%s: no se ha especificado base de datos ni usuario"
-
-#: tcop/postgres.c:3816
-#, c-format
-msgid "invalid CLOSE message subtype %d"
-msgstr "subtipo %d de mensaje CLOSE no válido"
-
-#: tcop/postgres.c:3849
-#, c-format
-msgid "invalid DESCRIBE message subtype %d"
-msgstr "subtipo %d de mensaje DESCRIBE no válido"
-
-#: tcop/postgres.c:4087
-#, c-format
-msgid ""
-"disconnection: session time: %d:%02d:%02d.%03d user=%s database=%s host=%s%s"
+#: commands/tsearchcmds.c:109 commands/tsearchcmds.c:947
+#, c-format
+msgid "function %s should return type %s"
+msgstr "la función %s debería retornar el tipo %s"
+
+#: commands/tsearchcmds.c:178
+msgid "must be superuser to create text search parsers"
+msgstr "debe ser superusuario para crear analizadores de búsqueda en texto"
+
+#: commands/tsearchcmds.c:226
+#, c-format
+msgid "text search parser parameter \"%s\" not recognized"
+msgstr "el parámetro de analizador de búsqueda en texto «%s» no es reconocido"
+
+#: commands/tsearchcmds.c:236
+msgid "text search parser start method is required"
+msgstr "se requiere el método start del analizador de búsqueda en texto"
+
+#: commands/tsearchcmds.c:241
+msgid "text search parser gettoken method is required"
+msgstr "se requiere el método gettoken del analizador de búsqueda en texto"
+
+#: commands/tsearchcmds.c:246
+msgid "text search parser end method is required"
+msgstr "se requiere el método end del analizador de búsqueda en texto"
+
+#: commands/tsearchcmds.c:251
+msgid "text search parser lextypes method is required"
+msgstr "se requiere el método lextypes del analizador de búsqueda en texto"
+
+#: commands/tsearchcmds.c:283
+msgid "must be superuser to drop text search parsers"
+msgstr "debe ser superusuario para eliminar analizadores de búsqueda en texto"
+
+#: commands/tsearchcmds.c:306 catalog/namespace.c:1575
+#, c-format
+msgid "text search parser \"%s\" does not exist"
+msgstr "no existe el analizador de búsqueda en texto «%s»"
+
+#: commands/tsearchcmds.c:312
+#, c-format
+msgid "text search parser \"%s\" does not exist, skipping"
+msgstr "el analizador de búsqueda en texto «%s» no existe, ignorando"
+
+#: commands/tsearchcmds.c:369
+msgid "must be superuser to rename text search parsers"
+msgstr ""
+"debe ser superusuario para cambiar el nombre a analizadores de búsqueda en "
+"texto"
+
+#: commands/tsearchcmds.c:390
+#, c-format
+msgid "text search parser \"%s\" already exists"
+msgstr "el analizador de búsqueda en texto «%s» ya existe"
+
+#: commands/tsearchcmds.c:469
+#, c-format
+msgid "text search template \"%s\" does not accept options"
+msgstr "la plantilla de búsquede en texto «%s» no acepta opciones"
+
+#: commands/tsearchcmds.c:542
+msgid "text search template is required"
+msgstr "se requiere una plantilla de búsqueda en texto"
+
+#: commands/tsearchcmds.c:610
+#, c-format
+msgid "text search dictionary \"%s\" already exists"
+msgstr "el diccionario de búsqueda en texto «%s» ya existe"
+
+#: commands/tsearchcmds.c:664 catalog/namespace.c:1703
+#, c-format
+msgid "text search dictionary \"%s\" does not exist"
+msgstr "no existe el diccionario de búsqueda en texto «%s»"
+
+#: commands/tsearchcmds.c:670
+#, c-format
+msgid "text search dictionary \"%s\" does not exist, skipping"
+msgstr "el diccionario de búsqueda en texto «%s» no existe, ignorando"
+
+#: commands/tsearchcmds.c:1008
+msgid "must be superuser to create text search templates"
+msgstr "debe ser superusuario para crear una plantilla de búsqueda en texto"
+
+#: commands/tsearchcmds.c:1045
+#, c-format
+msgid "text search template parameter \"%s\" not recognized"
+msgstr ""
+"el parámetro de la plantilla de búsqueda en texto «%s» no es reconocido"
+
+#: commands/tsearchcmds.c:1055
+msgid "text search template lexize method is required"
+msgstr "se requiere el método lexize de la plantilla de búsqueda en texto"
+
+#: commands/tsearchcmds.c:1090
+msgid "must be superuser to rename text search templates"
+msgstr ""
+"debe ser superusuario para cambiar el nombre a plantillas de búsqueda en "
+"texto"
+
+#: commands/tsearchcmds.c:1112
+#, c-format
+msgid "text search template \"%s\" already exists"
+msgstr "ya existe la plantilla de búsqueda en texto «%s»"
+
+#: commands/tsearchcmds.c:1135
+msgid "must be superuser to drop text search templates"
+msgstr "debe ser superusuario para eliminar plantillas de búsqueda en texto"
+
+#: commands/tsearchcmds.c:1158 catalog/namespace.c:1832
+#, c-format
+msgid "text search template \"%s\" does not exist"
+msgstr "no existe la plantilla de búsqueda en texto «%s»"
+
+#: commands/tsearchcmds.c:1164
+#, c-format
+msgid "text search template \"%s\" does not exist, skipping"
+msgstr "la plantilla de búsqueda en texto «%s» no existe, ignorando"
+
+#: commands/tsearchcmds.c:1363
+#, c-format
+msgid "text search configuration parameter \"%s\" not recognized"
+msgstr ""
+"el parámetro de configuración de búsqueda en texto «%s» no es reconocido"
+
+#: commands/tsearchcmds.c:1370
+msgid "cannot specify both PARSER and COPY options"
+msgstr "no se puede especificar simultáneamente las opciones PARSER y COPY"
+
+#: commands/tsearchcmds.c:1400
+msgid "text search parser is required"
+msgstr "el analizador de búsqueda en texto es requerido"
+
+#: commands/tsearchcmds.c:1509
+#, c-format
+msgid "text search configuration \"%s\" already exists"
+msgstr "la configuración de búsqueda en texto «%s» ya existe"
+
+#: commands/tsearchcmds.c:1568
+#, c-format
+msgid "text search configuration \"%s\" does not exist, skipping"
+msgstr "no existe la configuración de búsqueda en texto «%s», ignorando"
+
+#: commands/tsearchcmds.c:1794
+#, c-format
+msgid "token type \"%s\" does not exist"
+msgstr "no existe el tipo de elemento «%s»"
+
+#: commands/tsearchcmds.c:2018
+#, c-format
+msgid "mapping for token type \"%s\" does not exist"
+msgstr "no existe un mapeo para el tipo de elemento «%s»"
+
+#: commands/tsearchcmds.c:2024
+#, c-format
+msgid "mapping for token type \"%s\" does not exist, skipping"
+msgstr "el mapeo para el tipo de elemento «%s» no existe, ignorando"
+
+#: commands/tsearchcmds.c:2177 commands/tsearchcmds.c:2288
+#, c-format
+msgid "invalid parameter list format: \"%s\""
+msgstr "el formato de la lista de parámetros no es válido: «%s»"
+
+#: foreign/foreign.c:240
+#, c-format
+msgid "user mapping not found for \"%s\""
+msgstr "no se encontró un mapeo para el usuario «%s»"
+
+#: foreign/foreign.c:428
+#, c-format
+msgid "invalid option \"%s\""
+msgstr "el nombre de opción «%s» no es válido"
+
+#: foreign/foreign.c:429
+#, c-format
+msgid "Valid options in this context are: %s"
+msgstr "Las opciones válidas en este contexto son: %s"
+
+#: nodes/nodeFuncs.c:107 nodes/nodeFuncs.c:133 parser/parse_coerce.c:1618
+#: parser/parse_coerce.c:1635 parser/parse_coerce.c:1693
+#: parser/parse_expr.c:1497 parser/parse_oper.c:994 parser/parse_func.c:310
+#, c-format
+msgid "could not find array type for data type %s"
+msgstr "no se pudo encontrar un tipo de array para el tipo de dato %s"
+
+#: executor/nodeSubplan.c:301 executor/nodeSubplan.c:340
+#: executor/nodeSubplan.c:972
+msgid "more than one row returned by a subquery used as an expression"
+msgstr "una subconsulta utilizada como expresión retornó más de un registro"
+
+#: executor/nodeWindowAgg.c:1502 executor/nodeAgg.c:1539
+#, c-format
+msgid "aggregate %u needs to have compatible input type and transition type"
+msgstr ""
+"la función de agregación %u necesita tener tipos de entrada y transición "
+"compatibles"
+
+#. translator: %s is a SQL statement name
+#: executor/functions.c:154
+#, c-format
+msgid "%s is not allowed in a SQL function"
+msgstr "%s no está permitido en una función SQL"
+
+#. translator: %s is a SQL statement name
+#: executor/functions.c:161 executor/spi.c:1209 executor/spi.c:1768
+#, c-format
+msgid "%s is not allowed in a non-volatile function"
+msgstr "%s no está permitido en una función no-«volatile»"
+
+#: executor/functions.c:261
+#, c-format
+msgid ""
+"could not determine actual result type for function declared to return type "
 "%s"
 msgstr ""
-"desconexión: duración de sesión: %d:%02d:%02d.%03d usuario=%s base=%s host=%s"
-"%s%s"
-
-#: tcop/pquery.c:668
-#, c-format
-msgid "bind message has %d result formats but query has %d columns"
-msgstr ""
-"el mensaje de enlace (bind) tiene %d formatos de resultado pero la consulta "
-"tiene %d columnas"
-
-#: tcop/pquery.c:979
-msgid "cursor can only scan forward"
-msgstr "el cursor sólo se puede desplazar hacia adelante"
-
-#: tcop/pquery.c:980
-msgid "Declare it with SCROLL option to enable backward scan."
-msgstr "Declárelo con SCROLL para permitirle desplazar hacia atrás."
-
-#. translator: %s is name of a SQL command, eg PREPARE
-#: tcop/utility.c:241
-#, c-format
-msgid "cannot execute %s within security-restricted operation"
-msgstr ""
-"no se puede ejecutar %s durante una operación restringida por seguridad"
-
-#: tcop/utility.c:1047
-msgid "must be superuser to do CHECKPOINT"
-msgstr "debe ser superusuario para ejecutar CHECKPOINT"
-
-#: executor/execCurrent.c:75
-#, c-format
-msgid "cursor \"%s\" is not a SELECT query"
-msgstr "el cursor «%s» no es una orden SELECT"
-
-#: executor/execCurrent.c:81
-#, c-format
-msgid "cursor \"%s\" is held from a previous transaction"
-msgstr "el cursor «%s» está abierto desde una transacción anterior"
-
-#: executor/execCurrent.c:110
-#, c-format
-msgid "cursor \"%s\" has multiple FOR UPDATE/SHARE references to table \"%s\""
-msgstr ""
-"el cursor «%s» tiene múltiples referencias FOR UPDATE/SHARE a la tabla «%s»"
-
-#: executor/execCurrent.c:119
-#, c-format
+"no se pudo determinar el tipo de resultado para función declarada retornando "
+"tipo %s"
+
+#: executor/functions.c:300
+#, c-format
+msgid "could not determine actual type of argument declared %s"
+msgstr "no se pudo determinar el tipo de argumento declarado %s"
+
+#: executor/functions.c:920
+#, c-format
+msgid "SQL function \"%s\" statement %d"
+msgstr "función SQL «%s» en la sentencia %d"
+
+#: executor/functions.c:933 catalog/pg_proc.c:807
+#, c-format
+msgid "SQL function \"%s\""
+msgstr "función SQL «%s»"
+
+#: executor/functions.c:943
+#, c-format
+msgid "SQL function \"%s\" during startup"
+msgstr "función SQL «%s» durante el inicio"
+
+#: executor/functions.c:1088 executor/functions.c:1124
+#: executor/functions.c:1136 executor/functions.c:1247
+#: executor/functions.c:1279 executor/functions.c:1308
+#, c-format
+msgid "return type mismatch in function declared to return %s"
+msgstr "el tipo de retorno de función declarada para retornar %s no concuerda"
+
+#: executor/functions.c:1090
 msgid ""
-"cursor \"%s\" does not have a FOR UPDATE/SHARE reference to table \"%s\""
-msgstr ""
-"el cursor «%s» no tiene una referencia FOR UPDATE/SHARE a la tabla «%s»"
-
-#: executor/execCurrent.c:129 executor/execCurrent.c:176
-#, c-format
-msgid "cursor \"%s\" is not positioned on a row"
-msgstr "el cursor «%s» no está posicionado en una fila"
-
-#: executor/execCurrent.c:163
-#, c-format
-msgid "cursor \"%s\" is not a simply updatable scan of table \"%s\""
-msgstr ""
-"el cursor «%s» no es un recorrido simplemente actualizable de la tabla «%s»"
-
-#: executor/execCurrent.c:228 executor/execQual.c:997
-#, c-format
-msgid "no value found for parameter %d"
-msgstr "no se encontró un valor para parámetro %d"
+"Function's final statement must be SELECT or INSERT/UPDATE/DELETE RETURNING."
+msgstr ""
+"La sentencia final de la función debe ser un SELECT o INSERT/UPDATE/DELETE "
+"RETURNING."
+
+#: executor/functions.c:1126
+msgid "Final statement must return exactly one column."
+msgstr "La sentencia final debe retornar exactamente una columna."
+
+#: executor/functions.c:1138
+#, c-format
+msgid "Actual return type is %s."
+msgstr "El verdadero tipo de retorno es %s."
+
+#: executor/functions.c:1249
+msgid "Final statement returns too many columns."
+msgstr "La sentencia final retorna demasiadas columnas."
+
+#: executor/functions.c:1281
+#, c-format
+msgid "Final statement returns %s instead of %s at column %d."
+msgstr "La sentencia final retorna %s en lugar de %s en la columna %d."
+
+#: executor/functions.c:1310
+msgid "Final statement returns too few columns."
+msgstr "La sentencia final retorna muy pocas columnas."
+
+#: executor/functions.c:1358
+#, c-format
+msgid "return type %s is not supported for SQL functions"
+msgstr "el tipo de retorno %s no es soportado en funciones SQL"
+
+#: executor/nodeLimit.c:251
+msgid "OFFSET must not be negative"
+msgstr "OFFSET no debe ser negativo"
+
+#: executor/nodeLimit.c:278
+msgid "LIMIT must not be negative"
+msgstr "LIMIT no debe ser negativo"
+
+#: executor/nodeAgg.c:1560
+msgid "DISTINCT is supported only for single-argument aggregates"
+msgstr ""
+"DISTINCT sólo es soportado por funciones de agregación de un solo argumento"
 
 #: executor/execMain.c:760
 #, c-format
@@ -7984,14 +11298,106 @@
 msgstr ""
 "el nuevo registro para la relación «%s» viola la restricción check «%s»"
 
-#: executor/execQual.c:295 executor/execQual.c:323 executor/execQual.c:3016
-#: utils/adt/array_userfuncs.c:429 utils/adt/arrayfuncs.c:203
-#: utils/adt/arrayfuncs.c:455 utils/adt/arrayfuncs.c:1190
-#: utils/adt/arrayfuncs.c:2849 utils/adt/arrayfuncs.c:4529
-#, c-format
-msgid "number of array dimensions (%d) exceeds the maximum allowed (%d)"
-msgstr ""
-"el número de dimensiones del array (%d) excede el máximo permitido (%d)"
+#: executor/nodeMergejoin.c:1581
+msgid "RIGHT JOIN is only supported with merge-joinable join conditions"
+msgstr ""
+"RIGHT JOIN sólo está soportado con condiciones que se pueden usar con merge "
+"join"
+
+#: executor/nodeMergejoin.c:1601 optimizer/path/joinpath.c:1070
+msgid "FULL JOIN is only supported with merge-joinable join conditions"
+msgstr ""
+"FULL JOIN sólo está soportado con condiciones que se pueden usar con merge "
+"join"
+
+#: executor/spi.c:211
+msgid "transaction left non-empty SPI stack"
+msgstr "transacción dejó un stack SPI no vacío"
+
+#: executor/spi.c:212 executor/spi.c:276
+msgid "Check for missing \"SPI_finish\" calls."
+msgstr "Revise llamadas a «SPI_finish» faltantes."
+
+#: executor/spi.c:275
+msgid "subtransaction left non-empty SPI stack"
+msgstr "subtransacción dejó un stack SPI no vacío"
+
+#: executor/spi.c:1051
+msgid "cannot open multi-query plan as cursor"
+msgstr "no se puede abrir plan de varias consultas como cursor"
+
+#. translator: %s is name of a SQL command, eg INSERT
+#: executor/spi.c:1056
+#, c-format
+msgid "cannot open %s query as cursor"
+msgstr "no se puede abrir consulta %s como cursor"
+
+#: executor/spi.c:1186 parser/analyze.c:1985
+msgid "DECLARE SCROLL CURSOR ... FOR UPDATE/SHARE is not supported"
+msgstr "DECLARE SCROLL CURSOR ... FOR UPDATE/SHARE no está soportado"
+
+#: executor/spi.c:1187 parser/analyze.c:1986
+msgid "Scrollable cursors must be READ ONLY."
+msgstr "Los cursores declarados SCROLL deben ser READ ONLY."
+
+#: executor/spi.c:2059
+#, c-format
+msgid "SQL statement \"%s\""
+msgstr "sentencia SQL: «%s»"
+
+#: executor/nodeHashjoin.c:731 executor/nodeHashjoin.c:765
+#, c-format
+msgid "could not rewind hash-join temporary file: %m"
+msgstr "falló la búsqueda en el archivo temporal de hash-join: %m"
+
+#: executor/nodeHashjoin.c:799 executor/nodeHashjoin.c:805
+#, c-format
+msgid "could not write to hash-join temporary file: %m"
+msgstr "no se pudo escribir el archivo temporal de hash-join: %m"
+
+#: executor/nodeHashjoin.c:839 executor/nodeHashjoin.c:849
+#, c-format
+msgid "could not read from hash-join temporary file: %m"
+msgstr "no se pudo leer el archivo temporal de hash-join: %m"
+
+#: executor/execCurrent.c:75
+#, c-format
+msgid "cursor \"%s\" is not a SELECT query"
+msgstr "el cursor «%s» no es una orden SELECT"
+
+#: executor/execCurrent.c:81
+#, c-format
+msgid "cursor \"%s\" is held from a previous transaction"
+msgstr "el cursor «%s» está abierto desde una transacción anterior"
+
+#: executor/execCurrent.c:110
+#, c-format
+msgid "cursor \"%s\" has multiple FOR UPDATE/SHARE references to table \"%s\""
+msgstr ""
+"el cursor «%s» tiene múltiples referencias FOR UPDATE/SHARE a la tabla «%s»"
+
+#: executor/execCurrent.c:119
+#, c-format
+msgid ""
+"cursor \"%s\" does not have a FOR UPDATE/SHARE reference to table \"%s\""
+msgstr ""
+"el cursor «%s» no tiene una referencia FOR UPDATE/SHARE a la tabla «%s»"
+
+#: executor/execCurrent.c:129 executor/execCurrent.c:176
+#, c-format
+msgid "cursor \"%s\" is not positioned on a row"
+msgstr "el cursor «%s» no está posicionado en una fila"
+
+#: executor/execCurrent.c:163
+#, c-format
+msgid "cursor \"%s\" is not a simply updatable scan of table \"%s\""
+msgstr ""
+"el cursor «%s» no es un recorrido simplemente actualizable de la tabla «%s»"
+
+#: executor/execCurrent.c:228 executor/execQual.c:997
+#, c-format
+msgid "no value found for parameter %d"
+msgstr "no se encontró un valor para parámetro %d"
 
 #: executor/execQual.c:308 executor/execQual.c:336
 msgid "array subscript in assignment must not be null"
@@ -8106,33 +11512,15 @@
 "El array con tipo de elemento %s no puede ser incluido en una sentencia "
 "ARRAY con tipo de elemento %s."
 
-#: executor/execQual.c:3036 executor/execQual.c:3063
-#: utils/adt/arrayfuncs.c:490
-msgid ""
-"multidimensional arrays must have array expressions with matching dimensions"
-msgstr ""
-"los arrays multidimensionales deben tener expresiones de arrays con "
-"dimensiones coincidentes"
-
 #: executor/execQual.c:3578
 msgid "NULLIF does not support set arguments"
 msgstr "NULLIF no soporta argumentos que sean conjuntos"
 
-#: executor/execQual.c:3808 utils/adt/domains.c:128
-#, c-format
-msgid "domain %s does not allow null values"
-msgstr "el dominio %s no permite valores null"
-
-#: executor/execQual.c:3837 utils/adt/domains.c:164
-#, c-format
-msgid "value for domain %s violates check constraint \"%s\""
-msgstr "el valor para el dominio %s viola la restricción check «%s»"
-
-#: executor/execQual.c:4303 optimizer/util/clauses.c:565 parser/parse_agg.c:74
+#: executor/execQual.c:4303 optimizer/util/clauses.c:566 parser/parse_agg.c:74
 msgid "aggregate function calls cannot be nested"
 msgstr "no se pueden anidar llamadas a funciones de agregación"
 
-#: executor/execQual.c:4341 optimizer/util/clauses.c:639
+#: executor/execQual.c:4341 optimizer/util/clauses.c:640
 #: parser/parse_agg.c:121
 msgid "window function calls cannot be nested"
 msgstr "no se pueden anidar llamadas a funciones ventana"
@@ -8146,217 +11534,2627 @@
 msgid "ROW() column has type %s instead of type %s"
 msgstr "la columna de ROW() es de tipo %s en lugar de ser de tipo %s"
 
-#: executor/execQual.c:4785 utils/adt/arrayfuncs.c:3269
-#: utils/adt/rowtypes.c:907
-#, c-format
-msgid "could not identify a comparison function for type %s"
-msgstr "no se pudo identificar una función de comparación para el tipo %s"
-
-#. translator: %s is a SQL statement name
-#: executor/functions.c:154
-#, c-format
-msgid "%s is not allowed in a SQL function"
-msgstr "%s no está permitido en una función SQL"
-
-#. translator: %s is a SQL statement name
-#: executor/functions.c:161 executor/spi.c:1209 executor/spi.c:1768
-#, c-format
-msgid "%s is not allowed in a non-volatile function"
-msgstr "%s no está permitido en una función no-«volatile»"
-
-#: executor/functions.c:261
-#, c-format
-msgid ""
-"could not determine actual result type for function declared to return type "
+#: optimizer/plan/initsplan.c:589
+msgid ""
+"SELECT FOR UPDATE/SHARE cannot be applied to the nullable side of an outer "
+"join"
+msgstr ""
+"SELECT FOR UPDATE/SHARE no puede ser aplicado al lado nulable de un outer "
+"join"
+
+#: optimizer/plan/planner.c:845 parser/analyze.c:1206 parser/analyze.c:1400
+#: parser/analyze.c:2046
+msgid "SELECT FOR UPDATE/SHARE is not allowed with UNION/INTERSECT/EXCEPT"
+msgstr "SELECT FOR UPDATE/SHARE no está permitido con UNION/INTERSECT/EXCEPT"
+
+#: optimizer/plan/planner.c:1043
+msgid "could not implement GROUP BY"
+msgstr "no se pudo implementar GROUP BY"
+
+#: optimizer/plan/planner.c:1044 optimizer/plan/planner.c:1475
+#: optimizer/prep/prepunion.c:768
+msgid ""
+"Some of the datatypes only support hashing, while others only support "
+"sorting."
+msgstr ""
+"Algunos de los tipos sólo soportan hashing, mientras que otros sólo soportan "
+"ordenamiento."
+
+#: optimizer/plan/planner.c:1474
+msgid "could not implement DISTINCT"
+msgstr "no se pudo implementar DISTINCT"
+
+#: optimizer/plan/planner.c:2522
+msgid "could not implement window PARTITION BY"
+msgstr "No se pudo implementar PARTITION BY de ventana"
+
+#: optimizer/plan/planner.c:2523
+msgid "Window partitioning columns must be of sortable datatypes."
+msgstr ""
+"Las columnas de particionamiento de ventana deben de tipos que se puedan "
+"ordenar."
+
+#: optimizer/plan/planner.c:2527
+msgid "could not implement window ORDER BY"
+msgstr "no se pudo implementar ORDER BY de ventana"
+
+#: optimizer/plan/planner.c:2528
+msgid "Window ordering columns must be of sortable datatypes."
+msgstr ""
+"Las columnas de ordenamiento de ventana debe ser de tipos que se puedan "
+"ordenar."
+
+#: optimizer/prep/preptlist.c:132
+msgid "SELECT FOR UPDATE/SHARE is not allowed in subqueries"
+msgstr "SELECT FOR UPDATE/SHARE no está permitido en subconsultas"
+
+#: optimizer/prep/prepunion.c:373
+msgid "could not implement recursive UNION"
+msgstr "no se pudo implementar UNION recursivo"
+
+#: optimizer/prep/prepunion.c:374
+msgid "All column datatypes must be hashable."
+msgstr ""
+"Todos los tipos de dato de las columnas deben ser tipos de los que se puedan "
+"hacer un hash."
+
+#. translator: %s is UNION, INTERSECT, or EXCEPT
+#: optimizer/prep/prepunion.c:767
+#, c-format
+msgid "could not implement %s"
+msgstr "no se pudo implementar %s"
+
+#: optimizer/util/clauses.c:3835
+#, c-format
+msgid "SQL function \"%s\" during inlining"
+msgstr "función SQL «%s», durante expansión en línea"
+
+#: libpq/pqcomm.c:289
+#, c-format
+msgid "could not translate host name \"%s\", service \"%s\" to address: %s"
+msgstr ""
+"no se pudo traducir el nombre de host «%s», servicio «%s» a dirección: %s"
+
+#: libpq/pqcomm.c:293
+#, c-format
+msgid "could not translate service \"%s\" to address: %s"
+msgstr "no se pudo traducir el servicio «%s» a dirección: %s"
+
+#: libpq/pqcomm.c:320
+#, c-format
+msgid "could not bind to all requested addresses: MAXLISTEN (%d) exceeded"
+msgstr ""
+"no se pudo enlazar a todas las direcciones pedidas: MAXLISTEN (%d) fue "
+"excedido"
+
+#: libpq/pqcomm.c:329
+msgid "IPv4"
+msgstr "IPv4"
+
+#: libpq/pqcomm.c:333
+msgid "IPv6"
+msgstr "IPv6"
+
+#: libpq/pqcomm.c:338
+msgid "Unix"
+msgstr "Unix"
+
+#: libpq/pqcomm.c:343
+#, c-format
+msgid "unrecognized address family %d"
+msgstr "la familia de direcciones %d no es reconocida"
+
+#. translator: %s is IPv4, IPv6, or Unix
+#: libpq/pqcomm.c:354
+#, c-format
+msgid "could not create %s socket: %m"
+msgstr "no se pudo crear el socket %s: %m"
+
+#: libpq/pqcomm.c:379
+#, c-format
+msgid "setsockopt(SO_REUSEADDR) failed: %m"
+msgstr "setsockopt(SO_REUSEADDR) falló: %m"
+
+#: libpq/pqcomm.c:394
+#, c-format
+msgid "setsockopt(IPV6_V6ONLY) failed: %m"
+msgstr "setsockopt(IPV6_V6ONLY) falló: %m"
+
+#. translator: %s is IPv4, IPv6, or Unix
+#: libpq/pqcomm.c:413
+#, c-format
+msgid "could not bind %s socket: %m"
+msgstr "no se pudo enlazar al socket %s: %m"
+
+#: libpq/pqcomm.c:416
+#, c-format
+msgid ""
+"Is another postmaster already running on port %d? If not, remove socket file "
+"\"%s\" and retry."
+msgstr ""
+"¿Hay otro postmaster corriendo en el puerto %d? Si no, elimine el socket "
+"«%s» y reintente."
+
+#: libpq/pqcomm.c:419
+#, c-format
+msgid ""
+"Is another postmaster already running on port %d? If not, wait a few seconds "
+"and retry."
+msgstr ""
+"¿Hay otro postmaster corriendo en el puerto %d? Si no, aguarde unos segundos "
+"y reintente."
+
+#. translator: %s is IPv4, IPv6, or Unix
+#: libpq/pqcomm.c:452
+#, c-format
+msgid "could not listen on %s socket: %m"
+msgstr "no se pudo escuchar en el socket %s: %m"
+
+#: libpq/pqcomm.c:532
+#, c-format
+msgid "group \"%s\" does not exist"
+msgstr "no existe el grupo «%s»"
+
+#: libpq/pqcomm.c:542
+#, c-format
+msgid "could not set group of file \"%s\": %m"
+msgstr "no se pudo definir el grupo del archivo «%s»: %m"
+
+#: libpq/pqcomm.c:553
+#, c-format
+msgid "could not set permissions of file \"%s\": %m"
+msgstr "no se pudo definir los permisos del archivo «%s»: %m"
+
+#: libpq/pqcomm.c:583
+#, c-format
+msgid "could not accept new connection: %m"
+msgstr "no se pudo aceptar una nueva conexión: %m"
+
+#: libpq/pqcomm.c:769
+#, c-format
+msgid "could not receive data from client: %m"
+msgstr "no se pudo recibir datos del cliente: %m"
+
+#: libpq/pqcomm.c:956
+msgid "unexpected EOF within message length word"
+msgstr "EOF inesperado dentro de la palabra de tamaño del mensaje"
+
+#: libpq/pqcomm.c:967
+msgid "invalid message length"
+msgstr "el largo de mensaje no es válido"
+
+#: libpq/pqcomm.c:989 libpq/pqcomm.c:999
+msgid "incomplete message from client"
+msgstr "mensaje incompleto del cliente"
+
+#: libpq/pqcomm.c:1108
+#, c-format
+msgid "could not send data to client: %m"
+msgstr "no se pudo enviar datos al cliente: %m"
+
+#: libpq/be-secure.c:277 libpq/be-secure.c:372
+#, c-format
+msgid "SSL error: %s"
+msgstr "error SSL: %s"
+
+#: libpq/be-secure.c:286 libpq/be-secure.c:381 libpq/be-secure.c:943
+#, c-format
+msgid "unrecognized SSL error code: %d"
+msgstr "código de error SSL no reconocido: %d"
+
+#: libpq/be-secure.c:325 libpq/be-secure.c:329 libpq/be-secure.c:339
+msgid "SSL renegotiation failure"
+msgstr "ocurrió una falla en renegociación SSL"
+
+#: libpq/be-secure.c:333
+msgid "SSL failed to send renegotiation request"
+msgstr "SSL no pudo enviar una petición de renegociación"
+
+#: libpq/be-secure.c:729
+#, c-format
+msgid "could not create SSL context: %s"
+msgstr "no se pudo crear un contexto SSL: %s"
+
+#: libpq/be-secure.c:745
+#, c-format
+msgid "could not load server certificate file \"%s\": %s"
+msgstr "no se pudo cargar el archivo de certificado de servidor «%s»: %s"
+
+#: libpq/be-secure.c:751
+#, c-format
+msgid "could not access private key file \"%s\": %m"
+msgstr "no se pudo acceder al archivo de la llave privada «%s»: %m"
+
+#: libpq/be-secure.c:766
+#, c-format
+msgid "private key file \"%s\" has group or world access"
+msgstr "el archivo de la llave privada «%s» tiene acceso para el grupo u otros"
+
+#: libpq/be-secure.c:768
+msgid "Permissions should be u=rw (0600) or less."
+msgstr "Los permisos deberían ser u=rw (0500) o menos."
+
+#: libpq/be-secure.c:775
+#, c-format
+msgid "could not load private key file \"%s\": %s"
+msgstr "no se pudo cargar el archivo de la llave privada «%s»: %s"
+
+#: libpq/be-secure.c:780
+#, c-format
+msgid "check of private key failed: %s"
+msgstr "falló la revisión de la llave privada: %s"
+
+#: libpq/be-secure.c:809
+#, c-format
+msgid "could not access root certificate file \"%s\": %m"
+msgstr "no se pudo acceder al archivo del certificado raíz «%s»: %m"
+
+#: libpq/be-secure.c:822
+#, c-format
+msgid "could not load root certificate file \"%s\": %s"
+msgstr "no se pudo cargar el archivo del certificado raíz «%s»: %s"
+
+#: libpq/be-secure.c:844
+#, c-format
+msgid "SSL certificate revocation list file \"%s\" ignored"
+msgstr "ignorando lista de revocación de certificado SSL «%s»"
+
+#: libpq/be-secure.c:846
+msgid "SSL library does not support certificate revocation lists."
+msgstr "La libreria SSL no soporta listas de revocación de certificados."
+
+#: libpq/be-secure.c:852
+#, c-format
+msgid "SSL certificate revocation list file \"%s\" not found, skipping: %s"
+msgstr ""
+"lista de revocación de certificados SSL «%s» no encontrada, ignorando: %s"
+
+#: libpq/be-secure.c:854
+msgid "Certificates will not be checked against revocation list."
+msgstr "Certificados no serán verificados en las listas de revocación."
+
+#: libpq/be-secure.c:888
+#, c-format
+msgid "could not initialize SSL connection: %s"
+msgstr "no se pudo inicializar la conexión SSL: %s"
+
+#: libpq/be-secure.c:897
+#, c-format
+msgid "could not set SSL socket: %s"
+msgstr "no se definir un socket SSL: %s"
+
+#: libpq/be-secure.c:923
+#, c-format
+msgid "could not accept SSL connection: %m"
+msgstr "no se pudo aceptar una conexión SSL: %m"
+
+#: libpq/be-secure.c:927 libpq/be-secure.c:938
+msgid "could not accept SSL connection: EOF detected"
+msgstr "no se pudo aceptar una conexión SSL: se detectó EOF"
+
+#: libpq/be-secure.c:932
+#, c-format
+msgid "could not accept SSL connection: %s"
+msgstr "no se pudo aceptar una conexión SSL: %s"
+
+#: libpq/be-secure.c:983
+msgid "SSL certificate's common name contains embedded null"
+msgstr "el «common name» del certificado SSL contiene un carácter null"
+
+#: libpq/be-secure.c:990
+#, c-format
+msgid "SSL connection from \"%s\""
+msgstr "conexión SSL desde «%s»"
+
+#: libpq/be-secure.c:1034
+msgid "no SSL error reported"
+msgstr "código de error SSL no reportado"
+
+#: libpq/be-secure.c:1038
+#, c-format
+msgid "SSL error code %lu"
+msgstr "código de error SSL %lu"
+
+#: libpq/pqformat.c:463
+msgid "no data left in message"
+msgstr "no hay datos restantes en el mensaje"
+
+#: libpq/pqformat.c:529
+msgid "binary value is out of range for type bigint"
+msgstr "el valor binario está fuera de rango para el tipo bigint"
+
+#: libpq/pqformat.c:691
+msgid "invalid string in message"
+msgstr "cadena inválida en el mensaje"
+
+#: libpq/pqformat.c:707
+msgid "invalid message format"
+msgstr "formato de mensaje no válido"
+
+#: libpq/auth.c:239
+#, c-format
+msgid "authentication failed for user \"%s\": host rejected"
+msgstr "la autentificación falló para el usuario «%s»: anfitrión rechazado"
+
+#: libpq/auth.c:242
+#, c-format
+msgid "Kerberos 5 authentication failed for user \"%s\""
+msgstr "la autentificación Kerberos 5 falló para el usuario «%s»"
+
+#: libpq/auth.c:245
+#, c-format
+msgid "GSSAPI authentication failed for user \"%s\""
+msgstr "la autentificación GSSAPI falló para el usuario «%s»"
+
+#: libpq/auth.c:248
+#, c-format
+msgid "SSPI authentication failed for user \"%s\""
+msgstr "la autentificación SSPI falló para el usuario «%s»"
+
+#: libpq/auth.c:251
+#, c-format
+msgid "\"trust\" authentication failed for user \"%s\""
+msgstr "la autentificación «trust» falló para el usuario «%s»"
+
+#: libpq/auth.c:254
+#, c-format
+msgid "Ident authentication failed for user \"%s\""
+msgstr "la autentificación Ident falló para el usuario «%s»"
+
+#: libpq/auth.c:258
+#, c-format
+msgid "password authentication failed for user \"%s\""
+msgstr "la autentificación password falló para el usuario «%s»"
+
+#: libpq/auth.c:261
+#, c-format
+msgid "PAM authentication failed for user \"%s\""
+msgstr "la autentificación PAM falló para el usuario «%s»"
+
+#: libpq/auth.c:264
+#, c-format
+msgid "LDAP authentication failed for user \"%s\""
+msgstr "la autentificación LDAP falló para el usuario «%s»"
+
+#: libpq/auth.c:267
+#, c-format
+msgid "authentication failed for user \"%s\": invalid authentication method"
+msgstr ""
+"la autentificación falló para el usuario «%s»: método de autentificación no "
+"válido"
+
+#: libpq/auth.c:296
+msgid "missing or erroneous pg_hba.conf file"
+msgstr "No se encuentra pg_hba.conf o el archivo es incorrecto"
+
+#: libpq/auth.c:297
+msgid "See server log for details."
+msgstr "Vea el registro del servidor para obtener más detalles."
+
+#: libpq/auth.c:318
+msgid "connection requires a valid client certificate"
+msgstr "la conexión requiere un certificado de cliente válido"
+
+#: libpq/auth.c:359
+msgid "SSL on"
+msgstr "SSL activo"
+
+#: libpq/auth.c:359
+msgid "SSL off"
+msgstr "SSL inactivo"
+
+#: libpq/auth.c:357
+#, c-format
+msgid "no pg_hba.conf entry for host \"%s\", user \"%s\", database \"%s\", %s"
+msgstr ""
+"no hay una línea en pg_hba.conf para «%s», usuario «%s», base de datos «%s», "
 "%s"
-msgstr ""
-"no se pudo determinar el tipo de resultado para función declarada retornando "
-"tipo %s"
-
-#: executor/functions.c:300
-#, c-format
-msgid "could not determine actual type of argument declared %s"
-msgstr "no se pudo determinar el tipo de argumento declarado %s"
-
-#: executor/functions.c:920
-#, c-format
-msgid "SQL function \"%s\" statement %d"
-msgstr "función SQL «%s» en la sentencia %d"
-
-#: executor/functions.c:943
-#, c-format
-msgid "SQL function \"%s\" during startup"
-msgstr "función SQL «%s» durante el inicio"
-
-#: executor/functions.c:1088 executor/functions.c:1124
-#: executor/functions.c:1136 executor/functions.c:1247
-#: executor/functions.c:1279 executor/functions.c:1308
-#, c-format
-msgid "return type mismatch in function declared to return %s"
-msgstr "el tipo de retorno de función declarada para retornar %s no concuerda"
-
-#: executor/functions.c:1090
-msgid ""
-"Function's final statement must be SELECT or INSERT/UPDATE/DELETE RETURNING."
-msgstr ""
-"La sentencia final de la función debe ser un SELECT o INSERT/UPDATE/DELETE "
-"RETURNING."
-
-#: executor/functions.c:1126
-msgid "Final statement must return exactly one column."
-msgstr "La sentencia final debe retornar exactamente una columna."
-
-#: executor/functions.c:1138
-#, c-format
-msgid "Actual return type is %s."
-msgstr "El verdadero tipo de retorno es %s."
-
-#: executor/functions.c:1249
-msgid "Final statement returns too many columns."
-msgstr "La sentencia final retorna demasiadas columnas."
-
-#: executor/functions.c:1281
-#, c-format
-msgid "Final statement returns %s instead of %s at column %d."
-msgstr "La sentencia final retorna %s en lugar de %s en la columna %d."
-
-#: executor/functions.c:1310
-msgid "Final statement returns too few columns."
-msgstr "La sentencia final retorna muy pocas columnas."
-
-#: executor/functions.c:1358
-#, c-format
-msgid "return type %s is not supported for SQL functions"
-msgstr "el tipo de retorno %s no es soportado en funciones SQL"
-
-#: executor/nodeAgg.c:1539 executor/nodeWindowAgg.c:1502
-#, c-format
-msgid "aggregate %u needs to have compatible input type and transition type"
-msgstr ""
-"la función de agregación %u necesita tener tipos de entrada y transición "
-"compatibles"
-
-#: executor/nodeAgg.c:1560
-msgid "DISTINCT is supported only for single-argument aggregates"
-msgstr ""
-"DISTINCT sólo es soportado por funciones de agregación de un solo argumento"
-
-#: executor/nodeHashjoin.c:731 executor/nodeHashjoin.c:765
-#, c-format
-msgid "could not rewind hash-join temporary file: %m"
-msgstr "falló la búsqueda en el archivo temporal de hash-join: %m"
-
-#: executor/nodeHashjoin.c:799 executor/nodeHashjoin.c:805
-#, c-format
-msgid "could not write to hash-join temporary file: %m"
-msgstr "no se pudo escribir el archivo temporal de hash-join: %m"
-
-#: executor/nodeHashjoin.c:839 executor/nodeHashjoin.c:849
-#, c-format
-msgid "could not read from hash-join temporary file: %m"
-msgstr "no se pudo leer el archivo temporal de hash-join: %m"
-
-#: executor/nodeLimit.c:251
-msgid "OFFSET must not be negative"
-msgstr "OFFSET no debe ser negativo"
-
-#: executor/nodeLimit.c:278
-msgid "LIMIT must not be negative"
-msgstr "LIMIT no debe ser negativo"
-
-#: executor/nodeMergejoin.c:1581
-msgid "RIGHT JOIN is only supported with merge-joinable join conditions"
-msgstr ""
-"RIGHT JOIN sólo está soportado con condiciones que se pueden usar con merge "
-"join"
-
-#: executor/nodeMergejoin.c:1601 optimizer/path/joinpath.c:1070
-msgid "FULL JOIN is only supported with merge-joinable join conditions"
-msgstr ""
-"FULL JOIN sólo está soportado con condiciones que se pueden usar con merge "
-"join"
-
-#: executor/nodeSubplan.c:301 executor/nodeSubplan.c:340
-#: executor/nodeSubplan.c:972
-msgid "more than one row returned by a subquery used as an expression"
-msgstr "una subconsulta utilizada como expresión retornó más de un registro"
-
-#: executor/spi.c:211
-msgid "transaction left non-empty SPI stack"
-msgstr "transacción dejó un stack SPI no vacío"
-
-#: executor/spi.c:212 executor/spi.c:276
-msgid "Check for missing \"SPI_finish\" calls."
-msgstr "Revise llamadas a «SPI_finish» faltantes."
-
-#: executor/spi.c:275
-msgid "subtransaction left non-empty SPI stack"
-msgstr "subtransacción dejó un stack SPI no vacío"
-
-#: executor/spi.c:1051
-msgid "cannot open multi-query plan as cursor"
-msgstr "no se puede abrir plan de varias consultas como cursor"
-
-#. translator: %s is name of a SQL command, eg INSERT
-#: executor/spi.c:1056
-#, c-format
-msgid "cannot open %s query as cursor"
-msgstr "no se puede abrir consulta %s como cursor"
-
-#: executor/spi.c:1186 parser/analyze.c:1985
-msgid "DECLARE SCROLL CURSOR ... FOR UPDATE/SHARE is not supported"
-msgstr "DECLARE SCROLL CURSOR ... FOR UPDATE/SHARE no está soportado"
-
-#: executor/spi.c:1187 parser/analyze.c:1986
-msgid "Scrollable cursors must be READ ONLY."
-msgstr "Los cursores declarados SCROLL deben ser READ ONLY."
-
-#: executor/spi.c:2059
-#, c-format
-msgid "SQL statement \"%s\""
-msgstr "sentencia SQL: «%s»"
-
-#: foreign/foreign.c:240
-#, c-format
-msgid "user mapping not found for \"%s\""
-msgstr "no se encontró un mapeo para el usuario «%s»"
-
-#: foreign/foreign.c:428
-#, c-format
-msgid "invalid option \"%s\""
-msgstr "el nombre de opción «%s» no es válido"
-
-#: foreign/foreign.c:429
-#, c-format
-msgid "Valid options in this context are: %s"
-msgstr "Las opciones válidas en este contexto son: %s"
-
-#: lib/stringinfo.c:246
-#, c-format
-msgid "Cannot enlarge string buffer containing %d bytes by %d more bytes."
-msgstr ""
-"No se puede agrandar el búfer de cadena que ya tiene %d bytes en %d bytes "
-"adicionales."
-
-#: snowball/dict_snowball.c:183
-#, c-format
-msgid "no Snowball stemmer available for language \"%s\" and encoding \"%s\""
-msgstr ""
-"no se encontró un analizador Snowball para el lenguaje «%s» y la "
-"codificación «%s»"
-
-#: snowball/dict_snowball.c:215
-msgid "multiple Language parameters"
-msgstr "parámetro Language duplicado"
-
-#: snowball/dict_snowball.c:222
-#, c-format
-msgid "unrecognized Snowball parameter: \"%s\""
-msgstr "parámetro Snowball no reconocido: «%s»"
-
-#: snowball/dict_snowball.c:230
-msgid "missing Language parameter"
-msgstr "falta un parámetro Language"
+
+#: libpq/auth.c:363
+#, c-format
+msgid "no pg_hba.conf entry for host \"%s\", user \"%s\", database \"%s\""
+msgstr ""
+"no hay una línea en pg_hba.conf para «%s», usuario «%s», base de datos «%s»"
+
+#: libpq/auth.c:419
+#, c-format
+msgid "could not enable credential reception: %m"
+msgstr "no se pudo activar la recepción de credenciales: %m"
+
+#: libpq/auth.c:432 libpq/hba.c:881
+msgid ""
+"MD5 authentication is not supported when \"db_user_namespace\" is enabled"
+msgstr ""
+"la autentificación MD5 no está soportada cuando «db_user_namespace» está "
+"activo"
+
+#: libpq/auth.c:548
+#, c-format
+msgid "expected password response, got message type %d"
+msgstr "se esperaba una respuesta de contraseña, se obtuvo mensaje de tipo %d"
+
+#: libpq/auth.c:576
+msgid "invalid password packet size"
+msgstr "el tamaño del paquete de contraseña no es válido"
+
+#: libpq/auth.c:580
+msgid "received password packet"
+msgstr "se recibió un paquete de clave"
+
+#: libpq/auth.c:638
+#, c-format
+msgid "Kerberos initialization returned error %d"
+msgstr "la inicialización de Kerberos retornó error %d"
+
+#: libpq/auth.c:648
+#, c-format
+msgid "Kerberos keytab resolving returned error %d"
+msgstr "la resolución de keytab de Kerberos retornó error %d"
+
+#: libpq/auth.c:672
+#, c-format
+msgid "Kerberos sname_to_principal(\"%s\", \"%s\") returned error %d"
+msgstr "sname_to_principal(\"%s\", \"%s\") de Kerberos retornó error %d"
+
+#: libpq/auth.c:720
+#, c-format
+msgid "Kerberos recvauth returned error %d"
+msgstr "recvauth de Kerberos retornó error %d"
+
+#: libpq/auth.c:743
+#, c-format
+msgid "Kerberos unparse_name returned error %d"
+msgstr "unparse_name de Kerberos retornó error %d"
+
+#: libpq/auth.c:866
+#, c-format
+msgid "%s: %s"
+msgstr "%s: %s"
+
+#: libpq/auth.c:892
+msgid "GSSAPI is not supported in protocol version 2"
+msgstr "GSSAPI no está soportado por el protocolo versión 2"
+
+#: libpq/auth.c:947
+#, c-format
+msgid "expected GSS response, got message type %d"
+msgstr "se esperaba una respuesta GSS, se obtuvo mensaje de tipo %d"
+
+#: libpq/auth.c:1010
+msgid "accepting GSS security context failed"
+msgstr "falló la aceptación del contexto de seguridad GSS"
+
+#: libpq/auth.c:1036
+msgid "retrieving GSS user name failed"
+msgstr "falló la obtención del nombre de usuario GSS"
+
+#: libpq/auth.c:1109
+#, c-format
+msgid "SSPI error %x"
+msgstr "error SSPI %x"
+
+#: libpq/auth.c:1113
+#, c-format
+msgid "%s (%x)"
+msgstr "%s (%x)"
+
+#: libpq/auth.c:1153
+msgid "SSPI is not supported in protocol version 2"
+msgstr "SSPI no está soportado por el protocolo versión 2"
+
+#: libpq/auth.c:1168
+msgid "could not acquire SSPI credentials"
+msgstr "no se pudo obtener las credenciales SSPI"
+
+#: libpq/auth.c:1185
+#, c-format
+msgid "expected SSPI response, got message type %d"
+msgstr "se esperaba una respuesta SSPI, se obtuvo mensaje de tipo %d"
+
+#: libpq/auth.c:1257
+msgid "could not accept SSPI security context"
+msgstr "no se pudo aceptar un contexto SSPI"
+
+#: libpq/auth.c:1319
+msgid "could not get token from SSPI security context"
+msgstr ""
+"no se pudo obtener un testigo (token) desde el contexto de seguridad SSPI"
+
+#: libpq/auth.c:1562
+#, c-format
+msgid "could not create socket for Ident connection: %m"
+msgstr "no se pudo crear un socket para conexión Ident: %m"
+
+#: libpq/auth.c:1577
+#, c-format
+msgid "could not bind to local address \"%s\": %m"
+msgstr "no se pudo enlazar a la dirección local «%s»: %m"
+
+#: libpq/auth.c:1589
+#, c-format
+msgid "could not connect to Ident server at address \"%s\", port %s: %m"
+msgstr "no se pudo conectar al servidor Ident «%s», port %s: %m"
+
+#: libpq/auth.c:1609
+#, c-format
+msgid "could not send query to Ident server at address \"%s\", port %s: %m"
+msgstr "no se pudo enviar consulta Ident al servidor «%s», port %s: %m"
+
+#: libpq/auth.c:1624
+#, c-format
+msgid ""
+"could not receive response from Ident server at address \"%s\", port %s: %m"
+msgstr "no se pudo recibir respuesta Ident desde el servidor «%s», port %s: %m"
+
+#: libpq/auth.c:1634
+#, c-format
+msgid "invalidly formatted response from Ident server: \"%s\""
+msgstr "respuesta del servidor Ident en formato no válido: «%s»"
+
+#: libpq/auth.c:1669 libpq/auth.c:1699 libpq/auth.c:1727 libpq/auth.c:1800
+#, c-format
+msgid "could not get peer credentials: %m"
+msgstr "no se pudo recibir credenciales: %m"
+
+#: libpq/auth.c:1678 libpq/auth.c:1708 libpq/auth.c:1745 libpq/auth.c:1824
+#, c-format
+msgid "local user with ID %d does not exist"
+msgstr "no existe un usuario local con ID %d"
+
+#: libpq/auth.c:1735
+#, c-format
+msgid "could not get effective UID from peer credentials: %m"
+msgstr "no se pudo obtener el UID efectivo desde las credenciales del par: %m"
+
+#: libpq/auth.c:1813
+msgid "could not get peer credentials: incorrect control message"
+msgstr "no se pudo recibir credenciales: mensaje de control incorrecto"
+
+#: libpq/auth.c:1835
+msgid ""
+"Ident authentication is not supported on local connections on this platform"
+msgstr "esta plataforma no soporta autentificación Ident en conexiones locales"
+
+#: libpq/auth.c:1955 libpq/auth.c:2135
+msgid "empty password returned by client"
+msgstr "el cliente retornó una contraseña vacía"
+
+#: libpq/auth.c:1965
+#, c-format
+msgid "error from underlying PAM layer: %s"
+msgstr "se ha recibido un error de la biblioteca PAM: %s"
+
+#: libpq/auth.c:2034
+#, c-format
+msgid "could not create PAM authenticator: %s"
+msgstr "no se pudo crear autenticador PAM: %s"
+
+#: libpq/auth.c:2045
+#, c-format
+msgid "pam_set_item(PAM_USER) failed: %s"
+msgstr "pam_set_item(PAM_USER) falló: %s"
+
+#: libpq/auth.c:2056
+#, c-format
+msgid "pam_set_item(PAM_CONV) failed: %s"
+msgstr "pam_set_item(PAM_CONV) falló: %s"
+
+#: libpq/auth.c:2067
+#, c-format
+msgid "pam_authenticate failed: %s"
+msgstr "pam_authenticate falló: %s"
+
+#: libpq/auth.c:2078
+#, c-format
+msgid "pam_acct_mgmt failed: %s"
+msgstr "pam_acct_mgmt falló: %s"
+
+#: libpq/auth.c:2089
+#, c-format
+msgid "could not release PAM authenticator: %s"
+msgstr "no se pudo liberar autenticador PAM: %s"
+
+#: libpq/auth.c:2119
+msgid "LDAP server not specified"
+msgstr "servidor LDAP no especificado"
+
+#: libpq/auth.c:2144 libpq/auth.c:2148
+#, c-format
+msgid "could not initialize LDAP: error code %d"
+msgstr "no se pudo inicializar LDAP: código de error %d"
+
+#: libpq/auth.c:2158
+#, c-format
+msgid "could not set LDAP protocol version: error code %d"
+msgstr "no se pudo definir la versión de protocolo LDAP: código de error %d"
+
+#: libpq/auth.c:2187
+msgid "could not load wldap32.dll"
+msgstr "no se pudo cargar wldap32.dll"
+
+#: libpq/auth.c:2195
+msgid "could not load function _ldap_start_tls_sA in wldap32.dll"
+msgstr "no se pudo cargar la función _ldap_start_tls_sA en wldap32.dll"
+
+#: libpq/auth.c:2196
+msgid "LDAP over SSL is not supported on this platform."
+msgstr "LDAP sobre SSL no está soportado en esta plataforma."
+
+#: libpq/auth.c:2211
+#, c-format
+msgid "could not start LDAP TLS session: error code %d"
+msgstr "no se pudo iniciar sesión de LDAP TLS: código de error %d"
+
+#: libpq/auth.c:2228
+#, c-format
+msgid "LDAP login failed for user \"%s\" on server \"%s\": error code %d"
+msgstr ""
+"Falló el inicio de sesión LDAP para el usuario «%s» en el servidor «%s»: "
+"código de error %d"
+
+#: libpq/auth.c:2253
+#, c-format
+msgid ""
+"Certificate login failed for user \"%s\": client certificate contains no "
+"username"
+msgstr ""
+"Inicio de sesión con certificado falló para el usuario «%s»: el certificado "
+"de cliente no contiene un nombre de usuario"
+
+#: libpq/hba.c:160
+#, c-format
+msgid "authentication file token too long, skipping: \"%s\""
+msgstr ""
+"una palabra en el archivo de autentificación es demasiado larga, ignorando: "
+"«%s»"
+
+#: libpq/hba.c:352
+#, c-format
+msgid "could not open secondary authentication file \"@%s\" as \"%s\": %m"
+msgstr ""
+"no se pudo abrir el archivo secundario de autentificación «@%s» como «%s»: %m"
+
+#. translator: the second %s is a list of auth methods
+#: libpq/hba.c:593
+#, c-format
+msgid ""
+"authentication option \"%s\" is only valid for authentication methods %s"
+msgstr ""
+"la opción de autentificación «%s» sólo es válida para los métodos de "
+"autentificación %s"
+
+#: libpq/hba.c:609
+#, c-format
+msgid "authentication method \"%s\" requires argument \"%s\" to be set"
+msgstr ""
+"el método de autentificación «%s» requiere que el argumento «%s» esté "
+"definido"
+
+#: libpq/hba.c:658
+msgid "hostssl requires SSL to be turned on"
+msgstr "hostssl requiere que SSL esté activado"
+
+#: libpq/hba.c:659
+msgid "Set ssl = on in postgresql.conf."
+msgstr "Defina «ssl = on» en postgresql.conf."
+
+#: libpq/hba.c:667
+msgid "hostssl not supported on this platform"
+msgstr "hostssl no están soportados en esta plataforma"
+
+#: libpq/hba.c:668
+msgid "compile with --enable-ssl to use SSL connections"
+msgstr "compile con --enable-ssl para usar conexiones SSL"
+
+#: libpq/hba.c:690
+#, c-format
+msgid "invalid connection type \"%s\""
+msgstr "tipo de conexión «%s» no válido"
+
+#: libpq/hba.c:703
+msgid "end-of-line before database specification"
+msgstr "fin de línea antes de especificación de base de datos"
+
+#: libpq/hba.c:716
+msgid "end-of-line before role specification"
+msgstr "fin de línea antes de especificación de rol"
+
+#: libpq/hba.c:731
+msgid "end-of-line before IP address specification"
+msgstr "fin de línea antes de especificación de dirección IP"
+
+#: libpq/hba.c:760
+#, c-format
+msgid "invalid IP address \"%s\": %s"
+msgstr "dirección IP «%s» no válida: %s"
+
+#: libpq/hba.c:782
+#, c-format
+msgid "invalid CIDR mask in address \"%s\""
+msgstr "máscara CIDR no válida en dirección «%s»"
+
+#: libpq/hba.c:800
+msgid "end-of-line before netmask specification"
+msgstr "fin de línea antes de especificación de máscara de red"
+
+#: libpq/hba.c:812
+#, c-format
+msgid "invalid IP mask \"%s\": %s"
+msgstr "máscara IP «%s» no válida: %s"
+
+#: libpq/hba.c:828
+#, c-format
+msgid "IP address and mask do not match in file \"%s\" line %d"
+msgstr "La dirección y máscara IP no coinciden en el archivo «%s», línea %d"
+
+#: libpq/hba.c:841
+msgid "end-of-line before authentication method"
+msgstr "fin de línea antes de especificación de método de autentificación"
+
+#: libpq/hba.c:908
+#, c-format
+msgid "invalid authentication method \"%s\""
+msgstr "método de autentificación «%s» no válido"
+
+#: libpq/hba.c:919
+#, c-format
+msgid "invalid authentication method \"%s\": not supported on this platform"
+msgstr ""
+"método de autentificación «%s» no válido: esta plataforma no lo soporta"
+
+#: libpq/hba.c:932
+msgid "krb5 authentication is not supported on local sockets"
+msgstr "la autentificación krb5 no está soportada en conexiones locales"
+
+#: libpq/hba.c:943
+msgid "gssapi authentication is not supported on local sockets"
+msgstr "la autentificación gssapi no está soportada en conexiones locales"
+
+#: libpq/hba.c:959
+msgid "cert authentication is only supported on hostssl connections"
+msgstr "la autentificación cert sólo está soportada en conexiones hostssl"
+
+#: libpq/hba.c:982
+#, c-format
+msgid "authentication option not in name=value format: %s"
+msgstr "opción de autentificación en formato nombre=valor: %s"
+
+#: libpq/hba.c:997
+msgid "ident, krb5, gssapi, sspi and cert"
+msgstr "ident, krb5, gssapi, sspi y cert"
+
+#: libpq/hba.c:1011
+msgid "clientcert can only be configured for \"hostssl\" rows"
+msgstr "clientcert sólo puede ser configurado en líneas «hostssl»"
+
+#: libpq/hba.c:1022
+msgid ""
+"client certificates can only be checked if a root certificate store is "
+"available"
+msgstr ""
+"los certificados de cliente sólo pueden verificarse si un almacén de "
+"certificado raíz está disponible"
+
+#: libpq/hba.c:1023
+msgid "make sure the root certificate store is present and readable"
+msgstr ""
+"asegúrese que el almacén de certificado raíz está presente y es legible"
+
+#: libpq/hba.c:1036
+msgid "clientcert can not be set to 0 when using \"cert\" authentication"
+msgstr ""
+"clientcert no puede establecerse en 0 cuando se emplea autentificación «cert»"
+
+#: libpq/hba.c:1070
+#, c-format
+msgid "invalid LDAP port number: \"%s\""
+msgstr "número de puerto LDP no válido: «%s»"
+
+#: libpq/hba.c:1096 libpq/hba.c:1104
+msgid "krb5, gssapi and sspi"
+msgstr "krb5, gssapi y sspi"
+
+#: libpq/hba.c:1114
+#, c-format
+msgid "unknown authentication option name: \"%s\""
+msgstr "nombre de opción de autentificación desconocido: «%s»"
+
+#: libpq/hba.c:1542
+#, c-format
+msgid "invalid regular expression \"%s\": %s"
+msgstr "la expresión regular «%s» no es válida: %s"
+
+#: libpq/hba.c:1564
+#, c-format
+msgid "regular expression match for \"%s\" failed: %s"
+msgstr "la coincidencia de expresión regular para «%s» falló: %s"
+
+#: libpq/hba.c:1581
+#, c-format
+msgid ""
+"regular expression \"%s\" has no subexpressions as requested by "
+"backreference in \"%s\""
+msgstr ""
+"la expresión regular «%s» no tiene subexpresiones según lo requiere la "
+"referencia hacia atrás en «%s»"
+
+#: libpq/hba.c:1647
+#, c-format
+msgid "missing entry in file \"%s\" at end of line %d"
+msgstr "falta una entrada en el archivo «%s» al final de la línea %d"
+
+#: libpq/hba.c:1688
+#, c-format
+msgid "provided username (%s) and authenticated username (%s) don't match"
+msgstr ""
+"el nombre de usuario entregado (%s) y el nombre de usuario autentificado "
+"(%s) no coinciden"
+
+#: libpq/hba.c:1709
+#, c-format
+msgid "no match in usermap for user \"%s\" authenticated as \"%s\""
+msgstr ""
+"no hay coincidencia en el mapa para el usuario «%s» autentificado como «%s»"
+
+#: libpq/hba.c:1711
+#, c-format
+msgid "usermap \"%s\""
+msgstr " mapa de usuario «%s»"
+
+#: libpq/hba.c:1734
+#, c-format
+msgid "could not open Ident usermap file \"%s\": %m"
+msgstr "no se pudo abrir el mapa de usuarios Ident «%s»: %m"
+
+#: libpq/be-fsstubs.c:127 libpq/be-fsstubs.c:157 libpq/be-fsstubs.c:172
+#: libpq/be-fsstubs.c:197 libpq/be-fsstubs.c:244 libpq/be-fsstubs.c:483
+#, c-format
+msgid "invalid large-object descriptor: %d"
+msgstr "el descriptor de objeto grande no es válido: %d"
+
+#: libpq/be-fsstubs.c:177
+#, c-format
+msgid "large object descriptor %d was not opened for writing"
+msgstr "el descriptor de objeto grande %d no fue abierto para escritura"
+
+#: libpq/be-fsstubs.c:357
+msgid "must be superuser to use server-side lo_import()"
+msgstr ""
+"debe ser superusuario para utilizar lo_import() en el extremo del servidor"
+
+#: libpq/be-fsstubs.c:358
+msgid "Anyone can use the client-side lo_import() provided by libpq."
+msgstr ""
+"Todos los usuarios pueden utilizar lo_import() de cliente proporcionada por "
+"libpq."
+
+#: libpq/be-fsstubs.c:371
+#, c-format
+msgid "could not open server file \"%s\": %m"
+msgstr "no se pudo abrir el archivo de servidor «%s»: %m"
+
+#: libpq/be-fsstubs.c:393
+#, c-format
+msgid "could not read server file \"%s\": %m"
+msgstr "no se pudo leer el archivo de servidor «%s»: %m"
+
+#: libpq/be-fsstubs.c:423
+msgid "must be superuser to use server-side lo_export()"
+msgstr ""
+"debe ser superusuario para utilizar lo_export() en el extremo del servidor"
+
+#: libpq/be-fsstubs.c:424
+msgid "Anyone can use the client-side lo_export() provided by libpq."
+msgstr ""
+"Todos los usuarios pueden utilizar lo_export() de cliente proporcionada por "
+"libpq."
+
+#: libpq/be-fsstubs.c:448
+#, c-format
+msgid "could not create server file \"%s\": %m"
+msgstr "no se pudo crear el archivo del servidor «%s»: %m"
+
+#: libpq/be-fsstubs.c:460
+#, c-format
+msgid "could not write server file \"%s\": %m"
+msgstr "no se pudo escribir el archivo del servidor «%s»: %m"
+
+#: storage/file/fd.c:385
+#, c-format
+msgid "getrlimit failed: %m"
+msgstr "getrlimit falló: %m"
+
+#: storage/file/fd.c:475
+msgid "insufficient file descriptors available to start server process"
+msgstr ""
+"los descriptores de archivo disponibles son insuficientes para iniciar un "
+"proceso servidor"
+
+#: storage/file/fd.c:476
+#, c-format
+msgid "System allows %d, we need at least %d."
+msgstr "El sistema permite %d, se requieren al menos %d."
+
+#: storage/file/fd.c:517 storage/file/fd.c:1414 storage/file/fd.c:1529
+#, c-format
+msgid "out of file descriptors: %m; release and retry"
+msgstr ""
+"se agotaron los descriptores de archivo: %m; libere e intente nuevamente"
+
+#: storage/file/fd.c:1070
+#, c-format
+msgid "temporary file: path \"%s\", size %lu"
+msgstr "archivo temporal: ruta «%s», tamaño %lu"
+
+#: storage/file/fd.c:1588
+#, c-format
+msgid "could not read directory \"%s\": %m"
+msgstr "no se pudo leer el directorio «%s»: %m"
+
+#: storage/ipc/shmem.c:392
+#, c-format
+msgid "could not allocate shared memory segment \"%s\""
+msgstr "no se pudo crear el segmento de memoria compartida «%s»"
+
+#: storage/ipc/shmem.c:420 storage/ipc/shmem.c:439
+msgid "requested shared memory size overflows size_t"
+msgstr "la petición de tamaño de memoria compartida desborda size_t"
+
+#: storage/buffer/bufmgr.c:129 storage/buffer/bufmgr.c:233
+msgid "cannot access temporary tables of other sessions"
+msgstr "no se pueden acceder tablas temporales de otras sesiones"
+
+#: storage/buffer/bufmgr.c:361
+#, c-format
+msgid "unexpected data beyond EOF in block %u of relation %s"
+msgstr "datos inesperados más allá del EOF en el bloque %u de relación %s"
+
+#: storage/buffer/bufmgr.c:363
+msgid ""
+"This has been seen to occur with buggy kernels; consider updating your "
+"system."
+msgstr ""
+"Esto parece ocurrir sólo con kernels defectuosos; considere actualizar su "
+"sistema."
+
+#: storage/buffer/bufmgr.c:435
+#, c-format
+msgid "invalid page header in block %u of relation %s; zeroing out page"
+msgstr ""
+"el encabezado de página no es válido en el bloque %u de la relación «%s»; "
+"reinicializando la página"
+
+#: storage/buffer/bufmgr.c:443
+#, c-format
+msgid "invalid page header in block %u of relation %s"
+msgstr "el encabezado de página no es válido en el bloque %u de la relación %s"
+
+#: storage/buffer/bufmgr.c:2727
+#, c-format
+msgid "could not write block %u of %s"
+msgstr "no se pudo escribir el bloque %u de %s"
+
+#: storage/buffer/bufmgr.c:2729
+msgid "Multiple failures --- write error might be permanent."
+msgstr "Múltiples fallas --- el error de escritura puede ser permanente."
+
+#: storage/buffer/bufmgr.c:2750
+#, c-format
+msgid "writing block %u of relation %s"
+msgstr "escribiendo el bloque %u de la relación %s"
+
+#: storage/buffer/localbuf.c:188
+msgid "no empty local buffer available"
+msgstr "no hay ningún búfer local disponible"
+
+#: storage/large_object/inv_api.c:545 storage/large_object/inv_api.c:736
+#, c-format
+msgid "large object %u was not opened for writing"
+msgstr "el objeto grande %u no fue abierto para escritura"
+
+#: storage/page/bufpage.c:143 storage/page/bufpage.c:390
+#: storage/page/bufpage.c:623 storage/page/bufpage.c:753
+#, c-format
+msgid "corrupted page pointers: lower = %u, upper = %u, special = %u"
+msgstr ""
+"los punteros de página están corruptos: inferior = %u, superior = %u, "
+"especial = %u"
+
+#: storage/page/bufpage.c:433
+#, c-format
+msgid "corrupted item pointer: %u"
+msgstr "el puntero de item está corrupto: %u"
+
+#: storage/page/bufpage.c:444 storage/page/bufpage.c:805
+#, c-format
+msgid "corrupted item lengths: total %u, available space %u"
+msgstr "los largos de ítem están corruptos: total %u, espacio disponible %u"
+
+#: storage/page/bufpage.c:642 storage/page/bufpage.c:778
+#, c-format
+msgid "corrupted item pointer: offset = %u, size = %u"
+msgstr "el puntero de ítem está corrupto: posición = %u, tamaño = %u"
+
+#: storage/smgr/md.c:276
+#, c-format
+msgid "could not create relation %s: %m"
+msgstr "no se pudo crear la relación %s: %m"
+
+#: storage/smgr/md.c:367 storage/smgr/md.c:1191
+#, c-format
+msgid "could not remove relation %s: %m"
+msgstr "no se pudo eliminar la relación %s: %m"
+
+#: storage/smgr/md.c:390
+#, c-format
+msgid "could not remove segment %u of relation %s: %m"
+msgstr "no se pudo eliminar el segmento %u de la relación %s: %m"
+
+#: storage/smgr/md.c:435
+#, c-format
+msgid "cannot extend relation %s beyond %u blocks"
+msgstr "no se pudo extender la relación %s a %u bloques"
+
+#: storage/smgr/md.c:457 storage/smgr/md.c:618 storage/smgr/md.c:691
+#, c-format
+msgid "could not seek to block %u of relation %s: %m"
+msgstr "no se pudo posicionar (seek) al bloque %u de la relación %s: %m"
+
+#: storage/smgr/md.c:466
+#, c-format
+msgid "could not extend relation %s: %m"
+msgstr "no se pudo extender la relación %s: %m"
+
+#: storage/smgr/md.c:468 storage/smgr/md.c:475 storage/smgr/md.c:717
+msgid "Check free disk space."
+msgstr "Verifique el espacio libre en disco."
+
+#: storage/smgr/md.c:472
+#, c-format
+msgid "could not extend relation %s: wrote only %d of %d bytes at block %u"
+msgstr ""
+"no se pudo extender la relación %s: sólo se escribieron %d de %d bytes en el "
+"bloque %u"
+
+#: storage/smgr/md.c:529
+#, c-format
+msgid "could not open relation %s: %m"
+msgstr "no se pudo abrir la relación %s: %m"
+
+#: storage/smgr/md.c:635
+#, c-format
+msgid "could not read block %u of relation %s: %m"
+msgstr "no se pudo leer el bloque %u de la relación %s: %m"
+
+#: storage/smgr/md.c:651
+#, c-format
+msgid "could not read block %u of relation %s: read only %d of %d bytes"
+msgstr ""
+"no se pudo leer el bloque %u de la relación %s: se leyeron sólo %d de %d "
+"bytes"
+
+#: storage/smgr/md.c:708
+#, c-format
+msgid "could not write block %u of relation %s: %m"
+msgstr "no se pudo escribir el bloque %u de la relación %s: %m"
+
+#: storage/smgr/md.c:713
+#, c-format
+msgid "could not write block %u of relation %s: wrote only %d of %d bytes"
+msgstr ""
+"no se pudo escribir el bloque %u de la relación %s: se escribieron sólo %d "
+"de %d bytes"
+
+#: storage/smgr/md.c:782
+#, c-format
+msgid "could not open segment %u of relation %s: %m"
+msgstr "no se pudo abrir el segmento %u de la relación %s: %m"
+
+#: storage/smgr/md.c:813
+#, c-format
+msgid "could not truncate relation %s to %u blocks: it's only %u blocks now"
+msgstr ""
+"no se pudo truncar la relación %s a %u bloques: es de sólo %u bloques ahora"
+
+#: storage/smgr/md.c:837 storage/smgr/md.c:862
+#, c-format
+msgid "could not truncate relation %s to %u blocks: %m"
+msgstr "no se pudo truncar la relación %s a %u bloques: %m"
+
+#: storage/smgr/md.c:907 storage/smgr/md.c:1081 storage/smgr/md.c:1225
+#, c-format
+msgid "could not fsync segment %u of relation %s: %m"
+msgstr "no se pudo sincronizar (fsync) el segment %u de la relación %s: %m"
+
+#: storage/smgr/md.c:1086
+#, c-format
+msgid "could not fsync segment %u of relation %s but retrying: %m"
+msgstr ""
+"no se pudo sincronizar (fsync) el segmento %u de la relación %s, pero se "
+"reintentará: %m"
+
+#: storage/smgr/md.c:1572
+#, c-format
+msgid "could not open segment %u of relation %s (target block %u): %m"
+msgstr ""
+"no se pudo abrir el segmento %u de la relación %s (bloque buscado %u): %m"
+
+#: storage/smgr/md.c:1595
+#, c-format
+msgid "could not seek to end of segment %u of relation %s: %m"
+msgstr ""
+"no se pudo desplazar (seek) al fin del segmento %u de la relación %s: %m"
+
+#: storage/lmgr/proc.c:966
+#, c-format
+msgid ""
+"process %d avoided deadlock for %s on %s by rearranging queue order after "
+"%ld.%03d ms"
+msgstr ""
+"el proceso %d evitó un deadlock para %s en %s reordenando la cola después de "
+"%ld.%03d ms"
+
+#: storage/lmgr/proc.c:978
+#, c-format
+msgid ""
+"process %d detected deadlock while waiting for %s on %s after %ld.%03d ms"
+msgstr ""
+"el proceso %d detectó un deadlock mientras esperaba %s en %s después de %ld."
+"%03d ms"
+
+#: storage/lmgr/proc.c:984
+#, c-format
+msgid "process %d still waiting for %s on %s after %ld.%03d ms"
+msgstr "el proceso %d está aún espera %s en %s después de %ld.%03d ms"
+
+#: storage/lmgr/proc.c:988
+#, c-format
+msgid "process %d acquired %s on %s after %ld.%03d ms"
+msgstr "el proceso %d adquirió %s en %s después de %ld.%03d ms"
+
+#: storage/lmgr/proc.c:1004
+#, c-format
+msgid "process %d failed to acquire %s on %s after %ld.%03d ms"
+msgstr "el proceso %d no pudo adquirir %s en %s después de %ld.%03d ms"
+
+#: storage/lmgr/lock.c:584 storage/lmgr/lock.c:650 storage/lmgr/lock.c:2340
+#: storage/lmgr/lock.c:2405
+msgid "You might need to increase max_locks_per_transaction."
+msgstr "Puede necesitar incrementar max_locks_per_transaction."
+
+#: storage/lmgr/lock.c:2052
+msgid "Not enough memory for reassigning the prepared transaction's locks."
+msgstr ""
+"No hay memoria suficiente para reasignar los bloqueos de la transacción "
+"preparada"
+
+#: storage/lmgr/deadlock.c:915
+#, c-format
+msgid "Process %d waits for %s on %s; blocked by process %d."
+msgstr "El proceso %d espera %s en %s; bloqueado por proceso %d."
+
+#: storage/lmgr/deadlock.c:934
+#, c-format
+msgid "Process %d: %s"
+msgstr "Proceso %d: %s"
+
+#: storage/lmgr/deadlock.c:941
+msgid "deadlock detected"
+msgstr "se ha detectado un deadlock"
+
+#: storage/lmgr/deadlock.c:944
+msgid "See server log for query details."
+msgstr "Vea el registro del servidor para obtener detalles de las consultas."
+
+#: storage/lmgr/lmgr.c:717
+#, c-format
+msgid "relation %u of database %u"
+msgstr "relación %u de la base de datos %u"
+
+#: storage/lmgr/lmgr.c:723
+#, c-format
+msgid "extension of relation %u of database %u"
+msgstr "extensión de la relación %u de la base de datos %u"
+
+#: storage/lmgr/lmgr.c:729
+#, c-format
+msgid "page %u of relation %u of database %u"
+msgstr "página %u de la relación %u de la base de datos %u"
+
+#: storage/lmgr/lmgr.c:736
+#, c-format
+msgid "tuple (%u,%u) of relation %u of database %u"
+msgstr "tupla (%u,%u) de la relación %u de la base de datos %u"
+
+#: storage/lmgr/lmgr.c:744
+#, c-format
+msgid "transaction %u"
+msgstr "transacción %u"
+
+#: storage/lmgr/lmgr.c:749
+#, c-format
+msgid "virtual transaction %d/%u"
+msgstr "transacción virtual %d/%u"
+
+#: storage/lmgr/lmgr.c:755
+#, c-format
+msgid "object %u of class %u of database %u"
+msgstr "objeto %u de clase %u de la base de datos %u"
+
+#: storage/lmgr/lmgr.c:763
+#, c-format
+msgid "user lock [%u,%u,%u]"
+msgstr "bloqueo de usuario [%u,%u,%u]"
+
+# XXX is this a good translation?
+#: storage/lmgr/lmgr.c:770
+#, c-format
+msgid "advisory lock [%u,%u,%u,%u]"
+msgstr "bloqueo consultivo [%u,%u,%u,%u]"
+
+#: storage/lmgr/lmgr.c:778
+#, c-format
+msgid "unrecognized locktag type %d"
+msgstr "tipo de locktag %d no reconocido"
+
+#: rewrite/rewriteRemove.c:67
+#, c-format
+msgid "rule \"%s\" for relation \"%s\" does not exist, skipping"
+msgstr "la regla «%s» para la relación «%s» no existe, ignorando"
+
+#: rewrite/rewriteManip.c:1012
+msgid "conditional utility statements are not implemented"
+msgstr "las sentencias condicionales de utilidad no están implementadas"
+
+#: rewrite/rewriteManip.c:1024 rewrite/rewriteHandler.c:424
+#: parser/parse_utilcmd.c:1569 parser/parse_utilcmd.c:1639
+msgid "conditional UNION/INTERSECT/EXCEPT statements are not implemented"
+msgstr ""
+"las sentencias UNION/INTERSECT/EXCEPT condicionales no están implementadas"
+
+#: rewrite/rewriteManip.c:1177
+msgid "WHERE CURRENT OF on a view is not implemented"
+msgstr "WHERE CURRENT OF no está implementado en una vista"
+
+#: rewrite/rewriteHandler.c:487
+msgid "cannot have RETURNING lists in multiple rules"
+msgstr "no se puede usar RETURNING en múltiples reglas"
+
+#: rewrite/rewriteHandler.c:788 rewrite/rewriteHandler.c:806
+#, c-format
+msgid "multiple assignments to same column \"%s\""
+msgstr "hay múltiples asignaciones a la misma columna «%s»"
+
+#: rewrite/rewriteHandler.c:944 catalog/heap.c:2206
+#, c-format
+msgid "column \"%s\" is of type %s but default expression is of type %s"
+msgstr "la columna «%s» es de tipo %s pero la expresión default es de tipo %s"
+
+#: rewrite/rewriteHandler.c:1404 rewrite/rewriteHandler.c:1726
+#, c-format
+msgid "infinite recursion detected in rules for relation \"%s\""
+msgstr "se detectó recursión infinita en las reglas de la relación «%s»"
+
+#: rewrite/rewriteHandler.c:1764
+#, c-format
+msgid "cannot perform INSERT RETURNING on relation \"%s\""
+msgstr "no se puede hacer INSERT RETURNING a la relación «%s»"
+
+#: rewrite/rewriteHandler.c:1766
+msgid ""
+"You need an unconditional ON INSERT DO INSTEAD rule with a RETURNING clause."
+msgstr ""
+"Necesita un regla incondicional ON INSERT DO INSTEAD con una cláusula "
+"RETURNING."
+
+#: rewrite/rewriteHandler.c:1771
+#, c-format
+msgid "cannot perform UPDATE RETURNING on relation \"%s\""
+msgstr "no se puede hacer UPDATE RETURNING a la relación «%s»"
+
+#: rewrite/rewriteHandler.c:1773
+msgid ""
+"You need an unconditional ON UPDATE DO INSTEAD rule with a RETURNING clause."
+msgstr ""
+"Necesita un regla incondicional ON UPDATE DO INSTEAD con una cláusula "
+"RETURNING."
+
+#: rewrite/rewriteHandler.c:1778
+#, c-format
+msgid "cannot perform DELETE RETURNING on relation \"%s\""
+msgstr "no se puede hacer DELETE RETURNING a la relación «%s»"
+
+#: rewrite/rewriteHandler.c:1780
+msgid ""
+"You need an unconditional ON DELETE DO INSTEAD rule with a RETURNING clause."
+msgstr ""
+"Necesita un regla incondicional ON DELETE DO INSTEAD con una clásula "
+"RETURNING."
+
+#: rewrite/rewriteHandler.c:1878
+msgid "cannot insert into a view"
+msgstr "no se puede insertar en una vista"
+
+#: rewrite/rewriteHandler.c:1879
+msgid "You need an unconditional ON INSERT DO INSTEAD rule."
+msgstr "Necesita un regla incondicional ON INSERT DO INSTEAD."
+
+#: rewrite/rewriteHandler.c:1884
+msgid "cannot update a view"
+msgstr "no se puede actualizar una vista"
+
+#: rewrite/rewriteHandler.c:1885
+msgid "You need an unconditional ON UPDATE DO INSTEAD rule."
+msgstr "Necesita un regla incondicional ON UPDATE DO INSTEAD."
+
+#: rewrite/rewriteHandler.c:1890
+msgid "cannot delete from a view"
+msgstr "no se puede eliminar de una vista"
+
+#: rewrite/rewriteHandler.c:1891
+msgid "You need an unconditional ON DELETE DO INSTEAD rule."
+msgstr "Necesita un regla incondicional ON DELETE DO INSTEAD."
+
+#: rewrite/rewriteDefine.c:109 rewrite/rewriteDefine.c:759
+#, c-format
+msgid "rule \"%s\" for relation \"%s\" already exists"
+msgstr "ya existe una regla llamada «%s» para la relación «%s»"
+
+#: rewrite/rewriteDefine.c:283
+msgid "rule actions on OLD are not implemented"
+msgstr "las acciones de regla en OLD no están implementadas"
+
+#: rewrite/rewriteDefine.c:284
+msgid "Use views or triggers instead."
+msgstr "Use vistas o triggers en su lugar."
+
+#: rewrite/rewriteDefine.c:288
+msgid "rule actions on NEW are not implemented"
+msgstr "las acciones de regla en NEW no están implementadas"
+
+#: rewrite/rewriteDefine.c:289
+msgid "Use triggers instead."
+msgstr "Use triggers en su lugar."
+
+#: rewrite/rewriteDefine.c:302
+msgid "INSTEAD NOTHING rules on SELECT are not implemented"
+msgstr "las reglas INSTEAD NOTHING en SELECT no están implementadas"
+
+#: rewrite/rewriteDefine.c:303
+msgid "Use views instead."
+msgstr "Use vistas en su lugar."
+
+#: rewrite/rewriteDefine.c:311
+msgid "multiple actions for rules on SELECT are not implemented"
+msgstr "las reglas de múltiples acciones en SELECT no están implementadas"
+
+#: rewrite/rewriteDefine.c:323
+msgid "rules on SELECT must have action INSTEAD SELECT"
+msgstr "las reglas en SELECT deben tener una acción INSTEAD SELECT"
+
+#: rewrite/rewriteDefine.c:331
+msgid "event qualifications are not implemented for rules on SELECT"
+msgstr ""
+"las calificaciones de eventos no están implementadas para las reglas en "
+"SELECT"
+
+#: rewrite/rewriteDefine.c:356
+#, c-format
+msgid "\"%s\" is already a view"
+msgstr "«%s» ya es una vista"
+
+#: rewrite/rewriteDefine.c:380
+#, c-format
+msgid "view rule for \"%s\" must be named \"%s\""
+msgstr "la regla de vista para «%s» debe llamarse «%s»"
+
+#: rewrite/rewriteDefine.c:405
+#, c-format
+msgid "could not convert table \"%s\" to a view because it is not empty"
+msgstr "no se pudo convertir la tabla «%s» en vista porque no está vacía"
+
+#: rewrite/rewriteDefine.c:412
+#, c-format
+msgid "could not convert table \"%s\" to a view because it has triggers"
+msgstr "no se pudo convertir la tabla «%s» en vista porque tiene triggers"
+
+#: rewrite/rewriteDefine.c:414
+msgid ""
+"In particular, the table cannot be involved in any foreign key relationships."
+msgstr ""
+"En particular, la tabla no puede estar involucrada en relaciones de llave "
+"foránea."
+
+#: rewrite/rewriteDefine.c:419
+#, c-format
+msgid "could not convert table \"%s\" to a view because it has indexes"
+msgstr "no se pudo convertir la tabla «%s» en vista porque tiene índices"
+
+#: rewrite/rewriteDefine.c:425
+#, c-format
+msgid "could not convert table \"%s\" to a view because it has child tables"
+msgstr "no se pudo convertir la tabla «%s» en vista porque tiene tablas hijas"
+
+#: rewrite/rewriteDefine.c:452
+msgid "cannot have multiple RETURNING lists in a rule"
+msgstr "no se pueden tener múltiples listas RETURNING en una regla"
+
+#: rewrite/rewriteDefine.c:457
+msgid "RETURNING lists are not supported in conditional rules"
+msgstr "listas de RETURNING no están soportadas en reglas condicionales"
+
+#: rewrite/rewriteDefine.c:461
+msgid "RETURNING lists are not supported in non-INSTEAD rules"
+msgstr ""
+"listas de RETURNING no están soportadas en reglas que no estén marcadas "
+"INSTEAD"
+
+#: rewrite/rewriteDefine.c:540
+msgid "SELECT rule's target list has too many entries"
+msgstr "la lista de destinos en la regla de SELECT tiene demasiadas entradas"
+
+#: rewrite/rewriteDefine.c:541
+msgid "RETURNING list has too many entries"
+msgstr "la lista de RETURNING tiene demasiadas entradas"
+
+#: rewrite/rewriteDefine.c:557
+msgid "cannot convert relation containing dropped columns to view"
+msgstr ""
+"no se puede convertir en vista una relación que contiene columnas eliminadas"
+
+#: rewrite/rewriteDefine.c:562
+#, c-format
+msgid "SELECT rule's target entry %d has different column name from \"%s\""
+msgstr ""
+"la entrada de destino %d de la regla de SELECT tiene un nombre de columna "
+"diferente de «%s»"
+
+#: rewrite/rewriteDefine.c:568
+#, c-format
+msgid "SELECT rule's target entry %d has different type from column \"%s\""
+msgstr ""
+"el destino %d de la regla de SELECT tiene un tipo diferente de la columna "
+"«%s»"
+
+#: rewrite/rewriteDefine.c:570
+#, c-format
+msgid "RETURNING list's entry %d has different type from column \"%s\""
+msgstr ""
+"el destino %d de la lista de RETURNING tiene un tipo diferente de la columna "
+"«%s»"
+
+#: rewrite/rewriteDefine.c:585
+#, c-format
+msgid "SELECT rule's target entry %d has different size from column \"%s\""
+msgstr ""
+"el destino %d de la regla de SELECT tiene un tamaño diferente de la columna "
+"«%s»"
+
+#: rewrite/rewriteDefine.c:587
+#, c-format
+msgid "RETURNING list's entry %d has different size from column \"%s\""
+msgstr ""
+"el destino %d de la lista RETURNING tiene un tamaño diferente de la columna "
+"«%s»"
+
+#: rewrite/rewriteDefine.c:595
+msgid "SELECT rule's target list has too few entries"
+msgstr "la lista de destinos de regla de SELECT tiene muy pocas entradas"
+
+#: rewrite/rewriteDefine.c:596
+msgid "RETURNING list has too few entries"
+msgstr "la lista de RETURNING tiene muy pocas entradas"
+
+#: catalog/pg_aggregate.c:100
+msgid "cannot determine transition data type"
+msgstr "no se pudo determinar el tipo de dato de transición"
+
+#: catalog/pg_aggregate.c:101
+msgid ""
+"An aggregate using a polymorphic transition type must have at least one "
+"polymorphic argument."
+msgstr ""
+"Una función de agregación que use un tipo de dato de transición polimórfico "
+"debe tener al menos un argumento de tipo polimórfico."
+
+#: catalog/pg_aggregate.c:124
+#, c-format
+msgid "return type of transition function %s is not %s"
+msgstr "el tipo de retorno de la función de transición %s no es %s"
+
+#: catalog/pg_aggregate.c:146
+msgid ""
+"must not omit initial value when transition function is strict and "
+"transition type is not compatible with input type"
+msgstr ""
+"no se puede omitir el valor inicial cuando la función de transición es "
+"strict y el tipo de transición no es compatible con el tipo de entrada"
+
+#: catalog/pg_aggregate.c:177 catalog/pg_proc.c:203
+msgid "cannot determine result data type"
+msgstr "no se puede determinar el tipo de dato del resultado"
+
+#: catalog/pg_aggregate.c:178
+msgid ""
+"An aggregate returning a polymorphic type must have at least one polymorphic "
+"argument."
+msgstr ""
+"Una función de agregación que retorne un tipo de datos polimórfico debe "
+"tener al menos un argumento de tipo polimórfico."
+
+#: catalog/pg_aggregate.c:190 catalog/pg_proc.c:209
+msgid "unsafe use of pseudo-type \"internal\""
+msgstr "uso inseguro de pseudotipo «internal»"
+
+#: catalog/pg_aggregate.c:191 catalog/pg_proc.c:210
+msgid ""
+"A function returning \"internal\" must have at least one \"internal\" "
+"argument."
+msgstr ""
+"Una función que retorne «internal» debe tener al menos un argumento de tipo "
+"«internal»."
+
+#: catalog/pg_aggregate.c:199
+msgid "sort operator can only be specified for single-argument aggregates"
+msgstr ""
+"el operador de ordenamiento sólo pueden ser especificado para funciones de "
+"agregación de un solo argumento"
+
+#: catalog/pg_aggregate.c:337
+#, c-format
+msgid "function %s returns a set"
+msgstr "la función %s retorna un conjunto"
+
+#: catalog/pg_aggregate.c:361
+#, c-format
+msgid "function %s requires run-time type coercion"
+msgstr "la función %s requiere conversión de tipos en tiempo de ejecución"
+
+#: catalog/index.c:552
+msgid "user-defined indexes on system catalog tables are not supported"
+msgstr "los usuarios no pueden crear índices en tablas del sistema"
+
+#: catalog/index.c:562
+msgid "concurrent index creation on system catalog tables is not supported"
+msgstr "no se pueden crear índices de forma concurrente en tablas del sistema"
+
+#: catalog/index.c:571
+msgid "shared indexes cannot be created after initdb"
+msgstr "no se pueden crear índices compartidos después de initdb"
+
+#: catalog/index.c:2305
+msgid "cannot reindex temporary tables of other sessions"
+msgstr "no se puede hacer reindex de tablas temporales de otras sesiones"
+
+#: catalog/index.c:2327
+#, c-format
+msgid "shared index \"%s\" can only be reindexed in stand-alone mode"
+msgstr ""
+"el índice compartido «%s» sólo puede ser reindexado en modo aislado "
+"(standalone)"
+
+#: catalog/pg_conversion.c:67
+#, c-format
+msgid "conversion \"%s\" already exists"
+msgstr "ya existe la conversión «%s»"
+
+#: catalog/pg_conversion.c:80
+#, c-format
+msgid "default conversion for %s to %s already exists"
+msgstr "ya existe una conversión por omisión desde %s a %s"
+
+#: catalog/toasting.c:143
+msgid "shared tables cannot be toasted after initdb"
+msgstr ""
+"no se puede crear tablas TOAST a relaciones compartidas después de initdb"
+
+#: catalog/pg_proc.c:122 parser/parse_func.c:1344 parser/parse_func.c:1384
+#, c-format
+msgid "functions cannot have more than %d argument"
+msgid_plural "functions cannot have more than %d arguments"
+msgstr[0] "las funciones no pueden tener más de %d argumento"
+msgstr[1] "las funciones no pueden tener más de %d argumentos"
+
+#: catalog/pg_proc.c:204
+msgid ""
+"A function returning a polymorphic type must have at least one polymorphic "
+"argument."
+msgstr ""
+"Una función que retorne un tipo polimórfico debe tener al menos un argumento "
+"de tipo polimórfico."
+
+#: catalog/pg_proc.c:222
+#, c-format
+msgid "\"%s\" is already an attribute of type %s"
+msgstr "«%s» ya es un atributo de tipo %s"
+
+#: catalog/pg_proc.c:361
+#, c-format
+msgid "function \"%s\" already exists with same argument types"
+msgstr "ya existe una función «%s» con los mismos argumentos"
+
+#: catalog/pg_proc.c:375 catalog/pg_proc.c:397
+msgid "cannot change return type of existing function"
+msgstr "no se puede cambiar el tipo de retorno de una función existente"
+
+#: catalog/pg_proc.c:376 catalog/pg_proc.c:399 catalog/pg_proc.c:422
+#: catalog/pg_proc.c:448
+msgid "Use DROP FUNCTION first."
+msgstr "Use DROP FUNCTION primero."
+
+#: catalog/pg_proc.c:398
+msgid "Row type defined by OUT parameters is different."
+msgstr "Tipo de registro definido por parámetros OUT es diferente."
+
+#: catalog/pg_proc.c:421
+msgid "cannot remove parameter defaults from existing function"
+msgstr "no se puede eliminar el valor por omisión de funciones existentes"
+
+#: catalog/pg_proc.c:447
+msgid "cannot change data type of existing parameter default value"
+msgstr ""
+"no se puede cambiar el tipo de dato del valor por omisión de un parámetro"
+
+#: catalog/pg_proc.c:459
+#, c-format
+msgid "function \"%s\" is an aggregate function"
+msgstr "la función «%s» es una función de agregación"
+
+#: catalog/pg_proc.c:464
+#, c-format
+msgid "function \"%s\" is not an aggregate function"
+msgstr "la función «%s» no es una función de agregación"
+
+#: catalog/pg_proc.c:472
+#, c-format
+msgid "function \"%s\" is a window function"
+msgstr "la función %s es de tipo window"
+
+#: catalog/pg_proc.c:477
+#, c-format
+msgid "function \"%s\" is not a window function"
+msgstr "la función «%s» no es de tipo window"
+
+#: catalog/pg_proc.c:630
+#, c-format
+msgid "there is no built-in function named \"%s\""
+msgstr "no hay ninguna función interna llamada «%s»"
+
+#: catalog/pg_proc.c:726
+#, c-format
+msgid "SQL functions cannot return type %s"
+msgstr "las funciones SQL no pueden retornar el tipo %s"
+
+#: catalog/pg_proc.c:741
+#, c-format
+msgid "SQL functions cannot have arguments of type %s"
+msgstr "las funciones SQL no pueden tener argumentos de tipo %s"
+
+#: catalog/catalog.c:75
+msgid "invalid fork name"
+msgstr "nombre de «fork» no válido"
+
+#: catalog/catalog.c:76
+msgid "Valid fork names are \"main\", \"fsm\", and \"vm\"."
+msgstr "Los nombres válidos son «man», «fsm» y «vm»."
+
+#: catalog/pg_shdepend.c:549 catalog/dependency.c:729
+#, c-format
+msgid "cannot drop %s because it is required by the database system"
+msgstr "no se puede eliminar %s porque es requerido por el sistema"
+
+#: catalog/pg_shdepend.c:660 catalog/dependency.c:893
+#, c-format
+msgid ""
+"\n"
+"and %d other object (see server log for list)"
+msgid_plural ""
+"\n"
+"and %d other objects (see server log for list)"
+msgstr[0] ""
+"\n"
+"y %d otro objeto (vea el registro del servidor para obtener la lista)"
+msgstr[1] ""
+"\n"
+"y otros %d objetos (vea el registro del servidor para obtener la lista)"
+
+#: catalog/pg_shdepend.c:667
+#, c-format
+msgid ""
+"\n"
+"and objects in %d other database (see server log for list)"
+msgid_plural ""
+"\n"
+"and objects in %d other databases (see server log for list)"
+msgstr[0] ""
+"\n"
+"y objetos en %d base de datos (vea el registro del servidor para obtener la "
+"lista)"
+msgstr[1] ""
+"\n"
+"y objetos en otras %d bases de datos (vea el registro del servidor para "
+"obtener la lista)"
+
+#: catalog/pg_shdepend.c:981
+#, c-format
+msgid "role %u was concurrently dropped"
+msgstr "el rol %u fue eliminado por una transacción concurrente"
+
+#: catalog/pg_shdepend.c:1000
+#, c-format
+msgid "tablespace %u was concurrently dropped"
+msgstr "el tablespace %u fue eliminado por una transacción concurrente"
+
+#: catalog/pg_shdepend.c:1044
+#, c-format
+msgid "owner of %s"
+msgstr "dueño de %s"
+
+#: catalog/pg_shdepend.c:1046
+#, c-format
+msgid "access to %s"
+msgstr "acceso a %s"
+
+#. translator: %s will always be "database %s"
+#: catalog/pg_shdepend.c:1054
+#, c-format
+msgid "%d object in %s"
+msgid_plural "%d objects in %s"
+msgstr[0] "%d objeto en %s"
+msgstr[1] "%d objetos en %s"
+
+#: catalog/pg_shdepend.c:1165
+#, c-format
+msgid ""
+"cannot drop objects owned by %s because they are required by the database "
+"system"
+msgstr ""
+"no se puede eliminar objetos de propiedad de %s porque son requeridos por el "
+"sistema"
+
+#: catalog/pg_shdepend.c:1295
+#, c-format
+msgid ""
+"cannot reassign ownership of objects owned by %s because they are required "
+"by the database system"
+msgstr ""
+"no se puede reasignar la propiedad de objetos de %s porque son requeridos "
+"por el sistema"
+
+#: catalog/pg_type.c:224
+#, c-format
+msgid "invalid type internal size %d"
+msgstr "el tamaño interno de tipo %d no es válido"
+
+#: catalog/pg_type.c:240 catalog/pg_type.c:248 catalog/pg_type.c:256
+#: catalog/pg_type.c:265
+#, c-format
+msgid "alignment \"%c\" is invalid for passed-by-value type of size %d"
+msgstr ""
+"el alineamiento «%c» no es válido para un tipo pasado por valor de tamaño %d"
+
+#: catalog/pg_type.c:272
+#, c-format
+msgid "internal size %d is invalid for passed-by-value type"
+msgstr "el tamaño interno %d no es válido para un tipo pasado por valor"
+
+#: catalog/pg_type.c:281 catalog/pg_type.c:287
+#, c-format
+msgid "alignment \"%c\" is invalid for variable-length type"
+msgstr "el alineamiento «%c» no es válido para un tipo de largo variable"
+
+#: catalog/pg_type.c:295
+msgid "fixed-size types must have storage PLAIN"
+msgstr "los tipos de tamaño fijo deben tener almacenamiento PLAIN"
+
+#: catalog/pg_type.c:722
+#, c-format
+msgid "could not form array type name for type \"%s\""
+msgstr "no se pudo formar un nombre de tipo de array para el tipo «%s»"
+
+#: catalog/aclchk.c:141
+msgid "grant options can only be granted to roles"
+msgstr "la opción de grant sólo puede ser otorgada a roles"
+
+#: catalog/aclchk.c:254
+#, c-format
+msgid "no privileges were granted for column \"%s\" of relation \"%s\""
+msgstr "no se otorgaron privilegios para la columna «%s» de la relación «%s»"
+
+#: catalog/aclchk.c:259
+#, c-format
+msgid "no privileges were granted for \"%s\""
+msgstr "no se otorgaron privilegios para «%s»"
+
+#: catalog/aclchk.c:267
+#, c-format
+msgid "not all privileges were granted for column \"%s\" of relation \"%s\""
+msgstr ""
+"no todos los privilegios fueron otorgados para la columna «%s» de la "
+"relación «%s»"
+
+#: catalog/aclchk.c:272
+#, c-format
+msgid "not all privileges were granted for \"%s\""
+msgstr "no todos los privilegios fueron otorgados para «%s»"
+
+#: catalog/aclchk.c:283
+#, c-format
+msgid "no privileges could be revoked for column \"%s\" of relation \"%s\""
+msgstr ""
+"ningún privilegio pudo ser revocado para la columna «%s» de la relación «%s»"
+
+#: catalog/aclchk.c:288
+#, c-format
+msgid "no privileges could be revoked for \"%s\""
+msgstr "ningún privilegio pudo ser revocado para «%s»"
+
+#: catalog/aclchk.c:296
+#, c-format
+msgid ""
+"not all privileges could be revoked for column \"%s\" of relation \"%s\""
+msgstr ""
+"no todos los privilegios pudieron ser revocados para la columna «%s» de la "
+"relación «%s»"
+
+#: catalog/aclchk.c:301
+#, c-format
+msgid "not all privileges could be revoked for \"%s\""
+msgstr "no todos los privilegios pudieron ser revocados para «%s»"
+
+#: catalog/aclchk.c:365
+#, c-format
+msgid "invalid privilege type %s for relation"
+msgstr "el tipo de privilegio %s no es válido para una relación"
+
+#: catalog/aclchk.c:369
+#, c-format
+msgid "invalid privilege type %s for sequence"
+msgstr "el tipo de privilegio %s no es válido para una secuencia"
+
+#: catalog/aclchk.c:373
+#, c-format
+msgid "invalid privilege type %s for database"
+msgstr "el tipo de privilegio %s no es válido para una base de datos"
+
+#: catalog/aclchk.c:377
+#, c-format
+msgid "invalid privilege type %s for function"
+msgstr "el tipo de privilegio %s no es válido para una función"
+
+#: catalog/aclchk.c:381
+#, c-format
+msgid "invalid privilege type %s for language"
+msgstr "el tipo de privilegio %s no es válido para un lenguaje"
+
+#: catalog/aclchk.c:385
+#, c-format
+msgid "invalid privilege type %s for schema"
+msgstr "el tipo de privilegio %s no es válido para un esquema"
+
+#: catalog/aclchk.c:389
+#, c-format
+msgid "invalid privilege type %s for tablespace"
+msgstr "el tipo de privilegio %s no es válido para tablespaces"
+
+#: catalog/aclchk.c:393
+#, c-format
+msgid "invalid privilege type %s for foreign-data wrapper"
+msgstr ""
+"el tipo de privilegio %s no es válido para un conector de datos externos"
+
+#: catalog/aclchk.c:397
+#, c-format
+msgid "invalid privilege type %s for foreign server"
+msgstr "el tipo de privilegio %s no es válido para un servidor foráneo"
+
+#: catalog/aclchk.c:436
+msgid "column privileges are only valid for relations"
+msgstr "los privilegios de columna son sólo válidos para relaciones"
+
+#: catalog/aclchk.c:969
+#, c-format
+msgid "sequence \"%s\" only supports USAGE, SELECT, and UPDATE privileges"
+msgstr "la secuencia «%s» sólo soporta los privilegios USAGE, SELECT, y UPDATE"
+
+#: catalog/aclchk.c:986
+msgid "invalid privilege type USAGE for table"
+msgstr "el tipo de privilegio USAGE no es válido para tablas"
+
+#: catalog/aclchk.c:1130
+#, c-format
+msgid "invalid privilege type %s for column"
+msgstr "el tipo de privilegio %s no es válido para una columna"
+
+#: catalog/aclchk.c:1143
+#, c-format
+msgid "sequence \"%s\" only supports SELECT column privileges"
+msgstr "la secuencia «%s» sólo soporta el privilegio SELECT"
+
+#: catalog/aclchk.c:1704
+#, c-format
+msgid "language \"%s\" is not trusted"
+msgstr "el lenguaje «%s» no es confiable (trusted)"
+
+#: catalog/aclchk.c:1706
+msgid "Only superusers can use untrusted languages."
+msgstr "Sólo los superusuarios pueden usar lenguajes no confiables."
+
+#: catalog/aclchk.c:2060
+#, c-format
+msgid "unrecognized privilege type \"%s\""
+msgstr "tipo de privilegio no reconocido: «%s»"
+
+#: catalog/aclchk.c:2109
+#, c-format
+msgid "permission denied for column %s"
+msgstr "permiso denegado a la columna %s"
+
+#: catalog/aclchk.c:2111
+#, c-format
+msgid "permission denied for relation %s"
+msgstr "permiso denegado a la relación %s"
+
+#: catalog/aclchk.c:2115
+#, c-format
+msgid "permission denied for database %s"
+msgstr "permiso denegado a la base de datos %s"
+
+#: catalog/aclchk.c:2117
+#, c-format
+msgid "permission denied for function %s"
+msgstr "permiso denegado a la función %s"
+
+#: catalog/aclchk.c:2119
+#, c-format
+msgid "permission denied for operator %s"
+msgstr "permiso denegado al operador %s"
+
+#: catalog/aclchk.c:2121
+#, c-format
+msgid "permission denied for type %s"
+msgstr "permiso denegado al tipo %s"
+
+#: catalog/aclchk.c:2123
+#, c-format
+msgid "permission denied for language %s"
+msgstr "permiso denegado al lenguaje %s"
+
+#: catalog/aclchk.c:2125
+#, c-format
+msgid "permission denied for schema %s"
+msgstr "permiso denegado al esquema %s"
+
+#: catalog/aclchk.c:2127
+#, c-format
+msgid "permission denied for operator class %s"
+msgstr "permiso denegado a la clase de operadores %s"
+
+#: catalog/aclchk.c:2129
+#, c-format
+msgid "permission denied for operator family %s"
+msgstr "permiso denegado a la familia de operadores %s"
+
+#: catalog/aclchk.c:2131
+#, c-format
+msgid "permission denied for conversion %s"
+msgstr "permiso denegado a la conversión %s"
+
+#: catalog/aclchk.c:2133
+#, c-format
+msgid "permission denied for tablespace %s"
+msgstr "permiso denegado al tablespace %s"
+
+#: catalog/aclchk.c:2135
+#, c-format
+msgid "permission denied for text search dictionary %s"
+msgstr "permiso denegado a la configuración de búsqueda en texto %s"
+
+#: catalog/aclchk.c:2137
+#, c-format
+msgid "permission denied for text search configuration %s"
+msgstr "permiso denegado a la configuración de búsqueda en texto %s"
+
+#: catalog/aclchk.c:2139
+#, c-format
+msgid "permission denied for foreign-data wrapper %s"
+msgstr "permiso denegado al conector de datos externos %s"
+
+#: catalog/aclchk.c:2141
+#, c-format
+msgid "permission denied for foreign server %s"
+msgstr "permiso denegado al servidor foráneo %s"
+
+#: catalog/aclchk.c:2147 catalog/aclchk.c:2149
+#, c-format
+msgid "must be owner of relation %s"
+msgstr "debe ser dueño de la relación %s"
+
+#: catalog/aclchk.c:2151
+#, c-format
+msgid "must be owner of sequence %s"
+msgstr "debe ser dueño de la secuencia %s"
+
+#: catalog/aclchk.c:2153
+#, c-format
+msgid "must be owner of database %s"
+msgstr "debe ser dueño de la base de datos %s"
+
+#: catalog/aclchk.c:2155
+#, c-format
+msgid "must be owner of function %s"
+msgstr "debe ser dueño de la función %s"
+
+#: catalog/aclchk.c:2157
+#, c-format
+msgid "must be owner of operator %s"
+msgstr "debe ser dueño del operador %s"
+
+#: catalog/aclchk.c:2159
+#, c-format
+msgid "must be owner of type %s"
+msgstr "debe ser dueño del tipo %s"
+
+#: catalog/aclchk.c:2161
+#, c-format
+msgid "must be owner of language %s"
+msgstr "debe ser dueño del lenguaje %s"
+
+#: catalog/aclchk.c:2163
+#, c-format
+msgid "must be owner of schema %s"
+msgstr "debe ser dueño del esquema %s"
+
+#: catalog/aclchk.c:2165
+#, c-format
+msgid "must be owner of operator class %s"
+msgstr "debe ser dueño de la clase de operadores %s"
+
+#: catalog/aclchk.c:2167
+#, c-format
+msgid "must be owner of operator family %s"
+msgstr "debe ser dueño de la familia de operadores %s"
+
+#: catalog/aclchk.c:2169
+#, c-format
+msgid "must be owner of conversion %s"
+msgstr "debe ser dueño de la conversión %s"
+
+#: catalog/aclchk.c:2171
+#, c-format
+msgid "must be owner of tablespace %s"
+msgstr "debe ser dueño del tablespace %s"
+
+#: catalog/aclchk.c:2173
+#, c-format
+msgid "must be owner of text search dictionary %s"
+msgstr "debe ser dueño del diccionario de búsqueda en texto %s"
+
+#: catalog/aclchk.c:2175
+#, c-format
+msgid "must be owner of text search configuration %s"
+msgstr "debe ser dueño de la configuración de búsqueda en texto %s"
+
+#: catalog/aclchk.c:2177
+#, c-format
+msgid "must be owner of foreign-data wrapper %s"
+msgstr "debe ser dueño del conector de datos externos %s"
+
+#: catalog/aclchk.c:2179
+#, c-format
+msgid "must be owner of foreign server %s"
+msgstr "debe ser dueño del servidor foráneo %s"
+
+#: catalog/aclchk.c:2221
+#, c-format
+msgid "permission denied for column \"%s\" of relation \"%s\""
+msgstr "permiso denegado a la columna «%s» de la relación «%s»"
+
+#: catalog/aclchk.c:2250
+#, c-format
+msgid "role with OID %u does not exist"
+msgstr "no existe el rol con OID %u"
+
+#: catalog/aclchk.c:2341 catalog/aclchk.c:2349
+#, c-format
+msgid "attribute %d of relation with OID %u does not exist"
+msgstr "no existe el atributo %d de la relación con OID %u"
+
+#: catalog/aclchk.c:2426 catalog/aclchk.c:3182
+#, c-format
+msgid "relation with OID %u does not exist"
+msgstr "no existe la relación con OID %u"
+
+#: catalog/aclchk.c:2634 catalog/aclchk.c:3294
+#, c-format
+msgid "language with OID %u does not exist"
+msgstr "no existe el lenguaje con OID %u"
+
+#: catalog/aclchk.c:2718 catalog/aclchk.c:3322
+#, c-format
+msgid "schema with OID %u does not exist"
+msgstr "no existe el esquema con OID %u"
+
+#: catalog/aclchk.c:2784 catalog/aclchk.c:3361
+#, c-format
+msgid "tablespace with OID %u does not exist"
+msgstr "no existe el tablespace con OID %u"
+
+#: catalog/aclchk.c:2844
+#, c-format
+msgid "foreign-data wrapper with OID %u does not exist"
+msgstr "no existe el conector de datos externos con OID %u"
+
+#: catalog/aclchk.c:2907 catalog/aclchk.c:3506
+#, c-format
+msgid "foreign server with OID %u does not exist"
+msgstr "no existe el servidor foráneo con OID %u"
+
+#: catalog/aclchk.c:3210
+#, c-format
+msgid "type with OID %u does not exist"
+msgstr "no existe el tipo con OID %u"
+
+#: catalog/aclchk.c:3238
+#, c-format
+msgid "operator with OID %u does not exist"
+msgstr "no existe el operador con OID %u"
+
+#: catalog/aclchk.c:3390
+#, c-format
+msgid "operator class with OID %u does not exist"
+msgstr "no existe la clase de operadores con OID %u"
+
+#: catalog/aclchk.c:3419
+#, c-format
+msgid "operator family with OID %u does not exist"
+msgstr "no existe la familia de operadores con OID %u"
+
+#: catalog/aclchk.c:3448
+#, c-format
+msgid "text search dictionary with OID %u does not exist"
+msgstr "no existe el diccionario de búsqueda en texto con OID %u"
+
+#: catalog/aclchk.c:3477
+#, c-format
+msgid "text search configuration with OID %u does not exist"
+msgstr "no existe la configuración de búsqueda en texto con OID %u"
+
+#: catalog/aclchk.c:3563
+#, c-format
+msgid "conversion with OID %u does not exist"
+msgstr "no existe la conversión con OID %u"
+
+#: catalog/namespace.c:247 catalog/namespace.c:314
+msgid "temporary tables cannot specify a schema name"
+msgstr "las tablas temporales no pueden especificar un nombre de esquema"
+
+#: catalog/namespace.c:356 catalog/namespace.c:2230
+msgid "no schema has been selected to create in"
+msgstr "no se ha seleccionado ningún esquema dentro del cual crear"
+
+#: catalog/namespace.c:2076 parser/parse_expr.c:584 parser/parse_target.c:909
+#, c-format
+msgid "cross-database references are not implemented: %s"
+msgstr "no están implementadas las referencias entre bases de datos: %s"
+
+#: catalog/namespace.c:2082 gram.y:3434 gram.y:9931 parser/parse_expr.c:618
+#: parser/parse_target.c:919
+#, c-format
+msgid "improper qualified name (too many dotted names): %s"
+msgstr "el nombre no es válido (demasiados puntos): %s"
+
+#: catalog/namespace.c:2262
+#, c-format
+msgid "improper relation name (too many dotted names): %s"
+msgstr "el nombre de relación no es válido (demasiados puntos): %s"
+
+#: catalog/namespace.c:2844
+#, c-format
+msgid "permission denied to create temporary tables in database \"%s\""
+msgstr ""
+"se ha denegado el permiso para crear tablas temporales en la base de datos "
+"«%s»"
+
+#: catalog/dependency.c:573
+#, c-format
+msgid "cannot drop %s because %s requires it"
+msgstr "no se puede eliminar %s porque %s lo requiere"
+
+#: catalog/dependency.c:576
+#, c-format
+msgid "You can drop %s instead."
+msgstr "Puede eliminar %s en su lugar."
+
+#: catalog/dependency.c:843
+#, c-format
+msgid "drop auto-cascades to %s"
+msgstr "eliminando automáticamente %s"
+
+#: catalog/dependency.c:855 catalog/dependency.c:864
+#, c-format
+msgid "%s depends on %s"
+msgstr "%s depende de %s"
+
+#: catalog/dependency.c:876 catalog/dependency.c:885
+#, c-format
+msgid "drop cascades to %s"
+msgstr "eliminando además %s"
+
+#: catalog/dependency.c:905
+#, c-format
+msgid "cannot drop %s because other objects depend on it"
+msgstr "no se puede eliminar %s porque otros objetos dependen de él"
+
+#: catalog/dependency.c:909 catalog/dependency.c:916
+msgid "Use DROP ... CASCADE to drop the dependent objects too."
+msgstr "Use DROP ... CASCADE para eliminar además los objetos dependientes."
+
+#: catalog/dependency.c:913
+msgid "cannot drop desired object(s) because other objects depend on them"
+msgstr ""
+"no se puede eliminar el o los objetos deseados porque otros objetos dependen "
+"de ellos"
+
+#. translator: %d always has a value larger than 1
+#: catalog/dependency.c:922
+#, c-format
+msgid "drop cascades to %d other object"
+msgid_plural "drop cascades to %d other objects"
+msgstr[0] "eliminando además %d objeto más"
+msgstr[1] "eliminando además %d objetos más"
+
+#: catalog/dependency.c:2095
+#, c-format
+msgid " column %s"
+msgstr " columna %s"
+
+#: catalog/dependency.c:2101
+#, c-format
+msgid "function %s"
+msgstr "función %s"
+
+#: catalog/dependency.c:2106
+#, c-format
+msgid "type %s"
+msgstr "tipo %s"
+
+#: catalog/dependency.c:2136
+#, c-format
+msgid "cast from %s to %s"
+msgstr "conversión de %s a %s"
+
+#: catalog/dependency.c:2164
+#, c-format
+msgid "constraint %s on %s"
+msgstr "restricción «%s» en %s"
+
+#: catalog/dependency.c:2170
+#, c-format
+msgid "constraint %s"
+msgstr "restricción %s"
+
+#: catalog/dependency.c:2188
+#, c-format
+msgid "conversion %s"
+msgstr "conversión %s"
+
+#: catalog/dependency.c:2225
+#, c-format
+msgid "default for %s"
+msgstr "valor por omisión para %s"
+
+#: catalog/dependency.c:2243
+#, c-format
+msgid "language %s"
+msgstr "lenguaje %s"
+
+#: catalog/dependency.c:2250
+#, c-format
+msgid "operator %s"
+msgstr "operador %s"
+
+#: catalog/dependency.c:2284
+#, c-format
+msgid "operator class %s for access method %s"
+msgstr "clase de operadores «%s» para el método de acceso «%s»"
+
+#: catalog/dependency.c:2334
+#, c-format
+msgid "operator %d %s of %s"
+msgstr "operador %d %s de %s"
+
+#: catalog/dependency.c:2381
+#, c-format
+msgid "function %d %s of %s"
+msgstr "función %d %s de %s"
+
+#: catalog/dependency.c:2418
+#, c-format
+msgid "rule %s on "
+msgstr "regla «%s» en "
+
+#: catalog/dependency.c:2453
+#, c-format
+msgid "trigger %s on "
+msgstr "disparador %s en "
+
+#: catalog/dependency.c:2470
+#, c-format
+msgid "schema %s"
+msgstr "esquema %s"
+
+#: catalog/dependency.c:2484
+#, c-format
+msgid "text search parser %s"
+msgstr "analizador de búsqueda en texto %s"
+
+#: catalog/dependency.c:2500
+#, c-format
+msgid "text search dictionary %s"
+msgstr "diccionario de búsqueda en texto %s"
+
+#: catalog/dependency.c:2516
+#, c-format
+msgid "text search template %s"
+msgstr "plantilla de búsqueda en texto %s"
+
+#: catalog/dependency.c:2532
+#, c-format
+msgid "text search configuration %s"
+msgstr "configuración de búsqueda en texto %s"
+
+#: catalog/dependency.c:2540
+#, c-format
+msgid "role %s"
+msgstr "rol %s"
+
+#: catalog/dependency.c:2553
+#, c-format
+msgid "database %s"
+msgstr "base de datos %s"
+
+#: catalog/dependency.c:2565
+#, c-format
+msgid "tablespace %s"
+msgstr "tablespace %s"
+
+#: catalog/dependency.c:2574
+#, c-format
+msgid "foreign-data wrapper %s"
+msgstr "conector de datos foráneos %s"
+
+#: catalog/dependency.c:2583
+#, c-format
+msgid "server %s"
+msgstr "servidor %s"
+
+#: catalog/dependency.c:2609
+#, c-format
+msgid "user mapping for %s"
+msgstr "mapeo para el usuario %s"
+
+#: catalog/dependency.c:2653
+#, c-format
+msgid "table %s"
+msgstr "tabla %s"
+
+#: catalog/dependency.c:2657
+#, c-format
+msgid "index %s"
+msgstr "índice %s"
+
+#: catalog/dependency.c:2661
+#, c-format
+msgid "sequence %s"
+msgstr "secuencia %s"
+
+#: catalog/dependency.c:2665
+#, c-format
+msgid "uncataloged table %s"
+msgstr "tabla sin catalogar %s"
+
+#: catalog/dependency.c:2669
+#, c-format
+msgid "toast table %s"
+msgstr "tabla toast %s"
+
+#: catalog/dependency.c:2673
+#, c-format
+msgid "view %s"
+msgstr "vista %s"
+
+#: catalog/dependency.c:2677
+#, c-format
+msgid "composite type %s"
+msgstr "tipo compuesto %s"
+
+#: catalog/dependency.c:2682
+#, c-format
+msgid "relation %s"
+msgstr "relación %s"
+
+#: catalog/dependency.c:2723
+#, c-format
+msgid "operator family %s for access method %s"
+msgstr "familia de operadores %s para el método de acceso %s"
+
+#: catalog/pg_operator.c:220 catalog/pg_operator.c:358
+#, c-format
+msgid "\"%s\" is not a valid operator name"
+msgstr "«%s» no es un nombre válido de operador"
+
+#: catalog/pg_operator.c:367
+msgid "only binary operators can have commutators"
+msgstr "sólo los operadores binarios pueden tener conmutadores"
+
+#: catalog/pg_operator.c:371
+msgid "only binary operators can have join selectivity"
+msgstr "sólo los operadores binarios pueden tener selectividad de join"
+
+#: catalog/pg_operator.c:375
+msgid "only binary operators can merge join"
+msgstr "sólo los operadores binarios pueden ser usados en merge join"
+
+#: catalog/pg_operator.c:379
+msgid "only binary operators can hash"
+msgstr "sólo los operadores binarios pueden ser usados en hash"
+
+#: catalog/pg_operator.c:390
+msgid "only boolean operators can have negators"
+msgstr "sólo los operadores booleanos pueden tener negadores"
+
+#: catalog/pg_operator.c:394
+msgid "only boolean operators can have restriction selectivity"
+msgstr "sólo los operadores booleanos pueden tener selectividad de restricción"
+
+#: catalog/pg_operator.c:398
+msgid "only boolean operators can have join selectivity"
+msgstr "sólo los operadores booleanos pueden tener selectividad de join"
+
+#: catalog/pg_operator.c:402
+msgid "only boolean operators can merge join"
+msgstr "sólo los operadores booleanos pueden ser usados en merge join"
+
+#: catalog/pg_operator.c:406
+msgid "only boolean operators can hash"
+msgstr "sólo los operadores booleanos pueden ser usados en hash"
+
+#: catalog/pg_operator.c:418
+#, c-format
+msgid "operator %s already exists"
+msgstr "ya existe un operador %s"
+
+#: catalog/pg_operator.c:608
+msgid "operator cannot be its own negator or sort operator"
+msgstr "un operador no puede ser su propio negador u operador de ordenamiento"
+
+#: catalog/pg_enum.c:91
+#, c-format
+msgid "invalid enum label \"%s\""
+msgstr "la etiqueta enum «%s» no es válida"
+
+#: catalog/pg_enum.c:92
+#, c-format
+msgid "Labels must be %d characters or less."
+msgstr "Las etiquetas deben ser de %d caracteres o menos."
+
+#: catalog/heap.c:241
+#, c-format
+msgid "permission denied to create \"%s.%s\""
+msgstr "se ha denegado el permiso para crear «%s.%s»"
+
+#: catalog/heap.c:243
+msgid "System catalog modifications are currently disallowed."
+msgstr ""
+"Las modificaciones al catálogo del sistema están actualmente deshabilitadas."
+
+#: catalog/heap.c:379
+#, c-format
+msgid "column name \"%s\" conflicts with a system column name"
+msgstr ""
+"el nombre de columna «%s» colisiona con nombre de una columna de sistema"
+
+#: catalog/heap.c:395
+#, c-format
+msgid "column name \"%s\" specified more than once"
+msgstr "el nombre de columna «%s» fue especificado más de una vez"
+
+#: catalog/heap.c:441
+#, c-format
+msgid "column \"%s\" has type \"unknown\""
+msgstr "la columna «%s» tiene tipo «unknown» (desconocido)"
+
+#: catalog/heap.c:442
+msgid "Proceeding with relation creation anyway."
+msgstr "Continuando con la creación de la relación de todas maneras."
+
+#: catalog/heap.c:453
+#, c-format
+msgid "column \"%s\" has pseudo-type %s"
+msgstr "la columna «%s» tiene pseudotipo %s"
+
+#: catalog/heap.c:476
+#, c-format
+msgid "composite type %s cannot be made a member of itself"
+msgstr "un tipo compuesto %s no puede ser hecho miembro de sí mismo"
+
+#: catalog/heap.c:919
+msgid ""
+"A relation has an associated type of the same name, so you must use a name "
+"that doesn't conflict with any existing type."
+msgstr ""
+"Una relación tiene un tipo asociado del mismo nombre, de modo que debe usar "
+"un nombre que no entre en conflicto con un tipo existente."
+
+#: catalog/heap.c:1916
+#, c-format
+msgid "check constraint \"%s\" already exists"
+msgstr "la restricción check «%s» ya existe"
+
+#: catalog/heap.c:2064
+#, c-format
+msgid "merging constraint \"%s\" with inherited definition"
+msgstr "mezclando la restricción «%s» con la definición heredada"
+
+#: catalog/heap.c:2163
+msgid "cannot use column references in default expression"
+msgstr "no se pueden usar referencias a columnas en una cláusula default"
+
+#: catalog/heap.c:2171
+msgid "default expression must not return a set"
+msgstr "expresiones default no pueden retornar conjuntos"
+
+#: catalog/heap.c:2179
+msgid "cannot use subquery in default expression"
+msgstr "no se puede usar una subconsulta en expresión default"
+
+#: catalog/heap.c:2183
+msgid "cannot use aggregate function in default expression"
+msgstr "no se puede usar una función de agregación en expresión default"
+
+#: catalog/heap.c:2187
+msgid "cannot use window function in default expression"
+msgstr "no se puede usar una función ventana en expresión default"
+
+#: catalog/heap.c:2247
+#, c-format
+msgid "only table \"%s\" can be referenced in check constraint"
+msgstr "sólo la tabla «%s» puede ser referenciada en una restricción check"
+
+#: catalog/heap.c:2483
+msgid "unsupported ON COMMIT and foreign key combination"
+msgstr "combinación de ON COMMIT y llaves foráneas no soportada"
+
+#: catalog/heap.c:2484
+#, c-format
+msgid ""
+"Table \"%s\" references \"%s\", but they do not have the same ON COMMIT "
+"setting."
+msgstr ""
+"La tabla «%s» se refiere a «%s», pero no tienen la misma expresión para ON "
+"COMMIT."
+
+#: catalog/heap.c:2489
+msgid "cannot truncate a table referenced in a foreign key constraint"
+msgstr "no se puede truncar una tabla referida en una llave foránea"
+
+#: catalog/heap.c:2490
+#, c-format
+msgid "Table \"%s\" references \"%s\"."
+msgstr "La tabla «%s» hace referencia a «%s»."
+
+#: catalog/heap.c:2492
+#, c-format
+msgid "Truncate table \"%s\" at the same time, or use TRUNCATE ... CASCADE."
+msgstr "Trunque la tabla «%s» al mismo tiempo, o utilice TRUNCATE ... CASCADE."
+
+#: catalog/pg_depend.c:209
+#, c-format
+msgid "cannot remove dependency on %s because it is a system object"
+msgstr ""
+"no se puede eliminar dependencia a %s porque es un objeto requerido por el "
+"sistema"
 
 #: main/main.c:230
 #, c-format
@@ -8677,447 +14475,428 @@
 msgid "%s: could not determine user name (GetUserName failed)\n"
 msgstr "%s: no se pudo determinar el nombre de usuario (falló GetUserName)\n"
 
-#: storage/smgr/md.c:276
-#, c-format
-msgid "could not create relation %s: %m"
-msgstr "no se pudo crear la relación %s: %m"
-
-#: storage/smgr/md.c:363 storage/smgr/md.c:1188
-#, c-format
-msgid "could not remove relation %s: %m"
-msgstr "no se pudo eliminar la relación %s: %m"
-
-#: storage/smgr/md.c:387
-#, c-format
-msgid "could not remove segment %u of relation %s: %m"
-msgstr "no se pudo eliminar el segmento %u de la relación %s: %m"
-
-#: storage/smgr/md.c:432
-#, c-format
-msgid "cannot extend relation %s beyond %u blocks"
-msgstr "no se pudo extender la relación %s a %u bloques"
-
-#: storage/smgr/md.c:454 storage/smgr/md.c:615 storage/smgr/md.c:688
-#, c-format
-msgid "could not seek to block %u of relation %s: %m"
-msgstr "no se pudo posicionar (seek) al bloque %u de la relación %s: %m"
-
-#: storage/smgr/md.c:463
-#, c-format
-msgid "could not extend relation %s: %m"
-msgstr "no se pudo extender la relación %s: %m"
-
-#: storage/smgr/md.c:465 storage/smgr/md.c:472 storage/smgr/md.c:714
-msgid "Check free disk space."
-msgstr "Verifique el espacio libre en disco."
-
-#: storage/smgr/md.c:469
-#, c-format
-msgid "could not extend relation %s: wrote only %d of %d bytes at block %u"
-msgstr ""
-"no se pudo extender la relación %s: sólo se escribieron %d de %d bytes en el "
-"bloque %u"
-
-#: storage/smgr/md.c:526
-#, c-format
-msgid "could not open relation %s: %m"
-msgstr "no se pudo abrir la relación %s: %m"
-
-#: storage/smgr/md.c:632
-#, c-format
-msgid "could not read block %u of relation %s: %m"
-msgstr "no se pudo leer el bloque %u de la relación %s: %m"
-
-#: storage/smgr/md.c:648
-#, c-format
-msgid "could not read block %u of relation %s: read only %d of %d bytes"
-msgstr ""
-"no se pudo leer el bloque %u de la relación %s: se leyeron sólo %d de %d "
-"bytes"
-
-#: storage/smgr/md.c:705
-#, c-format
-msgid "could not write block %u of relation %s: %m"
-msgstr "no se pudo escribir el bloque %u de la relación %s: %m"
-
-#: storage/smgr/md.c:710
-#, c-format
-msgid "could not write block %u of relation %s: wrote only %d of %d bytes"
-msgstr ""
-"no se pudo escribir el bloque %u de la relación %s: se escribieron sólo %d "
-"de %d bytes"
-
-#: storage/smgr/md.c:779
-#, c-format
-msgid "could not open segment %u of relation %s: %m"
-msgstr "no se pudo abrir el segmento %u de la relación %s: %m"
-
-#: storage/smgr/md.c:810
-#, c-format
-msgid "could not truncate relation %s to %u blocks: it's only %u blocks now"
-msgstr ""
-"no se pudo truncar la relación %s a %u bloques: es de sólo %u bloques ahora"
-
-#: storage/smgr/md.c:834 storage/smgr/md.c:859
-#, c-format
-msgid "could not truncate relation %s to %u blocks: %m"
-msgstr "no se pudo truncar la relación %s a %u bloques: %m"
-
-#: storage/smgr/md.c:904 storage/smgr/md.c:1078 storage/smgr/md.c:1222
-#, c-format
-msgid "could not fsync segment %u of relation %s: %m"
-msgstr "no se pudo sincronizar (fsync) el segment %u de la relación %s: %m"
-
-#: storage/smgr/md.c:1083
-#, c-format
-msgid "could not fsync segment %u of relation %s but retrying: %m"
-msgstr ""
-"no se pudo sincronizar (fsync) el segmento %u de la relación %s, pero se "
-"reintentará: %m"
-
-#: storage/smgr/md.c:1569
-#, c-format
-msgid "could not open segment %u of relation %s (target block %u): %m"
-msgstr ""
-"no se pudo abrir el segmento %u de la relación %s (bloque buscado %u): %m"
-
-#: storage/smgr/md.c:1592
-#, c-format
-msgid "could not seek to end of segment %u of relation %s: %m"
-msgstr ""
-"no se pudo desplazar (seek) al fin del segmento %u de la relación %s: %m"
-
-#: storage/buffer/bufmgr.c:129 storage/buffer/bufmgr.c:233
-msgid "cannot access temporary tables of other sessions"
-msgstr "no se pueden acceder tablas temporales de otras sesiones"
-
-#: storage/buffer/bufmgr.c:361
-#, c-format
-msgid "unexpected data beyond EOF in block %u of relation %s"
-msgstr "datos inesperados más allá del EOF en el bloque %u de relación %s"
-
-#: storage/buffer/bufmgr.c:363
-msgid ""
-"This has been seen to occur with buggy kernels; consider updating your "
-"system."
-msgstr ""
-"Esto parece ocurrir sólo con kernels defectuosos; considere actualizar su "
-"sistema."
-
-#: storage/buffer/bufmgr.c:435
-#, c-format
-msgid "invalid page header in block %u of relation %s; zeroing out page"
-msgstr ""
-"el encabezado de página no es válido en el bloque %u de la relación «%s»; "
-"reinicializando la página"
-
-#: storage/buffer/bufmgr.c:443
-#, c-format
-msgid "invalid page header in block %u of relation %s"
-msgstr "el encabezado de página no es válido en el bloque %u de la relación %s"
-
-#: storage/buffer/bufmgr.c:2716
-#, c-format
-msgid "could not write block %u of %s"
-msgstr "no se pudo escribir el bloque %u de %s"
-
-#: storage/buffer/bufmgr.c:2718
-msgid "Multiple failures --- write error might be permanent."
-msgstr "Múltiples fallas --- el error de escritura puede ser permanente."
-
-#: storage/buffer/bufmgr.c:2739
-#, c-format
-msgid "writing block %u of relation %s"
-msgstr "escribiendo el bloque %u de la relación %s"
-
-#: storage/buffer/localbuf.c:188
-msgid "no empty local buffer available"
-msgstr "no hay ningún búfer local disponible"
-
-#: storage/file/fd.c:385
-#, c-format
-msgid "getrlimit failed: %m"
-msgstr "getrlimit falló: %m"
-
-#: storage/file/fd.c:475
-msgid "insufficient file descriptors available to start server process"
-msgstr ""
-"los descriptores de archivo disponibles son insuficientes para iniciar un "
-"proceso servidor"
-
-#: storage/file/fd.c:476
-#, c-format
-msgid "System allows %d, we need at least %d."
-msgstr "El sistema permite %d, se requieren al menos %d."
-
-#: storage/file/fd.c:517 storage/file/fd.c:1414 storage/file/fd.c:1529
-#, c-format
-msgid "out of file descriptors: %m; release and retry"
-msgstr ""
-"se agotaron los descriptores de archivo: %m; libere e intente nuevamente"
-
-#: storage/file/fd.c:1070
-#, c-format
-msgid "temporary file: path \"%s\", size %lu"
-msgstr "archivo temporal: ruta «%s», tamaño %lu"
-
-#: storage/file/fd.c:1588
-#, c-format
-msgid "could not read directory \"%s\": %m"
-msgstr "no se pudo leer el directorio «%s»: %m"
-
-#: storage/ipc/sinvaladt.c:293 storage/ipc/procarray.c:151
-#: storage/lmgr/proc.c:275 postmaster/postmaster.c:1779
-msgid "sorry, too many clients already"
-msgstr "lo siento, ya tenemos demasiados clientes"
-
-#: storage/ipc/shmem.c:190 storage/ipc/shmem.c:359 storage/lmgr/lock.c:583
-#: storage/lmgr/lock.c:649 storage/lmgr/lock.c:2051 storage/lmgr/lock.c:2339
-#: storage/lmgr/lock.c:2404 storage/lmgr/proc.c:186 storage/lmgr/proc.c:199
-#: utils/hash/dynahash.c:925
-msgid "out of shared memory"
-msgstr "memoria compartida agotada"
-
-#: storage/ipc/shmem.c:392
-#, c-format
-msgid "could not allocate shared memory segment \"%s\""
-msgstr "no se pudo crear el segmento de memoria compartida «%s»"
-
-#: storage/ipc/shmem.c:420 storage/ipc/shmem.c:439
-msgid "requested shared memory size overflows size_t"
-msgstr "la petición de tamaño de memoria compartida desborda size_t"
-
-#: storage/large_object/inv_api.c:545 storage/large_object/inv_api.c:736
-#, c-format
-msgid "large object %u was not opened for writing"
-msgstr "el objeto grande %u no fue abierto para escritura"
-
-#: storage/lmgr/deadlock.c:915
-#, c-format
-msgid "Process %d waits for %s on %s; blocked by process %d."
-msgstr "El proceso %d espera %s en %s; bloqueado por proceso %d."
-
-#: storage/lmgr/deadlock.c:934
-#, c-format
-msgid "Process %d: %s"
-msgstr "Proceso %d: %s"
-
-#: storage/lmgr/deadlock.c:941
-msgid "deadlock detected"
-msgstr "se ha detectado un deadlock"
-
-#: storage/lmgr/deadlock.c:944
-msgid "See server log for query details."
-msgstr "Vea el registro del servidor para obtener detalles de las consultas."
-
-#: storage/lmgr/lmgr.c:717
-#, c-format
-msgid "relation %u of database %u"
-msgstr "relación %u de la base de datos %u"
-
-#: storage/lmgr/lmgr.c:723
-#, c-format
-msgid "extension of relation %u of database %u"
-msgstr "extensión de la relación %u de la base de datos %u"
-
-#: storage/lmgr/lmgr.c:729
-#, c-format
-msgid "page %u of relation %u of database %u"
-msgstr "página %u de la relación %u de la base de datos %u"
-
-#: storage/lmgr/lmgr.c:736
-#, c-format
-msgid "tuple (%u,%u) of relation %u of database %u"
-msgstr "tupla (%u,%u) de la relación %u de la base de datos %u"
-
-#: storage/lmgr/lmgr.c:744
-#, c-format
-msgid "transaction %u"
-msgstr "transacción %u"
-
-#: storage/lmgr/lmgr.c:749
-#, c-format
-msgid "virtual transaction %d/%u"
-msgstr "transacción virtual %d/%u"
-
-#: storage/lmgr/lmgr.c:755
-#, c-format
-msgid "object %u of class %u of database %u"
-msgstr "objeto %u de clase %u de la base de datos %u"
-
-#: storage/lmgr/lmgr.c:763
-#, c-format
-msgid "user lock [%u,%u,%u]"
-msgstr "bloqueo de usuario [%u,%u,%u]"
-
-# XXX is this a good translation?
-#: storage/lmgr/lmgr.c:770
-#, c-format
-msgid "advisory lock [%u,%u,%u,%u]"
-msgstr "bloqueo consultivo [%u,%u,%u,%u]"
-
-#: storage/lmgr/lmgr.c:778
-#, c-format
-msgid "unrecognized locktag type %d"
-msgstr "tipo de locktag %d no reconocido"
-
-#: storage/lmgr/lock.c:584 storage/lmgr/lock.c:650 storage/lmgr/lock.c:2340
-#: storage/lmgr/lock.c:2405
-msgid "You might need to increase max_locks_per_transaction."
-msgstr "Puede necesitar incrementar max_locks_per_transaction."
-
-#: storage/lmgr/lock.c:2052
-msgid "Not enough memory for reassigning the prepared transaction's locks."
-msgstr ""
-"No hay memoria suficiente para reasignar los bloqueos de la transacción "
-"preparada"
-
-#: storage/lmgr/proc.c:932 utils/adt/misc.c:101
-#, c-format
-msgid "could not send signal to process %d: %m"
-msgstr "no se pudo enviar la señal al proceso %d: %m"
-
-#: storage/lmgr/proc.c:966
-#, c-format
-msgid ""
-"process %d avoided deadlock for %s on %s by rearranging queue order after "
-"%ld.%03d ms"
-msgstr ""
-"el proceso %d evitó un deadlock para %s en %s reordenando la cola después de "
-"%ld.%03d ms"
-
-#: storage/lmgr/proc.c:978
-#, c-format
-msgid ""
-"process %d detected deadlock while waiting for %s on %s after %ld.%03d ms"
-msgstr ""
-"el proceso %d detectó un deadlock mientras esperaba %s en %s después de %ld."
-"%03d ms"
-
-#: storage/lmgr/proc.c:984
-#, c-format
-msgid "process %d still waiting for %s on %s after %ld.%03d ms"
-msgstr "el proceso %d está aún espera %s en %s después de %ld.%03d ms"
-
-#: storage/lmgr/proc.c:988
-#, c-format
-msgid "process %d acquired %s on %s after %ld.%03d ms"
-msgstr "el proceso %d adquirió %s en %s después de %ld.%03d ms"
-
-#: storage/lmgr/proc.c:1004
-#, c-format
-msgid "process %d failed to acquire %s on %s after %ld.%03d ms"
-msgstr "el proceso %d no pudo adquirir %s en %s después de %ld.%03d ms"
-
-#: storage/page/bufpage.c:143 storage/page/bufpage.c:390
-#: storage/page/bufpage.c:623 storage/page/bufpage.c:753
-#, c-format
-msgid "corrupted page pointers: lower = %u, upper = %u, special = %u"
-msgstr ""
-"los punteros de página están corruptos: inferior = %u, superior = %u, "
-"especial = %u"
-
-#: storage/page/bufpage.c:433
-#, c-format
-msgid "corrupted item pointer: %u"
-msgstr "el puntero de item está corrupto: %u"
-
-#: storage/page/bufpage.c:444 storage/page/bufpage.c:805
-#, c-format
-msgid "corrupted item lengths: total %u, available space %u"
-msgstr "los largos de ítem están corruptos: total %u, espacio disponible %u"
-
-#: storage/page/bufpage.c:642 storage/page/bufpage.c:778
-#, c-format
-msgid "corrupted item pointer: offset = %u, size = %u"
-msgstr "el puntero de ítem está corrupto: posición = %u, tamaño = %u"
-
-#: nodes/nodeFuncs.c:107 nodes/nodeFuncs.c:133 parser/parse_coerce.c:1618
-#: parser/parse_coerce.c:1635 parser/parse_coerce.c:1693
-#: parser/parse_expr.c:1494 parser/parse_func.c:310 parser/parse_oper.c:994
-#, c-format
-msgid "could not find array type for data type %s"
-msgstr "no se pudo encontrar un tipo de array para el tipo de dato %s"
-
-#: optimizer/plan/initsplan.c:589
-msgid ""
-"SELECT FOR UPDATE/SHARE cannot be applied to the nullable side of an outer "
-"join"
-msgstr ""
-"SELECT FOR UPDATE/SHARE no puede ser aplicado al lado nulable de un outer "
-"join"
-
-#: optimizer/plan/planner.c:845 parser/analyze.c:1206 parser/analyze.c:1400
-#: parser/analyze.c:2046
-msgid "SELECT FOR UPDATE/SHARE is not allowed with UNION/INTERSECT/EXCEPT"
-msgstr "SELECT FOR UPDATE/SHARE no está permitido con UNION/INTERSECT/EXCEPT"
-
-#: optimizer/plan/planner.c:1043
-msgid "could not implement GROUP BY"
-msgstr "no se pudo implementar GROUP BY"
-
-#: optimizer/plan/planner.c:1044 optimizer/plan/planner.c:1475
-#: optimizer/prep/prepunion.c:768
-msgid ""
-"Some of the datatypes only support hashing, while others only support "
-"sorting."
-msgstr ""
-"Algunos de los tipos sólo soportan hashing, mientras que otros sólo soportan "
-"ordenamiento."
-
-#: optimizer/plan/planner.c:1474
-msgid "could not implement DISTINCT"
-msgstr "no se pudo implementar DISTINCT"
-
-#: optimizer/plan/planner.c:2522
-msgid "could not implement window PARTITION BY"
-msgstr "No se pudo implementar PARTITION BY de ventana"
-
-#: optimizer/plan/planner.c:2523
-msgid "Window partitioning columns must be of sortable datatypes."
-msgstr ""
-"Las columnas de particionamiento de ventana deben de tipos que se puedan "
-"ordenar."
-
-#: optimizer/plan/planner.c:2527
-msgid "could not implement window ORDER BY"
-msgstr "no se pudo implementar ORDER BY de ventana"
-
-#: optimizer/plan/planner.c:2528
-msgid "Window ordering columns must be of sortable datatypes."
-msgstr ""
-"Las columnas de ordenamiento de ventana debe ser de tipos que se puedan "
-"ordenar."
-
-#: optimizer/util/clauses.c:3834
-#, c-format
-msgid "SQL function \"%s\" during inlining"
-msgstr "función SQL «%s», durante expansión en línea"
-
-#: optimizer/prep/preptlist.c:132
-msgid "SELECT FOR UPDATE/SHARE is not allowed in subqueries"
-msgstr "SELECT FOR UPDATE/SHARE no está permitido en subconsultas"
-
-#: optimizer/prep/prepunion.c:373
-msgid "could not implement recursive UNION"
-msgstr "no se pudo implementar UNION recursivo"
-
-#: optimizer/prep/prepunion.c:374
-msgid "All column datatypes must be hashable."
-msgstr ""
-"Todos los tipos de dato de las columnas deben ser tipos de los que se puedan "
-"hacer un hash."
-
-#. translator: %s is UNION, INTERSECT, or EXCEPT
-#: optimizer/prep/prepunion.c:767
-#, c-format
-msgid "could not implement %s"
-msgstr "no se pudo implementar %s"
-
-#: parser/scansup.c:190
-#, c-format
-msgid "identifier \"%s\" will be truncated to \"%s\""
-msgstr "el identificador «%s» se truncará a «%s»"
+#: parser/parse_coerce.c:283 parser/analyze.c:2269 parser/parse_expr.c:647
+#: parser/parse_expr.c:654
+#, c-format
+msgid "there is no parameter $%d"
+msgstr "no hay parámetro $%d"
+
+#: parser/parse_coerce.c:300 parser/parse_expr.c:1879
+#, c-format
+msgid "inconsistent types deduced for parameter $%d"
+msgstr "para el parámetro $%d se dedujeron tipos de dato inconsistentes"
+
+#: parser/parse_coerce.c:891 parser/parse_coerce.c:920
+#: parser/parse_coerce.c:938 parser/parse_coerce.c:953
+#: parser/parse_expr.c:1531 parser/parse_expr.c:2034
+#, c-format
+msgid "cannot cast type %s to %s"
+msgstr "no se puede convertir el tipo %s a %s"
+
+#: parser/parse_coerce.c:923
+msgid "Input has too few columns."
+msgstr "La entrada tiene muy pocas columnas."
+
+#: parser/parse_coerce.c:941
+#, c-format
+msgid "Cannot cast type %s to %s in column %d."
+msgstr "No se puede convertir el tipo %s a %s en la columna %d."
+
+#: parser/parse_coerce.c:956
+msgid "Input has too many columns."
+msgstr "La entrada tiene demasiadas columnas."
+
+#. translator: first %s is name of a SQL construct, eg WHERE
+#: parser/parse_coerce.c:999
+#, c-format
+msgid "argument of %s must be type boolean, not type %s"
+msgstr "el argumento de %s debe ser de tipo boolean, no tipo %s"
+
+#. translator: %s is name of a SQL construct, eg WHERE
+#. translator: %s is name of a SQL construct, eg LIMIT
+#: parser/parse_coerce.c:1009 parser/parse_coerce.c:1058
+#, c-format
+msgid "argument of %s must not return a set"
+msgstr "el argumento de %s no debe retornar un conjunto"
+
+#. translator: first %s is name of a SQL construct, eg LIMIT
+#: parser/parse_coerce.c:1046
+#, c-format
+msgid "argument of %s must be type %s, not type %s"
+msgstr "el argumento de %s debe ser de tipo %s, no tipo %s"
+
+#. translator: first %s is name of a SQL construct, eg CASE
+#: parser/parse_coerce.c:1179
+#, c-format
+msgid "%s types %s and %s cannot be matched"
+msgstr "los tipos %2$s y %3$s no son coincidentes en %1$s"
+
+#. translator: first %s is name of a SQL construct, eg CASE
+#: parser/parse_coerce.c:1246
+#, c-format
+msgid "%s could not convert type %s to %s"
+msgstr "%s no pudo convertir el tipo %s a %s"
+
+#: parser/parse_coerce.c:1487
+msgid "arguments declared \"anyelement\" are not all alike"
+msgstr "los argumentos declarados «anyelement» no son de tipos compatibles"
+
+#: parser/parse_coerce.c:1506
+msgid "arguments declared \"anyarray\" are not all alike"
+msgstr "los argumentos declarados «anyarray» no son de tipos compatibles"
+
+#: parser/parse_coerce.c:1535 parser/parse_coerce.c:1679
+#: parser/parse_coerce.c:1710
+#, c-format
+msgid "argument declared \"anyarray\" is not an array but type %s"
+msgstr "el argumento declarado «anyarray» no es un array sino de tipo %s"
+
+#: parser/parse_coerce.c:1551
+msgid ""
+"argument declared \"anyarray\" is not consistent with argument declared "
+"\"anyelement\""
+msgstr ""
+"el argumento declarado «anyarray» no es consistente con el argumento "
+"declarado «anyelement»"
+
+#: parser/parse_coerce.c:1569
+msgid "could not determine polymorphic type because input has type \"unknown\""
+msgstr ""
+"no se pudo determinar el tipo polimórfico porque el tipo de entrada es "
+"«unknown»"
+
+#: parser/parse_coerce.c:1579
+#, c-format
+msgid "type matched to anynonarray is an array type: %s"
+msgstr "el argumento coincidente con anynonarray es un array: %s"
+
+#: parser/parse_coerce.c:1589
+#, c-format
+msgid "type matched to anyenum is not an enum type: %s"
+msgstr "el tipo coincidente con anyenum no es un tipo enum: %s"
+
+#: gram.y:1191
+msgid "current database cannot be changed"
+msgstr "no se puede cambiar la base de datos activa"
+
+#: gram.y:1306 gram.y:1321
+msgid "time zone interval must be HOUR or HOUR TO MINUTE"
+msgstr "el intervalo de huso horario debe ser HOUR o HOUR TO MINUTE"
+
+#: gram.y:1326 gram.y:7744 gram.y:10037
+msgid "interval precision specified twice"
+msgstr "la precisión de interval fue especificada dos veces"
+
+#: gram.y:2522
+msgid "CREATE TABLE AS cannot specify INTO"
+msgstr "CREATE TABLE AS no puede especificar INTO"
+
+#: gram.y:3176
+msgid "duplicate trigger events specified"
+msgstr "se han especificado eventos de disparador duplicados"
+
+#: gram.y:3246 gram.y:3262 parser/parse_utilcmd.c:1913
+#: parser/parse_utilcmd.c:1936
+msgid "constraint declared INITIALLY DEFERRED must be DEFERRABLE"
+msgstr "una restricción declarada INITIALLY DEFERRED debe ser DEFERRABLE"
+
+#: gram.y:3326
+msgid "CREATE ASSERTION is not yet implemented"
+msgstr "CREATE ASSERTION no está implementado"
+
+#: gram.y:3342
+msgid "DROP ASSERTION is not yet implemented"
+msgstr "DROP ASSERTION no está implementado"
+
+#: gram.y:3638
+msgid "RECHECK is no longer required"
+msgstr "RECHECK ya no es requerido"
+
+#: gram.y:3639
+msgid "Update your data type."
+msgstr "Actualice su tipo de datos."
+
+#: gram.y:5917 gram.y:5923 gram.y:5929
+msgid "WITH CHECK OPTION is not implemented"
+msgstr "WITH CHECK OPTION no está implementado"
+
+#: gram.y:6515
+msgid "column name list not allowed in CREATE TABLE / AS EXECUTE"
+msgstr "no se permite una lista de columnas en CREATE TABLE / AS EXECUTE "
+
+#: gram.y:6736
+msgid "number of columns does not match number of values"
+msgstr "el número de columnas no coincide con el número de valores"
+
+#: gram.y:7160
+msgid "LIMIT #,# syntax is not supported"
+msgstr "la sintaxis LIMIT #,# no está soportada"
+
+#: gram.y:7161
+msgid "Use separate LIMIT and OFFSET clauses."
+msgstr "Use cláusulas LIMIT y OFFSET separadas."
+
+#: gram.y:7382
+msgid "VALUES in FROM must have an alias"
+msgstr "VALUES en FROM debe tener un alias"
+
+#: gram.y:7383
+msgid "For example, FROM (VALUES ...) [AS] foo."
+msgstr "Por ejemplo, FROM (VALUES ...) [AS] foo."
+
+#: gram.y:7388
+msgid "subquery in FROM must have an alias"
+msgstr "las subconsultas en FROM deben tener un alias"
+
+#: gram.y:7389
+msgid "For example, FROM (SELECT ...) [AS] foo."
+msgstr "Por ejemplo, FROM (SELECT ...) [AS] foo."
+
+#: gram.y:7870
+msgid "precision for type float must be at least 1 bit"
+msgstr "la precisión para el tipo float debe ser al menos 1 bit"
+
+#: gram.y:7879
+msgid "precision for type float must be less than 54 bits"
+msgstr "la precisión para el tipo float debe ser menor de 54 bits"
+
+#: gram.y:8575
+msgid "UNIQUE predicate is not yet implemented"
+msgstr "el predicado UNIQUE no está implementado"
+
+#: gram.y:9414 gram.y:9429
+msgid "frame start cannot be UNBOUNDED FOLLOWING"
+msgstr "el inicio de «frame» no puede ser UNBOUNDED FOLLOWING"
+
+#: gram.y:9419 gram.y:9434
+msgid "frame start at CURRENT ROW is not implemented"
+msgstr "el inicio de «frame» en CURRENT ROW no está implementado"
+
+#: gram.y:9439
+msgid "frame end cannot be UNBOUNDED PRECEDING"
+msgstr "el fin de «frame» no puede ser UNBOUNDED PRECEDING"
+
+#: gram.y:10559
+msgid "OLD used in query that is not in a rule"
+msgstr "se usó OLD en una consulta que no es una regla"
+
+#: gram.y:10569
+msgid "NEW used in query that is not in a rule"
+msgstr "se usó NEW en una consulta que no es una regla"
+
+#: gram.y:10617 gram.y:10824
+msgid "improper use of \"*\""
+msgstr "uso impropio de «*»"
+
+#: gram.y:10756
+msgid "wrong number of parameters on left side of OVERLAPS expression"
+msgstr ""
+"el número de parámetros es incorrecto al lado izquierdo de la expresión "
+"OVERLAPS"
+
+#: gram.y:10763
+msgid "wrong number of parameters on right side of OVERLAPS expression"
+msgstr ""
+"el número de parámetros es incorrecto al lado derecho de la expresión "
+"OVERLAPS"
+
+#: gram.y:10886
+msgid "multiple ORDER BY clauses not allowed"
+msgstr "no se permiten múltiples cláusulas ORDER BY"
+
+#: gram.y:10897
+msgid "multiple OFFSET clauses not allowed"
+msgstr "no se permiten múltiples cláusulas OFFSET"
+
+#: gram.y:10906
+msgid "multiple LIMIT clauses not allowed"
+msgstr "no se permiten múltiples cláusulas LIMIT"
+
+#: gram.y:10915
+msgid "multiple WITH clauses not allowed"
+msgstr "no se permiten múltiples cláusulas WITH"
+
+#: gram.y:11069
+msgid "OUT and INOUT arguments aren't allowed in TABLE functions"
+msgstr "los argumentos OUT e INOUT no están permitidos en funciones TABLE"
+
+#: parser/parse_utilcmd.c:297
+msgid "array of serial is not implemented"
+msgstr "array de serial no está implementado"
+
+#: parser/parse_utilcmd.c:339
+#, c-format
+msgid "%s will create implicit sequence \"%s\" for serial column \"%s.%s\""
+msgstr "%s creará una secuencia implícita «%s» para la columna serial «%s.%s»"
+
+#: parser/parse_utilcmd.c:441 parser/parse_utilcmd.c:451
+#, c-format
+msgid ""
+"conflicting NULL/NOT NULL declarations for column \"%s\" of table \"%s\""
+msgstr ""
+"las declaraciones NULL/NOT NULL no son coincidentes para la columna «%s» de "
+"la tabla «%s»"
+
+#: parser/parse_utilcmd.c:461
+#, c-format
+msgid "multiple default values specified for column \"%s\" of table \"%s\""
+msgstr ""
+"múltiples valores default especificados para columna «%s» de tabla «%s»"
+
+#: parser/parse_utilcmd.c:1212
+#, c-format
+msgid "column \"%s\" appears twice in primary key constraint"
+msgstr "la columna «%s» aparece dos veces en llave primaria"
+
+#: parser/parse_utilcmd.c:1217
+#, c-format
+msgid "column \"%s\" appears twice in unique constraint"
+msgstr "la columna «%s» aparece dos veces en restricción unique"
+
+#: parser/parse_utilcmd.c:1364
+msgid "index expression cannot return a set"
+msgstr "las expresiones de índice no pueden retornar conjuntos"
+
+#: parser/parse_utilcmd.c:1374
+msgid ""
+"index expressions and predicates can refer only to the table being indexed"
+msgstr ""
+"las expresiones y predicados de índice sólo pueden referirse a la tabla en "
+"indexación"
+
+#: parser/parse_utilcmd.c:1469
+msgid "rule WHERE condition cannot contain references to other relations"
+msgstr ""
+"la condición WHERE de la regla no puede contener referencias a otras "
+"relaciones"
+
+#: parser/parse_utilcmd.c:1475
+msgid "cannot use aggregate function in rule WHERE condition"
+msgstr ""
+"no se pueden usar funciones de agregación en condición WHERE de una regla"
+
+#: parser/parse_utilcmd.c:1479
+msgid "cannot use window function in rule WHERE condition"
+msgstr "no se pueden usar funciones ventana en condición WHERE de una regla"
+
+#: parser/parse_utilcmd.c:1551
+msgid ""
+"rules with WHERE conditions can only have SELECT, INSERT, UPDATE, or DELETE "
+"actions"
+msgstr ""
+"las reglas con condiciones WHERE sólo pueden tener acciones SELECT, INSERT, "
+"UPDATE o DELETE"
+
+#: parser/parse_utilcmd.c:1587
+msgid "ON SELECT rule cannot use OLD"
+msgstr "una regla ON SELECT no puede usar OLD"
+
+#: parser/parse_utilcmd.c:1591
+msgid "ON SELECT rule cannot use NEW"
+msgstr "una regla ON SELECT no puede usar NEW"
+
+#: parser/parse_utilcmd.c:1600
+msgid "ON INSERT rule cannot use OLD"
+msgstr "una regla ON INSERT no puede usar OLD"
+
+#: parser/parse_utilcmd.c:1606
+msgid "ON DELETE rule cannot use NEW"
+msgstr "una regla ON DELETE no puede usar NEW"
+
+#: parser/parse_utilcmd.c:1889
+msgid "misplaced DEFERRABLE clause"
+msgstr "cláusula DEFERRABLE mal puesta"
+
+#: parser/parse_utilcmd.c:1893 parser/parse_utilcmd.c:1906
+msgid "multiple DEFERRABLE/NOT DEFERRABLE clauses not allowed"
+msgstr "no se permiten múltiples cláusulas DEFERRABLE/NOT DEFERRABLE"
+
+#: parser/parse_utilcmd.c:1902
+msgid "misplaced NOT DEFERRABLE clause"
+msgstr "la cláusula NOT DEFERRABLE está mal puesta"
+
+#: parser/parse_utilcmd.c:1920
+msgid "misplaced INITIALLY DEFERRED clause"
+msgstr "la cláusula INITIALLY DEFERRED está mal puesta"
+
+#: parser/parse_utilcmd.c:1924 parser/parse_utilcmd.c:1947
+msgid "multiple INITIALLY IMMEDIATE/DEFERRED clauses not allowed"
+msgstr "no se permiten múltiples cláusulas INITIALLY IMMEDIATE/DEFERRED"
+
+#: parser/parse_utilcmd.c:1943
+msgid "misplaced INITIALLY IMMEDIATE clause"
+msgstr "la cláusula INITIALLY IMMEDIATE está mal puesta"
+
+#: parser/parse_utilcmd.c:2114
+#, c-format
+msgid ""
+"CREATE specifies a schema (%s) different from the one being created (%s)"
+msgstr ""
+"CREATE especifica un esquema (%s) diferente del que se está creando (%s)"
+
+#: parser/parse_agg.c:84
+msgid "aggregate function calls cannot contain window function calls"
+msgstr ""
+"las llamadas a funciones de agregación no pueden contener llamadas a "
+"funciones ventana"
+
+#: parser/parse_agg.c:155 parser/parse_clause.c:1587
+#, c-format
+msgid "window \"%s\" does not exist"
+msgstr "la ventana «%s» no existe"
+
+#: parser/parse_agg.c:243
+msgid "aggregates not allowed in WHERE clause"
+msgstr "no se permiten funciones de agregación en la cláusula WHERE"
+
+#: parser/parse_agg.c:249
+msgid "aggregates not allowed in JOIN conditions"
+msgstr "no se permiten funciones de agregación en las condiciones JOIN"
+
+#: parser/parse_agg.c:270
+msgid "aggregates not allowed in GROUP BY clause"
+msgstr "no se permiten funciones de agregación en la cláusula GROUP BY"
+
+#: parser/parse_agg.c:338
+msgid "aggregate functions not allowed in a recursive query's recursive term"
+msgstr ""
+"las funciones de agregación no están permitidas en el término recursivo de "
+"una consulta recursiva"
+
+#: parser/parse_agg.c:363
+msgid "window functions not allowed in WHERE clause"
+msgstr "no se permiten funciones ventana en la cláusula WHERE"
+
+#: parser/parse_agg.c:369
+msgid "window functions not allowed in JOIN conditions"
+msgstr "no se permiten funciones ventana en las condiciones JOIN"
+
+#: parser/parse_agg.c:375
+msgid "window functions not allowed in HAVING clause"
+msgstr "no se permiten funciones ventana en la cláusula HAVING"
+
+#: parser/parse_agg.c:388
+msgid "window functions not allowed in GROUP BY clause"
+msgstr "no se permiten funciones ventana en la cláusula GROUP BY"
+
+#: parser/parse_agg.c:407 parser/parse_agg.c:420
+msgid "window functions not allowed in window definition"
+msgstr "no se permiten funciones ventana en definiciones de ventana"
+
+#: parser/parse_agg.c:541
+#, c-format
+msgid ""
+"column \"%s.%s\" must appear in the GROUP BY clause or be used in an "
+"aggregate function"
+msgstr ""
+"la columna «%s.%s» debe aparecer en la cláusula GROUP BY o ser usada en una "
+"función de agregación"
+
+#: parser/parse_agg.c:547
+#, c-format
+msgid "subquery uses ungrouped column \"%s.%s\" from outer query"
+msgstr ""
+"la subconsulta usa la columna «%s.%s» no agrupada de una consulta exterior"
 
 #: parser/analyze.c:459
 msgid "INSERT ... SELECT cannot specify INTO"
@@ -9294,76 +15073,6 @@
 "la relación «%s» en la cláusula FOR UPDATE/SHARE no fue encontrada en la "
 "cláusula FROM"
 
-#: parser/analyze.c:2269 parser/parse_coerce.c:283 parser/parse_expr.c:647
-#: parser/parse_expr.c:654
-#, c-format
-msgid "there is no parameter $%d"
-msgstr "no hay parámetro $%d"
-
-#: parser/parse_agg.c:84
-msgid "aggregate function calls cannot contain window function calls"
-msgstr ""
-"las llamadas a funciones de agregación no pueden contener llamadas a "
-"funciones ventana"
-
-#: parser/parse_agg.c:155 parser/parse_clause.c:1587
-#, c-format
-msgid "window \"%s\" does not exist"
-msgstr "la ventana «%s» no existe"
-
-#: parser/parse_agg.c:243
-msgid "aggregates not allowed in WHERE clause"
-msgstr "no se permiten funciones de agregación en la cláusula WHERE"
-
-#: parser/parse_agg.c:249
-msgid "aggregates not allowed in JOIN conditions"
-msgstr "no se permiten funciones de agregación en las condiciones JOIN"
-
-#: parser/parse_agg.c:270
-msgid "aggregates not allowed in GROUP BY clause"
-msgstr "no se permiten funciones de agregación en la cláusula GROUP BY"
-
-#: parser/parse_agg.c:338
-msgid "aggregate functions not allowed in a recursive query's recursive term"
-msgstr ""
-"las funciones de agregación no están permitidas en el término recursivo de "
-"una consulta recursiva"
-
-#: parser/parse_agg.c:363
-msgid "window functions not allowed in WHERE clause"
-msgstr "no se permiten funciones ventana en la cláusula WHERE"
-
-#: parser/parse_agg.c:369
-msgid "window functions not allowed in JOIN conditions"
-msgstr "no se permiten funciones ventana en las condiciones JOIN"
-
-#: parser/parse_agg.c:375
-msgid "window functions not allowed in HAVING clause"
-msgstr "no se permiten funciones ventana en la cláusula HAVING"
-
-#: parser/parse_agg.c:388
-msgid "window functions not allowed in GROUP BY clause"
-msgstr "no se permiten funciones ventana en la cláusula GROUP BY"
-
-#: parser/parse_agg.c:407 parser/parse_agg.c:420
-msgid "window functions not allowed in window definition"
-msgstr "no se permiten funciones ventana en definiciones de ventana"
-
-#: parser/parse_agg.c:541
-#, c-format
-msgid ""
-"column \"%s.%s\" must appear in the GROUP BY clause or be used in an "
-"aggregate function"
-msgstr ""
-"la columna «%s.%s» debe aparecer en la cláusula GROUP BY o ser usada en una "
-"función de agregación"
-
-#: parser/parse_agg.c:547
-#, c-format
-msgid "subquery uses ungrouped column \"%s.%s\" from outer query"
-msgstr ""
-"la subconsulta usa la columna «%s.%s» no agrupada de una consulta exterior"
-
 #: parser/parse_clause.c:415
 #, c-format
 msgid "JOIN/ON clause refers to \"%s\", which is not part of JOIN"
@@ -9509,408 +15218,167 @@
 "Los operadores de ordenamiento deben ser miembros «<» o «>» de una familia "
 "de operadores btree."
 
-#: parser/parse_coerce.c:300 parser/parse_expr.c:1876
-#, c-format
-msgid "inconsistent types deduced for parameter $%d"
-msgstr "para el parámetro $%d se dedujeron tipos de dato inconsistentes"
-
-#: parser/parse_coerce.c:891 parser/parse_coerce.c:920
-#: parser/parse_coerce.c:938 parser/parse_coerce.c:953
-#: parser/parse_expr.c:1528 parser/parse_expr.c:2031
-#, c-format
-msgid "cannot cast type %s to %s"
-msgstr "no se puede convertir el tipo %s a %s"
-
-#: parser/parse_coerce.c:923
-msgid "Input has too few columns."
-msgstr "La entrada tiene muy pocas columnas."
-
-#: parser/parse_coerce.c:941
-#, c-format
-msgid "Cannot cast type %s to %s in column %d."
-msgstr "No se puede convertir el tipo %s a %s en la columna %d."
-
-#: parser/parse_coerce.c:956
-msgid "Input has too many columns."
-msgstr "La entrada tiene demasiadas columnas."
-
-#. translator: first %s is name of a SQL construct, eg WHERE
-#: parser/parse_coerce.c:999
-#, c-format
-msgid "argument of %s must be type boolean, not type %s"
-msgstr "el argumento de %s debe ser de tipo boolean, no tipo %s"
-
-#. translator: %s is name of a SQL construct, eg WHERE
-#. translator: %s is name of a SQL construct, eg LIMIT
-#: parser/parse_coerce.c:1009 parser/parse_coerce.c:1058
-#, c-format
-msgid "argument of %s must not return a set"
-msgstr "el argumento de %s no debe retornar un conjunto"
-
-#. translator: first %s is name of a SQL construct, eg LIMIT
-#: parser/parse_coerce.c:1046
-#, c-format
-msgid "argument of %s must be type %s, not type %s"
-msgstr "el argumento de %s debe ser de tipo %s, no tipo %s"
-
-#. translator: first %s is name of a SQL construct, eg CASE
-#: parser/parse_coerce.c:1179
-#, c-format
-msgid "%s types %s and %s cannot be matched"
-msgstr "los tipos %2$s y %3$s no son coincidentes en %1$s"
-
-#. translator: first %s is name of a SQL construct, eg CASE
-#: parser/parse_coerce.c:1246
-#, c-format
-msgid "%s could not convert type %s to %s"
-msgstr "%s no pudo convertir el tipo %s a %s"
-
-#: parser/parse_coerce.c:1487
-msgid "arguments declared \"anyelement\" are not all alike"
-msgstr "los argumentos declarados «anyelement» no son de tipos compatibles"
-
-#: parser/parse_coerce.c:1506
-msgid "arguments declared \"anyarray\" are not all alike"
-msgstr "los argumentos declarados «anyarray» no son de tipos compatibles"
-
-#: parser/parse_coerce.c:1535 parser/parse_coerce.c:1679
-#: parser/parse_coerce.c:1710
-#, c-format
-msgid "argument declared \"anyarray\" is not an array but type %s"
-msgstr "el argumento declarado «anyarray» no es un array sino de tipo %s"
-
-#: parser/parse_coerce.c:1551
-msgid ""
-"argument declared \"anyarray\" is not consistent with argument declared "
-"\"anyelement\""
-msgstr ""
-"el argumento declarado «anyarray» no es consistente con el argumento "
-"declarado «anyelement»"
-
-#: parser/parse_coerce.c:1569
-msgid "could not determine polymorphic type because input has type \"unknown\""
-msgstr ""
-"no se pudo determinar el tipo polimórfico porque el tipo de entrada es "
-"«unknown»"
-
-#: parser/parse_coerce.c:1579
-#, c-format
-msgid "type matched to anynonarray is an array type: %s"
-msgstr "el argumento coincidente con anynonarray es un array: %s"
-
-#: parser/parse_coerce.c:1589
-#, c-format
-msgid "type matched to anyenum is not an enum type: %s"
-msgstr "el tipo coincidente con anyenum no es un tipo enum: %s"
-
-#: parser/parse_cte.c:40
-#, c-format
-msgid ""
-"recursive reference to query \"%s\" must not appear within its non-recursive "
-"term"
-msgstr ""
-"la referencia recursiva a la consulta «%s» no debe aparecer dentro de su "
-"término no recursivo"
-
-#: parser/parse_cte.c:42
-#, c-format
-msgid "recursive reference to query \"%s\" must not appear within a subquery"
-msgstr ""
-"la referencia recursiva a la consulta «%s» no debe aparecer dentro de una "
-"subconsulta"
-
-#: parser/parse_cte.c:44
-#, c-format
-msgid ""
-"recursive reference to query \"%s\" must not appear within an outer join"
-msgstr ""
-"la referencia recursiva a la consulta «%s» no debe aparecer dentro de un "
-"outer join"
-
-#: parser/parse_cte.c:46
-#, c-format
-msgid "recursive reference to query \"%s\" must not appear within INTERSECT"
-msgstr ""
-"la referencia recursiva a la consulta «%s» no debe aparecer dentro de "
-"INTERSECT"
-
-#: parser/parse_cte.c:48
-#, c-format
-msgid "recursive reference to query \"%s\" must not appear within EXCEPT"
-msgstr ""
-"la referencia recursiva a la consulta «%s» no debe aparecer dentro de EXCEPT"
-
-#: parser/parse_cte.c:130
-#, c-format
-msgid "WITH query name \"%s\" specified more than once"
-msgstr "el nombre de consulta WITH «%s» fue especificado más de una vez"
-
-#: parser/parse_cte.c:247
-msgid "subquery in WITH cannot have SELECT INTO"
-msgstr "una subconsulta en WITH no puede tener SELECT INTO"
-
-#: parser/parse_cte.c:288
-#, c-format
-msgid ""
-"recursive query \"%s\" column %d has type %s in non-recursive term but type "
-"%s overall"
-msgstr ""
-"la columna %2$d en la consulta recursiva «%1$s» tiene tipo %3$s en el "
-"término no recursivo, pero %4$s en general"
-
-#: parser/parse_cte.c:294
-msgid "Cast the output of the non-recursive term to the correct type."
-msgstr ""
-"Aplique una conversión de tipo a la salida del término no recursivo al tipo "
-"correcto."
-
-#: parser/parse_cte.c:376
-#, c-format
-msgid "WITH query \"%s\" has %d columns available but %d columns specified"
-msgstr ""
-"la consulta WITH «%s» tiene %d columnas disponibles pero se especificaron %d"
-
-#: parser/parse_cte.c:556
-msgid "mutual recursion between WITH items is not implemented"
-msgstr "la recursión mutua entre elementos de WITH no está implementada"
-
-#: parser/parse_cte.c:608
-#, c-format
-msgid ""
-"recursive query \"%s\" does not have the form non-recursive-term UNION [ALL] "
-"recursive-term"
-msgstr ""
-"la consulta recursiva «%s» no tiene la forma término-no-recursivo UNION "
-"[ALL] término-recursivo"
-
-#: parser/parse_cte.c:640
-msgid "ORDER BY in a recursive query is not implemented"
-msgstr "ORDER BY no está implementado en una consulta recursiva"
-
-#: parser/parse_cte.c:646
-msgid "OFFSET in a recursive query is not implemented"
-msgstr "OFFSET no está implementado en una consulta recursiva"
-
-#: parser/parse_cte.c:652
-msgid "LIMIT in a recursive query is not implemented"
-msgstr "LIMIT no está implementado en una consulta recursiva"
-
-#: parser/parse_cte.c:658
-msgid "FOR UPDATE/SHARE in a recursive query is not implemented"
-msgstr "FOR UPDATE/SHARE no está implementado en una consulta recursiva"
-
-#: parser/parse_cte.c:715
-#, c-format
-msgid "recursive reference to query \"%s\" must not appear more than once"
-msgstr ""
-"la referencia recursiva a la consulta «%s» no debe aparecer más de una vez"
-
 #: parser/parse_expr.c:349 parser/parse_target.c:596
 msgid "row expansion via \"*\" is not supported here"
 msgstr "la expansión de filas a través de «*» no está soportado aquí"
 
-#: parser/parse_expr.c:897
+#: parser/parse_expr.c:900
 msgid "NULLIF requires = operator to yield boolean"
 msgstr "NULLIF requiere que el operador = retorne boolean"
 
-#: parser/parse_expr.c:1070
+#: parser/parse_expr.c:1073
 msgid "arguments of row IN must all be row expressions"
 msgstr "los argumentos de IN de registros deben ser expresiones de registro"
 
-#: parser/parse_expr.c:1273
+#: parser/parse_expr.c:1276
 msgid "subquery cannot have SELECT INTO"
 msgstr "una subconsulta no puede tener SELECT INTO"
 
-#: parser/parse_expr.c:1301
+#: parser/parse_expr.c:1304
 msgid "subquery must return a column"
 msgstr "la subconsulta debe retornar una columna"
 
-#: parser/parse_expr.c:1308
+#: parser/parse_expr.c:1311
 msgid "subquery must return only one column"
 msgstr "la subconsulta debe retornar sólo una columna"
 
-#: parser/parse_expr.c:1367
+#: parser/parse_expr.c:1370
 msgid "subquery has too many columns"
 msgstr "la subconsulta tiene demasiadas columnas"
 
-#: parser/parse_expr.c:1372
+#: parser/parse_expr.c:1375
 msgid "subquery has too few columns"
 msgstr "la subconsulta tiene muy pocas columnas"
 
-#: parser/parse_expr.c:1468
+#: parser/parse_expr.c:1471
 msgid "cannot determine type of empty array"
 msgstr "no se puede determinar el tipo de un array vacío"
 
-#: parser/parse_expr.c:1469
+#: parser/parse_expr.c:1472
 msgid "Explicitly cast to the desired type, for example ARRAY[]::integer[]."
 msgstr ""
 "Agregue una conversión de tipo explícita al tipo deseado, por ejemplo ARRAY"
 "[]::integer[]."
 
-#: parser/parse_expr.c:1483
+#: parser/parse_expr.c:1486
 #, c-format
 msgid "could not find element type for data type %s"
 msgstr ""
 "no se pudo encontrar el tipo de dato de elemento para el tipo de dato %s"
 
-#: parser/parse_expr.c:1681
+#: parser/parse_expr.c:1684
 msgid "unnamed XML attribute value must be a column reference"
 msgstr ""
 "el valor del atributo XML sin nombre debe ser una referencia a una columna"
 
-#: parser/parse_expr.c:1682
+#: parser/parse_expr.c:1685
 msgid "unnamed XML element value must be a column reference"
 msgstr ""
 "el valor del elemento XML sin nombre debe ser una referencia a una columna"
 
-#: parser/parse_expr.c:1697
+#: parser/parse_expr.c:1700
 #, c-format
 msgid "XML attribute name \"%s\" appears more than once"
 msgstr "el nombre de atributo XML «%s» aparece más de una vez"
 
-#: parser/parse_expr.c:1804
+#: parser/parse_expr.c:1807
 #, c-format
 msgid "cannot cast XMLSERIALIZE result to %s"
 msgstr "no se puede convertir el resultado de XMLSERIALIZE a %s"
 
-#: parser/parse_expr.c:2072 parser/parse_expr.c:2270
+#: parser/parse_expr.c:2075 parser/parse_expr.c:2273
 msgid "unequal number of entries in row expressions"
 msgstr "número desigual de entradas en expresiones de registro"
 
-#: parser/parse_expr.c:2082
+#: parser/parse_expr.c:2085
 msgid "cannot compare rows of zero length"
 msgstr "no se pueden comparar registros de largo cero"
 
-#: parser/parse_expr.c:2107
+#: parser/parse_expr.c:2110
 #, c-format
 msgid "row comparison operator must yield type boolean, not type %s"
 msgstr ""
 "el operador de comparación de registros debe retornar tipo boolean, no tipo "
 "%s"
 
-#: parser/parse_expr.c:2114
+#: parser/parse_expr.c:2117
 msgid "row comparison operator must not return a set"
 msgstr "el operador de comparación de registros no puede retornar un conjunto"
 
-#: parser/parse_expr.c:2173 parser/parse_expr.c:2217
+#: parser/parse_expr.c:2176 parser/parse_expr.c:2220
 #, c-format
 msgid "could not determine interpretation of row comparison operator %s"
 msgstr ""
 "no se pudo determinar la interpretación del operador de comparación de "
 "registros %s"
 
-#: parser/parse_expr.c:2175
+#: parser/parse_expr.c:2178
 msgid ""
 "Row comparison operators must be associated with btree operator families."
 msgstr ""
 "Los operadores de comparación de registros deben estar asociados a una "
 "familia de operadores btree."
 
-#: parser/parse_expr.c:2219
+#: parser/parse_expr.c:2222
 msgid "There are multiple equally-plausible candidates."
 msgstr "Hay múltiples candidatos igualmente plausibles."
 
-#: parser/parse_expr.c:2310
+#: parser/parse_expr.c:2313
 msgid "IS DISTINCT FROM requires = operator to yield boolean"
 msgstr "IS DISTINCT FROM requiere que el operador = retorne boolean"
 
-#: parser/parse_func.c:193
-#, c-format
-msgid "%s(*) specified, but %s is not an aggregate function"
-msgstr "se especificó %s(*), pero %s no es una función de agregación"
-
-#: parser/parse_func.c:200
-#, c-format
-msgid "DISTINCT specified, but %s is not an aggregate function"
-msgstr "se especificó DISTINCT, pero %s no es una función de agregación"
-
-#: parser/parse_func.c:206
-#, c-format
-msgid ""
-"OVER specified, but %s is not a window function nor an aggregate function"
-msgstr ""
-"se especificó OVER, pero %s no es una función ventana ni una función de "
-"agregación"
-
-#: parser/parse_func.c:233
-#, c-format
-msgid "function %s is not unique"
-msgstr "la función %s no es única"
-
-#: parser/parse_func.c:236
-msgid ""
-"Could not choose a best candidate function. You might need to add explicit "
-"type casts."
-msgstr ""
-"No se pudo escoger la función más adecuada. Puede desear agregar "
-"conversiones explícitas de tipos."
-
-#: parser/parse_func.c:245
-msgid ""
-"No function matches the given name and argument types. You might need to add "
-"explicit type casts."
-msgstr ""
-"Ninguna función coincide en el nombre y tipos de argumentos. Puede desear "
-"agregar conversión explícita de tipos."
-
-#: parser/parse_func.c:352 parser/parse_func.c:405
-#, c-format
-msgid "%s(*) must be used to call a parameterless aggregate function"
-msgstr ""
-"%s(*) debe ser usado para invocar una función de agregación sin parámetros"
-
-#: parser/parse_func.c:359
-msgid "aggregates cannot return sets"
-msgstr "las funciones de agregación no pueden retornar conjuntos"
-
-#: parser/parse_func.c:378
-msgid "window function call requires an OVER clause"
-msgstr "la invocación de una función ventana requiere una cláusula OVER"
-
-#: parser/parse_func.c:395
-msgid "DISTINCT is not implemented for window functions"
-msgstr "DISTINCT no está implementado para funciones ventana"
-
-#: parser/parse_func.c:412
-msgid "window functions cannot return sets"
-msgstr "las funciones ventana no pueden retornar conjuntos"
-
-#: parser/parse_func.c:1199
-#, c-format
-msgid "column %s.%s does not exist"
-msgstr "no existe la columna %s.%s"
-
-#: parser/parse_func.c:1211
-#, c-format
-msgid "column \"%s\" not found in data type %s"
-msgstr "la columna «%s» no fue encontrado en el tipo %s"
-
-#: parser/parse_func.c:1217
-#, c-format
-msgid "could not identify column \"%s\" in record data type"
-msgstr "no se pudo identificar la columna «%s» en el tipo de dato record"
-
-#: parser/parse_func.c:1223
-#, c-format
-msgid "column notation .%s applied to type %s, which is not a composite type"
-msgstr ""
-"la notación de columna .%s fue aplicada al tipo %s, que no es un tipo "
-"compuesto"
-
-#: parser/parse_func.c:1407
-#, c-format
-msgid "aggregate %s(*) does not exist"
-msgstr "no existe la función de agregación %s(*)"
-
-#: parser/parse_func.c:1412
-#, c-format
-msgid "aggregate %s does not exist"
-msgstr "no existe la función de agregación %s"
-
-#: parser/parse_func.c:1433
-#, c-format
-msgid "function %s is not an aggregate"
-msgstr "la función %s no es una función de agregación"
+#: parser/parse_target.c:369 parser/parse_target.c:657
+#, c-format
+msgid "cannot assign to system column \"%s\""
+msgstr "no se puede asignar a la columna de sistema «%s»"
+
+#: parser/parse_target.c:394
+msgid "cannot set an array element to DEFAULT"
+msgstr "no se puede definir un elemento de array a DEFAULT"
+
+#: parser/parse_target.c:399
+msgid "cannot set a subfield to DEFAULT"
+msgstr "no se puede definir un subcampo a DEFAULT"
+
+#: parser/parse_target.c:466
+#, c-format
+msgid "column \"%s\" is of type %s but expression is of type %s"
+msgstr "la columna «%s» es de tipo %s pero la expresión es de tipo %s"
+
+#: parser/parse_target.c:641
+#, c-format
+msgid ""
+"cannot assign to field \"%s\" of column \"%s\" because its type %s is not a "
+"composite type"
+msgstr ""
+"no se puede asignar al campo «%s» de la columna «%s» porque su tipo %s no es "
+"un tipo compuesto"
+
+#: parser/parse_target.c:650
+#, c-format
+msgid ""
+"cannot assign to field \"%s\" of column \"%s\" because there is no such "
+"column in data type %s"
+msgstr ""
+"no se puede asignar al campo «%s» de la columna «%s» porque no existe esa "
+"columna en el tipo de dato %s"
+
+#: parser/parse_target.c:725
+#, c-format
+msgid ""
+"array assignment to \"%s\" requires type %s but expression is of type %s"
+msgstr ""
+"la asignación de array a «%s» requiere tipo %s pero la expresión es de tipo "
+"%s"
+
+#: parser/parse_target.c:735
+#, c-format
+msgid "subfield \"%s\" is of type %s but expression is of type %s"
+msgstr "el subcampo «%s» es de tipo %s pero la expresión es de tipo %s"
+
+#: parser/parse_target.c:991
+msgid "SELECT * with no tables specified is not valid"
+msgstr "SELECT * sin especificar tablas no es válido"
 
 #: parser/parse_node.c:77
 #, c-format
@@ -9932,70 +15400,6 @@
 msgstr ""
 "la asignación de array debe tener tipo %s pero la expresión es de tipo %s"
 
-#: parser/parse_oper.c:124 parser/parse_oper.c:762 utils/adt/regproc.c:468
-#: utils/adt/regproc.c:488 utils/adt/regproc.c:649
-#, c-format
-msgid "operator does not exist: %s"
-msgstr "el operador no existe: %s"
-
-#: parser/parse_oper.c:253
-#, c-format
-msgid "could not identify an ordering operator for type %s"
-msgstr "no se pudo identificar un operador de ordenamiento para el tipo %s"
-
-#: parser/parse_oper.c:255
-msgid "Use an explicit ordering operator or modify the query."
-msgstr "Use un operador de ordenamiento explícito o modifique la consulta."
-
-#: parser/parse_oper.c:259 utils/adt/arrayfuncs.c:3068
-#: utils/adt/arrayfuncs.c:3469 utils/adt/rowtypes.c:1133
-#, c-format
-msgid "could not identify an equality operator for type %s"
-msgstr "no se pudo identificar un operador de igualdad para el tipo %s"
-
-#: parser/parse_oper.c:512
-#, c-format
-msgid "operator requires run-time type coercion: %s"
-msgstr "el operador requiere conversión explícita de tipos: %s"
-
-#: parser/parse_oper.c:754
-#, c-format
-msgid "operator is not unique: %s"
-msgstr "el operador no es único: %s"
-
-#: parser/parse_oper.c:756
-msgid ""
-"Could not choose a best candidate operator. You might need to add explicit "
-"type casts."
-msgstr ""
-"No se pudo escoger el operador más adecuado. Puede desear agregar "
-"conversiones explícitas de tipos."
-
-#: parser/parse_oper.c:764
-msgid ""
-"No operator matches the given name and argument type(s). You might need to "
-"add explicit type casts."
-msgstr ""
-"Ningún operador coincide con el nombre y el tipo de los argumentos. Puede "
-"desear agregar conversiones explícitas de tipos."
-
-#: parser/parse_oper.c:823 parser/parse_oper.c:939
-#, c-format
-msgid "operator is only a shell: %s"
-msgstr "el operador está inconcluso: %s"
-
-#: parser/parse_oper.c:927
-msgid "op ANY/ALL (array) requires array on right side"
-msgstr "op ANY/ALL (array) requiere un array al lado derecho"
-
-#: parser/parse_oper.c:969
-msgid "op ANY/ALL (array) requires operator to yield boolean"
-msgstr "op ANY/ALL (array) requiere un operador que entregue boolean"
-
-#: parser/parse_oper.c:974
-msgid "op ANY/ALL (array) requires operator not to return a set"
-msgstr "op ANY/ALL (array) requiere un operador que no retorne un conjunto"
-
 #: parser/parse_relation.c:141
 #, c-format
 msgid "table reference \"%s\" is ambiguous"
@@ -10107,379 +15511,6 @@
 msgid "adding missing FROM-clause entry for table \"%s\""
 msgstr "agregando la entrada faltante para la tabla «%s» en la cláusula FROM"
 
-#: parser/parse_target.c:369 parser/parse_target.c:657
-#, c-format
-msgid "cannot assign to system column \"%s\""
-msgstr "no se puede asignar a la columna de sistema «%s»"
-
-#: parser/parse_target.c:394
-msgid "cannot set an array element to DEFAULT"
-msgstr "no se puede definir un elemento de array a DEFAULT"
-
-#: parser/parse_target.c:399
-msgid "cannot set a subfield to DEFAULT"
-msgstr "no se puede definir un subcampo a DEFAULT"
-
-#: parser/parse_target.c:466
-#, c-format
-msgid "column \"%s\" is of type %s but expression is of type %s"
-msgstr "la columna «%s» es de tipo %s pero la expresión es de tipo %s"
-
-#: parser/parse_target.c:641
-#, c-format
-msgid ""
-"cannot assign to field \"%s\" of column \"%s\" because its type %s is not a "
-"composite type"
-msgstr ""
-"no se puede asignar al campo «%s» de la columna «%s» porque su tipo %s no es "
-"un tipo compuesto"
-
-#: parser/parse_target.c:650
-#, c-format
-msgid ""
-"cannot assign to field \"%s\" of column \"%s\" because there is no such "
-"column in data type %s"
-msgstr ""
-"no se puede asignar al campo «%s» de la columna «%s» porque no existe esa "
-"columna en el tipo de dato %s"
-
-#: parser/parse_target.c:725
-#, c-format
-msgid ""
-"array assignment to \"%s\" requires type %s but expression is of type %s"
-msgstr ""
-"la asignación de array a «%s» requiere tipo %s pero la expresión es de tipo "
-"%s"
-
-#: parser/parse_target.c:735
-#, c-format
-msgid "subfield \"%s\" is of type %s but expression is of type %s"
-msgstr "el subcampo «%s» es de tipo %s pero la expresión es de tipo %s"
-
-#: parser/parse_target.c:991
-msgid "SELECT * with no tables specified is not valid"
-msgstr "SELECT * sin especificar tablas no es válido"
-
-#: parser/parse_type.c:83
-#, c-format
-msgid "improper %%TYPE reference (too few dotted names): %s"
-msgstr "referencia %%TYPE inapropiada (muy pocos nombres con punto): %s"
-
-#: parser/parse_type.c:105
-#, c-format
-msgid "improper %%TYPE reference (too many dotted names): %s"
-msgstr ""
-"la referencia a %%TYPE es inapropiada (demasiados nombres con punto): %s"
-
-#: parser/parse_type.c:127
-#, c-format
-msgid "type reference %s converted to %s"
-msgstr "la referencia al tipo %s convertida a %s"
-
-#: parser/parse_type.c:205 utils/cache/typcache.c:152
-#, c-format
-msgid "type \"%s\" is only a shell"
-msgstr "el tipo «%s» está inconcluso"
-
-#: parser/parse_type.c:273
-#, c-format
-msgid "type modifier is not allowed for type \"%s\""
-msgstr "un modificador de tipo no está permitido para el tipo «%s»"
-
-#: parser/parse_type.c:316
-msgid "type modifiers must be simple constants or identifiers"
-msgstr ""
-"los modificadores de tipo deben ser constantes simples o identificadores"
-
-#: parser/parse_type.c:555 parser/parse_type.c:654
-#, c-format
-msgid "invalid type name \"%s\""
-msgstr "el nombre de tipo «%s» no es válido"
-
-#: parser/parse_utilcmd.c:297
-msgid "array of serial is not implemented"
-msgstr "array de serial no está implementado"
-
-#: parser/parse_utilcmd.c:339
-#, c-format
-msgid "%s will create implicit sequence \"%s\" for serial column \"%s.%s\""
-msgstr "%s creará una secuencia implícita «%s» para la columna serial «%s.%s»"
-
-#: parser/parse_utilcmd.c:441 parser/parse_utilcmd.c:451
-#, c-format
-msgid ""
-"conflicting NULL/NOT NULL declarations for column \"%s\" of table \"%s\""
-msgstr ""
-"las declaraciones NULL/NOT NULL no son coincidentes para la columna «%s» de "
-"la tabla «%s»"
-
-#: parser/parse_utilcmd.c:461
-#, c-format
-msgid "multiple default values specified for column \"%s\" of table \"%s\""
-msgstr ""
-"múltiples valores default especificados para columna «%s» de tabla «%s»"
-
-#: parser/parse_utilcmd.c:1212
-#, c-format
-msgid "column \"%s\" appears twice in primary key constraint"
-msgstr "la columna «%s» aparece dos veces en llave primaria"
-
-#: parser/parse_utilcmd.c:1217
-#, c-format
-msgid "column \"%s\" appears twice in unique constraint"
-msgstr "la columna «%s» aparece dos veces en restricción unique"
-
-#: parser/parse_utilcmd.c:1364
-msgid "index expression cannot return a set"
-msgstr "las expresiones de índice no pueden retornar conjuntos"
-
-#: parser/parse_utilcmd.c:1374
-msgid ""
-"index expressions and predicates can refer only to the table being indexed"
-msgstr ""
-"las expresiones y predicados de índice sólo pueden referirse a la tabla en "
-"indexación"
-
-#: parser/parse_utilcmd.c:1469
-msgid "rule WHERE condition cannot contain references to other relations"
-msgstr ""
-"la condición WHERE de la regla no puede contener referencias a otras "
-"relaciones"
-
-#: parser/parse_utilcmd.c:1475
-msgid "cannot use aggregate function in rule WHERE condition"
-msgstr ""
-"no se pueden usar funciones de agregación en condición WHERE de una regla"
-
-#: parser/parse_utilcmd.c:1479
-msgid "cannot use window function in rule WHERE condition"
-msgstr "no se pueden usar funciones ventana en condición WHERE de una regla"
-
-#: parser/parse_utilcmd.c:1551
-msgid ""
-"rules with WHERE conditions can only have SELECT, INSERT, UPDATE, or DELETE "
-"actions"
-msgstr ""
-"las reglas con condiciones WHERE sólo pueden tener acciones SELECT, INSERT, "
-"UPDATE o DELETE"
-
-#: parser/parse_utilcmd.c:1569 parser/parse_utilcmd.c:1639
-#: rewrite/rewriteHandler.c:424 rewrite/rewriteManip.c:1024
-msgid "conditional UNION/INTERSECT/EXCEPT statements are not implemented"
-msgstr ""
-"las sentencias UNION/INTERSECT/EXCEPT condicionales no están implementadas"
-
-#: parser/parse_utilcmd.c:1587
-msgid "ON SELECT rule cannot use OLD"
-msgstr "una regla ON SELECT no puede usar OLD"
-
-#: parser/parse_utilcmd.c:1591
-msgid "ON SELECT rule cannot use NEW"
-msgstr "una regla ON SELECT no puede usar NEW"
-
-#: parser/parse_utilcmd.c:1600
-msgid "ON INSERT rule cannot use OLD"
-msgstr "una regla ON INSERT no puede usar OLD"
-
-#: parser/parse_utilcmd.c:1606
-msgid "ON DELETE rule cannot use NEW"
-msgstr "una regla ON DELETE no puede usar NEW"
-
-#: parser/parse_utilcmd.c:1889
-msgid "misplaced DEFERRABLE clause"
-msgstr "cláusula DEFERRABLE mal puesta"
-
-#: parser/parse_utilcmd.c:1893 parser/parse_utilcmd.c:1906
-msgid "multiple DEFERRABLE/NOT DEFERRABLE clauses not allowed"
-msgstr "no se permiten múltiples cláusulas DEFERRABLE/NOT DEFERRABLE"
-
-#: parser/parse_utilcmd.c:1902
-msgid "misplaced NOT DEFERRABLE clause"
-msgstr "la cláusula NOT DEFERRABLE está mal puesta"
-
-#: parser/parse_utilcmd.c:1913 parser/parse_utilcmd.c:1936 gram.y:3246
-#: gram.y:3262
-msgid "constraint declared INITIALLY DEFERRED must be DEFERRABLE"
-msgstr "una restricción declarada INITIALLY DEFERRED debe ser DEFERRABLE"
-
-#: parser/parse_utilcmd.c:1920
-msgid "misplaced INITIALLY DEFERRED clause"
-msgstr "la cláusula INITIALLY DEFERRED está mal puesta"
-
-#: parser/parse_utilcmd.c:1924 parser/parse_utilcmd.c:1947
-msgid "multiple INITIALLY IMMEDIATE/DEFERRED clauses not allowed"
-msgstr "no se permiten múltiples cláusulas INITIALLY IMMEDIATE/DEFERRED"
-
-#: parser/parse_utilcmd.c:1943
-msgid "misplaced INITIALLY IMMEDIATE clause"
-msgstr "la cláusula INITIALLY IMMEDIATE está mal puesta"
-
-#: parser/parse_utilcmd.c:2114
-#, c-format
-msgid ""
-"CREATE specifies a schema (%s) different from the one being created (%s)"
-msgstr ""
-"CREATE especifica un esquema (%s) diferente del que se está creando (%s)"
-
-#: gram.y:1191
-msgid "current database cannot be changed"
-msgstr "no se puede cambiar la base de datos activa"
-
-#: gram.y:1306 gram.y:1321
-msgid "time zone interval must be HOUR or HOUR TO MINUTE"
-msgstr "el intervalo de huso horario debe ser HOUR o HOUR TO MINUTE"
-
-#: gram.y:1326 gram.y:7744 gram.y:10037
-msgid "interval precision specified twice"
-msgstr "la precisión de interval fue especificada dos veces"
-
-#: gram.y:2429 utils/adt/ri_triggers.c:373 utils/adt/ri_triggers.c:433
-#: utils/adt/ri_triggers.c:596 utils/adt/ri_triggers.c:836
-#: utils/adt/ri_triggers.c:1024 utils/adt/ri_triggers.c:1186
-#: utils/adt/ri_triggers.c:1374 utils/adt/ri_triggers.c:1545
-#: utils/adt/ri_triggers.c:1728 utils/adt/ri_triggers.c:1899
-#: utils/adt/ri_triggers.c:2115 utils/adt/ri_triggers.c:2297
-#: utils/adt/ri_triggers.c:2500 utils/adt/ri_triggers.c:2548
-#: utils/adt/ri_triggers.c:2593 utils/adt/ri_triggers.c:2721
-msgid "MATCH PARTIAL not yet implemented"
-msgstr "MATCH PARTIAL no está implementada"
-
-#: gram.y:2522
-msgid "CREATE TABLE AS cannot specify INTO"
-msgstr "CREATE TABLE AS no puede especificar INTO"
-
-#: gram.y:3176
-msgid "duplicate trigger events specified"
-msgstr "se han especificado eventos de disparador duplicados"
-
-#: gram.y:3326
-msgid "CREATE ASSERTION is not yet implemented"
-msgstr "CREATE ASSERTION no está implementado"
-
-#: gram.y:3342
-msgid "DROP ASSERTION is not yet implemented"
-msgstr "DROP ASSERTION no está implementado"
-
-#: gram.y:3638
-msgid "RECHECK is no longer required"
-msgstr "RECHECK ya no es requerido"
-
-#: gram.y:3639
-msgid "Update your data type."
-msgstr "Actualice su tipo de datos."
-
-#: gram.y:5043 utils/adt/regproc.c:636
-msgid "missing argument"
-msgstr "falta un argumento"
-
-#: gram.y:5044 utils/adt/regproc.c:637
-msgid "Use NONE to denote the missing argument of a unary operator."
-msgstr "Use NONE para denotar el argumento faltante de un operador unario."
-
-#: gram.y:5917 gram.y:5923 gram.y:5929
-msgid "WITH CHECK OPTION is not implemented"
-msgstr "WITH CHECK OPTION no está implementado"
-
-#: gram.y:6515
-msgid "column name list not allowed in CREATE TABLE / AS EXECUTE"
-msgstr "no se permite una lista de columnas en CREATE TABLE / AS EXECUTE "
-
-#: gram.y:6736
-msgid "number of columns does not match number of values"
-msgstr "el número de columnas no coincide con el número de valores"
-
-#: gram.y:7160
-msgid "LIMIT #,# syntax is not supported"
-msgstr "la sintaxis LIMIT #,# no está soportada"
-
-#: gram.y:7161
-msgid "Use separate LIMIT and OFFSET clauses."
-msgstr "Use cláusulas LIMIT y OFFSET separadas."
-
-#: gram.y:7382
-msgid "VALUES in FROM must have an alias"
-msgstr "VALUES en FROM debe tener un alias"
-
-#: gram.y:7383
-msgid "For example, FROM (VALUES ...) [AS] foo."
-msgstr "Por ejemplo, FROM (VALUES ...) [AS] foo."
-
-#: gram.y:7388
-msgid "subquery in FROM must have an alias"
-msgstr "las subconsultas en FROM deben tener un alias"
-
-#: gram.y:7389
-msgid "For example, FROM (SELECT ...) [AS] foo."
-msgstr "Por ejemplo, FROM (SELECT ...) [AS] foo."
-
-#: gram.y:7870
-msgid "precision for type float must be at least 1 bit"
-msgstr "la precisión para el tipo float debe ser al menos 1 bit"
-
-#: gram.y:7879
-msgid "precision for type float must be less than 54 bits"
-msgstr "la precisión para el tipo float debe ser menor de 54 bits"
-
-#: gram.y:8575
-msgid "UNIQUE predicate is not yet implemented"
-msgstr "el predicado UNIQUE no está implementado"
-
-#: gram.y:9414 gram.y:9429
-msgid "frame start cannot be UNBOUNDED FOLLOWING"
-msgstr "el inicio de «frame» no puede ser UNBOUNDED FOLLOWING"
-
-#: gram.y:9419 gram.y:9434
-msgid "frame start at CURRENT ROW is not implemented"
-msgstr "el inicio de «frame» en CURRENT ROW no está implementado"
-
-#: gram.y:9439
-msgid "frame end cannot be UNBOUNDED PRECEDING"
-msgstr "el fin de «frame» no puede ser UNBOUNDED PRECEDING"
-
-#: gram.y:10559
-msgid "OLD used in query that is not in a rule"
-msgstr "se usó OLD en una consulta que no es una regla"
-
-#: gram.y:10569
-msgid "NEW used in query that is not in a rule"
-msgstr "se usó NEW en una consulta que no es una regla"
-
-#: gram.y:10617 gram.y:10824
-msgid "improper use of \"*\""
-msgstr "uso impropio de «*»"
-
-#: gram.y:10756
-msgid "wrong number of parameters on left side of OVERLAPS expression"
-msgstr ""
-"el número de parámetros es incorrecto al lado izquierdo de la expresión "
-"OVERLAPS"
-
-#: gram.y:10763
-msgid "wrong number of parameters on right side of OVERLAPS expression"
-msgstr ""
-"el número de parámetros es incorrecto al lado derecho de la expresión "
-"OVERLAPS"
-
-#: gram.y:10886
-msgid "multiple ORDER BY clauses not allowed"
-msgstr "no se permiten múltiples cláusulas ORDER BY"
-
-#: gram.y:10897
-msgid "multiple OFFSET clauses not allowed"
-msgstr "no se permiten múltiples cláusulas OFFSET"
-
-#: gram.y:10906
-msgid "multiple LIMIT clauses not allowed"
-msgstr "no se permiten múltiples cláusulas LIMIT"
-
-#: gram.y:10915
-msgid "multiple WITH clauses not allowed"
-msgstr "no se permiten múltiples cláusulas WITH"
-
-#: gram.y:11069
-msgid "OUT and INOUT arguments aren't allowed in TABLE functions"
-msgstr "los argumentos OUT e INOUT no están permitidos en funciones TABLE"
-
 #: scan.l:386
 msgid "unterminated /* comment"
 msgstr "un comentario /* está inconcluso"
@@ -10592,110 +15623,314 @@
 msgid "Use the escape string syntax for escapes, e.g., E'\\r\\n'."
 msgstr "Use la sintaxis de escape para cadenas, por ej. E'\\r\\n'."
 
-#: port/win32/security.c:43
-#, c-format
-msgid "could not open process token: error code %d\n"
-msgstr "no se pudo abrir el token de proceso: código de error %d\n"
-
-#: port/win32/security.c:63
-#, c-format
-msgid "could not get SID for Administrators group: error code %d\n"
-msgstr ""
-"no se pudo obtener el SID del grupo Administrators: código de error %d\n"
-
-#: port/win32/security.c:72
-#, c-format
-msgid "could not get SID for PowerUsers group: error code %d\n"
-msgstr "no se pudo obtener el SID del grupo PowerUsers: código de error %d\n"
-
-#: port/win32/signal.c:189
-#, c-format
-msgid "could not create signal listener pipe for pid %d: error code %d"
-msgstr ""
-"no se pudo crear tubería para escuchar señales para el pid %d: código de "
-"error %d"
-
-#: port/win32/signal.c:269 port/win32/signal.c:299
-#, c-format
-msgid "could not create signal listener pipe: error code %d; retrying\n"
-msgstr ""
-"no se pudo crear tubería para escuchar señales: código de error %d; "
-"reintentando\n"
-
-#: port/win32/signal.c:309
-#, c-format
-msgid "could not create signal dispatch thread: error code %d\n"
-msgstr "no se pudo crear thread de despacho de señales: código de error %d\n"
-
-#: port/win32_shmem.c:159 port/win32_shmem.c:194 port/win32_shmem.c:215
-#, c-format
-msgid "could not create shared memory segment: %lu"
-msgstr "no se pudo crear el segmento de memoria compartida: %lu"
-
-#: port/win32_shmem.c:160
-#, c-format
-msgid "Failed system call was CreateFileMapping(size=%lu, name=%s)."
-msgstr "La llamada a sistema fallida fue CreateFileMapping(size=%lu, name=%s)."
-
-#: port/win32_shmem.c:184
-msgid "pre-existing shared memory block is still in use"
-msgstr "el bloque de memoria compartida preexistente aún está en uso"
-
-#: port/win32_shmem.c:185
-msgid ""
-"Check if there are any old server processes still running, and terminate "
-"them."
-msgstr ""
-"Verifique si hay procesos de servidor antiguos aún en funcionamiento, y "
-"termínelos."
-
-#: port/win32_shmem.c:195
-msgid "Failed system call was DuplicateHandle."
-msgstr "La llamada a sistema fallida fue DuplicateHandle."
-
-#: port/win32_shmem.c:216
-msgid "Failed system call was MapViewOfFileEx."
-msgstr "La llamada a sistema fallida fue MapViewOfFileEx."
-
-#: port/sysv_sema.c:114 port/pg_sema.c:114
-#, c-format
-msgid "could not create semaphores: %m"
-msgstr "no se pudo crear semáforos: %m"
-
-#: port/sysv_sema.c:115 port/pg_sema.c:115
-#, c-format
-msgid "Failed system call was semget(%lu, %d, 0%o)."
-msgstr "La llamada a sistema fallida fue semget(%lu, %d, 0%o)."
-
-#: port/sysv_sema.c:119 port/pg_sema.c:119
-#, c-format
-msgid ""
-"This error does *not* mean that you have run out of disk space.\n"
-"It occurs when either the system limit for the maximum number of semaphore "
-"sets (SEMMNI), or the system wide maximum number of semaphores (SEMMNS), "
-"would be exceeded.  You need to raise the respective kernel parameter.  "
-"Alternatively, reduce PostgreSQL's consumption of semaphores by reducing its "
-"max_connections parameter (currently %d).\n"
-"The PostgreSQL documentation contains more information about configuring "
-"your system for PostgreSQL."
-msgstr ""
-"Este error *no* significa que se haya quedado sin espacio en disco.\n"
-"Ocurre cuando se alcanza el límite del sistema del número de semáforos "
-"(SEMMNI), o bien cuando se excede el total de semáforos del sistema (SEMMNS)."
-"Necesita incrementar el parámetro respectivo del kernel.  Alternativamente, "
-"reduzca el consumo de semáforos de PostgreSQL reduciendo el parámetro "
-"max_connections (actualmente %d).\n"
-"La documentación de PostgreSQL contiene más información acerca de cómo "
-"configurar su sistema para PostgreSQL."
-
-#: port/sysv_sema.c:148 port/pg_sema.c:148
-#, c-format
-msgid ""
-"You possibly need to raise your kernel's SEMVMX value to be at least %d.  "
-"Look into the PostgreSQL documentation for details."
-msgstr ""
-"Probablemente necesita incrementar el valor SEMVMX del kernel hasta al menos "
-"%d.  Examine la documentación de PostgreSQL para obtener más detalles."
+#: parser/parse_oper.c:253
+#, c-format
+msgid "could not identify an ordering operator for type %s"
+msgstr "no se pudo identificar un operador de ordenamiento para el tipo %s"
+
+#: parser/parse_oper.c:255
+msgid "Use an explicit ordering operator or modify the query."
+msgstr "Use un operador de ordenamiento explícito o modifique la consulta."
+
+#: parser/parse_oper.c:512
+#, c-format
+msgid "operator requires run-time type coercion: %s"
+msgstr "el operador requiere conversión explícita de tipos: %s"
+
+#: parser/parse_oper.c:754
+#, c-format
+msgid "operator is not unique: %s"
+msgstr "el operador no es único: %s"
+
+#: parser/parse_oper.c:756
+msgid ""
+"Could not choose a best candidate operator. You might need to add explicit "
+"type casts."
+msgstr ""
+"No se pudo escoger el operador más adecuado. Puede desear agregar "
+"conversiones explícitas de tipos."
+
+#: parser/parse_oper.c:764
+msgid ""
+"No operator matches the given name and argument type(s). You might need to "
+"add explicit type casts."
+msgstr ""
+"Ningún operador coincide con el nombre y el tipo de los argumentos. Puede "
+"desear agregar conversiones explícitas de tipos."
+
+#: parser/parse_oper.c:823 parser/parse_oper.c:939
+#, c-format
+msgid "operator is only a shell: %s"
+msgstr "el operador está inconcluso: %s"
+
+#: parser/parse_oper.c:927
+msgid "op ANY/ALL (array) requires array on right side"
+msgstr "op ANY/ALL (array) requiere un array al lado derecho"
+
+#: parser/parse_oper.c:969
+msgid "op ANY/ALL (array) requires operator to yield boolean"
+msgstr "op ANY/ALL (array) requiere un operador que entregue boolean"
+
+#: parser/parse_oper.c:974
+msgid "op ANY/ALL (array) requires operator not to return a set"
+msgstr "op ANY/ALL (array) requiere un operador que no retorne un conjunto"
+
+#: parser/parse_func.c:193
+#, c-format
+msgid "%s(*) specified, but %s is not an aggregate function"
+msgstr "se especificó %s(*), pero %s no es una función de agregación"
+
+#: parser/parse_func.c:200
+#, c-format
+msgid "DISTINCT specified, but %s is not an aggregate function"
+msgstr "se especificó DISTINCT, pero %s no es una función de agregación"
+
+#: parser/parse_func.c:206
+#, c-format
+msgid ""
+"OVER specified, but %s is not a window function nor an aggregate function"
+msgstr ""
+"se especificó OVER, pero %s no es una función ventana ni una función de "
+"agregación"
+
+#: parser/parse_func.c:233
+#, c-format
+msgid "function %s is not unique"
+msgstr "la función %s no es única"
+
+#: parser/parse_func.c:236
+msgid ""
+"Could not choose a best candidate function. You might need to add explicit "
+"type casts."
+msgstr ""
+"No se pudo escoger la función más adecuada. Puede desear agregar "
+"conversiones explícitas de tipos."
+
+#: parser/parse_func.c:245
+msgid ""
+"No function matches the given name and argument types. You might need to add "
+"explicit type casts."
+msgstr ""
+"Ninguna función coincide en el nombre y tipos de argumentos. Puede desear "
+"agregar conversión explícita de tipos."
+
+#: parser/parse_func.c:352 parser/parse_func.c:405
+#, c-format
+msgid "%s(*) must be used to call a parameterless aggregate function"
+msgstr ""
+"%s(*) debe ser usado para invocar una función de agregación sin parámetros"
+
+#: parser/parse_func.c:359
+msgid "aggregates cannot return sets"
+msgstr "las funciones de agregación no pueden retornar conjuntos"
+
+#: parser/parse_func.c:378
+msgid "window function call requires an OVER clause"
+msgstr "la invocación de una función ventana requiere una cláusula OVER"
+
+#: parser/parse_func.c:395
+msgid "DISTINCT is not implemented for window functions"
+msgstr "DISTINCT no está implementado para funciones ventana"
+
+#: parser/parse_func.c:412
+msgid "window functions cannot return sets"
+msgstr "las funciones ventana no pueden retornar conjuntos"
+
+#: parser/parse_func.c:1199
+#, c-format
+msgid "column %s.%s does not exist"
+msgstr "no existe la columna %s.%s"
+
+#: parser/parse_func.c:1211
+#, c-format
+msgid "column \"%s\" not found in data type %s"
+msgstr "la columna «%s» no fue encontrado en el tipo %s"
+
+#: parser/parse_func.c:1217
+#, c-format
+msgid "could not identify column \"%s\" in record data type"
+msgstr "no se pudo identificar la columna «%s» en el tipo de dato record"
+
+#: parser/parse_func.c:1223
+#, c-format
+msgid "column notation .%s applied to type %s, which is not a composite type"
+msgstr ""
+"la notación de columna .%s fue aplicada al tipo %s, que no es un tipo "
+"compuesto"
+
+#: parser/parse_func.c:1407
+#, c-format
+msgid "aggregate %s(*) does not exist"
+msgstr "no existe la función de agregación %s(*)"
+
+#: parser/parse_func.c:1412
+#, c-format
+msgid "aggregate %s does not exist"
+msgstr "no existe la función de agregación %s"
+
+#: parser/parse_func.c:1433
+#, c-format
+msgid "function %s is not an aggregate"
+msgstr "la función %s no es una función de agregación"
+
+#: parser/parse_type.c:83
+#, c-format
+msgid "improper %%TYPE reference (too few dotted names): %s"
+msgstr "referencia %%TYPE inapropiada (muy pocos nombres con punto): %s"
+
+#: parser/parse_type.c:105
+#, c-format
+msgid "improper %%TYPE reference (too many dotted names): %s"
+msgstr ""
+"la referencia a %%TYPE es inapropiada (demasiados nombres con punto): %s"
+
+#: parser/parse_type.c:127
+#, c-format
+msgid "type reference %s converted to %s"
+msgstr "la referencia al tipo %s convertida a %s"
+
+#: parser/parse_type.c:273
+#, c-format
+msgid "type modifier is not allowed for type \"%s\""
+msgstr "un modificador de tipo no está permitido para el tipo «%s»"
+
+#: parser/parse_type.c:316
+msgid "type modifiers must be simple constants or identifiers"
+msgstr ""
+"los modificadores de tipo deben ser constantes simples o identificadores"
+
+#: parser/parse_type.c:555 parser/parse_type.c:654
+#, c-format
+msgid "invalid type name \"%s\""
+msgstr "el nombre de tipo «%s» no es válido"
+
+#: parser/scansup.c:190
+#, c-format
+msgid "identifier \"%s\" will be truncated to \"%s\""
+msgstr "el identificador «%s» se truncará a «%s»"
+
+#: parser/parse_cte.c:40
+#, c-format
+msgid ""
+"recursive reference to query \"%s\" must not appear within its non-recursive "
+"term"
+msgstr ""
+"la referencia recursiva a la consulta «%s» no debe aparecer dentro de su "
+"término no recursivo"
+
+#: parser/parse_cte.c:42
+#, c-format
+msgid "recursive reference to query \"%s\" must not appear within a subquery"
+msgstr ""
+"la referencia recursiva a la consulta «%s» no debe aparecer dentro de una "
+"subconsulta"
+
+#: parser/parse_cte.c:44
+#, c-format
+msgid ""
+"recursive reference to query \"%s\" must not appear within an outer join"
+msgstr ""
+"la referencia recursiva a la consulta «%s» no debe aparecer dentro de un "
+"outer join"
+
+#: parser/parse_cte.c:46
+#, c-format
+msgid "recursive reference to query \"%s\" must not appear within INTERSECT"
+msgstr ""
+"la referencia recursiva a la consulta «%s» no debe aparecer dentro de "
+"INTERSECT"
+
+#: parser/parse_cte.c:48
+#, c-format
+msgid "recursive reference to query \"%s\" must not appear within EXCEPT"
+msgstr ""
+"la referencia recursiva a la consulta «%s» no debe aparecer dentro de EXCEPT"
+
+#: parser/parse_cte.c:130
+#, c-format
+msgid "WITH query name \"%s\" specified more than once"
+msgstr "el nombre de consulta WITH «%s» fue especificado más de una vez"
+
+#: parser/parse_cte.c:247
+msgid "subquery in WITH cannot have SELECT INTO"
+msgstr "una subconsulta en WITH no puede tener SELECT INTO"
+
+#: parser/parse_cte.c:288
+#, c-format
+msgid ""
+"recursive query \"%s\" column %d has type %s in non-recursive term but type "
+"%s overall"
+msgstr ""
+"la columna %2$d en la consulta recursiva «%1$s» tiene tipo %3$s en el "
+"término no recursivo, pero %4$s en general"
+
+#: parser/parse_cte.c:294
+msgid "Cast the output of the non-recursive term to the correct type."
+msgstr ""
+"Aplique una conversión de tipo a la salida del término no recursivo al tipo "
+"correcto."
+
+#: parser/parse_cte.c:376
+#, c-format
+msgid "WITH query \"%s\" has %d columns available but %d columns specified"
+msgstr ""
+"la consulta WITH «%s» tiene %d columnas disponibles pero se especificaron %d"
+
+#: parser/parse_cte.c:556
+msgid "mutual recursion between WITH items is not implemented"
+msgstr "la recursión mutua entre elementos de WITH no está implementada"
+
+#: parser/parse_cte.c:608
+#, c-format
+msgid ""
+"recursive query \"%s\" does not have the form non-recursive-term UNION [ALL] "
+"recursive-term"
+msgstr ""
+"la consulta recursiva «%s» no tiene la forma término-no-recursivo UNION "
+"[ALL] término-recursivo"
+
+#: parser/parse_cte.c:640
+msgid "ORDER BY in a recursive query is not implemented"
+msgstr "ORDER BY no está implementado en una consulta recursiva"
+
+#: parser/parse_cte.c:646
+msgid "OFFSET in a recursive query is not implemented"
+msgstr "OFFSET no está implementado en una consulta recursiva"
+
+#: parser/parse_cte.c:652
+msgid "LIMIT in a recursive query is not implemented"
+msgstr "LIMIT no está implementado en una consulta recursiva"
+
+#: parser/parse_cte.c:658
+msgid "FOR UPDATE/SHARE in a recursive query is not implemented"
+msgstr "FOR UPDATE/SHARE no está implementado en una consulta recursiva"
+
+#: parser/parse_cte.c:715
+#, c-format
+msgid "recursive reference to query \"%s\" must not appear more than once"
+msgstr ""
+"la referencia recursiva a la consulta «%s» no debe aparecer más de una vez"
+
+#: port/win32_sema.c:94
+#, c-format
+msgid "could not create semaphore: error code %d"
+msgstr "no se pudo crear semáforo: código de error %d"
+
+#: port/win32_sema.c:161
+#, c-format
+msgid "could not lock semaphore: error code %d"
+msgstr "no se pudo bloquear semáforo: código de error %d"
+
+#: port/win32_sema.c:174
+#, c-format
+msgid "could not unlock semaphore: error code %d"
+msgstr "no se pudo desbloquear semáforo: código de error %d"
+
+#: port/win32_sema.c:203
+#, c-format
+msgid "could not try-lock semaphore: error code %d"
+msgstr ""
+"no se pudo intentar-bloquear (try-lock) el semáforo: código de error %d"
 
 #: port/sysv_shmem.c:141 port/pg_shmem.c:141
 #, c-format
@@ -10780,5356 +16015,150 @@
 msgid "could not stat data directory \"%s\": %m"
 msgstr "no se pudo verificar el directorio de datos «%s»: %m"
 
-#: port/win32_sema.c:94
-#, c-format
-msgid "could not create semaphore: error code %d"
-msgstr "no se pudo crear semáforo: código de error %d"
-
-#: port/win32_sema.c:161
-#, c-format
-msgid "could not lock semaphore: error code %d"
-msgstr "no se pudo bloquear semáforo: código de error %d"
-
-#: port/win32_sema.c:174
-#, c-format
-msgid "could not unlock semaphore: error code %d"
-msgstr "no se pudo desbloquear semáforo: código de error %d"
-
-#: port/win32_sema.c:203
-#, c-format
-msgid "could not try-lock semaphore: error code %d"
-msgstr ""
-"no se pudo intentar-bloquear (try-lock) el semáforo: código de error %d"
-
-#: postmaster/autovacuum.c:365
-#, c-format
-msgid "could not fork autovacuum launcher process: %m"
-msgstr "no se pudo iniciar el lanzador autovacuum: %m"
-
-#: postmaster/autovacuum.c:529
-msgid "autovacuum launcher started"
-msgstr "lanzador de autovacuum iniciado"
-
-#: postmaster/autovacuum.c:760
-msgid "autovacuum launcher shutting down"
-msgstr "apagando lanzador de autovacuum"
-
-#: postmaster/autovacuum.c:1426
-#, c-format
-msgid "could not fork autovacuum worker process: %m"
-msgstr "no se pudo lanzar el proceso «autovacuum worker»: %m"
-
-#: postmaster/autovacuum.c:1628
-#, c-format
-msgid "autovacuum: processing database \"%s\""
-msgstr "autovacuum: procesando la base de datos «%s»"
-
-#: postmaster/autovacuum.c:2008
-#, c-format
-msgid "autovacuum: dropping orphan temp table \"%s\".\"%s\" in database \"%s\""
-msgstr ""
-"autovacuum: eliminando la tabla temporal huérfana «%s».«%s» en la base de "
-"datos «%s»"
-
-#: postmaster/autovacuum.c:2020
-#, c-format
-msgid "autovacuum: found orphan temp table \"%s\".\"%s\" in database \"%s\""
-msgstr ""
-"autovacuum: se encontró una tabla temporal huérfana «%s».«%s» en la base de "
-"datos «%s»"
-
-#: postmaster/autovacuum.c:2290
-#, c-format
-msgid "automatic vacuum of table \"%s.%s.%s\""
-msgstr "vacuum automático de la tabla «%s.%s.%s»"
-
-#: postmaster/autovacuum.c:2293
-#, c-format
-msgid "automatic analyze of table \"%s.%s.%s\""
-msgstr "análisis automático de la tabla «%s.%s.%s»"
-
-#: postmaster/autovacuum.c:2773
-msgid "autovacuum not started because of misconfiguration"
-msgstr "autovacuum no fue iniciado debido a un error de configuración"
-
-#: postmaster/autovacuum.c:2774
-msgid "Enable the \"track_counts\" option."
-msgstr "Active la opción «track_counts»."
-
-#: postmaster/autovacuum.c:2830
-msgid "not enough shared memory for autovacuum"
-msgstr ""
-"el espacio de memoria compartida es insuficiente para el lanzador de "
-"autovacuum"
-
-#: postmaster/bgwriter.c:470
-#, c-format
-msgid "checkpoints are occurring too frequently (%d second apart)"
-msgid_plural "checkpoints are occurring too frequently (%d seconds apart)"
-msgstr[0] ""
-"los puntos de control están ocurriendo con demasiada frecuencia (cada %d "
-"segundo)"
-msgstr[1] ""
-"los puntos de control están ocurriendo con demasiada frecuencia (cada %d "
-"segundos)"
-
-#: postmaster/bgwriter.c:474
-msgid ""
-"Consider increasing the configuration parameter \"checkpoint_segments\"."
-msgstr ""
-"Considere incrementar el parámetro de configuración «checkpoint_segments»."
-
-#: postmaster/bgwriter.c:583
-#, c-format
-msgid "transaction log switch forced (archive_timeout=%d)"
-msgstr "cambio forzado de registro de transacción (archive_timeout=%d)"
-
-#: postmaster/bgwriter.c:891
-msgid "not enough shared memory for background writer"
-msgstr ""
-"el espacio de memoria compartida es insuficiente para el background writer"
-
-#: postmaster/bgwriter.c:1041
-msgid "checkpoint request failed"
-msgstr "falló la petición de punto de control"
-
-#: postmaster/bgwriter.c:1042
-msgid "Consult recent messages in the server log for details."
-msgstr ""
-"Vea los mensajes recientes en el registro del servidor para obtener más "
-"detalles."
-
-#: postmaster/pgarch.c:158
-#, c-format
-msgid "could not fork archiver: %m"
-msgstr "no se pudo lanzar el proceso archivador: %m"
-
-#: postmaster/pgarch.c:450
-msgid "archive_mode enabled, yet archive_command is not set"
-msgstr "archive_mode activado, pero archive_command no está definido"
-
-#: postmaster/pgarch.c:465
-#, c-format
-msgid "transaction log file \"%s\" could not be archived: too many failures"
-msgstr ""
-"el archivo de transacción «%s» no pudo ser archivado: demasiadas fallas"
-
-#: postmaster/pgarch.c:568
-#, c-format
-msgid "archive command failed with exit code %d"
-msgstr "la orden de archivado falló con código de retorno %d"
-
-#: postmaster/pgarch.c:570 postmaster/pgarch.c:580 postmaster/pgarch.c:587
-#: postmaster/pgarch.c:593 postmaster/pgarch.c:602
-#, c-format
-msgid "The failed archive command was: %s"
-msgstr "La orden fallida era: «%s»"
-
-#: postmaster/pgarch.c:577
-#, c-format
-msgid "archive command was terminated by exception 0x%X"
-msgstr "la orden de archivado fue terminada por una excepción 0x%X"
-
-#: postmaster/pgarch.c:579 postmaster/postmaster.c:2735
-msgid ""
-"See C include file \"ntstatus.h\" for a description of the hexadecimal value."
-msgstr ""
-"Vea el archivo «ntstatus.h» para una descripción del valor hexadecimal."
-
-#: postmaster/pgarch.c:584
-#, c-format
-msgid "archive command was terminated by signal %d: %s"
-msgstr "la orden de archivado fue terminada por una señal %d: %s"
-
-#: postmaster/pgarch.c:591
-#, c-format
-msgid "archive command was terminated by signal %d"
-msgstr "la orden de archivado fue terminada por una señal %d"
-
-#: postmaster/pgarch.c:600
-#, c-format
-msgid "archive command exited with unrecognized status %d"
-msgstr "la orden de archivado fue terminada con código no reconocido %d"
-
-#: postmaster/pgarch.c:612
-#, c-format
-msgid "archived transaction log file \"%s\""
-msgstr "el archivo de registro «%s» ha sido archivado"
-
-#: postmaster/pgarch.c:661
-#, c-format
-msgid "could not open archive status directory \"%s\": %m"
-msgstr "no se pudo abrir el directorio de estado de archivado «%s»: %m"
-
-#: postmaster/pgstat.c:323
-#, c-format
-msgid "could not resolve \"localhost\": %s"
-msgstr "no se pudo resolver «localhost»: %s"
-
-#: postmaster/pgstat.c:346
-msgid "trying another address for the statistics collector"
-msgstr "intentando otra dirección para el recolector de estadísticas"
-
-#: postmaster/pgstat.c:355
-#, c-format
-msgid "could not create socket for statistics collector: %m"
-msgstr "no se pudo crear el socket para el recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:367
-#, c-format
-msgid "could not bind socket for statistics collector: %m"
-msgstr ""
-"no se pudo enlazar (bind) el socket para el recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:378
-#, c-format
-msgid "could not get address of socket for statistics collector: %m"
-msgstr "no se pudo obtener la dirección del socket de estadísticas: %m"
-
-#: postmaster/pgstat.c:394
-#, c-format
-msgid "could not connect socket for statistics collector: %m"
-msgstr "no se pudo conectar el socket para el recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:415
-#, c-format
-msgid "could not send test message on socket for statistics collector: %m"
-msgstr ""
-"no se pudo enviar el mensaje de prueba al recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:441 postmaster/pgstat.c:2744
-#, c-format
-msgid "select() failed in statistics collector: %m"
-msgstr "select() falló en el recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:456
-msgid "test message did not get through on socket for statistics collector"
-msgstr ""
-"el mensaje de prueba al recolector de estadísticas no ha sido recibido en el "
-"socket"
-
-#: postmaster/pgstat.c:471
-#, c-format
-msgid "could not receive test message on socket for statistics collector: %m"
-msgstr ""
-"no se pudo recibir el mensaje de prueba en el socket del recolector de "
-"estadísticas: %m"
-
-#: postmaster/pgstat.c:481
-msgid "incorrect test message transmission on socket for statistics collector"
-msgstr ""
-"transmisión del mensaje de prueba incorrecta en el socket del recolector de "
-"estadísticas"
-
-#: postmaster/pgstat.c:504
-#, c-format
-msgid "could not set statistics collector socket to nonblocking mode: %m"
-msgstr "no se pudo poner el socket de estadísticas en modo no bloqueante: %m"
-
-#: postmaster/pgstat.c:514
-msgid "disabling statistics collector for lack of working socket"
-msgstr "desactivando el recolector de estadísticas por falla del socket"
-
-#: postmaster/pgstat.c:616
-#, c-format
-msgid "could not fork statistics collector: %m"
-msgstr "no se pudo crear el proceso para el recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:1144
-msgid "must be superuser to reset statistics counters"
-msgstr ""
-"debe ser superusuario para reinicializar los contadores de estadísticas"
-
-#: postmaster/pgstat.c:2723
-#, c-format
-msgid "poll() failed in statistics collector: %m"
-msgstr "poll() falló en el recolector de estadísticas: %m"
-
-#: postmaster/pgstat.c:2768
-#, c-format
-msgid "could not read statistics message: %m"
-msgstr "no se pudo leer un mensaje de estadísticas: %m"
-
-#: postmaster/pgstat.c:2967
-#, c-format
-msgid "could not open temporary statistics file \"%s\": %m"
-msgstr "no se pudo abrir el archivo temporal de estadísticas «%s»: %m"
-
-#: postmaster/pgstat.c:3039
-#, c-format
-msgid "could not write temporary statistics file \"%s\": %m"
-msgstr "no se pudo escribir el archivo temporal de estadísticas «%s»: %m"
-
-#: postmaster/pgstat.c:3048
-#, c-format
-msgid "could not close temporary statistics file \"%s\": %m"
-msgstr "no se pudo cerrar el archivo temporal de estadísticas «%s»: %m"
-
-#: postmaster/pgstat.c:3056
-#, c-format
-msgid "could not rename temporary statistics file \"%s\" to \"%s\": %m"
-msgstr ""
-"no se pudo cambiar el nombre al archivo temporal de estadísticas de «%s» a "
-"«%s»: %m"
-
-#: postmaster/pgstat.c:3144 postmaster/pgstat.c:3154 postmaster/pgstat.c:3176
-#: postmaster/pgstat.c:3190 postmaster/pgstat.c:3252 postmaster/pgstat.c:3269
-#: postmaster/pgstat.c:3284 postmaster/pgstat.c:3301 postmaster/pgstat.c:3316
-msgid "corrupted pgstat.stat file"
-msgstr "el archivo pgstat.stat está corrupto"
-
-#: postmaster/pgstat.c:3657
-msgid "database hash table corrupted during cleanup --- abort"
-msgstr ""
-"el hash de bases de datos se corrompió durante la finalización; abortando"
-
-#: postmaster/postmaster.c:544
-#, c-format
-msgid "%s: invalid argument for option -f: \"%s\"\n"
-msgstr "%s: argumento no válido para la opción -f: «%s»\n"
-
-#: postmaster/postmaster.c:630
-#, c-format
-msgid "%s: invalid argument for option -t: \"%s\"\n"
-msgstr "%s: argumento no válido para la opción -t: «%s»\n"
-
-#: postmaster/postmaster.c:681
-#, c-format
-msgid "%s: invalid argument: \"%s\"\n"
-msgstr "%s: argumento no válido: «%s»\n"
-
-#: postmaster/postmaster.c:706
-#, c-format
-msgid "%s: superuser_reserved_connections must be less than max_connections\n"
-msgstr ""
-"%s: superuser_reserved_connections debe ser menor que max_connections\n"
-
-#: postmaster/postmaster.c:716
-#, c-format
-msgid "%s: invalid datetoken tables, please fix\n"
-msgstr "%s: las tablas de palabras clave de fecha no son válidas, arréglelas\n"
-
-#: postmaster/postmaster.c:822
-msgid "invalid list syntax for \"listen_addresses\""
-msgstr "la sintaxis de lista no es válida para el parámetro «listen_addresses»"
-
-#: postmaster/postmaster.c:843
-#, c-format
-msgid "could not create listen socket for \"%s\""
-msgstr "no se pudo crear el socket de escucha para «%s»"
-
-#: postmaster/postmaster.c:849
-msgid "could not create any TCP/IP sockets"
-msgstr "no se pudo crear ningún socket TCP/IP"
-
-#: postmaster/postmaster.c:876
-msgid "could not create Unix-domain socket"
-msgstr "no se pudo crear el socket de dominio Unix"
-
-#: postmaster/postmaster.c:884
-msgid "no socket created for listening"
-msgstr "no se creó el socket de atención"
-
-#: postmaster/postmaster.c:910
-msgid "could not create I/O completion port for child queue"
-msgstr ""
-"no se pudo crear el port E/S de reporte de completitud para la cola de "
-"procesos hijos"
-
-#: postmaster/postmaster.c:954
-#, c-format
-msgid "%s: could not write external PID file \"%s\": %s\n"
-msgstr "%s: no pudo escribir en el archivo externo de PID «%s»: %s\n"
-
-#: postmaster/postmaster.c:1022 postmaster/postmaster.c:3311
-msgid "could not load pg_hba.conf"
-msgstr "no se pudo cargar pg_hba.conf"
-
-#: postmaster/postmaster.c:1069
-#, c-format
-msgid "%s: could not locate matching postgres executable"
-msgstr "%s: no se pudo localizar el ejecutable postgres correspondiente"
-
-#: postmaster/postmaster.c:1092 utils/misc/tzparser.c:347
-#, c-format
-msgid ""
-"This may indicate an incomplete PostgreSQL installation, or that the file "
-"\"%s\" has been moved away from its proper location."
-msgstr ""
-"Esto puede indicar una instalación de PostgreSQL incompleta, o que el "
-"archivo «%s» ha sido movido de la ubicación adecuada."
-
-#: postmaster/postmaster.c:1120
-#, c-format
-msgid "data directory \"%s\" does not exist"
-msgstr "no existe el directorio de datos «%s»"
-
-#: postmaster/postmaster.c:1125
-#, c-format
-msgid "could not read permissions of directory \"%s\": %m"
-msgstr "no se pudo obtener los permisos del directorio «%s»: %m"
-
-#: postmaster/postmaster.c:1133
-#, c-format
-msgid "specified data directory \"%s\" is not a directory"
-msgstr "el directorio de datos especificado «%s» no es un directorio"
-
-#: postmaster/postmaster.c:1149
-#, c-format
-msgid "data directory \"%s\" has wrong ownership"
-msgstr "el directorio de datos «%s» tiene dueño equivocado"
-
-#: postmaster/postmaster.c:1151
-msgid "The server must be started by the user that owns the data directory."
-msgstr ""
-"El servidor debe ser iniciado por el usuario dueño del directorio de datos."
-
-#: postmaster/postmaster.c:1171
-#, c-format
-msgid "data directory \"%s\" has group or world access"
-msgstr "el directorio de datos «%s» tiene acceso para el grupo u otros"
-
-#: postmaster/postmaster.c:1173
-msgid "Permissions should be u=rwx (0700)."
-msgstr "Los permisos deberían ser u=rwx (0700)."
-
-#: postmaster/postmaster.c:1184
-#, c-format
-msgid ""
-"%s: could not find the database system\n"
-"Expected to find it in the directory \"%s\",\n"
-"but could not open file \"%s\": %s\n"
-msgstr ""
-"%s: no se pudo encontrar el sistema de base de datos.\n"
-"Se esperaba encontrar en el directorio PGDATA «%s»,\n"
-"pero no se pudo abrir el archivo «%s»: %s\n"
-
-#: postmaster/postmaster.c:1232
-#, c-format
-msgid "%s: could not open file \"%s\": %s\n"
-msgstr "%s: no se pudo abrir el archivo «%s»: %s\n"
-
-#: postmaster/postmaster.c:1239
-#, c-format
-msgid "%s: could not open log file \"%s/%s\": %s\n"
-msgstr "%s: no se pudo abrir archivo de log «%s/%s»: %s\n"
-
-#: postmaster/postmaster.c:1250
-#, c-format
-msgid "%s: could not fork background process: %s\n"
-msgstr "%s: no se pudo lanzar el proceso en segundo plano: %s\n"
-
-#: postmaster/postmaster.c:1271
-#, c-format
-msgid "%s: could not dissociate from controlling TTY: %s\n"
-msgstr "%s: no se pudo disociar del TTY de control: %s\n"
-
-#: postmaster/postmaster.c:1363
-#, c-format
-msgid "select() failed in postmaster: %m"
-msgstr "select() falló en postmaster: %m"
-
-#: postmaster/postmaster.c:1520 postmaster/postmaster.c:1551
-msgid "incomplete startup packet"
-msgstr "el paquete de inicio está incompleto"
-
-#: postmaster/postmaster.c:1532
-msgid "invalid length of startup packet"
-msgstr "el de paquete de inicio tiene largo incorrecto"
-
-#: postmaster/postmaster.c:1588
-#, c-format
-msgid "failed to send SSL negotiation response: %m"
-msgstr "no se pudo enviar la respuesta de negociación SSL: %m"
-
-#: postmaster/postmaster.c:1617
-#, c-format
-msgid "unsupported frontend protocol %u.%u: server supports %u.0 to %u.%u"
-msgstr ""
-"el protocolo %u.%u no está soportado: servidor soporta %u.0 hasta %u.%u"
-
-#: postmaster/postmaster.c:1683
-msgid "invalid startup packet layout: expected terminator as last byte"
-msgstr ""
-"el paquete de inicio no es válido: se esperaba un terminador en el último "
-"byte"
-
-#: postmaster/postmaster.c:1711
-msgid "no PostgreSQL user name specified in startup packet"
-msgstr "no se especifica un nombre de usuario en el paquete de inicio"
-
-#: postmaster/postmaster.c:1764
-msgid "the database system is starting up"
-msgstr "el sistema de base de datos está iniciándose"
-
-#: postmaster/postmaster.c:1769
-msgid "the database system is shutting down"
-msgstr "el sistema de base de datos está apagándose"
-
-#: postmaster/postmaster.c:1774
-msgid "the database system is in recovery mode"
-msgstr "el sistema de base de datos está en modo de recuperación"
-
-#: postmaster/postmaster.c:1841
-#, c-format
-msgid "wrong key in cancel request for process %d"
-msgstr "llave incorrecta en la petición de cancelación para el proceso %d"
-
-#: postmaster/postmaster.c:1849
-#, c-format
-msgid "PID %d in cancel request did not match any process"
-msgstr ""
-"el PID %d en la petición de cancelación no coincidió con ningún proceso"
-
-#: postmaster/postmaster.c:2046
-msgid "received SIGHUP, reloading configuration files"
-msgstr "se recibió SIGHUP, releyendo el archivo de configuración"
-
-#: postmaster/postmaster.c:2067
-msgid "pg_hba.conf not reloaded"
-msgstr "pg_hba.conf no ha sido recargado"
-
-#: postmaster/postmaster.c:2110
-msgid "received smart shutdown request"
-msgstr "se recibió petición de apagado inteligente"
-
-#: postmaster/postmaster.c:2146
-msgid "received fast shutdown request"
-msgstr "se recibió petición de apagado rápido"
-
-#: postmaster/postmaster.c:2161
-msgid "aborting any active transactions"
-msgstr "abortando transacciones activas"
-
-#: postmaster/postmaster.c:2189
-msgid "received immediate shutdown request"
-msgstr "se recibió petición de apagado inmediato"
-
-#: postmaster/postmaster.c:2263 postmaster/postmaster.c:2291
-msgid "startup process"
-msgstr "proceso de inicio"
-
-#: postmaster/postmaster.c:2266
-msgid "aborting startup due to startup process failure"
-msgstr "abortando el inicio debido a una falla en el procesamiento de inicio"
-
-#: postmaster/postmaster.c:2331
-msgid "database system is ready to accept connections"
-msgstr "el sistema de bases de datos está listo para aceptar conexiones"
-
-#: postmaster/postmaster.c:2383
-msgid "background writer process"
-msgstr "proceso background writer"
-
-#: postmaster/postmaster.c:2399
-msgid "WAL writer process"
-msgstr "proceso escritor de WAL"
-
-#: postmaster/postmaster.c:2414
-msgid "autovacuum launcher process"
-msgstr "proceso lanzador de autovacuum"
-
-#: postmaster/postmaster.c:2428
-msgid "archiver process"
-msgstr "proceso de archivado"
-
-#: postmaster/postmaster.c:2446
-msgid "statistics collector process"
-msgstr "recolector de estadísticas"
-
-#: postmaster/postmaster.c:2460
-msgid "system logger process"
-msgstr "proceso de log"
-
-#: postmaster/postmaster.c:2495 postmaster/postmaster.c:2511
-#: postmaster/postmaster.c:2518 postmaster/postmaster.c:2536
-msgid "server process"
-msgstr "proceso de servidor"
-
-#: postmaster/postmaster.c:2572
-msgid "terminating any other active server processes"
-msgstr "terminando todos los otros procesos de servidor activos"
-
-#. translator: %s is a noun phrase describing a child process, such as
-#. "server process"
-#: postmaster/postmaster.c:2724
-#, c-format
-msgid "%s (PID %d) exited with exit code %d"
-msgstr "%s (PID %d) terminó con código de salida %d"
-
-#. translator: %s is a noun phrase describing a child process, such as
-#. "server process"
-#: postmaster/postmaster.c:2733
-#, c-format
-msgid "%s (PID %d) was terminated by exception 0x%X"
-msgstr "%s (PID %d) fue terminado por una excepción 0x%X"
-
-#. translator: %s is a noun phrase describing a child process, such as
-#. "server process"
-#: postmaster/postmaster.c:2742
-#, c-format
-msgid "%s (PID %d) was terminated by signal %d: %s"
-msgstr "%s (PID %d) fue terminado por una señal %d: %s"
-
-#. translator: %s is a noun phrase describing a child process, such as
-#. "server process"
-#: postmaster/postmaster.c:2752
-#, c-format
-msgid "%s (PID %d) was terminated by signal %d"
-msgstr "%s (PID %d) fue terminado por una señal %d"
-
-#. translator: %s is a noun phrase describing a child process, such as
-#. "server process"
-#: postmaster/postmaster.c:2761
-#, c-format
-msgid "%s (PID %d) exited with unrecognized status %d"
-msgstr "%s (PID %d) terminó con código no reconocido %d"
-
-#: postmaster/postmaster.c:2898
-msgid "abnormal database system shutdown"
-msgstr "apagado anormal del sistema de bases de datos"
-
-#: postmaster/postmaster.c:2930
-msgid "all server processes terminated; reinitializing"
-msgstr "todos los procesos fueron terminados; reinicializando"
-
-#: postmaster/postmaster.c:3095
-#, c-format
-msgid "could not fork new process for connection: %m"
-msgstr "no se pudo lanzar el nuevo proceso para la conexión: %m"
-
-#: postmaster/postmaster.c:3137
-msgid "could not fork new process for connection: "
-msgstr "no se pudo lanzar el nuevo proceso para la conexión: "
-
-#: postmaster/postmaster.c:3277
-#, c-format
-msgid "connection received: host=%s%s%s"
-msgstr "conexión recibida: host=%s%s%s"
-
-#: postmaster/postmaster.c:3356
-#, c-format
-msgid "connection authorized: user=%s database=%s"
-msgstr "conexión autorizada: usuario=%s database=%s"
-
-#: postmaster/postmaster.c:3596
-#, c-format
-msgid "could not execute server process \"%s\": %m"
-msgstr "no se pudo lanzar el proceso servidor «%s»: %m"
-
-#: postmaster/postmaster.c:4117
-msgid "database system is in consistent recovery mode"
-msgstr "el sistema de base de datos está en modo consistente de recuperación"
-
-#: postmaster/postmaster.c:4334
-#, c-format
-msgid "could not fork startup process: %m"
-msgstr "no se pudo lanzar el proceso de inicio: %m"
-
-#: postmaster/postmaster.c:4338
-#, c-format
-msgid "could not fork background writer process: %m"
-msgstr "no se pudo lanzar el background writer: %m"
-
-#: postmaster/postmaster.c:4342
-#, c-format
-msgid "could not fork WAL writer process: %m"
-msgstr "no se pudo lanzar el proceso escritor de WAL: %m"
-
-#: postmaster/postmaster.c:4346
-#, c-format
-msgid "could not fork process: %m"
-msgstr "No se pudo lanzar el proceso: %m"
-
-#: postmaster/postmaster.c:4620
-#, c-format
-msgid "could not duplicate socket %d for use in backend: error code %d"
-msgstr ""
-"no se pudo duplicar el socket %d para su empleo en el backend: código de "
+#: port/sysv_sema.c:114 port/pg_sema.c:114
+#, c-format
+msgid "could not create semaphores: %m"
+msgstr "no se pudo crear semáforos: %m"
+
+#: port/sysv_sema.c:115 port/pg_sema.c:115
+#, c-format
+msgid "Failed system call was semget(%lu, %d, 0%o)."
+msgstr "La llamada a sistema fallida fue semget(%lu, %d, 0%o)."
+
+#: port/sysv_sema.c:119 port/pg_sema.c:119
+#, c-format
+msgid ""
+"This error does *not* mean that you have run out of disk space.\n"
+"It occurs when either the system limit for the maximum number of semaphore "
+"sets (SEMMNI), or the system wide maximum number of semaphores (SEMMNS), "
+"would be exceeded.  You need to raise the respective kernel parameter.  "
+"Alternatively, reduce PostgreSQL's consumption of semaphores by reducing its "
+"max_connections parameter (currently %d).\n"
+"The PostgreSQL documentation contains more information about configuring "
+"your system for PostgreSQL."
+msgstr ""
+"Este error *no* significa que se haya quedado sin espacio en disco.\n"
+"Ocurre cuando se alcanza el límite del sistema del número de semáforos "
+"(SEMMNI), o bien cuando se excede el total de semáforos del sistema (SEMMNS)."
+"Necesita incrementar el parámetro respectivo del kernel.  Alternativamente, "
+"reduzca el consumo de semáforos de PostgreSQL reduciendo el parámetro "
+"max_connections (actualmente %d).\n"
+"La documentación de PostgreSQL contiene más información acerca de cómo "
+"configurar su sistema para PostgreSQL."
+
+#: port/sysv_sema.c:148 port/pg_sema.c:148
+#, c-format
+msgid ""
+"You possibly need to raise your kernel's SEMVMX value to be at least %d.  "
+"Look into the PostgreSQL documentation for details."
+msgstr ""
+"Probablemente necesita incrementar el valor SEMVMX del kernel hasta al menos "
+"%d.  Examine la documentación de PostgreSQL para obtener más detalles."
+
+#: port/win32_shmem.c:159 port/win32_shmem.c:194 port/win32_shmem.c:215
+#, c-format
+msgid "could not create shared memory segment: %lu"
+msgstr "no se pudo crear el segmento de memoria compartida: %lu"
+
+#: port/win32_shmem.c:160
+#, c-format
+msgid "Failed system call was CreateFileMapping(size=%lu, name=%s)."
+msgstr "La llamada a sistema fallida fue CreateFileMapping(size=%lu, name=%s)."
+
+#: port/win32_shmem.c:184
+msgid "pre-existing shared memory block is still in use"
+msgstr "el bloque de memoria compartida preexistente aún está en uso"
+
+#: port/win32_shmem.c:185
+msgid ""
+"Check if there are any old server processes still running, and terminate "
+"them."
+msgstr ""
+"Verifique si hay procesos de servidor antiguos aún en funcionamiento, y "
+"termínelos."
+
+#: port/win32_shmem.c:195
+msgid "Failed system call was DuplicateHandle."
+msgstr "La llamada a sistema fallida fue DuplicateHandle."
+
+#: port/win32_shmem.c:216
+msgid "Failed system call was MapViewOfFileEx."
+msgstr "La llamada a sistema fallida fue MapViewOfFileEx."
+
+#: port/win32/security.c:43
+#, c-format
+msgid "could not open process token: error code %d\n"
+msgstr "no se pudo abrir el token de proceso: código de error %d\n"
+
+#: port/win32/security.c:63
+#, c-format
+msgid "could not get SID for Administrators group: error code %d\n"
+msgstr ""
+"no se pudo obtener el SID del grupo Administrators: código de error %d\n"
+
+#: port/win32/security.c:72
+#, c-format
+msgid "could not get SID for PowerUsers group: error code %d\n"
+msgstr "no se pudo obtener el SID del grupo PowerUsers: código de error %d\n"
+
+#: port/win32/signal.c:189
+#, c-format
+msgid "could not create signal listener pipe for pid %d: error code %d"
+msgstr ""
+"no se pudo crear tubería para escuchar señales para el pid %d: código de "
 "error %d"
 
-#: postmaster/postmaster.c:4649
-#, c-format
-msgid "could not create inherited socket: error code %d\n"
-msgstr "no se pudo crear el socket heradado: código de error %d\n"
-
-#: postmaster/postmaster.c:4678 postmaster/postmaster.c:4685
-#, c-format
-msgid "could not read from backend variables file \"%s\": %s\n"
-msgstr "no se pudo leer el archivo de variables de servidor «%s»: %s\n"
-
-#: postmaster/postmaster.c:4694
-#, c-format
-msgid "could not remove file \"%s\": %s\n"
-msgstr "no se pudo eliminar el archivo «%s»: %s\n"
-
-#: postmaster/postmaster.c:4707
-#, c-format
-msgid "could not map view of backend variables: error code %d\n"
-msgstr ""
-"no se pudo mapear la vista del archivo de variables: código de error %d\n"
-
-#: postmaster/postmaster.c:4716
-#, c-format
-msgid "could not unmap view of backend variables: error code %d\n"
-msgstr ""
-"no se pudo desmapear la vista del archivo de variables: código de error %d\n"
-
-#: postmaster/postmaster.c:4723
-#, c-format
-msgid "could not close handle to backend parameter variables: error code %d\n"
-msgstr ""
-"no se pudo cerrar el archivo de variables de servidor: código de error %d\n"
-
-#: postmaster/postmaster.c:4866
-msgid "could not read exit code for process\n"
-msgstr "no se pudo leer el código de salida del proceso\n"
-
-#: postmaster/postmaster.c:4871
-msgid "could not post child completion status\n"
-msgstr "no se pudo publicar el estado de completitud del proceso hijo\n"
-
-#: postmaster/syslogger.c:387
-#, c-format
-msgid "select() failed in logger process: %m"
-msgstr "select() falló en proceso de log: %m"
-
-#: postmaster/syslogger.c:399 postmaster/syslogger.c:973
-#, c-format
-msgid "could not read from logger pipe: %m"
-msgstr "no se pudo leer desde la tubería de log: %m"
-
-#: postmaster/syslogger.c:446
-msgid "logger shutting down"
-msgstr "apagando proceso de log"
-
-#: postmaster/syslogger.c:490 postmaster/syslogger.c:504
-#, c-format
-msgid "could not create pipe for syslog: %m"
-msgstr "no se pudo crear la tubería para syslog: %m"
-
-#: postmaster/syslogger.c:524 postmaster/syslogger.c:1012
-#, c-format
-msgid "could not create log file \"%s\": %m"
-msgstr "no se pudo crear archivo de log «%s»: %m"
-
-#: postmaster/syslogger.c:539
-#, c-format
-msgid "could not fork system logger: %m"
-msgstr "no se pudo crear el proceso de log: %m"
-
-#: postmaster/syslogger.c:570
-#, c-format
-msgid "could not redirect stdout: %m"
-msgstr "no se pudo redirigir stdout: %m"
-
-#: postmaster/syslogger.c:575 postmaster/syslogger.c:593
-#, c-format
-msgid "could not redirect stderr: %m"
-msgstr "no se pudo redirigir stderr: %m"
-
-#: postmaster/syslogger.c:928
-#, c-format
-msgid "could not write to log file: %s\n"
-msgstr "no se pudo escribir al archivo de log: %s\n"
-
-#: postmaster/syslogger.c:1083 postmaster/syslogger.c:1141
-#, c-format
-msgid "could not open new log file \"%s\": %m"
-msgstr "no se pudo abrir el nuevo archivo de log «%s»: %m"
-
-#: postmaster/syslogger.c:1095 postmaster/syslogger.c:1153
-msgid "disabling automatic rotation (use SIGHUP to reenable)"
-msgstr "desactivando rotación automática (use SIGHUP para reactivarla)"
-
-#: rewrite/rewriteDefine.c:109 rewrite/rewriteDefine.c:759
-#, c-format
-msgid "rule \"%s\" for relation \"%s\" already exists"
-msgstr "ya existe una regla llamada «%s» para la relación «%s»"
-
-#: rewrite/rewriteDefine.c:283
-msgid "rule actions on OLD are not implemented"
-msgstr "las acciones de regla en OLD no están implementadas"
-
-#: rewrite/rewriteDefine.c:284
-msgid "Use views or triggers instead."
-msgstr "Use vistas o triggers en su lugar."
-
-#: rewrite/rewriteDefine.c:288
-msgid "rule actions on NEW are not implemented"
-msgstr "las acciones de regla en NEW no están implementadas"
-
-#: rewrite/rewriteDefine.c:289
-msgid "Use triggers instead."
-msgstr "Use triggers en su lugar."
-
-#: rewrite/rewriteDefine.c:302
-msgid "INSTEAD NOTHING rules on SELECT are not implemented"
-msgstr "las reglas INSTEAD NOTHING en SELECT no están implementadas"
-
-#: rewrite/rewriteDefine.c:303
-msgid "Use views instead."
-msgstr "Use vistas en su lugar."
-
-#: rewrite/rewriteDefine.c:311
-msgid "multiple actions for rules on SELECT are not implemented"
-msgstr "las reglas de múltiples acciones en SELECT no están implementadas"
-
-#: rewrite/rewriteDefine.c:323
-msgid "rules on SELECT must have action INSTEAD SELECT"
-msgstr "las reglas en SELECT deben tener una acción INSTEAD SELECT"
-
-#: rewrite/rewriteDefine.c:331
-msgid "event qualifications are not implemented for rules on SELECT"
-msgstr ""
-"las calificaciones de eventos no están implementadas para las reglas en "
-"SELECT"
-
-#: rewrite/rewriteDefine.c:356
-#, c-format
-msgid "\"%s\" is already a view"
-msgstr "«%s» ya es una vista"
-
-#: rewrite/rewriteDefine.c:380
-#, c-format
-msgid "view rule for \"%s\" must be named \"%s\""
-msgstr "la regla de vista para «%s» debe llamarse «%s»"
-
-#: rewrite/rewriteDefine.c:405
-#, c-format
-msgid "could not convert table \"%s\" to a view because it is not empty"
-msgstr "no se pudo convertir la tabla «%s» en vista porque no está vacía"
-
-#: rewrite/rewriteDefine.c:412
-#, c-format
-msgid "could not convert table \"%s\" to a view because it has triggers"
-msgstr "no se pudo convertir la tabla «%s» en vista porque tiene triggers"
-
-#: rewrite/rewriteDefine.c:414
-msgid ""
-"In particular, the table cannot be involved in any foreign key relationships."
-msgstr ""
-"En particular, la tabla no puede estar involucrada en relaciones de llave "
-"foránea."
-
-#: rewrite/rewriteDefine.c:419
-#, c-format
-msgid "could not convert table \"%s\" to a view because it has indexes"
-msgstr "no se pudo convertir la tabla «%s» en vista porque tiene índices"
-
-#: rewrite/rewriteDefine.c:425
-#, c-format
-msgid "could not convert table \"%s\" to a view because it has child tables"
-msgstr "no se pudo convertir la tabla «%s» en vista porque tiene tablas hijas"
-
-#: rewrite/rewriteDefine.c:452
-msgid "cannot have multiple RETURNING lists in a rule"
-msgstr "no se pueden tener múltiples listas RETURNING en una regla"
-
-#: rewrite/rewriteDefine.c:457
-msgid "RETURNING lists are not supported in conditional rules"
-msgstr "listas de RETURNING no están soportadas en reglas condicionales"
-
-#: rewrite/rewriteDefine.c:461
-msgid "RETURNING lists are not supported in non-INSTEAD rules"
-msgstr ""
-"listas de RETURNING no están soportadas en reglas que no estén marcadas "
-"INSTEAD"
-
-#: rewrite/rewriteDefine.c:540
-msgid "SELECT rule's target list has too many entries"
-msgstr "la lista de destinos en la regla de SELECT tiene demasiadas entradas"
-
-#: rewrite/rewriteDefine.c:541
-msgid "RETURNING list has too many entries"
-msgstr "la lista de RETURNING tiene demasiadas entradas"
-
-#: rewrite/rewriteDefine.c:557
-msgid "cannot convert relation containing dropped columns to view"
-msgstr ""
-"no se puede convertir en vista una relación que contiene columnas eliminadas"
-
-#: rewrite/rewriteDefine.c:562
-#, c-format
-msgid "SELECT rule's target entry %d has different column name from \"%s\""
-msgstr ""
-"la entrada de destino %d de la regla de SELECT tiene un nombre de columna "
-"diferente de «%s»"
-
-#: rewrite/rewriteDefine.c:568
-#, c-format
-msgid "SELECT rule's target entry %d has different type from column \"%s\""
-msgstr ""
-"el destino %d de la regla de SELECT tiene un tipo diferente de la columna "
-"«%s»"
-
-#: rewrite/rewriteDefine.c:570
-#, c-format
-msgid "RETURNING list's entry %d has different type from column \"%s\""
-msgstr ""
-"el destino %d de la lista de RETURNING tiene un tipo diferente de la columna "
-"«%s»"
-
-#: rewrite/rewriteDefine.c:585
-#, c-format
-msgid "SELECT rule's target entry %d has different size from column \"%s\""
-msgstr ""
-"el destino %d de la regla de SELECT tiene un tamaño diferente de la columna "
-"«%s»"
-
-#: rewrite/rewriteDefine.c:587
-#, c-format
-msgid "RETURNING list's entry %d has different size from column \"%s\""
-msgstr ""
-"el destino %d de la lista RETURNING tiene un tamaño diferente de la columna "
-"«%s»"
-
-#: rewrite/rewriteDefine.c:595
-msgid "SELECT rule's target list has too few entries"
-msgstr "la lista de destinos de regla de SELECT tiene muy pocas entradas"
-
-#: rewrite/rewriteDefine.c:596
-msgid "RETURNING list has too few entries"
-msgstr "la lista de RETURNING tiene muy pocas entradas"
-
-#: rewrite/rewriteHandler.c:487
-msgid "cannot have RETURNING lists in multiple rules"
-msgstr "no se puede usar RETURNING en múltiples reglas"
-
-#: rewrite/rewriteHandler.c:788 rewrite/rewriteHandler.c:806
-#, c-format
-msgid "multiple assignments to same column \"%s\""
-msgstr "hay múltiples asignaciones a la misma columna «%s»"
-
-#: rewrite/rewriteHandler.c:1404 rewrite/rewriteHandler.c:1726
-#, c-format
-msgid "infinite recursion detected in rules for relation \"%s\""
-msgstr "se detectó recursión infinita en las reglas de la relación «%s»"
-
-#: rewrite/rewriteHandler.c:1764
-#, c-format
-msgid "cannot perform INSERT RETURNING on relation \"%s\""
-msgstr "no se puede hacer INSERT RETURNING a la relación «%s»"
-
-#: rewrite/rewriteHandler.c:1766
-msgid ""
-"You need an unconditional ON INSERT DO INSTEAD rule with a RETURNING clause."
-msgstr ""
-"Necesita un regla incondicional ON INSERT DO INSTEAD con una cláusula "
-"RETURNING."
-
-#: rewrite/rewriteHandler.c:1771
-#, c-format
-msgid "cannot perform UPDATE RETURNING on relation \"%s\""
-msgstr "no se puede hacer UPDATE RETURNING a la relación «%s»"
-
-#: rewrite/rewriteHandler.c:1773
-msgid ""
-"You need an unconditional ON UPDATE DO INSTEAD rule with a RETURNING clause."
-msgstr ""
-"Necesita un regla incondicional ON UPDATE DO INSTEAD con una cláusula "
-"RETURNING."
-
-#: rewrite/rewriteHandler.c:1778
-#, c-format
-msgid "cannot perform DELETE RETURNING on relation \"%s\""
-msgstr "no se puede hacer DELETE RETURNING a la relación «%s»"
-
-#: rewrite/rewriteHandler.c:1780
-msgid ""
-"You need an unconditional ON DELETE DO INSTEAD rule with a RETURNING clause."
-msgstr ""
-"Necesita un regla incondicional ON DELETE DO INSTEAD con una clásula "
-"RETURNING."
-
-#: rewrite/rewriteHandler.c:1878
-msgid "cannot insert into a view"
-msgstr "no se puede insertar en una vista"
-
-#: rewrite/rewriteHandler.c:1879
-msgid "You need an unconditional ON INSERT DO INSTEAD rule."
-msgstr "Necesita un regla incondicional ON INSERT DO INSTEAD."
-
-#: rewrite/rewriteHandler.c:1884
-msgid "cannot update a view"
-msgstr "no se puede actualizar una vista"
-
-#: rewrite/rewriteHandler.c:1885
-msgid "You need an unconditional ON UPDATE DO INSTEAD rule."
-msgstr "Necesita un regla incondicional ON UPDATE DO INSTEAD."
-
-#: rewrite/rewriteHandler.c:1890
-msgid "cannot delete from a view"
-msgstr "no se puede eliminar de una vista"
-
-#: rewrite/rewriteHandler.c:1891
-msgid "You need an unconditional ON DELETE DO INSTEAD rule."
-msgstr "Necesita un regla incondicional ON DELETE DO INSTEAD."
-
-#: rewrite/rewriteManip.c:1012
-msgid "conditional utility statements are not implemented"
-msgstr "las sentencias condicionales de utilidad no están implementadas"
-
-#: rewrite/rewriteManip.c:1177
-msgid "WHERE CURRENT OF on a view is not implemented"
-msgstr "WHERE CURRENT OF no está implementado en una vista"
-
-#: rewrite/rewriteRemove.c:67
-#, c-format
-msgid "rule \"%s\" for relation \"%s\" does not exist, skipping"
-msgstr "la regla «%s» para la relación «%s» no existe, ignorando"
-
-#: utils/adt/xml.c:135
-msgid "unsupported XML feature"
-msgstr "característica XML no soportada"
-
-#: utils/adt/xml.c:136
-msgid "This functionality requires the server to be built with libxml support."
-msgstr ""
-"Esta funcionalidad requiere que el servidor haya sido construido con soporte "
-"libxml."
-
-#: utils/adt/xml.c:137
-msgid "You need to rebuild PostgreSQL using --with-libxml."
-msgstr "Necesita reconstruir PostgreSQL usando --with-libxml."
-
-#: utils/adt/xml.c:156 utils/mb/mbutils.c:477
-#, c-format
-msgid "invalid encoding name \"%s\""
-msgstr "nombre de codificación «%s» no válido"
-
-#: utils/adt/xml.c:402 utils/adt/xml.c:407
-msgid "invalid XML comment"
-msgstr "comentario XML no válido"
-
-#: utils/adt/xml.c:536
-msgid "not an XML document"
-msgstr "no es un documento XML"
-
-#: utils/adt/xml.c:689 utils/adt/xml.c:712
-msgid "invalid XML processing instruction"
-msgstr "instrucción de procesamiento XML no válida"
-
-#: utils/adt/xml.c:690
-#, c-format
-msgid "XML processing instruction target name cannot be \"%s\"."
-msgstr ""
-"el nombre de destino de la instrucción de procesamiento XML no puede ser "
-"«%s»."
-
-#: utils/adt/xml.c:713
-msgid "XML processing instruction cannot contain \"?>\"."
-msgstr "la instrucción de procesamiento XML no puede contener «?>»."
-
-#: utils/adt/xml.c:792
-msgid "xmlvalidate is not implemented"
-msgstr "xmlvalidate no está implementado"
-
-#: utils/adt/xml.c:877
-msgid "could not initialize XML library"
-msgstr "no se pudo inicializar la biblioteca XML"
-
-#: utils/adt/xml.c:878
-#, c-format
-msgid ""
-"libxml2 has incompatible char type: sizeof(char)=%u, sizeof(xmlChar)=%u."
-msgstr ""
-"libxml2 tiene tipo char incompatible: sizeof(char)=%u, sizeof(xmlChar)=%u."
-
-#: utils/adt/xml.c:1419
-msgid "Invalid character value."
-msgstr "Valor de carácter no válido."
-
-#: utils/adt/xml.c:1422
-msgid "Space required."
-msgstr "Se requiere un espacio."
-
-#: utils/adt/xml.c:1425
-msgid "standalone accepts only 'yes' or 'no'."
-msgstr "standalone acepta sólo 'yes' y 'no'."
-
-#: utils/adt/xml.c:1428
-msgid "Malformed declaration: missing version."
-msgstr "Declaración mal formada: falta la versión."
-
-#: utils/adt/xml.c:1431
-msgid "Missing encoding in text declaration."
-msgstr "Falta especificación de codificación en declaración de texto."
-
-#: utils/adt/xml.c:1434
-msgid "Parsing XML declaration: '?>' expected."
-msgstr "Procesando declaración XML: se esperaba '?>'."
-
-#: utils/adt/xml.c:1437
-#, c-format
-msgid "Unrecognized libxml error code: %d."
-msgstr "Código de error libxml no reconocido: %d."
-
-#: utils/adt/xml.c:1692
-msgid "date out of range"
-msgstr "la fecha fuera de rango"
-
-#: utils/adt/xml.c:1693
-msgid "XML does not support infinite date values."
-msgstr "XML no soporta valores infinitos de fecha."
-
-#: utils/adt/xml.c:1715 utils/adt/xml.c:1722 utils/adt/xml.c:1742
-#: utils/adt/xml.c:1749 utils/adt/date.c:901 utils/adt/date.c:948
-#: utils/adt/date.c:1504 utils/adt/date.c:1541 utils/adt/date.c:2415
-#: utils/adt/formatting.c:2961 utils/adt/formatting.c:2993
-#: utils/adt/formatting.c:3061 utils/adt/nabstime.c:480
-#: utils/adt/nabstime.c:523 utils/adt/nabstime.c:553 utils/adt/nabstime.c:596
-#: utils/adt/timestamp.c:226 utils/adt/timestamp.c:264
-#: utils/adt/timestamp.c:486 utils/adt/timestamp.c:526
-#: utils/adt/timestamp.c:2525 utils/adt/timestamp.c:2546
-#: utils/adt/timestamp.c:2559 utils/adt/timestamp.c:2568
-#: utils/adt/timestamp.c:2626 utils/adt/timestamp.c:2649
-#: utils/adt/timestamp.c:2662 utils/adt/timestamp.c:2673
-#: utils/adt/timestamp.c:3103 utils/adt/timestamp.c:3233
-#: utils/adt/timestamp.c:3274 utils/adt/timestamp.c:3362
-#: utils/adt/timestamp.c:3409 utils/adt/timestamp.c:3520
-#: utils/adt/timestamp.c:3833 utils/adt/timestamp.c:3970
-#: utils/adt/timestamp.c:3977 utils/adt/timestamp.c:3991
-#: utils/adt/timestamp.c:4001 utils/adt/timestamp.c:4064
-#: utils/adt/timestamp.c:4204 utils/adt/timestamp.c:4214
-#: utils/adt/timestamp.c:4429 utils/adt/timestamp.c:4508
-#: utils/adt/timestamp.c:4515 utils/adt/timestamp.c:4542
-#: utils/adt/timestamp.c:4546 utils/adt/timestamp.c:4603
-msgid "timestamp out of range"
-msgstr "el timestamp está fuera de rango"
-
-#: utils/adt/xml.c:1716 utils/adt/xml.c:1743
-msgid "XML does not support infinite timestamp values."
-msgstr "XML no soporta valores infinitos de timestamp."
-
-#: utils/adt/xml.c:2112
-msgid "invalid query"
-msgstr "consulta no válido"
-
-#: utils/adt/xml.c:3345
-msgid "invalid array for XML namespace mapping"
-msgstr "array no válido para mapeo de espacio de nombres XML"
-
-#: utils/adt/xml.c:3346
-msgid ""
-"The array must be two-dimensional with length of the second axis equal to 2."
-msgstr "El array debe ser bidimensional y el largo del segundo eje igual a 2."
-
-#: utils/adt/xml.c:3370
-msgid "empty XPath expression"
-msgstr "expresion XPath vacía"
-
-#: utils/adt/xml.c:3418
-msgid "neither namespace name nor URI may be null"
-msgstr "ni el espacio de nombres ni la URI pueden ser vacíos"
-
-#: utils/adt/xml.c:3425
-#, c-format
-msgid "could not register XML namespace with name \"%s\" and URI \"%s\""
-msgstr ""
-"no se pudo registrar un espacio de nombres XML llamado «%s» con URI «%s»"
-
-#: utils/adt/acl.c:160 utils/adt/name.c:87
-msgid "identifier too long"
-msgstr "el identificador es demasiado largo"
-
-#: utils/adt/acl.c:161 utils/adt/name.c:88
-#, c-format
-msgid "Identifier must be less than %d characters."
-msgstr "El identificador debe ser menor a %d caracteres."
-
-#: utils/adt/acl.c:247
-#, c-format
-msgid "unrecognized key word: \"%s\""
-msgstr "palabra clave no reconocida: «%s»"
-
-#: utils/adt/acl.c:248
-msgid "ACL key word must be \"group\" or \"user\"."
-msgstr "Palabra clave de ACL debe ser «group» o «user»."
-
-#: utils/adt/acl.c:253
-msgid "missing name"
-msgstr "falta un nombre"
-
-#: utils/adt/acl.c:254
-msgid "A name must follow the \"group\" or \"user\" key word."
-msgstr "Debe venir un nombre después de una palabra clave «group» o «user»."
-
-#: utils/adt/acl.c:260
-msgid "missing \"=\" sign"
-msgstr "falta un signo «=»"
-
-#: utils/adt/acl.c:313
-#, c-format
-msgid "invalid mode character: must be one of \"%s\""
-msgstr "carácter de modo no válido: debe ser uno de «%s»"
-
-#: utils/adt/acl.c:335
-msgid "a name must follow the \"/\" sign"
-msgstr "debe venir un nombre después del signo «/»"
-
-#: utils/adt/acl.c:343
-#, c-format
-msgid "defaulting grantor to user ID %u"
-msgstr "usando el cedente por omisión con ID %u"
-
-#: utils/adt/acl.c:433
-msgid "ACL array contains wrong data type"
-msgstr "el array ACL contiene tipo de datos incorrecto"
-
-#: utils/adt/acl.c:437
-msgid "ACL arrays must be one-dimensional"
-msgstr "los array de ACL debe ser unidimensional"
-
-#: utils/adt/acl.c:441
-msgid "ACL arrays must not contain null values"
-msgstr "los arrays de ACL no pueden contener valores nulos"
-
-#: utils/adt/acl.c:465
-msgid "extra garbage at the end of the ACL specification"
-msgstr "basura extra al final de la especificación de la ACL"
-
-#: utils/adt/acl.c:994
-msgid "grant options cannot be granted back to your own grantor"
-msgstr "la opción de grant no puede ser otorgada de vuelta a quien la otorgó"
-
-#: utils/adt/acl.c:1055
-msgid "dependent privileges exist"
-msgstr "existen privilegios dependientes"
-
-#: utils/adt/acl.c:1056
-msgid "Use CASCADE to revoke them too."
-msgstr "Use CASCADE para revocarlos también."
-
-#: utils/adt/acl.c:1335
-msgid "aclinsert is no longer supported"
-msgstr "aclinsert ya no está soportado"
-
-#: utils/adt/acl.c:1345
-msgid "aclremove is no longer supported"
-msgstr "aclremove ya no está soportado"
-
-#: utils/adt/acl.c:1431 utils/adt/acl.c:1485
-#, c-format
-msgid "unrecognized privilege type: \"%s\""
-msgstr "tipo de privilegio no reconocido: «%s»"
-
-#: utils/adt/acl.c:2909 utils/adt/regproc.c:118 utils/adt/regproc.c:139
-#: utils/adt/regproc.c:291
-#, c-format
-msgid "function \"%s\" does not exist"
-msgstr "no existe la función «%s»"
-
-#: utils/adt/acl.c:4200
-#, c-format
-msgid "must be member of role \"%s\""
-msgstr "debe ser miembro del rol «%s»"
-
-#: utils/adt/array_userfuncs.c:49
-msgid "could not determine input data types"
-msgstr "no se pudo determinar el tipo de datos de entrada"
-
-#: utils/adt/array_userfuncs.c:83
-msgid "neither input type is an array"
-msgstr "ninguno de los tipos de entrada es un array"
-
-#: utils/adt/array_userfuncs.c:104 utils/adt/array_userfuncs.c:114
-#: utils/adt/float.c:1100 utils/adt/float.c:1159 utils/adt/float.c:2716
-#: utils/adt/float.c:2732 utils/adt/int.c:613 utils/adt/int.c:642
-#: utils/adt/int.c:663 utils/adt/int.c:683 utils/adt/int.c:705
-#: utils/adt/int.c:734 utils/adt/int.c:748 utils/adt/int.c:763
-#: utils/adt/int.c:902 utils/adt/int.c:923 utils/adt/int.c:950
-#: utils/adt/int.c:990 utils/adt/int.c:1011 utils/adt/int.c:1038
-#: utils/adt/int.c:1069 utils/adt/int.c:1132 utils/adt/int8.c:1222
-#: utils/adt/numeric.c:2035 utils/adt/numeric.c:2044 utils/adt/varbit.c:1392
-msgid "integer out of range"
-msgstr "el entero está fuera de rango"
-
-#: utils/adt/array_userfuncs.c:122
-msgid "argument must be empty or one-dimensional array"
-msgstr "el argumento debe ser vacío o un array unidimensional"
-
-#: utils/adt/array_userfuncs.c:225 utils/adt/array_userfuncs.c:264
-#: utils/adt/array_userfuncs.c:301 utils/adt/array_userfuncs.c:330
-#: utils/adt/array_userfuncs.c:358
-msgid "cannot concatenate incompatible arrays"
-msgstr "no se pueden concatenar arrays incompatibles"
-
-#: utils/adt/array_userfuncs.c:226
-#, c-format
-msgid ""
-"Arrays with element types %s and %s are not compatible for concatenation."
-msgstr ""
-"Los arrays con elementos de tipo %s y %s son incompatibles para la "
-"concatenación."
-
-#: utils/adt/array_userfuncs.c:265
-#, c-format
-msgid "Arrays of %d and %d dimensions are not compatible for concatenation."
-msgstr ""
-"Los arrays de dimesiones %d y %d son incompatibles para la concatenación."
-
-#: utils/adt/array_userfuncs.c:302
-msgid ""
-"Arrays with differing element dimensions are not compatible for "
-"concatenation."
-msgstr ""
-"Los arrays con elementos de diferentes dimensiones son incompatibles para la "
-"concatenación."
-
-#: utils/adt/array_userfuncs.c:331 utils/adt/array_userfuncs.c:359
-msgid "Arrays with differing dimensions are not compatible for concatenation."
-msgstr ""
-"Los arrays con diferentes dimensiones son incompatibles para la "
-"concatenación."
-
-#: utils/adt/array_userfuncs.c:425 utils/adt/arrayfuncs.c:1186
-#: utils/adt/arrayfuncs.c:2845 utils/adt/arrayfuncs.c:4525
-#, c-format
-msgid "invalid number of dimensions: %d"
-msgstr "número incorrecto de dimensiones: %d"
-
-#: utils/adt/array_userfuncs.c:485
-msgid "could not determine input data type"
-msgstr "no se pudo determinar el tipo de dato de entrada"
-
-#: utils/adt/arrayfuncs.c:210 utils/adt/arrayfuncs.c:222
-msgid "missing dimension value"
-msgstr "falta un valor de dimensión"
-
-#: utils/adt/arrayfuncs.c:232
-msgid "missing \"]\" in array dimensions"
-msgstr "falta un «]» en las dimensiones de array"
-
-#: utils/adt/arrayfuncs.c:240 utils/adt/arrayfuncs.c:2370
-#: utils/adt/arrayfuncs.c:2398 utils/adt/arrayfuncs.c:2413
-msgid "upper bound cannot be less than lower bound"
-msgstr "el límite superior no puede ser menor que el límite inferior"
-
-#: utils/adt/arrayfuncs.c:252 utils/adt/arrayfuncs.c:278
-msgid "array value must start with \"{\" or dimension information"
-msgstr "el valor de array debe comenzar con «{» o información de dimensión"
-
-#: utils/adt/arrayfuncs.c:266
-msgid "missing assignment operator"
-msgstr "falta un operador de asignación"
-
-#: utils/adt/arrayfuncs.c:283 utils/adt/arrayfuncs.c:289
-msgid "array dimensions incompatible with array literal"
-msgstr "las dimensiones del array no son compatibles con el literal"
-
-#: utils/adt/arrayfuncs.c:392 utils/adt/arrayfuncs.c:407
-#: utils/adt/arrayfuncs.c:416 utils/adt/arrayfuncs.c:430
-#: utils/adt/arrayfuncs.c:450 utils/adt/arrayfuncs.c:478
-#: utils/adt/arrayfuncs.c:483 utils/adt/arrayfuncs.c:523
-#: utils/adt/arrayfuncs.c:544 utils/adt/arrayfuncs.c:563
-#: utils/adt/arrayfuncs.c:673 utils/adt/arrayfuncs.c:682
-#: utils/adt/arrayfuncs.c:712 utils/adt/arrayfuncs.c:727
-#: utils/adt/arrayfuncs.c:780
-#, c-format
-msgid "malformed array literal: \"%s\""
-msgstr "literal de array no es válido: «%s»"
-
-#: utils/adt/arrayfuncs.c:819 utils/adt/arrayfuncs.c:1407
-#: utils/adt/arrayfuncs.c:2729 utils/adt/arrayfuncs.c:2877
-#: utils/adt/arrayfuncs.c:4625 utils/adt/arrayutils.c:93
-#: utils/adt/arrayutils.c:102 utils/adt/arrayutils.c:109
-#, c-format
-msgid "array size exceeds the maximum allowed (%d)"
-msgstr "el tamaño del array excede el máximo permitido (%d)"
-
-#: utils/adt/arrayfuncs.c:1197
-msgid "invalid array flags"
-msgstr "opciones de array no válidas"
-
-#: utils/adt/arrayfuncs.c:1205
-msgid "wrong element type"
-msgstr "el tipo de elemento es erróneo"
-
-#: utils/adt/arrayfuncs.c:1241 utils/cache/lsyscache.c:2394
-#, c-format
-msgid "no binary input function available for type %s"
-msgstr "no hay una función binaria de entrada para el tipo %s"
-
-#: utils/adt/arrayfuncs.c:1381
-#, c-format
-msgid "improper binary format in array element %d"
-msgstr "el formato binario no es válido en elemento %d de array"
-
-#: utils/adt/arrayfuncs.c:1463 utils/cache/lsyscache.c:2429
-#, c-format
-msgid "no binary output function available for type %s"
-msgstr "no hay una función binaria de salida para el tipo %s"
-
-#: utils/adt/arrayfuncs.c:1837
-msgid "slices of fixed-length arrays not implemented"
-msgstr "no está implementada la obtención de segmentos de arrays de largo fijo"
-
-#: utils/adt/arrayfuncs.c:2010 utils/adt/arrayfuncs.c:2032
-#: utils/adt/arrayfuncs.c:2066 utils/adt/arrayfuncs.c:2352
-#: utils/adt/arrayfuncs.c:4505 utils/adt/arrayfuncs.c:4537
-#: utils/adt/arrayfuncs.c:4554
-msgid "wrong number of array subscripts"
-msgstr "número incorrecto de subíndices del array"
-
-#: utils/adt/arrayfuncs.c:2015 utils/adt/arrayfuncs.c:2108
-#: utils/adt/arrayfuncs.c:2403
-msgid "array subscript out of range"
-msgstr "los subíndices de arrays están fuera de rango"
-
-#: utils/adt/arrayfuncs.c:2020
-msgid "cannot assign null value to an element of a fixed-length array"
-msgstr ""
-"no se puede asignar un valor nulo a un elemento de un array de longitud fija"
-
-#: utils/adt/arrayfuncs.c:2306
-msgid "updates on slices of fixed-length arrays not implemented"
-msgstr ""
-"no están implementadas las actualizaciones en segmentos de arrays de largo "
-"fija"
-
-#: utils/adt/arrayfuncs.c:2342 utils/adt/arrayfuncs.c:2429
-msgid "source array too small"
-msgstr "el array de origen es demasiado pequeño"
-
-#: utils/adt/arrayfuncs.c:2984
-msgid "null array element not allowed in this context"
-msgstr "los arrays con elementos null no son permitidos en este contexto"
-
-#: utils/adt/arrayfuncs.c:3045 utils/adt/arrayfuncs.c:3252
-#: utils/adt/arrayfuncs.c:3452
-msgid "cannot compare arrays of different element types"
-msgstr "no se pueden comparar arrays con elementos de distintos tipos"
-
-#: utils/adt/arrayfuncs.c:4403 utils/adt/arrayfuncs.c:4443
-msgid "dimension array or low bound array cannot be NULL"
-msgstr ""
-"el array de dimensiones o el array de límites inferiores no puede ser NULL"
-
-#: utils/adt/arrayfuncs.c:4506 utils/adt/arrayfuncs.c:4538
-msgid "Dimension array must be one dimensional."
-msgstr "El array de dimensiones debe ser unidimensional."
-
-#: utils/adt/arrayfuncs.c:4511 utils/adt/arrayfuncs.c:4543
-msgid "wrong range of array subscripts"
-msgstr "rango incorrecto en los subíndices del array"
-
-#: utils/adt/arrayfuncs.c:4512 utils/adt/arrayfuncs.c:4544
-msgid "Lower bound of dimension array must be one."
-msgstr "El límite inferior del array de dimensiones debe ser uno."
-
-#: utils/adt/arrayfuncs.c:4517 utils/adt/arrayfuncs.c:4549
-msgid "dimension values cannot be null"
-msgstr "los valores de dimensión no pueden ser null"
-
-#: utils/adt/arrayfuncs.c:4555
-msgid "Low bound array has different size than dimensions array."
-msgstr ""
-"El array de límites inferiores tiene tamaño diferente que el array de "
-"dimensiones."
-
-#: utils/adt/arrayutils.c:209
-msgid "typmod array must be type cstring[]"
-msgstr "el array de typmod debe ser de tipo cstring[]"
-
-#: utils/adt/arrayutils.c:214
-msgid "typmod array must be one-dimensional"
-msgstr "array de typmod debe ser unidimensional"
-
-#: utils/adt/arrayutils.c:219
-msgid "typmod array must not contain nulls"
-msgstr "los arrays de typmod no deben contener valores nulos"
-
-#: utils/adt/ascii.c:75
-#, c-format
-msgid "encoding conversion from %s to ASCII not supported"
-msgstr "la conversión de codificación de %s a ASCII no está soportada"
-
-#: utils/adt/bool.c:153
-#, c-format
-msgid "invalid input syntax for type boolean: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo boolean: «%s»"
-
-#: utils/adt/cash.c:232
-#, c-format
-msgid "invalid input syntax for type money: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo money: «%s»"
-
-#: utils/adt/cash.c:524 utils/adt/cash.c:575 utils/adt/cash.c:624
-#: utils/adt/cash.c:676 utils/adt/cash.c:726 utils/adt/float.c:763
-#: utils/adt/float.c:827 utils/adt/float.c:2475 utils/adt/float.c:2538
-#: utils/adt/geo_ops.c:3967 utils/adt/int.c:720 utils/adt/int.c:865
-#: utils/adt/int.c:964 utils/adt/int.c:1053 utils/adt/int.c:1083
-#: utils/adt/int.c:1107 utils/adt/int8.c:605 utils/adt/int8.c:656
-#: utils/adt/int8.c:839 utils/adt/int8.c:938 utils/adt/int8.c:1027
-#: utils/adt/int8.c:1126 utils/adt/numeric.c:4183 utils/adt/numeric.c:4466
-#: utils/adt/timestamp.c:2865
-msgid "division by zero"
-msgstr "división por cero"
-
-#: utils/adt/char.c:169
-msgid "\"char\" out of range"
-msgstr "«char» está fuera de rango"
-
-#: utils/adt/date.c:66 utils/adt/timestamp.c:92 utils/adt/varbit.c:44
-#: utils/adt/varchar.c:43
-msgid "invalid type modifier"
-msgstr "el modificador de tipo no es válido"
-
-#: utils/adt/date.c:71
-#, c-format
-msgid "TIME(%d)%s precision must not be negative"
-msgstr "la precisión de TIME(%d)%s no debe ser negativa"
-
-#: utils/adt/date.c:77
-#, c-format
-msgid "TIME(%d)%s precision reduced to maximum allowed, %d"
-msgstr "la precisión de TIME(%d)%s fue reducida al máximo permitido, %d"
-
-#: utils/adt/date.c:142 utils/adt/datetime.c:1186 utils/adt/datetime.c:1934
-msgid "date/time value \"current\" is no longer supported"
-msgstr "valor de hora/fecha «current» ya no está soportado"
-
-#: utils/adt/date.c:167
-#, c-format
-msgid "date out of range: \"%s\""
-msgstr "fecha fuera de rango: «%s»"
-
-#: utils/adt/date.c:347
-msgid "cannot subtract infinite dates"
-msgstr "no se pueden restar fechas infinitas"
-
-#: utils/adt/date.c:404 utils/adt/date.c:441
-msgid "date out of range for timestamp"
-msgstr "fecha fuera de rango para timestamp"
-
-#: utils/adt/date.c:974
-msgid "cannot convert reserved abstime value to date"
-msgstr "no se puede convertir un valor reservado de abstime a date"
-
-#: utils/adt/date.c:1128 utils/adt/date.c:1135 utils/adt/date.c:1903
-#: utils/adt/date.c:1910
-msgid "time out of range"
-msgstr "hora fuera de rango"
-
-#: utils/adt/date.c:1781 utils/adt/date.c:1798
-#, c-format
-msgid "\"time\" units \"%s\" not recognized"
-msgstr "las unidades de «time» «%s» no son reconocidas"
-
-#: utils/adt/date.c:1920
-msgid "time zone displacement out of range"
-msgstr "desplazamiento de huso horario fuera de rango"
-
-#: utils/adt/date.c:2545 utils/adt/date.c:2562
-#, c-format
-msgid "\"time with time zone\" units \"%s\" not recognized"
-msgstr "las unidades de «timestamp with time zone» «%s» no son reconocidas"
-
-#: utils/adt/date.c:2620 utils/adt/datetime.c:928 utils/adt/datetime.c:1663
-#: utils/adt/timestamp.c:4441 utils/adt/timestamp.c:4614
-#, c-format
-msgid "time zone \"%s\" not recognized"
-msgstr "el huso horario «%s» no es reconocido"
-
-#: utils/adt/date.c:2660
-#, c-format
-msgid "\"interval\" time zone \"%s\" not valid"
-msgstr "el huso horario «%s» de «interval» no es válido"
-
-#: utils/adt/datetime.c:3529 utils/adt/datetime.c:3536
-#, c-format
-msgid "date/time field value out of range: \"%s\""
-msgstr "el valor de hora/fecha está fuera de rango: «%s»"
-
-#: utils/adt/datetime.c:3538
-msgid "Perhaps you need a different \"datestyle\" setting."
-msgstr "Quizás necesite una configuración diferente de «datestyle»."
-
-#: utils/adt/datetime.c:3543
-#, c-format
-msgid "interval field value out of range: \"%s\""
-msgstr "el valor de interval está fuera de rango: «%s»"
-
-#: utils/adt/datetime.c:3549
-#, c-format
-msgid "time zone displacement out of range: \"%s\""
-msgstr "el desplazamiento de huso horario está fuera de rango: «%s»"
-
-#. translator: first %s is inet or cidr
-#: utils/adt/datetime.c:3556 utils/adt/network.c:107
-#, c-format
-msgid "invalid input syntax for type %s: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo %s: «%s»"
-
-#: utils/adt/datum.c:80 utils/adt/datum.c:92
-msgid "invalid Datum pointer"
-msgstr "puntero a Datum no válido"
-
-#: utils/adt/dbsize.c:104 utils/adt/dbsize.c:193
-#, c-format
-msgid "could not open tablespace directory \"%s\": %m"
-msgstr "no se pudo abrir el directorio de tablespace «%s»: %m"
-
-#: utils/adt/domains.c:80
-#, c-format
-msgid "type %s is not a domain"
-msgstr "tipo «%s» no es un dominio"
-
-#: utils/adt/encode.c:55 utils/adt/encode.c:91
-#, c-format
-msgid "unrecognized encoding: \"%s\""
-msgstr "no se reconoce la codificación: «%s»"
-
-#: utils/adt/encode.c:150
-#, c-format
-msgid "invalid hexadecimal digit: \"%c\""
-msgstr "el dígito hexadecimal no es válido: «%c»"
-
-#: utils/adt/encode.c:178
-msgid "invalid hexadecimal data: odd number of digits"
-msgstr "el dato hexadecimal no es válido: tiene un número impar de dígitos"
-
-#: utils/adt/encode.c:295
-msgid "unexpected \"=\""
-msgstr "«=» inesperado"
-
-#: utils/adt/encode.c:307
-msgid "invalid symbol"
-msgstr "símbolo no válido"
-
-#: utils/adt/encode.c:327
-msgid "invalid end sequence"
-msgstr "secuencia de término no válida"
-
-#: utils/adt/encode.c:441 utils/adt/encode.c:506 utils/adt/varlena.c:211
-#: utils/adt/varlena.c:252
-msgid "invalid input syntax for type bytea"
-msgstr "sintaxis de entrada no válida para tipo bytea"
-
-#: utils/adt/enum.c:44 utils/adt/enum.c:55 utils/adt/enum.c:108
-#: utils/adt/enum.c:119
-#, c-format
-msgid "invalid input value for enum %s: \"%s\""
-msgstr "la sintaxis de entrada no es válida para el enum %s: «%s»"
-
-#: utils/adt/enum.c:80 utils/adt/enum.c:146
-#, c-format
-msgid "invalid internal value for enum: %u"
-msgstr "el valor interno no es válido para enum: %u"
-
-#: utils/adt/enum.c:266 utils/adt/enum.c:307 utils/adt/enum.c:356
-#: utils/adt/enum.c:376
-msgid "could not determine actual enum type"
-msgstr "no se pudo determinar el tipo enum efectivo"
-
-#: utils/adt/float.c:54
-msgid "value out of range: overflow"
-msgstr "valor fuera de rango: desbordamiento"
-
-#: utils/adt/float.c:59
-msgid "value out of range: underflow"
-msgstr "valor fuera de rango: desbordamiento por abajo"
-
-#: utils/adt/float.c:205 utils/adt/float.c:246 utils/adt/float.c:297
-#, c-format
-msgid "invalid input syntax for type real: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo real: «%s»"
-
-#: utils/adt/float.c:241
-#, c-format
-msgid "\"%s\" is out of range for type real"
-msgstr "«%s» está fuera de rango para el tipo real"
-
-#: utils/adt/float.c:398 utils/adt/float.c:439 utils/adt/float.c:490
-#: utils/adt/numeric.c:3645 utils/adt/numeric.c:3671
-#, c-format
-msgid "invalid input syntax for type double precision: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo double precision: «%s»"
-
-#: utils/adt/float.c:434
-#, c-format
-msgid "\"%s\" is out of range for type double precision"
-msgstr "«%s» está fuera de rango para el tipo double precision"
-
-#: utils/adt/float.c:1118 utils/adt/float.c:1176 utils/adt/int.c:339
-#: utils/adt/int.c:779 utils/adt/int.c:808 utils/adt/int.c:829
-#: utils/adt/int.c:849 utils/adt/int.c:881 utils/adt/int.c:1147
-#: utils/adt/int8.c:1247 utils/adt/numeric.c:2136 utils/adt/numeric.c:2147
-msgid "smallint out of range"
-msgstr "smallint está fuera de rango"
-
-#: utils/adt/float.c:1302 utils/adt/numeric.c:4859
-msgid "cannot take square root of a negative number"
-msgstr "no se puede calcular la raíz cuadrada un de número negativo"
-
-#: utils/adt/float.c:1344 utils/adt/numeric.c:1948
-msgid "zero raised to a negative power is undefined"
-msgstr "cero elevado a una potencia negativa es indefinido"
-
-#: utils/adt/float.c:1348 utils/adt/numeric.c:1954
-msgid "a negative number raised to a non-integer power yields a complex result"
-msgstr ""
-"un número negativo elevado a una potencia no positiva entrega un resultado "
-"complejo"
-
-#: utils/adt/float.c:1414 utils/adt/float.c:1444 utils/adt/numeric.c:5077
-msgid "cannot take logarithm of zero"
-msgstr "no se puede calcular logaritmo de cero"
-
-#: utils/adt/float.c:1418 utils/adt/float.c:1448 utils/adt/numeric.c:5081
-msgid "cannot take logarithm of a negative number"
-msgstr "no se puede calcular logaritmo de un número negativo"
-
-#: utils/adt/float.c:1475 utils/adt/float.c:1496 utils/adt/float.c:1517
-#: utils/adt/float.c:1539 utils/adt/float.c:1560 utils/adt/float.c:1581
-#: utils/adt/float.c:1603 utils/adt/float.c:1624
-msgid "input is out of range"
-msgstr "la entrada está fuera de rango"
-
-#: utils/adt/float.c:2692 utils/adt/numeric.c:955
-msgid "count must be greater than zero"
-msgstr "count debe ser mayor que cero"
-
-#: utils/adt/float.c:2697 utils/adt/numeric.c:962
-msgid "operand, lower bound and upper bound cannot be NaN"
-msgstr "el operando, límite inferior y límite superior no pueden ser NaN"
-
-#: utils/adt/float.c:2703
-msgid "lower and upper bounds must be finite"
-msgstr "los límites inferior y superior deben ser finitos"
-
-#: utils/adt/float.c:2741 utils/adt/numeric.c:975
-msgid "lower bound cannot equal upper bound"
-msgstr "el límite superior no puede ser igual al límite inferior"
-
-#: utils/adt/formatting.c:489
-msgid "invalid format specification for an interval value"
-msgstr "especificación de formato no válida para un valor de interval"
-
-#: utils/adt/formatting.c:490
-msgid "Intervals are not tied to specific calendar dates."
-msgstr ""
-"Los Interval no están ... a valores determinados de fechas de calendario."
-
-#: utils/adt/formatting.c:1055
-msgid "\"9\" must be ahead of \"PR\""
-msgstr "«9» debe ir antes de «PR»"
-
-#: utils/adt/formatting.c:1074
-msgid "\"0\" must be ahead of \"PR\""
-msgstr "«0» debe ir antes de «PR»"
-
-#: utils/adt/formatting.c:1103
-msgid "multiple decimal points"
-msgstr "hay múltiples puntos decimales"
-
-#: utils/adt/formatting.c:1110 utils/adt/formatting.c:1214
-msgid "cannot use \"V\" and decimal point together"
-msgstr "no se puede usar «V» y un punto decimal simultáneamente"
-
-#: utils/adt/formatting.c:1125
-msgid "cannot use \"S\" twice"
-msgstr "no se puede usar «S» dos veces"
-
-#: utils/adt/formatting.c:1132
-msgid "cannot use \"S\" and \"PL\"/\"MI\"/\"SG\"/\"PR\" together"
-msgstr "no se puede usar «S» y «PL»/«MI»/«SG»/«PR» simultáneamente"
-
-#: utils/adt/formatting.c:1155
-msgid "cannot use \"S\" and \"MI\" together"
-msgstr "no se puede usar «S» y «MI» simultáneamente"
-
-#: utils/adt/formatting.c:1168
-msgid "cannot use \"S\" and \"PL\" together"
-msgstr "no se puede usar «S» y «PL» simultáneamente"
-
-#: utils/adt/formatting.c:1181
-msgid "cannot use \"S\" and \"SG\" together"
-msgstr "no se puede usar «S» y «SG» simultáneamente"
-
-#: utils/adt/formatting.c:1193
-msgid "cannot use \"PR\" and \"S\"/\"PL\"/\"MI\"/\"SG\" together"
-msgstr "no se puede usar «PR» y «S»/«PL»/«MI»/«SG» simultáneamente"
-
-#: utils/adt/formatting.c:1223
-msgid "\"E\" is not supported"
-msgstr "«E» no está soportado"
-
-#: utils/adt/formatting.c:1413
-#, c-format
-msgid "\"%s\" is not a number"
-msgstr "«%s» no es un número"
-
-#: utils/adt/formatting.c:1790
-msgid "invalid combination of date conventions"
-msgstr "combinacion invalida de convenciones de fecha"
-
-#: utils/adt/formatting.c:1791
-msgid ""
-"Do not mix Gregorian and ISO week date conventions in a formatting template."
-msgstr ""
-" No mezclar convenciones de semana Gregorianas e ISO en una plantilla "
-"formateada"
-
-#: utils/adt/formatting.c:1808
-#, c-format
-msgid "conflicting values for \"%s\" field in formatting string"
-msgstr "valores en conflicto para le campo \"%s\" en un string formateado"
-
-#: utils/adt/formatting.c:1810
-msgid "This value contradicts a previous setting for the same field type."
-msgstr ""
-"Este valor se contradice con un seteo previo para el mismo tipo de campo"
-
-#: utils/adt/formatting.c:1871
-#, c-format
-msgid "source string too short for \"%s\" formatting field"
-msgstr "cadena de texto fuente muy corta para campo formateado \"%s\" "
-
-#: utils/adt/formatting.c:1873
-#, c-format
-msgid "Field requires %d characters, but only %d remain."
-msgstr "El campo requiere %d caractéres, pero solo quedan %d."
-
-#: utils/adt/formatting.c:1876 utils/adt/formatting.c:1890
-msgid ""
-"If your source string is not fixed-width, try using the \"FM\" modifier."
-msgstr ""
-"Si su cadena de texto no es de ancho modificado, trate de usar el "
-"modificador \"FM\" "
-
-#: utils/adt/formatting.c:1886 utils/adt/formatting.c:1899
-#: utils/adt/formatting.c:2029
-#, c-format
-msgid "invalid value \"%s\" for \"%s\""
-msgstr "el valor «%s» no es válido para «%s»"
-
-#: utils/adt/formatting.c:1888
-#, c-format
-msgid "Field requires %d characters, but only %d could be parsed."
-msgstr "El campo requiere %d caracteres, pero sólo %d pudieron ser analizados."
-
-#: utils/adt/formatting.c:1901
-msgid "Value must be an integer."
-msgstr "El valor debe ser un entero."
-
-#: utils/adt/formatting.c:1906
-#, c-format
-msgid "value for \"%s\" in source string is out of range"
-msgstr "el valor para «%s» en la cadena de origen está fuera de rango"
-
-#: utils/adt/formatting.c:1908
-#, c-format
-msgid "Value must be in the range %d to %d."
-msgstr "EL valor debe estar en el rango de %d a %d."
-
-#: utils/adt/formatting.c:2031
-msgid "The given value did not match any of the allowed values for this field."
-msgstr ""
-"El valor dado no concuerda con ninguno de los valores permitidos para este "
-"campo."
-
-#: utils/adt/formatting.c:2593
-msgid "\"TZ\"/\"tz\" format patterns are not supported in to_date"
-msgstr "los patrones de formato «TZ»/«tz» no están soportados en to_date"
-
-#: utils/adt/formatting.c:2694
-msgid "invalid input string for \"Y,YYY\""
-msgstr "cadena de entrada no válida para «Y,YYY»"
-
-#: utils/adt/formatting.c:3208
-#, c-format
-msgid "hour \"%d\" is invalid for the 12-hour clock"
-msgstr "la hora «%d» no es válida para el reloj de 12 horas"
-
-#: utils/adt/formatting.c:3210
-msgid "Use the 24-hour clock, or give an hour between 1 and 12."
-msgstr "Use el reloj de 24 horas, o entregue una hora entre 1 y 12."
-
-#: utils/adt/formatting.c:3248
-#, c-format
-msgid "inconsistent use of year %04d and \"BC\""
-msgstr "el uso del año %04d y «BC» es inconsistente"
-
-#: utils/adt/formatting.c:3295
-msgid "cannot calculate day of year without year information"
-msgstr "no se puede calcular el día del año sin conocer el año"
-
-#: utils/adt/formatting.c:4160
-msgid "\"RN\" not supported"
-msgstr "«RN» no está soportado"
-
-#: utils/adt/genfile.c:57
-msgid "reference to parent directory (\"..\") not allowed"
-msgstr "no se permiten referencias a directorios padre («..»)"
-
-#: utils/adt/genfile.c:71
-msgid "absolute path not allowed"
-msgstr "no se permiten rutas absolutas"
-
-#: utils/adt/genfile.c:98
-msgid "must be superuser to read files"
-msgstr "debe ser superusuario para leer archivos"
-
-#: utils/adt/genfile.c:112
-#, c-format
-msgid "could not seek in file \"%s\": %m"
-msgstr "no se pudo posicionar (seek) el archivo «%s»: %m"
-
-#: utils/adt/genfile.c:117
-msgid "requested length cannot be negative"
-msgstr "el tamaño solicitado no puede ser negativo"
-
-#: utils/adt/genfile.c:123 utils/adt/oracle_compat.c:181
-#: utils/adt/oracle_compat.c:279 utils/adt/oracle_compat.c:755
-#: utils/adt/oracle_compat.c:1045
-msgid "requested length too large"
-msgstr "el tamaño solicitado es demasiado grande"
-
-#: utils/adt/genfile.c:159
-msgid "must be superuser to get file information"
-msgstr "debe ser superusuario obtener información de archivos"
-
-#: utils/adt/genfile.c:223
-msgid "must be superuser to get directory listings"
-msgstr "debe ser superusuario para obtener listados de directorio"
-
-#: utils/adt/geo_ops.c:292 utils/adt/geo_ops.c:4088 utils/adt/geo_ops.c:5009
-msgid "too many points requested"
-msgstr "se pidieron demasiados puntos"
-
-#: utils/adt/geo_ops.c:315
-msgid "could not format \"path\" value"
-msgstr "no se pudo dar formato a «path»"
-
-#: utils/adt/geo_ops.c:390
-#, c-format
-msgid "invalid input syntax for type box: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo box: «%s»"
-
-#: utils/adt/geo_ops.c:954
-#, c-format
-msgid "invalid input syntax for type line: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo line: «%s»"
-
-#: utils/adt/geo_ops.c:961 utils/adt/geo_ops.c:1028 utils/adt/geo_ops.c:1043
-#: utils/adt/geo_ops.c:1055
-msgid "type \"line\" not yet implemented"
-msgstr "el tipo «line» no está implementado"
-
-#: utils/adt/geo_ops.c:1409 utils/adt/geo_ops.c:1432
-#, c-format
-msgid "invalid input syntax for type path: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo «path»: «%s»"
-
-#: utils/adt/geo_ops.c:1471
-msgid "invalid number of points in external \"path\" value"
-msgstr "el número de puntos no es válido en el valor «path» externo"
-
-#: utils/adt/geo_ops.c:1814
-#, c-format
-msgid "invalid input syntax for type point: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo point: «%s»"
-
-#: utils/adt/geo_ops.c:2042
-#, c-format
-msgid "invalid input syntax for type lseg: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo lseg: «%s»"
-
-#: utils/adt/geo_ops.c:2632
-msgid "function \"dist_lb\" not implemented"
-msgstr "la función «dist_lb» no está implementada"
-
-#: utils/adt/geo_ops.c:3145
-msgid "function \"close_lb\" not implemented"
-msgstr "la función «close_lb» no está implementada"
-
-#: utils/adt/geo_ops.c:3424
-msgid "cannot create bounding box for empty polygon"
-msgstr "no se puede crear una caja de contorno para un polígono vacío"
-
-#: utils/adt/geo_ops.c:3448 utils/adt/geo_ops.c:3460
-#, c-format
-msgid "invalid input syntax for type polygon: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo polygon: «%s»"
-
-#: utils/adt/geo_ops.c:3500
-msgid "invalid number of points in external \"polygon\" value"
-msgstr "el número de puntos no es válido en «polygon» externo"
-
-#: utils/adt/geo_ops.c:3886
-msgid "function \"poly_distance\" not implemented"
-msgstr "la función «poly_distance» no está implementada"
-
-#: utils/adt/geo_ops.c:4200
-msgid "function \"path_center\" not implemented"
-msgstr "la función «path_center» no está implementada"
-
-#: utils/adt/geo_ops.c:4217
-msgid "open path cannot be converted to polygon"
-msgstr "no se puede convertir un camino abierto en polygon"
-
-#: utils/adt/geo_ops.c:4386 utils/adt/geo_ops.c:4396 utils/adt/geo_ops.c:4411
-#: utils/adt/geo_ops.c:4417
-#, c-format
-msgid "invalid input syntax for type circle: \"%s\""
-msgstr "la sintaxis de entrada no es válida para el tipo circle: «%s»"
-
-#: utils/adt/geo_ops.c:4439 utils/adt/geo_ops.c:4447
-msgid "could not format \"circle\" value"
-msgstr "no se pudo dar formato al valor «circle»"
-
-#: utils/adt/geo_ops.c:4474
-msgid "invalid radius in external \"circle\" value"
-msgstr "el radio no es válido en el valor «circle» externo"
-
-#: utils/adt/geo_ops.c:4995
-msgid "cannot convert circle with radius zero to polygon"
-msgstr "no se puede convertir un círculo de radio cero a polygon"
-
-#: utils/adt/geo_ops.c:5000
-msgid "must request at least 2 points"
-msgstr "debe pedir al menos 2 puntos"
-
-#: utils/adt/geo_ops.c:5044 utils/adt/geo_ops.c:5067
-msgid "cannot convert empty polygon to circle"
-msgstr "no se puede convertir polígono vacío a circle"
-
-#: utils/adt/int.c:161
-msgid "int2vector has too many elements"
-msgstr "int2vector tiene demasiados elementos"
-
-#: utils/adt/int.c:234
-msgid "invalid int2vector data"
-msgstr "datos de int2vector no válidos"
-
-#: utils/adt/int.c:1335 utils/adt/int8.c:1384 utils/adt/timestamp.c:4701
-#: utils/adt/timestamp.c:4782
-msgid "step size cannot equal zero"
-msgstr "el tamaño de paso no puede ser cero"
-
-#: utils/adt/int8.c:101 utils/adt/int8.c:136 utils/adt/numutils.c:53
-#: utils/adt/numutils.c:63 utils/adt/numutils.c:105
-#, c-format
-msgid "invalid input syntax for integer: \"%s\""
-msgstr "la sintaxis de entrada no es válida para integer: «%s»"
-
-#: utils/adt/int8.c:117
-#, c-format
-msgid "value \"%s\" is out of range for type bigint"
-msgstr "el valor «%s» está fuera de rango para el tipo bigint"
-
-#: utils/adt/int8.c:506 utils/adt/int8.c:535 utils/adt/int8.c:556
-#: utils/adt/int8.c:589 utils/adt/int8.c:621 utils/adt/int8.c:639
-#: utils/adt/int8.c:690 utils/adt/int8.c:707 utils/adt/int8.c:776
-#: utils/adt/int8.c:797 utils/adt/int8.c:824 utils/adt/int8.c:855
-#: utils/adt/int8.c:876 utils/adt/int8.c:897 utils/adt/int8.c:924
-#: utils/adt/int8.c:964 utils/adt/int8.c:985 utils/adt/int8.c:1012
-#: utils/adt/int8.c:1043 utils/adt/int8.c:1064 utils/adt/int8.c:1085
-#: utils/adt/int8.c:1112 utils/adt/int8.c:1285 utils/adt/int8.c:1324
-#: utils/adt/numeric.c:2088 utils/adt/varbit.c:1476
-msgid "bigint out of range"
-msgstr "bigint está fuera de rango"
-
-#: utils/adt/int8.c:1341
-msgid "OID out of range"
-msgstr "OID está fuera de rango"
-
-#: utils/adt/like_match.c:103
-msgid "LIKE pattern must not end with escape character"
-msgstr "el patrón LIKE no debe terminar con un carácter de escape"
-
-#: utils/adt/like_match.c:285 utils/adt/regexp.c:681
-msgid "invalid escape string"
-msgstr "la cadena de escape no es válida"
-
-#: utils/adt/like_match.c:286 utils/adt/regexp.c:682
-msgid "Escape string must be empty or one character."
-msgstr "La cadena de escape debe estar vacía o tener un solo carácter."
-
-#: utils/adt/mac.c:65
-#, c-format
-msgid "invalid input syntax for type macaddr: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo macaddr: «%s»"
-
-#: utils/adt/mac.c:72
-#, c-format
-msgid "invalid octet value in \"macaddr\" value: \"%s\""
-msgstr "el valor de octeto no es válido en «macaddr»: «%s»"
-
-#: utils/adt/misc.c:79
-msgid "must be superuser to signal other server processes"
-msgstr "debe ser superusuario para enviar señales a otros procesos"
-
-#: utils/adt/misc.c:88
-#, c-format
-msgid "PID %d is not a PostgreSQL server process"
-msgstr "el proceso con PID %d no es un proceso servidor PostgreSQL"
-
-#: utils/adt/misc.c:125
-msgid "must be superuser to signal the postmaster"
-msgstr "debe ser superusuario para enviar señales a postmaster"
-
-#: utils/adt/misc.c:130
-#, c-format
-msgid "failed to send signal to postmaster: %m"
-msgstr "no se pudo enviar la señal al postmaster: %m"
-
-#: utils/adt/misc.c:147
-msgid "must be superuser to rotate log files"
-msgstr "debe ser superusuario para rotar archivos de registro"
-
-#: utils/adt/misc.c:152
-msgid "rotation not possible because log collection not active"
-msgstr ""
-"la rotación no es posible, porque la recolección del logs no está activa"
-
-#: utils/adt/misc.c:193
-msgid "global tablespace never has databases"
-msgstr "el tablespace global nunca tiene bases de datos"
-
-#: utils/adt/misc.c:213
-#, c-format
-msgid "%u is not a tablespace OID"
-msgstr "%u no es un OID de tablespace"
-
-#: utils/adt/misc.c:349
-msgid "unreserved"
-msgstr "no reservada"
-
-#: utils/adt/misc.c:353
-msgid "unreserved (cannot be function or type name)"
-msgstr "no reservada (no puede ser nombre de función o tipo)"
-
-#: utils/adt/misc.c:357
-msgid "reserved (can be function or type name)"
-msgstr "reservada (puede ser nombre de función o tipo)"
-
-#: utils/adt/misc.c:361
-msgid "reserved"
-msgstr "reservada"
-
-#: utils/adt/nabstime.c:160
-#, c-format
-msgid "invalid time zone name: \"%s\""
-msgstr "el nombre de huso horario no es válido: «%s»"
-
-#: utils/adt/nabstime.c:506 utils/adt/nabstime.c:579
-msgid "cannot convert abstime \"invalid\" to timestamp"
-msgstr "no se puede convertir abstime «invalid» a timestamp"
-
-#: utils/adt/nabstime.c:798
-msgid "invalid status in external \"tinterval\" value"
-msgstr "el estado no es válido en el valor «tinterval» externo"
-
-#: utils/adt/nabstime.c:875
-msgid "cannot convert reltime \"invalid\" to interval"
-msgstr "no se puede convertir reltime «invalid» a interval"
-
-#: utils/adt/nabstime.c:1557
-#, c-format
-msgid "invalid input syntax for type tinterval: \"%s\""
-msgstr "la sintaxis de entrada no es válida para el tipo tinterval: «%s»"
-
-#: utils/adt/network.c:118
-#, c-format
-msgid "invalid cidr value: \"%s\""
-msgstr "el formato de cidr no es válido: «%s»"
-
-#: utils/adt/network.c:119 utils/adt/network.c:249
-msgid "Value has bits set to right of mask."
-msgstr "El valor tiene bits a la derecha de la máscara."
-
-#: utils/adt/network.c:160 utils/adt/network.c:614 utils/adt/network.c:639
-#: utils/adt/network.c:664
-#, c-format
-msgid "could not format inet value: %m"
-msgstr "no se pudo dar formato al valor inet: %m"
-
-#. translator: %s is inet or cidr
-#: utils/adt/network.c:217
-#, c-format
-msgid "invalid address family in external \"%s\" value"
-msgstr "la familia de la dirección no es válida en valor «%s» externo"
-
-#. translator: %s is inet or cidr
-#: utils/adt/network.c:224
-#, c-format
-msgid "invalid bits in external \"%s\" value"
-msgstr "bits no válidos en el valor «%s» externo"
-
-#. translator: %s is inet or cidr
-#: utils/adt/network.c:233
-#, c-format
-msgid "invalid length in external \"%s\" value"
-msgstr "largo no válido en valor «%s» externo"
-
-#: utils/adt/network.c:248
-msgid "invalid external \"cidr\" value"
-msgstr "el valor externo «cidr» no es válido"
-
-#: utils/adt/network.c:370 utils/adt/network.c:397
-#, c-format
-msgid "invalid mask length: %d"
-msgstr "el largo de el máscara no es válido: %d"
-
-#: utils/adt/network.c:682
-#, c-format
-msgid "could not format cidr value: %m"
-msgstr "no se pudo dar formato al valor cidr: %m"
-
-#: utils/adt/network.c:1255
-msgid "cannot AND inet values of different sizes"
-msgstr "no se puede hacer AND entre valores inet de distintos tamaños"
-
-#: utils/adt/network.c:1287
-msgid "cannot OR inet values of different sizes"
-msgstr "no se puede hacer OR entre valor inet de distintos tamaños"
-
-#: utils/adt/network.c:1348 utils/adt/network.c:1424
-msgid "result is out of range"
-msgstr "el resultado está fuera de rango"
-
-#: utils/adt/network.c:1389
-msgid "cannot subtract inet values of different sizes"
-msgstr "no se puede restar valores inet de distintos tamaños"
-
-#: utils/adt/numeric.c:351 utils/adt/numeric.c:378 utils/adt/numeric.c:3072
-#: utils/adt/numeric.c:3095 utils/adt/numeric.c:3119 utils/adt/numeric.c:3126
-#, c-format
-msgid "invalid input syntax for type numeric: \"%s\""
-msgstr "la sintaxis de entrada no es válida para el tipo numeric: «%s»"
-
-#: utils/adt/numeric.c:455
-msgid "invalid length in external \"numeric\" value"
-msgstr "el largo no es válido en el valor «numeric» externo"
-
-#: utils/adt/numeric.c:466
-msgid "invalid sign in external \"numeric\" value"
-msgstr "el signo no es válido en el valor «numeric» externo"
-
-#: utils/adt/numeric.c:476
-msgid "invalid digit in external \"numeric\" value"
-msgstr "hay un dígito no válido en el valor «numeric» externo"
-
-#: utils/adt/numeric.c:607 utils/adt/numeric.c:621
-#, c-format
-msgid "NUMERIC precision %d must be between 1 and %d"
-msgstr "la precisión %d de NUMERIC debe estar entre 1 y %d"
-
-#: utils/adt/numeric.c:612
-#, c-format
-msgid "NUMERIC scale %d must be between 0 and precision %d"
-msgstr "la escala de NUMERIC, %d, debe estar entre 0 y la precisión %d"
-
-#: utils/adt/numeric.c:630
-msgid "invalid NUMERIC type modifier"
-msgstr "modificador de tipo NUMERIC no es válido"
-
-#: utils/adt/numeric.c:1663 utils/adt/numeric.c:3430
-msgid "value overflows numeric format"
-msgstr "el valor excede el formato numeric"
-
-#: utils/adt/numeric.c:2011
-msgid "cannot convert NaN to integer"
-msgstr "no se puede convertir NaN a entero"
-
-#: utils/adt/numeric.c:2079
-msgid "cannot convert NaN to bigint"
-msgstr "no se puede convertir NaN a bigint"
-
-#: utils/adt/numeric.c:2127
-msgid "cannot convert NaN to smallint"
-msgstr "no se puede convertir NaN a smallint"
-
-#: utils/adt/numeric.c:3500
-msgid "numeric field overflow"
-msgstr "desbordamiento de campo numeric"
-
-#: utils/adt/numeric.c:3501
-#, c-format
-msgid ""
-"A field with precision %d, scale %d must round to an absolute value less "
-"than %s%d."
-msgstr ""
-"Un campo con precisión %d, escala %d debe redondear a un valor absoluto "
-"menor que %s%d."
-
-#: utils/adt/numeric.c:4949
-msgid "argument for function \"exp\" too big"
-msgstr "el argumento a la función «exp» es demasiado grande"
-
-#: utils/adt/numutils.c:77
-#, c-format
-msgid "value \"%s\" is out of range for type integer"
-msgstr "el valor «%s» está fuera de rango para el tipo integer"
-
-#: utils/adt/numutils.c:83
-#, c-format
-msgid "value \"%s\" is out of range for type smallint"
-msgstr "el valor «%s» está fuera de rango para el tipo smallint"
-
-#: utils/adt/numutils.c:89
-#, c-format
-msgid "value \"%s\" is out of range for 8-bit integer"
-msgstr "el valor «%s» está fuera de rango para un entero de 8 bits"
-
-#: utils/adt/oid.c:43 utils/adt/oid.c:57 utils/adt/oid.c:63 utils/adt/oid.c:84
-#, c-format
-msgid "invalid input syntax for type oid: \"%s\""
-msgstr "la sintaxis de entrada no es válida para el tipo oid: «%s»"
-
-#: utils/adt/oid.c:69 utils/adt/oid.c:107
-#, c-format
-msgid "value \"%s\" is out of range for type oid"
-msgstr "el valor «%s» está fuera de rango para el tipo oid"
-
-#: utils/adt/oid.c:212
-msgid "oidvector has too many elements"
-msgstr "el oidvector tiene demasiados elementos"
-
-#: utils/adt/oid.c:285
-msgid "invalid oidvector data"
-msgstr "datos de oidvector no válidos"
-
-#: utils/adt/oracle_compat.c:892
-msgid "requested character too large"
-msgstr "el carácter solicitado es demasiado grande"
-
-#: utils/adt/oracle_compat.c:938 utils/adt/oracle_compat.c:992
-#, c-format
-msgid "requested character too large for encoding: %d"
-msgstr "el carácter pedido es demasiado largo para el encoding: %d"
-
-#: utils/adt/oracle_compat.c:985
-msgid "null character not permitted"
-msgstr "el carácter nulo no está permitido"
-
-#: utils/adt/pseudotypes.c:94
-msgid "cannot accept a value of type any"
-msgstr "no se puede aceptar un valor de tipo any"
-
-#: utils/adt/pseudotypes.c:107
-msgid "cannot display a value of type any"
-msgstr "no se puede desplegar un valor de tipo any"
-
-#: utils/adt/pseudotypes.c:121 utils/adt/pseudotypes.c:149
-msgid "cannot accept a value of type anyarray"
-msgstr "no se puede aceptar un valor de tipo anyarray"
-
-#: utils/adt/pseudotypes.c:174
-msgid "cannot accept a value of type anyenum"
-msgstr "no se puede aceptar un valor de tipo anyenum"
-
-#: utils/adt/pseudotypes.c:224
-msgid "cannot accept a value of type trigger"
-msgstr "no se puede aceptar un valor de tipo trigger"
-
-#: utils/adt/pseudotypes.c:237
-msgid "cannot display a value of type trigger"
-msgstr "no se puede desplegar un valor de tipo trigger"
-
-#: utils/adt/pseudotypes.c:251
-msgid "cannot accept a value of type language_handler"
-msgstr "no se puede aceptar un valor de tipo language_handler"
-
-#: utils/adt/pseudotypes.c:264
-msgid "cannot display a value of type language_handler"
-msgstr "no se puede desplegar un valor de tipo language_handler"
-
-#: utils/adt/pseudotypes.c:278
-msgid "cannot accept a value of type internal"
-msgstr "no se puede aceptar un valor de tipo internal"
-
-#: utils/adt/pseudotypes.c:291
-msgid "cannot display a value of type internal"
-msgstr "no se puede desplegar un valor de tipo internal"
-
-#: utils/adt/pseudotypes.c:305
-msgid "cannot accept a value of type opaque"
-msgstr "no se puede aceptar un valor de tipo opaque"
-
-#: utils/adt/pseudotypes.c:318
-msgid "cannot display a value of type opaque"
-msgstr "no se puede desplegar un valor de tipo opaque"
-
-#: utils/adt/pseudotypes.c:332
-msgid "cannot accept a value of type anyelement"
-msgstr "no se puede aceptar un valor de tipo anyelement"
-
-#: utils/adt/pseudotypes.c:345
-msgid "cannot display a value of type anyelement"
-msgstr "no se puede desplegar un valor de tipo anyelement"
-
-#: utils/adt/pseudotypes.c:358
-msgid "cannot accept a value of type anynonarray"
-msgstr "no se puede aceptar un valor de tipo anynonarray"
-
-#: utils/adt/pseudotypes.c:371
-msgid "cannot display a value of type anynonarray"
-msgstr "no se puede desplegar un valor de tipo anynonarray"
-
-#: utils/adt/pseudotypes.c:384
-msgid "cannot accept a value of a shell type"
-msgstr "no se puede aceptar un valor de un tipo inconcluso"
-
-#: utils/adt/pseudotypes.c:397
-msgid "cannot display a value of a shell type"
-msgstr "no se puede desplegar un valor de un tipo inconcluso"
-
-#: utils/adt/regexp.c:273 utils/adt/varlena.c:2588
-#, c-format
-msgid "regular expression failed: %s"
-msgstr "la expresión regular falló: %s"
-
-#: utils/adt/regexp.c:408
-#, c-format
-msgid "invalid regexp option: \"%c\""
-msgstr "la opción de expresión regular no es válida: «%c»"
-
-#: utils/adt/regexp.c:864
-msgid "regexp_split does not support the global option"
-msgstr "regex_split no soporta la opción «global»"
-
-#: utils/adt/regproc.c:123 utils/adt/regproc.c:143
-#, c-format
-msgid "more than one function named \"%s\""
-msgstr "existe más de una función llamada «%s»"
-
-#: utils/adt/regproc.c:472 utils/adt/regproc.c:492
-#, c-format
-msgid "more than one operator named %s"
-msgstr "existe más de un operador llamado %s"
-
-#: utils/adt/regproc.c:641 utils/adt/regproc.c:1501 utils/adt/ruleutils.c:5289
-#: utils/adt/ruleutils.c:5326 utils/adt/ruleutils.c:5360
-msgid "too many arguments"
-msgstr "demasiados argumentos"
-
-#: utils/adt/regproc.c:642
-msgid "Provide two argument types for operator."
-msgstr "Provea dos tipos de argumento para un operador."
-
-#: utils/adt/regproc.c:1336 utils/adt/regproc.c:1341 utils/adt/varlena.c:1989
-#: utils/adt/varlena.c:1994
-msgid "invalid name syntax"
-msgstr "la sintaxis de nombre no es válida"
-
-#: utils/adt/regproc.c:1399
-msgid "expected a left parenthesis"
-msgstr "se esperaba un paréntesis izquierdo"
-
-#: utils/adt/regproc.c:1415
-msgid "expected a right parenthesis"
-msgstr "se esperaba un paréntesis derecho"
-
-#: utils/adt/regproc.c:1434
-msgid "expected a type name"
-msgstr "se esperaba un nombre de tipo"
-
-#: utils/adt/regproc.c:1466
-msgid "improper type name"
-msgstr "el nombre de tipo no es válido"
-
-#: utils/adt/ri_triggers.c:407 utils/adt/ri_triggers.c:2803
-#: utils/adt/ri_triggers.c:3463 utils/adt/ri_triggers.c:3500
-#, c-format
-msgid "insert or update on table \"%s\" violates foreign key constraint \"%s\""
-msgstr "inserción o actualización en la tabla «%s» viola la llave foránea «%s»"
-
-#: utils/adt/ri_triggers.c:410 utils/adt/ri_triggers.c:2806
-msgid "MATCH FULL does not allow mixing of null and nonnull key values."
-msgstr "MATCH FULL no permite la mezcla de valores de clave nulos y no nulos."
-
-#: utils/adt/ri_triggers.c:3003
-#, c-format
-msgid "function \"%s\" was not called by trigger manager"
-msgstr "la función «%s» no fue ejecutada por el manejador de triggers"
-
-#: utils/adt/ri_triggers.c:3012
-#, c-format
-msgid "function \"%s\" must be fired AFTER ROW"
-msgstr "la función «%s» debe ser ejecutada AFTER ROW"
-
-#: utils/adt/ri_triggers.c:3020
-#, c-format
-msgid "function \"%s\" must be fired for INSERT"
-msgstr "la función «%s» debe ser ejecutada en INSERT"
-
-#: utils/adt/ri_triggers.c:3026
-#, c-format
-msgid "function \"%s\" must be fired for UPDATE"
-msgstr "la función «%s» debe ser ejecutada en UPDATE"
-
-#: utils/adt/ri_triggers.c:3033
-#, c-format
-msgid "function \"%s\" must be fired for INSERT or UPDATE"
-msgstr "la función «%s» debe ser ejecutada en INSERT o UPDATE"
-
-#: utils/adt/ri_triggers.c:3040
-#, c-format
-msgid "function \"%s\" must be fired for DELETE"
-msgstr "la función «%s» debe ser ejecutada en DELETE"
-
-#: utils/adt/ri_triggers.c:3069
-#, c-format
-msgid "no pg_constraint entry for trigger \"%s\" on table \"%s\""
-msgstr "no hay una entrada en pg_constraint para el trigger «%s» en tabla «%s»"
-
-#: utils/adt/ri_triggers.c:3071
-msgid ""
-"Remove this referential integrity trigger and its mates, then do ALTER TABLE "
-"ADD CONSTRAINT."
-msgstr ""
-"Elimine este trigger de integridad referencial y sus pares, y utilice ALTER "
-"TABLE ADD CONSTRAINT."
-
-#: utils/adt/ri_triggers.c:3430
-#, c-format
-msgid ""
-"referential integrity query on \"%s\" from constraint \"%s\" on \"%s\" gave "
-"unexpected result"
-msgstr ""
-"la consulta de integridad referencial en «%s» de la restricción «%s» en «%s» "
-"entregó un resultado inesperado"
-
-#: utils/adt/ri_triggers.c:3434
-msgid "This is most likely due to a rule having rewritten the query."
-msgstr ""
-"Esto probablemente es causado por una regla que reescribió la consulta."
-
-#: utils/adt/ri_triggers.c:3465
-#, c-format
-msgid "No rows were found in \"%s\"."
-msgstr "No se encontraron registros en «%s»."
-
-#: utils/adt/ri_triggers.c:3502
-#, c-format
-msgid "Key (%s)=(%s) is not present in table \"%s\"."
-msgstr "La llave (%s)=(%s) no está presente en la tabla «%s»."
-
-#: utils/adt/ri_triggers.c:3508
-#, c-format
-msgid ""
-"update or delete on table \"%s\" violates foreign key constraint \"%s\" on "
-"table \"%s\""
-msgstr "update o delete en «%s» viola la llave foránea «%s» en la tabla «%s»"
-
-#: utils/adt/ri_triggers.c:3511
-#, c-format
-msgid "Key (%s)=(%s) is still referenced from table \"%s\"."
-msgstr "La llave (%s)=(%s) todavía es referida desde la tabla «%s»."
-
-#: utils/adt/rowtypes.c:98 utils/adt/rowtypes.c:467
-msgid "input of anonymous composite types is not implemented"
-msgstr "el ingreso de tipos compuestos anónimos no está implementado"
-
-#: utils/adt/rowtypes.c:145 utils/adt/rowtypes.c:173 utils/adt/rowtypes.c:196
-#: utils/adt/rowtypes.c:204 utils/adt/rowtypes.c:256 utils/adt/rowtypes.c:264
-#, c-format
-msgid "malformed record literal: \"%s\""
-msgstr "literal de record no es válido: «%s»"
-
-#: utils/adt/rowtypes.c:146
-msgid "Missing left parenthesis."
-msgstr "Falta paréntesis izquierdo."
-
-#: utils/adt/rowtypes.c:174
-msgid "Too few columns."
-msgstr "Muy pocas columnas."
-
-#: utils/adt/rowtypes.c:198 utils/adt/rowtypes.c:206
-msgid "Unexpected end of input."
-msgstr "Fin inesperado de la entrada."
-
-#: utils/adt/rowtypes.c:257
-msgid "Too many columns."
-msgstr "Demasiadas columnas."
-
-#: utils/adt/rowtypes.c:265
-msgid "Junk after right parenthesis."
-msgstr "Basura después del paréntesis derecho."
-
-#: utils/adt/rowtypes.c:516
-#, c-format
-msgid "wrong number of columns: %d, expected %d"
-msgstr "número de columnas erróneo: %d, se esperaban %d"
-
-#: utils/adt/rowtypes.c:543
-#, c-format
-msgid "wrong data type: %u, expected %u"
-msgstr "tipo de dato erróneo: %u, se esperaba %u"
-
-#: utils/adt/rowtypes.c:604
-#, c-format
-msgid "improper binary format in record column %d"
-msgstr "formato binario incorrecto en la columna record %d"
-
-#: utils/adt/rowtypes.c:890 utils/adt/rowtypes.c:1116
-#, c-format
-msgid "cannot compare dissimilar column types %s and %s at record column %d"
-msgstr ""
-"no se pueden comparar los tipos de columnas disímiles %s y %s en la columna "
-"%d"
-
-#: utils/adt/rowtypes.c:968 utils/adt/rowtypes.c:1179
-msgid "cannot compare record types with different numbers of columns"
-msgstr "no se pueden comparar registros con cantidad distinta de columnas"
-
-#: utils/adt/ruleutils.c:2086
-#, c-format
-msgid "rule \"%s\" has unsupported event type %d"
-msgstr "la regla «%s» tiene el tipo de evento no soportado %d"
-
-#: utils/adt/selfuncs.c:4558 utils/adt/selfuncs.c:4999
-msgid "case insensitive matching not supported on type bytea"
-msgstr "no está soportada la comparación insensible a mayúsculas en bytea"
-
-#: utils/adt/selfuncs.c:4664 utils/adt/selfuncs.c:5159
-msgid "regular-expression matching not supported on type bytea"
-msgstr "no está soportada la comparación con expresiones regulares en bytea"
-
-#: utils/adt/tid.c:70 utils/adt/tid.c:78 utils/adt/tid.c:86
-#, c-format
-msgid "invalid input syntax for type tid: \"%s\""
-msgstr "la sintaxis de entrada no es válida para tipo tid: «%s»"
-
-#: utils/adt/timestamp.c:97
-#, c-format
-msgid "TIMESTAMP(%d)%s precision must not be negative"
-msgstr "la precisión de TIMESTAMP(%d)%s no debe ser negativa"
-
-#: utils/adt/timestamp.c:103
-#, c-format
-msgid "TIMESTAMP(%d)%s precision reduced to maximum allowed, %d"
-msgstr "la precisión de TIMESTAMP(%d)%s fue reducida al máximo permitido, %d"
-
-#: utils/adt/timestamp.c:171 utils/adt/timestamp.c:430
-#, c-format
-msgid "timestamp out of range: \"%s\""
-msgstr "timestamp fuera de rango: «%s»"
-
-#: utils/adt/timestamp.c:189 utils/adt/timestamp.c:448
-#: utils/adt/timestamp.c:659
-#, c-format
-msgid "date/time value \"%s\" is no longer supported"
-msgstr "el valor de date/time «%s» ya no está soportado"
-
-#: utils/adt/timestamp.c:365
-#, c-format
-msgid "timestamp(%d) precision must be between %d and %d"
-msgstr "la precisión de timestamp(%d) debe estar entre %d y %d"
-
-#: utils/adt/timestamp.c:653 utils/adt/timestamp.c:3098
-#: utils/adt/timestamp.c:3228 utils/adt/timestamp.c:3613
-msgid "interval out of range"
-msgstr "interval fuera de rango"
-
-#: utils/adt/timestamp.c:782 utils/adt/timestamp.c:815
-msgid "invalid INTERVAL type modifier"
-msgstr "modificador de tipo INTERVAL no válido"
-
-#: utils/adt/timestamp.c:798
-#, c-format
-msgid "INTERVAL(%d) precision must not be negative"
-msgstr "la precisión de INTERVAL(%d) no debe ser negativa"
-
-#: utils/adt/timestamp.c:804
-#, c-format
-msgid "INTERVAL(%d) precision reduced to maximum allowed, %d"
-msgstr "la precisión de INTERVAL(%d) fue reducida al máximo permitido, %d"
-
-#: utils/adt/timestamp.c:1096
-#, c-format
-msgid "interval(%d) precision must be between %d and %d"
-msgstr "la precisión de interval(%d) debe estar entre %d y %d"
-
-#: utils/adt/timestamp.c:2301
-msgid "cannot subtract infinite timestamps"
-msgstr "no se pueden restar timestamps infinitos"
-
-#: utils/adt/timestamp.c:3354 utils/adt/timestamp.c:3950
-#: utils/adt/timestamp.c:4009
-#, c-format
-msgid "timestamp units \"%s\" not supported"
-msgstr "las unidades de timestamp «%s» no están soportadas"
-
-#: utils/adt/timestamp.c:3368 utils/adt/timestamp.c:4019
-#, c-format
-msgid "timestamp units \"%s\" not recognized"
-msgstr "las unidades de timestamp «%s» no son reconocidas"
-
-#: utils/adt/timestamp.c:3509 utils/adt/timestamp.c:4181
-#: utils/adt/timestamp.c:4222
-#, c-format
-msgid "timestamp with time zone units \"%s\" not supported"
-msgstr "las unidades de timestamp with time zone «%s» no están soportadas"
-
-#: utils/adt/timestamp.c:3526 utils/adt/timestamp.c:4231
-#, c-format
-msgid "timestamp with time zone units \"%s\" not recognized"
-msgstr "las unidades de timestamp with time zone «%s» no son reconocidas"
-
-#: utils/adt/timestamp.c:3606 utils/adt/timestamp.c:4337
-#, c-format
-msgid "interval units \"%s\" not supported"
-msgstr "las unidades de interval «%s» no están soportadas"
-
-#: utils/adt/timestamp.c:3622 utils/adt/timestamp.c:4364
-#, c-format
-msgid "interval units \"%s\" not recognized"
-msgstr "las unidades de interval «%s» no son reconocidas"
-
-#: utils/adt/timestamp.c:4434 utils/adt/timestamp.c:4607
-#, c-format
-msgid "could not convert to time zone \"%s\""
-msgstr "no se pudo convertir al huso horario «%s»"
-
-#: utils/adt/timestamp.c:4466 utils/adt/timestamp.c:4640
-#, c-format
-msgid "interval time zone \"%s\" must not specify month"
-msgstr "el intervalo de huso horario «%s» no debe especificar mes"
-
-#: utils/adt/trigfuncs.c:41
-msgid "suppress_redundant_updates_trigger: must be called as trigger"
-msgstr "suppress_redundant_updates_trigger: debe ser invocado como trigger"
-
-#: utils/adt/trigfuncs.c:47
-msgid "suppress_redundant_updates_trigger: must be called on update"
-msgstr "suppress_redundant_updates_trigger: debe ser invocado en «UPDATE»"
-
-#: utils/adt/trigfuncs.c:53
-msgid "suppress_redundant_updates_trigger: must be called before update"
-msgstr "suppress_redundant_updates_trigger: debe ser invocado «BEFORE UPDATE»"
-
-#: utils/adt/trigfuncs.c:59
-msgid "suppress_redundant_updates_trigger: must be called for each row"
-msgstr "suppress_redundant_updates_trigger: debe ser invocado «FOR EACH ROW»"
-
-#: utils/adt/tsgistidx.c:100
-msgid "gtsvector_in not implemented"
-msgstr "gtsvector_in no está implementado"
-
-#: utils/adt/tsquery.c:156 utils/adt/tsquery.c:392
-#: utils/adt/tsvector_parser.c:136
-#, c-format
-msgid "syntax error in tsquery: \"%s\""
-msgstr "error de sintaxis en tsquery: «%s»"
-
-#: utils/adt/tsquery.c:177
-#, c-format
-msgid "no operand in tsquery: \"%s\""
-msgstr "no hay operando en tsquery: «%s»"
-
-#: utils/adt/tsquery.c:250
-#, c-format
-msgid "value is too big in tsquery: \"%s\""
-msgstr "el valor es demasiado grande en tsquery: «%s»"
-
-#: utils/adt/tsquery.c:255
-#, c-format
-msgid "operand is too long in tsquery: \"%s\""
-msgstr "el operando es muy largo en tsquery: «%s»"
-
-#: utils/adt/tsquery.c:283
-#, c-format
-msgid "word is too long in tsquery: \"%s\""
-msgstr "palabra demasiado larga en tsquery: «%s»"
-
-#: utils/adt/tsquery.c:512
-#, c-format
-msgid "text-search query doesn't contain lexemes: \"%s\""
-msgstr "la consulta de búsqueda en texto no contiene lexemas: «%s»"
-
-#: utils/adt/tsquery_cleanup.c:285
-msgid ""
-"text-search query contains only stop words or doesn't contain lexemes, "
-"ignored"
-msgstr ""
-"la consulta de búsqueda en texto contiene sólo stopwords o no contiene "
-"lexemas; ignorada"
-
-#: utils/adt/tsquery_rewrite.c:296
-msgid "ts_rewrite query must return two tsquery columns"
-msgstr "consulta ts_rewrite debe retornar dos columnas tsquery"
-
-#: utils/adt/tsrank.c:404
-msgid "array of weight must be one-dimensional"
-msgstr "el array de pesos debe ser unidimensional"
-
-#: utils/adt/tsrank.c:409
-msgid "array of weight is too short"
-msgstr "el array de pesos es muy corto"
-
-#: utils/adt/tsrank.c:414
-msgid "array of weight must not contain nulls"
-msgstr "los arrays de pesos no deben contener valores nulos"
-
-#: utils/adt/tsrank.c:423 utils/adt/tsrank.c:749
-msgid "weight out of range"
-msgstr "el peso está fuera de rango"
-
-#: utils/adt/tsvector.c:215
-#, c-format
-msgid "word is too long (%ld bytes, max %ld bytes)"
-msgstr "la palabra es demasiado larga (%ld, máximo %ld bytes)"
-
-#: utils/adt/tsvector.c:222
-#, c-format
-msgid "string is too long for tsvector (%ld bytes, max %ld bytes)"
-msgstr ""
-"la cadena es demasiado larga para tsvector (%ld bytes, máximo %ld bytes)"
-
-#: utils/adt/tsvector_op.c:1127
-msgid "ts_stat query must return one tsvector column"
-msgstr "la consulta ts_stat debe retornar una columna tsvector"
-
-#: utils/adt/tsvector_op.c:1307
-#, c-format
-msgid "tsvector column \"%s\" does not exist"
-msgstr "la columna tsvector «%s» no existe"
-
-#: utils/adt/tsvector_op.c:1313
-#, c-format
-msgid "column \"%s\" is not of tsvector type"
-msgstr "la columna «%s» no es de tipo tsvector"
-
-#: utils/adt/tsvector_op.c:1325
-#, c-format
-msgid "configuration column \"%s\" does not exist"
-msgstr "la columna de configuración «%s» no existe"
-
-#: utils/adt/tsvector_op.c:1331
-#, c-format
-msgid "column \"%s\" is not of regconfig type"
-msgstr "la columna «%s» no es de tipo regconfig"
-
-#: utils/adt/tsvector_op.c:1338
-#, c-format
-msgid "configuration column \"%s\" must not be null"
-msgstr "la columna de configuración «%s» no debe ser nula"
-
-#: utils/adt/tsvector_op.c:1351
-#, c-format
-msgid "text search configuration name \"%s\" must be schema-qualified"
-msgstr ""
-"el nombre de la configuración de búsqueda «%s» debe ser calificada con "
-"esquema"
-
-#: utils/adt/tsvector_op.c:1376
-#, c-format
-msgid "column \"%s\" is not of a character type"
-msgstr "la columna «%s» no es de un tipo textual"
-
-#: utils/adt/tsvector_parser.c:137
-#, c-format
-msgid "syntax error in tsvector: \"%s\""
-msgstr "error de sintaxis en tsvector: «%s»"
-
-#: utils/adt/tsvector_parser.c:202
-#, c-format
-msgid "there is no escaped character: \"%s\""
-msgstr "no hay carácter escapado: «%s»"
-
-#: utils/adt/tsvector_parser.c:319
-#, c-format
-msgid "wrong position info in tsvector: \"%s\""
-msgstr "información posicional incorrecta en tsvector: «%s»"
-
-#: utils/adt/uuid.c:128
-#, c-format
-msgid "invalid input syntax for uuid: \"%s\""
-msgstr "la sintaxis de entrada no es válida para el tipo uuid: «%s»"
-
-#: utils/adt/varbit.c:49 utils/adt/varchar.c:48
-#, c-format
-msgid "length for type %s must be at least 1"
-msgstr "el largo para el tipo %s debe ser al menos 1"
-
-#: utils/adt/varbit.c:54 utils/adt/varchar.c:52
-#, c-format
-msgid "length for type %s cannot exceed %d"
-msgstr "el largo del tipo %s no puede exceder %d"
-
-#: utils/adt/varbit.c:157 utils/adt/varbit.c:297 utils/adt/varbit.c:353
-#, c-format
-msgid "bit string length %d does not match type bit(%d)"
-msgstr "el largo de la cadena de bits %d no coincide con el tipo bit(%d)"
-
-#: utils/adt/varbit.c:179 utils/adt/varbit.c:477
-#, c-format
-msgid "\"%c\" is not a valid binary digit"
-msgstr "«%c» no es un dígito binario válido"
-
-#: utils/adt/varbit.c:204 utils/adt/varbit.c:502
-#, c-format
-msgid "\"%c\" is not a valid hexadecimal digit"
-msgstr "«%c» no es un dígito hexadecimal válido"
-
-#: utils/adt/varbit.c:288 utils/adt/varbit.c:589
-msgid "invalid length in external bit string"
-msgstr "el largo largo no es válido en cadena de bits externa"
-
-#: utils/adt/varbit.c:455 utils/adt/varbit.c:598 utils/adt/varbit.c:659
-#, c-format
-msgid "bit string too long for type bit varying(%d)"
-msgstr "la cadena de bits es demasiado larga para el tipo bit varying(%d)"
-
-#: utils/adt/varbit.c:961 utils/adt/varlena.c:670 utils/adt/varlena.c:734
-#: utils/adt/varlena.c:1684
-msgid "negative substring length not allowed"
-msgstr "no se permite un largo negativo de subcadena"
-
-#: utils/adt/varbit.c:1058
-msgid "cannot AND bit strings of different sizes"
-msgstr "no se puede hacer AND entre cadenas de bits de distintos tamaños"
-
-#: utils/adt/varbit.c:1099
-msgid "cannot OR bit strings of different sizes"
-msgstr "no se puede hacer OR entre cadenas de bits de distintos tamaños"
-
-#: utils/adt/varbit.c:1145
-msgid "cannot XOR bit strings of different sizes"
-msgstr "no se puede hacer XOR entre cadenas de bits de distintos tamaños"
-
-#: utils/adt/varchar.c:152 utils/adt/varchar.c:305
-#, c-format
-msgid "value too long for type character(%d)"
-msgstr "el valor es demasiado largo para el tipo character(%d)"
-
-#: utils/adt/varchar.c:473 utils/adt/varchar.c:594
-#, c-format
-msgid "value too long for type character varying(%d)"
-msgstr "el valor es demasiado largo para el tipo character varying(%d)"
-
-#: utils/adt/varlena.c:1213 utils/adt/varlena.c:1226
-#, c-format
-msgid "could not convert string to UTF-16: error %lu"
-msgstr "no se pudo convertir la cadena a UTF-16: error %lu"
-
-#: utils/adt/varlena.c:1236
-#, c-format
-msgid "could not compare Unicode strings: %m"
-msgstr "no se pudieron comparar las cadenas Unicode: %m"
-
-#: utils/adt/varlena.c:1779 utils/adt/varlena.c:1810 utils/adt/varlena.c:1846
-#: utils/adt/varlena.c:1889
-#, c-format
-msgid "index %d out of valid range, 0..%d"
-msgstr "el índice %d está fuera de rango [0..%d]"
-
-#: utils/adt/varlena.c:1901
-msgid "new bit must be 0 or 1"
-msgstr "el nuevo bit debe ser 0 o 1"
-
-#: utils/adt/varlena.c:2681
-msgid "field position must be greater than zero"
-msgstr "la posición del campo debe ser mayor que cero"
-
-#: utils/adt/windowfuncs.c:243
-msgid "argument of ntile must be greater than zero"
-msgstr "el argumento de ntile debe ser mayor que cero"
-
-#: utils/adt/windowfuncs.c:465
-msgid "argument of nth_value must be greater than zero"
-msgstr "el argumento de nth_value debe ser mayor que cero"
-
-#: utils/sort/logtape.c:213
-#, c-format
-msgid "could not write block %ld of temporary file: %m"
-msgstr "no se pudo escribir el bloque %ld del archivo temporal: %m"
-
-#: utils/sort/logtape.c:215
-msgid "Perhaps out of disk space?"
-msgstr "¿Quizás se agotó el espacio en disco?"
-
-#: utils/sort/logtape.c:232
-#, c-format
-msgid "could not read block %ld of temporary file: %m"
-msgstr "no se pudo leer el bloque %ld del archivo temporal: %m"
-
-#: utils/sort/tuplesort.c:2806
-#, c-format
-msgid "could not create unique index \"%s\""
-msgstr "no se pudo crear el índice único «%s»"
-
-#: utils/sort/tuplesort.c:2808
-msgid "Table contains duplicated values."
-msgstr "La tabla contiene valores duplicados."
-
-#: utils/mmgr/aset.c:386
-#, c-format
-msgid "Failed while creating memory context \"%s\"."
-msgstr "Falla al crear el contexto de memoria «%s»."
-
-#: utils/mmgr/aset.c:565 utils/mmgr/aset.c:748 utils/mmgr/aset.c:954
-#, c-format
-msgid "Failed on request of size %lu."
-msgstr "Falla en petición de tamaño %lu."
-
-#: utils/mmgr/portalmem.c:207
-#, c-format
-msgid "cursor \"%s\" already exists"
-msgstr "el cursor «%s» ya existe"
-
-#: utils/mmgr/portalmem.c:211
-#, c-format
-msgid "closing existing cursor \"%s\""
-msgstr "cerrando el cursor «%s» preexistente"
-
-#: utils/mmgr/portalmem.c:422
-#, c-format
-msgid "cannot drop active portal \"%s\""
-msgstr "no se puede eliminar el portal activo «%s»"
-
-#: utils/mmgr/portalmem.c:627
-msgid "cannot PREPARE a transaction that has created a cursor WITH HOLD"
-msgstr ""
-"no se puede hacer PREPARE de una transacción que ha creado un cursor WITH "
-"HOLD"
-
-#: utils/misc/tzparser.c:63
-#, c-format
-msgid ""
-"time zone abbreviation \"%s\" is too long (maximum %d characters) in time "
-"zone file \"%s\", line %d"
-msgstr ""
-"la abreviación del huso horario «%s» es demasiado larga (máximo %d "
-"caracteres) en archivo de huso horario «%s», línea %d"
-
-#: utils/misc/tzparser.c:72
-#, c-format
-msgid ""
-"time zone offset %d is not a multiple of 900 sec (15 min) in time zone file "
-"\"%s\", line %d"
-msgstr ""
-"desplazamiento de huso horario %d no es un múltiplo de 900 segundos (15 "
-"minutos) en archivo de huso horario «%s», línea %d"
-
-#: utils/misc/tzparser.c:86
-#, c-format
-msgid "time zone offset %d is out of range in time zone file \"%s\", line %d"
-msgstr ""
-"desplazamiento de huso horario %d está fuera de rango en el archivo de huso "
-"horario «%s», línea %d"
-
-#: utils/misc/tzparser.c:123
-#, c-format
-msgid "missing time zone abbreviation in time zone file \"%s\", line %d"
-msgstr ""
-"falta una abreviación de huso horario en el archivo de huso horario «%s», "
-"línea %d"
-
-#: utils/misc/tzparser.c:134
-#, c-format
-msgid "missing time zone offset in time zone file \"%s\", line %d"
-msgstr ""
-"falta un desplazamiento de huso horario en el archivo de huso horario «%s», "
-"línea %d"
-
-#: utils/misc/tzparser.c:143
-#, c-format
-msgid "invalid number for time zone offset in time zone file \"%s\", line %d"
-msgstr ""
-"número no válido para desplazamiento de huso horario en archivo de huso "
-"horario «%s», línea %d"
-
-#: utils/misc/tzparser.c:168
-#, c-format
-msgid "invalid syntax in time zone file \"%s\", line %d"
-msgstr "sintaxis no válida en archivo de huso horario «%s», línea %d"
-
-#: utils/misc/tzparser.c:234
-#, c-format
-msgid "time zone abbreviation \"%s\" is multiply defined"
-msgstr "abreviación de huso horario «%s» está definida múltiples veces"
-
-#: utils/misc/tzparser.c:236
-#, c-format
-msgid ""
-"Entry in time zone file \"%s\", line %d, conflicts with entry in file \"%s"
-"\", line %d."
-msgstr ""
-"Entrada en archivo de huso horario «%s», línea %d, causa conflictos con "
-"entrada en archivo «%s», línea %d."
-
-#: utils/misc/tzparser.c:303
-#, c-format
-msgid "invalid time zone file name \"%s\""
-msgstr "nombre de huso horario «%s» no válido"
-
-#: utils/misc/tzparser.c:318
-#, c-format
-msgid "time zone file recursion limit exceeded in file \"%s\""
-msgstr "límite de recursión excedido en el archivo «%s»"
-
-#: utils/misc/tzparser.c:361 utils/misc/tzparser.c:376
-#, c-format
-msgid "could not read time zone file \"%s\": %m"
-msgstr "no se pudo leer archivo de huso horario «%s»: %m"
-
-#: utils/misc/tzparser.c:388
-#, c-format
-msgid "line is too long in time zone file \"%s\", line %d"
-msgstr "línea demasiado larga en archivo de huso horario «%s», línea %d"
-
-#: utils/misc/tzparser.c:413
-#, c-format
-msgid "@INCLUDE without file name in time zone file \"%s\", line %d"
-msgstr ""
-"@INCLUDE sin nombre de archivo en archivo de huso horario «%s», línea %d"
-
-#: utils/misc/guc.c:467
-msgid "Ungrouped"
-msgstr "Sin Grupo"
-
-#: utils/misc/guc.c:469
-msgid "File Locations"
-msgstr "Ubicaciones de Archivos"
-
-#: utils/misc/guc.c:471
-msgid "Connections and Authentication"
-msgstr "Conexiones y Autentificación"
-
-#: utils/misc/guc.c:473
-msgid "Connections and Authentication / Connection Settings"
-msgstr "Conexiones y Autentificación / Parámetros de Conexión"
-
-#: utils/misc/guc.c:475
-msgid "Connections and Authentication / Security and Authentication"
-msgstr "Conexiones y Autentificación / Seguridad y Autentificación"
-
-#: utils/misc/guc.c:477
-msgid "Resource Usage"
-msgstr "Uso de Recursos"
-
-#: utils/misc/guc.c:479
-msgid "Resource Usage / Memory"
-msgstr "Uso de Recursos / Memoria"
-
-#: utils/misc/guc.c:481
-msgid "Resource Usage / Kernel Resources"
-msgstr "Uso de Recursos / Recursos del Kernel"
-
-#: utils/misc/guc.c:483
-msgid "Write-Ahead Log"
-msgstr "Write-Ahead Log"
-
-#: utils/misc/guc.c:485
-msgid "Write-Ahead Log / Settings"
-msgstr "Write-Ahead Log / Configuraciones"
-
-#: utils/misc/guc.c:487
-msgid "Write-Ahead Log / Checkpoints"
-msgstr "Write-Ahead Log / Puntos de Control (Checkpoints)"
-
-#: utils/misc/guc.c:489
-msgid "Query Tuning"
-msgstr "Afinamiento de Consultas"
-
-#: utils/misc/guc.c:491
-msgid "Query Tuning / Planner Method Configuration"
-msgstr "Afinamiento de Consultas / Configuración de Métodos del Planner"
-
-#: utils/misc/guc.c:493
-msgid "Query Tuning / Planner Cost Constants"
-msgstr "Afinamiento de Consultas / Constantes de Costo del Planner"
-
-#: utils/misc/guc.c:495
-msgid "Query Tuning / Genetic Query Optimizer"
-msgstr "Afinamiento de Consultas / Optimizador Genético de Consultas"
-
-#: utils/misc/guc.c:497
-msgid "Query Tuning / Other Planner Options"
-msgstr "Afinamiento de Consultas / Otras Opciones del Planner"
-
-#: utils/misc/guc.c:499
-msgid "Reporting and Logging"
-msgstr "Reporte y Registro"
-
-#: utils/misc/guc.c:501
-msgid "Reporting and Logging / Where to Log"
-msgstr "Reporte y Registro / Cuándo Registrar"
-
-#: utils/misc/guc.c:503
-msgid "Reporting and Logging / When to Log"
-msgstr "Reporte y Registro / Cuándo Registrar"
-
-#: utils/misc/guc.c:505
-msgid "Reporting and Logging / What to Log"
-msgstr "Reporte y Registro / Qué Registrar"
-
-#: utils/misc/guc.c:507
-msgid "Statistics"
-msgstr "Estadísticas"
-
-#: utils/misc/guc.c:509
-msgid "Statistics / Monitoring"
-msgstr "Estadísticas / Monitoreo"
-
-#: utils/misc/guc.c:511
-msgid "Statistics / Query and Index Statistics Collector"
-msgstr "Estadísticas / Recolector de Estadísticas de Consultas e Índices"
-
-#: utils/misc/guc.c:513
-msgid "Autovacuum"
-msgstr "Autovacuum"
-
-#: utils/misc/guc.c:515
-msgid "Client Connection Defaults"
-msgstr "Valores por Omisión de Conexiones"
-
-#: utils/misc/guc.c:517
-msgid "Client Connection Defaults / Statement Behavior"
-msgstr "Valores por Omisión de Conexiones / Comportamiento de Sentencias"
-
-#: utils/misc/guc.c:519
-msgid "Client Connection Defaults / Locale and Formatting"
-msgstr ""
-"Valores por Omisión de Conexiones / Configuraciones Regionales y Formateo"
-
-#: utils/misc/guc.c:521
-msgid "Client Connection Defaults / Other Defaults"
-msgstr "Valores por Omisión de Conexiones / Otros Valores"
-
-#: utils/misc/guc.c:523
-msgid "Lock Management"
-msgstr "Manejo de Bloqueos"
-
-#: utils/misc/guc.c:525
-msgid "Version and Platform Compatibility"
-msgstr "Compatibilidad de Versión y Plataforma"
-
-#: utils/misc/guc.c:527
-msgid "Version and Platform Compatibility / Previous PostgreSQL Versions"
-msgstr ""
-"Compatibilidad de Versión y Plataforma / Versiones Anteriores de PostgreSQL"
-
-#: utils/misc/guc.c:529
-msgid "Version and Platform Compatibility / Other Platforms and Clients"
-msgstr "Compatibilidad de Versión y Plataforma / Otras Plataformas y Clientes"
-
-#: utils/misc/guc.c:531
-msgid "Preset Options"
-msgstr "Opciones Predefinidas"
-
-#: utils/misc/guc.c:533
-msgid "Customized Options"
-msgstr "Opciones Personalizadas"
-
-#: utils/misc/guc.c:535
-msgid "Developer Options"
-msgstr "Opciones de Desarrollador"
-
-#: utils/misc/guc.c:589
-msgid "Enables the planner's use of sequential-scan plans."
-msgstr "Permitir el uso de planes de recorrido secuencial."
-
-#: utils/misc/guc.c:597
-msgid "Enables the planner's use of index-scan plans."
-msgstr "Permitir el uso de planes de recorrido de índice."
-
-#: utils/misc/guc.c:605
-msgid "Enables the planner's use of bitmap-scan plans."
-msgstr "Permitir el uso de planes de recorrido de índice por mapas de bits."
-
-#: utils/misc/guc.c:613
-msgid "Enables the planner's use of TID scan plans."
-msgstr "Permitir el uso de planes de recorrido por TID."
-
-#: utils/misc/guc.c:621
-msgid "Enables the planner's use of explicit sort steps."
-msgstr "Permitir el uso de pasos explícitos de ordenamiento."
-
-#: utils/misc/guc.c:629
-msgid "Enables the planner's use of hashed aggregation plans."
-msgstr "Permitir el uso de planes de agregación a través de hash."
-
-#: utils/misc/guc.c:637
-msgid "Enables the planner's use of nested-loop join plans."
-msgstr "Permitir el uso de planes «nested-loop join»."
-
-#: utils/misc/guc.c:645
-msgid "Enables the planner's use of merge join plans."
-msgstr "Permitir el uso de planes «merge join»."
-
-#: utils/misc/guc.c:653
-msgid "Enables the planner's use of hash join plans."
-msgstr "Permitir el uso de planes «hash join»."
-
-#: utils/misc/guc.c:661
-msgid "Enables genetic query optimization."
-msgstr "Permitir el uso del optimizador genético de consultas."
-
-#: utils/misc/guc.c:662
-msgid "This algorithm attempts to do planning without exhaustive searching."
-msgstr ""
-"Este algoritmo intenta planear las consultas sin hacer búsqueda exhaustiva."
-
-#: utils/misc/guc.c:671
-msgid "Shows whether the current user is a superuser."
-msgstr "Indica si el usuario actual es superusuario."
-
-#: utils/misc/guc.c:680
-msgid "Enables SSL connections."
-msgstr "Permitir conexiones SSL."
-
-#: utils/misc/guc.c:688
-msgid "Forces synchronization of updates to disk."
-msgstr "Forzar la sincronización de escrituras a disco."
-
-#: utils/misc/guc.c:689
-msgid ""
-"The server will use the fsync() system call in several places to make sure "
-"that updates are physically written to disk. This insures that a database "
-"cluster will recover to a consistent state after an operating system or "
-"hardware crash."
-msgstr ""
-"El servidor usará la llamada a sistema fsync() en varios lugares para "
-"asegurarse que las actualizaciones son escritas físicamente a disco. Esto "
-"asegura que las bases de datos se recuperarán a un estado consistente "
-"después de una caída de hardware o sistema operativo."
-
-#: utils/misc/guc.c:699
-msgid "Sets immediate fsync at commit."
-msgstr "Activar fsync inmediato al comprometer transacciones."
-
-#: utils/misc/guc.c:707
-msgid "Continues processing past damaged page headers."
-msgstr "Continuar procesando más allá de encabezados de página dañados."
-
-#: utils/misc/guc.c:708
-msgid ""
-"Detection of a damaged page header normally causes PostgreSQL to report an "
-"error, aborting the current transaction. Setting zero_damaged_pages to true "
-"causes the system to instead report a warning, zero out the damaged page, "
-"and continue processing. This behavior will destroy data, namely all the "
-"rows on the damaged page."
-msgstr ""
-"La detección de un encabezado de página dañado normalmente hace que "
-"PostgreSQL reporte un error, abortando la transacción en curso. Definiendo "
-"zero_damaged_pages a true hace que el sistema reporte un mensaje de warning, "
-"escriba ceros en toda la página, y continúe el procesamiento. Este "
-"comportamiento destruirá datos; en particular, todas las tuplas en la página "
-"dañada."
-
-#: utils/misc/guc.c:720
-msgid "Writes full pages to WAL when first modified after a checkpoint."
-msgstr ""
-"Escribe páginas completas a WAL cuando son modificadas después de un punto "
-"de control."
-
-#: utils/misc/guc.c:721
-msgid ""
-"A page write in process during an operating system crash might be only "
-"partially written to disk.  During recovery, the row changes stored in WAL "
-"are not enough to recover.  This option writes pages when first modified "
-"after a checkpoint to WAL so full recovery is possible."
-msgstr ""
-"Una escritura de página que está siendo procesada durante una caída del "
-"sistema operativo puede ser completada sólo parcialmente.  Durante la "
-"recuperación, los cambios de registros (tuplas) almacenados en WAL no son "
-"suficientes para la recuperación. Esta opción activa la escritura de las "
-"páginas a WAL cuando son modificadas por primera vez después de un punto de "
-"control, de manera que una recuperación total es posible."
-
-#: utils/misc/guc.c:732
-msgid "Runs the server silently."
-msgstr "Ejecuta el servidor silenciosamente."
-
-#: utils/misc/guc.c:733
-msgid ""
-"If this parameter is set, the server will automatically run in the "
-"background and any controlling terminals are dissociated."
-msgstr ""
-"Si esta opción está activada, el servidor se ejecutará automáticamente en "
-"segundo plano y los terminales de control serán disociados."
-
-#: utils/misc/guc.c:741
-msgid "Logs each checkpoint."
-msgstr "Registrar cada punto de control."
-
-#: utils/misc/guc.c:749
-msgid "Logs each successful connection."
-msgstr "Registrar cada conexión exitosa."
-
-#: utils/misc/guc.c:757
-msgid "Logs end of a session, including duration."
-msgstr "Registrar el fin de una sesión, incluyendo su duración."
-
-#: utils/misc/guc.c:765
-msgid "Turns on various assertion checks."
-msgstr "Activar varios chequeos de integridad (assertion checks)."
-
-#: utils/misc/guc.c:766
-msgid "This is a debugging aid."
-msgstr "Esto es una ayuda para la depuración."
-
-#: utils/misc/guc.c:780 utils/misc/guc.c:862 utils/misc/guc.c:921
-#: utils/misc/guc.c:930 utils/misc/guc.c:939 utils/misc/guc.c:948
-#: utils/misc/guc.c:1514 utils/misc/guc.c:1523
-msgid "No description available."
-msgstr "No hay descripción disponible."
-
-#: utils/misc/guc.c:789
-msgid "Logs the duration of each completed SQL statement."
-msgstr "Registrar la duración de cada sentencia SQL ejecutada."
-
-#: utils/misc/guc.c:797
-msgid "Logs each query's parse tree."
-msgstr "Registrar cada arbol analizado de consulta "
-
-#: utils/misc/guc.c:805
-msgid "Logs each query's rewritten parse tree."
-msgstr "Registrar cada reescritura del arból analizado de consulta"
-
-#: utils/misc/guc.c:813
-msgid "Logs each query's execution plan."
-msgstr "Registrar el plan de ejecución de cada consulta."
-
-#: utils/misc/guc.c:821
-msgid "Indents parse and plan tree displays."
-msgstr "Indentar los árboles de parse y plan."
-
-#: utils/misc/guc.c:829
-msgid "Writes parser performance statistics to the server log."
-msgstr "Escribir estadísticas de parser al registro del servidor."
-
-#: utils/misc/guc.c:837
-msgid "Writes planner performance statistics to the server log."
-msgstr "Escribir estadísticas de planner al registro del servidor."
-
-#: utils/misc/guc.c:845
-msgid "Writes executor performance statistics to the server log."
-msgstr "Escribir estadísticas del executor al registro del servidor."
-
-#: utils/misc/guc.c:853
-msgid "Writes cumulative performance statistics to the server log."
-msgstr "Escribir estadísticas acumulativas al registro del servidor."
-
-#: utils/misc/guc.c:873
-msgid "Collects information about executing commands."
-msgstr "Recolectar estadísticas sobre órdenes en ejecución."
-
-#: utils/misc/guc.c:874
-msgid ""
-"Enables the collection of information on the currently executing command of "
-"each session, along with the time at which that command began execution."
-msgstr ""
-"Activa la recolección de información sobre la orden actualmente en ejecución "
-"en cada sesión, junto con el momento en el cual esa orden comenzó la "
-"ejecución."
-
-#: utils/misc/guc.c:883
-msgid "Collects statistics on database activity."
-msgstr "Recolectar estadísticas de actividad de la base de datos."
-
-#: utils/misc/guc.c:892
-msgid "Updates the process title to show the active SQL command."
-msgstr "Actualiza el título del proceso para mostrar la orden SQL activo."
-
-#: utils/misc/guc.c:893
-msgid ""
-"Enables updating of the process title every time a new SQL command is "
-"received by the server."
-msgstr ""
-"Habilita que se actualice el título del proceso cada vez que una orden SQL "
-"es recibido por el servidor."
-
-#: utils/misc/guc.c:901
-msgid "Starts the autovacuum subprocess."
-msgstr "Iniciar el subproceso de autovacuum."
-
-#: utils/misc/guc.c:910
-msgid "Generates debugging output for LISTEN and NOTIFY."
-msgstr "Generar salida de depuración para LISTEN y NOTIFY."
-
-#: utils/misc/guc.c:959
-msgid "Logs long lock waits."
-msgstr "Registrar esperas largas de bloqueos."
-
-#: utils/misc/guc.c:968
-msgid "Logs the host name in the connection logs."
-msgstr "Registrar el nombre del host en la conexión."
-
-#: utils/misc/guc.c:969
-msgid ""
-"By default, connection logs only show the IP address of the connecting host. "
-"If you want them to show the host name you can turn this on, but depending "
-"on your host name resolution setup it might impose a non-negligible "
-"performance penalty."
-msgstr ""
-"Por omisión, los registros de conexión sólo muestran la dirección IP del "
-"host que establece la conexión. Si desea que se despliegue el nombre del "
-"host puede activar esta opción, pero dependiendo de su configuración de "
-"resolución de nombres esto puede imponer una penalización de rendimiento no "
-"despreciable."
-
-#: utils/misc/guc.c:979
-msgid "Causes subtables to be included by default in various commands."
-msgstr "Incluir, por omisión, subtablas en varias órdenes."
-
-#: utils/misc/guc.c:987
-msgid "Encrypt passwords."
-msgstr "Cifrar contraseñas."
-
-#: utils/misc/guc.c:988
-msgid ""
-"When a password is specified in CREATE USER or ALTER USER without writing "
-"either ENCRYPTED or UNENCRYPTED, this parameter determines whether the "
-"password is to be encrypted."
-msgstr ""
-"Cuando se entrega una contraseña en CREATE USER o ALTER USER sin especificar "
-"ENCRYPTED ni UNENCRYPTED, esta opción determina si la password deberá ser "
-"encriptada."
-
-#: utils/misc/guc.c:997
-msgid "Treats \"expr=NULL\" as \"expr IS NULL\"."
-msgstr "Tratar expr=NULL como expr IS NULL."
-
-#: utils/misc/guc.c:998
-msgid ""
-"When turned on, expressions of the form expr = NULL (or NULL = expr) are "
-"treated as expr IS NULL, that is, they return true if expr evaluates to the "
-"null value, and false otherwise. The correct behavior of expr = NULL is to "
-"always return null (unknown)."
-msgstr ""
-"Cuando está activado, expresiones de la forma expr = NULL (o NULL = expr) "
-"son tratadas como expr IS NULL, esto es, retornarán verdadero si expr es "
-"evaluada al valor nulo, y falso en caso contrario. El comportamiento "
-"correcto de expr = NULL es retornar siempre null (desconocido)."
-
-#: utils/misc/guc.c:1009
-msgid "Enables per-database user names."
-msgstr "Activar el uso de nombre de usuario locales a cada base de datos."
-
-#: utils/misc/guc.c:1018
-msgid "This parameter doesn't do anything."
-msgstr "Este parámetro no hace nada."
-
-#: utils/misc/guc.c:1019
-msgid ""
-"It's just here so that we won't choke on SET AUTOCOMMIT TO ON from 7.3-"
-"vintage clients."
-msgstr ""
-"Está aquí sólo para poder aceptar SET AUTOCOMMIT TO ON desde clientes de la "
-"línea 7.3."
-
-#: utils/misc/guc.c:1027
-msgid "Sets the default read-only status of new transactions."
-msgstr "Estado por omisión de sólo lectura de nuevas transacciones."
-
-#: utils/misc/guc.c:1035
-msgid "Sets the current transaction's read-only status."
-msgstr "Activa el estado de sólo lectura de la transacción en curso."
-
-#: utils/misc/guc.c:1044
-msgid "Automatically adds missing table references to FROM clauses."
-msgstr "Agregar automáticamente tablas faltantes en cláusulas FROM."
-
-#: utils/misc/guc.c:1052
-msgid "Check function bodies during CREATE FUNCTION."
-msgstr "Verificar definición de funciones durante CREATE FUNCTION."
-
-#: utils/misc/guc.c:1060
-msgid "Enable input of NULL elements in arrays."
-msgstr "Habilita el ingreso de elementos nulos en arrays."
-
-#: utils/misc/guc.c:1061
-msgid ""
-"When turned on, unquoted NULL in an array input value means a null value; "
-"otherwise it is taken literally."
-msgstr ""
-"Cuando está activo, un valor NULL sin comillas en la entrada de un array "
-"significa un valor nulo; en caso contrario es tomado literalmente."
-
-#: utils/misc/guc.c:1070
-msgid "Create new tables with OIDs by default."
-msgstr "Crea nuevas tablas con OIDs por omisión."
-
-#: utils/misc/guc.c:1078
-msgid ""
-"Start a subprocess to capture stderr output and/or csvlogs into log files."
-msgstr ""
-"Lanzar un subproceso para capturar stderr y/o logs CSV en archivos de log."
-
-#: utils/misc/guc.c:1086
-msgid "Truncate existing log files of same name during log rotation."
-msgstr "Truncar archivos de log del mismo nombre durante la rotación."
-
-#: utils/misc/guc.c:1096
-msgid "Emit information about resource usage in sorting."
-msgstr ""
-"Emitir información acerca de uso de recursos durante los ordenamientos."
-
-#: utils/misc/guc.c:1109
-msgid "Generate debugging output for synchronized scanning."
-msgstr "Generar salida de depuración para recorrido sincronizado."
-
-#: utils/misc/guc.c:1123
-msgid "Enable bounded sorting using heap sort."
-msgstr "Activar ordenamiento acotado usando «heap sort»."
-
-#: utils/misc/guc.c:1135
-msgid "Emit WAL-related debugging output."
-msgstr "Activar salida de depuración de WAL."
-
-#: utils/misc/guc.c:1146
-msgid "Datetimes are integer based."
-msgstr "Las fechas y horas se basan en tipos enteros."
-
-#: utils/misc/guc.c:1160
-msgid ""
-"Sets whether Kerberos and GSSAPI user names should be treated as case-"
-"insensitive."
-msgstr ""
-"Define que los nombres de usuario Kerberos y GSSAPI deberían ser tratados "
-"sin distinción de mayúsculas."
-
-#: utils/misc/guc.c:1169
-msgid "Warn about backslash escapes in ordinary string literals."
-msgstr ""
-"Avisa acerca de escapes de backslash en literales de cadena corrientes."
-
-#: utils/misc/guc.c:1178
-msgid "Causes '...' strings to treat backslashes literally."
-msgstr ""
-"Provoca que las cadenas '...' traten las barras inclinadas inversas (\\) en "
-"forma literal."
-
-#: utils/misc/guc.c:1188
-msgid "Enable synchronized sequential scans."
-msgstr "Permitir la sincronización de recorridos secuenciales."
-
-#: utils/misc/guc.c:1197
-msgid "Allows archiving of WAL files using archive_command."
-msgstr "Permite el archivado de WAL usando archive_command."
-
-#: utils/misc/guc.c:1206
-msgid "Allows modifications of the structure of system tables."
-msgstr "Permite modificaciones de la estructura de las tablas del sistema."
-
-#: utils/misc/guc.c:1216
-msgid "Disables reading from system indexes."
-msgstr "Deshabilita lectura de índices del sistema."
-
-#: utils/misc/guc.c:1217
-msgid ""
-"It does not prevent updating the indexes, so it is safe to use.  The worst "
-"consequence is slowness."
-msgstr ""
-"No evita la actualización de índices, así que es seguro. Lo peor que puede "
-"ocurrir es lentitud del sistema."
-
-#: utils/misc/guc.c:1236
-msgid ""
-"Forces a switch to the next xlog file if a new file has not been started "
-"within N seconds."
-msgstr ""
-"Fuerza el cambio al siguiente archivo xlog si un nuevo archivo no ha sido "
-"iniciado dentro de N segundos."
-
-#: utils/misc/guc.c:1246
-msgid "Waits N seconds on connection startup after authentication."
-msgstr ""
-"Espera N segundos al inicio de la conexión después de la autentificación."
-
-#: utils/misc/guc.c:1247 utils/misc/guc.c:1585
-msgid "This allows attaching a debugger to the process."
-msgstr "Esto permite adjuntar un depurador al proceso."
-
-#: utils/misc/guc.c:1255
-msgid "Sets the default statistics target."
-msgstr "Definir el valor por omisión de toma de estadísticas."
-
-#: utils/misc/guc.c:1256
-msgid ""
-"This applies to table columns that have not had a column-specific target set "
-"via ALTER TABLE SET STATISTICS."
-msgstr ""
-"Esto se aplica a columnas de tablas que no tienen un valor definido a través "
-"de ALTER TABLE SET STATISTICS."
-
-#: utils/misc/guc.c:1264
-msgid "Sets the FROM-list size beyond which subqueries are not collapsed."
-msgstr ""
-"Tamaño de lista de FROM a partir del cual subconsultas no serán colapsadas."
-
-#: utils/misc/guc.c:1266
-msgid ""
-"The planner will merge subqueries into upper queries if the resulting FROM "
-"list would have no more than this many items."
-msgstr ""
-"El planner mezclará subconsultas en consultas de nivel superior si la lista "
-"FROM resultante es menor que esta cantidad de ítems."
-
-#: utils/misc/guc.c:1275
-msgid "Sets the FROM-list size beyond which JOIN constructs are not flattened."
-msgstr ""
-"Tamaño de lista de FROM a partir del cual constructos JOIN no serán "
-"aplanados."
-
-#: utils/misc/guc.c:1277
-msgid ""
-"The planner will flatten explicit JOIN constructs into lists of FROM items "
-"whenever a list of no more than this many items would result."
-msgstr ""
-"El planner aplanará constructos JOIN explícitos en listas de ítems FROM "
-"siempre que la lista resultante no tenga más que esta cantidad de ítems."
-
-#: utils/misc/guc.c:1286
-msgid "Sets the threshold of FROM items beyond which GEQO is used."
-msgstr "Umbral de ítems en FROM a partir del cual se usará GEQO."
-
-#: utils/misc/guc.c:1294
-msgid "GEQO: effort is used to set the default for other GEQO parameters."
-msgstr ""
-"GEQO: effort se usa para determinar los valores por defecto para otros "
-"parámetros."
-
-#: utils/misc/guc.c:1302
-msgid "GEQO: number of individuals in the population."
-msgstr "GEQO: número de individuos en una población."
-
-#: utils/misc/guc.c:1303 utils/misc/guc.c:1311
-msgid "Zero selects a suitable default value."
-msgstr "Cero selecciona un valor por omisión razonable."
-
-#: utils/misc/guc.c:1310
-msgid "GEQO: number of iterations of the algorithm."
-msgstr "GEQO: número de iteraciones del algoritmo."
-
-#: utils/misc/guc.c:1320
-msgid "Sets the time to wait on a lock before checking for deadlock."
-msgstr "Define el tiempo a esperar un lock antes de buscar un deadlock."
-
-#: utils/misc/guc.c:1338
-msgid "Sets the maximum number of concurrent connections."
-msgstr "Número máximo de conexiones concurrentes."
-
-#: utils/misc/guc.c:1347
-msgid "Sets the number of connection slots reserved for superusers."
-msgstr "Número de conexiones reservadas para superusuarios."
-
-#: utils/misc/guc.c:1356
-msgid "Sets the number of shared memory buffers used by the server."
-msgstr "Número de búfers de memoria compartida usados por el servidor."
-
-#: utils/misc/guc.c:1366
-msgid "Sets the maximum number of temporary buffers used by each session."
-msgstr "Número de búfers de memoria temporal usados por cada sesión."
-
-#: utils/misc/guc.c:1376
-msgid "Sets the TCP port the server listens on."
-msgstr "Puerto TCP en el cual escuchará el servidor."
-
-#: utils/misc/guc.c:1385
-msgid "Sets the access permissions of the Unix-domain socket."
-msgstr "Privilegios de acceso al socket Unix."
-
-#: utils/misc/guc.c:1386
-msgid ""
-"Unix-domain sockets use the usual Unix file system permission set. The "
-"parameter value is expected to be a numeric mode specification in the form "
-"accepted by the chmod and umask system calls. (To use the customary octal "
-"format the number must start with a 0 (zero).)"
-msgstr ""
-"Los sockets de dominio Unix usan la funcionalidad de permisos de archivos "
-"estándar de Unix. Se espera que el valor de esta opción sea una "
-"especificación numérica de modo, en la forma aceptada por las llamadas a "
-"sistema chmod y umask. Para usar el modo octal acostumbrado, comience el "
-"número con un 0 (cero)."
-
-#: utils/misc/guc.c:1398
-msgid "Sets the maximum memory to be used for query workspaces."
-msgstr ""
-"Establece el límite de memoria que se usará para espacios de trabajo de "
-"consultas."
-
-#: utils/misc/guc.c:1399
-msgid ""
-"This much memory can be used by each internal sort operation and hash table "
-"before switching to temporary disk files."
-msgstr ""
-"Esta es la cantidad máxima de memoria que se usará para operaciones internas "
-"de ordenamiento y tablas de hashing, antes de comenzar a usar archivos "
-"temporales en disco."
-
-#: utils/misc/guc.c:1410
-msgid "Sets the maximum memory to be used for maintenance operations."
-msgstr ""
-"Establece el límite de memoria que se usará para operaciones de mantención."
-
-#: utils/misc/guc.c:1411
-msgid "This includes operations such as VACUUM and CREATE INDEX."
-msgstr "Esto incluye operaciones como VACUUM y CREATE INDEX."
-
-#: utils/misc/guc.c:1420
-msgid "Sets the maximum stack depth, in kilobytes."
-msgstr "Establece el tamaño máximo del stack, en kilobytes."
-
-#: utils/misc/guc.c:1430
-msgid "Vacuum cost for a page found in the buffer cache."
-msgstr "Costo de Vacuum de una página encontrada en el buffer."
-
-#: utils/misc/guc.c:1439
-msgid "Vacuum cost for a page not found in the buffer cache."
-msgstr "Costo de Vacuum de una página no encontrada en el cache."
-
-#: utils/misc/guc.c:1448
-msgid "Vacuum cost for a page dirtied by vacuum."
-msgstr "Costo de Vacuum de una página ensuciada por vacuum."
-
-#: utils/misc/guc.c:1457
-msgid "Vacuum cost amount available before napping."
-msgstr "Costo de Vacuum disponible antes de descansar."
-
-#: utils/misc/guc.c:1466
-msgid "Vacuum cost delay in milliseconds."
-msgstr "Tiempo de descanso de vacuum en milisegundos."
-
-#: utils/misc/guc.c:1476
-msgid "Vacuum cost delay in milliseconds, for autovacuum."
-msgstr "Tiempo de descanso de vacuum en milisegundos, para autovacuum."
-
-#: utils/misc/guc.c:1486
-msgid "Vacuum cost amount available before napping, for autovacuum."
-msgstr "Costo de Vacuum disponible antes de descansar, para autovacuum."
-
-#: utils/misc/guc.c:1495
-msgid ""
-"Sets the maximum number of simultaneously open files for each server process."
-msgstr "Define la cantidad máxima de archivos abiertos por cada subproceso."
-
-#: utils/misc/guc.c:1504
-msgid "Sets the maximum number of simultaneously prepared transactions."
-msgstr "Define la cantidad máxima de transacciones preparadas simultáneas."
-
-#: utils/misc/guc.c:1534
-msgid "Sets the maximum allowed duration of any statement."
-msgstr "Define la duración máxima permitida de sentencias."
-
-#: utils/misc/guc.c:1535
-msgid "A value of 0 turns off the timeout."
-msgstr "Un valor de 0 desactiva el máximo."
-
-#: utils/misc/guc.c:1544
-msgid "Minimum age at which VACUUM should freeze a table row."
-msgstr ""
-"Mínima edad a la cual VACUUM debería congelar (freeze) una fila de una tabla."
-
-#: utils/misc/guc.c:1553
-msgid "Age at which VACUUM should scan whole table to freeze tuples."
-msgstr ""
-"Edad a la cual VACUUM debería recorrer una tabla completa para congelar "
-"(freeze) las filas."
-
-#: utils/misc/guc.c:1562
-msgid "Sets the maximum number of locks per transaction."
-msgstr "Cantidad máxima de bloqueos (locks) por transacción."
-
-#: utils/misc/guc.c:1563
-msgid ""
-"The shared lock table is sized on the assumption that at most "
-"max_locks_per_transaction * max_connections distinct objects will need to be "
-"locked at any one time."
-msgstr ""
-"El tamaño de la tabla compartida de bloqueos se calcula usando la suposición "
-"de que a lo más max_locks_per_transaction * max_connections objetos "
-"necesitarán ser bloqueados simultáneamente."
-
-#: utils/misc/guc.c:1573
-msgid "Sets the maximum allowed time to complete client authentication."
-msgstr "Define el tiempo máximo para completar proceso de autentificación."
-
-#: utils/misc/guc.c:1584
-msgid "Waits N seconds on connection startup before authentication."
-msgstr ""
-"Espera N segundos al inicio de la conexión antes de la autentificación."
-
-#: utils/misc/guc.c:1594
-msgid ""
-"Sets the maximum distance in log segments between automatic WAL checkpoints."
-msgstr ""
-"Define la distancia máxima, en cantidad de segmentos, entre puntos de "
-"control de WAL automáticos."
-
-#: utils/misc/guc.c:1603
-msgid "Sets the maximum time between automatic WAL checkpoints."
-msgstr "Define el tiempo máximo entre puntos de control de WAL automáticos."
-
-#: utils/misc/guc.c:1613
-msgid ""
-"Enables warnings if checkpoint segments are filled more frequently than this."
-msgstr "Registrar si el llenado de segmentos de WAL es más frecuente que esto."
-
-#: utils/misc/guc.c:1615
-msgid ""
-"Write a message to the server log if checkpoints caused by the filling of "
-"checkpoint segment files happens more frequently than this number of "
-"seconds. Zero turns off the warning."
-msgstr ""
-"Envía un mensaje a los registros del servidor si los punto de control "
-"causados por el llenado de archivos de segmento sucede con más frecuencia "
-"que este número de segundos. Un valor de 0 (cero) desactiva la opción."
-
-#: utils/misc/guc.c:1626
-msgid "Sets the number of disk-page buffers in shared memory for WAL."
-msgstr "Búfers en memoria compartida para páginas de WAL."
-
-#: utils/misc/guc.c:1636
-msgid "WAL writer sleep time between WAL flushes."
-msgstr ""
-"Tiempo de descanso del escritor de WAL entre escrituras de WAL consecutivas."
-
-#: utils/misc/guc.c:1646
-msgid ""
-"Sets the delay in microseconds between transaction commit and flushing WAL "
-"to disk."
-msgstr ""
-"Retardo en microsegundos entre completar una transacción y escribir WAL a "
-"disco."
-
-#: utils/misc/guc.c:1656
-msgid ""
-"Sets the minimum concurrent open transactions before performing commit_delay."
-msgstr "Mínimo de transacciones concurrentes para esperar commit_delay."
-
-#: utils/misc/guc.c:1666
-msgid "Sets the number of digits displayed for floating-point values."
-msgstr "Ajustar el número de dígitos mostrados para valores de coma flotante."
-
-#: utils/misc/guc.c:1667
-msgid ""
-"This affects real, double precision, and geometric data types. The parameter "
-"value is added to the standard number of digits (FLT_DIG or DBL_DIG as "
-"appropriate)."
-msgstr ""
-"Afecta los tipos real, double precision y geométricos. El valor del "
-"parámetro se agrega al número estándar de dígitos (FLT_DIG o DBL_DIG según "
-"corresponda)"
-
-#: utils/misc/guc.c:1677
-msgid "Sets the minimum execution time above which statements will be logged."
-msgstr ""
-"Tiempo mínimo de ejecución a partir del cual se registran las consultas."
-
-#: utils/misc/guc.c:1679
-msgid "Zero prints all queries. -1 turns this feature off."
-msgstr "Cero registra todas las consultas. -1 desactiva esta característica."
-
-#: utils/misc/guc.c:1688
-msgid ""
-"Sets the minimum execution time above which autovacuum actions will be "
-"logged."
-msgstr ""
-"Tiempo mínimo de ejecución a partir del cual se registran las acciones de "
-"autovacuum."
-
-#: utils/misc/guc.c:1690
-msgid "Zero prints all actions. -1 turns autovacuum logging off."
-msgstr ""
-"Cero registra todas las acciones. -1 desactiva el registro de autovacuum."
-
-#: utils/misc/guc.c:1699
-msgid "Background writer sleep time between rounds."
-msgstr "Tiempo de descanso entre rondas del background writer"
-
-#: utils/misc/guc.c:1709
-msgid "Background writer maximum number of LRU pages to flush per round."
-msgstr ""
-"Número máximo de páginas LRU a escribir en cada ronda del background writer"
-
-#: utils/misc/guc.c:1724
-msgid ""
-"Number of simultaneous requests that can be handled efficiently by the disk "
-"subsystem."
-msgstr ""
-"Cantidad máxima de peticiones simultáneas que pueden ser manejadas "
-"eficientemente por el sistema de disco."
-
-#: utils/misc/guc.c:1725
-msgid ""
-"For RAID arrays, this should be approximately the number of drive spindles "
-"in the array."
-msgstr ""
-"Para arrays RAID, esto debería ser aproximadamente la cantidad de discos en "
-"el array."
-
-#: utils/misc/guc.c:1738
-msgid "Automatic log file rotation will occur after N minutes."
-msgstr ""
-"La rotación automática de archivos de log se efectuará después de N minutos."
-
-#: utils/misc/guc.c:1748
-msgid "Automatic log file rotation will occur after N kilobytes."
-msgstr ""
-"La rotación automática de archivos de log se efectuará después de N "
-"kilobytes."
-
-#: utils/misc/guc.c:1758
-msgid "Shows the maximum number of function arguments."
-msgstr "Muestra la cantidad máxima de argumentos de funciones."
-
-#: utils/misc/guc.c:1768
-msgid "Shows the maximum number of index keys."
-msgstr "Muestra la cantidad máxima de claves de índices."
-
-#: utils/misc/guc.c:1778
-msgid "Shows the maximum identifier length."
-msgstr "Muestra el largo máximo de identificadores."
-
-#: utils/misc/guc.c:1788
-msgid "Shows the size of a disk block."
-msgstr "Muestra el tamaño de un bloque de disco."
-
-#: utils/misc/guc.c:1798
-msgid "Shows the number of pages per disk file."
-msgstr "Muestra el número de páginas por archivo en disco."
-
-#: utils/misc/guc.c:1808
-msgid "Shows the block size in the write ahead log."
-msgstr "Muestra el tamaño de bloque en el write-ahead log."
-
-#: utils/misc/guc.c:1818
-msgid "Shows the number of pages per write ahead log segment."
-msgstr "Muestra el número de páginas por cada segmento de write-ahead log."
-
-#: utils/misc/guc.c:1831
-msgid "Time to sleep between autovacuum runs."
-msgstr "Tiempo de descanso entre ejecuciones de autovacuum."
-
-#: utils/misc/guc.c:1840
-msgid "Minimum number of tuple updates or deletes prior to vacuum."
-msgstr "Número mínimo de updates o deletes antes de ejecutar vacuum."
-
-#: utils/misc/guc.c:1848
-msgid "Minimum number of tuple inserts, updates or deletes prior to analyze."
-msgstr "Número mínimo de inserts, updates, deletes antes de ejecutar analyze."
-
-#: utils/misc/guc.c:1857
-msgid ""
-"Age at which to autovacuum a table to prevent transaction ID wraparound."
-msgstr ""
-"Edad a la cual aplicar VACUUM automáticamente a una tabla para prevenir "
-"problemas por reciclaje de ID de transacción."
-
-#: utils/misc/guc.c:1866
-msgid ""
-"Sets the maximum number of simultaneously running autovacuum worker "
-"processes."
-msgstr "Define la cantidad máxima de procesos «autovacuum worker» simultáneos."
-
-#: utils/misc/guc.c:1875
-msgid "Time between issuing TCP keepalives."
-msgstr "Tiempo entre cada emisión de TCP keepalive."
-
-#: utils/misc/guc.c:1876 utils/misc/guc.c:1886
-msgid "A value of 0 uses the system default."
-msgstr "Un valor 0 usa el valor por omisión del sistema."
-
-#: utils/misc/guc.c:1885
-msgid "Time between TCP keepalive retransmits."
-msgstr "Tiempo entre retransmisiones TCP keepalive."
-
-#: utils/misc/guc.c:1895
-msgid ""
-"Set the amount of traffic to send and receive before renegotiating the "
-"encryption keys."
-msgstr ""
-"Define la cantidad de tráfico a enviar y recibir antes de renegociar las "
-"llaves de cifrado."
-
-#: utils/misc/guc.c:1905
-msgid "Maximum number of TCP keepalive retransmits."
-msgstr "Cantidad máxima de retransmisiones TCP keepalive."
-
-#: utils/misc/guc.c:1906
-msgid ""
-"This controls the number of consecutive keepalive retransmits that can be "
-"lost before a connection is considered dead. A value of 0 uses the system "
-"default."
-msgstr ""
-"Esto controla el número de retransmisiones consecutivas de keepalive que "
-"pueden ser perdidas antes que la conexión sea considerada muerta.  Un valor "
-"0 usa el valor por omisión del sistema."
-
-#: utils/misc/guc.c:1916
-msgid "Sets the maximum allowed result for exact search by GIN."
-msgstr ""
-"Define el máximo de resultados permitidos por búsquedas exactas con GIN."
-
-#: utils/misc/guc.c:1926
-msgid "Sets the planner's assumption about the size of the disk cache."
-msgstr "Define la suposición del tamaño del cache de disco."
-
-#: utils/misc/guc.c:1927
-msgid ""
-"That is, the portion of the kernel's disk cache that will be used for "
-"PostgreSQL data files. This is measured in disk pages, which are normally 8 "
-"kB each."
-msgstr ""
-"Esto es, la porción del cache de disco que será usado para archivos de datos "
-"de PostgreSQL. Esto se mide en cantidad de páginas, que normalmente son de 8 "
-"kB cada una."
-
-#: utils/misc/guc.c:1939
-msgid "Shows the server version as an integer."
-msgstr "Muestra la versión del servidor como un número entero."
-
-#: utils/misc/guc.c:1949
-msgid "Log the use of temporary files larger than this number of kilobytes."
-msgstr ""
-"Registra el uso de archivos temporales que crezcan más allá de este número "
-"de kilobytes."
-
-#: utils/misc/guc.c:1950
-msgid "Zero logs all files. The default is -1 (turning this feature off)."
-msgstr ""
-"Cero registra todos los archivos. El valor por omisión es -1 (lo cual "
-"desactiva el registro)."
-
-#: utils/misc/guc.c:1959
-msgid "Sets the size reserved for pg_stat_activity.current_query, in bytes."
-msgstr "Tamaño reservado para pg_stat_activity.current_query, en bytes."
-
-#: utils/misc/guc.c:1977
-msgid ""
-"Sets the planner's estimate of the cost of a sequentially fetched disk page."
-msgstr "Estimación del costo de una página leída secuencialmente."
-
-#: utils/misc/guc.c:1986
-msgid ""
-"Sets the planner's estimate of the cost of a nonsequentially fetched disk "
-"page."
-msgstr "Estimación del costo de una página leída no secuencialmente."
-
-#: utils/misc/guc.c:1995
-msgid "Sets the planner's estimate of the cost of processing each tuple (row)."
-msgstr "Estimación del costo de procesar cada tupla (fila)."
-
-#: utils/misc/guc.c:2004
-msgid ""
-"Sets the planner's estimate of the cost of processing each index entry "
-"during an index scan."
-msgstr ""
-"Estimación del costo de procesar cada fila de índice durante un recorrido de "
-"índice."
-
-#: utils/misc/guc.c:2013
-msgid ""
-"Sets the planner's estimate of the cost of processing each operator or "
-"function call."
-msgstr "Estimación del costo de procesar cada operador o llamada a función."
-
-#: utils/misc/guc.c:2023
-msgid ""
-"Sets the planner's estimate of the fraction of a cursor's rows that will be "
-"retrieved."
-msgstr "Estimación de la fracción de filas de un cursor que serán extraídas."
-
-#: utils/misc/guc.c:2033
-msgid "GEQO: selective pressure within the population."
-msgstr "GEQO: presión selectiva dentro de la población."
-
-#: utils/misc/guc.c:2043
-msgid "Multiple of the average buffer usage to free per round."
-msgstr "Múltiplo del uso promedio de búfers que liberar en cada ronda."
-
-#: utils/misc/guc.c:2052
-msgid "Sets the seed for random-number generation."
-msgstr "Semilla para la generación de números aleatorios."
-
-#: utils/misc/guc.c:2062
-msgid ""
-"Number of tuple updates or deletes prior to vacuum as a fraction of "
-"reltuples."
-msgstr ""
-"Número de updates o deletes de tuplas antes de ejecutar un vacuum, como "
-"fracción de reltuples."
-
-#: utils/misc/guc.c:2070
-msgid ""
-"Number of tuple inserts, updates or deletes prior to analyze as a fraction "
-"of reltuples."
-msgstr ""
-"Número de inserts, updates o deletes de tuplas antes de ejecutar un analyze, "
-"como fracción de reltuples."
-
-#: utils/misc/guc.c:2079
-msgid ""
-"Time spent flushing dirty buffers during checkpoint, as fraction of "
-"checkpoint interval."
-msgstr ""
-"Tiempo utilizado en escribir páginas «sucias» durante los puntos de control, "
-"medido como fracción del intervalo del punto de control."
-
-#: utils/misc/guc.c:2097
-msgid "Sets the shell command that will be called to archive a WAL file."
-msgstr "Orden de shell que se invocará para archivar un archivo WAL."
-
-#: utils/misc/guc.c:2106
-msgid "Sets the client's character set encoding."
-msgstr "Codificación del juego de caracteres del cliente."
-
-#: utils/misc/guc.c:2116
-msgid "Controls information prefixed to each log line."
-msgstr "Controla el prefijo que antecede cada línea registrada."
-
-#: utils/misc/guc.c:2117
-msgid "If blank, no prefix is used."
-msgstr "si está en blanco, no se usa prefijo."
-
-#: utils/misc/guc.c:2125
-msgid "Sets the time zone to use in log messages."
-msgstr "Define el huso horario usando en los mensajes registrados."
-
-#: utils/misc/guc.c:2134
-msgid "Sets the display format for date and time values."
-msgstr "Formato de salida para valores de horas y fechas."
-
-#: utils/misc/guc.c:2135
-msgid "Also controls interpretation of ambiguous date inputs."
-msgstr "También controla la interpretación de entradas ambiguas de fechas"
-
-#: utils/misc/guc.c:2145
-msgid "Sets the default tablespace to create tables and indexes in."
-msgstr "Define el tablespace en el cual crear tablas e índices."
-
-#: utils/misc/guc.c:2146
-msgid "An empty string selects the database's default tablespace."
-msgstr ""
-"Una cadena vacía especifica el tablespace por omisión de la base de datos."
-
-#: utils/misc/guc.c:2155
-msgid "Sets the tablespace(s) to use for temporary tables and sort files."
-msgstr ""
-"Define el/los tablespace/s en el cual crear tablas temporales y archivos de "
-"ordenamiento."
-
-#: utils/misc/guc.c:2165
-msgid "Sets the path for dynamically loadable modules."
-msgstr "Ruta para módulos dinámicos."
-
-#: utils/misc/guc.c:2166
-msgid ""
-"If a dynamically loadable module needs to be opened and the specified name "
-"does not have a directory component (i.e., the name does not contain a "
-"slash), the system will search this path for the specified file."
-msgstr ""
-"Si se necesita abrir un módulo dinámico y el nombre especificado no tiene un "
-"componente de directorio (es decir, no contiene un slash), el sistema "
-"buscará el archivo especificado en esta ruta."
-
-#: utils/misc/guc.c:2178
-msgid "Sets the location of the Kerberos server key file."
-msgstr "Ubicación del archivo de llave del servidor Kerberos."
-
-#: utils/misc/guc.c:2188
-msgid "Sets the name of the Kerberos service."
-msgstr "Nombre del servicio Kerberos."
-
-#: utils/misc/guc.c:2197
-msgid "Sets the Bonjour broadcast service name."
-msgstr "Nombre del servicio Bonjour."
-
-#: utils/misc/guc.c:2208
-msgid "Shows the collation order locale."
-msgstr "Configuración regional de ordenamiento de cadenas (collation)."
-
-#: utils/misc/guc.c:2218
-msgid "Shows the character classification and case conversion locale."
-msgstr ""
-"Configuración regional de clasificación de caracteres y conversión de "
-"mayúsculas."
-
-#: utils/misc/guc.c:2228
-msgid "Sets the language in which messages are displayed."
-msgstr "Idioma en el que se despliegan los mensajes."
-
-#: utils/misc/guc.c:2237
-msgid "Sets the locale for formatting monetary amounts."
-msgstr "Configuración regional para formatos de moneda."
-
-#: utils/misc/guc.c:2246
-msgid "Sets the locale for formatting numbers."
-msgstr "Configuración regional para formatos de números."
-
-#: utils/misc/guc.c:2255
-msgid "Sets the locale for formatting date and time values."
-msgstr "Configuración regional para formatos de horas y fechas."
-
-#: utils/misc/guc.c:2264
-msgid "Lists shared libraries to preload into server."
-msgstr "Bibliotecas compartidas a precargar en el servidor."
-
-#: utils/misc/guc.c:2274
-msgid "Lists shared libraries to preload into each backend."
-msgstr "Bibliotecas compartidas a precargar en cada proceso."
-
-#: utils/misc/guc.c:2284
-msgid "Sets the schema search order for names that are not schema-qualified."
-msgstr "Orden de búsqueda en schemas para nombres que no especifican schema."
-
-#: utils/misc/guc.c:2295
-msgid "Sets the server (database) character set encoding."
-msgstr "Codificación de caracteres del servidor (bases de datos)."
-
-#: utils/misc/guc.c:2306
-msgid "Shows the server version."
-msgstr "Versión del servidor."
-
-#: utils/misc/guc.c:2317
-msgid "Sets the current role."
-msgstr "Define el rol actual."
-
-#: utils/misc/guc.c:2328
-msgid "Sets the session user name."
-msgstr "Define el nombre del usuario de sesión."
-
-#: utils/misc/guc.c:2338
-msgid "Sets the destination for server log output."
-msgstr "Define el destino de la salida del registro del servidor."
-
-#: utils/misc/guc.c:2339
-msgid ""
-"Valid values are combinations of \"stderr\", \"syslog\", \"csvlog\", and "
-"\"eventlog\", depending on the platform."
-msgstr ""
-"Valores aceptables son combinaciones de «stderr», «syslog», «csvlog» y "
-"«eventlog», dependiendo de la plataforma."
-
-#: utils/misc/guc.c:2349
-msgid "Sets the destination directory for log files."
-msgstr ""
-"Define el directorio de destino de los archivos del registro del servidor."
-
-#: utils/misc/guc.c:2350
-msgid "Can be specified as relative to the data directory or as absolute path."
-msgstr ""
-"Puede ser una ruta relativa al directorio de datos o una ruta absoluta."
-
-#: utils/misc/guc.c:2359
-msgid "Sets the file name pattern for log files."
-msgstr ""
-"Define el patrón para los nombres de archivo del registro del servidor."
-
-#: utils/misc/guc.c:2370
-msgid "Sets the program name used to identify PostgreSQL messages in syslog."
-msgstr "Nombre de programa para identificar PostgreSQL en mensajes de syslog."
-
-#: utils/misc/guc.c:2381
-msgid "Sets the time zone for displaying and interpreting time stamps."
-msgstr "Huso horario para desplegar e interpretar valores de tiempo."
-
-#: utils/misc/guc.c:2390
-msgid "Selects a file of time zone abbreviations."
-msgstr "Selecciona un archivo de abreviaciones de huso horario."
-
-#: utils/misc/guc.c:2399
-msgid "Sets the current transaction's isolation level."
-msgstr "Define el nivel de aislación de la transacción en curso."
-
-#: utils/misc/guc.c:2409
-msgid "Sets the owning group of the Unix-domain socket."
-msgstr "Grupo dueño del socket de dominio Unix."
-
-#: utils/misc/guc.c:2410
-msgid ""
-"The owning user of the socket is always the user that starts the server."
-msgstr ""
-"El usuario dueño del socket siempre es el usuario que inicia el servidor."
-
-#: utils/misc/guc.c:2419
-msgid "Sets the directory where the Unix-domain socket will be created."
-msgstr "Directorio donde ser creará el socket de dominio Unix."
-
-#: utils/misc/guc.c:2429
-msgid "Sets the host name or IP address(es) to listen to."
-msgstr "Define el nombre de anfitrión o dirección IP en la cual escuchar."
-
-#: utils/misc/guc.c:2439
-msgid "Sets the list of known custom variable classes."
-msgstr "Define la lista de clases adicionales de variables conocidas."
-
-#: utils/misc/guc.c:2449
-msgid "Sets the server's data directory."
-msgstr "Define la ubicación del directorio de datos."
-
-#: utils/misc/guc.c:2459
-msgid "Sets the server's main configuration file."
-msgstr ""
-"Define la ubicación del archivo principal de configuración del servidor."
-
-#: utils/misc/guc.c:2469
-msgid "Sets the server's \"hba\" configuration file."
-msgstr "Define la ubicación del archivo de configuración «hba» del servidor."
-
-#: utils/misc/guc.c:2479
-msgid "Sets the server's \"ident\" configuration file."
-msgstr "Define la ubicación del archivo de configuración «ident» del servidor."
-
-#: utils/misc/guc.c:2489
-msgid "Writes the postmaster PID to the specified file."
-msgstr "Registra el PID de postmaster en el archivo especificado."
-
-#: utils/misc/guc.c:2499
-msgid "Writes temporary statistics files to the specified directory."
-msgstr ""
-"Escribe los archivos temporales de estadísticas al directorio especificado."
-
-#: utils/misc/guc.c:2509
-msgid "Sets default text search configuration."
-msgstr "Define la configuración de búsqueda en texto por omisión."
-
-#: utils/misc/guc.c:2519
-msgid "Sets the list of allowed SSL ciphers."
-msgstr "Define la lista de cifrados SSL permitidos."
-
-#: utils/misc/guc.c:2539
-msgid "Sets whether \"\\'\" is allowed in string literals."
-msgstr "Define si «\\'» está permitido en literales de cadena."
-
-#: utils/misc/guc.c:2548
-msgid "Sets the message levels that are sent to the client."
-msgstr "Nivel de mensajes enviados al cliente."
-
-#: utils/misc/guc.c:2549 utils/misc/guc.c:2598 utils/misc/guc.c:2608
-msgid ""
-"Each level includes all the levels that follow it. The later the level, the "
-"fewer messages are sent."
-msgstr ""
-"Cada nivel incluye todos los niveles que lo siguen.  Mientras más posterior "
-"el nivel, menos mensajes se enviarán."
-
-#: utils/misc/guc.c:2558
-msgid "Enables the planner to use constraints to optimize queries."
-msgstr "Permitir el uso de restricciones para limitar los accesos a tablas."
-
-#: utils/misc/guc.c:2559
-msgid ""
-"Table scans will be skipped if their constraints guarantee that no rows "
-"match the query."
-msgstr ""
-"Las tablas no serán recorridas si sus restricciones garantizan que ninguna "
-"fila coincidirá con la consulta."
-
-#: utils/misc/guc.c:2569
-msgid "Sets the transaction isolation level of each new transaction."
-msgstr "Nivel de aislación (isolation level) de transacciones nuevas."
-
-#: utils/misc/guc.c:2578
-msgid "Sets the display format for interval values."
-msgstr "Formato de salida para valores de intervalos."
-
-#: utils/misc/guc.c:2588
-msgid "Sets the verbosity of logged messages."
-msgstr "Verbosidad de los mensajes registrados."
-
-#: utils/misc/guc.c:2597
-msgid "Sets the message levels that are logged."
-msgstr "Nivel de mensajes registrados."
-
-#: utils/misc/guc.c:2607
-msgid ""
-"Causes all statements generating error at or above this level to be logged."
-msgstr ""
-"Registrar sentencias que generan error de nivel superior o igual a éste."
-
-#: utils/misc/guc.c:2617
-msgid "Sets the type of statements logged."
-msgstr "Define el tipo de sentencias que se registran."
-
-#: utils/misc/guc.c:2627
-msgid "Sets the syslog \"facility\" to be used when syslog enabled."
-msgstr "«Facility» de syslog que se usará cuando syslog esté habilitado."
-
-#: utils/misc/guc.c:2637
-msgid "Sets the regular expression \"flavor\"."
-msgstr "«Sabor» de expresiones regulares."
-
-#: utils/misc/guc.c:2646
-msgid "Sets the session's behavior for triggers and rewrite rules."
-msgstr ""
-"Define el comportamiento de la sesión con respecto a disparadores y reglas "
-"de reescritura."
-
-#: utils/misc/guc.c:2656
-msgid "Collects function-level statistics on database activity."
-msgstr "Recolectar estadísticas de actividad de funciones en la base de datos."
-
-#: utils/misc/guc.c:2665
-msgid "Selects the method used for forcing WAL updates to disk."
-msgstr "Selecciona el método usado para forzar escritura de WAL a disco."
-
-#: utils/misc/guc.c:2675
-msgid "Sets how binary values are to be encoded in XML."
-msgstr "Define cómo se codificarán los valores binarios en XML."
-
-#: utils/misc/guc.c:2684
-msgid ""
-"Sets whether XML data in implicit parsing and serialization operations is to "
-"be considered as documents or content fragments."
-msgstr ""
-"Define si los datos XML implícitos en operaciones de análisis y "
-"serialización serán considerados documentos o fragmentos de contenido."
-
-#: utils/misc/guc.c:3454
-#, c-format
-msgid ""
-"%s does not know where to find the server configuration file.\n"
-"You must specify the --config-file or -D invocation option or set the PGDATA "
-"environment variable.\n"
-msgstr ""
-"%s no sabe dónde encontrar el archivo de configuración del servidor.\n"
-"Debe especificar la opción --config-file o -D o definir la variable de "
-"ambiente PGDATA.\n"
-
-#: utils/misc/guc.c:3473
-#, c-format
-msgid "%s cannot access the server configuration file \"%s\": %s\n"
-msgstr "%s no pudo examinar el archivo de configuración «%s»: %s\n"
-
-#: utils/misc/guc.c:3493
-#, c-format
-msgid ""
-"%s does not know where to find the database system data.\n"
-"This can be specified as \"data_directory\" in \"%s\", or by the -D "
-"invocation option, or by the PGDATA environment variable.\n"
-msgstr ""
-"%s no sabe dónde encontrar los archivos de sistema de la base de datos.\n"
-"Esto puede especificarse como «data_directory» en «%s», o usando la opción -"
-"D, o a través de la variable de ambiente PGDATA.\n"
-
-#: utils/misc/guc.c:3524
-#, c-format
-msgid ""
-"%s does not know where to find the \"hba\" configuration file.\n"
-"This can be specified as \"hba_file\" in \"%s\", or by the -D invocation "
-"option, or by the PGDATA environment variable.\n"
-msgstr ""
-"%s no sabe dónde encontrar el archivo de configuración «hba».\n"
-"Esto puede especificarse como «hba_file» en «%s», o usando la opción -D, o a "
-"través de la variable de ambiente PGDATA.\n"
-
-#: utils/misc/guc.c:3547
-#, c-format
-msgid ""
-"%s does not know where to find the \"ident\" configuration file.\n"
-"This can be specified as \"ident_file\" in \"%s\", or by the -D invocation "
-"option, or by the PGDATA environment variable.\n"
-msgstr ""
-"%s no sabe dónde encontrar el archivo de configuración «ident».\n"
-"Esto puede especificarse como «ident_file» en «%s», o usando la opción -D, o "
-"a través de la variable de ambiente PGDATA.\n"
-
-#: utils/misc/guc.c:4152 utils/misc/guc.c:4320
-msgid "Value exceeds integer range."
-msgstr "El valor excede el rango para enteros."
-
-#: utils/misc/guc.c:4175
-msgid "Valid units for this parameter are \"kB\", \"MB\", and \"GB\"."
-msgstr "Unidades válidas para este parámetro son «kB», «MB» y «GB»."
-
-#: utils/misc/guc.c:4234
-msgid ""
-"Valid units for this parameter are \"ms\", \"s\", \"min\", \"h\", and \"d\"."
-msgstr "Unidades válidas para este parámetro son «ms», «s», «min», «h» y «d»."
-
-#: utils/misc/guc.c:4542 utils/misc/guc.c:5203 utils/misc/guc.c:5251
-#: utils/misc/guc.c:5372 utils/misc/guc.c:5952 utils/misc/guc.c:6093
-#: guc-file.l:217
-#, c-format
-msgid "unrecognized configuration parameter \"%s\""
-msgstr "parámetro de configuración no reconocido: «%s»"
-
-#: utils/misc/guc.c:4569
-#, c-format
-msgid "parameter \"%s\" cannot be changed"
-msgstr "no se puede cambiar el parámetro «%s»"
-
-#: utils/misc/guc.c:4586 utils/misc/guc.c:4595 guc-file.l:264
-#, c-format
-msgid "attempted change of parameter \"%s\" ignored"
-msgstr "el intento de cambiar la opción «%s» ha sido ignorado"
-
-#: utils/misc/guc.c:4588 utils/misc/guc.c:4597 guc-file.l:266
-msgid "This parameter cannot be changed after server start."
-msgstr "La opción no se puede modificar después del inicio del servidor."
-
-#: utils/misc/guc.c:4606
-#, c-format
-msgid "parameter \"%s\" cannot be changed now"
-msgstr "el parámetro «%s» no se puede cambiar en este momento"
-
-#: utils/misc/guc.c:4636
-#, c-format
-msgid "parameter \"%s\" cannot be set after connection start"
-msgstr "el parámetro «%s» no se puede cambiar después de efectuar la conexión"
-
-#: utils/misc/guc.c:4646
-#, c-format
-msgid "permission denied to set parameter \"%s\""
-msgstr "se ha denegado el permiso para cambiar la opción «%s»"
-
-#: utils/misc/guc.c:4684
-#, c-format
-msgid "cannot set parameter \"%s\" within security-definer function"
-msgstr ""
-"no se puede definir el parámetro «%s» dentro una función security-definer"
-
-#: utils/misc/guc.c:4692 utils/init/miscinit.c:443
-#, c-format
-msgid "cannot set parameter \"%s\" within security-restricted operation"
-msgstr ""
-"no se puede definir el parámetro «%s» dentro de una operación restringida "
-"por seguridad"
-
-#: utils/misc/guc.c:4741
-#, c-format
-msgid "parameter \"%s\" requires a Boolean value"
-msgstr "opción «%s» requiere un valor lógico (booleano)"
-
-#: utils/misc/guc.c:4763 utils/misc/guc.c:4838
-#, c-format
-msgid "invalid value for parameter \"%s\": %d"
-msgstr "valor no válido para el parámetro «%s»: %d"
-
-#: utils/misc/guc.c:4807 utils/misc/guc.c:5009 utils/misc/guc.c:5075
-#: utils/misc/guc.c:5101 guc-file.l:178
-#, c-format
-msgid "invalid value for parameter \"%s\": \"%s\""
-msgstr "valor no válido para el parámetro «%s»: «%s»"
-
-#: utils/misc/guc.c:4816
-#, c-format
-msgid "%d is outside the valid range for parameter \"%s\" (%d .. %d)"
-msgstr "%d está fuera del rango aceptable para el parámetro «%s» (%d .. %d)"
-
-#: utils/misc/guc.c:4880
-#, c-format
-msgid "parameter \"%s\" requires a numeric value"
-msgstr "parámetro «%s» requiere un valor numérico"
-
-#: utils/misc/guc.c:4888
-#, c-format
-msgid "%g is outside the valid range for parameter \"%s\" (%g .. %g)"
-msgstr "%g está fuera del rango aceptable para el parámetro «%s» (%g .. %g)"
-
-#: utils/misc/guc.c:4910
-#, c-format
-msgid "invalid value for parameter \"%s\": %g"
-msgstr "valor no válido para el parámetro «%s»: %g"
-
-#: utils/misc/guc.c:5207 utils/misc/guc.c:5255 utils/misc/guc.c:6097
-#, c-format
-msgid "must be superuser to examine \"%s\""
-msgstr "debe ser superusuario para examinar «%s»"
-
-#: utils/misc/guc.c:5381
-#, c-format
-msgid "SET %s takes only one argument"
-msgstr "SET %s lleva sólo un argumento"
-
-#: utils/misc/guc.c:5608
-msgid "SET requires parameter name"
-msgstr "SET requiere el nombre de un parámetro"
-
-#: utils/misc/guc.c:5723
-#, c-format
-msgid "attempt to redefine parameter \"%s\""
-msgstr "intento de cambiar la opción «%s»"
-
-#: utils/misc/guc.c:7034
-#, c-format
-msgid "could not parse setting for parameter \"%s\""
-msgstr "no se pudo interpretar el valor de para el parámetro «%s»"
-
-#: utils/misc/guc.c:7306
-msgid "invalid list syntax for parameter \"log_destination\""
-msgstr "la sintaxis de lista no es válida para el parámetro «log_destination»"
-
-#: utils/misc/guc.c:7330
-#, c-format
-msgid "unrecognized \"log_destination\" key word: \"%s\""
-msgstr "palabra clave de «log_destination» no reconocida: «%s»"
-
-#: utils/misc/guc.c:7405
-msgid "SET AUTOCOMMIT TO OFF is no longer supported"
-msgstr "SET AUTOCOMMIT TO OFF ya no está soportado"
-
-#: utils/misc/guc.c:7477
-msgid "assertion checking is not supported by this build"
-msgstr ""
-"la revisión de aseveraciones (asserts) no está soportada en este servidor"
-
-#: utils/misc/guc.c:7492
-msgid "SSL is not supported by this build"
-msgstr "SSL no está soportado en este servidor"
-
-#: utils/misc/guc.c:7506
-msgid "cannot enable parameter when \"log_statement_stats\" is true"
-msgstr ""
-"no se puede activar el parámetro cuando «log_statement_stats» es verdadero"
-
-#: utils/misc/guc.c:7522
-msgid ""
-"cannot enable \"log_statement_stats\" when \"log_parser_stats\", "
-"\"log_planner_stats\", or \"log_executor_stats\" is true"
-msgstr ""
-"no se puede activar «log_statement_stats» cuando "
-"«log_parser_stats»,«log_planner_stats» o «log_executor_stats» están activos."
-
-#: utils/misc/guc.c:7540
-msgid "cannot set transaction read-write mode inside a read-only transaction"
-msgstr ""
-"no se puede poner en modo de escritura dentro de una transacción de sólo "
-"lectura"
-
-#: utils/misc/help_config.c:131
-msgid "internal error: unrecognized run-time parameter type\n"
-msgstr "error interno: tipo parámetro no reconocido\n"
-
-#: guc-file.l:380
-#, c-format
-msgid ""
-"could not open configuration file \"%s\": maximum nesting depth exceeded"
-msgstr ""
-"no se pudo abrir el archivo de configuración «%s»: nivel de anidamiento "
-"máximo excedido"
-
-#: guc-file.l:543
-#, c-format
-msgid "syntax error in file \"%s\" line %u, near end of line"
-msgstr "error de sintaxis en el archivo «%s» línea %u, cerca del fin de línea"
-
-#: guc-file.l:548
-#, c-format
-msgid "syntax error in file \"%s\" line %u, near token \"%s\""
-msgstr ""
-"error de sintaxis en el archivo «%s» línea %u, cerca de la palabra «%s»"
-
-#: utils/mb/conversion_procs/utf8_and_iso8859/utf8_and_iso8859.c:136
-#: utils/mb/conversion_procs/utf8_and_iso8859/utf8_and_iso8859.c:163
-#, c-format
-msgid "unexpected encoding ID %d for ISO 8859 character sets"
-msgstr "ID de codificación %d inesperado para juegos de caracteres ISO 8859"
-
-#: utils/mb/conversion_procs/utf8_and_win/utf8_and_win.c:126
-#: utils/mb/conversion_procs/utf8_and_win/utf8_and_win.c:153
-#, c-format
-msgid "unexpected encoding ID %d for WIN character sets"
-msgstr "ID de codificación %d inesperado para juegos de caracteres WIN"
-
-#: utils/mb/conv.c:509
-#, c-format
-msgid "invalid encoding number: %d"
-msgstr "el número de codificación no es válido: %d"
-
-#: utils/mb/encnames.c:564
-msgid "encoding name too long"
-msgstr "el nombre de codificación es demasiado largo"
-
-#: utils/mb/mbutils.c:310
-#, c-format
-msgid ""
-"default conversion function for encoding \"%s\" to \"%s\" does not exist"
-msgstr ""
-"no existe el procedimiento por omisión de conversión desde la codificación "
-"«%s» a «%s»"
-
-#: utils/mb/mbutils.c:336 utils/mb/mbutils.c:597
-#, c-format
-msgid "String of %d bytes is too long for encoding conversion."
-msgstr "La cadena de %d bytes es demasiado larga para la recodificación."
-
-#: utils/mb/mbutils.c:423
-#, c-format
-msgid "invalid source encoding name \"%s\""
-msgstr "la codificación de origen «%s» no es válida"
-
-#: utils/mb/mbutils.c:428
-#, c-format
-msgid "invalid destination encoding name \"%s\""
-msgstr "la codificación de destino «%s» no es válida"
-
-#: utils/mb/mbutils.c:529
-#, c-format
-msgid "invalid byte value for encoding \"%s\": 0x%02x"
-msgstr "byte no válido para codificación «%s»: 0x%02x"
-
-#: utils/mb/mbutils.c:724
-msgid "invalid multibyte character for locale"
-msgstr "el carácter multibyte no es válido para esta configuración regional"
-
-#: utils/mb/mbutils.c:725
-msgid ""
-"The server's LC_CTYPE locale is probably incompatible with the database "
-"encoding."
-msgstr ""
-"La configuración regional LC_CTYPE del servidor es probablemente "
-"incompatible con la codificación de la base de datos."
-
-#: utils/mb/wchar.c:1609
-#, c-format
-msgid "invalid byte sequence for encoding \"%s\": 0x%s"
-msgstr "secuencia de bytes no válida para codificación «%s»: 0x%s"
-
-#: utils/mb/wchar.c:1612
-msgid ""
-"This error can also happen if the byte sequence does not match the encoding "
-"expected by the server, which is controlled by \"client_encoding\"."
-msgstr ""
-"Este error también puede ocurrir si la secuencia de bytes no coinciden con "
-"la codificación esperada por el servidor, lo cual es controlado por el "
-"parámetro «client_encoding»."
-
-#: utils/mb/wchar.c:1641
-#, c-format
-msgid "character 0x%s of encoding \"%s\" has no equivalent in \"%s\""
-msgstr "carácter 0x%s de codificación «%s» no tiene equivalente en «%s»"
-
-#: utils/cache/typcache.c:332
-#, c-format
-msgid "type %s is not composite"
-msgstr "el tipo %s no es compuesto"
-
-#: utils/cache/typcache.c:346
-msgid "record type has not been registered"
-msgstr "el tipo record no ha sido registrado"
-
-#: utils/cache/lsyscache.c:2319 utils/cache/lsyscache.c:2354
-#: utils/cache/lsyscache.c:2389 utils/cache/lsyscache.c:2424
-#, c-format
-msgid "type %s is only a shell"
-msgstr "el tipo %s está inconcluso"
-
-#: utils/cache/lsyscache.c:2324
-#, c-format
-msgid "no input function available for type %s"
-msgstr "no hay una función de entrada para el tipo %s"
-
-#: utils/cache/lsyscache.c:2359
-#, c-format
-msgid "no output function available for type %s"
-msgstr "no hay una función de salida para el tipo %s"
-
-#: utils/cache/plancache.c:541
-msgid "cached plan must not change result type"
-msgstr "el plan almacenado no debe cambiar el tipo de resultado"
-
-#: utils/cache/relcache.c:3859
-#, c-format
-msgid "could not create relation-cache initialization file \"%s\": %m"
-msgstr "no se pudo crear el archivo de cache de catálogos de sistema «%s»: %m"
-
-#: utils/cache/relcache.c:3861
-msgid "Continuing anyway, but there's something wrong."
-msgstr "Prosiguiendo de todas maneras, pero hay algo mal."
-
-#: utils/cache/relcache.c:4063
-#, c-format
-msgid "could not remove cache file \"%s\": %m"
-msgstr "no se pudo eliminar el archivo de cache «%s»: %m"
-
-#: utils/error/assert.c:37
-msgid "TRAP: ExceptionalCondition: bad arguments\n"
-msgstr "TRAP: ExceptionalConditions: argumentos erróneos\n"
-
-#: utils/error/assert.c:40
-#, c-format
-msgid "TRAP: %s(\"%s\", File: \"%s\", Line: %d)\n"
-msgstr "TRAP: %s(«%s», Archivo: «%s», Línea: %d)\n"
-
-#: utils/error/elog.c:1409
-#, c-format
-msgid "could not reopen file \"%s\" as stderr: %m"
-msgstr "no se pudo reabrir «%s» para error estándar: %m"
-
-#: utils/error/elog.c:1422
-#, c-format
-msgid "could not reopen file \"%s\" as stdout: %m"
-msgstr "no se pudo reabrir «%s» para usar como salida estándar: %m"
-
-#: utils/error/elog.c:1732 utils/error/elog.c:1742
-msgid "[unknown]"
-msgstr "[desconocido]"
-
-#: utils/error/elog.c:2082 utils/error/elog.c:2364 utils/error/elog.c:2442
-msgid "missing error text"
-msgstr "falta un texto de mensaje de error"
-
-#: utils/error/elog.c:2085 utils/error/elog.c:2088 utils/error/elog.c:2445
-#: utils/error/elog.c:2448
-#, c-format
-msgid " at character %d"
-msgstr " en carácter %d"
-
-#: utils/error/elog.c:2098 utils/error/elog.c:2105
-msgid "DETAIL:  "
-msgstr "DETALLE:  "
-
-#: utils/error/elog.c:2112
-msgid "HINT:  "
-msgstr "HINT:  "
-
-#: utils/error/elog.c:2119
-msgid "QUERY:  "
-msgstr "CONSULTA:  "
-
-#: utils/error/elog.c:2126
-msgid "CONTEXT:  "
-msgstr "CONTEXTO:  "
-
-#: utils/error/elog.c:2136
-#, c-format
-msgid "LOCATION:  %s, %s:%d\n"
-msgstr "UBICACIÓN:  %s, %s:%d\n"
-
-#: utils/error/elog.c:2143
-#, c-format
-msgid "LOCATION:  %s:%d\n"
-msgstr "UBICACIÓN:  %s:%d\n"
-
-#: utils/error/elog.c:2157
-msgid "STATEMENT:  "
-msgstr "SENTENCIA:  "
-
-#: utils/error/elog.c:2254
-msgid "Not safe to send CSV data\n"
-msgstr "No es seguro enviar datos CSV\n"
-
-#. translator: This string will be truncated at 47
-#. characters expanded.
-#: utils/error/elog.c:2557
-#, c-format
-msgid "operating system error %d"
-msgstr "error %d de sistema operativo"
-
-#: utils/error/elog.c:2580
-msgid "DEBUG"
-msgstr "DEBUG"
-
-#: utils/error/elog.c:2584
-msgid "LOG"
-msgstr "LOG"
-
-#: utils/error/elog.c:2587
-msgid "INFO"
-msgstr "INFO"
-
-#: utils/error/elog.c:2590
-msgid "NOTICE"
-msgstr "NOTICE"
-
-#: utils/error/elog.c:2593
-msgid "WARNING"
-msgstr "WARNING"
-
-#: utils/error/elog.c:2596
-msgid "ERROR"
-msgstr "ERROR"
-
-#: utils/error/elog.c:2599
-msgid "FATAL"
-msgstr "FATAL"
-
-#: utils/error/elog.c:2602
-msgid "PANIC"
-msgstr "PANIC"
-
-#: utils/fmgr/dfmgr.c:125
-#, c-format
-msgid "could not find function \"%s\" in file \"%s\""
-msgstr "no se encuentra la función «%s» en el archivo «%s»"
-
-#: utils/fmgr/dfmgr.c:204 utils/fmgr/dfmgr.c:413 utils/fmgr/dfmgr.c:461
-#, c-format
-msgid "could not access file \"%s\": %m"
-msgstr "no se pudo acceder al archivo «%s»: %m"
-
-#: utils/fmgr/dfmgr.c:242
-#, c-format
-msgid "could not load library \"%s\": %s"
-msgstr "no se pudo cargar la biblioteca «%s»: %s"
-
-#: utils/fmgr/dfmgr.c:274
-#, c-format
-msgid "incompatible library \"%s\": missing magic block"
-msgstr "biblioteca «%s» incompatible: no se encuentra el bloque mágico"
-
-#: utils/fmgr/dfmgr.c:276
-msgid "Extension libraries are required to use the PG_MODULE_MAGIC macro."
-msgstr ""
-"Se requiere que las bibliotecas de extensión usen la macro PG_MODULE_MAGIC."
-
-#: utils/fmgr/dfmgr.c:312
-#, c-format
-msgid "incompatible library \"%s\": version mismatch"
-msgstr "biblioteca «%s» incompatible: versión no coincide"
-
-#: utils/fmgr/dfmgr.c:314
-#, c-format
-msgid "Server is version %d.%d, library is version %d.%d."
-msgstr "Servidor tiene versión %d.%d, biblioteca es versión %d.%d."
-
-#: utils/fmgr/dfmgr.c:333
-#, c-format
-msgid "Server has FUNC_MAX_ARGS = %d, library has %d."
-msgstr "El servidor tiene FUNC_MAX_ARGS = %d, la librería tiene %d"
-
-#: utils/fmgr/dfmgr.c:342
-#, c-format
-msgid "Server has INDEX_MAX_KEYS = %d, library has %d."
-msgstr "El servidor tiene INDEX_MAX_KEYS = %d, la librería tiene %d"
-
-#: utils/fmgr/dfmgr.c:351
-#, c-format
-msgid "Server has NAMEDATALEN = %d, library has %d."
-msgstr "El servidor tiene NAMEDATALEN = %d, la librería tiene %d"
-
-#: utils/fmgr/dfmgr.c:360
-#, c-format
-msgid "Server has FLOAT4PASSBYVAL = %s, library has %s."
-msgstr "El servidor tiene FLOAT4PASSBYVAL = %s, la librería tiene %s"
-
-#: utils/fmgr/dfmgr.c:369
-#, c-format
-msgid "Server has FLOAT8PASSBYVAL = %s, library has %s."
-msgstr "El servidor tiene FLOAT8PASSBYVAL = %s, la librería tiene %s"
-
-#: utils/fmgr/dfmgr.c:376
-msgid "Magic block has unexpected length or padding difference."
-msgstr ""
-"El bloque mágico tiene un largo inesperado, o una diferencia de relleno."
-
-#: utils/fmgr/dfmgr.c:379
-#, c-format
-msgid "incompatible library \"%s\": magic block mismatch"
-msgstr "biblioteca «%s» incompatible: bloque mágico no coincide"
-
-#: utils/fmgr/dfmgr.c:545
-#, c-format
-msgid "access to library \"%s\" is not allowed"
-msgstr "no está permitido el acceso a la biblioteca «%s»"
-
-#: utils/fmgr/dfmgr.c:572
-#, c-format
-msgid "invalid macro name in dynamic library path: %s"
-msgstr "el nombre de macro no es válido en la ruta a biblioteca dinámica: %s"
-
-#: utils/fmgr/dfmgr.c:617
-msgid "zero-length component in parameter \"dynamic_library_path\""
-msgstr ""
-"se encontró componente de largo cero en el parámetro «dynamic_library_path»"
-
-#: utils/fmgr/dfmgr.c:636
-msgid "component in parameter \"dynamic_library_path\" is not an absolute path"
-msgstr ""
-"un componente en el parámetro «dynamic_library_path» no es una ruta absoluta"
-
-#: utils/fmgr/fmgr.c:266
-#, c-format
-msgid "internal function \"%s\" is not in internal lookup table"
-msgstr "la función interna «%s» no está en la tabla interna de búsqueda"
-
-#: utils/fmgr/fmgr.c:472
-#, c-format
-msgid "unrecognized API version %d reported by info function \"%s\""
-msgstr "la versión de API %d no reconocida fue reportada por la función «%s»"
-
-#: utils/fmgr/fmgr.c:843 utils/fmgr/fmgr.c:2076
-#, c-format
-msgid "function %u has too many arguments (%d, maximum is %d)"
-msgstr "la función %u tiene demasiados argumentos (%d, el máximo es %d)"
-
-#: utils/fmgr/funcapi.c:356
-#, c-format
-msgid ""
-"could not determine actual result type for function \"%s\" declared to "
-"return type %s"
-msgstr ""
-"no se pudo determinar el tipo verdadero de resultado para la función «%s»  "
-"declarada retornando tipo %s"
-
-#: utils/fmgr/funcapi.c:1105 utils/fmgr/funcapi.c:1136
-msgid "number of aliases does not match number of columns"
-msgstr "el número de aliases no calza con el número de columnas"
-
-#: utils/fmgr/funcapi.c:1130
-msgid "no column alias was provided"
-msgstr "no se entregó alias de columna"
-
-#: utils/fmgr/funcapi.c:1154
-msgid "could not determine row description for function returning record"
-msgstr ""
-"no se pudo encontrar descripción de registro de función que retorna record"
-
-#: utils/init/flatfiles.c:209 utils/init/flatfiles.c:279
-#: utils/init/flatfiles.c:408 utils/init/flatfiles.c:663
-#, c-format
-msgid "could not write to temporary file \"%s\": %m"
-msgstr "no se pudo escribir el archivo temporal «%s»: %m"
-
-#: utils/init/flatfiles.c:249
-#, c-format
-msgid "invalid database name \"%s\""
-msgstr "el nombre de base de datos «%s» no es válido"
-
-#: utils/init/flatfiles.c:505
-#, c-format
-msgid "invalid role name \"%s\""
-msgstr "el nombre de rol «%s» no es válido"
-
-#: utils/init/flatfiles.c:512
-#, c-format
-msgid "invalid role password \"%s\""
-msgstr "la contraseña de «%s» rol no es válida"
-
-#: utils/init/miscinit.c:177
-#, c-format
-msgid "could not change directory to \"%s\": %m"
-msgstr "no se pudo cambiar al directorio «%s»: %m"
-
-#: utils/init/miscinit.c:510
-#, c-format
-msgid "role \"%s\" is not permitted to log in"
-msgstr "al rol «%s» no se le permite conectarse"
-
-#: utils/init/miscinit.c:528
-#, c-format
-msgid "too many connections for role \"%s\""
-msgstr "demasiadas conexiones para el rol «%s»"
-
-#: utils/init/miscinit.c:603
-msgid "permission denied to set session authorization"
-msgstr "se ha denegado el permiso para cambiar el usuario actual"
-
-#: utils/init/miscinit.c:685
-#, c-format
-msgid "invalid role OID: %u"
-msgstr "el OID de rol no es válido: %u"
-
-#: utils/init/miscinit.c:777
-#, c-format
-msgid "could not create lock file \"%s\": %m"
-msgstr "no se pudo crear el archivo de bloqueo «%s»: %m"
-
-#: utils/init/miscinit.c:791
-#, c-format
-msgid "could not open lock file \"%s\": %m"
-msgstr "no se pudo abrir el archivo de bloqueo «%s»: %m"
-
-#: utils/init/miscinit.c:797
-#, c-format
-msgid "could not read lock file \"%s\": %m"
-msgstr "no se pudo leer el archivo de bloqueo «%s»: %m"
-
-#: utils/init/miscinit.c:860
-#, c-format
-msgid "lock file \"%s\" already exists"
-msgstr "el archivo de bloqueo «%s» ya existe"
-
-#: utils/init/miscinit.c:864
-#, c-format
-msgid "Is another postgres (PID %d) running in data directory \"%s\"?"
-msgstr "¿Hay otro postgres (PID %d) corriendo en el directorio de datos «%s»?"
-
-#: utils/init/miscinit.c:866
-#, c-format
-msgid "Is another postmaster (PID %d) running in data directory \"%s\"?"
-msgstr ""
-"¿Hay otro postmaster (PID %d) corriendo en el directorio de datos «%s»?"
-
-#: utils/init/miscinit.c:869
-#, c-format
-msgid "Is another postgres (PID %d) using socket file \"%s\"?"
-msgstr "¿Hay otro postgres (PID %d) usando el socket «%s»?"
-
-#: utils/init/miscinit.c:871
-#, c-format
-msgid "Is another postmaster (PID %d) using socket file \"%s\"?"
-msgstr "¿Hay otro postmaster (PID %d) usando el socket «%s»?"
-
-#: utils/init/miscinit.c:902
-#, c-format
-msgid "pre-existing shared memory block (key %lu, ID %lu) is still in use"
-msgstr ""
-"el bloque de memoria compartida preexistente (clave %lu, ID %lu) aún está en "
-"uso"
-
-#: utils/init/miscinit.c:905
-#, c-format
-msgid ""
-"If you're sure there are no old server processes still running, remove the "
-"shared memory block or just delete the file \"%s\"."
-msgstr ""
-"Si está seguro que no hay procesos de servidor antiguos aún en ejecución, "
-"elimine el bloque de memoria compartida, o simplemente borre el archivo «%s»."
-
-#: utils/init/miscinit.c:922
-#, c-format
-msgid "could not remove old lock file \"%s\": %m"
-msgstr "no se pudo eliminar el archivo de bloqueo antiguo «%s»: %m"
-
-#: utils/init/miscinit.c:924
-msgid ""
-"The file seems accidentally left over, but it could not be removed. Please "
-"remove the file by hand and try again."
-msgstr ""
-"El archivo parece accidentalmente abandonado, pero no pudo ser eliminado. "
-"Por favor elimine el archivo manualmente e intente nuevamente."
-
-#: utils/init/miscinit.c:946 utils/init/miscinit.c:957
-#: utils/init/miscinit.c:967
-#, c-format
-msgid "could not write lock file \"%s\": %m"
-msgstr "no se pudo escribir el archivo de bloqueo «%s»: %m"
-
-#: utils/init/miscinit.c:1173 utils/init/miscinit.c:1186
-#, c-format
-msgid "\"%s\" is not a valid data directory"
-msgstr "«%s» no es un directorio de datos válido"
-
-#: utils/init/miscinit.c:1175
-#, c-format
-msgid "File \"%s\" is missing."
-msgstr "Falta el archivo «%s»."
-
-#: utils/init/miscinit.c:1188
-#, c-format
-msgid "File \"%s\" does not contain valid data."
-msgstr "El archivo «%s» no contiene datos válidos."
-
-#: utils/init/miscinit.c:1190
-msgid "You might need to initdb."
-msgstr "Puede necesitar ejecutar initdb."
-
-#: utils/init/miscinit.c:1198
-#, c-format
-msgid ""
-"The data directory was initialized by PostgreSQL version %ld.%ld, which is "
-"not compatible with this version %s."
-msgstr ""
-"El directorio de datos fue inicializado por PostgreSQL versión %ld.%ld, que "
-"no es compatible con esta versión %s."
-
-#: utils/init/miscinit.c:1246
-#, c-format
-msgid "invalid list syntax in parameter \"%s\""
-msgstr "la sintaxis de lista no es válida para el parámetro «%s»"
-
-#: utils/init/miscinit.c:1283
-#, c-format
-msgid "loaded library \"%s\""
-msgstr "biblioteca «%s» cargada"
-
-#: utils/init/postinit.c:178
-#, c-format
-msgid "database \"%s\" has disappeared from pg_database"
-msgstr "la base de datos «%s» ha desaparecido de pg_database"
-
-#: utils/init/postinit.c:180
-#, c-format
-msgid "Database OID %u now seems to belong to \"%s\"."
-msgstr "Base de datos con OID %u ahora parece pertenecer a «%s»."
-
-#: utils/init/postinit.c:200
-#, c-format
-msgid "database \"%s\" is not currently accepting connections"
-msgstr "la base de datos «%s» no acepta conexiones"
-
-#: utils/init/postinit.c:213
-#, c-format
-msgid "permission denied for database \"%s\""
-msgstr "permiso denegado a la base de datos «%s»"
-
-#: utils/init/postinit.c:214
-msgid "User does not have CONNECT privilege."
-msgstr "Usuario no tiene privilegios de conexión."
-
-#: utils/init/postinit.c:231
-#, c-format
-msgid "too many connections for database \"%s\""
-msgstr "demasiadas conexiones para la base de datos «%s»"
-
-#: utils/init/postinit.c:253 utils/init/postinit.c:260
-msgid "database locale is incompatible with operating system"
-msgstr "la configuración regional es incompatible con el sistema operativo"
-
-#: utils/init/postinit.c:254
-#, c-format
-msgid ""
-"The database was initialized with LC_COLLATE \"%s\",  which is not "
-"recognized by setlocale()."
-msgstr ""
-"La base de datos fue inicializada con LC_COLLATE «%s», el cual no es "
-"reconocido por setlocale()."
-
-#: utils/init/postinit.c:256 utils/init/postinit.c:263
-msgid ""
-"Recreate the database with another locale or install the missing locale."
-msgstr ""
-"Recree la base de datos con otra configuración regional, o instale la "
-"configuración regional faltante."
-
-#: utils/init/postinit.c:261
-#, c-format
-msgid ""
-"The database was initialized with LC_CTYPE \"%s\",  which is not recognized "
-"by setlocale()."
-msgstr ""
-"La base de datos fueron inicializada con LC_CTYPE «%s», el cual no es "
-"reconocido por setlocale()."
-
-#: utils/init/postinit.c:411
-#, c-format
-msgid "database %u does not exist"
-msgstr "no existe la base de datos %u"
-
-#: utils/init/postinit.c:542
-msgid "It seems to have just been dropped or renamed."
-msgstr "Parece haber sido eliminada o renombrada."
-
-#: utils/init/postinit.c:558
-#, c-format
-msgid "The database subdirectory \"%s\" is missing."
-msgstr "Falta el subdirectorio de base de datos «%s»."
-
-#: utils/init/postinit.c:563
-#, c-format
-msgid "could not access directory \"%s\": %m"
-msgstr "no se pudo acceder al directorio «%s»: %m"
-
-#: utils/init/postinit.c:596
-msgid "no roles are defined in this database system"
-msgstr "no hay roles definidos en esta base de datos"
-
-#: utils/init/postinit.c:597
-#, c-format
-msgid "You should immediately run CREATE USER \"%s\" CREATEUSER;."
-msgstr "Debería ejecutar imediatamente CREATE USER \"%s\" CREATEUSER;."
-
-#: utils/init/postinit.c:627
-msgid "must be superuser to connect during database shutdown"
-msgstr ""
-"debe ser superusuario para conectarse durante el apagado de la base de datos"
-
-#: utils/init/postinit.c:637
-msgid "connection limit exceeded for non-superusers"
-msgstr "el límite de conexiones para no-superusuarios ha sido excedido"
-
-#: ../port/chklocale.c:319 ../port/chklocale.c:325
-#, c-format
-msgid "could not determine encoding for locale \"%s\": codeset is \"%s\""
-msgstr ""
-"no se pudo determinar la codificación para la configuración regional «%s»: "
-"el codeset es «%s»"
-
-#: ../port/chklocale.c:327
-msgid "Please report this to <pgsql-bugs@postgresql.org>."
-msgstr "Por favor reporte esto a <pgsql-bugs@postgresql.org>."
+#: port/win32/signal.c:269 port/win32/signal.c:299
+#, c-format
+msgid "could not create signal listener pipe: error code %d; retrying\n"
+msgstr ""
+"no se pudo crear tubería para escuchar señales: código de error %d; "
+"reintentando\n"
+
+#: port/win32/signal.c:309
+#, c-format
+msgid "could not create signal dispatch thread: error code %d\n"
+msgstr "no se pudo crear thread de despacho de señales: código de error %d\n"
+
+#: ../port/open.c:113
+msgid "sharing violation"
+msgstr "infracción de uso compartido (sharing violation)"
+
+#: ../port/open.c:113
+msgid "lock violation"
+msgstr "infracción de bloqueo (locking violation)"
+
+#: ../port/open.c:112
+#, c-format
+msgid "could not open file \"%s\": %s"
+msgstr "no se pudo abrir el archivo «%s»: %s"
+
+#: ../port/open.c:114
+msgid "Continuing to retry for 30 seconds."
+msgstr "Reintentando durante 30 segundos."
+
+#: ../port/open.c:115
+msgid ""
+"You might have antivirus, backup, or similar software interfering with the "
+"database system."
+msgstr ""
+"Es posible que tenga antivirus, sistema de respaldos, o software similar "
+"interfiriendo con el sistema de bases de datos."
+
+#: ../port/strerror.c:25
+#, c-format
+msgid "unrecognized error %d"
+msgstr "código de error no reconocido: %d"
+
+#: ../port/win32error.c:184
+#, c-format
+msgid "mapped win32 error code %lu to %d"
+msgstr "código de error win32 %lu mapeado a %d"
+
+#: ../port/win32error.c:195
+#, c-format
+msgid "unrecognized win32 error code: %lu"
+msgstr "código de error win32 no reconocido: %lu"
 
 #: ../port/dirmod.c:75 ../port/dirmod.c:88 ../port/dirmod.c:101
 #, c-format
@@ -16166,6 +16195,17 @@
 msgid "could not remove file or directory \"%s\": %s\n"
 msgstr "no se pudo eliminar el directorio «%s»: %s\n"
 
+#: ../port/chklocale.c:319 ../port/chklocale.c:325
+#, c-format
+msgid "could not determine encoding for locale \"%s\": codeset is \"%s\""
+msgstr ""
+"no se pudo determinar la codificación para la configuración regional «%s»: "
+"el codeset es «%s»"
+
+#: ../port/chklocale.c:327
+msgid "Please report this to <pgsql-bugs@postgresql.org>."
+msgstr "Por favor reporte esto a <pgsql-bugs@postgresql.org>."
+
 #: ../port/exec.c:195 ../port/exec.c:309 ../port/exec.c:352
 #, c-format
 msgid "could not identify current directory: %s"
@@ -16221,46 +16261,6 @@
 msgid "child process exited with unrecognized status %d"
 msgstr "el proceso hijo terminó con código no reconocido %d"
 
-#: ../port/open.c:113
-msgid "sharing violation"
-msgstr "infracción de uso compartido (sharing violation)"
-
-#: ../port/open.c:113
-msgid "lock violation"
-msgstr "infracción de bloqueo (locking violation)"
-
-#: ../port/open.c:112
-#, c-format
-msgid "could not open file \"%s\": %s"
-msgstr "no se pudo abrir el archivo «%s»: %s"
-
-#: ../port/open.c:114
-msgid "Continuing to retry for 30 seconds."
-msgstr "Reintentando durante 30 segundos."
-
-#: ../port/open.c:115
-msgid ""
-"You might have antivirus, backup, or similar software interfering with the "
-"database system."
-msgstr ""
-"Es posible que tenga antivirus, sistema de respaldos, o software similar "
-"interfiriendo con el sistema de bases de datos."
-
-#: ../port/strerror.c:25
-#, c-format
-msgid "unrecognized error %d"
-msgstr "código de error no reconocido: %d"
-
-#: ../port/win32error.c:184
-#, c-format
-msgid "mapped win32 error code %lu to %d"
-msgstr "código de error win32 %lu mapeado a %d"
-
-#: ../port/win32error.c:195
-#, c-format
-msgid "unrecognized win32 error code: %lu"
-msgstr "código de error win32 no reconocido: %lu"
-
 #~ msgid ""
 #~ "cannot drop \"%s\" because it is being used by active queries in this "
 #~ "session"

=== modified file 'src/backend/postmaster/syslogger.c'
--- src/backend/postmaster/syslogger.c	2010-05-15 13:31:46 +0000
+++ src/backend/postmaster/syslogger.c	2012-02-25 11:17:15 +0000
@@ -593,8 +593,11 @@
 							 errmsg("could not redirect stderr: %m")));
 				close(fd);
 				_setmode(_fileno(stderr), _O_BINARY);
-				/* Now we are done with the write end of the pipe. */
-				CloseHandle(syslogPipe[1]);
+				/*
+				 * Now we are done with the write end of the pipe.
+				 * CloseHandle() must not be called because the preceding
+				 * close() closes the underlying handle.
+				*/
 				syslogPipe[1] = 0;
 #endif
 				redirection_done = true;

=== modified file 'src/backend/regex/regcomp.c'
--- src/backend/regex/regcomp.c	2009-05-19 14:03:37 +0000
+++ src/backend/regex/regcomp.c	2012-02-25 11:17:15 +0000
@@ -1072,8 +1072,12 @@
 		NOERR();
 	}
 
-	/* it's quantifier time; first, turn x{0,...} into x{1,...}|empty */
-	if (m == 0)
+	/*
+	 * It's quantifier time.  If the atom is just a BACKREF, we'll let it deal
+	 * with quantifiers internally.  Otherwise, the first step is to turn
+	 * x{0,...} into x{1,...}|empty
+	 */
+	if (m == 0 && atomtype != BACKREF)
 	{
 		EMPTYARC(s2, atom->end);	/* the bypass */
 		assert(PREF(qprefer) != 0);

=== modified file 'src/backend/regex/regexec.c'
--- src/backend/regex/regexec.c	2010-03-13 16:44:46 +0000
+++ src/backend/regex/regexec.c	2012-02-25 11:17:15 +0000
@@ -716,7 +716,7 @@
 		case '|':				/* alternation */
 			assert(t->left != NULL);
 			return caltdissect(v, t, begin, end);
-		case 'b':				/* back ref -- shouldn't be calling us! */
+		case 'b':				/* back reference */
 			assert(t->left == NULL && t->right == NULL);
 			return cbrdissect(v, t, begin, end);
 		case '.':				/* concatenation */
@@ -973,12 +973,12 @@
 		   chr *begin,			/* beginning of relevant substring */
 		   chr *end)			/* end of same */
 {
-	int			i;
 	int			n = t->subno;
-	size_t		len;
-	chr		   *paren;
+	size_t		numreps;
+	size_t		tlen;
+	size_t		brlen;
+	chr		   *brstring;
 	chr		   *p;
-	chr		   *stop;
 	int			min = t->min;
 	int			max = t->max;
 
@@ -989,46 +989,65 @@
 
 	MDEBUG(("cbackref n%d %d{%d-%d}\n", t->retry, n, min, max));
 
+	/* get the backreferenced string */
 	if (v->pmatch[n].rm_so == -1)
 		return REG_NOMATCH;
-	paren = v->start + v->pmatch[n].rm_so;
-	len = v->pmatch[n].rm_eo - v->pmatch[n].rm_so;
+	brstring = v->start + v->pmatch[n].rm_so;
+	brlen = v->pmatch[n].rm_eo - v->pmatch[n].rm_so;
 
 	/* no room to maneuver -- retries are pointless */
 	if (v->mem[t->retry])
 		return REG_NOMATCH;
 	v->mem[t->retry] = 1;
 
-	/* special-case zero-length string */
-	if (len == 0)
-	{
-		if (begin == end)
-			return REG_OKAY;
-		return REG_NOMATCH;
-	}
-
-	/* and too-short string */
-	assert(end >= begin);
-	if ((size_t) (end - begin) < len)
-		return REG_NOMATCH;
-	stop = end - len;
-
-	/* count occurrences */
-	i = 0;
-	for (p = begin; p <= stop && (i < max || max == INFINITY); p += len)
-	{
-		if ((*v->g->compare) (paren, p, len) != 0)
-			break;
-		i++;
-	}
-	MDEBUG(("cbackref found %d\n", i));
-
-	/* and sort it out */
-	if (p != end)				/* didn't consume all of it */
-		return REG_NOMATCH;
-	if (min <= i && (i <= max || max == INFINITY))
-		return REG_OKAY;
-	return REG_NOMATCH;			/* out of range */
+	/* special cases for zero-length strings */
+	if (brlen == 0)
+	{
+		/*
+		 * matches only if target is zero length, but any number of
+		 * repetitions can be considered to be present
+		 */
+		if (begin == end && min <= max)
+		{
+			MDEBUG(("cbackref matched trivially\n"));
+			return REG_OKAY;
+		}
+		return REG_NOMATCH;
+	}
+	if (begin == end)
+	{
+		/* matches only if zero repetitions are okay */
+		if (min == 0)
+		{
+			MDEBUG(("cbackref matched trivially\n"));
+			return REG_OKAY;
+		}
+		return REG_NOMATCH;
+	}
+
+	/*
+	 * check target length to see if it could possibly be an allowed number of
+	 * repetitions of brstring
+	 */
+	assert(end > begin);
+	tlen = end - begin;
+	if (tlen % brlen != 0)
+		return REG_NOMATCH;
+	numreps = tlen / brlen;
+	if (numreps < min || (numreps > max && max != INFINITY))
+		return REG_NOMATCH;
+
+	/* okay, compare the actual string contents */
+	p = begin;
+	while (numreps-- > 0)
+	{
+		if ((*v->g->compare) (brstring, p, brlen) != 0)
+			return REG_NOMATCH;
+		p += brlen;
+	}
+
+	MDEBUG(("cbackref matched\n"));
+	return REG_OKAY;
 }
 
 /*

=== modified file 'src/backend/storage/smgr/md.c'
--- src/backend/storage/smgr/md.c	2009-07-01 17:41:41 +0000
+++ src/backend/storage/smgr/md.c	2012-02-25 11:17:15 +0000
@@ -310,7 +310,13 @@
  * number until it's safe, because relfilenode assignment skips over any
  * existing file.
  *
- * If isRedo is true, it's okay for the relation to be already gone.
+ * All the above applies only to the relation's main fork; other forks can
+ * just be removed immediately, since they are not needed to prevent the
+ * relfilenode number from being recycled.  Also, we do not carefully
+ * track whether other forks have been created or not, but just attempt to
+ * unlink them unconditionally; so we should never complain about ENOENT.
+ *
+ * If isRedo is true, it's unsurprising for the relation to be already gone.
  * Also, we should remove the file immediately instead of queuing a request
  * for later, since during redo there's no possibility of creating a
  * conflicting relation.
@@ -355,18 +361,15 @@
 		else
 			ret = -1;
 	}
-	if (ret < 0)
-	{
-		if (!isRedo || errno != ENOENT)
-			ereport(WARNING,
-					(errcode_for_file_access(),
-					 errmsg("could not remove relation %s: %m", path)));
-	}
+	if (ret < 0 && errno != ENOENT)
+		ereport(WARNING,
+				(errcode_for_file_access(),
+				 errmsg("could not remove relation %s: %m", path)));
 
 	/*
 	 * Delete any additional segments.
 	 */
-	else
+	if (ret >= 0)
 	{
 		char	   *segpath = (char *) palloc(strlen(path) + 12);
 		BlockNumber segno;

=== modified file 'src/backend/utils/adt/network.c'
--- src/backend/utils/adt/network.c	2011-12-02 14:46:33 +0000
+++ src/backend/utils/adt/network.c	2012-02-25 11:17:15 +0000
@@ -172,7 +172,7 @@
 Datum
 inet_out(PG_FUNCTION_ARGS)
 {
-	inet	   *src = PG_GETARG_INET_P(0);
+	inet	   *src = PG_GETARG_INET_PP(0);
 
 	PG_RETURN_CSTRING(network_out(src, false));
 }
@@ -180,7 +180,7 @@
 Datum
 cidr_out(PG_FUNCTION_ARGS)
 {
-	inet	   *src = PG_GETARG_INET_P(0);
+	inet	   *src = PG_GETARG_INET_PP(0);
 
 	PG_RETURN_CSTRING(network_out(src, true));
 }
@@ -299,7 +299,7 @@
 Datum
 inet_send(PG_FUNCTION_ARGS)
 {
-	inet	   *addr = PG_GETARG_INET_P(0);
+	inet	   *addr = PG_GETARG_INET_PP(0);
 
 	PG_RETURN_BYTEA_P(network_send(addr, false));
 }
@@ -307,7 +307,7 @@
 Datum
 cidr_send(PG_FUNCTION_ARGS)
 {
-	inet	   *addr = PG_GETARG_INET_P(0);
+	inet	   *addr = PG_GETARG_INET_PP(0);
 
 	PG_RETURN_BYTEA_P(network_send(addr, true));
 }
@@ -316,7 +316,7 @@
 Datum
 inet_to_cidr(PG_FUNCTION_ARGS)
 {
-	inet	   *src = PG_GETARG_INET_P(0);
+	inet	   *src = PG_GETARG_INET_PP(0);
 	inet	   *dst;
 	int			bits;
 	int byte;
@@ -357,7 +357,7 @@
 Datum
 inet_set_masklen(PG_FUNCTION_ARGS)
 {
-	inet	   *src = PG_GETARG_INET_P(0);
+	inet	   *src = PG_GETARG_INET_PP(0);
 	int			bits = PG_GETARG_INT32(1);
 	inet	   *dst;
 
@@ -381,7 +381,7 @@
 Datum
 cidr_set_masklen(PG_FUNCTION_ARGS)
 {
-	inet	   *src = PG_GETARG_INET_P(0);
+	inet	   *src = PG_GETARG_INET_PP(0);
 	int			bits = PG_GETARG_INT32(1);
 	inet	   *dst;
 	int byte;
@@ -457,8 +457,8 @@
 Datum
 network_cmp(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_INT32(network_cmp_internal(a1, a2));
 }
@@ -469,8 +469,8 @@
 Datum
 network_lt(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_BOOL(network_cmp_internal(a1, a2) < 0);
 }
@@ -478,8 +478,8 @@
 Datum
 network_le(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_BOOL(network_cmp_internal(a1, a2) <= 0);
 }
@@ -487,8 +487,8 @@
 Datum
 network_eq(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_BOOL(network_cmp_internal(a1, a2) == 0);
 }
@@ -496,8 +496,8 @@
 Datum
 network_ge(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_BOOL(network_cmp_internal(a1, a2) >= 0);
 }
@@ -505,8 +505,8 @@
 Datum
 network_gt(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_BOOL(network_cmp_internal(a1, a2) > 0);
 }
@@ -514,8 +514,8 @@
 Datum
 network_ne(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	PG_RETURN_BOOL(network_cmp_internal(a1, a2) != 0);
 }
@@ -526,7 +526,7 @@
 Datum
 hashinet(PG_FUNCTION_ARGS)
 {
-	inet	   *addr = PG_GETARG_INET_P(0);
+	inet	   *addr = PG_GETARG_INET_PP(0);
 	int			addrsize = ip_addrsize(addr);
 
 	/* XXX this assumes there are no pad bytes in the data structure */
@@ -539,8 +539,8 @@
 Datum
 network_sub(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	if (ip_family(a1) == ip_family(a2))
 	{
@@ -554,8 +554,8 @@
 Datum
 network_subeq(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	if (ip_family(a1) == ip_family(a2))
 	{
@@ -569,8 +569,8 @@
 Datum
 network_sup(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	if (ip_family(a1) == ip_family(a2))
 	{
@@ -584,8 +584,8 @@
 Datum
 network_supeq(PG_FUNCTION_ARGS)
 {
-	inet	   *a1 = PG_GETARG_INET_P(0);
-	inet	   *a2 = PG_GETARG_INET_P(1);
+	inet	   *a1 = PG_GETARG_INET_PP(0);
+	inet	   *a2 = PG_GETARG_INET_PP(1);
 
 	if (ip_family(a1) == ip_family(a2))
 	{
@@ -602,7 +602,7 @@
 Datum
 network_host(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	char	   *ptr;
 	char		tmp[sizeof("xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:255.255.255.255/128")];
 
@@ -628,7 +628,7 @@
 Datum
 network_show(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	int			len;
 	char		tmp[sizeof("xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:255.255.255.255/128")];
 
@@ -651,7 +651,7 @@
 Datum
 inet_abbrev(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	char	   *dst;
 	char		tmp[sizeof("xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:255.255.255.255/128")];
 
@@ -669,7 +669,7 @@
 Datum
 cidr_abbrev(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	char	   *dst;
 	char		tmp[sizeof("xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:255.255.255.255/128")];
 
@@ -687,7 +687,7 @@
 Datum
 network_masklen(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 
 	PG_RETURN_INT32(ip_bits(ip));
 }
@@ -695,7 +695,7 @@
 Datum
 network_family(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 
 	switch (ip_family(ip))
 	{
@@ -714,7 +714,7 @@
 Datum
 network_broadcast(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	inet	   *dst;
 	int byte;
 	int			bits;
@@ -763,7 +763,7 @@
 Datum
 network_network(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	inet	   *dst;
 	int byte;
 	int			bits;
@@ -807,7 +807,7 @@
 Datum
 network_netmask(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	inet	   *dst;
 	int byte;
 	int			bits;
@@ -849,7 +849,7 @@
 Datum
 network_hostmask(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	inet	   *dst;
 	int byte;
 	int			bits;
@@ -1218,7 +1218,7 @@
 Datum
 inetnot(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	inet	   *dst;
 
 	dst = (inet *) palloc0(sizeof(inet));
@@ -1243,8 +1243,8 @@
 Datum
 inetand(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
-	inet	   *ip2 = PG_GETARG_INET_P(1);
+	inet	   *ip = PG_GETARG_INET_PP(0);
+	inet	   *ip2 = PG_GETARG_INET_PP(1);
 	inet	   *dst;
 
 	dst = (inet *) palloc0(sizeof(inet));
@@ -1275,8 +1275,8 @@
 Datum
 inetor(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
-	inet	   *ip2 = PG_GETARG_INET_P(1);
+	inet	   *ip = PG_GETARG_INET_PP(0);
+	inet	   *ip2 = PG_GETARG_INET_PP(1);
 	inet	   *dst;
 
 	dst = (inet *) palloc0(sizeof(inet));
@@ -1359,7 +1359,7 @@
 Datum
 inetpl(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	int64		addend = PG_GETARG_INT64(1);
 
 	PG_RETURN_INET_P(internal_inetpl(ip, addend));
@@ -1369,7 +1369,7 @@
 Datum
 inetmi_int8(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
+	inet	   *ip = PG_GETARG_INET_PP(0);
 	int64		addend = PG_GETARG_INT64(1);
 
 	PG_RETURN_INET_P(internal_inetpl(ip, -addend));
@@ -1379,8 +1379,8 @@
 Datum
 inetmi(PG_FUNCTION_ARGS)
 {
-	inet	   *ip = PG_GETARG_INET_P(0);
-	inet	   *ip2 = PG_GETARG_INET_P(1);
+	inet	   *ip = PG_GETARG_INET_PP(0);
+	inet	   *ip2 = PG_GETARG_INET_PP(1);
 	int64		res = 0;
 
 	if (ip_family(ip) != ip_family(ip2))

=== modified file 'src/backend/utils/cache/ts_cache.c'
--- src/backend/utils/cache/ts_cache.c	2009-05-19 14:03:37 +0000
+++ src/backend/utils/cache/ts_cache.c	2012-02-25 11:17:15 +0000
@@ -608,8 +608,26 @@
 
 		cfgId = TSConfigGetCfgid(stringToQualifiedNameList(newval), true);
 
+		/*
+		 * When source == PGC_S_TEST, we are checking the argument of an
+		 * ALTER DATABASE SET or ALTER USER SET command.  It could be that
+		 * the intended use of the setting is for some other database, so
+		 * we should not error out if the text search configuration is not
+		 * present in the current database.  We issue a NOTICE instead.
+		 */
 		if (!OidIsValid(cfgId))
-			return NULL;
+		{
+			if (source == PGC_S_TEST && !doit)
+			{
+				ereport(NOTICE,
+						(errcode(ERRCODE_UNDEFINED_OBJECT),
+					 errmsg("text search configuration \"%s\" does not exist",
+								newval)));
+				return newval;
+			}
+			else
+				return NULL;
+		}
 
 		/*
 		 * Modify the actually stored value to be fully qualified, to ensure

=== modified file 'src/bin/initdb/po/es.po'
--- src/bin/initdb/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/initdb/po/es.po	2012-02-25 11:17:15 +0000
@@ -11,7 +11,7 @@
 msgstr ""
 "Project-Id-Version: initdb (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:44+0000\n"
+"POT-Creation-Date: 2012-02-22 15:03+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/bin/pg_config/po/es.po'
--- src/bin/pg_config/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/pg_config/po/es.po	2012-02-25 11:17:15 +0000
@@ -11,7 +11,7 @@
 msgstr ""
 "Project-Id-Version: pg_config (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:44+0000\n"
+"POT-Creation-Date: 2012-02-22 15:03+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Alvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: es <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/bin/pg_controldata/po/es.po'
--- src/bin/pg_controldata/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/pg_controldata/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: pg_controldata (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:45+0000\n"
+"POT-Creation-Date: 2012-02-22 15:04+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Alvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: Castellano <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/bin/pg_ctl/po/es.po'
--- src/bin/pg_ctl/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/pg_ctl/po/es.po	2012-02-25 11:17:15 +0000
@@ -11,7 +11,7 @@
 msgstr ""
 "Project-Id-Version: pg_ctl (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:45+0000\n"
+"POT-Creation-Date: 2012-02-22 15:03+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL Español <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/bin/pg_dump/common.c'
--- src/bin/pg_dump/common.c	2011-12-02 14:46:33 +0000
+++ src/bin/pg_dump/common.c	2012-02-25 11:17:15 +0000
@@ -269,7 +269,13 @@
 
 /* flagInhAttrs -
  *	 for each dumpable table in tblinfo, flag its inherited attributes
- * so when we dump the table out, we don't dump out the inherited attributes
+ *
+ * What we need to do here is detect child columns that inherit NOT NULL
+ * bits from their parents (so that we needn't specify that again for the
+ * child) and child columns that have DEFAULT NULL when their parents had
+ * some non-null default.  In the latter case, we make up a dummy AttrDefInfo
+ * object so that we'll correctly emit the necessary DEFAULT NULL clause;
+ * otherwise the backend will apply an inherited default to the column.
  *
  * modifies tblinfo
  */
@@ -285,7 +291,6 @@
 		TableInfo  *tbinfo = &(tblinfo[i]);
 		int			numParents;
 		TableInfo **parents;
-		TableInfo  *parent;
 
 		/* Sequences and views never have parents */
 		if (tbinfo->relkind == RELKIND_SEQUENCE ||
@@ -302,132 +307,70 @@
 		if (numParents == 0)
 			continue;			/* nothing to see here, move along */
 
-		/*----------------------------------------------------------------
-		 * For each attr, check the parent info: if no parent has an attr
-		 * with the same name, then it's not inherited. If there *is* an
-		 * attr with the same name, then only dump it if:
-		 *
-		 * - it is NOT NULL and zero parents are NOT NULL
-		 *	 OR
-		 * - it has a default value AND the default value does not match
-		 *	 all parent default values, or no parents specify a default.
-		 *
-		 * See discussion on -hackers around 2-Apr-2001.
-		 *----------------------------------------------------------------
-		 */
+		/* For each column, search for matching column names in parent(s) */
 		for (j = 0; j < tbinfo->numatts; j++)
 		{
-			bool		foundAttr;		/* Attr was found in a parent */
 			bool		foundNotNull;	/* Attr was NOT NULL in a parent */
-			bool		defaultsMatch;	/* All non-empty defaults match */
-			bool		defaultsFound;	/* Found a default in a parent */
-			AttrDefInfo *attrDef;
-
-			foundAttr = false;
+			bool		foundDefault;	/* Found a default in a parent */
+
+			/* no point in examining dropped columns */
+			if (tbinfo->attisdropped[j])
+				continue;
+
 			foundNotNull = false;
-			defaultsMatch = true;
-			defaultsFound = false;
-
-			attrDef = tbinfo->attrdefs[j];
-
+			foundDefault = false;
 			for (k = 0; k < numParents; k++)
 			{
+				TableInfo  *parent = parents[k];
 				int			inhAttrInd;
 
-				parent = parents[k];
 				inhAttrInd = strInArray(tbinfo->attnames[j],
 										parent->attnames,
 										parent->numatts);
-
-				if (inhAttrInd != -1)
+				if (inhAttrInd >= 0)
 				{
-					AttrDefInfo *inhDef = parent->attrdefs[inhAttrInd];
-
-					foundAttr = true;
 					foundNotNull |= parent->notnull[inhAttrInd];
-					if (inhDef != NULL)
-					{
-						defaultsFound = true;
-
-						/*
-						 * If any parent has a default and the child doesn't,
-						 * we have to emit an explicit DEFAULT NULL clause for
-						 * the child, else the parent's default will win.
-						 */
-						if (attrDef == NULL)
-						{
-							attrDef = (AttrDefInfo *) malloc(sizeof(AttrDefInfo));
-							attrDef->dobj.objType = DO_ATTRDEF;
-							attrDef->dobj.catId.tableoid = 0;
-							attrDef->dobj.catId.oid = 0;
-							AssignDumpId(&attrDef->dobj);
-							attrDef->adtable = tbinfo;
-							attrDef->adnum = j + 1;
-							attrDef->adef_expr = strdup("NULL");
-
-							attrDef->dobj.name = strdup(tbinfo->dobj.name);
-							attrDef->dobj.namespace = tbinfo->dobj.namespace;
-
-							attrDef->dobj.dump = tbinfo->dobj.dump;
-
-							attrDef->separate = false;
-							addObjectDependency(&tbinfo->dobj,
-												attrDef->dobj.dumpId);
-
-							tbinfo->attrdefs[j] = attrDef;
-						}
-						if (strcmp(attrDef->adef_expr, inhDef->adef_expr) != 0)
-						{
-							defaultsMatch = false;
-
-							/*
-							 * Whenever there is a non-matching parent
-							 * default, add a dependency to force the parent
-							 * default to be dumped first, in case the
-							 * defaults end up being dumped as separate
-							 * commands.  Otherwise the parent default will
-							 * override the child's when it is applied.
-							 */
-							addObjectDependency(&attrDef->dobj,
-												inhDef->dobj.dumpId);
-						}
-					}
+					foundDefault |= (parent->attrdefs[inhAttrInd] != NULL);
 				}
 			}
 
-			/*
-			 * Based on the scan of the parents, decide if we can rely on the
-			 * inherited attr
-			 */
-			if (foundAttr)		/* Attr was inherited */
+			/* Remember if we found inherited NOT NULL */
+			tbinfo->inhNotNull[j] = foundNotNull;
+
+			/* Manufacture a DEFAULT NULL clause if necessary */
+			if (foundDefault && tbinfo->attrdefs[j] == NULL)
 			{
-				/* Set inherited flag by default */
-				tbinfo->inhAttrs[j] = true;
-				tbinfo->inhAttrDef[j] = true;
-				tbinfo->inhNotNull[j] = true;
-
-				/*
-				 * Clear it if attr had a default, but parents did not, or
-				 * mismatch
-				 */
-				if ((attrDef != NULL) && (!defaultsFound || !defaultsMatch))
-				{
-					tbinfo->inhAttrs[j] = false;
-					tbinfo->inhAttrDef[j] = false;
-				}
-
-				/*
-				 * Clear it if NOT NULL and none of the parents were NOT NULL
-				 */
-				if (tbinfo->notnull[j] && !foundNotNull)
-				{
-					tbinfo->inhAttrs[j] = false;
-					tbinfo->inhNotNull[j] = false;
-				}
-
-				/* Clear it if attr has local definition */
-				if (tbinfo->attislocal[j])
-					tbinfo->inhAttrs[j] = false;
+				AttrDefInfo *attrDef;
+
+				attrDef = (AttrDefInfo *) malloc(sizeof(AttrDefInfo));
+				attrDef->dobj.objType = DO_ATTRDEF;
+				attrDef->dobj.catId.tableoid = 0;
+				attrDef->dobj.catId.oid = 0;
+				AssignDumpId(&attrDef->dobj);
+				attrDef->dobj.name = strdup(tbinfo->dobj.name);
+				attrDef->dobj.namespace = tbinfo->dobj.namespace;
+				attrDef->dobj.dump = tbinfo->dobj.dump;
+
+				attrDef->adtable = tbinfo;
+				attrDef->adnum = j + 1;
+				attrDef->adef_expr = strdup("NULL");
+
+				/* Will column be dumped explicitly? */
+				if (shouldPrintColumn(tbinfo, j))
+				{
+					attrDef->separate = false;
+					/* No dependency needed: NULL cannot have dependencies */
+				}
+				else
+				{
+					/* column will be suppressed, print default separately */
+					attrDef->separate = true;
+					/* ensure it comes out after the table */
+					addObjectDependency(&attrDef->dobj,
+										tbinfo->dobj.dumpId);
+				}
+
+				tbinfo->attrdefs[j] = attrDef;
 			}
 		}
 	}

=== modified file 'src/bin/pg_dump/pg_backup_archiver.c'
--- src/bin/pg_dump/pg_backup_archiver.c	2011-09-25 14:23:57 +0000
+++ src/bin/pg_dump/pg_backup_archiver.c	2012-02-25 11:17:15 +0000
@@ -83,6 +83,7 @@
 static void _getObjectDescription(PQExpBuffer buf, TocEntry *te,
 					  ArchiveHandle *AH);
 static void _printTocEntry(ArchiveHandle *AH, TocEntry *te, RestoreOptions *ropt, bool isData, bool acl_pass);
+static char *replace_line_endings(const char *str);
 
 
 static void _doSetFixedOutputState(ArchiveHandle *AH);
@@ -588,20 +589,20 @@
 					if (te->copyStmt && strlen(te->copyStmt) > 0)
 					{
 						ahprintf(AH, "%s", te->copyStmt);
-						AH->writingCopyData = true;
+						AH->outputKind = OUTPUT_COPYDATA;
 					}
+					else
+						AH->outputKind = OUTPUT_OTHERDATA;
 
 					(*AH->PrintTocDataPtr) (AH, te, ropt);
 
 					/*
 					 * Terminate COPY if needed.
 					 */
-					if (AH->writingCopyData)
-					{
-						if (RestoringToDB(AH))
-							EndDBCopyMode(AH, te);
-						AH->writingCopyData = false;
-					}
+					if (AH->outputKind == OUTPUT_COPYDATA &&
+						RestoringToDB(AH))
+						EndDBCopyMode(AH, te);
+					AH->outputKind = OUTPUT_SQLCMDS;
 
 					/* close out the transaction started above */
 					if (is_parallel && te->created)
@@ -1915,6 +1916,8 @@
 	AH->mode = mode;
 	AH->compression = compression;
 
+	memset(&(AH->sqlparse), 0, sizeof(AH->sqlparse));
+
 	/* Open stdout with no compression for AH output handle */
 	AH->gzOut = 0;
 	AH->OF = stdout;
@@ -2801,6 +2804,9 @@
 	if (!AH->noTocComments)
 	{
 		const char *pfx;
+		char	   *sanitized_name;
+		char	   *sanitized_schema;
+		char	   *sanitized_owner;
 
 		if (isData)
 			pfx = "Data for ";
@@ -2822,12 +2828,39 @@
 				ahprintf(AH, "\n");
 			}
 		}
+
+		/*
+		 * Zap any line endings embedded in user-supplied fields, to prevent
+		 * corruption of the dump (which could, in the worst case, present an
+		 * SQL injection vulnerability if someone were to incautiously load a
+		 * dump containing objects with maliciously crafted names).
+		 */
+		sanitized_name = replace_line_endings(te->tag);
+		if (te->namespace)
+			sanitized_schema = replace_line_endings(te->namespace);
+		else
+			sanitized_schema = strdup("-");
+		if (!ropt->noOwner)
+			sanitized_owner = replace_line_endings(te->owner);
+		else
+			sanitized_owner = strdup("-");
+
 		ahprintf(AH, "-- %sName: %s; Type: %s; Schema: %s; Owner: %s",
-				 pfx, te->tag, te->desc,
-				 te->namespace ? te->namespace : "-",
-				 ropt->noOwner ? "-" : te->owner);
+				 pfx, sanitized_name, te->desc, sanitized_schema,
+				 sanitized_owner);
+
+		free(sanitized_name);
+		free(sanitized_schema);
+		free(sanitized_owner);
+
 		if (te->tablespace && !ropt->noTablespace)
-			ahprintf(AH, "; Tablespace: %s", te->tablespace);
+		{
+			char   *sanitized_tablespace;
+
+			sanitized_tablespace = replace_line_endings(te->tablespace);
+			ahprintf(AH, "; Tablespace: %s", sanitized_tablespace);
+			free(sanitized_tablespace);
+		}
 		ahprintf(AH, "\n");
 
 		if (AH->PrintExtraTocPtr !=NULL)
@@ -2919,6 +2952,27 @@
 	}
 }
 
+/*
+ * Sanitize a string to be included in an SQL comment, by replacing any
+ * newlines with spaces.
+ */
+static char *
+replace_line_endings(const char *str)
+{
+	char   *result;
+	char   *s;
+
+	result = strdup(str);
+
+	for (s = result; *s != '\0'; s++)
+	{
+		if (*s == '\n' || *s == '\r')
+			*s = ' ';
+	}
+
+	return result;
+}
+
 void
 WriteHead(ArchiveHandle *AH)
 {
@@ -3956,7 +4010,8 @@
 		die_horribly(AH, modulename, "out of memory\n");
 	memcpy(clone, AH, sizeof(ArchiveHandle));
 
-	/* Handle format-independent fields ... none at the moment */
+	/* Handle format-independent fields */
+	memset(&(clone->sqlparse), 0, sizeof(clone->sqlparse));
 
 	/* The clone will have its own connection, so disregard connection state */
 	clone->connection = NULL;
@@ -3989,7 +4044,9 @@
 	/* Clear format-specific state */
 	(AH->DeClonePtr) (AH);
 
-	/* Clear state allocated by CloneArchive ... none at the moment */
+	/* Clear state allocated by CloneArchive */
+	if (AH->sqlparse.curCmd)
+		destroyPQExpBuffer(AH->sqlparse.curCmd);
 
 	/* Clear any connection-local state */
 	if (AH->currUser)

=== modified file 'src/bin/pg_dump/pg_backup_archiver.h'
--- src/bin/pg_dump/pg_backup_archiver.h	2011-09-25 14:23:57 +0000
+++ src/bin/pg_dump/pg_backup_archiver.h	2012-02-25 11:17:15 +0000
@@ -136,6 +136,20 @@
 
 typedef enum
 {
+	SQL_SCAN = 0,				/* normal */
+	SQL_IN_SINGLE_QUOTE,		/* '...' literal */
+	SQL_IN_DOUBLE_QUOTE			/* "..." identifier */
+} sqlparseState;
+
+typedef struct
+{
+	sqlparseState state;		/* see above */
+	bool		backSlash;		/* next char is backslash quoted? */
+	PQExpBuffer curCmd;			/* incomplete line (NULL if not created) */
+} sqlparseInfo;
+
+typedef enum
+{
 	STAGE_NONE = 0,
 	STAGE_INITIALIZING,
 	STAGE_PROCESSING,
@@ -144,6 +158,13 @@
 
 typedef enum
 {
+	OUTPUT_SQLCMDS = 0,			/* emitting general SQL commands */
+	OUTPUT_COPYDATA,			/* writing COPY data */
+	OUTPUT_OTHERDATA			/* writing data as INSERT commands */
+} ArchiverOutput;
+
+typedef enum
+{
 	REQ_SCHEMA = 1,
 	REQ_DATA = 2,
 	REQ_ALL = REQ_SCHEMA + REQ_DATA
@@ -169,6 +190,8 @@
 								 * Added V1.7 */
 	ArchiveFormat format;		/* Archive format */
 
+	sqlparseInfo sqlparse;		/* state for parsing INSERT data */
+
 	time_t		createDate;		/* Date archive created */
 
 	/*
@@ -219,7 +242,7 @@
 	PGconn	   *connection;
 	int			connectToDB;	/* Flag to indicate if direct DB connection is
 								 * required */
-	bool		writingCopyData;	/* True when we are sending COPY data */
+	ArchiverOutput outputKind;	/* Flag for what we're currently writing */
 	bool		pgCopyIn;		/* Currently in libpq 'COPY IN' mode. */
 
 	int			loFd;			/* BLOB fd */

=== modified file 'src/bin/pg_dump/pg_backup_db.c'
--- src/bin/pg_dump/pg_backup_db.c	2011-09-25 14:23:57 +0000
+++ src/bin/pg_dump/pg_backup_db.c	2012-02-25 11:17:15 +0000
@@ -320,14 +320,92 @@
 
 
 /*
+ * Process non-COPY table data (that is, INSERT commands).
+ *
+ * The commands have been run together as one long string for compressibility,
+ * and we are receiving them in bufferloads with arbitrary boundaries, so we
+ * have to locate command boundaries and save partial commands across calls.
+ * All state must be kept in AH->sqlparse, not in local variables of this
+ * routine.  We assume that AH->sqlparse was filled with zeroes when created.
+ *
+ * We have to lex the data to the extent of identifying literals and quoted
+ * identifiers, so that we can recognize statement-terminating semicolons.
+ * We assume that INSERT data will not contain SQL comments, E'' literals,
+ * or dollar-quoted strings, so this is much simpler than a full SQL lexer.
+ */
+static void
+ExecuteInsertCommands(ArchiveHandle *AH, const char *buf, size_t bufLen)
+{
+	const char *qry = buf;
+	const char *eos = buf + bufLen;
+
+	/* initialize command buffer if first time through */
+	if (AH->sqlparse.curCmd == NULL)
+		AH->sqlparse.curCmd = createPQExpBuffer();
+
+	for (; qry < eos; qry++)
+	{
+		char	ch = *qry;
+
+		/* For neatness, we skip any newlines between commands */
+		if (!(ch == '\n' && AH->sqlparse.curCmd->len == 0))
+			appendPQExpBufferChar(AH->sqlparse.curCmd, ch);
+
+		switch (AH->sqlparse.state)
+		{
+			case SQL_SCAN:		/* Default state == 0, set in _allocAH */
+				if (ch == ';')
+				{
+					/*
+					 * We've found the end of a statement. Send it and reset
+					 * the buffer.
+					 */
+					ExecuteSqlCommand(AH, AH->sqlparse.curCmd->data,
+									  "could not execute query");
+					resetPQExpBuffer(AH->sqlparse.curCmd);
+				}
+				else if (ch == '\'')
+				{
+					AH->sqlparse.state = SQL_IN_SINGLE_QUOTE;
+					AH->sqlparse.backSlash = false;
+				}
+				else if (ch == '"')
+				{
+					AH->sqlparse.state = SQL_IN_DOUBLE_QUOTE;
+				}
+				break;
+
+			case SQL_IN_SINGLE_QUOTE:
+				/* We needn't handle '' specially */
+				if (ch == '\'' && !AH->sqlparse.backSlash)
+					AH->sqlparse.state = SQL_SCAN;
+				else if (ch == '\\' && !AH->public.std_strings)
+					AH->sqlparse.backSlash = !AH->sqlparse.backSlash;
+				else
+					AH->sqlparse.backSlash = false;
+				break;
+
+			case SQL_IN_DOUBLE_QUOTE:
+				/* We needn't handle "" specially */
+				if (ch == '"')
+					AH->sqlparse.state = SQL_SCAN;
+				break;
+		}
+	}
+}
+
+
+/*
  * Implement ahwrite() for direct-to-DB restore
  */
 int
 ExecuteSqlCommandBuf(ArchiveHandle *AH, const char *buf, size_t bufLen)
 {
-	if (AH->writingCopyData)
+	if (AH->outputKind == OUTPUT_COPYDATA)
 	{
 		/*
+		 * COPY data.
+		 *
 		 * We drop the data on the floor if libpq has failed to enter COPY
 		 * mode; this allows us to behave reasonably when trying to continue
 		 * after an error in a COPY command.
@@ -337,9 +415,19 @@
 			die_horribly(AH, modulename, "error returned by PQputCopyData: %s",
 						 PQerrorMessage(AH->connection));
 	}
+	else if (AH->outputKind == OUTPUT_OTHERDATA)
+	{
+		/*
+		 * Table data expressed as INSERT commands.
+		 */
+		ExecuteInsertCommands(AH, buf, bufLen);
+	}
 	else
 	{
 		/*
+		 * General SQL commands; we assume that commands will not be split
+		 * across calls.
+		 *
 		 * In most cases the data passed to us will be a null-terminated
 		 * string, but if it's not, we have to add a trailing null.
 		 */

=== modified file 'src/bin/pg_dump/pg_dump.c'
--- src/bin/pg_dump/pg_dump.c	2011-12-02 14:46:33 +0000
+++ src/bin/pg_dump/pg_dump.c	2012-02-25 11:17:15 +0000
@@ -1218,6 +1218,14 @@
 	return 1;
 }
 
+/*
+ * Dump table data using INSERT commands.
+ *
+ * Caution: when we restore from an archive file direct to database, the
+ * INSERT commands emitted by this function have to be parsed by
+ * pg_backup_db.c's ExecuteInsertCommands(), which will not handle comments,
+ * E'' strings, or dollar-quoted strings.  So don't emit anything like that.
+ */
 static int
 dumpTableData_insert(Archive *fout, void *dcontext)
 {
@@ -4788,12 +4796,15 @@
 			 * attstattarget doesn't exist in 7.1.  It does exist in 7.2, but
 			 * we don't dump it because we can't tell whether it's been
 			 * explicitly set or was just a default.
+			 *
+			 * attislocal doesn't exist before 7.3, either; in older databases
+			 * we assume it's TRUE, else we'd fail to dump non-inherited atts.
 			 */
 			appendPQExpBuffer(q, "SELECT a.attnum, a.attname, "
 						   "a.atttypmod, -1 AS attstattarget, a.attstorage, "
 							  "t.typstorage, a.attnotnull, a.atthasdef, "
 							  "false AS attisdropped, a.attlen, "
-							  "a.attalign, false AS attislocal, "
+							  "a.attalign, true AS attislocal, "
 							  "format_type(t.oid,a.atttypmod) AS atttypname "
 							  "FROM pg_attribute a LEFT JOIN pg_type t "
 							  "ON a.atttypid = t.oid "
@@ -4810,7 +4821,7 @@
 							  "attstorage AS typstorage, "
 							  "attnotnull, atthasdef, false AS attisdropped, "
 							  "attlen, attalign, "
-							  "false AS attislocal, "
+							  "true AS attislocal, "
 							  "(SELECT typname FROM pg_type WHERE oid = atttypid) AS atttypname "
 							  "FROM pg_attribute a "
 							  "WHERE attrelid = '%u'::oid "
@@ -4850,10 +4861,8 @@
 		tbinfo->attalign = (char *) malloc(ntups * sizeof(char));
 		tbinfo->attislocal = (bool *) malloc(ntups * sizeof(bool));
 		tbinfo->notnull = (bool *) malloc(ntups * sizeof(bool));
+		tbinfo->inhNotNull = (bool *) malloc(ntups * sizeof(bool));
 		tbinfo->attrdefs = (AttrDefInfo **) malloc(ntups * sizeof(AttrDefInfo *));
-		tbinfo->inhAttrs = (bool *) malloc(ntups * sizeof(bool));
-		tbinfo->inhAttrDef = (bool *) malloc(ntups * sizeof(bool));
-		tbinfo->inhNotNull = (bool *) malloc(ntups * sizeof(bool));
 		hasdefaults = false;
 
 		for (j = 0; j < ntups; j++)
@@ -4879,8 +4888,6 @@
 			if (PQgetvalue(res, j, i_atthasdef)[0] == 't')
 				hasdefaults = true;
 			/* these flags will be set in flagInhAttrs() */
-			tbinfo->inhAttrs[j] = false;
-			tbinfo->inhAttrDef[j] = false;
 			tbinfo->inhNotNull[j] = false;
 		}
 
@@ -4944,12 +4951,28 @@
 			{
 				int			adnum;
 
+				adnum = atoi(PQgetvalue(res, j, 2));
+
+				if (adnum <= 0 || adnum > ntups)
+				{
+					write_msg(NULL, "invalid adnum value %d for table \"%s\"\n",
+							  adnum, tbinfo->dobj.name);
+					exit_nicely();
+				}
+
+				/*
+				 * dropped columns shouldn't have defaults, but just in case,
+				 * ignore 'em
+				 */
+				if (tbinfo->attisdropped[adnum - 1])
+					continue;
+
 				attrdefs[j].dobj.objType = DO_ATTRDEF;
 				attrdefs[j].dobj.catId.tableoid = atooid(PQgetvalue(res, j, 0));
 				attrdefs[j].dobj.catId.oid = atooid(PQgetvalue(res, j, 1));
 				AssignDumpId(&attrdefs[j].dobj);
 				attrdefs[j].adtable = tbinfo;
-				attrdefs[j].adnum = adnum = atoi(PQgetvalue(res, j, 2));
+				attrdefs[j].adnum = adnum;
 				attrdefs[j].adef_expr = strdup(PQgetvalue(res, j, 3));
 
 				attrdefs[j].dobj.name = strdup(tbinfo->dobj.name);
@@ -4960,9 +4983,8 @@
 				/*
 				 * Defaults on a VIEW must always be dumped as separate ALTER
 				 * TABLE commands.	Defaults on regular tables are dumped as
-				 * part of the CREATE TABLE if possible.  To check if it's
-				 * safe, we mark the default as needing to appear before the
-				 * CREATE.
+				 * part of the CREATE TABLE if possible, which it won't be
+				 * if the column is not going to be emitted explicitly.
 				 */
 				if (tbinfo->relkind == RELKIND_VIEW)
 				{
@@ -4971,19 +4993,27 @@
 					addObjectDependency(&attrdefs[j].dobj,
 										tbinfo->dobj.dumpId);
 				}
+				else if (!shouldPrintColumn(tbinfo, adnum - 1))
+				{
+					/* column will be suppressed, print default separately */
+					attrdefs[j].separate = true;
+					/* needed in case pre-7.3 DB: */
+					addObjectDependency(&attrdefs[j].dobj,
+										tbinfo->dobj.dumpId);
+				}
 				else
 				{
 					attrdefs[j].separate = false;
+					/*
+					 * Mark the default as needing to appear before the table,
+					 * so that any dependencies it has must be emitted before
+					 * the CREATE TABLE.  If this is not possible, we'll
+					 * change to "separate" mode while sorting dependencies.
+					 */
 					addObjectDependency(&tbinfo->dobj,
 										attrdefs[j].dobj.dumpId);
 				}
 
-				if (adnum <= 0 || adnum > ntups)
-				{
-					write_msg(NULL, "invalid adnum value %d for table \"%s\"\n",
-							  adnum, tbinfo->dobj.name);
-					exit_nicely();
-				}
 				tbinfo->attrdefs[adnum - 1] = &attrdefs[j];
 			}
 			PQclear(res);
@@ -5130,6 +5160,28 @@
 	destroyPQExpBuffer(q);
 }
 
+/*
+ * Test whether a column should be printed as part of table's CREATE TABLE.
+ * Column number is zero-based.
+ *
+ * Normally this is always true, but it's false for dropped columns, as well
+ * as those that were inherited without any local definition.  (If we print
+ * such a column it will mistakenly get pg_attribute.attislocal set to true.)
+ * However, in binary_upgrade mode, we must print all such columns anyway and
+ * fix the attislocal/attisdropped state later, so as to keep control of the
+ * physical column order.
+ *
+ * This function exists because there are scattered nonobvious places that
+ * must be kept in sync with this decision.
+ */
+bool
+shouldPrintColumn(TableInfo *tbinfo, int colno)
+{
+	if (binary_upgrade)
+		return true;
+	return (tbinfo->attislocal[colno] && !tbinfo->attisdropped[colno]);
+}
+
 
 /*
  * getTSParsers:
@@ -9868,11 +9920,11 @@
 		for (j = 0; j < tbinfo->numatts; j++)
 		{
 			/*
-			 * Normally, dump if it's one of the table's own attrs, and not
-			 * dropped.  But for binary upgrade, dump all the columns.
+			 * Normally, dump if it's locally defined in this table, and not
+			 * dropped.  But for binary upgrade, we'll dump all the columns,
+			 * and then fix up the dropped and nonlocal cases below.
 			 */
-			if ((!tbinfo->inhAttrs[j] && !tbinfo->attisdropped[j]) ||
-				binary_upgrade)
+			if (shouldPrintColumn(tbinfo, j))
 			{
 				/* Format properly if not first attr */
 				if (actual_atts > 0)
@@ -9911,19 +9963,16 @@
 				}
 
 				/*
-				 * Default value --- suppress if inherited (except in
-				 * binary-upgrade case, where we're not doing normal
-				 * inheritance) or if it's to be printed separately.
+				 * Default value --- suppress if to be printed separately.
 				 */
 				if (tbinfo->attrdefs[j] != NULL &&
-					(!tbinfo->inhAttrDef[j] || binary_upgrade) &&
 					!tbinfo->attrdefs[j]->separate)
 					appendPQExpBuffer(q, " DEFAULT %s",
 									  tbinfo->attrdefs[j]->adef_expr);
 
 				/*
-				 * Not Null constraint --- suppress if inherited, except
-				 * in binary-upgrade case.
+				 * Not Null constraint --- suppress if inherited, except in
+				 * binary-upgrade case where that won't work.
 				 */
 				if (tbinfo->notnull[j] &&
 					(!tbinfo->inhNotNull[j] || binary_upgrade))
@@ -10098,16 +10147,36 @@
 			}
 		}
 
-		/* Loop dumping statistics and storage statements */
+		/*
+		 * Dump additional per-column properties that we can't handle in the
+		 * main CREATE TABLE command.
+		 */
 		for (j = 0; j < tbinfo->numatts; j++)
 		{
+			/* None of this applies to dropped columns */
+			if (tbinfo->attisdropped[j])
+				continue;
+
+			/*
+			 * If we didn't dump the column definition explicitly above, and
+			 * it is NOT NULL and did not inherit that property from a parent,
+			 * we have to mark it separately.
+			 */
+			if (!shouldPrintColumn(tbinfo, j) &&
+				tbinfo->notnull[j] && !tbinfo->inhNotNull[j])
+			{
+				appendPQExpBuffer(q, "ALTER TABLE ONLY %s ",
+								  fmtId(tbinfo->dobj.name));
+				appendPQExpBuffer(q, "ALTER COLUMN %s SET NOT NULL;\n",
+								  fmtId(tbinfo->attnames[j]));
+			}
+
 			/*
 			 * Dump per-column statistics information. We only issue an ALTER
 			 * TABLE statement if the attstattarget entry for this column is
 			 * non-negative (i.e. it's not the default value)
 			 */
-			if (tbinfo->attstattarget[j] >= 0 &&
-				!tbinfo->attisdropped[j])
+			if (tbinfo->attstattarget[j] >= 0)
 			{
 				appendPQExpBuffer(q, "ALTER TABLE ONLY %s ",
 								  fmtId(tbinfo->dobj.name));
@@ -10121,7 +10190,7 @@
 			 * Dump per-column storage information.  The statement is only
 			 * dumped if the storage has been changed from the type's default.
 			 */
-			if (!tbinfo->attisdropped[j] && tbinfo->attstorage[j] != tbinfo->typstorage[j])
+			if (tbinfo->attstorage[j] != tbinfo->typstorage[j])
 			{
 				switch (tbinfo->attstorage[j])
 				{
@@ -10198,18 +10267,18 @@
 	PQExpBuffer q;
 	PQExpBuffer delq;
 
-	/* Only print it if "separate" mode is selected */
-	if (!tbinfo->dobj.dump || !adinfo->separate || dataOnly)
+	/* Skip if table definition not to be dumped */
+	if (!tbinfo->dobj.dump || dataOnly)
 		return;
 
-	/* Don't print inherited defaults, either, except for binary upgrade */
-	if (tbinfo->inhAttrDef[adnum - 1] && !binary_upgrade)
+	/* Skip if not "separate"; it was dumped in the table's definition */
+	if (!adinfo->separate)
 		return;
 
 	q = createPQExpBuffer();
 	delq = createPQExpBuffer();
 
-	appendPQExpBuffer(q, "ALTER TABLE %s ",
+	appendPQExpBuffer(q, "ALTER TABLE ONLY %s ",
 					  fmtId(tbinfo->dobj.name));
 	appendPQExpBuffer(q, "ALTER COLUMN %s SET DEFAULT %s;\n",
 					  fmtId(tbinfo->attnames[adnum - 1]),

=== modified file 'src/bin/pg_dump/pg_dump.h'
--- src/bin/pg_dump/pg_dump.h	2011-04-20 15:57:49 +0000
+++ src/bin/pg_dump/pg_dump.h	2012-02-25 11:17:15 +0000
@@ -251,17 +251,9 @@
 	int		   *attlen;			/* attribute length, used by binary_upgrade */
 	char	   *attalign;		/* attribute align, used by binary_upgrade */
 	bool	   *attislocal;		/* true if attr has local definition */
-
-	/*
-	 * Note: we need to store per-attribute notnull, default, and constraint
-	 * stuff for all interesting tables so that we can tell which constraints
-	 * were inherited.
-	 */
-	bool	   *notnull;		/* Not null constraints on attributes */
+	bool	   *notnull;		/* NOT NULL constraints on attributes */
+	bool	   *inhNotNull;		/* true if NOT NULL is inherited */
 	struct _attrDefInfo **attrdefs;		/* DEFAULT expressions */
-	bool	   *inhAttrs;		/* true if each attribute is inherited */
-	bool	   *inhAttrDef;		/* true if attr's default is inherited */
-	bool	   *inhNotNull;		/* true if NOT NULL is inherited */
 	struct _constraintInfo *checkexprs; /* CHECK constraints */
 
 	/*
@@ -274,7 +266,7 @@
 
 typedef struct _attrDefInfo
 {
-	DumpableObject dobj;
+	DumpableObject dobj;		/* note: dobj.name is name of table */
 	TableInfo  *adtable;		/* link to table of attribute */
 	int			adnum;
 	char	   *adef_expr;		/* decompiled DEFAULT expression */
@@ -505,6 +497,7 @@
 extern ProcLangInfo *getProcLangs(int *numProcLangs);
 extern CastInfo *getCasts(int *numCasts);
 extern void getTableAttrs(TableInfo *tbinfo, int numTables);
+extern bool shouldPrintColumn(TableInfo *tbinfo, int colno);
 extern TSParserInfo *getTSParsers(int *numTSParsers);
 extern TSDictInfo *getTSDictionaries(int *numTSDicts);
 extern TSTemplateInfo *getTSTemplates(int *numTSTemplates);

=== modified file 'src/bin/pg_dump/po/es.po'
--- src/bin/pg_dump/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/pg_dump/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: pg_dump (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:45+0000\n"
+"POT-Creation-Date: 2012-02-22 15:04+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL Español <pgsql-es-ayuda@postgresql.org>\n"
@@ -390,37 +390,37 @@
 "la versión del servidor debe ser al menos 7.3 para usar los parámetros de\n"
 "selección de esquema\n"
 
-#: pg_dump.c:1089
+#: pg_dump.c:1103
 #, c-format
 msgid "dumping contents of table %s\n"
 msgstr "extrayendo el contenido de la tabla %s\n"
 
-#: pg_dump.c:1192
+#: pg_dump.c:1206
 #, c-format
 msgid "Dumping the contents of table \"%s\" failed: PQgetCopyData() failed.\n"
 msgstr ""
 "Falló la extracción del contenido de la tabla «%s»: PQgetCopyData() falló.\n"
 
-#: pg_dump.c:1193 pg_dump.c:11609
+#: pg_dump.c:1207 pg_dump.c:11692
 #, c-format
 msgid "Error message from server: %s"
 msgstr "Mensaje de error del servidor: %s"
 
-#: pg_dump.c:1194 pg_dump.c:11610
+#: pg_dump.c:1208 pg_dump.c:11693
 #, c-format
 msgid "The command was: %s\n"
 msgstr "La orden era: %s\n"
 
-#: pg_dump.c:1600
+#: pg_dump.c:1622
 msgid "saving database definition\n"
 msgstr "salvando las definiciones de la base de datos\n"
 
-#: pg_dump.c:1682
+#: pg_dump.c:1704
 #, c-format
 msgid "missing pg_database entry for database \"%s\"\n"
 msgstr "falta la entrada para la base de datos «%s» en pg_database\n"
 
-#: pg_dump.c:1689
+#: pg_dump.c:1711
 #, c-format
 msgid ""
 "query returned more than one (%d) pg_database entry for database \"%s\"\n"
@@ -428,97 +428,97 @@
 "la consulta regresó más de un (%d) registro en pg_database\n"
 "para la base de datos «%s»\n"
 
-#: pg_dump.c:1790
+#: pg_dump.c:1812
 msgid "dumpDatabase(): could not find pg_largeobject.relfrozenxid\n"
 msgstr "dumpDatabase(): no se pudo encontrar pg_largeobject.relfrozenxid\n"
 
-#: pg_dump.c:1867
+#: pg_dump.c:1889
 #, c-format
 msgid "saving encoding = %s\n"
 msgstr "salvando codificaciones = %s\n"
 
-#: pg_dump.c:1894
+#: pg_dump.c:1916
 #, c-format
 msgid "saving standard_conforming_strings = %s\n"
 msgstr "salvando standard_conforming_strings = %s\n"
 
-#: pg_dump.c:1956
+#: pg_dump.c:1978
 msgid "saving large objects\n"
 msgstr "salvando objetos grandes\n"
 
-#: pg_dump.c:1992
+#: pg_dump.c:2014
 #, c-format
 msgid "dumpBlobs(): could not open large object: %s"
 msgstr "dumpBlobs(): no se pudo abrir el objeto grande: %s"
 
-#: pg_dump.c:2005
+#: pg_dump.c:2027
 #, c-format
 msgid "dumpBlobs(): error reading large object: %s"
 msgstr "dumpBlobs(): error al leer el objeto grande: %s"
 
-#: pg_dump.c:2042
+#: pg_dump.c:2064
 msgid "saving large object comments\n"
 msgstr "salvando comentarios de objetos grandes\n"
 
-#: pg_dump.c:2212
+#: pg_dump.c:2234
 #, c-format
 msgid "WARNING: owner of schema \"%s\" appears to be invalid\n"
 msgstr "PRECAUCIÓN: el dueño del esquema «%s» parece no ser válido\n"
 
-#: pg_dump.c:2247
+#: pg_dump.c:2269
 #, c-format
 msgid "schema with OID %u does not exist\n"
 msgstr "el esquema con OID %u no existe\n"
 
-#: pg_dump.c:2504
+#: pg_dump.c:2526
 #, c-format
 msgid "WARNING: owner of data type \"%s\" appears to be invalid\n"
 msgstr "PRECAUCIÓN: el dueño del tipo «%s» parece no ser válido\n"
 
-#: pg_dump.c:2608
+#: pg_dump.c:2630
 #, c-format
 msgid "WARNING: owner of operator \"%s\" appears to be invalid\n"
 msgstr "PRECAUCIÓN: el dueño del operador «%s» parece no ser válido\n"
 
-#: pg_dump.c:2782
+#: pg_dump.c:2804
 #, c-format
 msgid "WARNING: owner of operator class \"%s\" appears to be invalid\n"
 msgstr ""
 "PRECAUCIÓN: el dueño de la clase de operadores «%s» parece no ser válido\n"
 
-#: pg_dump.c:2869
+#: pg_dump.c:2891
 #, c-format
 msgid "WARNING: owner of operator family \"%s\" appears to be invalid\n"
 msgstr ""
 "PRECAUCIÓN: el dueño de la familia de operadores «%s» parece no ser válido\n"
 
-#: pg_dump.c:2994
+#: pg_dump.c:3016
 #, c-format
 msgid "WARNING: owner of aggregate function \"%s\" appears to be invalid\n"
 msgstr ""
 "PRECAUCIÓN: el dueño de la función de agregación «%s» parece no ser válido\n"
 
-#: pg_dump.c:3149
+#: pg_dump.c:3171
 #, c-format
 msgid "WARNING: owner of function \"%s\" appears to be invalid\n"
 msgstr "PRECAUCIÓN: el dueño de la función «%s» parece no ser válido\n"
 
-#: pg_dump.c:3555
+#: pg_dump.c:3577
 #, c-format
 msgid "WARNING: owner of table \"%s\" appears to be invalid\n"
 msgstr "PRECAUCIÓN: el dueño de la tabla «%s» parece no ser válido\n"
 
-#: pg_dump.c:3695
+#: pg_dump.c:3717
 #, c-format
 msgid "reading indexes for table \"%s\"\n"
 msgstr "extrayendo los índices para la tabla «%s»\n"
 
-#: pg_dump.c:3965
+#: pg_dump.c:3987
 #, c-format
 msgid "reading foreign key constraints for table \"%s\"\n"
 msgstr "extrayendo restricciones de llave foránea para la tabla «%s»\n"
 
-#: pg_dump.c:4193
+#: pg_dump.c:4215
 #, c-format
 msgid ""
 "failed sanity check, parent table OID %u of pg_rewrite entry OID %u not "
@@ -527,12 +527,12 @@
 "falló la revisión de integridad: no se encontró la tabla padre OID %u del "
 "elemento con OID %u de pg_rewrite\n"
 
-#: pg_dump.c:4276
+#: pg_dump.c:4298
 #, c-format
 msgid "reading triggers for table \"%s\"\n"
 msgstr "extrayendo los disparadores (triggers) para la tabla «%s»\n"
 
-#: pg_dump.c:4401
+#: pg_dump.c:4423
 #, c-format
 msgid ""
 "query produced null referenced table name for foreign key trigger \"%s\" on "
@@ -541,32 +541,32 @@
 "la consulta produjo un nombre de tabla nulo para la llave foránea del \n"
 "disparador \"%s\" en la tabla «%s» (OID de la tabla: %u)\n"
 
-#: pg_dump.c:4751
+#: pg_dump.c:4773
 #, c-format
 msgid "finding the columns and types of table \"%s\"\n"
 msgstr "buscando las columnas y tipos de la tabla «%s»\n"
 
-#: pg_dump.c:4849
+#: pg_dump.c:4872
 #, c-format
 msgid "invalid column numbering in table \"%s\"\n"
 msgstr "numeración de columnas no válida en la tabla «%s»\n"
 
-#: pg_dump.c:4884
+#: pg_dump.c:4905
 #, c-format
 msgid "finding default expressions of table \"%s\"\n"
 msgstr "buscando expresiones por omisión de la tabla «%s»\n"
 
-#: pg_dump.c:4969
+#: pg_dump.c:4958
 #, c-format
 msgid "invalid adnum value %d for table \"%s\"\n"
 msgstr "el valor de adnum %d para la tabla «%s» no es válido\n"
 
-#: pg_dump.c:4987
+#: pg_dump.c:5031
 #, c-format
 msgid "finding check constraints for table \"%s\"\n"
 msgstr "buscando restricciones de revisión (check) para la tabla «%s»\n"
 
-#: pg_dump.c:5067
+#: pg_dump.c:5111
 #, c-format
 msgid "expected %d check constraint on table \"%s\" but found %d\n"
 msgid_plural "expected %d check constraints on table \"%s\" but found %d\n"
@@ -575,65 +575,65 @@
 msgstr[1] ""
 "se esperaban %d restricciones CHECK en la tabla «%s» pero se encontraron %d\n"
 
-#: pg_dump.c:5071
+#: pg_dump.c:5115
 msgid "(The system catalogs might be corrupted.)\n"
 msgstr "(Los catálogos del sistema podrían estar corruptos)\n"
 
-#: pg_dump.c:6150
+#: pg_dump.c:6216
 #, c-format
 msgid "no label definitions found for enum ID %u\n"
 msgstr "no se encontraron definiciones de etiquetas para el enum con ID %u\n"
 
-#: pg_dump.c:6409 pg_dump.c:6608 pg_dump.c:7260 pg_dump.c:7798 pg_dump.c:8048
-#: pg_dump.c:8154 pg_dump.c:8539 pg_dump.c:8715 pg_dump.c:8912 pg_dump.c:9139
-#: pg_dump.c:9294 pg_dump.c:9481 pg_dump.c:11415
+#: pg_dump.c:6475 pg_dump.c:6674 pg_dump.c:7326 pg_dump.c:7864 pg_dump.c:8114
+#: pg_dump.c:8220 pg_dump.c:8605 pg_dump.c:8781 pg_dump.c:8978 pg_dump.c:9205
+#: pg_dump.c:9360 pg_dump.c:9547 pg_dump.c:11498
 #, c-format
 msgid "query returned %d row instead of one: %s\n"
 msgid_plural "query returned %d rows instead of one: %s\n"
 msgstr[0] "la consulta regresó %d fila en lugar de una: %s\n"
 msgstr[1] "la consulta regresó %d filas en lugar de una: %s\n"
 
-#: pg_dump.c:6730
+#: pg_dump.c:6796
 #, c-format
 msgid "query returned no rows: %s\n"
 msgstr "la consulta no regresó renglones: %s\n"
 
-#: pg_dump.c:7028
+#: pg_dump.c:7094
 msgid "WARNING: bogus value in proargmodes array\n"
 msgstr "PRECAUCIÓN: valor no válido en el arreglo proargmodes\n"
 
-#: pg_dump.c:7340
+#: pg_dump.c:7406
 msgid "WARNING: could not parse proallargtypes array\n"
 msgstr "PRECAUCIÓN: no se pudo interpretar el arreglo proallargtypes\n"
 
-#: pg_dump.c:7356
+#: pg_dump.c:7422
 msgid "WARNING: could not parse proargmodes array\n"
 msgstr "PRECAUCIÓN: no se pudo interpretar el arreglo proargmodes\n"
 
-#: pg_dump.c:7370
+#: pg_dump.c:7436
 msgid "WARNING: could not parse proargnames array\n"
 msgstr "PRECAUCIÓN: no se pudo interpretar el arreglo proargnames\n"
 
-#: pg_dump.c:7381
+#: pg_dump.c:7447
 msgid "WARNING: could not parse proconfig array\n"
 msgstr "PRECAUCIÓN: no se pudo interpretar el arreglo proconfig\n"
 
-#: pg_dump.c:7437
+#: pg_dump.c:7503
 #, c-format
 msgid "unrecognized provolatile value for function \"%s\"\n"
 msgstr ""
 "el valor del atributo «provolatile» para la función «%s» es desconocido\n"
 
-#: pg_dump.c:7640
+#: pg_dump.c:7706
 msgid "WARNING: bogus value in pg_cast.castmethod field\n"
 msgstr "PRECAUCIÓN: valor no válido en el campo pg_cast.castmethod\n"
 
-#: pg_dump.c:8017
+#: pg_dump.c:8083
 #, c-format
 msgid "WARNING: could not find operator with OID %s\n"
 msgstr "PRECAUCIÓN: no se pudo encontrar el operador con OID %s\n"
 
-#: pg_dump.c:8938
+#: pg_dump.c:9004
 #, c-format
 msgid ""
 "WARNING: aggregate function %s could not be dumped correctly for this "
@@ -642,18 +642,18 @@
 "PRECAUCIÓN: la función de agregación «%s» no se pudo extraer correctamente\n"
 "para esta versión de la base de datos; ignorada\n"
 
-#: pg_dump.c:9667
+#: pg_dump.c:9733
 #, c-format
 msgid "could not parse ACL list (%s) for object \"%s\" (%s)\n"
 msgstr "no se pudo interpretar la lista de ACL (%s) para el objeto «%s» (%s)\n"
 
-#: pg_dump.c:9805
+#: pg_dump.c:9871
 #, c-format
 msgid "query to obtain definition of view \"%s\" returned no data\n"
 msgstr ""
 "la consulta para obtener la definición de la vista «%s» no regresó datos\n"
 
-#: pg_dump.c:9808
+#: pg_dump.c:9874
 #, c-format
 msgid ""
 "query to obtain definition of view \"%s\" returned more than one definition\n"
@@ -661,44 +661,44 @@
 "la consulta para obtener la definición de la vista «%s» regresó más de una "
 "definición\n"
 
-#: pg_dump.c:9817
+#: pg_dump.c:9883
 #, c-format
 msgid "definition of view \"%s\" appears to be empty (length zero)\n"
 msgstr "la definición de la vista «%s» parece estar vacía (tamaño cero)\n"
 
-#: pg_dump.c:10257
+#: pg_dump.c:10340
 #, c-format
 msgid "invalid column number %d for table \"%s\"\n"
 msgstr "el número de columna %d no es válido para la tabla «%s»\n"
 
-#: pg_dump.c:10360
+#: pg_dump.c:10443
 #, c-format
 msgid "missing index for constraint \"%s\"\n"
 msgstr "falta un índice para restricción «%s»\n"
 
-#: pg_dump.c:10529
+#: pg_dump.c:10612
 #, c-format
 msgid "unrecognized constraint type: %c\n"
 msgstr "tipo de restricción inesperado: %c\n"
 
-#: pg_dump.c:10592
+#: pg_dump.c:10675
 msgid "missing pg_database entry for this database\n"
 msgstr "falta la entrada en pg_database para esta base de datos\n"
 
-#: pg_dump.c:10597
+#: pg_dump.c:10680
 msgid "found more than one pg_database entry for this database\n"
 msgstr ""
 "se encontró más de una entrada en pg_database para esta base de datos\n"
 
-#: pg_dump.c:10629
+#: pg_dump.c:10712
 msgid "could not find entry for pg_indexes in pg_class\n"
 msgstr "no se pudo encontrar una entrada para pg_indexes en pg_class\n"
 
-#: pg_dump.c:10634
+#: pg_dump.c:10717
 msgid "found more than one entry for pg_indexes in pg_class\n"
 msgstr "se encontro más de una entrada para pg_indexes en la tabla pg_class\n"
 
-#: pg_dump.c:10705
+#: pg_dump.c:10788
 #, c-format
 msgid "query to get data of sequence \"%s\" returned %d row (expected 1)\n"
 msgid_plural ""
@@ -710,21 +710,21 @@
 "la consulta para obtener los datos de la secuencia «%s» regresó %d entradas, "
 "pero se esperaba 1\n"
 
-#: pg_dump.c:10716
+#: pg_dump.c:10799
 #, c-format
 msgid "query to get data of sequence \"%s\" returned name \"%s\"\n"
 msgstr ""
 "la consulta para obtener los datos de la secuencia «%s» regresó el nombre "
 "«%s»\n"
 
-#: pg_dump.c:10993
+#: pg_dump.c:11076
 #, c-format
 msgid "invalid argument string (%s) for trigger \"%s\" on table \"%s\"\n"
 msgstr ""
 "argumento de cadena (%s) no válido para el disparador (trigger) «%s» en la "
 "tabla «%s»\n"
 
-#: pg_dump.c:11131
+#: pg_dump.c:11214
 #, c-format
 msgid ""
 "query to get rule \"%s\" for table \"%s\" failed: wrong number of rows "
@@ -733,11 +733,11 @@
 "la consulta para obtener la regla «%s» asociada con la tabla «%s» falló: "
 "retornó un número incorrecto de renglones\n"
 
-#: pg_dump.c:11226
+#: pg_dump.c:11309
 msgid "reading dependency data\n"
 msgstr "obteniendo datos de dependencias\n"
 
-#: pg_dump.c:11604
+#: pg_dump.c:11687
 msgid "SQL command failed\n"
 msgstr "la orden SQL falló\n"
 
@@ -845,37 +845,37 @@
 msgid "reading triggers\n"
 msgstr "leyendo los disparadores (triggers)\n"
 
-#: common.c:802
+#: common.c:745
 #, c-format
 msgid "failed sanity check, parent OID %u of table \"%s\" (OID %u) not found\n"
 msgstr ""
 "falló la revisión de integridad, el OID %u del padre de la tabla «%s»\n"
 "(OID %u) no se encontró\n"
 
-#: common.c:844
+#: common.c:787
 #, c-format
 msgid "could not parse numeric array \"%s\": too many numbers\n"
 msgstr "no se pudo interpretar el arreglo numérico «%s»: demasiados números\n"
 
-#: common.c:859
+#: common.c:802
 #, c-format
 msgid "could not parse numeric array \"%s\": invalid character in number\n"
 msgstr ""
 "no se pudo interpretar el arreglo numérico «%s»: carácter no válido en "
 "número\n"
 
-#: common.c:972
+#: common.c:915
 msgid "cannot duplicate null pointer\n"
 msgstr "no se puede duplicar un puntero nulo\n"
 
-#: common.c:975 common.c:986 common.c:997 common.c:1008
+#: common.c:918 common.c:929 common.c:940 common.c:951
 #: pg_backup_archiver.c:735 pg_backup_archiver.c:1114
 #: pg_backup_archiver.c:1241 pg_backup_archiver.c:1712
 #: pg_backup_archiver.c:1869 pg_backup_archiver.c:1910
-#: pg_backup_archiver.c:3956 pg_backup_custom.c:144 pg_backup_custom.c:149
+#: pg_backup_archiver.c:3958 pg_backup_custom.c:144 pg_backup_custom.c:149
 #: pg_backup_custom.c:155 pg_backup_custom.c:170 pg_backup_custom.c:570
 #: pg_backup_custom.c:1118 pg_backup_custom.c:1127 pg_backup_db.c:145
-#: pg_backup_db.c:179 pg_backup_db.c:223 pg_backup_db.c:248 pg_backup_db.c:353
+#: pg_backup_db.c:179 pg_backup_db.c:223 pg_backup_db.c:248 pg_backup_db.c:441
 #: pg_backup_files.c:114 pg_backup_null.c:72 pg_backup_tar.c:171
 #: pg_backup_tar.c:1012
 msgid "out of memory\n"
@@ -1100,7 +1100,7 @@
 msgid "file offset in dump file is too large\n"
 msgstr "el posición en el archivo es demasiado grande\n"
 
-#: pg_backup_archiver.c:1715 pg_backup_archiver.c:2974 pg_backup_custom.c:757
+#: pg_backup_archiver.c:1715 pg_backup_archiver.c:2976 pg_backup_custom.c:757
 #: pg_backup_files.c:419 pg_backup_tar.c:786
 msgid "unexpected end of file\n"
 msgstr "fin inesperado de la entrada\n"
@@ -1150,50 +1150,50 @@
 msgid "allocating AH for %s, format %d\n"
 msgstr "reservando AH para %s, formato %d\n"
 
-#: pg_backup_archiver.c:1964
+#: pg_backup_archiver.c:1966
 #, c-format
 msgid "unrecognized file format \"%d\"\n"
 msgstr "formato de archivo no reconocido «%d»\n"
 
-#: pg_backup_archiver.c:2086
+#: pg_backup_archiver.c:2088
 #, c-format
 msgid "entry ID %d out of range -- perhaps a corrupt TOC\n"
 msgstr ""
 "la entrada con ID %d está fuera de rango -- tal vez\n"
 "la tabla de contenido está corrupta\n"
 
-#: pg_backup_archiver.c:2200
+#: pg_backup_archiver.c:2202
 #, c-format
 msgid "read TOC entry %d (ID %d) for %s %s\n"
 msgstr "leyendo entrada de la tabla de contenidos %d (ID %d) para %s %s\n"
 
-#: pg_backup_archiver.c:2234
+#: pg_backup_archiver.c:2236
 #, c-format
 msgid "unrecognized encoding \"%s\"\n"
 msgstr "no se reconoce la codificación: «%s»\n"
 
-#: pg_backup_archiver.c:2239
+#: pg_backup_archiver.c:2241
 #, c-format
 msgid "invalid ENCODING item: %s\n"
 msgstr "elemento ENCODING no válido: %s\n"
 
-#: pg_backup_archiver.c:2257
+#: pg_backup_archiver.c:2259
 #, c-format
 msgid "invalid STDSTRINGS item: %s\n"
 msgstr "elemento STDSTRINGS no válido: %s\n"
 
-#: pg_backup_archiver.c:2425
+#: pg_backup_archiver.c:2427
 #, c-format
 msgid "could not set session user to \"%s\": %s"
 msgstr "no se pudo establecer el usuario de sesión a «%s»: %s"
 
-#: pg_backup_archiver.c:2756 pg_backup_archiver.c:2905
+#: pg_backup_archiver.c:2758 pg_backup_archiver.c:2907
 #, c-format
 msgid "WARNING: don't know how to set owner for object type %s\n"
 msgstr ""
 "PRECAUCIÓN: no se sabe cómo establecer el dueño para el objeto de tipo %s\n"
 
-#: pg_backup_archiver.c:2937
+#: pg_backup_archiver.c:2939
 msgid ""
 "WARNING: requested compression not available in this installation -- archive "
 "will be uncompressed\n"
@@ -1201,21 +1201,21 @@
 "PRECAUCIÓN: la compresión solicitada no está soportada en esta\n"
 "instalación -- el archivador no será comprimido\n"
 
-#: pg_backup_archiver.c:2977
+#: pg_backup_archiver.c:2979
 msgid "did not find magic string in file header\n"
 msgstr "no se encontró la cadena mágica en el encabezado del archivo\n"
 
-#: pg_backup_archiver.c:2990
+#: pg_backup_archiver.c:2992
 #, c-format
 msgid "unsupported version (%d.%d) in file header\n"
 msgstr "versión no soportada (%d.%d) en el encabezado del archivo\n"
 
-#: pg_backup_archiver.c:2995
+#: pg_backup_archiver.c:2997
 #, c-format
 msgid "sanity check on integer size (%lu) failed\n"
 msgstr "revisión de integridad en el tamaño del entero (%lu) falló\n"
 
-#: pg_backup_archiver.c:2999
+#: pg_backup_archiver.c:3001
 msgid ""
 "WARNING: archive was made on a machine with larger integers, some operations "
 "might fail\n"
@@ -1223,13 +1223,13 @@
 "PRECAUCIÓN: el archivador fue hecho en una máquina con enteros más \n"
 "grandes, algunas operaciones podrían fallar\n"
 
-#: pg_backup_archiver.c:3009
+#: pg_backup_archiver.c:3011
 #, c-format
 msgid "expected format (%d) differs from format found in file (%d)\n"
 msgstr ""
 "el formato esperado (%d) difiere del formato encontrado en el archivo (%d)\n"
 
-#: pg_backup_archiver.c:3025
+#: pg_backup_archiver.c:3027
 msgid ""
 "WARNING: archive is compressed, but this installation does not support "
 "compression -- no data will be available\n"
@@ -1237,90 +1237,90 @@
 "PRECAUCIÓN: el archivador está comprimido, pero esta instalación no soporta\n"
 "compresión -- no habrá datos disponibles\n"
 
-#: pg_backup_archiver.c:3043
+#: pg_backup_archiver.c:3045
 msgid "WARNING: invalid creation date in header\n"
 msgstr "PRECAUCIÓN: la fecha de creación en el encabezado no es válida\n"
 
-#: pg_backup_archiver.c:3140
+#: pg_backup_archiver.c:3142
 msgid "entering restore_toc_entries_parallel\n"
 msgstr "ingresando restore_toc_entries_parallel\n"
 
-#: pg_backup_archiver.c:3167
+#: pg_backup_archiver.c:3169
 #, c-format
 msgid "processing item %d %s %s\n"
 msgstr "procesando el elemento %d %s %s\n"
 
-#: pg_backup_archiver.c:3204
+#: pg_backup_archiver.c:3206
 msgid "entering main parallel loop\n"
 msgstr "ingresando al bucle paralelo principal\n"
 
-#: pg_backup_archiver.c:3218
+#: pg_backup_archiver.c:3220
 #, c-format
 msgid "skipping item %d %s %s\n"
 msgstr "saltando el elemento %d %s %s\n"
 
-#: pg_backup_archiver.c:3234
+#: pg_backup_archiver.c:3236
 #, c-format
 msgid "launching item %d %s %s\n"
 msgstr "lanzando el elemento %d %s %s\n"
 
-#: pg_backup_archiver.c:3270
+#: pg_backup_archiver.c:3272
 #, c-format
 msgid "worker process crashed: status %d\n"
 msgstr "un proceso hijo murió: estado %d\n"
 
-#: pg_backup_archiver.c:3275
+#: pg_backup_archiver.c:3277
 msgid "finished main parallel loop\n"
 msgstr "terminó el bucle paralelo principal\n"
 
-#: pg_backup_archiver.c:3295
+#: pg_backup_archiver.c:3297
 #, c-format
 msgid "processing missed item %d %s %s\n"
 msgstr "procesando el elemento saltado %d %s %s\n"
 
-#: pg_backup_archiver.c:3322
+#: pg_backup_archiver.c:3324
 msgid "parallel_restore should not return\n"
 msgstr "parallel_restore should not return\n"
 
-#: pg_backup_archiver.c:3328
+#: pg_backup_archiver.c:3330
 #, c-format
 msgid "could not create worker process: %s\n"
 msgstr "no se pudo crear el proceso hijo: %s\n"
 
-#: pg_backup_archiver.c:3336
+#: pg_backup_archiver.c:3338
 #, c-format
 msgid "could not create worker thread: %s\n"
 msgstr "no se pudo crear el hilo: %s\n"
 
-#: pg_backup_archiver.c:3542
+#: pg_backup_archiver.c:3544
 msgid "no item ready\n"
 msgstr "ningún elemento listo\n"
 
-#: pg_backup_archiver.c:3636
+#: pg_backup_archiver.c:3638
 msgid "could not find slot of finished worker\n"
 msgstr "no se pudo localizar la entrada del proceso o hilo que terminó\n"
 
-#: pg_backup_archiver.c:3638
+#: pg_backup_archiver.c:3640
 #, c-format
 msgid "finished item %d %s %s\n"
 msgstr "terminó el elemento %d %s %s\n"
 
-#: pg_backup_archiver.c:3651
+#: pg_backup_archiver.c:3653
 #, c-format
 msgid "worker process failed: exit code %d\n"
 msgstr "el proceso hijo falló: código de salida %d\n"
 
-#: pg_backup_archiver.c:3800
+#: pg_backup_archiver.c:3802
 #, c-format
 msgid "transferring dependency %d -> %d to %d\n"
 msgstr "transferiendo la dependencia %d -> %d a %d\n"
 
-#: pg_backup_archiver.c:3873
+#: pg_backup_archiver.c:3875
 #, c-format
 msgid "reducing dependencies for %d\n"
 msgstr "reduciendo las dependencias para %d\n"
 
-#: pg_backup_archiver.c:3922
+#: pg_backup_archiver.c:3924
 #, c-format
 msgid "table \"%s\" could not be created, will not restore its data\n"
 msgstr "la tabla «%s» no pudo ser creada, no se recuperarán sus datos\n"
@@ -1516,25 +1516,25 @@
 msgid "%s"
 msgstr "%s"
 
-#: pg_backup_db.c:337
+#: pg_backup_db.c:364 pg_backup_db.c:435 pg_backup_db.c:444
+msgid "could not execute query"
+msgstr "no se pudo ejecutar la consulta"
+
+#: pg_backup_db.c:415
 #, c-format
 msgid "error returned by PQputCopyData: %s"
 msgstr "PQputCopyData regresó un error: %s"
 
-#: pg_backup_db.c:347 pg_backup_db.c:356
-msgid "could not execute query"
-msgstr "no se pudo ejecutar la consulta"
-
-#: pg_backup_db.c:375
+#: pg_backup_db.c:463
 #, c-format
 msgid "error returned by PQputCopyEnd: %s"
 msgstr "PQputCopyEnd regresó un error: %s"
 
-#: pg_backup_db.c:392
+#: pg_backup_db.c:480
 msgid "could not start database transaction"
 msgstr "no se pudo iniciar la transacción en la base de datos"
 
-#: pg_backup_db.c:398
+#: pg_backup_db.c:486
 msgid "could not commit database transaction"
 msgstr "no se pudo terminar la transacción a la base de datos"
 

=== modified file 'src/bin/pg_resetxlog/po/es.po'
--- src/bin/pg_resetxlog/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/pg_resetxlog/po/es.po	2012-02-25 11:17:15 +0000
@@ -13,7 +13,7 @@
 msgstr ""
 "Project-Id-Version: pg_resetxlog (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:45+0000\n"
+"POT-Creation-Date: 2012-02-22 15:03+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: Español <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/bin/psql/po/es.po'
--- src/bin/psql/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/psql/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: psql (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:46+0000\n"
+"POT-Creation-Date: 2012-02-22 15:02+0000\n"
 "PO-Revision-Date: 2011-09-22 11:32-0300\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL Español <pgsql-es-ayuda@postgresql.org>\n"
@@ -53,134 +53,141 @@
 msgid "Time: %.3f ms\n"
 msgstr "Duración: %.3f ms\n"
 
-#: command.c:469 command.c:497 command.c:1037
+#: command.c:469 command.c:503 command.c:1043
 msgid "no query buffer\n"
 msgstr "no hay búfer de consulta\n"
 
-#: command.c:539
+#: command.c:497
+#, c-format
+msgid "The server (version %d.%d) does not support editing function source.\n"
+msgstr ""
+"El servidor (versión %d.%d) no soporta la edición del código fuente de "
+"funciones.\n"
+
+#: command.c:545
 msgid "No changes"
 msgstr "Sin cambios"
 
-#: command.c:593
+#: command.c:599
 #, c-format
 msgid "%s: invalid encoding name or conversion procedure not found\n"
 msgstr ""
 "%s: nombre de codificación no válido o procedimiento de conversión\n"
 "no encontrado\n"
 
-#: command.c:661 command.c:695 command.c:709 command.c:726 command.c:830
-#: command.c:880 command.c:1017 command.c:1048
+#: command.c:667 command.c:701 command.c:715 command.c:732 command.c:836
+#: command.c:886 command.c:1023 command.c:1054
 #, c-format
 msgid "\\%s: missing required argument\n"
 msgstr "\\%s: falta argumento requerido\n"
 
-#: command.c:758
+#: command.c:764
 msgid "Query buffer is empty."
 msgstr "El búfer de consulta está vacío."
 
-#: command.c:768
+#: command.c:774
 msgid "Enter new password: "
 msgstr "Ingrese la nueva contraseña: "
 
-#: command.c:769
+#: command.c:775
 msgid "Enter it again: "
 msgstr "Ingrésela nuevamente: "
 
-#: command.c:773
+#: command.c:779
 #, c-format
 msgid "Passwords didn't match.\n"
 msgstr "Las constraseñas no coinciden.\n"
 
-#: command.c:791
+#: command.c:797
 #, c-format
 msgid "Password encryption failed.\n"
 msgstr "El cifrado de la contraseña falló.\n"
 
-#: command.c:859 command.c:960 command.c:1022
+#: command.c:865 command.c:966 command.c:1028
 #, c-format
 msgid "\\%s: error\n"
 msgstr "\\%s: error\n"
 
-#: command.c:900
+#: command.c:906
 msgid "Query buffer reset (cleared)."
 msgstr "El búfer de consulta ha sido reiniciado (limpiado)."
 
-#: command.c:913
+#: command.c:919
 #, c-format
 msgid "Wrote history to file \"%s/%s\".\n"
 msgstr "Se escribió la historia en el archivo \"%s/%s\".\n"
 
-#: command.c:951 common.c:52 common.c:66 common.c:90 input.c:198 mainloop.c:70
+#: command.c:957 common.c:52 common.c:66 common.c:90 input.c:198 mainloop.c:70
 #: mainloop.c:228 print.c:61 print.c:75
 #, c-format
 msgid "out of memory\n"
 msgstr "memoria agotada\n"
 
-#: command.c:1002
+#: command.c:1008
 msgid "Timing is on."
 msgstr "El despliegue de duración está activado."
 
-#: command.c:1004
+#: command.c:1010
 msgid "Timing is off."
 msgstr "El despliegue de duración está desactivado."
 
-#: command.c:1065 command.c:1085 command.c:1584 command.c:1591 command.c:1600
-#: command.c:1610 command.c:1619 command.c:1633 command.c:1650 command.c:1683
+#: command.c:1071 command.c:1091 command.c:1590 command.c:1597 command.c:1606
+#: command.c:1616 command.c:1625 command.c:1639 command.c:1656 command.c:1689
 #: common.c:137 copy.c:517 copy.c:584
 #, c-format
 msgid "%s: %s\n"
 msgstr "%s: %s\n"
 
-#: command.c:1167 startup.c:159
+#: command.c:1173 startup.c:159
 msgid "Password: "
 msgstr "Contraseña: "
 
-#: command.c:1174 startup.c:162 startup.c:164
+#: command.c:1180 startup.c:162 startup.c:164
 #, c-format
 msgid "Password for user %s: "
 msgstr "Contraseña para usuario %s: "
 
-#: command.c:1270 command.c:2131 common.c:183 common.c:460 common.c:525
+#: command.c:1276 command.c:2137 common.c:183 common.c:460 common.c:525
 #: common.c:811 common.c:836 common.c:920 copy.c:655 copy.c:700 copy.c:830
 #, c-format
 msgid "%s"
 msgstr "%s"
 
-#: command.c:1274
+#: command.c:1280
 msgid "Previous connection kept\n"
 msgstr "Se ha mantenido la conexión anterior\n"
 
-#: command.c:1278
+#: command.c:1284
 #, c-format
 msgid "\\connect: %s"
 msgstr "\\connect: %s"
 
-#: command.c:1302
+#: command.c:1308
 #, c-format
 msgid "You are now connected to database \"%s\""
 msgstr "Ahora está conectado a la base de datos «%s»"
 
-#: command.c:1305
+#: command.c:1311
 #, c-format
 msgid " on host \"%s\""
 msgstr " en el servidor «%s»"
 
-#: command.c:1308
+#: command.c:1314
 #, c-format
 msgid " at port \"%s\""
 msgstr " en el puerto «%s»"
 
-#: command.c:1311
+#: command.c:1317
 #, c-format
 msgid " as user \"%s\""
 msgstr " como el usuario «%s»"
 
-#: command.c:1346
+#: command.c:1352
 #, c-format
 msgid "%s (%s, server %s)\n"
 msgstr "%s (%s, servidor %s)\n"
 
-#: command.c:1353
+#: command.c:1359
 #, c-format
 msgid ""
 "WARNING: %s version %d.%d, server version %d.%d.\n"
@@ -189,17 +196,17 @@
 "ADVERTENCIA: %s versión %d.%d, servidor versión %d.%d.\n"
 "          Algunas características de psql pueden no funcionar.\n"
 
-#: command.c:1383
+#: command.c:1389
 #, c-format
 msgid "SSL connection (cipher: %s, bits: %i)\n"
 msgstr "conexión SSL (cifrado: %s, bits: %i)\n"
 
-#: command.c:1393
+#: command.c:1399
 #, c-format
 msgid "SSL connection (unknown cipher)\n"
 msgstr "conexión SSL (cifrado desconocido)\n"
 
-#: command.c:1414
+#: command.c:1420
 #, c-format
 msgid ""
 "WARNING: Console code page (%u) differs from Windows code page (%u)\n"
@@ -212,26 +219,26 @@
 "            Vea la página de referencia de psql «Notes for Windows users»\n"
 "            para obtener más detalles.\n"
 
-#: command.c:1503
+#: command.c:1509
 #, c-format
 msgid "could not start editor \"%s\"\n"
 msgstr "no se pudo iniciar el editor «%s»\n"
 
-#: command.c:1505
+#: command.c:1511
 msgid "could not start /bin/sh\n"
 msgstr "no se pudo iniciar /bin/sh\n"
 
-#: command.c:1542
+#: command.c:1548
 #, c-format
 msgid "cannot locate temporary directory: %s\n"
 msgstr "no se puede ubicar el directorio temporal: %s\n"
 
-#: command.c:1569
+#: command.c:1575
 #, c-format
 msgid "could not open temporary file \"%s\": %s\n"
 msgstr "no se pudo abrir archivo temporal «%s»: %s\n"
 
-#: command.c:1785
+#: command.c:1791
 msgid ""
 "\\pset: allowed formats are unaligned, aligned, wrapped, html, latex, troff-"
 "ms\n"
@@ -239,113 +246,113 @@
 "\\pset: formatos permitidos son unaligned, aligned, wrapped, html, latex, "
 "troff-ms\n"
 
-#: command.c:1790
+#: command.c:1796
 #, c-format
 msgid "Output format is %s.\n"
 msgstr "El formato de salida es %s.\n"
 
-#: command.c:1800
+#: command.c:1806
 #, c-format
 msgid "Border style is %d.\n"
 msgstr "El estilo de borde es %d.\n"
 
-#: command.c:1812
+#: command.c:1818
 #, c-format
 msgid "Expanded display is on.\n"
 msgstr "Se ha activado el despliegue expandido.\n"
 
-#: command.c:1813
+#: command.c:1819
 #, c-format
 msgid "Expanded display is off.\n"
 msgstr "Se ha desactivado el despliegue expandido.\n"
 
-#: command.c:1826
+#: command.c:1832
 msgid "Showing locale-adjusted numeric output."
 msgstr "Mostrando salida numérica ajustada localmente"
 
-#: command.c:1828
+#: command.c:1834
 msgid "Locale-adjusted numeric output is off."
 msgstr "La salida numérica ajustada localmente está deshabilitada. "
 
-#: command.c:1841
+#: command.c:1847
 #, c-format
 msgid "Null display is \"%s\".\n"
 msgstr "Despliegue de nulos es «%s».\n"
 
-#: command.c:1853
+#: command.c:1859
 #, c-format
 msgid "Field separator is \"%s\".\n"
 msgstr "El separador de campos es «%s».\n"
 
-#: command.c:1867
+#: command.c:1873
 #, c-format
 msgid "Record separator is <newline>."
 msgstr "El separador de filas es <salto de línea>."
 
-#: command.c:1869
+#: command.c:1875
 #, c-format
 msgid "Record separator is \"%s\".\n"
 msgstr "El separador de filas es «%s».\n"
 
-#: command.c:1883
+#: command.c:1889
 msgid "Showing only tuples."
 msgstr "Mostrando sólo filas."
 
-#: command.c:1885
+#: command.c:1891
 msgid "Tuples only is off."
 msgstr "Mostrar sólo filas está desactivado."
 
-#: command.c:1901
+#: command.c:1907
 #, c-format
 msgid "Title is \"%s\".\n"
 msgstr "El título es «%s».\n"
 
-#: command.c:1903
+#: command.c:1909
 #, c-format
 msgid "Title is unset.\n"
 msgstr "El título ha sido indefinido.\n"
 
-#: command.c:1919
+#: command.c:1925
 #, c-format
 msgid "Table attribute is \"%s\".\n"
 msgstr "Los atributos de tabla son «%s».\n"
 
-#: command.c:1921
+#: command.c:1927
 #, c-format
 msgid "Table attributes unset.\n"
 msgstr "Los atributos de tabla han sido indefinidos.\n"
 
-#: command.c:1942
+#: command.c:1948
 msgid "Pager is used for long output."
 msgstr "El paginador se usará para salida larga."
 
-#: command.c:1944
+#: command.c:1950
 msgid "Pager is always used."
 msgstr "El paginador se usará siempre."
 
-#: command.c:1946
+#: command.c:1952
 msgid "Pager usage is off."
 msgstr "El paginador no se usará."
 
-#: command.c:1960
+#: command.c:1966
 msgid "Default footer is on."
 msgstr "El pie por omisión está activo."
 
-#: command.c:1962
+#: command.c:1968
 msgid "Default footer is off."
 msgstr "El pie de página por omisión está desactivado."
 
-#: command.c:1973
+#: command.c:1979
 #, c-format
 msgid "Target width for \"wrapped\" format is %d.\n"
 msgstr "El ancho para el formato «wrapped» es %d.\n"
 
-#: command.c:1978
+#: command.c:1984
 #, c-format
 msgid "\\pset: unknown option: %s\n"
 msgstr "\\pset: opción desconocida: %s\n"
 
-#: command.c:2032
+#: command.c:2038
 msgid "\\!: failed\n"
 msgstr "\\!: falló\n"
 

=== modified file 'src/bin/psql/po/fr.po'
--- src/bin/psql/po/fr.po	2011-09-25 14:23:57 +0000
+++ src/bin/psql/po/fr.po	2012-02-25 11:17:15 +0000
@@ -11,8 +11,8 @@
 msgstr ""
 "Project-Id-Version: PostgreSQL 8.4\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-08-09 07:18+0000\n"
-"PO-Revision-Date: 2011-08-16 19:01+0100\n"
+"POT-Creation-Date: 2012-02-20 07:02+0000\n"
+"PO-Revision-Date: 2012-02-20 22:20+0100\n"
 "Last-Translator: Guillaume Lelarge <guillaume@lelarge.info>\n"
 "Language-Team: French <guillaume@lelarge.info>\n"
 "Language: fr\n"
@@ -53,71 +53,76 @@
 msgstr "Temps : %.3f ms\n"
 
 #: command.c:469
-#: command.c:497
-#: command.c:1037
+#: command.c:503
+#: command.c:1043
 msgid "no query buffer\n"
 msgstr "aucun tampon de requte\n"
 
-#: command.c:539
+#: command.c:497
+#, c-format
+msgid "The server (version %d.%d) does not support editing function source.\n"
+msgstr "Le serveur (version %d.%d) ne supporte pas l'dition du code de la fonction.\n"
+
+#: command.c:545
 msgid "No changes"
 msgstr "Aucun changement"
 
-#: command.c:593
+#: command.c:599
 #, c-format
 msgid "%s: invalid encoding name or conversion procedure not found\n"
 msgstr "%s : nom d'encodage invalide ou procdure de conversion introuvable\n"
 
-#: command.c:661
-#: command.c:695
-#: command.c:709
-#: command.c:726
-#: command.c:830
-#: command.c:880
-#: command.c:1017
-#: command.c:1048
+#: command.c:667
+#: command.c:701
+#: command.c:715
+#: command.c:732
+#: command.c:836
+#: command.c:886
+#: command.c:1023
+#: command.c:1054
 #, c-format
 msgid "\\%s: missing required argument\n"
 msgstr "\\%s : argument requis manquant\n"
 
-#: command.c:758
+#: command.c:764
 msgid "Query buffer is empty."
 msgstr "Le tampon de requte est vide."
 
-#: command.c:768
+#: command.c:774
 msgid "Enter new password: "
 msgstr "Saisissez le nouveau mot de passe :"
 
-#: command.c:769
+#: command.c:775
 msgid "Enter it again: "
 msgstr "Saisissez-le  nouveau :"
 
-#: command.c:773
+#: command.c:779
 #, c-format
 msgid "Passwords didn't match.\n"
 msgstr "Les mots de passe ne sont pas identiques.\n"
 
-#: command.c:791
+#: command.c:797
 #, c-format
 msgid "Password encryption failed.\n"
 msgstr "chec du chiffrement du mot de passe.\n"
 
-#: command.c:859
-#: command.c:960
-#: command.c:1022
+#: command.c:865
+#: command.c:966
+#: command.c:1028
 #, c-format
 msgid "\\%s: error\n"
 msgstr "\\%s : erreur\n"
 
-#: command.c:900
+#: command.c:906
 msgid "Query buffer reset (cleared)."
 msgstr "Le tampon de requte a t effac."
 
-#: command.c:913
+#: command.c:919
 #, c-format
 msgid "Wrote history to file \"%s/%s\".\n"
 msgstr "Historique sauvegard dans le fichier  %s/%s .\n"
 
-#: command.c:951
+#: command.c:957
 #: common.c:52
 #: common.c:66
 #: common.c:90
@@ -130,24 +135,24 @@
 msgid "out of memory\n"
 msgstr "mmoire puise\n"
 
-#: command.c:1002
+#: command.c:1008
 msgid "Timing is on."
 msgstr "Chronomtrage activ."
 
-#: command.c:1004
+#: command.c:1010
 msgid "Timing is off."
 msgstr "Chronomtrage dsactiv."
 
-#: command.c:1065
-#: command.c:1085
-#: command.c:1584
-#: command.c:1591
-#: command.c:1600
-#: command.c:1610
-#: command.c:1619
-#: command.c:1633
-#: command.c:1650
-#: command.c:1683
+#: command.c:1071
+#: command.c:1091
+#: command.c:1590
+#: command.c:1597
+#: command.c:1606
+#: command.c:1616
+#: command.c:1625
+#: command.c:1639
+#: command.c:1656
+#: command.c:1689
 #: common.c:137
 #: copy.c:517
 #: copy.c:584
@@ -155,20 +160,20 @@
 msgid "%s: %s\n"
 msgstr "%s : %s\n"
 
-#: command.c:1167
+#: command.c:1173
 #: startup.c:159
 msgid "Password: "
 msgstr "Mot de passe : "
 
-#: command.c:1174
+#: command.c:1180
 #: startup.c:162
 #: startup.c:164
 #, c-format
 msgid "Password for user %s: "
 msgstr "Mot de passe pour l'utilisateur %s : "
 
-#: command.c:1270
-#: command.c:2131
+#: command.c:1276
+#: command.c:2137
 #: common.c:183
 #: common.c:460
 #: common.c:525
@@ -182,41 +187,41 @@
 msgid "%s"
 msgstr "%s"
 
-#: command.c:1274
+#: command.c:1280
 msgid "Previous connection kept\n"
 msgstr "Connexion prcdente conserve\n"
 
-#: command.c:1278
+#: command.c:1284
 #, c-format
 msgid "\\connect: %s"
 msgstr "\\connect : %s"
 
-#: command.c:1302
+#: command.c:1308
 #, c-format
 msgid "You are now connected to database \"%s\""
 msgstr "Vous tes maintenant connect  la base de donnes  %s "
 
-#: command.c:1305
+#: command.c:1311
 #, c-format
 msgid " on host \"%s\""
 msgstr " sur l'hte  %s "
 
-#: command.c:1308
+#: command.c:1314
 #, c-format
 msgid " at port \"%s\""
 msgstr " sur le port  %s "
 
-#: command.c:1311
+#: command.c:1317
 #, c-format
 msgid " as user \"%s\""
 msgstr " comme utilisateur  %s "
 
-#: command.c:1346
+#: command.c:1352
 #, c-format
 msgid "%s (%s, server %s)\n"
 msgstr "%s (%s, serveur %s)\n"
 
-#: command.c:1353
+#: command.c:1359
 #, c-format
 msgid ""
 "WARNING: %s version %d.%d, server version %d.%d.\n"
@@ -225,17 +230,17 @@
 "ATTENTION : %s version %d.%d, version du serveur %d.%d.\n"
 "         Certaines fonctionnalits de psql pourraient ne pas fonctionner.\n"
 
-#: command.c:1383
+#: command.c:1389
 #, c-format
 msgid "SSL connection (cipher: %s, bits: %i)\n"
 msgstr "Connexion SSL (chiffrement : %s, bits : %i)\n"
 
-#: command.c:1393
+#: command.c:1399
 #, c-format
 msgid "SSL connection (unknown cipher)\n"
 msgstr "Connexion SSL (chiffrement inconnu)\n"
 
-#: command.c:1414
+#: command.c:1420
 #, c-format
 msgid ""
 "WARNING: Console code page (%u) differs from Windows code page (%u)\n"
@@ -247,138 +252,138 @@
 "            Voir la section  Notes aux utilisateurs de Windows  de la page\n"
 "            rfrence de psql pour les dtails.\n"
 
-#: command.c:1503
+#: command.c:1509
 #, c-format
 msgid "could not start editor \"%s\"\n"
 msgstr "n'a pas pu excuter l'diteur  %s \n"
 
-#: command.c:1505
+#: command.c:1511
 msgid "could not start /bin/sh\n"
 msgstr "n'a pas pu excuter /bin/sh\n"
 
-#: command.c:1542
+#: command.c:1548
 #, c-format
 msgid "cannot locate temporary directory: %s\n"
 msgstr "ne peut pas localiser le rpertoire temporaire : %s\n"
 
-#: command.c:1569
+#: command.c:1575
 #, c-format
 msgid "could not open temporary file \"%s\": %s\n"
 msgstr "n'a pas pu ouvrir le fichier temporaire  %s  : %s\n"
 
-#: command.c:1785
+#: command.c:1791
 msgid "\\pset: allowed formats are unaligned, aligned, wrapped, html, latex, troff-ms\n"
 msgstr ""
 "\\pset : les formats autoriss sont unaligned, aligned, wrapped, html, latex,\n"
 "troff-ms\n"
 
-#: command.c:1790
+#: command.c:1796
 #, c-format
 msgid "Output format is %s.\n"
 msgstr "Le format de sortie est %s.\n"
 
-#: command.c:1800
+#: command.c:1806
 #, c-format
 msgid "Border style is %d.\n"
 msgstr "Le style de bordure est %d.\n"
 
-#: command.c:1812
+#: command.c:1818
 #, c-format
 msgid "Expanded display is on.\n"
 msgstr "Affichage tendu activ.\n"
 
-#: command.c:1813
+#: command.c:1819
 #, c-format
 msgid "Expanded display is off.\n"
 msgstr "Affichage tendu dsactiv.\n"
 
-#: command.c:1826
+#: command.c:1832
 msgid "Showing locale-adjusted numeric output."
 msgstr "Affichage de la sortie numrique adapte  la locale."
 
-#: command.c:1828
+#: command.c:1834
 msgid "Locale-adjusted numeric output is off."
 msgstr "L'affichage de la sortie numrique adapte  la locale est dsactiv."
 
-#: command.c:1841
+#: command.c:1847
 #, c-format
 msgid "Null display is \"%s\".\n"
 msgstr "L'affichage de null est  %s .\n"
 
-#: command.c:1853
+#: command.c:1859
 #, c-format
 msgid "Field separator is \"%s\".\n"
 msgstr "Le sparateur de champs est  %s .\n"
 
-#: command.c:1867
+#: command.c:1873
 #, c-format
 msgid "Record separator is <newline>."
 msgstr "Le sparateur d'enregistrements est <saut de ligne>."
 
-#: command.c:1869
+#: command.c:1875
 #, c-format
 msgid "Record separator is \"%s\".\n"
 msgstr "Le sparateur d'enregistrements est  %s .\n"
 
-#: command.c:1883
+#: command.c:1889
 msgid "Showing only tuples."
 msgstr "Affichage des tuples seuls."
 
-#: command.c:1885
+#: command.c:1891
 msgid "Tuples only is off."
 msgstr "L'affichage des tuples seuls est dsactiv."
 
-#: command.c:1901
+#: command.c:1907
 #, c-format
 msgid "Title is \"%s\".\n"
 msgstr "Le titre est  %s .\n"
 
-#: command.c:1903
+#: command.c:1909
 #, c-format
 msgid "Title is unset.\n"
 msgstr "Le titre n'est pas dfini.\n"
 
-#: command.c:1919
+#: command.c:1925
 #, c-format
 msgid "Table attribute is \"%s\".\n"
 msgstr "L'attribut de la table est  %s .\n"
 
-#: command.c:1921
+#: command.c:1927
 #, c-format
 msgid "Table attributes unset.\n"
 msgstr "Les attributs de la table ne sont pas dfinis.\n"
 
-#: command.c:1942
+#: command.c:1948
 msgid "Pager is used for long output."
 msgstr "Le pagineur est utilis pour les affichages importants."
 
-#: command.c:1944
+#: command.c:1950
 msgid "Pager is always used."
 msgstr "Le pagineur est toujours utilis."
 
-#: command.c:1946
+#: command.c:1952
 msgid "Pager usage is off."
 msgstr "Le pagineur n'est pas utilis."
 
-#: command.c:1960
+#: command.c:1966
 msgid "Default footer is on."
 msgstr "Le bas de page pas dfaut est activ."
 
-#: command.c:1962
+#: command.c:1968
 msgid "Default footer is off."
 msgstr "Le bas de page par dfaut est dsactiv."
 
-#: command.c:1973
+#: command.c:1979
 #, c-format
 msgid "Target width for \"wrapped\" format is %d.\n"
 msgstr "La largeur cible pour le format  wrapped  est %d.\n"
 
-#: command.c:1978
+#: command.c:1984
 #, c-format
 msgid "\\pset: unknown option: %s\n"
 msgstr "\\pset : option inconnue : %s\n"
 
-#: command.c:2032
+#: command.c:2038
 msgid "\\!: failed\n"
 msgstr "\\! : chec\n"
 

=== modified file 'src/bin/scripts/po/es.po'
--- src/bin/scripts/po/es.po	2011-09-25 14:23:57 +0000
+++ src/bin/scripts/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: pgscripts (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:44+0000\n"
+"POT-Creation-Date: 2012-02-22 15:04+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Ávaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: Castellano <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/include/access/nbtree.h'
--- src/include/access/nbtree.h	2009-07-01 17:41:41 +0000
+++ src/include/access/nbtree.h	2012-02-25 11:17:15 +0000
@@ -537,7 +537,7 @@
 extern void _bt_pageinit(Page page, Size size);
 extern bool _bt_page_recyclable(Page page);
 extern void _bt_delitems(Relation rel, Buffer buf,
-			 OffsetNumber *itemnos, int nitems);
+			 OffsetNumber *itemnos, int nitems, bool inVacuum);
 extern int _bt_pagedel(Relation rel, Buffer buf,
 			BTStack stack, bool vacuum_full);
 

=== modified file 'src/include/libpq/libpq-be.h'
--- src/include/libpq/libpq-be.h	2009-07-01 17:41:41 +0000
+++ src/include/libpq/libpq-be.h	2012-02-25 11:17:15 +0000
@@ -166,8 +166,7 @@
 #ifdef USE_SSL
 	SSL		   *ssl;
 	X509	   *peer;
-	char		peer_dn[128 + 1];
-	char		peer_cn[SM_USER + 1];
+	char	   *peer_cn;
 	unsigned long count;
 #endif
 } Port;

=== modified file 'src/include/pg_config.h.in'
--- src/include/pg_config.h.in	2010-03-13 16:44:46 +0000
+++ src/include/pg_config.h.in	2012-02-25 11:17:15 +0000
@@ -164,6 +164,9 @@
 /* Define to 1 if your compiler understands __FUNCTION__. */
 #undef HAVE_FUNCNAME__FUNCTION
 
+/* Define to 1 if you have __sync_lock_test_and_set(int *) and friends. */
+#undef HAVE_GCC_INT_ATOMICS
+
 /* Define to 1 if you have the `getaddrinfo' function. */
 #undef HAVE_GETADDRINFO
 

=== modified file 'src/include/pg_config.h.win32'
--- src/include/pg_config.h.win32	2011-12-02 14:46:33 +0000
+++ src/include/pg_config.h.win32	2012-02-25 11:17:15 +0000
@@ -563,16 +563,16 @@
 #define PACKAGE_NAME "PostgreSQL"
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "PostgreSQL 8.4.10"
+#define PACKAGE_STRING "PostgreSQL 8.4.11"
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "8.4.10"
+#define PACKAGE_VERSION "8.4.11"
 
 /* PostgreSQL version as a string */
-#define PG_VERSION "8.4.10"
+#define PG_VERSION "8.4.11"
 
 /* PostgreSQL version as a number */
-#define PG_VERSION_NUM 80410
+#define PG_VERSION_NUM 80411
 
 /* Define to the one symbol short name of this package. */
 #define PACKAGE_TARNAME "postgresql"

=== modified file 'src/include/storage/s_lock.h'
--- src/include/storage/s_lock.h	2009-05-19 14:03:37 +0000
+++ src/include/storage/s_lock.h	2012-02-25 11:17:15 +0000
@@ -252,13 +252,33 @@
 #endif	 /* __ia64__ || __ia64 */
 
 
+/*
+ * On ARM, we use __sync_lock_test_and_set(int *, int) if available, and if
+ * not fall back on the SWPB instruction.  SWPB does not work on ARMv6 or
+ * later, so the compiler builtin is preferred if available.  Note also that
+ * the int-width variant of the builtin works on more chips than other widths.
+ */
 #if defined(__arm__) || defined(__arm)
 #define HAS_TEST_AND_SET
 
+#define TAS(lock) tas(lock)
+
+#ifdef HAVE_GCC_INT_ATOMICS
+
+typedef int slock_t;
+
+static __inline__ int
+tas(volatile slock_t *lock)
+{
+	return __sync_lock_test_and_set(lock, 1);
+}
+
+#define S_UNLOCK(lock) __sync_lock_release(lock)
+
+#else /* !HAVE_GCC_INT_ATOMICS */
+
 typedef unsigned char slock_t;
 
-#define TAS(lock) tas(lock)
-
 static __inline__ int
 tas(volatile slock_t *lock)
 {
@@ -272,6 +292,7 @@
 	return (int) _res;
 }
 
+#endif	 /* HAVE_GCC_INT_ATOMICS */
 #endif	 /* __arm__ */
 
 

=== modified file 'src/include/utils/inet.h'
--- src/include/utils/inet.h	2011-12-02 14:46:33 +0000
+++ src/include/utils/inet.h	2012-02-25 11:17:15 +0000
@@ -74,7 +74,7 @@
 #define DatumGetInetPP(X)	((inet *) PG_DETOAST_DATUM_PACKED(X))
 #define InetPGetDatum(X)	PointerGetDatum(X)
 #define PG_GETARG_INET_P(n) DatumGetInetP(PG_GETARG_DATUM(n))
-#define PG_GETARG_INET_PP(n) DatumGetInetP(PG_GETARG_DATUM_PACKED(n))
+#define PG_GETARG_INET_PP(n) DatumGetInetPP(PG_GETARG_DATUM(n))
 #define PG_RETURN_INET_P(x) return InetPGetDatum(x)
 /* macaddr is a fixed-length pass-by-reference datatype */
 #define DatumGetMacaddrP(X)    ((macaddr *) DatumGetPointer(X))

=== modified file 'src/interfaces/ecpg/ecpglib/po/es.po'
--- src/interfaces/ecpg/ecpglib/po/es.po	2011-09-25 14:23:57 +0000
+++ src/interfaces/ecpg/ecpglib/po/es.po	2012-02-25 11:17:15 +0000
@@ -11,7 +11,7 @@
 msgstr ""
 "Project-Id-Version: PostgreSQL 8.4\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:47+0000\n"
+"POT-Creation-Date: 2012-02-22 14:59+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Emanuel Calvo Franco <postgres-arg@gmail.com>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/interfaces/ecpg/preproc/ecpg.addons'
--- src/interfaces/ecpg/preproc/ecpg.addons	2009-12-14 19:02:38 +0000
+++ src/interfaces/ecpg/preproc/ecpg.addons	2012-02-25 11:17:15 +0000
@@ -20,9 +20,6 @@
 	}
 ECPG: stmtDeallocateStmt block
 	{
-		if (connection)
-			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DEALLOCATE statement");
-
 		output_deallocate_prepare_statement($1);
 	}
 ECPG: stmtDeclareCursorStmt block
@@ -72,8 +69,6 @@
 	}
 	| ECPGDeallocateDescr
 	{
-		if (connection)
-			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DEALLOCATE statement");
 		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",$1);
 		whenever_action(0);
 		free($1);

=== modified file 'src/interfaces/ecpg/preproc/po/es.po'
--- src/interfaces/ecpg/preproc/po/es.po	2011-09-25 14:23:57 +0000
+++ src/interfaces/ecpg/preproc/po/es.po	2012-02-25 11:17:15 +0000
@@ -13,7 +13,7 @@
 msgstr ""
 "Project-Id-Version: PostgreSQL 8.4\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:47+0000\n"
+"POT-Creation-Date: 2012-02-22 15:00+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"
@@ -334,12 +334,12 @@
 msgid "initializer not allowed in type definition"
 msgstr "inicializador no permitido en definición de tipo"
 
-#: preproc.y:349 preproc.y:11533
+#: preproc.y:349 preproc.y:11528
 #, c-format
 msgid "type \"%s\" is already defined"
 msgstr "el tipo «%s» ya está definido"
 
-#: preproc.y:372 preproc.y:12132 preproc.y:12442 variable.c:584
+#: preproc.y:372 preproc.y:12127 preproc.y:12437 variable.c:584
 msgid "multidimensional arrays for simple data types are not supported"
 msgstr ""
 "los arrays multidimensionales para tipos de datos simples no están soportados"
@@ -348,92 +348,88 @@
 msgid "AT option not allowed in CLOSE DATABASE statement"
 msgstr "la opción AT no está permitida en la sentencia CLOSE DATABASE"
 
-#: preproc.y:1304 preproc.y:1444
-msgid "AT option not allowed in DEALLOCATE statement"
-msgstr "la opción AT no está permitida en la sentencia DEALLOCATE"
-
-#: preproc.y:1430
+#: preproc.y:1427
 msgid "AT option not allowed in CONNECT statement"
 msgstr "la opción AT no está permitida en la sentencia CONNECT"
 
-#: preproc.y:1466
+#: preproc.y:1461
 msgid "AT option not allowed in DISCONNECT statement"
 msgstr "la opción AT no está permitida en la sentencia DISCONNECT"
 
-#: preproc.y:1518
+#: preproc.y:1513
 msgid "AT option not allowed in SET CONNECTION statement"
 msgstr "la opción AT no está permitida en la sentencia SET CONNECTION"
 
-#: preproc.y:1540
+#: preproc.y:1535
 msgid "AT option not allowed in TYPE statement"
 msgstr "la opción AT no está permitida en la sentencia TYPE"
 
-#: preproc.y:1549
+#: preproc.y:1544
 msgid "AT option not allowed in VAR statement"
 msgstr "la opción AT no está permitida en la sentencia VAR"
 
-#: preproc.y:1556
+#: preproc.y:1551
 msgid "AT option not allowed in WHENEVER statement"
 msgstr "la opción AT no está permitida en la sentencia WHENEVER"
 
-#: preproc.y:1912 preproc.y:2908 preproc.y:3802 preproc.y:3811 preproc.y:4042
-#: preproc.y:5851 preproc.y:5856 preproc.y:5861 preproc.y:8035 preproc.y:8565
-#: preproc.y:8570
+#: preproc.y:1907 preproc.y:2903 preproc.y:3797 preproc.y:3806 preproc.y:4037
+#: preproc.y:5846 preproc.y:5851 preproc.y:5856 preproc.y:8030 preproc.y:8560
+#: preproc.y:8565
 msgid "unsupported feature will be passed to server"
 msgstr "característica no soportada será pasada al servidor"
 
-#: preproc.y:2142
+#: preproc.y:2137
 msgid "SHOW ALL is not implemented"
 msgstr "SHOW ALL no está implementado"
 
-#: preproc.y:2477 preproc.y:2488
+#: preproc.y:2472 preproc.y:2483
 msgid "COPY TO STDIN is not possible"
 msgstr "COPY TO STDIN no es posible"
 
-#: preproc.y:2479
+#: preproc.y:2474
 msgid "COPY FROM STDOUT is not possible"
 msgstr "COPY FROM STDOUT no es posible"
 
-#: preproc.y:2481
+#: preproc.y:2476
 msgid "COPY FROM STDIN is not implemented"
 msgstr "COPY FROM STDIN no está implementado"
 
-#: preproc.y:3742 preproc.y:3753
+#: preproc.y:3737 preproc.y:3748
 msgid "constraint declared INITIALLY DEFERRED must be DEFERRABLE"
 msgstr "una restricción declarada INITIALLY DEFERRED debe ser DEFERRABLE"
 
-#: preproc.y:6561 preproc.y:11149
+#: preproc.y:6556 preproc.y:11144
 #, c-format
 msgid "cursor \"%s\" is already defined"
 msgstr "el cursor «%s» ya está definido"
 
-#: preproc.y:6922
+#: preproc.y:6917
 msgid "no longer supported LIMIT #,# syntax passed to server"
 msgstr ""
 "la sintaxis LIMIT #,# que ya no está soportada ha sido pasada al servidor"
 
-#: preproc.y:7164
+#: preproc.y:7159
 msgid "subquery in FROM must have an alias"
 msgstr "las subconsultas en FROM deben tener un alias"
 
-#: preproc.y:10838
+#: preproc.y:10833
 msgid "OLD used in query that is not in a rule"
 msgstr "se usó OLD en una consulta que no es una regla"
 
-#: preproc.y:10845
+#: preproc.y:10840
 msgid "NEW used in query that is not in a rule"
 msgstr "se usó NEW en una consulta que no es una regla"
 
-#: preproc.y:10877
+#: preproc.y:10872
 msgid "CREATE TABLE AS cannot specify INTO"
 msgstr "CREATE TABLE AS no puede especificar INTO"
 
-#: preproc.y:10924
+#: preproc.y:10919
 #, c-format
 msgid "expected \"@\", found \"%s\""
 msgstr "se esperaba «@», se encontró «%s»"
 
-#: preproc.y:10936
+#: preproc.y:10931
 msgid ""
 "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are "
 "supported"
@@ -441,76 +437,76 @@
 "sólo los protocolos «tcp» y «unix» y tipo de bases de datos «postgresql» "
 "están soportados"
 
-#: preproc.y:10939
+#: preproc.y:10934
 #, c-format
 msgid "expected \"://\", found \"%s\""
 msgstr "se esperaba «://», se encontró «%s»"
 
-#: preproc.y:10944
+#: preproc.y:10939
 #, c-format
 msgid "Unix-domain sockets only work on \"localhost\" but not on \"%s\""
 msgstr ""
 "los sockets de dominio unix sólo trabajan en «localhost» pero no en «%s»"
 
-#: preproc.y:10970
+#: preproc.y:10965
 #, c-format
 msgid "expected \"postgresql\", found \"%s\""
 msgstr "se esperaba «postgresql», se encontró «%s»"
 
-#: preproc.y:10973
+#: preproc.y:10968
 #, c-format
 msgid "invalid connection type: %s"
 msgstr "tipo de conexión no válido: %s"
 
-#: preproc.y:10982
+#: preproc.y:10977
 #, c-format
 msgid "expected \"@\" or \"://\", found \"%s\""
 msgstr "se esperaba «@» o «://», se encontró «%s»"
 
-#: preproc.y:11057 preproc.y:11074
+#: preproc.y:11052 preproc.y:11069
 msgid "invalid data type"
 msgstr "tipo de dato no válido"
 
-#: preproc.y:11085 preproc.y:11100
+#: preproc.y:11080 preproc.y:11095
 msgid "incomplete statement"
 msgstr "sentencia incompleta"
 
-#: preproc.y:11088 preproc.y:11103
+#: preproc.y:11083 preproc.y:11098
 #, c-format
 msgid "unrecognized token \"%s\""
 msgstr "elemento «%s» no reconocido"
 
-#: preproc.y:11352
+#: preproc.y:11347
 msgid "only data types numeric and decimal have precision/scale argument"
 msgstr ""
 "sólo los tipos de dato numeric y decimal tienen argumento de precisión/escala"
 
-#: preproc.y:11364
+#: preproc.y:11359
 msgid "interval specification not allowed here"
 msgstr "la especificación de intervalo no está permitida aquí"
 
-#: preproc.y:11508 preproc.y:11560
+#: preproc.y:11503 preproc.y:11555
 msgid "too many levels in nested structure/union definition"
 msgstr "demasiados niveles en la definición anidada de estructura/unión"
 
-#: preproc.y:11691
+#: preproc.y:11686
 msgid "pointers to varchar are not implemented"
 msgstr "los punteros a varchar no están implementados"
 
-#: preproc.y:11855 preproc.y:11862 preproc.y:11869
+#: preproc.y:11850 preproc.y:11857 preproc.y:11864
 msgid "using unsupported DESCRIBE statement"
 msgstr "utilizando sentencia DESCRIBE no soportada"
 
-#: preproc.y:12100
+#: preproc.y:12095
 msgid "initializer not allowed in EXEC SQL VAR command"
 msgstr "inicializador no permitido en la orden EXEC SQL VAR"
 
-#: preproc.y:12411
+#: preproc.y:12406
 msgid "arrays of indicators are not allowed on input"
 msgstr "no se permiten los arrays de indicadores en la entrada"
 
 #. translator: %s is typically the translation of "syntax error"
-#: preproc.y:12638
+#: preproc.y:12633
 #, c-format
 msgid "%s at or near \"%s\""
 msgstr "%s en o cerca «%s»"
@@ -606,3 +602,6 @@
 #: variable.c:524
 msgid "multidimensional arrays for structures are not supported"
 msgstr "los arrays multidimensionales para estructuras no están soportados"
+
+#~ msgid "AT option not allowed in DEALLOCATE statement"
+#~ msgstr "la opción AT no está permitida en la sentencia DEALLOCATE"

=== modified file 'src/interfaces/ecpg/preproc/preproc.c'
--- src/interfaces/ecpg/preproc/preproc.c	2011-12-02 14:46:33 +0000
+++ src/interfaces/ecpg/preproc/preproc.c	2012-02-25 11:17:15 +0000
@@ -2374,247 +2374,247 @@
     1225,  1227,  1229,  1231,  1249,  1251,  1253,  1255,  1257,  1259,
     1261,  1263,  1265,  1267,  1269,  1271,  1273,  1275,  1277,  1279,
     1281,  1283,  1285,  1287,  1289,  1291,  1293,  1295,  1297,  1299,
-    1301,  1308,  1310,  1312,  1314,  1316,  1318,  1320,  1322,  1324,
-    1326,  1328,  1330,  1332,  1334,  1336,  1338,  1340,  1342,  1344,
-    1346,  1348,  1350,  1352,  1354,  1356,  1358,  1360,  1362,  1364,
-    1366,  1368,  1370,  1372,  1379,  1381,  1383,  1385,  1387,  1389,
-    1391,  1393,  1395,  1397,  1399,  1405,  1407,  1409,  1411,  1413,
-    1415,  1417,  1419,  1421,  1427,  1437,  1441,  1449,  1453,  1463,
-    1473,  1474,  1485,  1492,  1498,  1509,  1515,  1524,  1531,  1537,
-    1546,  1553,  1561,  1566,  1574,  1579,  1585,  1590,  1596,  1600,
-    1604,  1608,  1612,  1616,  1620,  1624,  1628,  1632,  1636,  1640,
-    1644,  1648,  1652,  1656,  1660,  1664,  1668,  1672,  1676,  1680,
-    1684,  1688,  1696,  1704,  1712,  1720,  1728,  1736,  1740,  1748,
-    1752,  1760,  1768,  1776,  1780,  1788,  1792,  1800,  1804,  1812,
-    1817,  1823,  1828,  1834,  1838,  1842,  1846,  1850,  1854,  1862,
-    1866,  1870,  1878,  1882,  1886,  1890,  1894,  1898,  1902,  1906,
-    1910,  1915,  1919,  1923,  1927,  1931,  1935,  1943,  1947,  1955,
-    1959,  1967,  1971,  1975,  1989,  1993,  1997,  2001,  2009,  2013,
-    2017,  2021,  2029,  2033,  2037,  2041,  2045,  2049,  2053,  2061,
-    2065,  2070,  2076,  2080,  2088,  2092,  2096,  2100,  2104,  2112,
-    2116,  2124,  2128,  2132,  2136,  2140,  2149,  2157,  2161,  2169,
-    2173,  2181,  2189,  2193,  2197,  2201,  2209,  2213,  2217,  2221,
-    2229,  2233,  2241,  2245,  2249,  2253,  2257,  2261,  2265,  2269,
-    2273,  2277,  2281,  2285,  2289,  2293,  2297,  2301,  2305,  2309,
-    2313,  2317,  2321,  2325,  2329,  2333,  2337,  2341,  2345,  2349,
-    2353,  2357,  2361,  2365,  2373,  2377,  2385,  2389,  2394,  2400,
-    2405,  2411,  2419,  2424,  2430,  2434,  2442,  2446,  2450,  2454,
-    2462,  2466,  2474,  2485,  2496,  2500,  2508,  2512,  2516,  2524,
-    2529,  2535,  2539,  2543,  2547,  2551,  2555,  2559,  2563,  2567,
-    2571,  2579,  2584,  2590,  2595,  2601,  2606,  2612,  2617,  2623,
-    2627,  2635,  2639,  2643,  2647,  2651,  2655,  2660,  2666,  2671,
-    2677,  2681,  2689,  2693,  2697,  2705,  2713,  2718,  2724,  2728,
-    2732,  2740,  2744,  2748,  2752,  2756,  2760,  2764,  2772,  2776,
-    2780,  2784,  2792,  2800,  2805,  2811,  2815,  2819,  2823,  2827,
-    2831,  2839,  2843,  2851,  2855,  2859,  2863,  2871,  2876,  2882,
-    2886,  2894,  2902,  2906,  2911,  2916,  2922,  2926,  2930,  2934,
-    2939,  2945,  2953,  2961,  2965,  2969,  2973,  2977,  2985,  2990,
-    2996,  3000,  3004,  3009,  3015,  3019,  3023,  3028,  3034,  3039,
-    3045,  3050,  3056,  3064,  3069,  3075,  3079,  3087,  3095,  3099,
-    3104,  3110,  3118,  3126,  3131,  3137,  3141,  3149,  3153,  3157,
-    3161,  3165,  3169,  3173,  3177,  3181,  3185,  3189,  3193,  3201,
-    3206,  3212,  3216,  3220,  3231,  3235,  3243,  3248,  3254,  3258,
-    3266,  3270,  3278,  3283,  3289,  3294,  3300,  3304,  3312,  3317,
-    3323,  3331,  3336,  3342,  3346,  3354,  3362,  3366,  3374,  3378,
-    3382,  3390,  3395,  3401,  3405,  3413,  3421,  3425,  3433,  3437,
-    3441,  3445,  3453,  3461,  3469,  3477,  3485,  3490,  3496,  3500,
-    3508,  3513,  3519,  3523,  3531,  3535,  3539,  3547,  3555,  3559,
-    3563,  3571,  3575,  3583,  3591,  3595,  3603,  3607,  3615,  3619,
-    3627,  3631,  3635,  3639,  3647,  3652,  3658,  3663,  3669,  3673,
-    3681,  3685,  3690,  3696,  3700,  3704,  3708,  3712,  3716,  3724,
-    3729,  3735,  3739,  3746,  3750,  3758,  3764,  3768,  3776,  3780,
-    3788,  3792,  3800,  3809,  3818,  3822,  3826,  3830,  3834,  3838,
-    3842,  3846,  3850,  3854,  3858,  3866,  3874,  3878,  3886,  3890,
-    3898,  3902,  3906,  3910,  3914,  3922,  3926,  3934,  3942,  3946,
-    3954,  3962,  3966,  3974,  3982,  3986,  3994,  3998,  4002,  4006,
-    4010,  4018,  4023,  4029,  4034,  4040,  4046,  4052,  4060,  4064,
-    4072,  4076,  4084,  4088,  4096,  4100,  4108,  4112,  4120,  4128,
-    4136,  4140,  4148,  4152,  4156,  4160,  4164,  4168,  4172,  4176,
-    4180,  4184,  4188,  4192,  4200,  4204,  4212,  4216,  4224,  4228,
-    4236,  4244,  4248,  4253,  4259,  4263,  4267,  4271,  4275,  4279,
-    4283,  4287,  4291,  4295,  4299,  4303,  4307,  4311,  4315,  4319,
-    4323,  4331,  4335,  4339,  4343,  4347,  4351,  4355,  4359,  4363,
-    4367,  4371,  4375,  4383,  4387,  4395,  4400,  4405,  4409,  4413,
-    4418,  4423,  4428,  4433,  4438,  4447,  4451,  4455,  4459,  4463,
-    4473,  4483,  4493,  4497,  4501,  4511,  4515,  4519,  4529,  4537,
-    4541,  4549,  4557,  4561,  4569,  4573,  4577,  4581,  4585,  4593,
-    4597,  4605,  4609,  4613,  4617,  4625,  4629,  4633,  4637,  4641,
-    4645,  4649,  4653,  4657,  4661,  4669,  4673,  4681,  4685,  4693,
-    4698,  4704,  4708,  4716,  4724,  4732,  4736,  4744,  4749,  4755,
-    4760,  4766,  4770,  4778,  4783,  4789,  4794,  4800,  4804,  4812,
-    4816,  4820,  4828,  4832,  4837,  4843,  4847,  4852,  4858,  4862,
-    4867,  4873,  4877,  4881,  4889,  4894,  4900,  4904,  4912,  4916,
-    4924,  4928,  4936,  4940,  4948,  4952,  4956,  4960,  4964,  4972,
-    4976,  4980,  4984,  4988,  4996,  5004,  5012,  5016,  5020,  5028,
-    5032,  5036,  5044,  5048,  5056,  5060,  5064,  5068,  5072,  5076,
-    5080,  5084,  5088,  5092,  5096,  5100,  5104,  5112,  5116,  5120,
-    5124,  5132,  5136,  5144,  5149,  5155,  5163,  5167,  5175,  5183,
-    5187,  5195,  5200,  5206,  5210,  5218,  5222,  5230,  5234,  5242,
-    5246,  5250,  5254,  5262,  5266,  5274,  5278,  5282,  5290,  5294,
-    5299,  5305,  5313,  5318,  5324,  5328,  5332,  5340,  5344,  5352,
-    5357,  5363,  5367,  5371,  5375,  5379,  5383,  5387,  5391,  5395,
-    5399,  5403,  5407,  5411,  5415,  5419,  5423,  5427,  5431,  5435,
-    5439,  5443,  5447,  5451,  5459,  5464,  5470,  5475,  5481,  5485,
-    5489,  5493,  5497,  5501,  5505,  5513,  5517,  5521,  5525,  5529,
-    5533,  5537,  5541,  5545,  5549,  5553,  5557,  5561,  5565,  5569,
-    5573,  5581,  5585,  5589,  5597,  5601,  5609,  5613,  5617,  5621,
-    5625,  5633,  5638,  5644,  5648,  5652,  5656,  5664,  5668,  5673,
-    5679,  5683,  5691,  5699,  5707,  5711,  5719,  5723,  5727,  5731,
-    5735,  5739,  5743,  5747,  5751,  5755,  5759,  5763,  5767,  5771,
-    5779,  5783,  5788,  5794,  5798,  5802,  5810,  5814,  5818,  5826,
-    5831,  5837,  5841,  5849,  5854,  5859,  5865,  5871,  5879,  5887,
-    5892,  5898,  5902,  5906,  5910,  5914,  5918,  5922,  5926,  5930,
-    5934,  5938,  5942,  5946,  5950,  5954,  5958,  5966,  5971,  5977,
-    5981,  5989,  5997,  6002,  6008,  6016,  6020,  6028,  6036,  6040,
-    6044,  6048,  6052,  6060,  6065,  6071,  6079,  6083,  6087,  6091,
-    6095,  6099,  6107,  6115,  6119,  6123,  6131,  6136,  6142,  6146,
-    6150,  6158,  6162,  6170,  6174,  6182,  6187,  6193,  6198,  6204,
-    6209,  6215,  6220,  6226,  6234,  6238,  6242,  6246,  6250,  6254,
-    6258,  6266,  6271,  6277,  6283,  6293,  6298,  6304,  6308,  6312,
-    6316,  6324,  6326,  6334,  6339,  6345,  6353,  6357,  6361,  6369,
-    6373,  6381,  6389,  6394,  6400,  6408,  6413,  6419,  6427,  6432,
-    6438,  6442,  6446,  6450,  6454,  6458,  6462,  6466,  6474,  6479,
-    6485,  6493,  6497,  6505,  6509,  6517,  6525,  6533,  6541,  6545,
-    6553,  6594,  6596,  6600,  6604,  6608,  6617,  6623,  6627,  6635,
-    6639,  6647,  6651,  6659,  6663,  6667,  6671,  6675,  6679,  6683,
-    6687,  6695,  6699,  6707,  6711,  6715,  6719,  6723,  6727,  6735,
-    6739,  6747,  6751,  6759,  6767,  6772,  6774,  6780,  6784,  6788,
-    6792,  6796,  6800,  6804,  6808,  6816,  6821,  6827,  6831,  6836,
-    6842,  6846,  6850,  6855,  6861,  6866,  6872,  6880,  6884,  6892,
-    6896,  6904,  6908,  6912,  6916,  6920,  6925,  6929,  6933,  6941,
-    6946,  6952,  6956,  6964,  6968,  6973,  6979,  6987,  6995,  6999,
-    7007,  7011,  7019,  7024,  7030,  7035,  7041,  7045,  7053,  7058,
-    7064,  7068,  7076,  7080,  7088,  7093,  7099,  7103,  7111,  7116,
-    7122,  7126,  7134,  7138,  7142,  7146,  7150,  7154,  7158,  7162,
-    7168,  7172,  7176,  7184,  7188,  7192,  7196,  7200,  7204,  7212,
-    7216,  7220,  7224,  7232,  7236,  7240,  7244,  7252,  7257,  7263,
-    7267,  7275,  7279,  7283,  7287,  7295,  7299,  7307,  7311,  7315,
-    7323,  7331,  7336,  7342,  7346,  7350,  7355,  7361,  7365,  7373,
-    7381,  7383,  7385,  7389,  7393,  7397,  7405,  7415,  7426,  7435,
-    7439,  7443,  7447,  7451,  7455,  7459,  7467,  7471,  7475,  7479,
-    7487,  7491,  7499,  7504,  7510,  7514,  7518,  7522,  7526,  7530,
-    7534,  7538,  7542,  7546,  7550,  7558,  7563,  7569,  7573,  7581,
-    7585,  7593,  7601,  7609,  7613,  7621,  7625,  7633,  7641,  7649,
-    7653,  7657,  7661,  7665,  7669,  7677,  7682,  7688,  7693,  7699,
-    7703,  7707,  7711,  7719,  7727,  7731,  7736,  7742,  7746,  7750,
-    7754,  7758,  7762,  7766,  7770,  7774,  7778,  7782,  7786,  7790,
-    7795,  7801,  7805,  7813,  7817,  7821,  7825,  7829,  7833,  7837,
-    7841,  7845,  7849,  7853,  7857,  7861,  7865,  7869,  7873,  7877,
-    7881,  7885,  7889,  7893,  7897,  7901,  7905,  7909,  7913,  7917,
-    7921,  7925,  7929,  7933,  7937,  7941,  7945,  7949,  7953,  7957,
-    7961,  7965,  7969,  7973,  7977,  7981,  7985,  7989,  7993,  7997,
-    8001,  8005,  8009,  8013,  8017,  8021,  8025,  8029,  8033,  8038,
-    8042,  8050,  8054,  8058,  8062,  8066,  8070,  8074,  8078,  8082,
-    8086,  8090,  8094,  8098,  8102,  8106,  8110,  8114,  8118,  8122,
-    8126,  8130,  8134,  8142,  8146,  8150,  8154,  8158,  8162,  8166,
-    8170,  8174,  8178,  8182,  8190,  8194,  8198,  8202,  8206,  8210,
-    8214,  8218,  8222,  8226,  8230,  8234,  8238,  8242,  8246,  8250,
-    8254,  8258,  8262,  8266,  8270,  8274,  8278,  8282,  8286,  8290,
-    8294,  8298,  8302,  8306,  8310,  8314,  8318,  8322,  8326,  8330,
-    8334,  8338,  8342,  8346,  8350,  8354,  8358,  8362,  8366,  8370,
-    8374,  8382,  8386,  8394,  8398,  8402,  8407,  8413,  8421,  8425,
-    8433,  8437,  8445,  8449,  8457,  8461,  8466,  8472,  8477,  8483,
-    8487,  8495,  8503,  8507,  8512,  8518,  8526,  8530,  8537,  8542,
-    8548,  8552,  8557,  8563,  8568,  8577,  8581,  8585,  8593,  8597,
-    8601,  8609,  8613,  8617,  8625,  8629,  8637,  8641,  8645,  8649,
-    8653,  8657,  8661,  8665,  8669,  8677,  8681,  8689,  8693,  8701,
-    8705,  8709,  8713,  8717,  8721,  8729,  8733,  8741,  8745,  8753,
-    8757,  8761,  8769,  8773,  8781,  8786,  8792,  8796,  8800,  8804,
-    8808,  8812,  8816,  8820,  8828,  8832,  8840,  8848,  8853,  8859,
-    8863,  8867,  8871,  8875,  8880,  8886,  8894,  8902,  8906,  8910,
-    8918,  8922,  8930,  8938,  8942,  8950,  8958,  8963,  8969,  8974,
-    8980,  8984,  8992,  8996,  9000,  9004,  9012,  9016,  9025,  9027,
-    9035,  9040,  9046,  9050,  9058,  9062,  9070,  9078,  9082,  9090,
-    9094,  9098,  9102,  9110,  9114,  9122,  9126,  9134,  9138,  9146,
-    9150,  9158,  9166,  9174,  9182,  9190,  9198,  9206,  9210,  9218,
-    9222,  9226,  9230,  9234,  9238,  9242,  9246,  9250,  9254,  9258,
-    9262,  9266,  9270,  9271,  9276,  9282,  9290,  9294,  9295,  9299,
-    9307,  9311,  9315,  9319,  9323,  9327,  9331,  9335,  9339,  9343,
-    9347,  9351,  9355,  9359,  9363,  9367,  9371,  9375,  9379,  9383,
-    9387,  9391,  9395,  9399,  9403,  9407,  9411,  9415,  9419,  9423,
-    9427,  9431,  9435,  9439,  9443,  9447,  9451,  9455,  9459,  9463,
-    9467,  9471,  9475,  9479,  9483,  9487,  9491,  9495,  9499,  9503,
-    9507,  9511,  9515,  9519,  9523,  9527,  9531,  9535,  9539,  9543,
-    9547,  9551,  9555,  9559,  9563,  9567,  9571,  9575,  9579,  9583,
-    9587,  9591,  9595,  9599,  9603,  9607,  9611,  9615,  9619,  9623,
-    9627,  9631,  9635,  9639,  9643,  9647,  9651,  9655,  9659,  9663,
-    9667,  9671,  9675,  9679,  9683,  9687,  9691,  9695,  9699,  9703,
-    9707,  9711,  9715,  9719,  9723,  9727,  9731,  9735,  9739,  9743,
-    9747,  9751,  9755,  9759,  9763,  9767,  9771,  9775,  9779,  9783,
-    9787,  9791,  9795,  9799,  9803,  9807,  9811,  9815,  9819,  9823,
-    9827,  9831,  9835,  9839,  9843,  9847,  9851,  9855,  9859,  9863,
-    9867,  9871,  9875,  9879,  9883,  9887,  9891,  9895,  9899,  9903,
-    9907,  9911,  9915,  9919,  9923,  9927,  9931,  9935,  9939,  9943,
-    9947,  9951,  9955,  9959,  9963,  9967,  9971,  9975,  9979,  9983,
-    9987,  9991,  9995,  9999, 10003, 10007, 10011, 10015, 10019, 10023,
-   10027, 10031, 10035, 10039, 10043, 10047, 10051, 10055, 10059, 10063,
-   10067, 10071, 10075, 10079, 10083, 10087, 10091, 10095, 10099, 10103,
-   10107, 10111, 10115, 10119, 10123, 10127, 10131, 10135, 10139, 10143,
-   10147, 10151, 10155, 10159, 10163, 10167, 10171, 10175, 10179, 10183,
-   10187, 10191, 10195, 10199, 10203, 10207, 10211, 10215, 10219, 10223,
-   10227, 10231, 10235, 10239, 10243, 10247, 10251, 10259, 10263, 10267,
-   10271, 10275, 10279, 10283, 10287, 10291, 10295, 10299, 10303, 10307,
-   10311, 10315, 10319, 10323, 10327, 10331, 10335, 10339, 10343, 10347,
-   10351, 10355, 10359, 10363, 10367, 10371, 10375, 10379, 10383, 10387,
-   10391, 10395, 10399, 10403, 10407, 10411, 10415, 10419, 10423, 10431,
-   10435, 10439, 10443, 10447, 10451, 10455, 10459, 10463, 10467, 10471,
-   10475, 10479, 10483, 10487, 10491, 10495, 10499, 10503, 10507, 10511,
-   10515, 10523, 10527, 10531, 10535, 10539, 10543, 10547, 10551, 10555,
-   10559, 10563, 10567, 10571, 10575, 10579, 10583, 10587, 10591, 10595,
-   10599, 10603, 10607, 10611, 10615, 10619, 10623, 10627, 10631, 10635,
-   10639, 10643, 10647, 10651, 10655, 10659, 10663, 10667, 10671, 10675,
-   10679, 10683, 10687, 10691, 10695, 10699, 10703, 10707, 10711, 10715,
-   10719, 10723, 10727, 10731, 10735, 10739, 10743, 10747, 10751, 10755,
-   10759, 10763, 10767, 10771, 10775, 10779, 10783, 10787, 10791, 10795,
-   10799, 10803, 10807, 10811, 10815, 10819, 10823, 10827, 10835, 10842,
-   10855, 10856, 10859, 10860, 10861, 10867, 10868, 10869, 10870, 10871,
-   10874, 10874, 10884, 10883, 10893, 10909, 10911, 10914, 10916, 10920,
-   10932, 10948, 10952, 10963, 10964, 10967, 10979, 10988, 10989, 10992,
-   10993, 10994, 10997, 10998, 11001, 11002, 11005, 11006, 11009, 11011,
-   11013, 11015, 11019, 11026, 11033, 11049, 11082, 11092, 11095, 11097,
-   11110, 11111, 11113, 11115, 11119, 11132, 11139, 11176, 11185, 11187,
-   11188, 11191, 11193, 11194, 11197, 11198, 11199, 11200, 11201, 11208,
-   11207, 11217, 11219, 11221, 11222, 11223, 11226, 11227, 11228, 11229,
-   11230, 11233, 11234, 11238, 11237, 11254, 11252, 11267, 11266, 11279,
-   11285, 11286, 11289, 11291, 11292, 11295, 11296, 11297, 11298, 11301,
-   11302, 11305, 11313, 11330, 11338, 11361, 11459, 11493, 11495, 11497,
-   11501, 11505, 11504, 11555, 11557, 11556, 11571, 11577, 11584, 11589,
-   11592, 11593, 11596, 11597, 11598, 11599, 11600, 11601, 11602, 11610,
-   11618, 11621, 11622, 11623, 11624, 11625, 11626, 11634, 11642, 11643,
-   11644, 11647, 11648, 11651, 11653, 11657, 11743, 11744, 11751, 11752,
-   11753, 11759, 11768, 11771, 11772, 11773, 11774, 11777, 11778, 11779,
-   11782, 11784, 11792, 11793, 11799, 11801, 11802, 11805, 11806, 11809,
-   11816, 11823, 11823, 11825, 11825, 11827, 11834, 11835, 11838, 11839,
-   11840, 11841, 11842, 11843, 11844, 11845, 11846, 11852, 11859, 11866,
-   11875, 11876, 11888, 11899, 11910, 11914, 11915, 11918, 11923, 11927,
-   11928, 11931, 11937, 11945, 11948, 11955, 11959, 11960, 11963, 11966,
-   11970, 11971, 11974, 11980, 11988, 11989, 11998, 12007, 12019, 12020,
-   12021, 12022, 12023, 12024, 12025, 12026, 12027, 12028, 12029, 12030,
-   12031, 12032, 12033, 12040, 12041, 12044, 12045, 12052, 12053, 12054,
-   12061, 12060, 12077, 12078, 12085, 12084, 12153, 12159, 12165, 12173,
-   12179, 12185, 12191, 12197, 12203, 12209, 12215, 12221, 12232, 12233,
-   12236, 12237, 12238, 12239, 12240, 12241, 12242, 12243, 12244, 12245,
-   12246, 12247, 12248, 12249, 12250, 12251, 12252, 12253, 12254, 12255,
-   12256, 12257, 12258, 12259, 12262, 12263, 12264, 12265, 12266, 12267,
-   12271, 12272, 12273, 12274, 12275, 12276, 12277, 12280, 12283, 12284,
-   12285, 12286, 12287, 12288, 12289, 12290, 12303, 12304, 12305, 12306,
-   12307, 12308, 12309, 12314, 12315, 12316, 12317, 12318, 12319, 12325,
-   12326, 12327, 12328, 12329, 12330, 12331, 12332, 12333, 12334, 12335,
-   12338, 12339, 12340, 12341, 12342, 12345, 12346, 12347, 12348, 12351,
-   12352, 12353, 12354, 12355, 12356, 12357, 12374, 12375, 12376, 12379,
-   12380, 12381, 12382, 12383, 12384, 12388, 12388, 12391, 12397, 12398,
-   12401, 12403, 12408, 12418, 12425, 12426, 12427, 12430, 12463, 12465,
-   12467, 12470, 12480, 12490, 12500, 12501, 12504, 12506, 12507, 12508,
-   12511, 12513, 12521, 12522, 12523, 12527, 12528, 12532, 12533, 12536,
-   12537, 12540, 12541, 12542, 12543, 12544, 12547, 12548, 12549, 12550,
-   12551, 12552, 12553, 12554, 12555, 12556, 12557, 12558, 12559, 12560,
-   12561, 12562, 12563, 12564, 12565, 12566, 12567, 12568, 12569, 12570,
-   12571, 12572, 12573, 12574, 12575, 12576, 12577, 12578, 12579, 12580,
-   12581, 12582, 12583, 12584, 12585, 12586, 12587, 12588, 12589, 12590,
-   12591, 12592, 12593, 12594, 12595, 12596, 12597, 12598, 12599, 12600,
-   12601, 12602, 12605, 12606, 12607, 12608, 12611, 12612, 12613, 12614,
-   12615, 12616, 12617, 12618, 12619, 12622, 12623, 12624, 12625, 12626,
-   12629, 12630
+    1301,  1305,  1307,  1309,  1311,  1313,  1315,  1317,  1319,  1321,
+    1323,  1325,  1327,  1329,  1331,  1333,  1335,  1337,  1339,  1341,
+    1343,  1345,  1347,  1349,  1351,  1353,  1355,  1357,  1359,  1361,
+    1363,  1365,  1367,  1369,  1376,  1378,  1380,  1382,  1384,  1386,
+    1388,  1390,  1392,  1394,  1396,  1402,  1404,  1406,  1408,  1410,
+    1412,  1414,  1416,  1418,  1424,  1434,  1438,  1444,  1448,  1458,
+    1468,  1469,  1480,  1487,  1493,  1504,  1510,  1519,  1526,  1532,
+    1541,  1548,  1556,  1561,  1569,  1574,  1580,  1585,  1591,  1595,
+    1599,  1603,  1607,  1611,  1615,  1619,  1623,  1627,  1631,  1635,
+    1639,  1643,  1647,  1651,  1655,  1659,  1663,  1667,  1671,  1675,
+    1679,  1683,  1691,  1699,  1707,  1715,  1723,  1731,  1735,  1743,
+    1747,  1755,  1763,  1771,  1775,  1783,  1787,  1795,  1799,  1807,
+    1812,  1818,  1823,  1829,  1833,  1837,  1841,  1845,  1849,  1857,
+    1861,  1865,  1873,  1877,  1881,  1885,  1889,  1893,  1897,  1901,
+    1905,  1910,  1914,  1918,  1922,  1926,  1930,  1938,  1942,  1950,
+    1954,  1962,  1966,  1970,  1984,  1988,  1992,  1996,  2004,  2008,
+    2012,  2016,  2024,  2028,  2032,  2036,  2040,  2044,  2048,  2056,
+    2060,  2065,  2071,  2075,  2083,  2087,  2091,  2095,  2099,  2107,
+    2111,  2119,  2123,  2127,  2131,  2135,  2144,  2152,  2156,  2164,
+    2168,  2176,  2184,  2188,  2192,  2196,  2204,  2208,  2212,  2216,
+    2224,  2228,  2236,  2240,  2244,  2248,  2252,  2256,  2260,  2264,
+    2268,  2272,  2276,  2280,  2284,  2288,  2292,  2296,  2300,  2304,
+    2308,  2312,  2316,  2320,  2324,  2328,  2332,  2336,  2340,  2344,
+    2348,  2352,  2356,  2360,  2368,  2372,  2380,  2384,  2389,  2395,
+    2400,  2406,  2414,  2419,  2425,  2429,  2437,  2441,  2445,  2449,
+    2457,  2461,  2469,  2480,  2491,  2495,  2503,  2507,  2511,  2519,
+    2524,  2530,  2534,  2538,  2542,  2546,  2550,  2554,  2558,  2562,
+    2566,  2574,  2579,  2585,  2590,  2596,  2601,  2607,  2612,  2618,
+    2622,  2630,  2634,  2638,  2642,  2646,  2650,  2655,  2661,  2666,
+    2672,  2676,  2684,  2688,  2692,  2700,  2708,  2713,  2719,  2723,
+    2727,  2735,  2739,  2743,  2747,  2751,  2755,  2759,  2767,  2771,
+    2775,  2779,  2787,  2795,  2800,  2806,  2810,  2814,  2818,  2822,
+    2826,  2834,  2838,  2846,  2850,  2854,  2858,  2866,  2871,  2877,
+    2881,  2889,  2897,  2901,  2906,  2911,  2917,  2921,  2925,  2929,
+    2934,  2940,  2948,  2956,  2960,  2964,  2968,  2972,  2980,  2985,
+    2991,  2995,  2999,  3004,  3010,  3014,  3018,  3023,  3029,  3034,
+    3040,  3045,  3051,  3059,  3064,  3070,  3074,  3082,  3090,  3094,
+    3099,  3105,  3113,  3121,  3126,  3132,  3136,  3144,  3148,  3152,
+    3156,  3160,  3164,  3168,  3172,  3176,  3180,  3184,  3188,  3196,
+    3201,  3207,  3211,  3215,  3226,  3230,  3238,  3243,  3249,  3253,
+    3261,  3265,  3273,  3278,  3284,  3289,  3295,  3299,  3307,  3312,
+    3318,  3326,  3331,  3337,  3341,  3349,  3357,  3361,  3369,  3373,
+    3377,  3385,  3390,  3396,  3400,  3408,  3416,  3420,  3428,  3432,
+    3436,  3440,  3448,  3456,  3464,  3472,  3480,  3485,  3491,  3495,
+    3503,  3508,  3514,  3518,  3526,  3530,  3534,  3542,  3550,  3554,
+    3558,  3566,  3570,  3578,  3586,  3590,  3598,  3602,  3610,  3614,
+    3622,  3626,  3630,  3634,  3642,  3647,  3653,  3658,  3664,  3668,
+    3676,  3680,  3685,  3691,  3695,  3699,  3703,  3707,  3711,  3719,
+    3724,  3730,  3734,  3741,  3745,  3753,  3759,  3763,  3771,  3775,
+    3783,  3787,  3795,  3804,  3813,  3817,  3821,  3825,  3829,  3833,
+    3837,  3841,  3845,  3849,  3853,  3861,  3869,  3873,  3881,  3885,
+    3893,  3897,  3901,  3905,  3909,  3917,  3921,  3929,  3937,  3941,
+    3949,  3957,  3961,  3969,  3977,  3981,  3989,  3993,  3997,  4001,
+    4005,  4013,  4018,  4024,  4029,  4035,  4041,  4047,  4055,  4059,
+    4067,  4071,  4079,  4083,  4091,  4095,  4103,  4107,  4115,  4123,
+    4131,  4135,  4143,  4147,  4151,  4155,  4159,  4163,  4167,  4171,
+    4175,  4179,  4183,  4187,  4195,  4199,  4207,  4211,  4219,  4223,
+    4231,  4239,  4243,  4248,  4254,  4258,  4262,  4266,  4270,  4274,
+    4278,  4282,  4286,  4290,  4294,  4298,  4302,  4306,  4310,  4314,
+    4318,  4326,  4330,  4334,  4338,  4342,  4346,  4350,  4354,  4358,
+    4362,  4366,  4370,  4378,  4382,  4390,  4395,  4400,  4404,  4408,
+    4413,  4418,  4423,  4428,  4433,  4442,  4446,  4450,  4454,  4458,
+    4468,  4478,  4488,  4492,  4496,  4506,  4510,  4514,  4524,  4532,
+    4536,  4544,  4552,  4556,  4564,  4568,  4572,  4576,  4580,  4588,
+    4592,  4600,  4604,  4608,  4612,  4620,  4624,  4628,  4632,  4636,
+    4640,  4644,  4648,  4652,  4656,  4664,  4668,  4676,  4680,  4688,
+    4693,  4699,  4703,  4711,  4719,  4727,  4731,  4739,  4744,  4750,
+    4755,  4761,  4765,  4773,  4778,  4784,  4789,  4795,  4799,  4807,
+    4811,  4815,  4823,  4827,  4832,  4838,  4842,  4847,  4853,  4857,
+    4862,  4868,  4872,  4876,  4884,  4889,  4895,  4899,  4907,  4911,
+    4919,  4923,  4931,  4935,  4943,  4947,  4951,  4955,  4959,  4967,
+    4971,  4975,  4979,  4983,  4991,  4999,  5007,  5011,  5015,  5023,
+    5027,  5031,  5039,  5043,  5051,  5055,  5059,  5063,  5067,  5071,
+    5075,  5079,  5083,  5087,  5091,  5095,  5099,  5107,  5111,  5115,
+    5119,  5127,  5131,  5139,  5144,  5150,  5158,  5162,  5170,  5178,
+    5182,  5190,  5195,  5201,  5205,  5213,  5217,  5225,  5229,  5237,
+    5241,  5245,  5249,  5257,  5261,  5269,  5273,  5277,  5285,  5289,
+    5294,  5300,  5308,  5313,  5319,  5323,  5327,  5335,  5339,  5347,
+    5352,  5358,  5362,  5366,  5370,  5374,  5378,  5382,  5386,  5390,
+    5394,  5398,  5402,  5406,  5410,  5414,  5418,  5422,  5426,  5430,
+    5434,  5438,  5442,  5446,  5454,  5459,  5465,  5470,  5476,  5480,
+    5484,  5488,  5492,  5496,  5500,  5508,  5512,  5516,  5520,  5524,
+    5528,  5532,  5536,  5540,  5544,  5548,  5552,  5556,  5560,  5564,
+    5568,  5576,  5580,  5584,  5592,  5596,  5604,  5608,  5612,  5616,
+    5620,  5628,  5633,  5639,  5643,  5647,  5651,  5659,  5663,  5668,
+    5674,  5678,  5686,  5694,  5702,  5706,  5714,  5718,  5722,  5726,
+    5730,  5734,  5738,  5742,  5746,  5750,  5754,  5758,  5762,  5766,
+    5774,  5778,  5783,  5789,  5793,  5797,  5805,  5809,  5813,  5821,
+    5826,  5832,  5836,  5844,  5849,  5854,  5860,  5866,  5874,  5882,
+    5887,  5893,  5897,  5901,  5905,  5909,  5913,  5917,  5921,  5925,
+    5929,  5933,  5937,  5941,  5945,  5949,  5953,  5961,  5966,  5972,
+    5976,  5984,  5992,  5997,  6003,  6011,  6015,  6023,  6031,  6035,
+    6039,  6043,  6047,  6055,  6060,  6066,  6074,  6078,  6082,  6086,
+    6090,  6094,  6102,  6110,  6114,  6118,  6126,  6131,  6137,  6141,
+    6145,  6153,  6157,  6165,  6169,  6177,  6182,  6188,  6193,  6199,
+    6204,  6210,  6215,  6221,  6229,  6233,  6237,  6241,  6245,  6249,
+    6253,  6261,  6266,  6272,  6278,  6288,  6293,  6299,  6303,  6307,
+    6311,  6319,  6321,  6329,  6334,  6340,  6348,  6352,  6356,  6364,
+    6368,  6376,  6384,  6389,  6395,  6403,  6408,  6414,  6422,  6427,
+    6433,  6437,  6441,  6445,  6449,  6453,  6457,  6461,  6469,  6474,
+    6480,  6488,  6492,  6500,  6504,  6512,  6520,  6528,  6536,  6540,
+    6548,  6589,  6591,  6595,  6599,  6603,  6612,  6618,  6622,  6630,
+    6634,  6642,  6646,  6654,  6658,  6662,  6666,  6670,  6674,  6678,
+    6682,  6690,  6694,  6702,  6706,  6710,  6714,  6718,  6722,  6730,
+    6734,  6742,  6746,  6754,  6762,  6767,  6769,  6775,  6779,  6783,
+    6787,  6791,  6795,  6799,  6803,  6811,  6816,  6822,  6826,  6831,
+    6837,  6841,  6845,  6850,  6856,  6861,  6867,  6875,  6879,  6887,
+    6891,  6899,  6903,  6907,  6911,  6915,  6920,  6924,  6928,  6936,
+    6941,  6947,  6951,  6959,  6963,  6968,  6974,  6982,  6990,  6994,
+    7002,  7006,  7014,  7019,  7025,  7030,  7036,  7040,  7048,  7053,
+    7059,  7063,  7071,  7075,  7083,  7088,  7094,  7098,  7106,  7111,
+    7117,  7121,  7129,  7133,  7137,  7141,  7145,  7149,  7153,  7157,
+    7163,  7167,  7171,  7179,  7183,  7187,  7191,  7195,  7199,  7207,
+    7211,  7215,  7219,  7227,  7231,  7235,  7239,  7247,  7252,  7258,
+    7262,  7270,  7274,  7278,  7282,  7290,  7294,  7302,  7306,  7310,
+    7318,  7326,  7331,  7337,  7341,  7345,  7350,  7356,  7360,  7368,
+    7376,  7378,  7380,  7384,  7388,  7392,  7400,  7410,  7421,  7430,
+    7434,  7438,  7442,  7446,  7450,  7454,  7462,  7466,  7470,  7474,
+    7482,  7486,  7494,  7499,  7505,  7509,  7513,  7517,  7521,  7525,
+    7529,  7533,  7537,  7541,  7545,  7553,  7558,  7564,  7568,  7576,
+    7580,  7588,  7596,  7604,  7608,  7616,  7620,  7628,  7636,  7644,
+    7648,  7652,  7656,  7660,  7664,  7672,  7677,  7683,  7688,  7694,
+    7698,  7702,  7706,  7714,  7722,  7726,  7731,  7737,  7741,  7745,
+    7749,  7753,  7757,  7761,  7765,  7769,  7773,  7777,  7781,  7785,
+    7790,  7796,  7800,  7808,  7812,  7816,  7820,  7824,  7828,  7832,
+    7836,  7840,  7844,  7848,  7852,  7856,  7860,  7864,  7868,  7872,
+    7876,  7880,  7884,  7888,  7892,  7896,  7900,  7904,  7908,  7912,
+    7916,  7920,  7924,  7928,  7932,  7936,  7940,  7944,  7948,  7952,
+    7956,  7960,  7964,  7968,  7972,  7976,  7980,  7984,  7988,  7992,
+    7996,  8000,  8004,  8008,  8012,  8016,  8020,  8024,  8028,  8033,
+    8037,  8045,  8049,  8053,  8057,  8061,  8065,  8069,  8073,  8077,
+    8081,  8085,  8089,  8093,  8097,  8101,  8105,  8109,  8113,  8117,
+    8121,  8125,  8129,  8137,  8141,  8145,  8149,  8153,  8157,  8161,
+    8165,  8169,  8173,  8177,  8185,  8189,  8193,  8197,  8201,  8205,
+    8209,  8213,  8217,  8221,  8225,  8229,  8233,  8237,  8241,  8245,
+    8249,  8253,  8257,  8261,  8265,  8269,  8273,  8277,  8281,  8285,
+    8289,  8293,  8297,  8301,  8305,  8309,  8313,  8317,  8321,  8325,
+    8329,  8333,  8337,  8341,  8345,  8349,  8353,  8357,  8361,  8365,
+    8369,  8377,  8381,  8389,  8393,  8397,  8402,  8408,  8416,  8420,
+    8428,  8432,  8440,  8444,  8452,  8456,  8461,  8467,  8472,  8478,
+    8482,  8490,  8498,  8502,  8507,  8513,  8521,  8525,  8532,  8537,
+    8543,  8547,  8552,  8558,  8563,  8572,  8576,  8580,  8588,  8592,
+    8596,  8604,  8608,  8612,  8620,  8624,  8632,  8636,  8640,  8644,
+    8648,  8652,  8656,  8660,  8664,  8672,  8676,  8684,  8688,  8696,
+    8700,  8704,  8708,  8712,  8716,  8724,  8728,  8736,  8740,  8748,
+    8752,  8756,  8764,  8768,  8776,  8781,  8787,  8791,  8795,  8799,
+    8803,  8807,  8811,  8815,  8823,  8827,  8835,  8843,  8848,  8854,
+    8858,  8862,  8866,  8870,  8875,  8881,  8889,  8897,  8901,  8905,
+    8913,  8917,  8925,  8933,  8937,  8945,  8953,  8958,  8964,  8969,
+    8975,  8979,  8987,  8991,  8995,  8999,  9007,  9011,  9020,  9022,
+    9030,  9035,  9041,  9045,  9053,  9057,  9065,  9073,  9077,  9085,
+    9089,  9093,  9097,  9105,  9109,  9117,  9121,  9129,  9133,  9141,
+    9145,  9153,  9161,  9169,  9177,  9185,  9193,  9201,  9205,  9213,
+    9217,  9221,  9225,  9229,  9233,  9237,  9241,  9245,  9249,  9253,
+    9257,  9261,  9265,  9266,  9271,  9277,  9285,  9289,  9290,  9294,
+    9302,  9306,  9310,  9314,  9318,  9322,  9326,  9330,  9334,  9338,
+    9342,  9346,  9350,  9354,  9358,  9362,  9366,  9370,  9374,  9378,
+    9382,  9386,  9390,  9394,  9398,  9402,  9406,  9410,  9414,  9418,
+    9422,  9426,  9430,  9434,  9438,  9442,  9446,  9450,  9454,  9458,
+    9462,  9466,  9470,  9474,  9478,  9482,  9486,  9490,  9494,  9498,
+    9502,  9506,  9510,  9514,  9518,  9522,  9526,  9530,  9534,  9538,
+    9542,  9546,  9550,  9554,  9558,  9562,  9566,  9570,  9574,  9578,
+    9582,  9586,  9590,  9594,  9598,  9602,  9606,  9610,  9614,  9618,
+    9622,  9626,  9630,  9634,  9638,  9642,  9646,  9650,  9654,  9658,
+    9662,  9666,  9670,  9674,  9678,  9682,  9686,  9690,  9694,  9698,
+    9702,  9706,  9710,  9714,  9718,  9722,  9726,  9730,  9734,  9738,
+    9742,  9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,
+    9782,  9786,  9790,  9794,  9798,  9802,  9806,  9810,  9814,  9818,
+    9822,  9826,  9830,  9834,  9838,  9842,  9846,  9850,  9854,  9858,
+    9862,  9866,  9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,
+    9902,  9906,  9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,
+    9942,  9946,  9950,  9954,  9958,  9962,  9966,  9970,  9974,  9978,
+    9982,  9986,  9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018,
+   10022, 10026, 10030, 10034, 10038, 10042, 10046, 10050, 10054, 10058,
+   10062, 10066, 10070, 10074, 10078, 10082, 10086, 10090, 10094, 10098,
+   10102, 10106, 10110, 10114, 10118, 10122, 10126, 10130, 10134, 10138,
+   10142, 10146, 10150, 10154, 10158, 10162, 10166, 10170, 10174, 10178,
+   10182, 10186, 10190, 10194, 10198, 10202, 10206, 10210, 10214, 10218,
+   10222, 10226, 10230, 10234, 10238, 10242, 10246, 10254, 10258, 10262,
+   10266, 10270, 10274, 10278, 10282, 10286, 10290, 10294, 10298, 10302,
+   10306, 10310, 10314, 10318, 10322, 10326, 10330, 10334, 10338, 10342,
+   10346, 10350, 10354, 10358, 10362, 10366, 10370, 10374, 10378, 10382,
+   10386, 10390, 10394, 10398, 10402, 10406, 10410, 10414, 10418, 10426,
+   10430, 10434, 10438, 10442, 10446, 10450, 10454, 10458, 10462, 10466,
+   10470, 10474, 10478, 10482, 10486, 10490, 10494, 10498, 10502, 10506,
+   10510, 10518, 10522, 10526, 10530, 10534, 10538, 10542, 10546, 10550,
+   10554, 10558, 10562, 10566, 10570, 10574, 10578, 10582, 10586, 10590,
+   10594, 10598, 10602, 10606, 10610, 10614, 10618, 10622, 10626, 10630,
+   10634, 10638, 10642, 10646, 10650, 10654, 10658, 10662, 10666, 10670,
+   10674, 10678, 10682, 10686, 10690, 10694, 10698, 10702, 10706, 10710,
+   10714, 10718, 10722, 10726, 10730, 10734, 10738, 10742, 10746, 10750,
+   10754, 10758, 10762, 10766, 10770, 10774, 10778, 10782, 10786, 10790,
+   10794, 10798, 10802, 10806, 10810, 10814, 10818, 10822, 10830, 10837,
+   10850, 10851, 10854, 10855, 10856, 10862, 10863, 10864, 10865, 10866,
+   10869, 10869, 10879, 10878, 10888, 10904, 10906, 10909, 10911, 10915,
+   10927, 10943, 10947, 10958, 10959, 10962, 10974, 10983, 10984, 10987,
+   10988, 10989, 10992, 10993, 10996, 10997, 11000, 11001, 11004, 11006,
+   11008, 11010, 11014, 11021, 11028, 11044, 11077, 11087, 11090, 11092,
+   11105, 11106, 11108, 11110, 11114, 11127, 11134, 11171, 11180, 11182,
+   11183, 11186, 11188, 11189, 11192, 11193, 11194, 11195, 11196, 11203,
+   11202, 11212, 11214, 11216, 11217, 11218, 11221, 11222, 11223, 11224,
+   11225, 11228, 11229, 11233, 11232, 11249, 11247, 11262, 11261, 11274,
+   11280, 11281, 11284, 11286, 11287, 11290, 11291, 11292, 11293, 11296,
+   11297, 11300, 11308, 11325, 11333, 11356, 11454, 11488, 11490, 11492,
+   11496, 11500, 11499, 11550, 11552, 11551, 11566, 11572, 11579, 11584,
+   11587, 11588, 11591, 11592, 11593, 11594, 11595, 11596, 11597, 11605,
+   11613, 11616, 11617, 11618, 11619, 11620, 11621, 11629, 11637, 11638,
+   11639, 11642, 11643, 11646, 11648, 11652, 11738, 11739, 11746, 11747,
+   11748, 11754, 11763, 11766, 11767, 11768, 11769, 11772, 11773, 11774,
+   11777, 11779, 11787, 11788, 11794, 11796, 11797, 11800, 11801, 11804,
+   11811, 11818, 11818, 11820, 11820, 11822, 11829, 11830, 11833, 11834,
+   11835, 11836, 11837, 11838, 11839, 11840, 11841, 11847, 11854, 11861,
+   11870, 11871, 11883, 11894, 11905, 11909, 11910, 11913, 11918, 11922,
+   11923, 11926, 11932, 11940, 11943, 11950, 11954, 11955, 11958, 11961,
+   11965, 11966, 11969, 11975, 11983, 11984, 11993, 12002, 12014, 12015,
+   12016, 12017, 12018, 12019, 12020, 12021, 12022, 12023, 12024, 12025,
+   12026, 12027, 12028, 12035, 12036, 12039, 12040, 12047, 12048, 12049,
+   12056, 12055, 12072, 12073, 12080, 12079, 12148, 12154, 12160, 12168,
+   12174, 12180, 12186, 12192, 12198, 12204, 12210, 12216, 12227, 12228,
+   12231, 12232, 12233, 12234, 12235, 12236, 12237, 12238, 12239, 12240,
+   12241, 12242, 12243, 12244, 12245, 12246, 12247, 12248, 12249, 12250,
+   12251, 12252, 12253, 12254, 12257, 12258, 12259, 12260, 12261, 12262,
+   12266, 12267, 12268, 12269, 12270, 12271, 12272, 12275, 12278, 12279,
+   12280, 12281, 12282, 12283, 12284, 12285, 12298, 12299, 12300, 12301,
+   12302, 12303, 12304, 12309, 12310, 12311, 12312, 12313, 12314, 12320,
+   12321, 12322, 12323, 12324, 12325, 12326, 12327, 12328, 12329, 12330,
+   12333, 12334, 12335, 12336, 12337, 12340, 12341, 12342, 12343, 12346,
+   12347, 12348, 12349, 12350, 12351, 12352, 12369, 12370, 12371, 12374,
+   12375, 12376, 12377, 12378, 12379, 12383, 12383, 12386, 12392, 12393,
+   12396, 12398, 12403, 12413, 12420, 12421, 12422, 12425, 12458, 12460,
+   12462, 12465, 12475, 12485, 12495, 12496, 12499, 12501, 12502, 12503,
+   12506, 12508, 12516, 12517, 12518, 12522, 12523, 12527, 12528, 12531,
+   12532, 12535, 12536, 12537, 12538, 12539, 12542, 12543, 12544, 12545,
+   12546, 12547, 12548, 12549, 12550, 12551, 12552, 12553, 12554, 12555,
+   12556, 12557, 12558, 12559, 12560, 12561, 12562, 12563, 12564, 12565,
+   12566, 12567, 12568, 12569, 12570, 12571, 12572, 12573, 12574, 12575,
+   12576, 12577, 12578, 12579, 12580, 12581, 12582, 12583, 12584, 12585,
+   12586, 12587, 12588, 12589, 12590, 12591, 12592, 12593, 12594, 12595,
+   12596, 12597, 12600, 12601, 12602, 12603, 12606, 12607, 12608, 12609,
+   12610, 12611, 12612, 12613, 12614, 12617, 12618, 12619, 12620, 12621,
+   12624, 12625
 };
 #endif
 
@@ -23080,9 +23080,6 @@
 /* Line 1455 of yacc.c  */
 #line 1302 "preproc.y"
     {
-		if (connection)
-			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DEALLOCATE statement");
-
 		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
 	;}
     break;
@@ -23090,231 +23087,231 @@
   case 51:
 
 /* Line 1455 of yacc.c  */
-#line 1309 "preproc.y"
+#line 1306 "preproc.y"
     { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
     break;
 
   case 52:
 
 /* Line 1455 of yacc.c  */
-#line 1311 "preproc.y"
+#line 1308 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 53:
 
 /* Line 1455 of yacc.c  */
-#line 1313 "preproc.y"
+#line 1310 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
     break;
 
   case 54:
 
 /* Line 1455 of yacc.c  */
-#line 1315 "preproc.y"
+#line 1312 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
     break;
 
   case 55:
 
 /* Line 1455 of yacc.c  */
-#line 1317 "preproc.y"
+#line 1314 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 56:
 
 /* Line 1455 of yacc.c  */
-#line 1319 "preproc.y"
+#line 1316 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 57:
 
 /* Line 1455 of yacc.c  */
-#line 1321 "preproc.y"
+#line 1318 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 58:
 
 /* Line 1455 of yacc.c  */
-#line 1323 "preproc.y"
+#line 1320 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 59:
 
 /* Line 1455 of yacc.c  */
-#line 1325 "preproc.y"
+#line 1322 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 60:
 
 /* Line 1455 of yacc.c  */
-#line 1327 "preproc.y"
+#line 1324 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 61:
 
 /* Line 1455 of yacc.c  */
-#line 1329 "preproc.y"
+#line 1326 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 62:
 
 /* Line 1455 of yacc.c  */
-#line 1331 "preproc.y"
+#line 1328 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 63:
 
 /* Line 1455 of yacc.c  */
-#line 1333 "preproc.y"
+#line 1330 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 64:
 
 /* Line 1455 of yacc.c  */
-#line 1335 "preproc.y"
+#line 1332 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 65:
 
 /* Line 1455 of yacc.c  */
-#line 1337 "preproc.y"
+#line 1334 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 66:
 
 /* Line 1455 of yacc.c  */
-#line 1339 "preproc.y"
+#line 1336 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 67:
 
 /* Line 1455 of yacc.c  */
-#line 1341 "preproc.y"
+#line 1338 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 68:
 
 /* Line 1455 of yacc.c  */
-#line 1343 "preproc.y"
+#line 1340 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 69:
 
 /* Line 1455 of yacc.c  */
-#line 1345 "preproc.y"
+#line 1342 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 70:
 
 /* Line 1455 of yacc.c  */
-#line 1347 "preproc.y"
+#line 1344 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 71:
 
 /* Line 1455 of yacc.c  */
-#line 1349 "preproc.y"
+#line 1346 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 72:
 
 /* Line 1455 of yacc.c  */
-#line 1351 "preproc.y"
+#line 1348 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
     break;
 
   case 73:
 
 /* Line 1455 of yacc.c  */
-#line 1353 "preproc.y"
+#line 1350 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 74:
 
 /* Line 1455 of yacc.c  */
-#line 1355 "preproc.y"
+#line 1352 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
     break;
 
   case 75:
 
 /* Line 1455 of yacc.c  */
-#line 1357 "preproc.y"
+#line 1354 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 76:
 
 /* Line 1455 of yacc.c  */
-#line 1359 "preproc.y"
+#line 1356 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 77:
 
 /* Line 1455 of yacc.c  */
-#line 1361 "preproc.y"
+#line 1358 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 78:
 
 /* Line 1455 of yacc.c  */
-#line 1363 "preproc.y"
+#line 1360 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
     break;
 
   case 79:
 
 /* Line 1455 of yacc.c  */
-#line 1365 "preproc.y"
+#line 1362 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 80:
 
 /* Line 1455 of yacc.c  */
-#line 1367 "preproc.y"
+#line 1364 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 81:
 
 /* Line 1455 of yacc.c  */
-#line 1369 "preproc.y"
+#line 1366 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 82:
 
 /* Line 1455 of yacc.c  */
-#line 1371 "preproc.y"
+#line 1368 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 83:
 
 /* Line 1455 of yacc.c  */
-#line 1373 "preproc.y"
+#line 1370 "preproc.y"
     {
 		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
 			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
@@ -23326,77 +23323,77 @@
   case 84:
 
 /* Line 1455 of yacc.c  */
-#line 1380 "preproc.y"
+#line 1377 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 85:
 
 /* Line 1455 of yacc.c  */
-#line 1382 "preproc.y"
+#line 1379 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 86:
 
 /* Line 1455 of yacc.c  */
-#line 1384 "preproc.y"
+#line 1381 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 87:
 
 /* Line 1455 of yacc.c  */
-#line 1386 "preproc.y"
+#line 1383 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 88:
 
 /* Line 1455 of yacc.c  */
-#line 1388 "preproc.y"
+#line 1385 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 89:
 
 /* Line 1455 of yacc.c  */
-#line 1390 "preproc.y"
+#line 1387 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 90:
 
 /* Line 1455 of yacc.c  */
-#line 1392 "preproc.y"
+#line 1389 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 91:
 
 /* Line 1455 of yacc.c  */
-#line 1394 "preproc.y"
+#line 1391 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 92:
 
 /* Line 1455 of yacc.c  */
-#line 1396 "preproc.y"
+#line 1393 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 93:
 
 /* Line 1455 of yacc.c  */
-#line 1398 "preproc.y"
+#line 1395 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
     break;
 
   case 94:
 
 /* Line 1455 of yacc.c  */
-#line 1400 "preproc.y"
+#line 1397 "preproc.y"
     {
 		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
 		whenever_action(2);
@@ -23407,63 +23404,63 @@
   case 95:
 
 /* Line 1455 of yacc.c  */
-#line 1406 "preproc.y"
+#line 1403 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 96:
 
 /* Line 1455 of yacc.c  */
-#line 1408 "preproc.y"
+#line 1405 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 97:
 
 /* Line 1455 of yacc.c  */
-#line 1410 "preproc.y"
+#line 1407 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
     break;
 
   case 98:
 
 /* Line 1455 of yacc.c  */
-#line 1412 "preproc.y"
+#line 1409 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 99:
 
 /* Line 1455 of yacc.c  */
-#line 1414 "preproc.y"
+#line 1411 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 100:
 
 /* Line 1455 of yacc.c  */
-#line 1416 "preproc.y"
+#line 1413 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 101:
 
 /* Line 1455 of yacc.c  */
-#line 1418 "preproc.y"
+#line 1415 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 102:
 
 /* Line 1455 of yacc.c  */
-#line 1420 "preproc.y"
+#line 1417 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
     break;
 
   case 103:
 
 /* Line 1455 of yacc.c  */
-#line 1422 "preproc.y"
+#line 1419 "preproc.y"
     {
 		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
 		whenever_action(0);
@@ -23474,7 +23471,7 @@
   case 104:
 
 /* Line 1455 of yacc.c  */
-#line 1428 "preproc.y"
+#line 1425 "preproc.y"
     {
 		if (connection)
 			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");
@@ -23489,7 +23486,7 @@
   case 105:
 
 /* Line 1455 of yacc.c  */
-#line 1438 "preproc.y"
+#line 1435 "preproc.y"
     {
 		output_simple_statement((yyvsp[(1) - (1)].str));
 	;}
@@ -23498,10 +23495,8 @@
   case 106:
 
 /* Line 1455 of yacc.c  */
-#line 1442 "preproc.y"
+#line 1439 "preproc.y"
     {
-		if (connection)
-			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DEALLOCATE statement");
 		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
 		whenever_action(0);
 		free((yyvsp[(1) - (1)].str));
@@ -23511,7 +23506,7 @@
   case 107:
 
 /* Line 1455 of yacc.c  */
-#line 1450 "preproc.y"
+#line 1445 "preproc.y"
     {
 		output_simple_statement((yyvsp[(1) - (1)].str));
 	;}
@@ -23520,7 +23515,7 @@
   case 108:
 
 /* Line 1455 of yacc.c  */
-#line 1454 "preproc.y"
+#line 1449 "preproc.y"
     {
 		fprintf(yyout, "{ ECPGdescribe(__LINE__, %s,", (yyvsp[(1) - (1)].str));
 		dump_variables(argsresult, 1);
@@ -23535,7 +23530,7 @@
   case 109:
 
 /* Line 1455 of yacc.c  */
-#line 1464 "preproc.y"
+#line 1459 "preproc.y"
     {
 		if (connection)
 			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");
@@ -23550,14 +23545,14 @@
   case 110:
 
 /* Line 1455 of yacc.c  */
-#line 1473 "preproc.y"
+#line 1468 "preproc.y"
     { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
     break;
 
   case 111:
 
 /* Line 1455 of yacc.c  */
-#line 1475 "preproc.y"
+#line 1470 "preproc.y"
     {
 		const char *con = connection ? connection : "NULL";
 		if (strcmp((yyvsp[(1) - (1)].str), "all"))
@@ -23573,7 +23568,7 @@
   case 112:
 
 /* Line 1455 of yacc.c  */
-#line 1486 "preproc.y"
+#line 1481 "preproc.y"
     {
 		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
 		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
@@ -23585,7 +23580,7 @@
   case 113:
 
 /* Line 1455 of yacc.c  */
-#line 1493 "preproc.y"
+#line 1488 "preproc.y"
     {
 		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
 		output_get_descr_header((yyvsp[(1) - (1)].str));
@@ -23596,7 +23591,7 @@
   case 114:
 
 /* Line 1455 of yacc.c  */
-#line 1499 "preproc.y"
+#line 1494 "preproc.y"
     {
 		struct cursor *ptr;
 
@@ -23612,7 +23607,7 @@
   case 115:
 
 /* Line 1455 of yacc.c  */
-#line 1510 "preproc.y"
+#line 1505 "preproc.y"
     {
 		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
 		whenever_action(2);
@@ -23623,7 +23618,7 @@
   case 116:
 
 /* Line 1455 of yacc.c  */
-#line 1516 "preproc.y"
+#line 1511 "preproc.y"
     {
 		if (connection)
 			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");
@@ -23637,7 +23632,7 @@
   case 117:
 
 /* Line 1455 of yacc.c  */
-#line 1525 "preproc.y"
+#line 1520 "preproc.y"
     {
 		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
 		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
@@ -23649,7 +23644,7 @@
   case 118:
 
 /* Line 1455 of yacc.c  */
-#line 1532 "preproc.y"
+#line 1527 "preproc.y"
     {
 		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
 		output_set_descr_header((yyvsp[(1) - (1)].str));
@@ -23660,7 +23655,7 @@
   case 119:
 
 /* Line 1455 of yacc.c  */
-#line 1538 "preproc.y"
+#line 1533 "preproc.y"
     {
 		if (connection)
 			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");
@@ -23674,7 +23669,7 @@
   case 120:
 
 /* Line 1455 of yacc.c  */
-#line 1547 "preproc.y"
+#line 1542 "preproc.y"
     {
 		if (connection)
 			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");
@@ -23686,7 +23681,7 @@
   case 121:
 
 /* Line 1455 of yacc.c  */
-#line 1554 "preproc.y"
+#line 1549 "preproc.y"
     {
 		if (connection)
 			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");
@@ -23698,14 +23693,14 @@
   case 122:
 
 /* Line 1455 of yacc.c  */
-#line 1561 "preproc.y"
+#line 1556 "preproc.y"
     { (yyval.str) = NULL; ;}
     break;
 
   case 123:
 
 /* Line 1455 of yacc.c  */
-#line 1567 "preproc.y"
+#line 1562 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -23714,7 +23709,7 @@
   case 124:
 
 /* Line 1455 of yacc.c  */
-#line 1575 "preproc.y"
+#line 1570 "preproc.y"
     { 
  (yyval.str) = make_str("with");
 ;}
@@ -23723,7 +23718,7 @@
   case 125:
 
 /* Line 1455 of yacc.c  */
-#line 1579 "preproc.y"
+#line 1574 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -23731,7 +23726,7 @@
   case 126:
 
 /* Line 1455 of yacc.c  */
-#line 1586 "preproc.y"
+#line 1581 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -23740,7 +23735,7 @@
   case 127:
 
 /* Line 1455 of yacc.c  */
-#line 1590 "preproc.y"
+#line 1585 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -23748,7 +23743,7 @@
   case 128:
 
 /* Line 1455 of yacc.c  */
-#line 1597 "preproc.y"
+#line 1592 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("password"),(yyvsp[(2) - (2)].str));
 ;}
@@ -23757,7 +23752,7 @@
   case 129:
 
 /* Line 1455 of yacc.c  */
-#line 1601 "preproc.y"
+#line 1596 "preproc.y"
     { 
  (yyval.str) = make_str("password null");
 ;}
@@ -23766,7 +23761,7 @@
   case 130:
 
 /* Line 1455 of yacc.c  */
-#line 1605 "preproc.y"
+#line 1600 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("encrypted password"),(yyvsp[(3) - (3)].str));
 ;}
@@ -23775,7 +23770,7 @@
   case 131:
 
 /* Line 1455 of yacc.c  */
-#line 1609 "preproc.y"
+#line 1604 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("unencrypted password"),(yyvsp[(3) - (3)].str));
 ;}
@@ -23784,7 +23779,7 @@
   case 132:
 
 /* Line 1455 of yacc.c  */
-#line 1613 "preproc.y"
+#line 1608 "preproc.y"
     { 
  (yyval.str) = make_str("superuser");
 ;}
@@ -23793,7 +23788,7 @@
   case 133:
 
 /* Line 1455 of yacc.c  */
-#line 1617 "preproc.y"
+#line 1612 "preproc.y"
     { 
  (yyval.str) = make_str("nosuperuser");
 ;}
@@ -23802,7 +23797,7 @@
   case 134:
 
 /* Line 1455 of yacc.c  */
-#line 1621 "preproc.y"
+#line 1616 "preproc.y"
     { 
  (yyval.str) = make_str("inherit");
 ;}
@@ -23811,7 +23806,7 @@
   case 135:
 
 /* Line 1455 of yacc.c  */
-#line 1625 "preproc.y"
+#line 1620 "preproc.y"
     { 
  (yyval.str) = make_str("noinherit");
 ;}
@@ -23820,7 +23815,7 @@
   case 136:
 
 /* Line 1455 of yacc.c  */
-#line 1629 "preproc.y"
+#line 1624 "preproc.y"
     { 
  (yyval.str) = make_str("createdb");
 ;}
@@ -23829,7 +23824,7 @@
   case 137:
 
 /* Line 1455 of yacc.c  */
-#line 1633 "preproc.y"
+#line 1628 "preproc.y"
     { 
  (yyval.str) = make_str("nocreatedb");
 ;}
@@ -23838,7 +23833,7 @@
   case 138:
 
 /* Line 1455 of yacc.c  */
-#line 1637 "preproc.y"
+#line 1632 "preproc.y"
     { 
  (yyval.str) = make_str("createrole");
 ;}
@@ -23847,7 +23842,7 @@
   case 139:
 
 /* Line 1455 of yacc.c  */
-#line 1641 "preproc.y"
+#line 1636 "preproc.y"
     { 
  (yyval.str) = make_str("nocreaterole");
 ;}
@@ -23856,7 +23851,7 @@
   case 140:
 
 /* Line 1455 of yacc.c  */
-#line 1645 "preproc.y"
+#line 1640 "preproc.y"
     { 
  (yyval.str) = make_str("createuser");
 ;}
@@ -23865,7 +23860,7 @@
   case 141:
 
 /* Line 1455 of yacc.c  */
-#line 1649 "preproc.y"
+#line 1644 "preproc.y"
     { 
  (yyval.str) = make_str("nocreateuser");
 ;}
@@ -23874,7 +23869,7 @@
   case 142:
 
 /* Line 1455 of yacc.c  */
-#line 1653 "preproc.y"
+#line 1648 "preproc.y"
     { 
  (yyval.str) = make_str("login");
 ;}
@@ -23883,7 +23878,7 @@
   case 143:
 
 /* Line 1455 of yacc.c  */
-#line 1657 "preproc.y"
+#line 1652 "preproc.y"
     { 
  (yyval.str) = make_str("nologin");
 ;}
@@ -23892,7 +23887,7 @@
   case 144:
 
 /* Line 1455 of yacc.c  */
-#line 1661 "preproc.y"
+#line 1656 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("connection limit"),(yyvsp[(3) - (3)].str));
 ;}
@@ -23901,7 +23896,7 @@
   case 145:
 
 /* Line 1455 of yacc.c  */
-#line 1665 "preproc.y"
+#line 1660 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("valid until"),(yyvsp[(3) - (3)].str));
 ;}
@@ -23910,7 +23905,7 @@
   case 146:
 
 /* Line 1455 of yacc.c  */
-#line 1669 "preproc.y"
+#line 1664 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("user"),(yyvsp[(2) - (2)].str));
 ;}
@@ -23919,7 +23914,7 @@
   case 147:
 
 /* Line 1455 of yacc.c  */
-#line 1673 "preproc.y"
+#line 1668 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("sysid"),(yyvsp[(2) - (2)].str));
 ;}
@@ -23928,7 +23923,7 @@
   case 148:
 
 /* Line 1455 of yacc.c  */
-#line 1677 "preproc.y"
+#line 1672 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("admin"),(yyvsp[(2) - (2)].str));
 ;}
@@ -23937,7 +23932,7 @@
   case 149:
 
 /* Line 1455 of yacc.c  */
-#line 1681 "preproc.y"
+#line 1676 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
 ;}
@@ -23946,7 +23941,7 @@
   case 150:
 
 /* Line 1455 of yacc.c  */
-#line 1685 "preproc.y"
+#line 1680 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("in role"),(yyvsp[(3) - (3)].str));
 ;}
@@ -23955,7 +23950,7 @@
   case 151:
 
 /* Line 1455 of yacc.c  */
-#line 1689 "preproc.y"
+#line 1684 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("in group"),(yyvsp[(3) - (3)].str));
 ;}
@@ -23964,7 +23959,7 @@
   case 152:
 
 /* Line 1455 of yacc.c  */
-#line 1697 "preproc.y"
+#line 1692 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -23973,7 +23968,7 @@
   case 153:
 
 /* Line 1455 of yacc.c  */
-#line 1705 "preproc.y"
+#line 1700 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -23982,7 +23977,7 @@
   case 154:
 
 /* Line 1455 of yacc.c  */
-#line 1713 "preproc.y"
+#line 1708 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter role"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -23991,7 +23986,7 @@
   case 155:
 
 /* Line 1455 of yacc.c  */
-#line 1721 "preproc.y"
+#line 1716 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -24000,7 +23995,7 @@
   case 156:
 
 /* Line 1455 of yacc.c  */
-#line 1729 "preproc.y"
+#line 1724 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24009,7 +24004,7 @@
   case 157:
 
 /* Line 1455 of yacc.c  */
-#line 1737 "preproc.y"
+#line 1732 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop role"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24018,7 +24013,7 @@
   case 158:
 
 /* Line 1455 of yacc.c  */
-#line 1741 "preproc.y"
+#line 1736 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop role if exists"),(yyvsp[(5) - (5)].str));
 ;}
@@ -24027,7 +24022,7 @@
   case 159:
 
 /* Line 1455 of yacc.c  */
-#line 1749 "preproc.y"
+#line 1744 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop user"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24036,7 +24031,7 @@
   case 160:
 
 /* Line 1455 of yacc.c  */
-#line 1753 "preproc.y"
+#line 1748 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop user if exists"),(yyvsp[(5) - (5)].str));
 ;}
@@ -24045,7 +24040,7 @@
   case 161:
 
 /* Line 1455 of yacc.c  */
-#line 1761 "preproc.y"
+#line 1756 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -24054,7 +24049,7 @@
   case 162:
 
 /* Line 1455 of yacc.c  */
-#line 1769 "preproc.y"
+#line 1764 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("user"),(yyvsp[(6) - (6)].str));
 ;}
@@ -24063,7 +24058,7 @@
   case 163:
 
 /* Line 1455 of yacc.c  */
-#line 1777 "preproc.y"
+#line 1772 "preproc.y"
     { 
  (yyval.str) = make_str("add");
 ;}
@@ -24072,7 +24067,7 @@
   case 164:
 
 /* Line 1455 of yacc.c  */
-#line 1781 "preproc.y"
+#line 1776 "preproc.y"
     { 
  (yyval.str) = make_str("drop");
 ;}
@@ -24081,7 +24076,7 @@
   case 165:
 
 /* Line 1455 of yacc.c  */
-#line 1789 "preproc.y"
+#line 1784 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop group"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24090,7 +24085,7 @@
   case 166:
 
 /* Line 1455 of yacc.c  */
-#line 1793 "preproc.y"
+#line 1788 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop group if exists"),(yyvsp[(5) - (5)].str));
 ;}
@@ -24099,7 +24094,7 @@
   case 167:
 
 /* Line 1455 of yacc.c  */
-#line 1801 "preproc.y"
+#line 1796 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create schema"),(yyvsp[(3) - (6)].str),make_str("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -24108,7 +24103,7 @@
   case 168:
 
 /* Line 1455 of yacc.c  */
-#line 1805 "preproc.y"
+#line 1800 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24117,7 +24112,7 @@
   case 169:
 
 /* Line 1455 of yacc.c  */
-#line 1813 "preproc.y"
+#line 1808 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24126,7 +24121,7 @@
   case 170:
 
 /* Line 1455 of yacc.c  */
-#line 1817 "preproc.y"
+#line 1812 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -24134,7 +24129,7 @@
   case 171:
 
 /* Line 1455 of yacc.c  */
-#line 1824 "preproc.y"
+#line 1819 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -24143,7 +24138,7 @@
   case 172:
 
 /* Line 1455 of yacc.c  */
-#line 1828 "preproc.y"
+#line 1823 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -24151,7 +24146,7 @@
   case 173:
 
 /* Line 1455 of yacc.c  */
-#line 1835 "preproc.y"
+#line 1830 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24160,7 +24155,7 @@
   case 174:
 
 /* Line 1455 of yacc.c  */
-#line 1839 "preproc.y"
+#line 1834 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24169,7 +24164,7 @@
   case 175:
 
 /* Line 1455 of yacc.c  */
-#line 1843 "preproc.y"
+#line 1838 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24178,7 +24173,7 @@
   case 176:
 
 /* Line 1455 of yacc.c  */
-#line 1847 "preproc.y"
+#line 1842 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24187,7 +24182,7 @@
   case 177:
 
 /* Line 1455 of yacc.c  */
-#line 1851 "preproc.y"
+#line 1846 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24196,7 +24191,7 @@
   case 178:
 
 /* Line 1455 of yacc.c  */
-#line 1855 "preproc.y"
+#line 1850 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24205,7 +24200,7 @@
   case 179:
 
 /* Line 1455 of yacc.c  */
-#line 1863 "preproc.y"
+#line 1858 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24214,7 +24209,7 @@
   case 180:
 
 /* Line 1455 of yacc.c  */
-#line 1867 "preproc.y"
+#line 1862 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set local"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24223,7 +24218,7 @@
   case 181:
 
 /* Line 1455 of yacc.c  */
-#line 1871 "preproc.y"
+#line 1866 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set session"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24232,7 +24227,7 @@
   case 182:
 
 /* Line 1455 of yacc.c  */
-#line 1879 "preproc.y"
+#line 1874 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("to"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24241,7 +24236,7 @@
   case 183:
 
 /* Line 1455 of yacc.c  */
-#line 1883 "preproc.y"
+#line 1878 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -24250,7 +24245,7 @@
   case 184:
 
 /* Line 1455 of yacc.c  */
-#line 1887 "preproc.y"
+#line 1882 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("to default"));
 ;}
@@ -24259,7 +24254,7 @@
   case 185:
 
 /* Line 1455 of yacc.c  */
-#line 1891 "preproc.y"
+#line 1886 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("= default"));
 ;}
@@ -24268,7 +24263,7 @@
   case 186:
 
 /* Line 1455 of yacc.c  */
-#line 1895 "preproc.y"
+#line 1890 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("from current"));
 ;}
@@ -24277,7 +24272,7 @@
   case 187:
 
 /* Line 1455 of yacc.c  */
-#line 1899 "preproc.y"
+#line 1894 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("time zone"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24286,7 +24281,7 @@
   case 188:
 
 /* Line 1455 of yacc.c  */
-#line 1903 "preproc.y"
+#line 1898 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("transaction"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24295,7 +24290,7 @@
   case 189:
 
 /* Line 1455 of yacc.c  */
-#line 1907 "preproc.y"
+#line 1902 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
 ;}
@@ -24304,7 +24299,7 @@
   case 190:
 
 /* Line 1455 of yacc.c  */
-#line 1911 "preproc.y"
+#line 1906 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = cat_str(2,make_str("catalog"),(yyvsp[(2) - (2)].str));
@@ -24314,7 +24309,7 @@
   case 191:
 
 /* Line 1455 of yacc.c  */
-#line 1916 "preproc.y"
+#line 1911 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24323,7 +24318,7 @@
   case 192:
 
 /* Line 1455 of yacc.c  */
-#line 1920 "preproc.y"
+#line 1915 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("names"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24332,7 +24327,7 @@
   case 193:
 
 /* Line 1455 of yacc.c  */
-#line 1924 "preproc.y"
+#line 1919 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("role"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24341,7 +24336,7 @@
   case 194:
 
 /* Line 1455 of yacc.c  */
-#line 1928 "preproc.y"
+#line 1923 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("session authorization"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24350,7 +24345,7 @@
   case 195:
 
 /* Line 1455 of yacc.c  */
-#line 1932 "preproc.y"
+#line 1927 "preproc.y"
     { 
  (yyval.str) = make_str("session authorization default");
 ;}
@@ -24359,7 +24354,7 @@
   case 196:
 
 /* Line 1455 of yacc.c  */
-#line 1936 "preproc.y"
+#line 1931 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("xml option"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24368,7 +24363,7 @@
   case 197:
 
 /* Line 1455 of yacc.c  */
-#line 1944 "preproc.y"
+#line 1939 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24377,7 +24372,7 @@
   case 198:
 
 /* Line 1455 of yacc.c  */
-#line 1948 "preproc.y"
+#line 1943 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
 ;}
@@ -24386,7 +24381,7 @@
   case 199:
 
 /* Line 1455 of yacc.c  */
-#line 1956 "preproc.y"
+#line 1951 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24395,7 +24390,7 @@
   case 200:
 
 /* Line 1455 of yacc.c  */
-#line 1960 "preproc.y"
+#line 1955 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -24404,7 +24399,7 @@
   case 201:
 
 /* Line 1455 of yacc.c  */
-#line 1968 "preproc.y"
+#line 1963 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24413,7 +24408,7 @@
   case 202:
 
 /* Line 1455 of yacc.c  */
-#line 1972 "preproc.y"
+#line 1967 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24422,7 +24417,7 @@
   case 203:
 
 /* Line 1455 of yacc.c  */
-#line 1976 "preproc.y"
+#line 1971 "preproc.y"
     { 
 		if ((yyvsp[(1) - (1)].str)[0] == '$')
 		{
@@ -24437,7 +24432,7 @@
   case 204:
 
 /* Line 1455 of yacc.c  */
-#line 1990 "preproc.y"
+#line 1985 "preproc.y"
     { 
  (yyval.str) = make_str("read uncommitted");
 ;}
@@ -24446,7 +24441,7 @@
   case 205:
 
 /* Line 1455 of yacc.c  */
-#line 1994 "preproc.y"
+#line 1989 "preproc.y"
     { 
  (yyval.str) = make_str("read committed");
 ;}
@@ -24455,7 +24450,7 @@
   case 206:
 
 /* Line 1455 of yacc.c  */
-#line 1998 "preproc.y"
+#line 1993 "preproc.y"
     { 
  (yyval.str) = make_str("repeatable read");
 ;}
@@ -24464,7 +24459,7 @@
   case 207:
 
 /* Line 1455 of yacc.c  */
-#line 2002 "preproc.y"
+#line 1997 "preproc.y"
     { 
  (yyval.str) = make_str("serializable");
 ;}
@@ -24473,7 +24468,7 @@
   case 208:
 
 /* Line 1455 of yacc.c  */
-#line 2010 "preproc.y"
+#line 2005 "preproc.y"
     { 
  (yyval.str) = make_str("true");
 ;}
@@ -24482,7 +24477,7 @@
   case 209:
 
 /* Line 1455 of yacc.c  */
-#line 2014 "preproc.y"
+#line 2009 "preproc.y"
     { 
  (yyval.str) = make_str("false");
 ;}
@@ -24491,7 +24486,7 @@
   case 210:
 
 /* Line 1455 of yacc.c  */
-#line 2018 "preproc.y"
+#line 2013 "preproc.y"
     { 
  (yyval.str) = make_str("on");
 ;}
@@ -24500,7 +24495,7 @@
   case 211:
 
 /* Line 1455 of yacc.c  */
-#line 2022 "preproc.y"
+#line 2017 "preproc.y"
     { 
  (yyval.str) = make_str("off");
 ;}
@@ -24509,7 +24504,7 @@
   case 212:
 
 /* Line 1455 of yacc.c  */
-#line 2030 "preproc.y"
+#line 2025 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24518,7 +24513,7 @@
   case 213:
 
 /* Line 1455 of yacc.c  */
-#line 2034 "preproc.y"
+#line 2029 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24527,7 +24522,7 @@
   case 214:
 
 /* Line 1455 of yacc.c  */
-#line 2038 "preproc.y"
+#line 2033 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -24536,7 +24531,7 @@
   case 215:
 
 /* Line 1455 of yacc.c  */
-#line 2042 "preproc.y"
+#line 2037 "preproc.y"
     { 
  (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -24545,7 +24540,7 @@
   case 216:
 
 /* Line 1455 of yacc.c  */
-#line 2046 "preproc.y"
+#line 2041 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24554,7 +24549,7 @@
   case 217:
 
 /* Line 1455 of yacc.c  */
-#line 2050 "preproc.y"
+#line 2045 "preproc.y"
     { 
  (yyval.str) = make_str("default");
 ;}
@@ -24563,7 +24558,7 @@
   case 218:
 
 /* Line 1455 of yacc.c  */
-#line 2054 "preproc.y"
+#line 2049 "preproc.y"
     { 
  (yyval.str) = make_str("local");
 ;}
@@ -24572,7 +24567,7 @@
   case 219:
 
 /* Line 1455 of yacc.c  */
-#line 2062 "preproc.y"
+#line 2057 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24581,7 +24576,7 @@
   case 220:
 
 /* Line 1455 of yacc.c  */
-#line 2066 "preproc.y"
+#line 2061 "preproc.y"
     { 
  (yyval.str) = make_str("default");
 ;}
@@ -24590,7 +24585,7 @@
   case 221:
 
 /* Line 1455 of yacc.c  */
-#line 2070 "preproc.y"
+#line 2065 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -24598,7 +24593,7 @@
   case 222:
 
 /* Line 1455 of yacc.c  */
-#line 2077 "preproc.y"
+#line 2072 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24607,7 +24602,7 @@
   case 223:
 
 /* Line 1455 of yacc.c  */
-#line 2081 "preproc.y"
+#line 2076 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24616,7 +24611,7 @@
   case 224:
 
 /* Line 1455 of yacc.c  */
-#line 2089 "preproc.y"
+#line 2084 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24625,7 +24620,7 @@
   case 225:
 
 /* Line 1455 of yacc.c  */
-#line 2093 "preproc.y"
+#line 2088 "preproc.y"
     { 
  (yyval.str) = make_str("reset time zone");
 ;}
@@ -24634,7 +24629,7 @@
   case 226:
 
 /* Line 1455 of yacc.c  */
-#line 2097 "preproc.y"
+#line 2092 "preproc.y"
     { 
  (yyval.str) = make_str("reset transaction isolation level");
 ;}
@@ -24643,7 +24638,7 @@
   case 227:
 
 /* Line 1455 of yacc.c  */
-#line 2101 "preproc.y"
+#line 2096 "preproc.y"
     { 
  (yyval.str) = make_str("reset session authorization");
 ;}
@@ -24652,7 +24647,7 @@
   case 228:
 
 /* Line 1455 of yacc.c  */
-#line 2105 "preproc.y"
+#line 2100 "preproc.y"
     { 
  (yyval.str) = make_str("reset all");
 ;}
@@ -24661,7 +24656,7 @@
   case 229:
 
 /* Line 1455 of yacc.c  */
-#line 2113 "preproc.y"
+#line 2108 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24670,7 +24665,7 @@
   case 230:
 
 /* Line 1455 of yacc.c  */
-#line 2117 "preproc.y"
+#line 2112 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24679,7 +24674,7 @@
   case 231:
 
 /* Line 1455 of yacc.c  */
-#line 2125 "preproc.y"
+#line 2120 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("show"),(yyvsp[(2) - (3)].str));
 ;}
@@ -24688,7 +24683,7 @@
   case 232:
 
 /* Line 1455 of yacc.c  */
-#line 2129 "preproc.y"
+#line 2124 "preproc.y"
     { 
  (yyval.str) = make_str("show time zone");
 ;}
@@ -24697,7 +24692,7 @@
   case 233:
 
 /* Line 1455 of yacc.c  */
-#line 2133 "preproc.y"
+#line 2128 "preproc.y"
     { 
  (yyval.str) = make_str("show transaction isolation level");
 ;}
@@ -24706,7 +24701,7 @@
   case 234:
 
 /* Line 1455 of yacc.c  */
-#line 2137 "preproc.y"
+#line 2132 "preproc.y"
     { 
  (yyval.str) = make_str("show session authorization");
 ;}
@@ -24715,7 +24710,7 @@
   case 235:
 
 /* Line 1455 of yacc.c  */
-#line 2141 "preproc.y"
+#line 2136 "preproc.y"
     {
 		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
 		(yyval.str) = EMPTY;
@@ -24725,7 +24720,7 @@
   case 236:
 
 /* Line 1455 of yacc.c  */
-#line 2150 "preproc.y"
+#line 2145 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24734,7 +24729,7 @@
   case 237:
 
 /* Line 1455 of yacc.c  */
-#line 2158 "preproc.y"
+#line 2153 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -24743,7 +24738,7 @@
   case 238:
 
 /* Line 1455 of yacc.c  */
-#line 2162 "preproc.y"
+#line 2157 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24752,7 +24747,7 @@
   case 239:
 
 /* Line 1455 of yacc.c  */
-#line 2170 "preproc.y"
+#line 2165 "preproc.y"
     { 
  (yyval.str) = make_str("deferred");
 ;}
@@ -24761,7 +24756,7 @@
   case 240:
 
 /* Line 1455 of yacc.c  */
-#line 2174 "preproc.y"
+#line 2169 "preproc.y"
     { 
  (yyval.str) = make_str("immediate");
 ;}
@@ -24770,7 +24765,7 @@
   case 241:
 
 /* Line 1455 of yacc.c  */
-#line 2182 "preproc.y"
+#line 2177 "preproc.y"
     { 
  (yyval.str) = make_str("checkpoint");
 ;}
@@ -24779,7 +24774,7 @@
   case 242:
 
 /* Line 1455 of yacc.c  */
-#line 2190 "preproc.y"
+#line 2185 "preproc.y"
     { 
  (yyval.str) = make_str("discard all");
 ;}
@@ -24788,7 +24783,7 @@
   case 243:
 
 /* Line 1455 of yacc.c  */
-#line 2194 "preproc.y"
+#line 2189 "preproc.y"
     { 
  (yyval.str) = make_str("discard temp");
 ;}
@@ -24797,7 +24792,7 @@
   case 244:
 
 /* Line 1455 of yacc.c  */
-#line 2198 "preproc.y"
+#line 2193 "preproc.y"
     { 
  (yyval.str) = make_str("discard temporary");
 ;}
@@ -24806,7 +24801,7 @@
   case 245:
 
 /* Line 1455 of yacc.c  */
-#line 2202 "preproc.y"
+#line 2197 "preproc.y"
     { 
  (yyval.str) = make_str("discard plans");
 ;}
@@ -24815,7 +24810,7 @@
   case 246:
 
 /* Line 1455 of yacc.c  */
-#line 2210 "preproc.y"
+#line 2205 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24824,7 +24819,7 @@
   case 247:
 
 /* Line 1455 of yacc.c  */
-#line 2214 "preproc.y"
+#line 2209 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24833,7 +24828,7 @@
   case 248:
 
 /* Line 1455 of yacc.c  */
-#line 2218 "preproc.y"
+#line 2213 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24842,7 +24837,7 @@
   case 249:
 
 /* Line 1455 of yacc.c  */
-#line 2222 "preproc.y"
+#line 2217 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24851,7 +24846,7 @@
   case 250:
 
 /* Line 1455 of yacc.c  */
-#line 2230 "preproc.y"
+#line 2225 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -24860,7 +24855,7 @@
   case 251:
 
 /* Line 1455 of yacc.c  */
-#line 2234 "preproc.y"
+#line 2229 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -24869,7 +24864,7 @@
   case 252:
 
 /* Line 1455 of yacc.c  */
-#line 2242 "preproc.y"
+#line 2237 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("add"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -24878,7 +24873,7 @@
   case 253:
 
 /* Line 1455 of yacc.c  */
-#line 2246 "preproc.y"
+#line 2241 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24887,7 +24882,7 @@
   case 254:
 
 /* Line 1455 of yacc.c  */
-#line 2250 "preproc.y"
+#line 2245 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("drop not null"));
 ;}
@@ -24896,7 +24891,7 @@
   case 255:
 
 /* Line 1455 of yacc.c  */
-#line 2254 "preproc.y"
+#line 2249 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set not null"));
 ;}
@@ -24905,7 +24900,7 @@
   case 256:
 
 /* Line 1455 of yacc.c  */
-#line 2258 "preproc.y"
+#line 2253 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set statistics"),(yyvsp[(6) - (6)].str));
 ;}
@@ -24914,7 +24909,7 @@
   case 257:
 
 /* Line 1455 of yacc.c  */
-#line 2262 "preproc.y"
+#line 2257 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("set storage"),(yyvsp[(6) - (6)].str));
 ;}
@@ -24923,7 +24918,7 @@
   case 258:
 
 /* Line 1455 of yacc.c  */
-#line 2266 "preproc.y"
+#line 2261 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24932,7 +24927,7 @@
   case 259:
 
 /* Line 1455 of yacc.c  */
-#line 2270 "preproc.y"
+#line 2265 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("alter"),(yyvsp[(2) - (7)].str),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("type"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -24941,7 +24936,7 @@
   case 260:
 
 /* Line 1455 of yacc.c  */
-#line 2274 "preproc.y"
+#line 2269 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
 ;}
@@ -24950,7 +24945,7 @@
   case 261:
 
 /* Line 1455 of yacc.c  */
-#line 2278 "preproc.y"
+#line 2273 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -24959,7 +24954,7 @@
   case 262:
 
 /* Line 1455 of yacc.c  */
-#line 2282 "preproc.y"
+#line 2277 "preproc.y"
     { 
  (yyval.str) = make_str("set with oids");
 ;}
@@ -24968,7 +24963,7 @@
   case 263:
 
 /* Line 1455 of yacc.c  */
-#line 2286 "preproc.y"
+#line 2281 "preproc.y"
     { 
  (yyval.str) = make_str("set without oids");
 ;}
@@ -24977,7 +24972,7 @@
   case 264:
 
 /* Line 1455 of yacc.c  */
-#line 2290 "preproc.y"
+#line 2285 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("cluster on"),(yyvsp[(3) - (3)].str));
 ;}
@@ -24986,7 +24981,7 @@
   case 265:
 
 /* Line 1455 of yacc.c  */
-#line 2294 "preproc.y"
+#line 2289 "preproc.y"
     { 
  (yyval.str) = make_str("set without cluster");
 ;}
@@ -24995,7 +24990,7 @@
   case 266:
 
 /* Line 1455 of yacc.c  */
-#line 2298 "preproc.y"
+#line 2293 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("enable trigger"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25004,7 +24999,7 @@
   case 267:
 
 /* Line 1455 of yacc.c  */
-#line 2302 "preproc.y"
+#line 2297 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("enable always trigger"),(yyvsp[(4) - (4)].str));
 ;}
@@ -25013,7 +25008,7 @@
   case 268:
 
 /* Line 1455 of yacc.c  */
-#line 2306 "preproc.y"
+#line 2301 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("enable replica trigger"),(yyvsp[(4) - (4)].str));
 ;}
@@ -25022,7 +25017,7 @@
   case 269:
 
 /* Line 1455 of yacc.c  */
-#line 2310 "preproc.y"
+#line 2305 "preproc.y"
     { 
  (yyval.str) = make_str("enable trigger all");
 ;}
@@ -25031,7 +25026,7 @@
   case 270:
 
 /* Line 1455 of yacc.c  */
-#line 2314 "preproc.y"
+#line 2309 "preproc.y"
     { 
  (yyval.str) = make_str("enable trigger user");
 ;}
@@ -25040,7 +25035,7 @@
   case 271:
 
 /* Line 1455 of yacc.c  */
-#line 2318 "preproc.y"
+#line 2313 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("disable trigger"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25049,7 +25044,7 @@
   case 272:
 
 /* Line 1455 of yacc.c  */
-#line 2322 "preproc.y"
+#line 2317 "preproc.y"
     { 
  (yyval.str) = make_str("disable trigger all");
 ;}
@@ -25058,7 +25053,7 @@
   case 273:
 
 /* Line 1455 of yacc.c  */
-#line 2326 "preproc.y"
+#line 2321 "preproc.y"
     { 
  (yyval.str) = make_str("disable trigger user");
 ;}
@@ -25067,7 +25062,7 @@
   case 274:
 
 /* Line 1455 of yacc.c  */
-#line 2330 "preproc.y"
+#line 2325 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("enable rule"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25076,7 +25071,7 @@
   case 275:
 
 /* Line 1455 of yacc.c  */
-#line 2334 "preproc.y"
+#line 2329 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("enable always rule"),(yyvsp[(4) - (4)].str));
 ;}
@@ -25085,7 +25080,7 @@
   case 276:
 
 /* Line 1455 of yacc.c  */
-#line 2338 "preproc.y"
+#line 2333 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("enable replica rule"),(yyvsp[(4) - (4)].str));
 ;}
@@ -25094,7 +25089,7 @@
   case 277:
 
 /* Line 1455 of yacc.c  */
-#line 2342 "preproc.y"
+#line 2337 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("disable rule"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25103,7 +25098,7 @@
   case 278:
 
 /* Line 1455 of yacc.c  */
-#line 2346 "preproc.y"
+#line 2341 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("inherit"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25112,7 +25107,7 @@
   case 279:
 
 /* Line 1455 of yacc.c  */
-#line 2350 "preproc.y"
+#line 2345 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("no inherit"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25121,7 +25116,7 @@
   case 280:
 
 /* Line 1455 of yacc.c  */
-#line 2354 "preproc.y"
+#line 2349 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("owner to"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25130,7 +25125,7 @@
   case 281:
 
 /* Line 1455 of yacc.c  */
-#line 2358 "preproc.y"
+#line 2353 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set tablespace"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25139,7 +25134,7 @@
   case 282:
 
 /* Line 1455 of yacc.c  */
-#line 2362 "preproc.y"
+#line 2357 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25148,7 +25143,7 @@
   case 283:
 
 /* Line 1455 of yacc.c  */
-#line 2366 "preproc.y"
+#line 2361 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("reset"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25157,7 +25152,7 @@
   case 284:
 
 /* Line 1455 of yacc.c  */
-#line 2374 "preproc.y"
+#line 2369 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set default"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25166,7 +25161,7 @@
   case 285:
 
 /* Line 1455 of yacc.c  */
-#line 2378 "preproc.y"
+#line 2373 "preproc.y"
     { 
  (yyval.str) = make_str("drop default");
 ;}
@@ -25175,7 +25170,7 @@
   case 286:
 
 /* Line 1455 of yacc.c  */
-#line 2386 "preproc.y"
+#line 2381 "preproc.y"
     { 
  (yyval.str) = make_str("cascade");
 ;}
@@ -25184,7 +25179,7 @@
   case 287:
 
 /* Line 1455 of yacc.c  */
-#line 2390 "preproc.y"
+#line 2385 "preproc.y"
     { 
  (yyval.str) = make_str("restrict");
 ;}
@@ -25193,7 +25188,7 @@
   case 288:
 
 /* Line 1455 of yacc.c  */
-#line 2394 "preproc.y"
+#line 2389 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25201,7 +25196,7 @@
   case 289:
 
 /* Line 1455 of yacc.c  */
-#line 2401 "preproc.y"
+#line 2396 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25210,7 +25205,7 @@
   case 290:
 
 /* Line 1455 of yacc.c  */
-#line 2405 "preproc.y"
+#line 2400 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25218,7 +25213,7 @@
   case 291:
 
 /* Line 1455 of yacc.c  */
-#line 2412 "preproc.y"
+#line 2407 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -25227,7 +25222,7 @@
   case 292:
 
 /* Line 1455 of yacc.c  */
-#line 2420 "preproc.y"
+#line 2415 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25236,7 +25231,7 @@
   case 293:
 
 /* Line 1455 of yacc.c  */
-#line 2424 "preproc.y"
+#line 2419 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25244,7 +25239,7 @@
   case 294:
 
 /* Line 1455 of yacc.c  */
-#line 2431 "preproc.y"
+#line 2426 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25253,7 +25248,7 @@
   case 295:
 
 /* Line 1455 of yacc.c  */
-#line 2435 "preproc.y"
+#line 2430 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -25262,7 +25257,7 @@
   case 296:
 
 /* Line 1455 of yacc.c  */
-#line 2443 "preproc.y"
+#line 2438 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -25271,7 +25266,7 @@
   case 297:
 
 /* Line 1455 of yacc.c  */
-#line 2447 "preproc.y"
+#line 2442 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25280,7 +25275,7 @@
   case 298:
 
 /* Line 1455 of yacc.c  */
-#line 2451 "preproc.y"
+#line 2446 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("."),(yyvsp[(3) - (5)].str),make_str("="),(yyvsp[(5) - (5)].str));
 ;}
@@ -25289,7 +25284,7 @@
   case 299:
 
 /* Line 1455 of yacc.c  */
-#line 2455 "preproc.y"
+#line 2450 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
 ;}
@@ -25298,7 +25293,7 @@
   case 300:
 
 /* Line 1455 of yacc.c  */
-#line 2463 "preproc.y"
+#line 2458 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("close"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25307,7 +25302,7 @@
   case 301:
 
 /* Line 1455 of yacc.c  */
-#line 2467 "preproc.y"
+#line 2462 "preproc.y"
     { 
  (yyval.str) = make_str("close all");
 ;}
@@ -25316,7 +25311,7 @@
   case 302:
 
 /* Line 1455 of yacc.c  */
-#line 2475 "preproc.y"
+#line 2470 "preproc.y"
     { 
 			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
 				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
@@ -25332,7 +25327,7 @@
   case 303:
 
 /* Line 1455 of yacc.c  */
-#line 2486 "preproc.y"
+#line 2481 "preproc.y"
     { 
 			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
 				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
@@ -25344,7 +25339,7 @@
   case 304:
 
 /* Line 1455 of yacc.c  */
-#line 2497 "preproc.y"
+#line 2492 "preproc.y"
     { 
  (yyval.str) = make_str("from");
 ;}
@@ -25353,7 +25348,7 @@
   case 305:
 
 /* Line 1455 of yacc.c  */
-#line 2501 "preproc.y"
+#line 2496 "preproc.y"
     { 
  (yyval.str) = make_str("to");
 ;}
@@ -25362,7 +25357,7 @@
   case 306:
 
 /* Line 1455 of yacc.c  */
-#line 2509 "preproc.y"
+#line 2504 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25371,7 +25366,7 @@
   case 307:
 
 /* Line 1455 of yacc.c  */
-#line 2513 "preproc.y"
+#line 2508 "preproc.y"
     { 
  (yyval.str) = make_str("stdin");
 ;}
@@ -25380,7 +25375,7 @@
   case 308:
 
 /* Line 1455 of yacc.c  */
-#line 2517 "preproc.y"
+#line 2512 "preproc.y"
     { 
  (yyval.str) = make_str("stdout");
 ;}
@@ -25389,7 +25384,7 @@
   case 309:
 
 /* Line 1455 of yacc.c  */
-#line 2525 "preproc.y"
+#line 2520 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -25398,7 +25393,7 @@
   case 310:
 
 /* Line 1455 of yacc.c  */
-#line 2529 "preproc.y"
+#line 2524 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25406,7 +25401,7 @@
   case 311:
 
 /* Line 1455 of yacc.c  */
-#line 2536 "preproc.y"
+#line 2531 "preproc.y"
     { 
  (yyval.str) = make_str("binary");
 ;}
@@ -25415,7 +25410,7 @@
   case 312:
 
 /* Line 1455 of yacc.c  */
-#line 2540 "preproc.y"
+#line 2535 "preproc.y"
     { 
  (yyval.str) = make_str("oids");
 ;}
@@ -25424,7 +25419,7 @@
   case 313:
 
 /* Line 1455 of yacc.c  */
-#line 2544 "preproc.y"
+#line 2539 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25433,7 +25428,7 @@
   case 314:
 
 /* Line 1455 of yacc.c  */
-#line 2548 "preproc.y"
+#line 2543 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25442,7 +25437,7 @@
   case 315:
 
 /* Line 1455 of yacc.c  */
-#line 2552 "preproc.y"
+#line 2547 "preproc.y"
     { 
  (yyval.str) = make_str("csv");
 ;}
@@ -25451,7 +25446,7 @@
   case 316:
 
 /* Line 1455 of yacc.c  */
-#line 2556 "preproc.y"
+#line 2551 "preproc.y"
     { 
  (yyval.str) = make_str("header");
 ;}
@@ -25460,7 +25455,7 @@
   case 317:
 
 /* Line 1455 of yacc.c  */
-#line 2560 "preproc.y"
+#line 2555 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25469,7 +25464,7 @@
   case 318:
 
 /* Line 1455 of yacc.c  */
-#line 2564 "preproc.y"
+#line 2559 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25478,7 +25473,7 @@
   case 319:
 
 /* Line 1455 of yacc.c  */
-#line 2568 "preproc.y"
+#line 2563 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("force quote"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25487,7 +25482,7 @@
   case 320:
 
 /* Line 1455 of yacc.c  */
-#line 2572 "preproc.y"
+#line 2567 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("force not null"),(yyvsp[(4) - (4)].str));
 ;}
@@ -25496,7 +25491,7 @@
   case 321:
 
 /* Line 1455 of yacc.c  */
-#line 2580 "preproc.y"
+#line 2575 "preproc.y"
     { 
  (yyval.str) = make_str("binary");
 ;}
@@ -25505,7 +25500,7 @@
   case 322:
 
 /* Line 1455 of yacc.c  */
-#line 2584 "preproc.y"
+#line 2579 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25513,7 +25508,7 @@
   case 323:
 
 /* Line 1455 of yacc.c  */
-#line 2591 "preproc.y"
+#line 2586 "preproc.y"
     { 
  (yyval.str) = make_str("with oids");
 ;}
@@ -25522,7 +25517,7 @@
   case 324:
 
 /* Line 1455 of yacc.c  */
-#line 2595 "preproc.y"
+#line 2590 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25530,7 +25525,7 @@
   case 325:
 
 /* Line 1455 of yacc.c  */
-#line 2602 "preproc.y"
+#line 2597 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("delimiters"),(yyvsp[(3) - (3)].str));
 ;}
@@ -25539,7 +25534,7 @@
   case 326:
 
 /* Line 1455 of yacc.c  */
-#line 2606 "preproc.y"
+#line 2601 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25547,7 +25542,7 @@
   case 327:
 
 /* Line 1455 of yacc.c  */
-#line 2613 "preproc.y"
+#line 2608 "preproc.y"
     { 
  (yyval.str) = make_str("using");
 ;}
@@ -25556,7 +25551,7 @@
   case 328:
 
 /* Line 1455 of yacc.c  */
-#line 2617 "preproc.y"
+#line 2612 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25564,7 +25559,7 @@
   case 329:
 
 /* Line 1455 of yacc.c  */
-#line 2624 "preproc.y"
+#line 2619 "preproc.y"
     { 
  (yyval.str) = cat_str(11,make_str("create"),(yyvsp[(2) - (11)].str),make_str("table"),(yyvsp[(4) - (11)].str),make_str("("),(yyvsp[(6) - (11)].str),make_str(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
 ;}
@@ -25573,7 +25568,7 @@
   case 330:
 
 /* Line 1455 of yacc.c  */
-#line 2628 "preproc.y"
+#line 2623 "preproc.y"
     { 
  (yyval.str) = cat_str(12,make_str("create"),(yyvsp[(2) - (12)].str),make_str("table"),(yyvsp[(4) - (12)].str),make_str("of"),(yyvsp[(6) - (12)].str),make_str("("),(yyvsp[(8) - (12)].str),make_str(")"),(yyvsp[(10) - (12)].str),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
 ;}
@@ -25582,7 +25577,7 @@
   case 331:
 
 /* Line 1455 of yacc.c  */
-#line 2636 "preproc.y"
+#line 2631 "preproc.y"
     { 
  (yyval.str) = make_str("temporary");
 ;}
@@ -25591,7 +25586,7 @@
   case 332:
 
 /* Line 1455 of yacc.c  */
-#line 2640 "preproc.y"
+#line 2635 "preproc.y"
     { 
  (yyval.str) = make_str("temp");
 ;}
@@ -25600,7 +25595,7 @@
   case 333:
 
 /* Line 1455 of yacc.c  */
-#line 2644 "preproc.y"
+#line 2639 "preproc.y"
     { 
  (yyval.str) = make_str("local temporary");
 ;}
@@ -25609,7 +25604,7 @@
   case 334:
 
 /* Line 1455 of yacc.c  */
-#line 2648 "preproc.y"
+#line 2643 "preproc.y"
     { 
  (yyval.str) = make_str("local temp");
 ;}
@@ -25618,7 +25613,7 @@
   case 335:
 
 /* Line 1455 of yacc.c  */
-#line 2652 "preproc.y"
+#line 2647 "preproc.y"
     { 
  (yyval.str) = make_str("global temporary");
 ;}
@@ -25627,7 +25622,7 @@
   case 336:
 
 /* Line 1455 of yacc.c  */
-#line 2656 "preproc.y"
+#line 2651 "preproc.y"
     { 
  (yyval.str) = make_str("global temp");
 ;}
@@ -25636,7 +25631,7 @@
   case 337:
 
 /* Line 1455 of yacc.c  */
-#line 2660 "preproc.y"
+#line 2655 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25644,7 +25639,7 @@
   case 338:
 
 /* Line 1455 of yacc.c  */
-#line 2667 "preproc.y"
+#line 2662 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25653,7 +25648,7 @@
   case 339:
 
 /* Line 1455 of yacc.c  */
-#line 2671 "preproc.y"
+#line 2666 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25661,7 +25656,7 @@
   case 340:
 
 /* Line 1455 of yacc.c  */
-#line 2678 "preproc.y"
+#line 2673 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25670,7 +25665,7 @@
   case 341:
 
 /* Line 1455 of yacc.c  */
-#line 2682 "preproc.y"
+#line 2677 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -25679,7 +25674,7 @@
   case 342:
 
 /* Line 1455 of yacc.c  */
-#line 2690 "preproc.y"
+#line 2685 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25688,7 +25683,7 @@
   case 343:
 
 /* Line 1455 of yacc.c  */
-#line 2694 "preproc.y"
+#line 2689 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25697,7 +25692,7 @@
   case 344:
 
 /* Line 1455 of yacc.c  */
-#line 2698 "preproc.y"
+#line 2693 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25706,7 +25701,7 @@
   case 345:
 
 /* Line 1455 of yacc.c  */
-#line 2706 "preproc.y"
+#line 2701 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25715,7 +25710,7 @@
   case 346:
 
 /* Line 1455 of yacc.c  */
-#line 2714 "preproc.y"
+#line 2709 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -25724,7 +25719,7 @@
   case 347:
 
 /* Line 1455 of yacc.c  */
-#line 2718 "preproc.y"
+#line 2713 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25732,7 +25727,7 @@
   case 348:
 
 /* Line 1455 of yacc.c  */
-#line 2725 "preproc.y"
+#line 2720 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25741,7 +25736,7 @@
   case 349:
 
 /* Line 1455 of yacc.c  */
-#line 2729 "preproc.y"
+#line 2724 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25750,7 +25745,7 @@
   case 350:
 
 /* Line 1455 of yacc.c  */
-#line 2733 "preproc.y"
+#line 2728 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25759,7 +25754,7 @@
   case 351:
 
 /* Line 1455 of yacc.c  */
-#line 2741 "preproc.y"
+#line 2736 "preproc.y"
     { 
  (yyval.str) = make_str("not null");
 ;}
@@ -25768,7 +25763,7 @@
   case 352:
 
 /* Line 1455 of yacc.c  */
-#line 2745 "preproc.y"
+#line 2740 "preproc.y"
     { 
  (yyval.str) = make_str("null");
 ;}
@@ -25777,7 +25772,7 @@
   case 353:
 
 /* Line 1455 of yacc.c  */
-#line 2749 "preproc.y"
+#line 2744 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25786,7 +25781,7 @@
   case 354:
 
 /* Line 1455 of yacc.c  */
-#line 2753 "preproc.y"
+#line 2748 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -25795,7 +25790,7 @@
   case 355:
 
 /* Line 1455 of yacc.c  */
-#line 2757 "preproc.y"
+#line 2752 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("check ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -25804,7 +25799,7 @@
   case 356:
 
 /* Line 1455 of yacc.c  */
-#line 2761 "preproc.y"
+#line 2756 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("default"),(yyvsp[(2) - (2)].str));
 ;}
@@ -25813,7 +25808,7 @@
   case 357:
 
 /* Line 1455 of yacc.c  */
-#line 2765 "preproc.y"
+#line 2760 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -25822,7 +25817,7 @@
   case 358:
 
 /* Line 1455 of yacc.c  */
-#line 2773 "preproc.y"
+#line 2768 "preproc.y"
     { 
  (yyval.str) = make_str("deferrable");
 ;}
@@ -25831,7 +25826,7 @@
   case 359:
 
 /* Line 1455 of yacc.c  */
-#line 2777 "preproc.y"
+#line 2772 "preproc.y"
     { 
  (yyval.str) = make_str("not deferrable");
 ;}
@@ -25840,7 +25835,7 @@
   case 360:
 
 /* Line 1455 of yacc.c  */
-#line 2781 "preproc.y"
+#line 2776 "preproc.y"
     { 
  (yyval.str) = make_str("initially deferred");
 ;}
@@ -25849,7 +25844,7 @@
   case 361:
 
 /* Line 1455 of yacc.c  */
-#line 2785 "preproc.y"
+#line 2780 "preproc.y"
     { 
  (yyval.str) = make_str("initially immediate");
 ;}
@@ -25858,7 +25853,7 @@
   case 362:
 
 /* Line 1455 of yacc.c  */
-#line 2793 "preproc.y"
+#line 2788 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25867,7 +25862,7 @@
   case 363:
 
 /* Line 1455 of yacc.c  */
-#line 2801 "preproc.y"
+#line 2796 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -25876,7 +25871,7 @@
   case 364:
 
 /* Line 1455 of yacc.c  */
-#line 2805 "preproc.y"
+#line 2800 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -25884,7 +25879,7 @@
   case 365:
 
 /* Line 1455 of yacc.c  */
-#line 2812 "preproc.y"
+#line 2807 "preproc.y"
     { 
  (yyval.str) = make_str("including defaults");
 ;}
@@ -25893,7 +25888,7 @@
   case 366:
 
 /* Line 1455 of yacc.c  */
-#line 2816 "preproc.y"
+#line 2811 "preproc.y"
     { 
  (yyval.str) = make_str("excluding defaults");
 ;}
@@ -25902,7 +25897,7 @@
   case 367:
 
 /* Line 1455 of yacc.c  */
-#line 2820 "preproc.y"
+#line 2815 "preproc.y"
     { 
  (yyval.str) = make_str("including constraints");
 ;}
@@ -25911,7 +25906,7 @@
   case 368:
 
 /* Line 1455 of yacc.c  */
-#line 2824 "preproc.y"
+#line 2819 "preproc.y"
     { 
  (yyval.str) = make_str("excluding constraints");
 ;}
@@ -25920,7 +25915,7 @@
   case 369:
 
 /* Line 1455 of yacc.c  */
-#line 2828 "preproc.y"
+#line 2823 "preproc.y"
     { 
  (yyval.str) = make_str("including indexes");
 ;}
@@ -25929,7 +25924,7 @@
   case 370:
 
 /* Line 1455 of yacc.c  */
-#line 2832 "preproc.y"
+#line 2827 "preproc.y"
     { 
  (yyval.str) = make_str("excluding indexes");
 ;}
@@ -25938,7 +25933,7 @@
   case 371:
 
 /* Line 1455 of yacc.c  */
-#line 2840 "preproc.y"
+#line 2835 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -25947,7 +25942,7 @@
   case 372:
 
 /* Line 1455 of yacc.c  */
-#line 2844 "preproc.y"
+#line 2839 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -25956,7 +25951,7 @@
   case 373:
 
 /* Line 1455 of yacc.c  */
-#line 2852 "preproc.y"
+#line 2847 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("check ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -25965,7 +25960,7 @@
   case 374:
 
 /* Line 1455 of yacc.c  */
-#line 2856 "preproc.y"
+#line 2851 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("unique ("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -25974,7 +25969,7 @@
   case 375:
 
 /* Line 1455 of yacc.c  */
-#line 2860 "preproc.y"
+#line 2855 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("primary key ("),(yyvsp[(4) - (7)].str),make_str(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -25983,7 +25978,7 @@
   case 376:
 
 /* Line 1455 of yacc.c  */
-#line 2864 "preproc.y"
+#line 2859 "preproc.y"
     { 
  (yyval.str) = cat_str(8,make_str("foreign key ("),(yyvsp[(4) - (11)].str),make_str(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
 ;}
@@ -25992,7 +25987,7 @@
   case 377:
 
 /* Line 1455 of yacc.c  */
-#line 2872 "preproc.y"
+#line 2867 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -26001,7 +25996,7 @@
   case 378:
 
 /* Line 1455 of yacc.c  */
-#line 2876 "preproc.y"
+#line 2871 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26009,7 +26004,7 @@
   case 379:
 
 /* Line 1455 of yacc.c  */
-#line 2883 "preproc.y"
+#line 2878 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26018,7 +26013,7 @@
   case 380:
 
 /* Line 1455 of yacc.c  */
-#line 2887 "preproc.y"
+#line 2882 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -26027,7 +26022,7 @@
   case 381:
 
 /* Line 1455 of yacc.c  */
-#line 2895 "preproc.y"
+#line 2890 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26036,7 +26031,7 @@
   case 382:
 
 /* Line 1455 of yacc.c  */
-#line 2903 "preproc.y"
+#line 2898 "preproc.y"
     { 
  (yyval.str) = make_str("match full");
 ;}
@@ -26045,7 +26040,7 @@
   case 383:
 
 /* Line 1455 of yacc.c  */
-#line 2907 "preproc.y"
+#line 2902 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = make_str("match partial");
@@ -26055,7 +26050,7 @@
   case 384:
 
 /* Line 1455 of yacc.c  */
-#line 2912 "preproc.y"
+#line 2907 "preproc.y"
     { 
  (yyval.str) = make_str("match simple");
 ;}
@@ -26064,7 +26059,7 @@
   case 385:
 
 /* Line 1455 of yacc.c  */
-#line 2916 "preproc.y"
+#line 2911 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26072,7 +26067,7 @@
   case 386:
 
 /* Line 1455 of yacc.c  */
-#line 2923 "preproc.y"
+#line 2918 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26081,7 +26076,7 @@
   case 387:
 
 /* Line 1455 of yacc.c  */
-#line 2927 "preproc.y"
+#line 2922 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26090,7 +26085,7 @@
   case 388:
 
 /* Line 1455 of yacc.c  */
-#line 2931 "preproc.y"
+#line 2926 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -26099,7 +26094,7 @@
   case 389:
 
 /* Line 1455 of yacc.c  */
-#line 2935 "preproc.y"
+#line 2930 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -26108,7 +26103,7 @@
   case 390:
 
 /* Line 1455 of yacc.c  */
-#line 2939 "preproc.y"
+#line 2934 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26116,7 +26111,7 @@
   case 391:
 
 /* Line 1455 of yacc.c  */
-#line 2946 "preproc.y"
+#line 2941 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("on update"),(yyvsp[(3) - (3)].str));
 ;}
@@ -26125,7 +26120,7 @@
   case 392:
 
 /* Line 1455 of yacc.c  */
-#line 2954 "preproc.y"
+#line 2949 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("on delete"),(yyvsp[(3) - (3)].str));
 ;}
@@ -26134,7 +26129,7 @@
   case 393:
 
 /* Line 1455 of yacc.c  */
-#line 2962 "preproc.y"
+#line 2957 "preproc.y"
     { 
  (yyval.str) = make_str("no action");
 ;}
@@ -26143,7 +26138,7 @@
   case 394:
 
 /* Line 1455 of yacc.c  */
-#line 2966 "preproc.y"
+#line 2961 "preproc.y"
     { 
  (yyval.str) = make_str("restrict");
 ;}
@@ -26152,7 +26147,7 @@
   case 395:
 
 /* Line 1455 of yacc.c  */
-#line 2970 "preproc.y"
+#line 2965 "preproc.y"
     { 
  (yyval.str) = make_str("cascade");
 ;}
@@ -26161,7 +26156,7 @@
   case 396:
 
 /* Line 1455 of yacc.c  */
-#line 2974 "preproc.y"
+#line 2969 "preproc.y"
     { 
  (yyval.str) = make_str("set null");
 ;}
@@ -26170,7 +26165,7 @@
   case 397:
 
 /* Line 1455 of yacc.c  */
-#line 2978 "preproc.y"
+#line 2973 "preproc.y"
     { 
  (yyval.str) = make_str("set default");
 ;}
@@ -26179,7 +26174,7 @@
   case 398:
 
 /* Line 1455 of yacc.c  */
-#line 2986 "preproc.y"
+#line 2981 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("inherits ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -26188,7 +26183,7 @@
   case 399:
 
 /* Line 1455 of yacc.c  */
-#line 2990 "preproc.y"
+#line 2985 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26196,7 +26191,7 @@
   case 400:
 
 /* Line 1455 of yacc.c  */
-#line 2997 "preproc.y"
+#line 2992 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26205,7 +26200,7 @@
   case 401:
 
 /* Line 1455 of yacc.c  */
-#line 3001 "preproc.y"
+#line 2996 "preproc.y"
     { 
  (yyval.str) = make_str("with oids");
 ;}
@@ -26214,7 +26209,7 @@
   case 402:
 
 /* Line 1455 of yacc.c  */
-#line 3005 "preproc.y"
+#line 3000 "preproc.y"
     { 
  (yyval.str) = make_str("without oids");
 ;}
@@ -26223,7 +26218,7 @@
   case 403:
 
 /* Line 1455 of yacc.c  */
-#line 3009 "preproc.y"
+#line 3004 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26231,7 +26226,7 @@
   case 404:
 
 /* Line 1455 of yacc.c  */
-#line 3016 "preproc.y"
+#line 3011 "preproc.y"
     { 
  (yyval.str) = make_str("on commit drop");
 ;}
@@ -26240,7 +26235,7 @@
   case 405:
 
 /* Line 1455 of yacc.c  */
-#line 3020 "preproc.y"
+#line 3015 "preproc.y"
     { 
  (yyval.str) = make_str("on commit delete rows");
 ;}
@@ -26249,7 +26244,7 @@
   case 406:
 
 /* Line 1455 of yacc.c  */
-#line 3024 "preproc.y"
+#line 3019 "preproc.y"
     { 
  (yyval.str) = make_str("on commit preserve rows");
 ;}
@@ -26258,7 +26253,7 @@
   case 407:
 
 /* Line 1455 of yacc.c  */
-#line 3028 "preproc.y"
+#line 3023 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26266,7 +26261,7 @@
   case 408:
 
 /* Line 1455 of yacc.c  */
-#line 3035 "preproc.y"
+#line 3030 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26275,7 +26270,7 @@
   case 409:
 
 /* Line 1455 of yacc.c  */
-#line 3039 "preproc.y"
+#line 3034 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26283,7 +26278,7 @@
   case 410:
 
 /* Line 1455 of yacc.c  */
-#line 3046 "preproc.y"
+#line 3041 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("using index tablespace"),(yyvsp[(4) - (4)].str));
 ;}
@@ -26292,7 +26287,7 @@
   case 411:
 
 /* Line 1455 of yacc.c  */
-#line 3050 "preproc.y"
+#line 3045 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26300,7 +26295,7 @@
   case 412:
 
 /* Line 1455 of yacc.c  */
-#line 3057 "preproc.y"
+#line 3052 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -26309,7 +26304,7 @@
   case 413:
 
 /* Line 1455 of yacc.c  */
-#line 3065 "preproc.y"
+#line 3060 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -26318,7 +26313,7 @@
   case 414:
 
 /* Line 1455 of yacc.c  */
-#line 3069 "preproc.y"
+#line 3064 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26326,7 +26321,7 @@
   case 415:
 
 /* Line 1455 of yacc.c  */
-#line 3076 "preproc.y"
+#line 3071 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26335,7 +26330,7 @@
   case 416:
 
 /* Line 1455 of yacc.c  */
-#line 3080 "preproc.y"
+#line 3075 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -26344,7 +26339,7 @@
   case 417:
 
 /* Line 1455 of yacc.c  */
-#line 3088 "preproc.y"
+#line 3083 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26353,7 +26348,7 @@
   case 418:
 
 /* Line 1455 of yacc.c  */
-#line 3096 "preproc.y"
+#line 3091 "preproc.y"
     { 
  (yyval.str) = make_str("with data");
 ;}
@@ -26362,7 +26357,7 @@
   case 419:
 
 /* Line 1455 of yacc.c  */
-#line 3100 "preproc.y"
+#line 3095 "preproc.y"
     { 
  (yyval.str) = make_str("with no data");
 ;}
@@ -26371,7 +26366,7 @@
   case 420:
 
 /* Line 1455 of yacc.c  */
-#line 3104 "preproc.y"
+#line 3099 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26379,7 +26374,7 @@
   case 421:
 
 /* Line 1455 of yacc.c  */
-#line 3111 "preproc.y"
+#line 3106 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create"),(yyvsp[(2) - (5)].str),make_str("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -26388,7 +26383,7 @@
   case 422:
 
 /* Line 1455 of yacc.c  */
-#line 3119 "preproc.y"
+#line 3114 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -26397,7 +26392,7 @@
   case 423:
 
 /* Line 1455 of yacc.c  */
-#line 3127 "preproc.y"
+#line 3122 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26406,7 +26401,7 @@
   case 424:
 
 /* Line 1455 of yacc.c  */
-#line 3131 "preproc.y"
+#line 3126 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26414,7 +26409,7 @@
   case 425:
 
 /* Line 1455 of yacc.c  */
-#line 3138 "preproc.y"
+#line 3133 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26423,7 +26418,7 @@
   case 426:
 
 /* Line 1455 of yacc.c  */
-#line 3142 "preproc.y"
+#line 3137 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -26432,7 +26427,7 @@
   case 427:
 
 /* Line 1455 of yacc.c  */
-#line 3150 "preproc.y"
+#line 3145 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("cache"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26441,7 +26436,7 @@
   case 428:
 
 /* Line 1455 of yacc.c  */
-#line 3154 "preproc.y"
+#line 3149 "preproc.y"
     { 
  (yyval.str) = make_str("cycle");
 ;}
@@ -26450,7 +26445,7 @@
   case 429:
 
 /* Line 1455 of yacc.c  */
-#line 3158 "preproc.y"
+#line 3153 "preproc.y"
     { 
  (yyval.str) = make_str("no cycle");
 ;}
@@ -26459,7 +26454,7 @@
   case 430:
 
 /* Line 1455 of yacc.c  */
-#line 3162 "preproc.y"
+#line 3157 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -26468,7 +26463,7 @@
   case 431:
 
 /* Line 1455 of yacc.c  */
-#line 3166 "preproc.y"
+#line 3161 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("maxvalue"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26477,7 +26472,7 @@
   case 432:
 
 /* Line 1455 of yacc.c  */
-#line 3170 "preproc.y"
+#line 3165 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("minvalue"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26486,7 +26481,7 @@
   case 433:
 
 /* Line 1455 of yacc.c  */
-#line 3174 "preproc.y"
+#line 3169 "preproc.y"
     { 
  (yyval.str) = make_str("no maxvalue");
 ;}
@@ -26495,7 +26490,7 @@
   case 434:
 
 /* Line 1455 of yacc.c  */
-#line 3178 "preproc.y"
+#line 3173 "preproc.y"
     { 
  (yyval.str) = make_str("no minvalue");
 ;}
@@ -26504,7 +26499,7 @@
   case 435:
 
 /* Line 1455 of yacc.c  */
-#line 3182 "preproc.y"
+#line 3177 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("owned by"),(yyvsp[(3) - (3)].str));
 ;}
@@ -26513,7 +26508,7 @@
   case 436:
 
 /* Line 1455 of yacc.c  */
-#line 3186 "preproc.y"
+#line 3181 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -26522,7 +26517,7 @@
   case 437:
 
 /* Line 1455 of yacc.c  */
-#line 3190 "preproc.y"
+#line 3185 "preproc.y"
     { 
  (yyval.str) = make_str("restart");
 ;}
@@ -26531,7 +26526,7 @@
   case 438:
 
 /* Line 1455 of yacc.c  */
-#line 3194 "preproc.y"
+#line 3189 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -26540,7 +26535,7 @@
   case 439:
 
 /* Line 1455 of yacc.c  */
-#line 3202 "preproc.y"
+#line 3197 "preproc.y"
     { 
  (yyval.str) = make_str("by");
 ;}
@@ -26549,7 +26544,7 @@
   case 440:
 
 /* Line 1455 of yacc.c  */
-#line 3206 "preproc.y"
+#line 3201 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26557,7 +26552,7 @@
   case 441:
 
 /* Line 1455 of yacc.c  */
-#line 3213 "preproc.y"
+#line 3208 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26566,7 +26561,7 @@
   case 442:
 
 /* Line 1455 of yacc.c  */
-#line 3217 "preproc.y"
+#line 3212 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26575,7 +26570,7 @@
   case 443:
 
 /* Line 1455 of yacc.c  */
-#line 3221 "preproc.y"
+#line 3216 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26584,7 +26579,7 @@
   case 444:
 
 /* Line 1455 of yacc.c  */
-#line 3232 "preproc.y"
+#line 3227 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("language"),(yyvsp[(5) - (5)].str));
 ;}
@@ -26593,7 +26588,7 @@
   case 445:
 
 /* Line 1455 of yacc.c  */
-#line 3236 "preproc.y"
+#line 3231 "preproc.y"
     { 
  (yyval.str) = cat_str(9,make_str("create"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),make_str("language"),(yyvsp[(5) - (9)].str),make_str("handler"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
 ;}
@@ -26602,7 +26597,7 @@
   case 446:
 
 /* Line 1455 of yacc.c  */
-#line 3244 "preproc.y"
+#line 3239 "preproc.y"
     { 
  (yyval.str) = make_str("trusted");
 ;}
@@ -26611,7 +26606,7 @@
   case 447:
 
 /* Line 1455 of yacc.c  */
-#line 3248 "preproc.y"
+#line 3243 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26619,7 +26614,7 @@
   case 448:
 
 /* Line 1455 of yacc.c  */
-#line 3255 "preproc.y"
+#line 3250 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26628,7 +26623,7 @@
   case 449:
 
 /* Line 1455 of yacc.c  */
-#line 3259 "preproc.y"
+#line 3254 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -26637,7 +26632,7 @@
   case 450:
 
 /* Line 1455 of yacc.c  */
-#line 3267 "preproc.y"
+#line 3262 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("validator"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26646,7 +26641,7 @@
   case 451:
 
 /* Line 1455 of yacc.c  */
-#line 3271 "preproc.y"
+#line 3266 "preproc.y"
     { 
  (yyval.str) = make_str("no validator");
 ;}
@@ -26655,7 +26650,7 @@
   case 452:
 
 /* Line 1455 of yacc.c  */
-#line 3279 "preproc.y"
+#line 3274 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26664,7 +26659,7 @@
   case 453:
 
 /* Line 1455 of yacc.c  */
-#line 3283 "preproc.y"
+#line 3278 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26672,7 +26667,7 @@
   case 454:
 
 /* Line 1455 of yacc.c  */
-#line 3290 "preproc.y"
+#line 3285 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("lancompiler"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26681,7 +26676,7 @@
   case 455:
 
 /* Line 1455 of yacc.c  */
-#line 3294 "preproc.y"
+#line 3289 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26689,7 +26684,7 @@
   case 456:
 
 /* Line 1455 of yacc.c  */
-#line 3301 "preproc.y"
+#line 3296 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (5)].str),make_str("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -26698,7 +26693,7 @@
   case 457:
 
 /* Line 1455 of yacc.c  */
-#line 3305 "preproc.y"
+#line 3300 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (7)].str),make_str("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -26707,7 +26702,7 @@
   case 458:
 
 /* Line 1455 of yacc.c  */
-#line 3313 "preproc.y"
+#line 3308 "preproc.y"
     { 
  (yyval.str) = make_str("procedural");
 ;}
@@ -26716,7 +26711,7 @@
   case 459:
 
 /* Line 1455 of yacc.c  */
-#line 3317 "preproc.y"
+#line 3312 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26724,7 +26719,7 @@
   case 460:
 
 /* Line 1455 of yacc.c  */
-#line 3324 "preproc.y"
+#line 3319 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("location"),(yyvsp[(6) - (6)].str));
 ;}
@@ -26733,7 +26728,7 @@
   case 461:
 
 /* Line 1455 of yacc.c  */
-#line 3332 "preproc.y"
+#line 3327 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("owner"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26742,7 +26737,7 @@
   case 462:
 
 /* Line 1455 of yacc.c  */
-#line 3336 "preproc.y"
+#line 3331 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26750,7 +26745,7 @@
   case 463:
 
 /* Line 1455 of yacc.c  */
-#line 3343 "preproc.y"
+#line 3338 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop tablespace"),(yyvsp[(3) - (3)].str));
 ;}
@@ -26759,7 +26754,7 @@
   case 464:
 
 /* Line 1455 of yacc.c  */
-#line 3347 "preproc.y"
+#line 3342 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
 ;}
@@ -26768,7 +26763,7 @@
   case 465:
 
 /* Line 1455 of yacc.c  */
-#line 3355 "preproc.y"
+#line 3350 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -26777,7 +26772,7 @@
   case 466:
 
 /* Line 1455 of yacc.c  */
-#line 3363 "preproc.y"
+#line 3358 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -26786,7 +26781,7 @@
   case 467:
 
 /* Line 1455 of yacc.c  */
-#line 3367 "preproc.y"
+#line 3362 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -26795,7 +26790,7 @@
   case 468:
 
 /* Line 1455 of yacc.c  */
-#line 3375 "preproc.y"
+#line 3370 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -26804,7 +26799,7 @@
   case 469:
 
 /* Line 1455 of yacc.c  */
-#line 3379 "preproc.y"
+#line 3374 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -26813,7 +26808,7 @@
   case 470:
 
 /* Line 1455 of yacc.c  */
-#line 3383 "preproc.y"
+#line 3378 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -26822,7 +26817,7 @@
   case 471:
 
 /* Line 1455 of yacc.c  */
-#line 3391 "preproc.y"
+#line 3386 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -26831,7 +26826,7 @@
   case 472:
 
 /* Line 1455 of yacc.c  */
-#line 3395 "preproc.y"
+#line 3390 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26839,7 +26834,7 @@
   case 473:
 
 /* Line 1455 of yacc.c  */
-#line 3402 "preproc.y"
+#line 3397 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26848,7 +26843,7 @@
   case 474:
 
 /* Line 1455 of yacc.c  */
-#line 3406 "preproc.y"
+#line 3401 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -26857,7 +26852,7 @@
   case 475:
 
 /* Line 1455 of yacc.c  */
-#line 3414 "preproc.y"
+#line 3409 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("options ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -26866,7 +26861,7 @@
   case 476:
 
 /* Line 1455 of yacc.c  */
-#line 3422 "preproc.y"
+#line 3417 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26875,7 +26870,7 @@
   case 477:
 
 /* Line 1455 of yacc.c  */
-#line 3426 "preproc.y"
+#line 3421 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -26884,7 +26879,7 @@
   case 478:
 
 /* Line 1455 of yacc.c  */
-#line 3434 "preproc.y"
+#line 3429 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26893,7 +26888,7 @@
   case 479:
 
 /* Line 1455 of yacc.c  */
-#line 3438 "preproc.y"
+#line 3433 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("set"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26902,7 +26897,7 @@
   case 480:
 
 /* Line 1455 of yacc.c  */
-#line 3442 "preproc.y"
+#line 3437 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("add"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26911,7 +26906,7 @@
   case 481:
 
 /* Line 1455 of yacc.c  */
-#line 3446 "preproc.y"
+#line 3441 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26920,7 +26915,7 @@
   case 482:
 
 /* Line 1455 of yacc.c  */
-#line 3454 "preproc.y"
+#line 3449 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -26929,7 +26924,7 @@
   case 483:
 
 /* Line 1455 of yacc.c  */
-#line 3462 "preproc.y"
+#line 3457 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26938,7 +26933,7 @@
   case 484:
 
 /* Line 1455 of yacc.c  */
-#line 3470 "preproc.y"
+#line 3465 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -26947,7 +26942,7 @@
   case 485:
 
 /* Line 1455 of yacc.c  */
-#line 3478 "preproc.y"
+#line 3473 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),make_str("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
 ;}
@@ -26956,7 +26951,7 @@
   case 486:
 
 /* Line 1455 of yacc.c  */
-#line 3486 "preproc.y"
+#line 3481 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("type"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26965,7 +26960,7 @@
   case 487:
 
 /* Line 1455 of yacc.c  */
-#line 3490 "preproc.y"
+#line 3485 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -26973,7 +26968,7 @@
   case 488:
 
 /* Line 1455 of yacc.c  */
-#line 3497 "preproc.y"
+#line 3492 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
 ;}
@@ -26982,7 +26977,7 @@
   case 489:
 
 /* Line 1455 of yacc.c  */
-#line 3501 "preproc.y"
+#line 3496 "preproc.y"
     { 
  (yyval.str) = make_str("version null");
 ;}
@@ -26991,7 +26986,7 @@
   case 490:
 
 /* Line 1455 of yacc.c  */
-#line 3509 "preproc.y"
+#line 3504 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27000,7 +26995,7 @@
   case 491:
 
 /* Line 1455 of yacc.c  */
-#line 3513 "preproc.y"
+#line 3508 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27008,7 +27003,7 @@
   case 492:
 
 /* Line 1455 of yacc.c  */
-#line 3520 "preproc.y"
+#line 3515 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27017,7 +27012,7 @@
   case 493:
 
 /* Line 1455 of yacc.c  */
-#line 3524 "preproc.y"
+#line 3519 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27026,7 +27021,7 @@
   case 494:
 
 /* Line 1455 of yacc.c  */
-#line 3532 "preproc.y"
+#line 3527 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -27035,7 +27030,7 @@
   case 495:
 
 /* Line 1455 of yacc.c  */
-#line 3536 "preproc.y"
+#line 3531 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27044,7 +27039,7 @@
   case 496:
 
 /* Line 1455 of yacc.c  */
-#line 3540 "preproc.y"
+#line 3535 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27053,7 +27048,7 @@
   case 497:
 
 /* Line 1455 of yacc.c  */
-#line 3548 "preproc.y"
+#line 3543 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -27062,7 +27057,7 @@
   case 498:
 
 /* Line 1455 of yacc.c  */
-#line 3556 "preproc.y"
+#line 3551 "preproc.y"
     { 
  (yyval.str) = make_str("current_user");
 ;}
@@ -27071,7 +27066,7 @@
   case 499:
 
 /* Line 1455 of yacc.c  */
-#line 3560 "preproc.y"
+#line 3555 "preproc.y"
     { 
  (yyval.str) = make_str("user");
 ;}
@@ -27080,7 +27075,7 @@
   case 500:
 
 /* Line 1455 of yacc.c  */
-#line 3564 "preproc.y"
+#line 3559 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27089,7 +27084,7 @@
   case 501:
 
 /* Line 1455 of yacc.c  */
-#line 3572 "preproc.y"
+#line 3567 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop user mapping for"),(yyvsp[(5) - (7)].str),make_str("server"),(yyvsp[(7) - (7)].str));
 ;}
@@ -27098,7 +27093,7 @@
   case 502:
 
 /* Line 1455 of yacc.c  */
-#line 3576 "preproc.y"
+#line 3571 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),make_str("server"),(yyvsp[(9) - (9)].str));
 ;}
@@ -27107,7 +27102,7 @@
   case 503:
 
 /* Line 1455 of yacc.c  */
-#line 3584 "preproc.y"
+#line 3579 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter user mapping for"),(yyvsp[(5) - (8)].str),make_str("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -27116,7 +27111,7 @@
   case 504:
 
 /* Line 1455 of yacc.c  */
-#line 3592 "preproc.y"
+#line 3587 "preproc.y"
     { 
  (yyval.str) = cat_str(12,make_str("create trigger"),(yyvsp[(3) - (14)].str),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),make_str("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),make_str("execute procedure"),(yyvsp[(11) - (14)].str),make_str("("),(yyvsp[(13) - (14)].str),make_str(")"));
 ;}
@@ -27125,7 +27120,7 @@
   case 505:
 
 /* Line 1455 of yacc.c  */
-#line 3596 "preproc.y"
+#line 3591 "preproc.y"
     { 
  (yyval.str) = cat_str(13,make_str("create constraint trigger"),(yyvsp[(4) - (19)].str),make_str("after"),(yyvsp[(6) - (19)].str),make_str("on"),(yyvsp[(8) - (19)].str),(yyvsp[(9) - (19)].str),(yyvsp[(10) - (19)].str),make_str("for each row execute procedure"),(yyvsp[(16) - (19)].str),make_str("("),(yyvsp[(18) - (19)].str),make_str(")"));
 ;}
@@ -27134,7 +27129,7 @@
   case 506:
 
 /* Line 1455 of yacc.c  */
-#line 3604 "preproc.y"
+#line 3599 "preproc.y"
     { 
  (yyval.str) = make_str("before");
 ;}
@@ -27143,7 +27138,7 @@
   case 507:
 
 /* Line 1455 of yacc.c  */
-#line 3608 "preproc.y"
+#line 3603 "preproc.y"
     { 
  (yyval.str) = make_str("after");
 ;}
@@ -27152,7 +27147,7 @@
   case 508:
 
 /* Line 1455 of yacc.c  */
-#line 3616 "preproc.y"
+#line 3611 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27161,7 +27156,7 @@
   case 509:
 
 /* Line 1455 of yacc.c  */
-#line 3620 "preproc.y"
+#line 3615 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
 ;}
@@ -27170,7 +27165,7 @@
   case 510:
 
 /* Line 1455 of yacc.c  */
-#line 3628 "preproc.y"
+#line 3623 "preproc.y"
     { 
  (yyval.str) = make_str("insert");
 ;}
@@ -27179,7 +27174,7 @@
   case 511:
 
 /* Line 1455 of yacc.c  */
-#line 3632 "preproc.y"
+#line 3627 "preproc.y"
     { 
  (yyval.str) = make_str("delete");
 ;}
@@ -27188,7 +27183,7 @@
   case 512:
 
 /* Line 1455 of yacc.c  */
-#line 3636 "preproc.y"
+#line 3631 "preproc.y"
     { 
  (yyval.str) = make_str("update");
 ;}
@@ -27197,7 +27192,7 @@
   case 513:
 
 /* Line 1455 of yacc.c  */
-#line 3640 "preproc.y"
+#line 3635 "preproc.y"
     { 
  (yyval.str) = make_str("truncate");
 ;}
@@ -27206,7 +27201,7 @@
   case 514:
 
 /* Line 1455 of yacc.c  */
-#line 3648 "preproc.y"
+#line 3643 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -27215,7 +27210,7 @@
   case 515:
 
 /* Line 1455 of yacc.c  */
-#line 3652 "preproc.y"
+#line 3647 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27223,7 +27218,7 @@
   case 516:
 
 /* Line 1455 of yacc.c  */
-#line 3659 "preproc.y"
+#line 3654 "preproc.y"
     { 
  (yyval.str) = make_str("each");
 ;}
@@ -27232,7 +27227,7 @@
   case 517:
 
 /* Line 1455 of yacc.c  */
-#line 3663 "preproc.y"
+#line 3658 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27240,7 +27235,7 @@
   case 518:
 
 /* Line 1455 of yacc.c  */
-#line 3670 "preproc.y"
+#line 3665 "preproc.y"
     { 
  (yyval.str) = make_str("row");
 ;}
@@ -27249,7 +27244,7 @@
   case 519:
 
 /* Line 1455 of yacc.c  */
-#line 3674 "preproc.y"
+#line 3669 "preproc.y"
     { 
  (yyval.str) = make_str("statement");
 ;}
@@ -27258,7 +27253,7 @@
   case 520:
 
 /* Line 1455 of yacc.c  */
-#line 3682 "preproc.y"
+#line 3677 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27267,7 +27262,7 @@
   case 521:
 
 /* Line 1455 of yacc.c  */
-#line 3686 "preproc.y"
+#line 3681 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -27276,7 +27271,7 @@
   case 522:
 
 /* Line 1455 of yacc.c  */
-#line 3690 "preproc.y"
+#line 3685 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27284,7 +27279,7 @@
   case 523:
 
 /* Line 1455 of yacc.c  */
-#line 3697 "preproc.y"
+#line 3692 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27293,7 +27288,7 @@
   case 524:
 
 /* Line 1455 of yacc.c  */
-#line 3701 "preproc.y"
+#line 3696 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27302,7 +27297,7 @@
   case 525:
 
 /* Line 1455 of yacc.c  */
-#line 3705 "preproc.y"
+#line 3700 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27311,7 +27306,7 @@
   case 526:
 
 /* Line 1455 of yacc.c  */
-#line 3709 "preproc.y"
+#line 3704 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27320,7 +27315,7 @@
   case 527:
 
 /* Line 1455 of yacc.c  */
-#line 3713 "preproc.y"
+#line 3708 "preproc.y"
     { 
  (yyval.str) = make_str("xconst");
 ;}
@@ -27329,7 +27324,7 @@
   case 528:
 
 /* Line 1455 of yacc.c  */
-#line 3717 "preproc.y"
+#line 3712 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27338,7 +27333,7 @@
   case 529:
 
 /* Line 1455 of yacc.c  */
-#line 3725 "preproc.y"
+#line 3720 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
 ;}
@@ -27347,7 +27342,7 @@
   case 530:
 
 /* Line 1455 of yacc.c  */
-#line 3729 "preproc.y"
+#line 3724 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27355,7 +27350,7 @@
   case 531:
 
 /* Line 1455 of yacc.c  */
-#line 3736 "preproc.y"
+#line 3731 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27364,7 +27359,7 @@
   case 532:
 
 /* Line 1455 of yacc.c  */
-#line 3740 "preproc.y"
+#line 3735 "preproc.y"
     { 
 			if (strcmp((yyvsp[(1) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(2) - (2)].str), "initially deferrable") == 0 )
 				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");
@@ -27376,7 +27371,7 @@
   case 533:
 
 /* Line 1455 of yacc.c  */
-#line 3747 "preproc.y"
+#line 3742 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27385,7 +27380,7 @@
   case 534:
 
 /* Line 1455 of yacc.c  */
-#line 3751 "preproc.y"
+#line 3746 "preproc.y"
     { 
 			if (strcmp((yyvsp[(2) - (2)].str), "deferrable") != 0 && strcmp((yyvsp[(1) - (2)].str), "initially deferrable") == 0 )
 				mmerror(PARSE_ERROR, ET_ERROR, "constraint declared INITIALLY DEFERRED must be DEFERRABLE");
@@ -27397,7 +27392,7 @@
   case 535:
 
 /* Line 1455 of yacc.c  */
-#line 3758 "preproc.y"
+#line 3753 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27405,7 +27400,7 @@
   case 536:
 
 /* Line 1455 of yacc.c  */
-#line 3765 "preproc.y"
+#line 3760 "preproc.y"
     { 
  (yyval.str) = make_str("not deferrable");
 ;}
@@ -27414,7 +27409,7 @@
   case 537:
 
 /* Line 1455 of yacc.c  */
-#line 3769 "preproc.y"
+#line 3764 "preproc.y"
     { 
  (yyval.str) = make_str("deferrable");
 ;}
@@ -27423,7 +27418,7 @@
   case 538:
 
 /* Line 1455 of yacc.c  */
-#line 3777 "preproc.y"
+#line 3772 "preproc.y"
     { 
  (yyval.str) = make_str("initially immediate");
 ;}
@@ -27432,7 +27427,7 @@
   case 539:
 
 /* Line 1455 of yacc.c  */
-#line 3781 "preproc.y"
+#line 3776 "preproc.y"
     { 
  (yyval.str) = make_str("initially deferred");
 ;}
@@ -27441,7 +27436,7 @@
   case 540:
 
 /* Line 1455 of yacc.c  */
-#line 3789 "preproc.y"
+#line 3784 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop trigger"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27450,7 +27445,7 @@
   case 541:
 
 /* Line 1455 of yacc.c  */
-#line 3793 "preproc.y"
+#line 3788 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop trigger if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -27459,7 +27454,7 @@
   case 542:
 
 /* Line 1455 of yacc.c  */
-#line 3801 "preproc.y"
+#line 3796 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = cat_str(6,make_str("create assertion"),(yyvsp[(3) - (8)].str),make_str("check ("),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
@@ -27469,7 +27464,7 @@
   case 543:
 
 /* Line 1455 of yacc.c  */
-#line 3810 "preproc.y"
+#line 3805 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = cat_str(3,make_str("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
@@ -27479,7 +27474,7 @@
   case 544:
 
 /* Line 1455 of yacc.c  */
-#line 3819 "preproc.y"
+#line 3814 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -27488,7 +27483,7 @@
   case 545:
 
 /* Line 1455 of yacc.c  */
-#line 3823 "preproc.y"
+#line 3818 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27497,7 +27492,7 @@
   case 546:
 
 /* Line 1455 of yacc.c  */
-#line 3827 "preproc.y"
+#line 3822 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27506,7 +27501,7 @@
   case 547:
 
 /* Line 1455 of yacc.c  */
-#line 3831 "preproc.y"
+#line 3826 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27515,7 +27510,7 @@
   case 548:
 
 /* Line 1455 of yacc.c  */
-#line 3835 "preproc.y"
+#line 3830 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("create type"),(yyvsp[(3) - (3)].str));
 ;}
@@ -27524,7 +27519,7 @@
   case 549:
 
 /* Line 1455 of yacc.c  */
-#line 3839 "preproc.y"
+#line 3834 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (7)].str),make_str("as ("),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -27533,7 +27528,7 @@
   case 550:
 
 /* Line 1455 of yacc.c  */
-#line 3843 "preproc.y"
+#line 3838 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create type"),(yyvsp[(3) - (8)].str),make_str("as enum ("),(yyvsp[(7) - (8)].str),make_str(")"));
 ;}
@@ -27542,7 +27537,7 @@
   case 551:
 
 /* Line 1455 of yacc.c  */
-#line 3847 "preproc.y"
+#line 3842 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27551,7 +27546,7 @@
   case 552:
 
 /* Line 1455 of yacc.c  */
-#line 3851 "preproc.y"
+#line 3846 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27560,7 +27555,7 @@
   case 553:
 
 /* Line 1455 of yacc.c  */
-#line 3855 "preproc.y"
+#line 3850 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27569,7 +27564,7 @@
   case 554:
 
 /* Line 1455 of yacc.c  */
-#line 3859 "preproc.y"
+#line 3854 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27578,7 +27573,7 @@
   case 555:
 
 /* Line 1455 of yacc.c  */
-#line 3867 "preproc.y"
+#line 3862 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -27587,7 +27582,7 @@
   case 556:
 
 /* Line 1455 of yacc.c  */
-#line 3875 "preproc.y"
+#line 3870 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27596,7 +27591,7 @@
   case 557:
 
 /* Line 1455 of yacc.c  */
-#line 3879 "preproc.y"
+#line 3874 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -27605,7 +27600,7 @@
   case 558:
 
 /* Line 1455 of yacc.c  */
-#line 3887 "preproc.y"
+#line 3882 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -27614,7 +27609,7 @@
   case 559:
 
 /* Line 1455 of yacc.c  */
-#line 3891 "preproc.y"
+#line 3886 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27623,7 +27618,7 @@
   case 560:
 
 /* Line 1455 of yacc.c  */
-#line 3899 "preproc.y"
+#line 3894 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27632,7 +27627,7 @@
   case 561:
 
 /* Line 1455 of yacc.c  */
-#line 3903 "preproc.y"
+#line 3898 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27641,7 +27636,7 @@
   case 562:
 
 /* Line 1455 of yacc.c  */
-#line 3907 "preproc.y"
+#line 3902 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27650,7 +27645,7 @@
   case 563:
 
 /* Line 1455 of yacc.c  */
-#line 3911 "preproc.y"
+#line 3906 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27659,7 +27654,7 @@
   case 564:
 
 /* Line 1455 of yacc.c  */
-#line 3915 "preproc.y"
+#line 3910 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27668,7 +27663,7 @@
   case 565:
 
 /* Line 1455 of yacc.c  */
-#line 3923 "preproc.y"
+#line 3918 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -27677,7 +27672,7 @@
   case 566:
 
 /* Line 1455 of yacc.c  */
-#line 3927 "preproc.y"
+#line 3922 "preproc.y"
     { 
  (yyval.str) = make_str("( * )");
 ;}
@@ -27686,7 +27681,7 @@
   case 567:
 
 /* Line 1455 of yacc.c  */
-#line 3935 "preproc.y"
+#line 3930 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -27695,7 +27690,7 @@
   case 568:
 
 /* Line 1455 of yacc.c  */
-#line 3943 "preproc.y"
+#line 3938 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27704,7 +27699,7 @@
   case 569:
 
 /* Line 1455 of yacc.c  */
-#line 3947 "preproc.y"
+#line 3942 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -27713,7 +27708,7 @@
   case 570:
 
 /* Line 1455 of yacc.c  */
-#line 3955 "preproc.y"
+#line 3950 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -27722,7 +27717,7 @@
   case 571:
 
 /* Line 1455 of yacc.c  */
-#line 3963 "preproc.y"
+#line 3958 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27731,7 +27726,7 @@
   case 572:
 
 /* Line 1455 of yacc.c  */
-#line 3967 "preproc.y"
+#line 3962 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -27740,7 +27735,7 @@
   case 573:
 
 /* Line 1455 of yacc.c  */
-#line 3975 "preproc.y"
+#line 3970 "preproc.y"
     { 
  (yyval.str) = cat_str(10,make_str("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),make_str("for type"),(yyvsp[(8) - (13)].str),make_str("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),make_str("as"),(yyvsp[(13) - (13)].str));
 ;}
@@ -27749,7 +27744,7 @@
   case 574:
 
 /* Line 1455 of yacc.c  */
-#line 3983 "preproc.y"
+#line 3978 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27758,7 +27753,7 @@
   case 575:
 
 /* Line 1455 of yacc.c  */
-#line 3987 "preproc.y"
+#line 3982 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -27767,7 +27762,7 @@
   case 576:
 
 /* Line 1455 of yacc.c  */
-#line 3995 "preproc.y"
+#line 3990 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("operator"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27776,7 +27771,7 @@
   case 577:
 
 /* Line 1455 of yacc.c  */
-#line 3999 "preproc.y"
+#line 3994 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -27785,7 +27780,7 @@
   case 578:
 
 /* Line 1455 of yacc.c  */
-#line 4003 "preproc.y"
+#line 3998 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27794,7 +27789,7 @@
   case 579:
 
 /* Line 1455 of yacc.c  */
-#line 4007 "preproc.y"
+#line 4002 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("function"),(yyvsp[(2) - (7)].str),make_str("("),(yyvsp[(4) - (7)].str),make_str(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -27803,7 +27798,7 @@
   case 580:
 
 /* Line 1455 of yacc.c  */
-#line 4011 "preproc.y"
+#line 4006 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("storage"),(yyvsp[(2) - (2)].str));
 ;}
@@ -27812,7 +27807,7 @@
   case 581:
 
 /* Line 1455 of yacc.c  */
-#line 4019 "preproc.y"
+#line 4014 "preproc.y"
     { 
  (yyval.str) = make_str("default");
 ;}
@@ -27821,7 +27816,7 @@
   case 582:
 
 /* Line 1455 of yacc.c  */
-#line 4023 "preproc.y"
+#line 4018 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27829,7 +27824,7 @@
   case 583:
 
 /* Line 1455 of yacc.c  */
-#line 4030 "preproc.y"
+#line 4025 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("family"),(yyvsp[(2) - (2)].str));
 ;}
@@ -27838,7 +27833,7 @@
   case 584:
 
 /* Line 1455 of yacc.c  */
-#line 4034 "preproc.y"
+#line 4029 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -27846,25 +27841,25 @@
   case 585:
 
 /* Line 1455 of yacc.c  */
+#line 4036 "preproc.y"
+    { 
+mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
+ (yyval.str) = make_str("recheck");
+;}
+    break;
+
+  case 586:
+
+/* Line 1455 of yacc.c  */
 #line 4041 "preproc.y"
     { 
-mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
- (yyval.str) = make_str("recheck");
-;}
-    break;
-
-  case 586:
-
-/* Line 1455 of yacc.c  */
-#line 4046 "preproc.y"
-    { 
  (yyval.str)=EMPTY; ;}
     break;
 
   case 587:
 
 /* Line 1455 of yacc.c  */
-#line 4053 "preproc.y"
+#line 4048 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create operator family"),(yyvsp[(4) - (6)].str),make_str("using"),(yyvsp[(6) - (6)].str));
 ;}
@@ -27873,7 +27868,7 @@
   case 588:
 
 /* Line 1455 of yacc.c  */
-#line 4061 "preproc.y"
+#line 4056 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("add"),(yyvsp[(8) - (8)].str));
 ;}
@@ -27882,7 +27877,7 @@
   case 589:
 
 /* Line 1455 of yacc.c  */
-#line 4065 "preproc.y"
+#line 4060 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (8)].str),make_str("using"),(yyvsp[(6) - (8)].str),make_str("drop"),(yyvsp[(8) - (8)].str));
 ;}
@@ -27891,7 +27886,7 @@
   case 590:
 
 /* Line 1455 of yacc.c  */
-#line 4073 "preproc.y"
+#line 4068 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -27900,7 +27895,7 @@
   case 591:
 
 /* Line 1455 of yacc.c  */
-#line 4077 "preproc.y"
+#line 4072 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -27909,7 +27904,7 @@
   case 592:
 
 /* Line 1455 of yacc.c  */
-#line 4085 "preproc.y"
+#line 4080 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("operator"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -27918,7 +27913,7 @@
   case 593:
 
 /* Line 1455 of yacc.c  */
-#line 4089 "preproc.y"
+#line 4084 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("function"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -27927,7 +27922,7 @@
   case 594:
 
 /* Line 1455 of yacc.c  */
-#line 4097 "preproc.y"
+#line 4092 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop operator class"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -27936,7 +27931,7 @@
   case 595:
 
 /* Line 1455 of yacc.c  */
-#line 4101 "preproc.y"
+#line 4096 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop operator class if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
 ;}
@@ -27945,7 +27940,7 @@
   case 596:
 
 /* Line 1455 of yacc.c  */
-#line 4109 "preproc.y"
+#line 4104 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop operator family"),(yyvsp[(4) - (7)].str),make_str("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -27954,7 +27949,7 @@
   case 597:
 
 /* Line 1455 of yacc.c  */
-#line 4113 "preproc.y"
+#line 4108 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop operator family if exists"),(yyvsp[(6) - (9)].str),make_str("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
 ;}
@@ -27963,7 +27958,7 @@
   case 598:
 
 /* Line 1455 of yacc.c  */
-#line 4121 "preproc.y"
+#line 4116 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -27972,7 +27967,7 @@
   case 599:
 
 /* Line 1455 of yacc.c  */
-#line 4129 "preproc.y"
+#line 4124 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("reassign owned by"),(yyvsp[(4) - (6)].str),make_str("to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -27981,7 +27976,7 @@
   case 600:
 
 /* Line 1455 of yacc.c  */
-#line 4137 "preproc.y"
+#line 4132 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop"),(yyvsp[(2) - (6)].str),make_str("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -27990,7 +27985,7 @@
   case 601:
 
 /* Line 1455 of yacc.c  */
-#line 4141 "preproc.y"
+#line 4136 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -27999,7 +27994,7 @@
   case 602:
 
 /* Line 1455 of yacc.c  */
-#line 4149 "preproc.y"
+#line 4144 "preproc.y"
     { 
  (yyval.str) = make_str("table");
 ;}
@@ -28008,7 +28003,7 @@
   case 603:
 
 /* Line 1455 of yacc.c  */
-#line 4153 "preproc.y"
+#line 4148 "preproc.y"
     { 
  (yyval.str) = make_str("sequence");
 ;}
@@ -28017,7 +28012,7 @@
   case 604:
 
 /* Line 1455 of yacc.c  */
-#line 4157 "preproc.y"
+#line 4152 "preproc.y"
     { 
  (yyval.str) = make_str("view");
 ;}
@@ -28026,7 +28021,7 @@
   case 605:
 
 /* Line 1455 of yacc.c  */
-#line 4161 "preproc.y"
+#line 4156 "preproc.y"
     { 
  (yyval.str) = make_str("index");
 ;}
@@ -28035,7 +28030,7 @@
   case 606:
 
 /* Line 1455 of yacc.c  */
-#line 4165 "preproc.y"
+#line 4160 "preproc.y"
     { 
  (yyval.str) = make_str("type");
 ;}
@@ -28044,7 +28039,7 @@
   case 607:
 
 /* Line 1455 of yacc.c  */
-#line 4169 "preproc.y"
+#line 4164 "preproc.y"
     { 
  (yyval.str) = make_str("domain");
 ;}
@@ -28053,7 +28048,7 @@
   case 608:
 
 /* Line 1455 of yacc.c  */
-#line 4173 "preproc.y"
+#line 4168 "preproc.y"
     { 
  (yyval.str) = make_str("conversion");
 ;}
@@ -28062,7 +28057,7 @@
   case 609:
 
 /* Line 1455 of yacc.c  */
-#line 4177 "preproc.y"
+#line 4172 "preproc.y"
     { 
  (yyval.str) = make_str("schema");
 ;}
@@ -28071,7 +28066,7 @@
   case 610:
 
 /* Line 1455 of yacc.c  */
-#line 4181 "preproc.y"
+#line 4176 "preproc.y"
     { 
  (yyval.str) = make_str("text search parser");
 ;}
@@ -28080,7 +28075,7 @@
   case 611:
 
 /* Line 1455 of yacc.c  */
-#line 4185 "preproc.y"
+#line 4180 "preproc.y"
     { 
  (yyval.str) = make_str("text search dictionary");
 ;}
@@ -28089,7 +28084,7 @@
   case 612:
 
 /* Line 1455 of yacc.c  */
-#line 4189 "preproc.y"
+#line 4184 "preproc.y"
     { 
  (yyval.str) = make_str("text search template");
 ;}
@@ -28098,7 +28093,7 @@
   case 613:
 
 /* Line 1455 of yacc.c  */
-#line 4193 "preproc.y"
+#line 4188 "preproc.y"
     { 
  (yyval.str) = make_str("text search configuration");
 ;}
@@ -28107,7 +28102,7 @@
   case 614:
 
 /* Line 1455 of yacc.c  */
-#line 4201 "preproc.y"
+#line 4196 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28116,7 +28111,7 @@
   case 615:
 
 /* Line 1455 of yacc.c  */
-#line 4205 "preproc.y"
+#line 4200 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -28125,7 +28120,7 @@
   case 616:
 
 /* Line 1455 of yacc.c  */
-#line 4213 "preproc.y"
+#line 4208 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28134,7 +28129,7 @@
   case 617:
 
 /* Line 1455 of yacc.c  */
-#line 4217 "preproc.y"
+#line 4212 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -28143,7 +28138,7 @@
   case 618:
 
 /* Line 1455 of yacc.c  */
-#line 4225 "preproc.y"
+#line 4220 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
 ;}
@@ -28152,7 +28147,7 @@
   case 619:
 
 /* Line 1455 of yacc.c  */
-#line 4229 "preproc.y"
+#line 4224 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
 ;}
@@ -28161,7 +28156,7 @@
   case 620:
 
 /* Line 1455 of yacc.c  */
-#line 4237 "preproc.y"
+#line 4232 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -28170,7 +28165,7 @@
   case 621:
 
 /* Line 1455 of yacc.c  */
-#line 4245 "preproc.y"
+#line 4240 "preproc.y"
     { 
  (yyval.str) = make_str("continue identity");
 ;}
@@ -28179,7 +28174,7 @@
   case 622:
 
 /* Line 1455 of yacc.c  */
-#line 4249 "preproc.y"
+#line 4244 "preproc.y"
     { 
  (yyval.str) = make_str("restart identity");
 ;}
@@ -28188,7 +28183,7 @@
   case 623:
 
 /* Line 1455 of yacc.c  */
-#line 4253 "preproc.y"
+#line 4248 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -28196,7 +28191,7 @@
   case 624:
 
 /* Line 1455 of yacc.c  */
-#line 4260 "preproc.y"
+#line 4255 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
 ;}
@@ -28205,7 +28200,7 @@
   case 625:
 
 /* Line 1455 of yacc.c  */
-#line 4264 "preproc.y"
+#line 4259 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
 ;}
@@ -28214,7 +28209,7 @@
   case 626:
 
 /* Line 1455 of yacc.c  */
-#line 4268 "preproc.y"
+#line 4263 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
 ;}
@@ -28223,7 +28218,7 @@
   case 627:
 
 /* Line 1455 of yacc.c  */
-#line 4272 "preproc.y"
+#line 4267 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
 ;}
@@ -28232,7 +28227,7 @@
   case 628:
 
 /* Line 1455 of yacc.c  */
-#line 4276 "preproc.y"
+#line 4271 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on constraint"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28241,7 +28236,7 @@
   case 629:
 
 /* Line 1455 of yacc.c  */
-#line 4280 "preproc.y"
+#line 4275 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on rule"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28250,7 +28245,7 @@
   case 630:
 
 /* Line 1455 of yacc.c  */
-#line 4284 "preproc.y"
+#line 4279 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("comment on rule"),(yyvsp[(4) - (6)].str),make_str("is"),(yyvsp[(6) - (6)].str));
 ;}
@@ -28259,7 +28254,7 @@
   case 631:
 
 /* Line 1455 of yacc.c  */
-#line 4288 "preproc.y"
+#line 4283 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on trigger"),(yyvsp[(4) - (8)].str),make_str("on"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28268,7 +28263,7 @@
   case 632:
 
 /* Line 1455 of yacc.c  */
-#line 4292 "preproc.y"
+#line 4287 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on operator class"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
 ;}
@@ -28277,7 +28272,7 @@
   case 633:
 
 /* Line 1455 of yacc.c  */
-#line 4296 "preproc.y"
+#line 4291 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on operator family"),(yyvsp[(5) - (9)].str),make_str("using"),(yyvsp[(7) - (9)].str),make_str("is"),(yyvsp[(9) - (9)].str));
 ;}
@@ -28286,7 +28281,7 @@
   case 634:
 
 /* Line 1455 of yacc.c  */
-#line 4300 "preproc.y"
+#line 4295 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("comment on large object"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
 ;}
@@ -28295,7 +28290,7 @@
   case 635:
 
 /* Line 1455 of yacc.c  */
-#line 4304 "preproc.y"
+#line 4299 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on cast ("),(yyvsp[(5) - (10)].str),make_str("as"),(yyvsp[(7) - (10)].str),make_str(") is"),(yyvsp[(10) - (10)].str));
 ;}
@@ -28304,7 +28299,7 @@
   case 636:
 
 /* Line 1455 of yacc.c  */
-#line 4308 "preproc.y"
+#line 4303 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("comment on"),(yyvsp[(3) - (7)].str),make_str("language"),(yyvsp[(5) - (7)].str),make_str("is"),(yyvsp[(7) - (7)].str));
 ;}
@@ -28313,7 +28308,7 @@
   case 637:
 
 /* Line 1455 of yacc.c  */
-#line 4312 "preproc.y"
+#line 4307 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("comment on text search parser"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28322,7 +28317,7 @@
   case 638:
 
 /* Line 1455 of yacc.c  */
-#line 4316 "preproc.y"
+#line 4311 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("comment on text search dictionary"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28331,7 +28326,7 @@
   case 639:
 
 /* Line 1455 of yacc.c  */
-#line 4320 "preproc.y"
+#line 4315 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("comment on text search template"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28340,7 +28335,7 @@
   case 640:
 
 /* Line 1455 of yacc.c  */
-#line 4324 "preproc.y"
+#line 4319 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("comment on text search configuration"),(yyvsp[(6) - (8)].str),make_str("is"),(yyvsp[(8) - (8)].str));
 ;}
@@ -28349,7 +28344,7 @@
   case 641:
 
 /* Line 1455 of yacc.c  */
-#line 4332 "preproc.y"
+#line 4327 "preproc.y"
     { 
  (yyval.str) = make_str("column");
 ;}
@@ -28358,7 +28353,7 @@
   case 642:
 
 /* Line 1455 of yacc.c  */
-#line 4336 "preproc.y"
+#line 4331 "preproc.y"
     { 
  (yyval.str) = make_str("database");
 ;}
@@ -28367,7 +28362,7 @@
   case 643:
 
 /* Line 1455 of yacc.c  */
-#line 4340 "preproc.y"
+#line 4335 "preproc.y"
     { 
  (yyval.str) = make_str("schema");
 ;}
@@ -28376,7 +28371,7 @@
   case 644:
 
 /* Line 1455 of yacc.c  */
-#line 4344 "preproc.y"
+#line 4339 "preproc.y"
     { 
  (yyval.str) = make_str("index");
 ;}
@@ -28385,7 +28380,7 @@
   case 645:
 
 /* Line 1455 of yacc.c  */
-#line 4348 "preproc.y"
+#line 4343 "preproc.y"
     { 
  (yyval.str) = make_str("sequence");
 ;}
@@ -28394,7 +28389,7 @@
   case 646:
 
 /* Line 1455 of yacc.c  */
-#line 4352 "preproc.y"
+#line 4347 "preproc.y"
     { 
  (yyval.str) = make_str("table");
 ;}
@@ -28403,7 +28398,7 @@
   case 647:
 
 /* Line 1455 of yacc.c  */
-#line 4356 "preproc.y"
+#line 4351 "preproc.y"
     { 
  (yyval.str) = make_str("domain");
 ;}
@@ -28412,7 +28407,7 @@
   case 648:
 
 /* Line 1455 of yacc.c  */
-#line 4360 "preproc.y"
+#line 4355 "preproc.y"
     { 
  (yyval.str) = make_str("type");
 ;}
@@ -28421,7 +28416,7 @@
   case 649:
 
 /* Line 1455 of yacc.c  */
-#line 4364 "preproc.y"
+#line 4359 "preproc.y"
     { 
  (yyval.str) = make_str("view");
 ;}
@@ -28430,7 +28425,7 @@
   case 650:
 
 /* Line 1455 of yacc.c  */
-#line 4368 "preproc.y"
+#line 4363 "preproc.y"
     { 
  (yyval.str) = make_str("conversion");
 ;}
@@ -28439,7 +28434,7 @@
   case 651:
 
 /* Line 1455 of yacc.c  */
-#line 4372 "preproc.y"
+#line 4367 "preproc.y"
     { 
  (yyval.str) = make_str("tablespace");
 ;}
@@ -28448,7 +28443,7 @@
   case 652:
 
 /* Line 1455 of yacc.c  */
-#line 4376 "preproc.y"
+#line 4371 "preproc.y"
     { 
  (yyval.str) = make_str("role");
 ;}
@@ -28457,7 +28452,7 @@
   case 653:
 
 /* Line 1455 of yacc.c  */
-#line 4384 "preproc.y"
+#line 4379 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28466,7 +28461,7 @@
   case 654:
 
 /* Line 1455 of yacc.c  */
-#line 4388 "preproc.y"
+#line 4383 "preproc.y"
     { 
  (yyval.str) = make_str("null");
 ;}
@@ -28475,7 +28470,7 @@
   case 655:
 
 /* Line 1455 of yacc.c  */
-#line 4396 "preproc.y"
+#line 4391 "preproc.y"
     {
 		add_additional_variables((yyvsp[(4) - (4)].str), false);
 		(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (4)].str), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
@@ -28485,7 +28480,7 @@
   case 656:
 
 /* Line 1455 of yacc.c  */
-#line 4401 "preproc.y"
+#line 4396 "preproc.y"
     {
 		add_additional_variables((yyvsp[(2) - (2)].str), false);
 		(yyval.str) = cat_str(2, make_str("fetch"), (yyvsp[(2) - (2)].str));
@@ -28495,7 +28490,7 @@
   case 657:
 
 /* Line 1455 of yacc.c  */
-#line 4406 "preproc.y"
+#line 4401 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("move"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -28504,7 +28499,7 @@
   case 658:
 
 /* Line 1455 of yacc.c  */
-#line 4410 "preproc.y"
+#line 4405 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("move"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28513,7 +28508,7 @@
   case 659:
 
 /* Line 1455 of yacc.c  */
-#line 4414 "preproc.y"
+#line 4409 "preproc.y"
     {
 			add_additional_variables((yyvsp[(4) - (5)].str), false);
 			(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (5)].str), (yyvsp[(3) - (5)].str), (yyvsp[(4) - (5)].str));
@@ -28523,7 +28518,7 @@
   case 660:
 
 /* Line 1455 of yacc.c  */
-#line 4419 "preproc.y"
+#line 4414 "preproc.y"
     {
 			add_additional_variables((yyvsp[(3) - (4)].str), false);
 			(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (4)].str), make_str("from"), (yyvsp[(3) - (4)].str));
@@ -28533,7 +28528,7 @@
   case 661:
 
 /* Line 1455 of yacc.c  */
-#line 4424 "preproc.y"
+#line 4419 "preproc.y"
     {
 			add_additional_variables((yyvsp[(3) - (4)].str), false);
 			(yyval.str) = cat_str(3, make_str("fetch"), (yyvsp[(2) - (4)].str), (yyvsp[(3) - (4)].str));
@@ -28543,7 +28538,7 @@
   case 662:
 
 /* Line 1455 of yacc.c  */
-#line 4429 "preproc.y"
+#line 4424 "preproc.y"
     {
 			add_additional_variables((yyvsp[(2) - (3)].str), false);
 			(yyval.str) = cat2_str(make_str("fetch"), (yyvsp[(2) - (3)].str));
@@ -28553,7 +28548,7 @@
   case 663:
 
 /* Line 1455 of yacc.c  */
-#line 4434 "preproc.y"
+#line 4429 "preproc.y"
     {
 			add_additional_variables((yyvsp[(3) - (3)].str), false);
 			(yyval.str) = cat_str(4, make_str("fetch"), (yyvsp[(2) - (3)].str), make_str("from"), (yyvsp[(3) - (3)].str));
@@ -28563,7 +28558,7 @@
   case 664:
 
 /* Line 1455 of yacc.c  */
-#line 4439 "preproc.y"
+#line 4434 "preproc.y"
     {
 			add_additional_variables((yyvsp[(3) - (3)].str), false);
 			(yyval.str) = cat_str(3, make_str("fetch"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str));
@@ -28573,7 +28568,7 @@
   case 665:
 
 /* Line 1455 of yacc.c  */
-#line 4448 "preproc.y"
+#line 4443 "preproc.y"
     { 
  (yyval.str) = make_str("next");
 ;}
@@ -28582,7 +28577,7 @@
   case 666:
 
 /* Line 1455 of yacc.c  */
-#line 4452 "preproc.y"
+#line 4447 "preproc.y"
     { 
  (yyval.str) = make_str("prior");
 ;}
@@ -28591,7 +28586,7 @@
   case 667:
 
 /* Line 1455 of yacc.c  */
-#line 4456 "preproc.y"
+#line 4451 "preproc.y"
     { 
  (yyval.str) = make_str("first");
 ;}
@@ -28600,7 +28595,7 @@
   case 668:
 
 /* Line 1455 of yacc.c  */
-#line 4460 "preproc.y"
+#line 4455 "preproc.y"
     { 
  (yyval.str) = make_str("last");
 ;}
@@ -28609,7 +28604,7 @@
   case 669:
 
 /* Line 1455 of yacc.c  */
-#line 4464 "preproc.y"
+#line 4459 "preproc.y"
     { 
 		if ((yyvsp[(2) - (2)].str)[0] == '$')
 		{
@@ -28624,7 +28619,7 @@
   case 670:
 
 /* Line 1455 of yacc.c  */
-#line 4474 "preproc.y"
+#line 4469 "preproc.y"
     { 
 		if ((yyvsp[(2) - (2)].str)[0] == '$')
 		{
@@ -28639,7 +28634,7 @@
   case 671:
 
 /* Line 1455 of yacc.c  */
-#line 4484 "preproc.y"
+#line 4479 "preproc.y"
     { 
 		if ((yyvsp[(1) - (1)].str)[0] == '$')
 		{
@@ -28654,7 +28649,7 @@
   case 672:
 
 /* Line 1455 of yacc.c  */
-#line 4494 "preproc.y"
+#line 4489 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -28663,7 +28658,7 @@
   case 673:
 
 /* Line 1455 of yacc.c  */
-#line 4498 "preproc.y"
+#line 4493 "preproc.y"
     { 
  (yyval.str) = make_str("forward");
 ;}
@@ -28672,7 +28667,7 @@
   case 674:
 
 /* Line 1455 of yacc.c  */
-#line 4502 "preproc.y"
+#line 4497 "preproc.y"
     { 
 		if ((yyvsp[(2) - (2)].str)[0] == '$')
 		{
@@ -28687,7 +28682,7 @@
   case 675:
 
 /* Line 1455 of yacc.c  */
-#line 4512 "preproc.y"
+#line 4507 "preproc.y"
     { 
  (yyval.str) = make_str("forward all");
 ;}
@@ -28696,7 +28691,7 @@
   case 676:
 
 /* Line 1455 of yacc.c  */
-#line 4516 "preproc.y"
+#line 4511 "preproc.y"
     { 
  (yyval.str) = make_str("backward");
 ;}
@@ -28705,7 +28700,7 @@
   case 677:
 
 /* Line 1455 of yacc.c  */
-#line 4520 "preproc.y"
+#line 4515 "preproc.y"
     { 
 		if ((yyvsp[(2) - (2)].str)[0] == '$')
 		{
@@ -28720,7 +28715,7 @@
   case 678:
 
 /* Line 1455 of yacc.c  */
-#line 4530 "preproc.y"
+#line 4525 "preproc.y"
     { 
  (yyval.str) = make_str("backward all");
 ;}
@@ -28729,7 +28724,7 @@
   case 679:
 
 /* Line 1455 of yacc.c  */
-#line 4538 "preproc.y"
+#line 4533 "preproc.y"
     { 
  (yyval.str) = make_str("from");
 ;}
@@ -28738,7 +28733,7 @@
   case 680:
 
 /* Line 1455 of yacc.c  */
-#line 4542 "preproc.y"
+#line 4537 "preproc.y"
     { 
  (yyval.str) = make_str("in");
 ;}
@@ -28747,7 +28742,7 @@
   case 681:
 
 /* Line 1455 of yacc.c  */
-#line 4550 "preproc.y"
+#line 4545 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("grant"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -28756,7 +28751,7 @@
   case 682:
 
 /* Line 1455 of yacc.c  */
-#line 4558 "preproc.y"
+#line 4553 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("revoke"),(yyvsp[(2) - (7)].str),make_str("on"),(yyvsp[(4) - (7)].str),make_str("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -28765,7 +28760,7 @@
   case 683:
 
 /* Line 1455 of yacc.c  */
-#line 4562 "preproc.y"
+#line 4557 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("revoke grant option for"),(yyvsp[(5) - (10)].str),make_str("on"),(yyvsp[(7) - (10)].str),make_str("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
 ;}
@@ -28774,7 +28769,7 @@
   case 684:
 
 /* Line 1455 of yacc.c  */
-#line 4570 "preproc.y"
+#line 4565 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28783,7 +28778,7 @@
   case 685:
 
 /* Line 1455 of yacc.c  */
-#line 4574 "preproc.y"
+#line 4569 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -28792,7 +28787,7 @@
   case 686:
 
 /* Line 1455 of yacc.c  */
-#line 4578 "preproc.y"
+#line 4573 "preproc.y"
     { 
  (yyval.str) = make_str("all privileges");
 ;}
@@ -28801,7 +28796,7 @@
   case 687:
 
 /* Line 1455 of yacc.c  */
-#line 4582 "preproc.y"
+#line 4577 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("all ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -28810,7 +28805,7 @@
   case 688:
 
 /* Line 1455 of yacc.c  */
-#line 4586 "preproc.y"
+#line 4581 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("all privileges ("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -28819,7 +28814,7 @@
   case 689:
 
 /* Line 1455 of yacc.c  */
-#line 4594 "preproc.y"
+#line 4589 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28828,7 +28823,7 @@
   case 690:
 
 /* Line 1455 of yacc.c  */
-#line 4598 "preproc.y"
+#line 4593 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -28837,7 +28832,7 @@
   case 691:
 
 /* Line 1455 of yacc.c  */
-#line 4606 "preproc.y"
+#line 4601 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("select"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28846,7 +28841,7 @@
   case 692:
 
 /* Line 1455 of yacc.c  */
-#line 4610 "preproc.y"
+#line 4605 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("references"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28855,7 +28850,7 @@
   case 693:
 
 /* Line 1455 of yacc.c  */
-#line 4614 "preproc.y"
+#line 4609 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("create"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28864,7 +28859,7 @@
   case 694:
 
 /* Line 1455 of yacc.c  */
-#line 4618 "preproc.y"
+#line 4613 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -28873,7 +28868,7 @@
   case 695:
 
 /* Line 1455 of yacc.c  */
-#line 4626 "preproc.y"
+#line 4621 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28882,7 +28877,7 @@
   case 696:
 
 /* Line 1455 of yacc.c  */
-#line 4630 "preproc.y"
+#line 4625 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28891,7 +28886,7 @@
   case 697:
 
 /* Line 1455 of yacc.c  */
-#line 4634 "preproc.y"
+#line 4629 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("sequence"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28900,7 +28895,7 @@
   case 698:
 
 /* Line 1455 of yacc.c  */
-#line 4638 "preproc.y"
+#line 4633 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("foreign data wrapper"),(yyvsp[(4) - (4)].str));
 ;}
@@ -28909,7 +28904,7 @@
   case 699:
 
 /* Line 1455 of yacc.c  */
-#line 4642 "preproc.y"
+#line 4637 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("foreign server"),(yyvsp[(3) - (3)].str));
 ;}
@@ -28918,7 +28913,7 @@
   case 700:
 
 /* Line 1455 of yacc.c  */
-#line 4646 "preproc.y"
+#line 4641 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("function"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28927,7 +28922,7 @@
   case 701:
 
 /* Line 1455 of yacc.c  */
-#line 4650 "preproc.y"
+#line 4645 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("database"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28936,7 +28931,7 @@
   case 702:
 
 /* Line 1455 of yacc.c  */
-#line 4654 "preproc.y"
+#line 4649 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28945,7 +28940,7 @@
   case 703:
 
 /* Line 1455 of yacc.c  */
-#line 4658 "preproc.y"
+#line 4653 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("schema"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28954,7 +28949,7 @@
   case 704:
 
 /* Line 1455 of yacc.c  */
-#line 4662 "preproc.y"
+#line 4657 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("tablespace"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28963,7 +28958,7 @@
   case 705:
 
 /* Line 1455 of yacc.c  */
-#line 4670 "preproc.y"
+#line 4665 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28972,7 +28967,7 @@
   case 706:
 
 /* Line 1455 of yacc.c  */
-#line 4674 "preproc.y"
+#line 4669 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -28981,7 +28976,7 @@
   case 707:
 
 /* Line 1455 of yacc.c  */
-#line 4682 "preproc.y"
+#line 4677 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -28990,7 +28985,7 @@
   case 708:
 
 /* Line 1455 of yacc.c  */
-#line 4686 "preproc.y"
+#line 4681 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("group"),(yyvsp[(2) - (2)].str));
 ;}
@@ -28999,7 +28994,7 @@
   case 709:
 
 /* Line 1455 of yacc.c  */
-#line 4694 "preproc.y"
+#line 4689 "preproc.y"
     { 
  (yyval.str) = make_str("with grant option");
 ;}
@@ -29008,7 +29003,7 @@
   case 710:
 
 /* Line 1455 of yacc.c  */
-#line 4698 "preproc.y"
+#line 4693 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29016,7 +29011,7 @@
   case 711:
 
 /* Line 1455 of yacc.c  */
-#line 4705 "preproc.y"
+#line 4700 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29025,7 +29020,7 @@
   case 712:
 
 /* Line 1455 of yacc.c  */
-#line 4709 "preproc.y"
+#line 4704 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -29034,7 +29029,7 @@
   case 713:
 
 /* Line 1455 of yacc.c  */
-#line 4717 "preproc.y"
+#line 4712 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -29043,7 +29038,7 @@
   case 714:
 
 /* Line 1455 of yacc.c  */
-#line 4725 "preproc.y"
+#line 4720 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("grant"),(yyvsp[(2) - (6)].str),make_str("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -29052,7 +29047,7 @@
   case 715:
 
 /* Line 1455 of yacc.c  */
-#line 4733 "preproc.y"
+#line 4728 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("revoke"),(yyvsp[(2) - (6)].str),make_str("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -29061,7 +29056,7 @@
   case 716:
 
 /* Line 1455 of yacc.c  */
-#line 4737 "preproc.y"
+#line 4732 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("revoke admin option for"),(yyvsp[(5) - (9)].str),make_str("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
 ;}
@@ -29070,7 +29065,7 @@
   case 717:
 
 /* Line 1455 of yacc.c  */
-#line 4745 "preproc.y"
+#line 4740 "preproc.y"
     { 
  (yyval.str) = make_str("with admin option");
 ;}
@@ -29079,7 +29074,7 @@
   case 718:
 
 /* Line 1455 of yacc.c  */
-#line 4749 "preproc.y"
+#line 4744 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29087,7 +29082,7 @@
   case 719:
 
 /* Line 1455 of yacc.c  */
-#line 4756 "preproc.y"
+#line 4751 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("granted by"),(yyvsp[(3) - (3)].str));
 ;}
@@ -29096,7 +29091,7 @@
   case 720:
 
 /* Line 1455 of yacc.c  */
-#line 4760 "preproc.y"
+#line 4755 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29104,7 +29099,7 @@
   case 721:
 
 /* Line 1455 of yacc.c  */
-#line 4767 "preproc.y"
+#line 4762 "preproc.y"
     { 
  (yyval.str) = cat_str(13,make_str("create"),(yyvsp[(2) - (13)].str),make_str("index"),(yyvsp[(4) - (13)].str),make_str("on"),(yyvsp[(6) - (13)].str),(yyvsp[(7) - (13)].str),make_str("("),(yyvsp[(9) - (13)].str),make_str(")"),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
 ;}
@@ -29113,7 +29108,7 @@
   case 722:
 
 /* Line 1455 of yacc.c  */
-#line 4771 "preproc.y"
+#line 4766 "preproc.y"
     { 
  (yyval.str) = cat_str(13,make_str("create"),(yyvsp[(2) - (14)].str),make_str("index concurrently"),(yyvsp[(5) - (14)].str),make_str("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),make_str("("),(yyvsp[(10) - (14)].str),make_str(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
 ;}
@@ -29122,7 +29117,7 @@
   case 723:
 
 /* Line 1455 of yacc.c  */
-#line 4779 "preproc.y"
+#line 4774 "preproc.y"
     { 
  (yyval.str) = make_str("unique");
 ;}
@@ -29131,7 +29126,7 @@
   case 724:
 
 /* Line 1455 of yacc.c  */
-#line 4783 "preproc.y"
+#line 4778 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29139,7 +29134,7 @@
   case 725:
 
 /* Line 1455 of yacc.c  */
-#line 4790 "preproc.y"
+#line 4785 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29148,7 +29143,7 @@
   case 726:
 
 /* Line 1455 of yacc.c  */
-#line 4794 "preproc.y"
+#line 4789 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29156,7 +29151,7 @@
   case 727:
 
 /* Line 1455 of yacc.c  */
-#line 4801 "preproc.y"
+#line 4796 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29165,7 +29160,7 @@
   case 728:
 
 /* Line 1455 of yacc.c  */
-#line 4805 "preproc.y"
+#line 4800 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -29174,7 +29169,7 @@
   case 729:
 
 /* Line 1455 of yacc.c  */
-#line 4813 "preproc.y"
+#line 4808 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -29183,7 +29178,7 @@
   case 730:
 
 /* Line 1455 of yacc.c  */
-#line 4817 "preproc.y"
+#line 4812 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -29192,7 +29187,7 @@
   case 731:
 
 /* Line 1455 of yacc.c  */
-#line 4821 "preproc.y"
+#line 4816 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),make_str(")"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -29201,7 +29196,7 @@
   case 732:
 
 /* Line 1455 of yacc.c  */
-#line 4829 "preproc.y"
+#line 4824 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29210,7 +29205,7 @@
   case 733:
 
 /* Line 1455 of yacc.c  */
-#line 4833 "preproc.y"
+#line 4828 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29219,7 +29214,7 @@
   case 734:
 
 /* Line 1455 of yacc.c  */
-#line 4837 "preproc.y"
+#line 4832 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29227,7 +29222,7 @@
   case 735:
 
 /* Line 1455 of yacc.c  */
-#line 4844 "preproc.y"
+#line 4839 "preproc.y"
     { 
  (yyval.str) = make_str("asc");
 ;}
@@ -29236,7 +29231,7 @@
   case 736:
 
 /* Line 1455 of yacc.c  */
-#line 4848 "preproc.y"
+#line 4843 "preproc.y"
     { 
  (yyval.str) = make_str("desc");
 ;}
@@ -29245,7 +29240,7 @@
   case 737:
 
 /* Line 1455 of yacc.c  */
-#line 4852 "preproc.y"
+#line 4847 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29253,7 +29248,7 @@
   case 738:
 
 /* Line 1455 of yacc.c  */
-#line 4859 "preproc.y"
+#line 4854 "preproc.y"
     { 
  (yyval.str) = make_str("nulls first");
 ;}
@@ -29262,7 +29257,7 @@
   case 739:
 
 /* Line 1455 of yacc.c  */
-#line 4863 "preproc.y"
+#line 4858 "preproc.y"
     { 
  (yyval.str) = make_str("nulls last");
 ;}
@@ -29271,7 +29266,7 @@
   case 740:
 
 /* Line 1455 of yacc.c  */
-#line 4867 "preproc.y"
+#line 4862 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29279,7 +29274,7 @@
   case 741:
 
 /* Line 1455 of yacc.c  */
-#line 4874 "preproc.y"
+#line 4869 "preproc.y"
     { 
  (yyval.str) = cat_str(9,make_str("create"),(yyvsp[(2) - (9)].str),make_str("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),make_str("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
 ;}
@@ -29288,7 +29283,7 @@
   case 742:
 
 /* Line 1455 of yacc.c  */
-#line 4878 "preproc.y"
+#line 4873 "preproc.y"
     { 
  (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (12)].str),make_str("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),make_str("returns table ("),(yyvsp[(9) - (12)].str),make_str(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
 ;}
@@ -29297,7 +29292,7 @@
   case 743:
 
 /* Line 1455 of yacc.c  */
-#line 4882 "preproc.y"
+#line 4877 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (7)].str),make_str("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -29306,7 +29301,7 @@
   case 744:
 
 /* Line 1455 of yacc.c  */
-#line 4890 "preproc.y"
+#line 4885 "preproc.y"
     { 
  (yyval.str) = make_str("or replace");
 ;}
@@ -29315,7 +29310,7 @@
   case 745:
 
 /* Line 1455 of yacc.c  */
-#line 4894 "preproc.y"
+#line 4889 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29323,7 +29318,7 @@
   case 746:
 
 /* Line 1455 of yacc.c  */
-#line 4901 "preproc.y"
+#line 4896 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -29332,7 +29327,7 @@
   case 747:
 
 /* Line 1455 of yacc.c  */
-#line 4905 "preproc.y"
+#line 4900 "preproc.y"
     { 
  (yyval.str) = make_str("( )");
 ;}
@@ -29341,7 +29336,7 @@
   case 748:
 
 /* Line 1455 of yacc.c  */
-#line 4913 "preproc.y"
+#line 4908 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29350,7 +29345,7 @@
   case 749:
 
 /* Line 1455 of yacc.c  */
-#line 4917 "preproc.y"
+#line 4912 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -29359,7 +29354,7 @@
   case 750:
 
 /* Line 1455 of yacc.c  */
-#line 4925 "preproc.y"
+#line 4920 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -29368,7 +29363,7 @@
   case 751:
 
 /* Line 1455 of yacc.c  */
-#line 4929 "preproc.y"
+#line 4924 "preproc.y"
     { 
  (yyval.str) = make_str("( )");
 ;}
@@ -29377,7 +29372,7 @@
   case 752:
 
 /* Line 1455 of yacc.c  */
-#line 4937 "preproc.y"
+#line 4932 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29386,7 +29381,7 @@
   case 753:
 
 /* Line 1455 of yacc.c  */
-#line 4941 "preproc.y"
+#line 4936 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -29395,7 +29390,7 @@
   case 754:
 
 /* Line 1455 of yacc.c  */
-#line 4949 "preproc.y"
+#line 4944 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -29404,7 +29399,7 @@
   case 755:
 
 /* Line 1455 of yacc.c  */
-#line 4953 "preproc.y"
+#line 4948 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -29413,7 +29408,7 @@
   case 756:
 
 /* Line 1455 of yacc.c  */
-#line 4957 "preproc.y"
+#line 4952 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -29422,7 +29417,7 @@
   case 757:
 
 /* Line 1455 of yacc.c  */
-#line 4961 "preproc.y"
+#line 4956 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -29431,7 +29426,7 @@
   case 758:
 
 /* Line 1455 of yacc.c  */
-#line 4965 "preproc.y"
+#line 4960 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29440,7 +29435,7 @@
   case 759:
 
 /* Line 1455 of yacc.c  */
-#line 4973 "preproc.y"
+#line 4968 "preproc.y"
     { 
  (yyval.str) = make_str("in");
 ;}
@@ -29449,7 +29444,7 @@
   case 760:
 
 /* Line 1455 of yacc.c  */
-#line 4977 "preproc.y"
+#line 4972 "preproc.y"
     { 
  (yyval.str) = make_str("out");
 ;}
@@ -29458,7 +29453,7 @@
   case 761:
 
 /* Line 1455 of yacc.c  */
-#line 4981 "preproc.y"
+#line 4976 "preproc.y"
     { 
  (yyval.str) = make_str("inout");
 ;}
@@ -29467,7 +29462,7 @@
   case 762:
 
 /* Line 1455 of yacc.c  */
-#line 4985 "preproc.y"
+#line 4980 "preproc.y"
     { 
  (yyval.str) = make_str("in out");
 ;}
@@ -29476,7 +29471,7 @@
   case 763:
 
 /* Line 1455 of yacc.c  */
-#line 4989 "preproc.y"
+#line 4984 "preproc.y"
     { 
  (yyval.str) = make_str("variadic");
 ;}
@@ -29485,7 +29480,7 @@
   case 764:
 
 /* Line 1455 of yacc.c  */
-#line 4997 "preproc.y"
+#line 4992 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29494,7 +29489,7 @@
   case 765:
 
 /* Line 1455 of yacc.c  */
-#line 5005 "preproc.y"
+#line 5000 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29503,7 +29498,7 @@
   case 766:
 
 /* Line 1455 of yacc.c  */
-#line 5013 "preproc.y"
+#line 5008 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29512,7 +29507,7 @@
   case 767:
 
 /* Line 1455 of yacc.c  */
-#line 5017 "preproc.y"
+#line 5012 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("% type"));
 ;}
@@ -29521,7 +29516,7 @@
   case 768:
 
 /* Line 1455 of yacc.c  */
-#line 5021 "preproc.y"
+#line 5016 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("% type"));
 ;}
@@ -29530,7 +29525,7 @@
   case 769:
 
 /* Line 1455 of yacc.c  */
-#line 5029 "preproc.y"
+#line 5024 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29539,7 +29534,7 @@
   case 770:
 
 /* Line 1455 of yacc.c  */
-#line 5033 "preproc.y"
+#line 5028 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("default"),(yyvsp[(3) - (3)].str));
 ;}
@@ -29548,7 +29543,7 @@
   case 771:
 
 /* Line 1455 of yacc.c  */
-#line 5037 "preproc.y"
+#line 5032 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -29557,7 +29552,7 @@
   case 772:
 
 /* Line 1455 of yacc.c  */
-#line 5045 "preproc.y"
+#line 5040 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29566,7 +29561,7 @@
   case 773:
 
 /* Line 1455 of yacc.c  */
-#line 5049 "preproc.y"
+#line 5044 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -29575,7 +29570,7 @@
   case 774:
 
 /* Line 1455 of yacc.c  */
-#line 5057 "preproc.y"
+#line 5052 "preproc.y"
     { 
  (yyval.str) = make_str("called on null input");
 ;}
@@ -29584,7 +29579,7 @@
   case 775:
 
 /* Line 1455 of yacc.c  */
-#line 5061 "preproc.y"
+#line 5056 "preproc.y"
     { 
  (yyval.str) = make_str("returns null on null input");
 ;}
@@ -29593,7 +29588,7 @@
   case 776:
 
 /* Line 1455 of yacc.c  */
-#line 5065 "preproc.y"
+#line 5060 "preproc.y"
     { 
  (yyval.str) = make_str("strict");
 ;}
@@ -29602,7 +29597,7 @@
   case 777:
 
 /* Line 1455 of yacc.c  */
-#line 5069 "preproc.y"
+#line 5064 "preproc.y"
     { 
  (yyval.str) = make_str("immutable");
 ;}
@@ -29611,7 +29606,7 @@
   case 778:
 
 /* Line 1455 of yacc.c  */
-#line 5073 "preproc.y"
+#line 5068 "preproc.y"
     { 
  (yyval.str) = make_str("stable");
 ;}
@@ -29620,7 +29615,7 @@
   case 779:
 
 /* Line 1455 of yacc.c  */
-#line 5077 "preproc.y"
+#line 5072 "preproc.y"
     { 
  (yyval.str) = make_str("volatile");
 ;}
@@ -29629,7 +29624,7 @@
   case 780:
 
 /* Line 1455 of yacc.c  */
-#line 5081 "preproc.y"
+#line 5076 "preproc.y"
     { 
  (yyval.str) = make_str("external security definer");
 ;}
@@ -29638,7 +29633,7 @@
   case 781:
 
 /* Line 1455 of yacc.c  */
-#line 5085 "preproc.y"
+#line 5080 "preproc.y"
     { 
  (yyval.str) = make_str("external security invoker");
 ;}
@@ -29647,7 +29642,7 @@
   case 782:
 
 /* Line 1455 of yacc.c  */
-#line 5089 "preproc.y"
+#line 5084 "preproc.y"
     { 
  (yyval.str) = make_str("security definer");
 ;}
@@ -29656,7 +29651,7 @@
   case 783:
 
 /* Line 1455 of yacc.c  */
-#line 5093 "preproc.y"
+#line 5088 "preproc.y"
     { 
  (yyval.str) = make_str("security invoker");
 ;}
@@ -29665,7 +29660,7 @@
   case 784:
 
 /* Line 1455 of yacc.c  */
-#line 5097 "preproc.y"
+#line 5092 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("cost"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29674,7 +29669,7 @@
   case 785:
 
 /* Line 1455 of yacc.c  */
-#line 5101 "preproc.y"
+#line 5096 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29683,7 +29678,7 @@
   case 786:
 
 /* Line 1455 of yacc.c  */
-#line 5105 "preproc.y"
+#line 5100 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29692,7 +29687,7 @@
   case 787:
 
 /* Line 1455 of yacc.c  */
-#line 5113 "preproc.y"
+#line 5108 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29701,7 +29696,7 @@
   case 788:
 
 /* Line 1455 of yacc.c  */
-#line 5117 "preproc.y"
+#line 5112 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("language"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29710,7 +29705,7 @@
   case 789:
 
 /* Line 1455 of yacc.c  */
-#line 5121 "preproc.y"
+#line 5116 "preproc.y"
     { 
  (yyval.str) = make_str("window");
 ;}
@@ -29719,7 +29714,7 @@
   case 790:
 
 /* Line 1455 of yacc.c  */
-#line 5125 "preproc.y"
+#line 5120 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29728,7 +29723,7 @@
   case 791:
 
 /* Line 1455 of yacc.c  */
-#line 5133 "preproc.y"
+#line 5128 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29737,7 +29732,7 @@
   case 792:
 
 /* Line 1455 of yacc.c  */
-#line 5137 "preproc.y"
+#line 5132 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -29746,7 +29741,7 @@
   case 793:
 
 /* Line 1455 of yacc.c  */
-#line 5145 "preproc.y"
+#line 5140 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
 ;}
@@ -29755,7 +29750,7 @@
   case 794:
 
 /* Line 1455 of yacc.c  */
-#line 5149 "preproc.y"
+#line 5144 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29763,7 +29758,7 @@
   case 795:
 
 /* Line 1455 of yacc.c  */
-#line 5156 "preproc.y"
+#line 5151 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -29772,7 +29767,7 @@
   case 796:
 
 /* Line 1455 of yacc.c  */
-#line 5164 "preproc.y"
+#line 5159 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29781,7 +29776,7 @@
   case 797:
 
 /* Line 1455 of yacc.c  */
-#line 5168 "preproc.y"
+#line 5163 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -29790,7 +29785,7 @@
   case 798:
 
 /* Line 1455 of yacc.c  */
-#line 5176 "preproc.y"
+#line 5171 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -29799,7 +29794,7 @@
   case 799:
 
 /* Line 1455 of yacc.c  */
-#line 5184 "preproc.y"
+#line 5179 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29808,7 +29803,7 @@
   case 800:
 
 /* Line 1455 of yacc.c  */
-#line 5188 "preproc.y"
+#line 5183 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -29817,7 +29812,7 @@
   case 801:
 
 /* Line 1455 of yacc.c  */
-#line 5196 "preproc.y"
+#line 5191 "preproc.y"
     { 
  (yyval.str) = make_str("restrict");
 ;}
@@ -29826,7 +29821,7 @@
   case 802:
 
 /* Line 1455 of yacc.c  */
-#line 5200 "preproc.y"
+#line 5195 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29834,7 +29829,7 @@
   case 803:
 
 /* Line 1455 of yacc.c  */
-#line 5207 "preproc.y"
+#line 5202 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -29843,7 +29838,7 @@
   case 804:
 
 /* Line 1455 of yacc.c  */
-#line 5211 "preproc.y"
+#line 5206 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -29852,7 +29847,7 @@
   case 805:
 
 /* Line 1455 of yacc.c  */
-#line 5219 "preproc.y"
+#line 5214 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -29861,7 +29856,7 @@
   case 806:
 
 /* Line 1455 of yacc.c  */
-#line 5223 "preproc.y"
+#line 5218 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -29870,7 +29865,7 @@
   case 807:
 
 /* Line 1455 of yacc.c  */
-#line 5231 "preproc.y"
+#line 5226 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -29879,7 +29874,7 @@
   case 808:
 
 /* Line 1455 of yacc.c  */
-#line 5235 "preproc.y"
+#line 5230 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -29888,7 +29883,7 @@
   case 809:
 
 /* Line 1455 of yacc.c  */
-#line 5243 "preproc.y"
+#line 5238 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -29897,7 +29892,7 @@
   case 810:
 
 /* Line 1455 of yacc.c  */
-#line 5247 "preproc.y"
+#line 5242 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -29906,7 +29901,7 @@
   case 811:
 
 /* Line 1455 of yacc.c  */
-#line 5251 "preproc.y"
+#line 5246 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("( none ,"),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -29915,7 +29910,7 @@
   case 812:
 
 /* Line 1455 of yacc.c  */
-#line 5255 "preproc.y"
+#line 5250 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (5)].str),make_str(", none )"));
 ;}
@@ -29924,7 +29919,7 @@
   case 813:
 
 /* Line 1455 of yacc.c  */
-#line 5263 "preproc.y"
+#line 5258 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -29933,7 +29928,7 @@
   case 814:
 
 /* Line 1455 of yacc.c  */
-#line 5267 "preproc.y"
+#line 5262 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("."),(yyvsp[(3) - (3)].str));
 ;}
@@ -29942,7 +29937,7 @@
   case 815:
 
 /* Line 1455 of yacc.c  */
-#line 5275 "preproc.y"
+#line 5270 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("create cast ("),(yyvsp[(4) - (11)].str),make_str("as"),(yyvsp[(6) - (11)].str),make_str(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
 ;}
@@ -29951,7 +29946,7 @@
   case 816:
 
 /* Line 1455 of yacc.c  */
-#line 5279 "preproc.y"
+#line 5274 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") without function"),(yyvsp[(10) - (10)].str));
 ;}
@@ -29960,7 +29955,7 @@
   case 817:
 
 /* Line 1455 of yacc.c  */
-#line 5283 "preproc.y"
+#line 5278 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("create cast ("),(yyvsp[(4) - (10)].str),make_str("as"),(yyvsp[(6) - (10)].str),make_str(") with inout"),(yyvsp[(10) - (10)].str));
 ;}
@@ -29969,7 +29964,7 @@
   case 818:
 
 /* Line 1455 of yacc.c  */
-#line 5291 "preproc.y"
+#line 5286 "preproc.y"
     { 
  (yyval.str) = make_str("as implicit");
 ;}
@@ -29978,7 +29973,7 @@
   case 819:
 
 /* Line 1455 of yacc.c  */
-#line 5295 "preproc.y"
+#line 5290 "preproc.y"
     { 
  (yyval.str) = make_str("as assignment");
 ;}
@@ -29987,7 +29982,7 @@
   case 820:
 
 /* Line 1455 of yacc.c  */
-#line 5299 "preproc.y"
+#line 5294 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -29995,7 +29990,7 @@
   case 821:
 
 /* Line 1455 of yacc.c  */
-#line 5306 "preproc.y"
+#line 5301 "preproc.y"
     { 
  (yyval.str) = cat_str(8,make_str("drop cast"),(yyvsp[(3) - (9)].str),make_str("("),(yyvsp[(5) - (9)].str),make_str("as"),(yyvsp[(7) - (9)].str),make_str(")"),(yyvsp[(9) - (9)].str));
 ;}
@@ -30004,7 +29999,7 @@
   case 822:
 
 /* Line 1455 of yacc.c  */
-#line 5314 "preproc.y"
+#line 5309 "preproc.y"
     { 
  (yyval.str) = make_str("if exists");
 ;}
@@ -30013,7 +30008,7 @@
   case 823:
 
 /* Line 1455 of yacc.c  */
-#line 5318 "preproc.y"
+#line 5313 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30021,7 +30016,7 @@
   case 824:
 
 /* Line 1455 of yacc.c  */
-#line 5325 "preproc.y"
+#line 5320 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -30030,7 +30025,7 @@
   case 825:
 
 /* Line 1455 of yacc.c  */
-#line 5329 "preproc.y"
+#line 5324 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -30039,7 +30034,7 @@
   case 826:
 
 /* Line 1455 of yacc.c  */
-#line 5333 "preproc.y"
+#line 5328 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -30048,7 +30043,7 @@
   case 827:
 
 /* Line 1455 of yacc.c  */
-#line 5341 "preproc.y"
+#line 5336 "preproc.y"
     { 
  (yyval.str) = make_str("index");
 ;}
@@ -30057,7 +30052,7 @@
   case 828:
 
 /* Line 1455 of yacc.c  */
-#line 5345 "preproc.y"
+#line 5340 "preproc.y"
     { 
  (yyval.str) = make_str("table");
 ;}
@@ -30066,7 +30061,7 @@
   case 829:
 
 /* Line 1455 of yacc.c  */
-#line 5353 "preproc.y"
+#line 5348 "preproc.y"
     { 
  (yyval.str) = make_str("force");
 ;}
@@ -30075,7 +30070,7 @@
   case 830:
 
 /* Line 1455 of yacc.c  */
-#line 5357 "preproc.y"
+#line 5352 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30083,7 +30078,7 @@
   case 831:
 
 /* Line 1455 of yacc.c  */
-#line 5364 "preproc.y"
+#line 5359 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
 ;}
@@ -30092,7 +30087,7 @@
   case 832:
 
 /* Line 1455 of yacc.c  */
-#line 5368 "preproc.y"
+#line 5363 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30101,7 +30096,7 @@
   case 833:
 
 /* Line 1455 of yacc.c  */
-#line 5372 "preproc.y"
+#line 5367 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30110,7 +30105,7 @@
   case 834:
 
 /* Line 1455 of yacc.c  */
-#line 5376 "preproc.y"
+#line 5371 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30119,7 +30114,7 @@
   case 835:
 
 /* Line 1455 of yacc.c  */
-#line 5380 "preproc.y"
+#line 5375 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter group"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30128,7 +30123,7 @@
   case 836:
 
 /* Line 1455 of yacc.c  */
-#line 5384 "preproc.y"
+#line 5379 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("rename to"),(yyvsp[(7) - (7)].str));
 ;}
@@ -30137,7 +30132,7 @@
   case 837:
 
 /* Line 1455 of yacc.c  */
-#line 5388 "preproc.y"
+#line 5383 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
 ;}
@@ -30146,7 +30141,7 @@
   case 838:
 
 /* Line 1455 of yacc.c  */
-#line 5392 "preproc.y"
+#line 5387 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("rename to"),(yyvsp[(9) - (9)].str));
 ;}
@@ -30155,7 +30150,7 @@
   case 839:
 
 /* Line 1455 of yacc.c  */
-#line 5396 "preproc.y"
+#line 5391 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30164,7 +30159,7 @@
   case 840:
 
 /* Line 1455 of yacc.c  */
-#line 5400 "preproc.y"
+#line 5395 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30173,7 +30168,7 @@
   case 841:
 
 /* Line 1455 of yacc.c  */
-#line 5404 "preproc.y"
+#line 5399 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30182,7 +30177,7 @@
   case 842:
 
 /* Line 1455 of yacc.c  */
-#line 5408 "preproc.y"
+#line 5403 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30191,7 +30186,7 @@
   case 843:
 
 /* Line 1455 of yacc.c  */
-#line 5412 "preproc.y"
+#line 5407 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter index"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30200,7 +30195,7 @@
   case 844:
 
 /* Line 1455 of yacc.c  */
-#line 5416 "preproc.y"
+#line 5411 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("alter table"),(yyvsp[(3) - (8)].str),make_str("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),make_str("to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30209,7 +30204,7 @@
   case 845:
 
 /* Line 1455 of yacc.c  */
-#line 5420 "preproc.y"
+#line 5415 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter trigger"),(yyvsp[(3) - (8)].str),make_str("on"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30218,7 +30213,7 @@
   case 846:
 
 /* Line 1455 of yacc.c  */
-#line 5424 "preproc.y"
+#line 5419 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter role"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30227,7 +30222,7 @@
   case 847:
 
 /* Line 1455 of yacc.c  */
-#line 5428 "preproc.y"
+#line 5423 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter user"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30236,7 +30231,7 @@
   case 848:
 
 /* Line 1455 of yacc.c  */
-#line 5432 "preproc.y"
+#line 5427 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30245,7 +30240,7 @@
   case 849:
 
 /* Line 1455 of yacc.c  */
-#line 5436 "preproc.y"
+#line 5431 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search parser"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30254,7 +30249,7 @@
   case 850:
 
 /* Line 1455 of yacc.c  */
-#line 5440 "preproc.y"
+#line 5435 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30263,7 +30258,7 @@
   case 851:
 
 /* Line 1455 of yacc.c  */
-#line 5444 "preproc.y"
+#line 5439 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search template"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30272,7 +30267,7 @@
   case 852:
 
 /* Line 1455 of yacc.c  */
-#line 5448 "preproc.y"
+#line 5443 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("rename to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30281,7 +30276,7 @@
   case 853:
 
 /* Line 1455 of yacc.c  */
-#line 5452 "preproc.y"
+#line 5447 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("rename to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30290,7 +30285,7 @@
   case 854:
 
 /* Line 1455 of yacc.c  */
-#line 5460 "preproc.y"
+#line 5455 "preproc.y"
     { 
  (yyval.str) = make_str("column");
 ;}
@@ -30299,7 +30294,7 @@
   case 855:
 
 /* Line 1455 of yacc.c  */
-#line 5464 "preproc.y"
+#line 5459 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30307,7 +30302,7 @@
   case 856:
 
 /* Line 1455 of yacc.c  */
-#line 5471 "preproc.y"
+#line 5466 "preproc.y"
     { 
  (yyval.str) = make_str("set data");
 ;}
@@ -30316,7 +30311,7 @@
   case 857:
 
 /* Line 1455 of yacc.c  */
-#line 5475 "preproc.y"
+#line 5470 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30324,7 +30319,7 @@
   case 858:
 
 /* Line 1455 of yacc.c  */
-#line 5482 "preproc.y"
+#line 5477 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("set schema"),(yyvsp[(7) - (7)].str));
 ;}
@@ -30333,7 +30328,7 @@
   case 859:
 
 /* Line 1455 of yacc.c  */
-#line 5486 "preproc.y"
+#line 5481 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30342,7 +30337,7 @@
   case 860:
 
 /* Line 1455 of yacc.c  */
-#line 5490 "preproc.y"
+#line 5485 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30351,7 +30346,7 @@
   case 861:
 
 /* Line 1455 of yacc.c  */
-#line 5494 "preproc.y"
+#line 5489 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter table"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30360,7 +30355,7 @@
   case 862:
 
 /* Line 1455 of yacc.c  */
-#line 5498 "preproc.y"
+#line 5493 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter sequence"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30369,7 +30364,7 @@
   case 863:
 
 /* Line 1455 of yacc.c  */
-#line 5502 "preproc.y"
+#line 5497 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter view"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30378,7 +30373,7 @@
   case 864:
 
 /* Line 1455 of yacc.c  */
-#line 5506 "preproc.y"
+#line 5501 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("set schema"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30387,7 +30382,7 @@
   case 865:
 
 /* Line 1455 of yacc.c  */
-#line 5514 "preproc.y"
+#line 5509 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
 ;}
@@ -30396,7 +30391,7 @@
   case 866:
 
 /* Line 1455 of yacc.c  */
-#line 5518 "preproc.y"
+#line 5513 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter conversion"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30405,7 +30400,7 @@
   case 867:
 
 /* Line 1455 of yacc.c  */
-#line 5522 "preproc.y"
+#line 5517 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30414,7 +30409,7 @@
   case 868:
 
 /* Line 1455 of yacc.c  */
-#line 5526 "preproc.y"
+#line 5521 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30423,7 +30418,7 @@
   case 869:
 
 /* Line 1455 of yacc.c  */
-#line 5530 "preproc.y"
+#line 5525 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter function"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30432,7 +30427,7 @@
   case 870:
 
 /* Line 1455 of yacc.c  */
-#line 5534 "preproc.y"
+#line 5529 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter"),(yyvsp[(2) - (7)].str),make_str("language"),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
 ;}
@@ -30441,7 +30436,7 @@
   case 871:
 
 /* Line 1455 of yacc.c  */
-#line 5538 "preproc.y"
+#line 5533 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("owner to"),(yyvsp[(7) - (7)].str));
 ;}
@@ -30450,7 +30445,7 @@
   case 872:
 
 /* Line 1455 of yacc.c  */
-#line 5542 "preproc.y"
+#line 5537 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter operator class"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
 ;}
@@ -30459,7 +30454,7 @@
   case 873:
 
 /* Line 1455 of yacc.c  */
-#line 5546 "preproc.y"
+#line 5541 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter operator family"),(yyvsp[(4) - (9)].str),make_str("using"),(yyvsp[(6) - (9)].str),make_str("owner to"),(yyvsp[(9) - (9)].str));
 ;}
@@ -30468,7 +30463,7 @@
   case 874:
 
 /* Line 1455 of yacc.c  */
-#line 5550 "preproc.y"
+#line 5545 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter schema"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30477,7 +30472,7 @@
   case 875:
 
 /* Line 1455 of yacc.c  */
-#line 5554 "preproc.y"
+#line 5549 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter type"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30486,7 +30481,7 @@
   case 876:
 
 /* Line 1455 of yacc.c  */
-#line 5558 "preproc.y"
+#line 5553 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter tablespace"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30495,7 +30490,7 @@
   case 877:
 
 /* Line 1455 of yacc.c  */
-#line 5562 "preproc.y"
+#line 5557 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search dictionary"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30504,7 +30499,7 @@
   case 878:
 
 /* Line 1455 of yacc.c  */
-#line 5566 "preproc.y"
+#line 5561 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30513,7 +30508,7 @@
   case 879:
 
 /* Line 1455 of yacc.c  */
-#line 5570 "preproc.y"
+#line 5565 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),make_str("owner to"),(yyvsp[(8) - (8)].str));
 ;}
@@ -30522,7 +30517,7 @@
   case 880:
 
 /* Line 1455 of yacc.c  */
-#line 5574 "preproc.y"
+#line 5569 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter server"),(yyvsp[(3) - (6)].str),make_str("owner to"),(yyvsp[(6) - (6)].str));
 ;}
@@ -30531,7 +30526,7 @@
   case 881:
 
 /* Line 1455 of yacc.c  */
-#line 5582 "preproc.y"
+#line 5577 "preproc.y"
     { 
  (yyval.str) = make_str("nothing");
 ;}
@@ -30540,7 +30535,7 @@
   case 882:
 
 /* Line 1455 of yacc.c  */
-#line 5586 "preproc.y"
+#line 5581 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30549,7 +30544,7 @@
   case 883:
 
 /* Line 1455 of yacc.c  */
-#line 5590 "preproc.y"
+#line 5585 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -30558,7 +30553,7 @@
   case 884:
 
 /* Line 1455 of yacc.c  */
-#line 5598 "preproc.y"
+#line 5593 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(";"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30567,7 +30562,7 @@
   case 885:
 
 /* Line 1455 of yacc.c  */
-#line 5602 "preproc.y"
+#line 5597 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30576,7 +30571,7 @@
   case 886:
 
 /* Line 1455 of yacc.c  */
-#line 5610 "preproc.y"
+#line 5605 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30585,7 +30580,7 @@
   case 887:
 
 /* Line 1455 of yacc.c  */
-#line 5614 "preproc.y"
+#line 5609 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30594,7 +30589,7 @@
   case 888:
 
 /* Line 1455 of yacc.c  */
-#line 5618 "preproc.y"
+#line 5613 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30603,7 +30598,7 @@
   case 889:
 
 /* Line 1455 of yacc.c  */
-#line 5622 "preproc.y"
+#line 5617 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30612,7 +30607,7 @@
   case 890:
 
 /* Line 1455 of yacc.c  */
-#line 5626 "preproc.y"
+#line 5621 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30621,7 +30616,7 @@
   case 891:
 
 /* Line 1455 of yacc.c  */
-#line 5634 "preproc.y"
+#line 5629 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30630,7 +30625,7 @@
   case 892:
 
 /* Line 1455 of yacc.c  */
-#line 5638 "preproc.y"
+#line 5633 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30638,7 +30633,7 @@
   case 893:
 
 /* Line 1455 of yacc.c  */
-#line 5645 "preproc.y"
+#line 5640 "preproc.y"
     { 
  (yyval.str) = make_str("select");
 ;}
@@ -30647,7 +30642,7 @@
   case 894:
 
 /* Line 1455 of yacc.c  */
-#line 5649 "preproc.y"
+#line 5644 "preproc.y"
     { 
  (yyval.str) = make_str("update");
 ;}
@@ -30656,7 +30651,7 @@
   case 895:
 
 /* Line 1455 of yacc.c  */
-#line 5653 "preproc.y"
+#line 5648 "preproc.y"
     { 
  (yyval.str) = make_str("delete");
 ;}
@@ -30665,7 +30660,7 @@
   case 896:
 
 /* Line 1455 of yacc.c  */
-#line 5657 "preproc.y"
+#line 5652 "preproc.y"
     { 
  (yyval.str) = make_str("insert");
 ;}
@@ -30674,7 +30669,7 @@
   case 897:
 
 /* Line 1455 of yacc.c  */
-#line 5665 "preproc.y"
+#line 5660 "preproc.y"
     { 
  (yyval.str) = make_str("instead");
 ;}
@@ -30683,7 +30678,7 @@
   case 898:
 
 /* Line 1455 of yacc.c  */
-#line 5669 "preproc.y"
+#line 5664 "preproc.y"
     { 
  (yyval.str) = make_str("also");
 ;}
@@ -30692,7 +30687,7 @@
   case 899:
 
 /* Line 1455 of yacc.c  */
-#line 5673 "preproc.y"
+#line 5668 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30700,7 +30695,7 @@
   case 900:
 
 /* Line 1455 of yacc.c  */
-#line 5680 "preproc.y"
+#line 5675 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop rule"),(yyvsp[(3) - (6)].str),make_str("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -30709,7 +30704,7 @@
   case 901:
 
 /* Line 1455 of yacc.c  */
-#line 5684 "preproc.y"
+#line 5679 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("drop rule if exists"),(yyvsp[(5) - (8)].str),make_str("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -30718,7 +30713,7 @@
   case 902:
 
 /* Line 1455 of yacc.c  */
-#line 5692 "preproc.y"
+#line 5687 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("notify"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30727,7 +30722,7 @@
   case 903:
 
 /* Line 1455 of yacc.c  */
-#line 5700 "preproc.y"
+#line 5695 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("listen"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30736,7 +30731,7 @@
   case 904:
 
 /* Line 1455 of yacc.c  */
-#line 5708 "preproc.y"
+#line 5703 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("unlisten"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30745,7 +30740,7 @@
   case 905:
 
 /* Line 1455 of yacc.c  */
-#line 5712 "preproc.y"
+#line 5707 "preproc.y"
     { 
  (yyval.str) = make_str("unlisten *");
 ;}
@@ -30754,7 +30749,7 @@
   case 906:
 
 /* Line 1455 of yacc.c  */
-#line 5720 "preproc.y"
+#line 5715 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("abort"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30763,7 +30758,7 @@
   case 907:
 
 /* Line 1455 of yacc.c  */
-#line 5724 "preproc.y"
+#line 5719 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -30772,7 +30767,7 @@
   case 908:
 
 /* Line 1455 of yacc.c  */
-#line 5728 "preproc.y"
+#line 5723 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("start transaction"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30781,7 +30776,7 @@
   case 909:
 
 /* Line 1455 of yacc.c  */
-#line 5732 "preproc.y"
+#line 5727 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("commit"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30790,7 +30785,7 @@
   case 910:
 
 /* Line 1455 of yacc.c  */
-#line 5736 "preproc.y"
+#line 5731 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("end"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30799,7 +30794,7 @@
   case 911:
 
 /* Line 1455 of yacc.c  */
-#line 5740 "preproc.y"
+#line 5735 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("rollback"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30808,7 +30803,7 @@
   case 912:
 
 /* Line 1455 of yacc.c  */
-#line 5744 "preproc.y"
+#line 5739 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("savepoint"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30817,7 +30812,7 @@
   case 913:
 
 /* Line 1455 of yacc.c  */
-#line 5748 "preproc.y"
+#line 5743 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("release savepoint"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30826,7 +30821,7 @@
   case 914:
 
 /* Line 1455 of yacc.c  */
-#line 5752 "preproc.y"
+#line 5747 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("release"),(yyvsp[(2) - (2)].str));
 ;}
@@ -30835,7 +30830,7 @@
   case 915:
 
 /* Line 1455 of yacc.c  */
-#line 5756 "preproc.y"
+#line 5751 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (5)].str),make_str("to savepoint"),(yyvsp[(5) - (5)].str));
 ;}
@@ -30844,7 +30839,7 @@
   case 916:
 
 /* Line 1455 of yacc.c  */
-#line 5760 "preproc.y"
+#line 5755 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("rollback"),(yyvsp[(2) - (4)].str),make_str("to"),(yyvsp[(4) - (4)].str));
 ;}
@@ -30853,7 +30848,7 @@
   case 917:
 
 /* Line 1455 of yacc.c  */
-#line 5764 "preproc.y"
+#line 5759 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("prepare transaction"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30862,7 +30857,7 @@
   case 918:
 
 /* Line 1455 of yacc.c  */
-#line 5768 "preproc.y"
+#line 5763 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("commit prepared"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30871,7 +30866,7 @@
   case 919:
 
 /* Line 1455 of yacc.c  */
-#line 5772 "preproc.y"
+#line 5767 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("rollback prepared"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30880,7 +30875,7 @@
   case 920:
 
 /* Line 1455 of yacc.c  */
-#line 5780 "preproc.y"
+#line 5775 "preproc.y"
     { 
  (yyval.str) = make_str("work");
 ;}
@@ -30889,7 +30884,7 @@
   case 921:
 
 /* Line 1455 of yacc.c  */
-#line 5784 "preproc.y"
+#line 5779 "preproc.y"
     { 
  (yyval.str) = make_str("transaction");
 ;}
@@ -30898,7 +30893,7 @@
   case 922:
 
 /* Line 1455 of yacc.c  */
-#line 5788 "preproc.y"
+#line 5783 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30906,7 +30901,7 @@
   case 923:
 
 /* Line 1455 of yacc.c  */
-#line 5795 "preproc.y"
+#line 5790 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("isolation level"),(yyvsp[(3) - (3)].str));
 ;}
@@ -30915,7 +30910,7 @@
   case 924:
 
 /* Line 1455 of yacc.c  */
-#line 5799 "preproc.y"
+#line 5794 "preproc.y"
     { 
  (yyval.str) = make_str("read only");
 ;}
@@ -30924,7 +30919,7 @@
   case 925:
 
 /* Line 1455 of yacc.c  */
-#line 5803 "preproc.y"
+#line 5798 "preproc.y"
     { 
  (yyval.str) = make_str("read write");
 ;}
@@ -30933,7 +30928,7 @@
   case 926:
 
 /* Line 1455 of yacc.c  */
-#line 5811 "preproc.y"
+#line 5806 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30942,7 +30937,7 @@
   case 927:
 
 /* Line 1455 of yacc.c  */
-#line 5815 "preproc.y"
+#line 5810 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -30951,7 +30946,7 @@
   case 928:
 
 /* Line 1455 of yacc.c  */
-#line 5819 "preproc.y"
+#line 5814 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -30960,7 +30955,7 @@
   case 929:
 
 /* Line 1455 of yacc.c  */
-#line 5827 "preproc.y"
+#line 5822 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -30969,7 +30964,7 @@
   case 930:
 
 /* Line 1455 of yacc.c  */
-#line 5831 "preproc.y"
+#line 5826 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -30977,7 +30972,7 @@
   case 931:
 
 /* Line 1455 of yacc.c  */
-#line 5838 "preproc.y"
+#line 5833 "preproc.y"
     { 
  (yyval.str) = cat_str(8,make_str("create"),(yyvsp[(2) - (8)].str),make_str("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),make_str("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -30986,7 +30981,7 @@
   case 932:
 
 /* Line 1455 of yacc.c  */
-#line 5842 "preproc.y"
+#line 5837 "preproc.y"
     { 
  (yyval.str) = cat_str(8,make_str("create or replace"),(yyvsp[(4) - (10)].str),make_str("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),make_str("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
 ;}
@@ -30995,7 +30990,7 @@
   case 933:
 
 /* Line 1455 of yacc.c  */
-#line 5850 "preproc.y"
+#line 5845 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = make_str("with check option");
@@ -31005,7 +31000,7 @@
   case 934:
 
 /* Line 1455 of yacc.c  */
-#line 5855 "preproc.y"
+#line 5850 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = make_str("with cascaded check option");
@@ -31015,7 +31010,7 @@
   case 935:
 
 /* Line 1455 of yacc.c  */
-#line 5860 "preproc.y"
+#line 5855 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = make_str("with local check option");
@@ -31025,7 +31020,7 @@
   case 936:
 
 /* Line 1455 of yacc.c  */
-#line 5865 "preproc.y"
+#line 5860 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31033,7 +31028,7 @@
   case 937:
 
 /* Line 1455 of yacc.c  */
-#line 5872 "preproc.y"
+#line 5867 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("load"),(yyvsp[(2) - (2)].str));
 ;}
@@ -31042,7 +31037,7 @@
   case 938:
 
 /* Line 1455 of yacc.c  */
-#line 5880 "preproc.y"
+#line 5875 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -31051,7 +31046,7 @@
   case 939:
 
 /* Line 1455 of yacc.c  */
-#line 5888 "preproc.y"
+#line 5883 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -31060,7 +31055,7 @@
   case 940:
 
 /* Line 1455 of yacc.c  */
-#line 5892 "preproc.y"
+#line 5887 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31068,7 +31063,7 @@
   case 941:
 
 /* Line 1455 of yacc.c  */
-#line 5899 "preproc.y"
+#line 5894 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31077,7 +31072,7 @@
   case 942:
 
 /* Line 1455 of yacc.c  */
-#line 5903 "preproc.y"
+#line 5898 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("tablespace"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31086,7 +31081,7 @@
   case 943:
 
 /* Line 1455 of yacc.c  */
-#line 5907 "preproc.y"
+#line 5902 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31095,7 +31090,7 @@
   case 944:
 
 /* Line 1455 of yacc.c  */
-#line 5911 "preproc.y"
+#line 5906 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("location"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31104,7 +31099,7 @@
   case 945:
 
 /* Line 1455 of yacc.c  */
-#line 5915 "preproc.y"
+#line 5910 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31113,7 +31108,7 @@
   case 946:
 
 /* Line 1455 of yacc.c  */
-#line 5919 "preproc.y"
+#line 5914 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("template"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31122,7 +31117,7 @@
   case 947:
 
 /* Line 1455 of yacc.c  */
-#line 5923 "preproc.y"
+#line 5918 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31131,7 +31126,7 @@
   case 948:
 
 /* Line 1455 of yacc.c  */
-#line 5927 "preproc.y"
+#line 5922 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31140,7 +31135,7 @@
   case 949:
 
 /* Line 1455 of yacc.c  */
-#line 5931 "preproc.y"
+#line 5926 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("encoding"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31149,7 +31144,7 @@
   case 950:
 
 /* Line 1455 of yacc.c  */
-#line 5935 "preproc.y"
+#line 5930 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31158,7 +31153,7 @@
   case 951:
 
 /* Line 1455 of yacc.c  */
-#line 5939 "preproc.y"
+#line 5934 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("lc_collate"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31167,7 +31162,7 @@
   case 952:
 
 /* Line 1455 of yacc.c  */
-#line 5943 "preproc.y"
+#line 5938 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31176,7 +31171,7 @@
   case 953:
 
 /* Line 1455 of yacc.c  */
-#line 5947 "preproc.y"
+#line 5942 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("lc_ctype"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31185,7 +31180,7 @@
   case 954:
 
 /* Line 1455 of yacc.c  */
-#line 5951 "preproc.y"
+#line 5946 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31194,7 +31189,7 @@
   case 955:
 
 /* Line 1455 of yacc.c  */
-#line 5955 "preproc.y"
+#line 5950 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -31203,7 +31198,7 @@
   case 956:
 
 /* Line 1455 of yacc.c  */
-#line 5959 "preproc.y"
+#line 5954 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("owner"),(yyvsp[(2) - (3)].str),make_str("default"));
 ;}
@@ -31212,7 +31207,7 @@
   case 957:
 
 /* Line 1455 of yacc.c  */
-#line 5967 "preproc.y"
+#line 5962 "preproc.y"
     { 
  (yyval.str) = make_str("=");
 ;}
@@ -31221,7 +31216,7 @@
   case 958:
 
 /* Line 1455 of yacc.c  */
-#line 5971 "preproc.y"
+#line 5966 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31229,7 +31224,7 @@
   case 959:
 
 /* Line 1455 of yacc.c  */
-#line 5978 "preproc.y"
+#line 5973 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -31238,7 +31233,7 @@
   case 960:
 
 /* Line 1455 of yacc.c  */
-#line 5982 "preproc.y"
+#line 5977 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter database"),(yyvsp[(3) - (6)].str),make_str("set tablespace"),(yyvsp[(6) - (6)].str));
 ;}
@@ -31247,7 +31242,7 @@
   case 961:
 
 /* Line 1455 of yacc.c  */
-#line 5990 "preproc.y"
+#line 5985 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31256,7 +31251,7 @@
   case 962:
 
 /* Line 1455 of yacc.c  */
-#line 5998 "preproc.y"
+#line 5993 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -31265,7 +31260,7 @@
   case 963:
 
 /* Line 1455 of yacc.c  */
-#line 6002 "preproc.y"
+#line 5997 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31273,7 +31268,7 @@
   case 964:
 
 /* Line 1455 of yacc.c  */
-#line 6009 "preproc.y"
+#line 6004 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31282,7 +31277,7 @@
   case 965:
 
 /* Line 1455 of yacc.c  */
-#line 6017 "preproc.y"
+#line 6012 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop database"),(yyvsp[(3) - (3)].str));
 ;}
@@ -31291,7 +31286,7 @@
   case 966:
 
 /* Line 1455 of yacc.c  */
-#line 6021 "preproc.y"
+#line 6016 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("drop database if exists"),(yyvsp[(5) - (5)].str));
 ;}
@@ -31300,7 +31295,7 @@
   case 967:
 
 /* Line 1455 of yacc.c  */
-#line 6029 "preproc.y"
+#line 6024 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -31309,7 +31304,7 @@
   case 968:
 
 /* Line 1455 of yacc.c  */
-#line 6037 "preproc.y"
+#line 6032 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31318,7 +31313,7 @@
   case 969:
 
 /* Line 1455 of yacc.c  */
-#line 6041 "preproc.y"
+#line 6036 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("drop not null"));
 ;}
@@ -31327,7 +31322,7 @@
   case 970:
 
 /* Line 1455 of yacc.c  */
-#line 6045 "preproc.y"
+#line 6040 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter domain"),(yyvsp[(3) - (6)].str),make_str("set not null"));
 ;}
@@ -31336,7 +31331,7 @@
   case 971:
 
 /* Line 1455 of yacc.c  */
-#line 6049 "preproc.y"
+#line 6044 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter domain"),(yyvsp[(3) - (5)].str),make_str("add"),(yyvsp[(5) - (5)].str));
 ;}
@@ -31345,7 +31340,7 @@
   case 972:
 
 /* Line 1455 of yacc.c  */
-#line 6053 "preproc.y"
+#line 6048 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("alter domain"),(yyvsp[(3) - (7)].str),make_str("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -31354,7 +31349,7 @@
   case 973:
 
 /* Line 1455 of yacc.c  */
-#line 6061 "preproc.y"
+#line 6056 "preproc.y"
     { 
  (yyval.str) = make_str("as");
 ;}
@@ -31363,7 +31358,7 @@
   case 974:
 
 /* Line 1455 of yacc.c  */
-#line 6065 "preproc.y"
+#line 6060 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31371,7 +31366,7 @@
   case 975:
 
 /* Line 1455 of yacc.c  */
-#line 6072 "preproc.y"
+#line 6067 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -31380,7 +31375,7 @@
   case 976:
 
 /* Line 1455 of yacc.c  */
-#line 6080 "preproc.y"
+#line 6075 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("add mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
 ;}
@@ -31389,7 +31384,7 @@
   case 977:
 
 /* Line 1455 of yacc.c  */
-#line 6084 "preproc.y"
+#line 6079 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping for"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
 ;}
@@ -31398,7 +31393,7 @@
   case 978:
 
 /* Line 1455 of yacc.c  */
-#line 6088 "preproc.y"
+#line 6083 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("alter mapping replace"),(yyvsp[(9) - (11)].str),make_str("with"),(yyvsp[(11) - (11)].str));
 ;}
@@ -31407,7 +31402,7 @@
   case 979:
 
 /* Line 1455 of yacc.c  */
-#line 6092 "preproc.y"
+#line 6087 "preproc.y"
     { 
  (yyval.str) = cat_str(8,make_str("alter text search configuration"),(yyvsp[(5) - (13)].str),make_str("alter mapping for"),(yyvsp[(9) - (13)].str),make_str("replace"),(yyvsp[(11) - (13)].str),make_str("with"),(yyvsp[(13) - (13)].str));
 ;}
@@ -31416,7 +31411,7 @@
   case 980:
 
 /* Line 1455 of yacc.c  */
-#line 6096 "preproc.y"
+#line 6091 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (9)].str),make_str("drop mapping for"),(yyvsp[(9) - (9)].str));
 ;}
@@ -31425,7 +31420,7 @@
   case 981:
 
 /* Line 1455 of yacc.c  */
-#line 6100 "preproc.y"
+#line 6095 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("alter text search configuration"),(yyvsp[(5) - (11)].str),make_str("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
 ;}
@@ -31434,7 +31429,7 @@
   case 982:
 
 /* Line 1455 of yacc.c  */
-#line 6108 "preproc.y"
+#line 6103 "preproc.y"
     { 
  (yyval.str) = cat_str(10,make_str("create"),(yyvsp[(2) - (10)].str),make_str("conversion"),(yyvsp[(4) - (10)].str),make_str("for"),(yyvsp[(6) - (10)].str),make_str("to"),(yyvsp[(8) - (10)].str),make_str("from"),(yyvsp[(10) - (10)].str));
 ;}
@@ -31443,7 +31438,7 @@
   case 983:
 
 /* Line 1455 of yacc.c  */
-#line 6116 "preproc.y"
+#line 6111 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31452,7 +31447,7 @@
   case 984:
 
 /* Line 1455 of yacc.c  */
-#line 6120 "preproc.y"
+#line 6115 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("cluster"),(yyvsp[(2) - (2)].str));
 ;}
@@ -31461,7 +31456,7 @@
   case 985:
 
 /* Line 1455 of yacc.c  */
-#line 6124 "preproc.y"
+#line 6119 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),make_str("on"),(yyvsp[(5) - (5)].str));
 ;}
@@ -31470,7 +31465,7 @@
   case 986:
 
 /* Line 1455 of yacc.c  */
-#line 6132 "preproc.y"
+#line 6127 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
 ;}
@@ -31479,7 +31474,7 @@
   case 987:
 
 /* Line 1455 of yacc.c  */
-#line 6136 "preproc.y"
+#line 6131 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31487,7 +31482,7 @@
   case 988:
 
 /* Line 1455 of yacc.c  */
-#line 6143 "preproc.y"
+#line 6138 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31496,7 +31491,7 @@
   case 989:
 
 /* Line 1455 of yacc.c  */
-#line 6147 "preproc.y"
+#line 6142 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -31505,7 +31500,7 @@
   case 990:
 
 /* Line 1455 of yacc.c  */
-#line 6151 "preproc.y"
+#line 6146 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -31514,7 +31509,7 @@
   case 991:
 
 /* Line 1455 of yacc.c  */
-#line 6159 "preproc.y"
+#line 6154 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -31523,7 +31518,7 @@
   case 992:
 
 /* Line 1455 of yacc.c  */
-#line 6163 "preproc.y"
+#line 6158 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31532,7 +31527,7 @@
   case 993:
 
 /* Line 1455 of yacc.c  */
-#line 6171 "preproc.y"
+#line 6166 "preproc.y"
     { 
  (yyval.str) = make_str("analyze");
 ;}
@@ -31541,7 +31536,7 @@
   case 994:
 
 /* Line 1455 of yacc.c  */
-#line 6175 "preproc.y"
+#line 6170 "preproc.y"
     { 
  (yyval.str) = make_str("analyse");
 ;}
@@ -31550,7 +31545,7 @@
   case 995:
 
 /* Line 1455 of yacc.c  */
-#line 6183 "preproc.y"
+#line 6178 "preproc.y"
     { 
  (yyval.str) = make_str("verbose");
 ;}
@@ -31559,7 +31554,7 @@
   case 996:
 
 /* Line 1455 of yacc.c  */
-#line 6187 "preproc.y"
+#line 6182 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31567,7 +31562,7 @@
   case 997:
 
 /* Line 1455 of yacc.c  */
-#line 6194 "preproc.y"
+#line 6189 "preproc.y"
     { 
  (yyval.str) = make_str("full");
 ;}
@@ -31576,7 +31571,7 @@
   case 998:
 
 /* Line 1455 of yacc.c  */
-#line 6198 "preproc.y"
+#line 6193 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31584,7 +31579,7 @@
   case 999:
 
 /* Line 1455 of yacc.c  */
-#line 6205 "preproc.y"
+#line 6200 "preproc.y"
     { 
  (yyval.str) = make_str("freeze");
 ;}
@@ -31593,7 +31588,7 @@
   case 1000:
 
 /* Line 1455 of yacc.c  */
-#line 6209 "preproc.y"
+#line 6204 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31601,7 +31596,7 @@
   case 1001:
 
 /* Line 1455 of yacc.c  */
-#line 6216 "preproc.y"
+#line 6211 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -31610,7 +31605,7 @@
   case 1002:
 
 /* Line 1455 of yacc.c  */
-#line 6220 "preproc.y"
+#line 6215 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31618,7 +31613,7 @@
   case 1003:
 
 /* Line 1455 of yacc.c  */
-#line 6227 "preproc.y"
+#line 6222 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -31627,7 +31622,7 @@
   case 1004:
 
 /* Line 1455 of yacc.c  */
-#line 6235 "preproc.y"
+#line 6230 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31636,7 +31631,7 @@
   case 1005:
 
 /* Line 1455 of yacc.c  */
-#line 6239 "preproc.y"
+#line 6234 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31645,7 +31640,7 @@
   case 1006:
 
 /* Line 1455 of yacc.c  */
-#line 6243 "preproc.y"
+#line 6238 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31654,7 +31649,7 @@
   case 1007:
 
 /* Line 1455 of yacc.c  */
-#line 6247 "preproc.y"
+#line 6242 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31663,7 +31658,7 @@
   case 1008:
 
 /* Line 1455 of yacc.c  */
-#line 6251 "preproc.y"
+#line 6246 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31672,7 +31667,7 @@
   case 1009:
 
 /* Line 1455 of yacc.c  */
-#line 6255 "preproc.y"
+#line 6250 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31681,7 +31676,7 @@
   case 1010:
 
 /* Line 1455 of yacc.c  */
-#line 6259 "preproc.y"
+#line 6254 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31690,7 +31685,7 @@
   case 1011:
 
 /* Line 1455 of yacc.c  */
-#line 6267 "preproc.y"
+#line 6262 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31699,7 +31694,7 @@
   case 1012:
 
 /* Line 1455 of yacc.c  */
-#line 6271 "preproc.y"
+#line 6266 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31707,7 +31702,7 @@
   case 1013:
 
 /* Line 1455 of yacc.c  */
-#line 6278 "preproc.y"
+#line 6273 "preproc.y"
     {
 		(yyval.prep).name = (yyvsp[(2) - (5)].str);
 		(yyval.prep).type = (yyvsp[(3) - (5)].str);
@@ -31718,7 +31713,7 @@
   case 1014:
 
 /* Line 1455 of yacc.c  */
-#line 6284 "preproc.y"
+#line 6279 "preproc.y"
     {
 		(yyval.prep).name = (yyvsp[(2) - (4)].str);
 		(yyval.prep).type = NULL;
@@ -31729,7 +31724,7 @@
   case 1015:
 
 /* Line 1455 of yacc.c  */
-#line 6294 "preproc.y"
+#line 6289 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -31738,7 +31733,7 @@
   case 1016:
 
 /* Line 1455 of yacc.c  */
-#line 6298 "preproc.y"
+#line 6293 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31746,7 +31741,7 @@
   case 1017:
 
 /* Line 1455 of yacc.c  */
-#line 6305 "preproc.y"
+#line 6300 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31755,7 +31750,7 @@
   case 1018:
 
 /* Line 1455 of yacc.c  */
-#line 6309 "preproc.y"
+#line 6304 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31764,7 +31759,7 @@
   case 1019:
 
 /* Line 1455 of yacc.c  */
-#line 6313 "preproc.y"
+#line 6308 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31773,7 +31768,7 @@
   case 1020:
 
 /* Line 1455 of yacc.c  */
-#line 6317 "preproc.y"
+#line 6312 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31782,14 +31777,14 @@
   case 1021:
 
 /* Line 1455 of yacc.c  */
-#line 6325 "preproc.y"
+#line 6320 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
     break;
 
   case 1022:
 
 /* Line 1455 of yacc.c  */
-#line 6327 "preproc.y"
+#line 6322 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("create"),(yyvsp[(2) - (8)].str),make_str("table"),(yyvsp[(4) - (8)].str),make_str("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
 ;}
@@ -31798,7 +31793,7 @@
   case 1023:
 
 /* Line 1455 of yacc.c  */
-#line 6335 "preproc.y"
+#line 6330 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -31807,7 +31802,7 @@
   case 1024:
 
 /* Line 1455 of yacc.c  */
-#line 6339 "preproc.y"
+#line 6334 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31815,7 +31810,7 @@
   case 1025:
 
 /* Line 1455 of yacc.c  */
-#line 6346 "preproc.y"
+#line 6341 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("insert into"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -31824,7 +31819,7 @@
   case 1026:
 
 /* Line 1455 of yacc.c  */
-#line 6354 "preproc.y"
+#line 6349 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31833,7 +31828,7 @@
   case 1027:
 
 /* Line 1455 of yacc.c  */
-#line 6358 "preproc.y"
+#line 6353 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
 ;}
@@ -31842,7 +31837,7 @@
   case 1028:
 
 /* Line 1455 of yacc.c  */
-#line 6362 "preproc.y"
+#line 6357 "preproc.y"
     { 
  (yyval.str) = make_str("default values");
 ;}
@@ -31851,7 +31846,7 @@
   case 1029:
 
 /* Line 1455 of yacc.c  */
-#line 6370 "preproc.y"
+#line 6365 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -31860,7 +31855,7 @@
   case 1030:
 
 /* Line 1455 of yacc.c  */
-#line 6374 "preproc.y"
+#line 6369 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -31869,7 +31864,7 @@
   case 1031:
 
 /* Line 1455 of yacc.c  */
-#line 6382 "preproc.y"
+#line 6377 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -31878,7 +31873,7 @@
   case 1032:
 
 /* Line 1455 of yacc.c  */
-#line 6390 "preproc.y"
+#line 6385 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("returning"),(yyvsp[(2) - (3)].str));
 ;}
@@ -31887,7 +31882,7 @@
   case 1033:
 
 /* Line 1455 of yacc.c  */
-#line 6394 "preproc.y"
+#line 6389 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31895,7 +31890,7 @@
   case 1034:
 
 /* Line 1455 of yacc.c  */
-#line 6401 "preproc.y"
+#line 6396 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("delete from"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -31904,7 +31899,7 @@
   case 1035:
 
 /* Line 1455 of yacc.c  */
-#line 6409 "preproc.y"
+#line 6404 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("using"),(yyvsp[(2) - (2)].str));
 ;}
@@ -31913,7 +31908,7 @@
   case 1036:
 
 /* Line 1455 of yacc.c  */
-#line 6413 "preproc.y"
+#line 6408 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31921,7 +31916,7 @@
   case 1037:
 
 /* Line 1455 of yacc.c  */
-#line 6420 "preproc.y"
+#line 6415 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -31930,7 +31925,7 @@
   case 1038:
 
 /* Line 1455 of yacc.c  */
-#line 6428 "preproc.y"
+#line 6423 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("in"),(yyvsp[(2) - (3)].str),make_str("mode"));
 ;}
@@ -31939,7 +31934,7 @@
   case 1039:
 
 /* Line 1455 of yacc.c  */
-#line 6432 "preproc.y"
+#line 6427 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -31947,7 +31942,7 @@
   case 1040:
 
 /* Line 1455 of yacc.c  */
-#line 6439 "preproc.y"
+#line 6434 "preproc.y"
     { 
  (yyval.str) = make_str("access share");
 ;}
@@ -31956,7 +31951,7 @@
   case 1041:
 
 /* Line 1455 of yacc.c  */
-#line 6443 "preproc.y"
+#line 6438 "preproc.y"
     { 
  (yyval.str) = make_str("row share");
 ;}
@@ -31965,7 +31960,7 @@
   case 1042:
 
 /* Line 1455 of yacc.c  */
-#line 6447 "preproc.y"
+#line 6442 "preproc.y"
     { 
  (yyval.str) = make_str("row exclusive");
 ;}
@@ -31974,7 +31969,7 @@
   case 1043:
 
 /* Line 1455 of yacc.c  */
-#line 6451 "preproc.y"
+#line 6446 "preproc.y"
     { 
  (yyval.str) = make_str("share update exclusive");
 ;}
@@ -31983,7 +31978,7 @@
   case 1044:
 
 /* Line 1455 of yacc.c  */
-#line 6455 "preproc.y"
+#line 6450 "preproc.y"
     { 
  (yyval.str) = make_str("share");
 ;}
@@ -31992,7 +31987,7 @@
   case 1045:
 
 /* Line 1455 of yacc.c  */
-#line 6459 "preproc.y"
+#line 6454 "preproc.y"
     { 
  (yyval.str) = make_str("share row exclusive");
 ;}
@@ -32001,7 +31996,7 @@
   case 1046:
 
 /* Line 1455 of yacc.c  */
-#line 6463 "preproc.y"
+#line 6458 "preproc.y"
     { 
  (yyval.str) = make_str("exclusive");
 ;}
@@ -32010,7 +32005,7 @@
   case 1047:
 
 /* Line 1455 of yacc.c  */
-#line 6467 "preproc.y"
+#line 6462 "preproc.y"
     { 
  (yyval.str) = make_str("access exclusive");
 ;}
@@ -32019,7 +32014,7 @@
   case 1048:
 
 /* Line 1455 of yacc.c  */
-#line 6475 "preproc.y"
+#line 6470 "preproc.y"
     { 
  (yyval.str) = make_str("nowait");
 ;}
@@ -32028,7 +32023,7 @@
   case 1049:
 
 /* Line 1455 of yacc.c  */
-#line 6479 "preproc.y"
+#line 6474 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32036,7 +32031,7 @@
   case 1050:
 
 /* Line 1455 of yacc.c  */
-#line 6486 "preproc.y"
+#line 6481 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("update"),(yyvsp[(2) - (7)].str),make_str("set"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
 ;}
@@ -32045,7 +32040,7 @@
   case 1051:
 
 /* Line 1455 of yacc.c  */
-#line 6494 "preproc.y"
+#line 6489 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32054,7 +32049,7 @@
   case 1052:
 
 /* Line 1455 of yacc.c  */
-#line 6498 "preproc.y"
+#line 6493 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -32063,7 +32058,7 @@
   case 1053:
 
 /* Line 1455 of yacc.c  */
-#line 6506 "preproc.y"
+#line 6501 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32072,7 +32067,7 @@
   case 1054:
 
 /* Line 1455 of yacc.c  */
-#line 6510 "preproc.y"
+#line 6505 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32081,7 +32076,7 @@
   case 1055:
 
 /* Line 1455 of yacc.c  */
-#line 6518 "preproc.y"
+#line 6513 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -32090,7 +32085,7 @@
   case 1056:
 
 /* Line 1455 of yacc.c  */
-#line 6526 "preproc.y"
+#line 6521 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (5)].str),make_str(") ="),(yyvsp[(5) - (5)].str));
 ;}
@@ -32099,7 +32094,7 @@
   case 1057:
 
 /* Line 1455 of yacc.c  */
-#line 6534 "preproc.y"
+#line 6529 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -32108,7 +32103,7 @@
   case 1058:
 
 /* Line 1455 of yacc.c  */
-#line 6542 "preproc.y"
+#line 6537 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32117,7 +32112,7 @@
   case 1059:
 
 /* Line 1455 of yacc.c  */
-#line 6546 "preproc.y"
+#line 6541 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -32126,7 +32121,7 @@
   case 1060:
 
 /* Line 1455 of yacc.c  */
-#line 6554 "preproc.y"
+#line 6549 "preproc.y"
     {
 		struct cursor *ptr, *this;
 		char *c1, *c2;
@@ -32167,7 +32162,7 @@
   case 1061:
 
 /* Line 1455 of yacc.c  */
-#line 6594 "preproc.y"
+#line 6589 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32175,7 +32170,7 @@
   case 1062:
 
 /* Line 1455 of yacc.c  */
-#line 6597 "preproc.y"
+#line 6592 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("no scroll"));
 ;}
@@ -32184,7 +32179,7 @@
   case 1063:
 
 /* Line 1455 of yacc.c  */
-#line 6601 "preproc.y"
+#line 6596 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("scroll"));
 ;}
@@ -32193,7 +32188,7 @@
   case 1064:
 
 /* Line 1455 of yacc.c  */
-#line 6605 "preproc.y"
+#line 6600 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("binary"));
 ;}
@@ -32202,7 +32197,7 @@
   case 1065:
 
 /* Line 1455 of yacc.c  */
-#line 6609 "preproc.y"
+#line 6604 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("insensitive"));
 ;}
@@ -32211,7 +32206,7 @@
   case 1066:
 
 /* Line 1455 of yacc.c  */
-#line 6617 "preproc.y"
+#line 6612 "preproc.y"
     {
 		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit == true)
 			(yyval.str) = make_str("with hold");
@@ -32223,7 +32218,7 @@
   case 1067:
 
 /* Line 1455 of yacc.c  */
-#line 6624 "preproc.y"
+#line 6619 "preproc.y"
     { 
  (yyval.str) = make_str("with hold");
 ;}
@@ -32232,7 +32227,7 @@
   case 1068:
 
 /* Line 1455 of yacc.c  */
-#line 6628 "preproc.y"
+#line 6623 "preproc.y"
     { 
  (yyval.str) = make_str("without hold");
 ;}
@@ -32241,7 +32236,7 @@
   case 1069:
 
 /* Line 1455 of yacc.c  */
-#line 6636 "preproc.y"
+#line 6631 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32250,7 +32245,7 @@
   case 1070:
 
 /* Line 1455 of yacc.c  */
-#line 6640 "preproc.y"
+#line 6635 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32259,7 +32254,7 @@
   case 1071:
 
 /* Line 1455 of yacc.c  */
-#line 6648 "preproc.y"
+#line 6643 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -32268,7 +32263,7 @@
   case 1072:
 
 /* Line 1455 of yacc.c  */
-#line 6652 "preproc.y"
+#line 6647 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -32277,7 +32272,7 @@
   case 1073:
 
 /* Line 1455 of yacc.c  */
-#line 6660 "preproc.y"
+#line 6655 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32286,7 +32281,7 @@
   case 1074:
 
 /* Line 1455 of yacc.c  */
-#line 6664 "preproc.y"
+#line 6659 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -32295,7 +32290,7 @@
   case 1075:
 
 /* Line 1455 of yacc.c  */
-#line 6668 "preproc.y"
+#line 6663 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32304,7 +32299,7 @@
   case 1076:
 
 /* Line 1455 of yacc.c  */
-#line 6672 "preproc.y"
+#line 6667 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32313,7 +32308,7 @@
   case 1077:
 
 /* Line 1455 of yacc.c  */
-#line 6676 "preproc.y"
+#line 6671 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -32322,7 +32317,7 @@
   case 1078:
 
 /* Line 1455 of yacc.c  */
-#line 6680 "preproc.y"
+#line 6675 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -32331,7 +32326,7 @@
   case 1079:
 
 /* Line 1455 of yacc.c  */
-#line 6684 "preproc.y"
+#line 6679 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -32340,7 +32335,7 @@
   case 1080:
 
 /* Line 1455 of yacc.c  */
-#line 6688 "preproc.y"
+#line 6683 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -32349,7 +32344,7 @@
   case 1081:
 
 /* Line 1455 of yacc.c  */
-#line 6696 "preproc.y"
+#line 6691 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32358,7 +32353,7 @@
   case 1082:
 
 /* Line 1455 of yacc.c  */
-#line 6700 "preproc.y"
+#line 6695 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32367,7 +32362,7 @@
   case 1083:
 
 /* Line 1455 of yacc.c  */
-#line 6708 "preproc.y"
+#line 6703 "preproc.y"
     { 
  (yyval.str) = cat_str(9,make_str("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
 ;}
@@ -32376,7 +32371,7 @@
   case 1084:
 
 /* Line 1455 of yacc.c  */
-#line 6712 "preproc.y"
+#line 6707 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32385,7 +32380,7 @@
   case 1085:
 
 /* Line 1455 of yacc.c  */
-#line 6716 "preproc.y"
+#line 6711 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
 ;}
@@ -32394,7 +32389,7 @@
   case 1086:
 
 /* Line 1455 of yacc.c  */
-#line 6720 "preproc.y"
+#line 6715 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32403,7 +32398,7 @@
   case 1087:
 
 /* Line 1455 of yacc.c  */
-#line 6724 "preproc.y"
+#line 6719 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32412,7 +32407,7 @@
   case 1088:
 
 /* Line 1455 of yacc.c  */
-#line 6728 "preproc.y"
+#line 6723 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32421,7 +32416,7 @@
   case 1089:
 
 /* Line 1455 of yacc.c  */
-#line 6736 "preproc.y"
+#line 6731 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("with"),(yyvsp[(2) - (2)].str));
 ;}
@@ -32430,7 +32425,7 @@
   case 1090:
 
 /* Line 1455 of yacc.c  */
-#line 6740 "preproc.y"
+#line 6735 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("with recursive"),(yyvsp[(3) - (3)].str));
 ;}
@@ -32439,7 +32434,7 @@
   case 1091:
 
 /* Line 1455 of yacc.c  */
-#line 6748 "preproc.y"
+#line 6743 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32448,7 +32443,7 @@
   case 1092:
 
 /* Line 1455 of yacc.c  */
-#line 6752 "preproc.y"
+#line 6747 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -32457,7 +32452,7 @@
   case 1093:
 
 /* Line 1455 of yacc.c  */
-#line 6760 "preproc.y"
+#line 6755 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),make_str("as"),(yyvsp[(4) - (4)].str));
 ;}
@@ -32466,7 +32461,7 @@
   case 1094:
 
 /* Line 1455 of yacc.c  */
-#line 6768 "preproc.y"
+#line 6763 "preproc.y"
     {
 						FoundInto = 1;
 						(yyval.str)= cat2_str(make_str("into"), (yyvsp[(2) - (2)].str));
@@ -32476,14 +32471,14 @@
   case 1095:
 
 /* Line 1455 of yacc.c  */
-#line 6772 "preproc.y"
+#line 6767 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 1096:
 
 /* Line 1455 of yacc.c  */
-#line 6774 "preproc.y"
+#line 6769 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32491,7 +32486,7 @@
   case 1097:
 
 /* Line 1455 of yacc.c  */
-#line 6781 "preproc.y"
+#line 6776 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -32500,7 +32495,7 @@
   case 1098:
 
 /* Line 1455 of yacc.c  */
-#line 6785 "preproc.y"
+#line 6780 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -32509,7 +32504,7 @@
   case 1099:
 
 /* Line 1455 of yacc.c  */
-#line 6789 "preproc.y"
+#line 6784 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32518,7 +32513,7 @@
   case 1100:
 
 /* Line 1455 of yacc.c  */
-#line 6793 "preproc.y"
+#line 6788 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32527,7 +32522,7 @@
   case 1101:
 
 /* Line 1455 of yacc.c  */
-#line 6797 "preproc.y"
+#line 6792 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32536,7 +32531,7 @@
   case 1102:
 
 /* Line 1455 of yacc.c  */
-#line 6801 "preproc.y"
+#line 6796 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32545,7 +32540,7 @@
   case 1103:
 
 /* Line 1455 of yacc.c  */
-#line 6805 "preproc.y"
+#line 6800 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("table"),(yyvsp[(2) - (2)].str));
 ;}
@@ -32554,7 +32549,7 @@
   case 1104:
 
 /* Line 1455 of yacc.c  */
-#line 6809 "preproc.y"
+#line 6804 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32563,7 +32558,7 @@
   case 1105:
 
 /* Line 1455 of yacc.c  */
-#line 6817 "preproc.y"
+#line 6812 "preproc.y"
     { 
  (yyval.str) = make_str("table");
 ;}
@@ -32572,7 +32567,7 @@
   case 1106:
 
 /* Line 1455 of yacc.c  */
-#line 6821 "preproc.y"
+#line 6816 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32580,7 +32575,7 @@
   case 1107:
 
 /* Line 1455 of yacc.c  */
-#line 6828 "preproc.y"
+#line 6823 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -32589,7 +32584,7 @@
   case 1108:
 
 /* Line 1455 of yacc.c  */
-#line 6832 "preproc.y"
+#line 6827 "preproc.y"
     { 
  (yyval.str) = make_str("distinct");
 ;}
@@ -32598,7 +32593,7 @@
   case 1109:
 
 /* Line 1455 of yacc.c  */
-#line 6836 "preproc.y"
+#line 6831 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32606,7 +32601,7 @@
   case 1110:
 
 /* Line 1455 of yacc.c  */
-#line 6843 "preproc.y"
+#line 6838 "preproc.y"
     { 
  (yyval.str) = make_str("distinct");
 ;}
@@ -32615,7 +32610,7 @@
   case 1111:
 
 /* Line 1455 of yacc.c  */
-#line 6847 "preproc.y"
+#line 6842 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("distinct on ("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -32624,7 +32619,7 @@
   case 1112:
 
 /* Line 1455 of yacc.c  */
-#line 6851 "preproc.y"
+#line 6846 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -32633,7 +32628,7 @@
   case 1113:
 
 /* Line 1455 of yacc.c  */
-#line 6855 "preproc.y"
+#line 6850 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32641,7 +32636,7 @@
   case 1114:
 
 /* Line 1455 of yacc.c  */
-#line 6862 "preproc.y"
+#line 6857 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32650,7 +32645,7 @@
   case 1115:
 
 /* Line 1455 of yacc.c  */
-#line 6866 "preproc.y"
+#line 6861 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32658,7 +32653,7 @@
   case 1116:
 
 /* Line 1455 of yacc.c  */
-#line 6873 "preproc.y"
+#line 6868 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("order by"),(yyvsp[(3) - (3)].str));
 ;}
@@ -32667,7 +32662,7 @@
   case 1117:
 
 /* Line 1455 of yacc.c  */
-#line 6881 "preproc.y"
+#line 6876 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32676,7 +32671,7 @@
   case 1118:
 
 /* Line 1455 of yacc.c  */
-#line 6885 "preproc.y"
+#line 6880 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -32685,7 +32680,7 @@
   case 1119:
 
 /* Line 1455 of yacc.c  */
-#line 6893 "preproc.y"
+#line 6888 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32694,7 +32689,7 @@
   case 1120:
 
 /* Line 1455 of yacc.c  */
-#line 6897 "preproc.y"
+#line 6892 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -32703,7 +32698,7 @@
   case 1121:
 
 /* Line 1455 of yacc.c  */
-#line 6905 "preproc.y"
+#line 6900 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("limit"),(yyvsp[(2) - (4)].str),make_str("offset"),(yyvsp[(4) - (4)].str));
 ;}
@@ -32712,7 +32707,7 @@
   case 1122:
 
 /* Line 1455 of yacc.c  */
-#line 6909 "preproc.y"
+#line 6904 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("offset"),(yyvsp[(2) - (4)].str),make_str("limit"),(yyvsp[(4) - (4)].str));
 ;}
@@ -32721,7 +32716,7 @@
   case 1123:
 
 /* Line 1455 of yacc.c  */
-#line 6913 "preproc.y"
+#line 6908 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("limit"),(yyvsp[(2) - (2)].str));
 ;}
@@ -32730,7 +32725,7 @@
   case 1124:
 
 /* Line 1455 of yacc.c  */
-#line 6917 "preproc.y"
+#line 6912 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("offset"),(yyvsp[(2) - (2)].str));
 ;}
@@ -32739,7 +32734,7 @@
   case 1125:
 
 /* Line 1455 of yacc.c  */
-#line 6921 "preproc.y"
+#line 6916 "preproc.y"
     {
                 mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                 (yyval.str) = cat_str(4, make_str("limit"), (yyvsp[(2) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str));
@@ -32749,7 +32744,7 @@
   case 1126:
 
 /* Line 1455 of yacc.c  */
-#line 6926 "preproc.y"
+#line 6921 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -32758,7 +32753,7 @@
   case 1127:
 
 /* Line 1455 of yacc.c  */
-#line 6930 "preproc.y"
+#line 6925 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("only"));
 ;}
@@ -32767,7 +32762,7 @@
   case 1128:
 
 /* Line 1455 of yacc.c  */
-#line 6934 "preproc.y"
+#line 6929 "preproc.y"
     { 
  (yyval.str) = cat_str(8,make_str("offset"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),make_str("fetch"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),make_str("only"));
 ;}
@@ -32776,7 +32771,7 @@
   case 1129:
 
 /* Line 1455 of yacc.c  */
-#line 6942 "preproc.y"
+#line 6937 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32785,7 +32780,7 @@
   case 1130:
 
 /* Line 1455 of yacc.c  */
-#line 6946 "preproc.y"
+#line 6941 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32793,7 +32788,7 @@
   case 1131:
 
 /* Line 1455 of yacc.c  */
-#line 6953 "preproc.y"
+#line 6948 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32802,7 +32797,7 @@
   case 1132:
 
 /* Line 1455 of yacc.c  */
-#line 6957 "preproc.y"
+#line 6952 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -32811,7 +32806,7 @@
   case 1133:
 
 /* Line 1455 of yacc.c  */
-#line 6965 "preproc.y"
+#line 6960 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32820,7 +32815,7 @@
   case 1134:
 
 /* Line 1455 of yacc.c  */
-#line 6969 "preproc.y"
+#line 6964 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -32829,7 +32824,7 @@
   case 1135:
 
 /* Line 1455 of yacc.c  */
-#line 6973 "preproc.y"
+#line 6968 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32837,7 +32832,7 @@
   case 1136:
 
 /* Line 1455 of yacc.c  */
-#line 6980 "preproc.y"
+#line 6975 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32846,7 +32841,7 @@
   case 1137:
 
 /* Line 1455 of yacc.c  */
-#line 6988 "preproc.y"
+#line 6983 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32855,7 +32850,7 @@
   case 1138:
 
 /* Line 1455 of yacc.c  */
-#line 6996 "preproc.y"
+#line 6991 "preproc.y"
     { 
  (yyval.str) = make_str("row");
 ;}
@@ -32864,7 +32859,7 @@
   case 1139:
 
 /* Line 1455 of yacc.c  */
-#line 7000 "preproc.y"
+#line 6995 "preproc.y"
     { 
  (yyval.str) = make_str("rows");
 ;}
@@ -32873,7 +32868,7 @@
   case 1140:
 
 /* Line 1455 of yacc.c  */
-#line 7008 "preproc.y"
+#line 7003 "preproc.y"
     { 
  (yyval.str) = make_str("first");
 ;}
@@ -32882,7 +32877,7 @@
   case 1141:
 
 /* Line 1455 of yacc.c  */
-#line 7012 "preproc.y"
+#line 7007 "preproc.y"
     { 
  (yyval.str) = make_str("next");
 ;}
@@ -32891,7 +32886,7 @@
   case 1142:
 
 /* Line 1455 of yacc.c  */
-#line 7020 "preproc.y"
+#line 7015 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("group by"),(yyvsp[(3) - (3)].str));
 ;}
@@ -32900,7 +32895,7 @@
   case 1143:
 
 /* Line 1455 of yacc.c  */
-#line 7024 "preproc.y"
+#line 7019 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32908,7 +32903,7 @@
   case 1144:
 
 /* Line 1455 of yacc.c  */
-#line 7031 "preproc.y"
+#line 7026 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("having"),(yyvsp[(2) - (2)].str));
 ;}
@@ -32917,7 +32912,7 @@
   case 1145:
 
 /* Line 1455 of yacc.c  */
-#line 7035 "preproc.y"
+#line 7030 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32925,7 +32920,7 @@
   case 1146:
 
 /* Line 1455 of yacc.c  */
-#line 7042 "preproc.y"
+#line 7037 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32934,7 +32929,7 @@
   case 1147:
 
 /* Line 1455 of yacc.c  */
-#line 7046 "preproc.y"
+#line 7041 "preproc.y"
     { 
  (yyval.str) = make_str("for read only");
 ;}
@@ -32943,7 +32938,7 @@
   case 1148:
 
 /* Line 1455 of yacc.c  */
-#line 7054 "preproc.y"
+#line 7049 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32952,7 +32947,7 @@
   case 1149:
 
 /* Line 1455 of yacc.c  */
-#line 7058 "preproc.y"
+#line 7053 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -32960,7 +32955,7 @@
   case 1150:
 
 /* Line 1455 of yacc.c  */
-#line 7065 "preproc.y"
+#line 7060 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -32969,7 +32964,7 @@
   case 1151:
 
 /* Line 1455 of yacc.c  */
-#line 7069 "preproc.y"
+#line 7064 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -32978,7 +32973,7 @@
   case 1152:
 
 /* Line 1455 of yacc.c  */
-#line 7077 "preproc.y"
+#line 7072 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32987,7 +32982,7 @@
   case 1153:
 
 /* Line 1455 of yacc.c  */
-#line 7081 "preproc.y"
+#line 7076 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -32996,7 +32991,7 @@
   case 1154:
 
 /* Line 1455 of yacc.c  */
-#line 7089 "preproc.y"
+#line 7084 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("of"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33005,7 +33000,7 @@
   case 1155:
 
 /* Line 1455 of yacc.c  */
-#line 7093 "preproc.y"
+#line 7088 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33013,7 +33008,7 @@
   case 1156:
 
 /* Line 1455 of yacc.c  */
-#line 7100 "preproc.y"
+#line 7095 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("values"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33022,7 +33017,7 @@
   case 1157:
 
 /* Line 1455 of yacc.c  */
-#line 7104 "preproc.y"
+#line 7099 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -33031,7 +33026,7 @@
   case 1158:
 
 /* Line 1455 of yacc.c  */
-#line 7112 "preproc.y"
+#line 7107 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33040,7 +33035,7 @@
   case 1159:
 
 /* Line 1455 of yacc.c  */
-#line 7116 "preproc.y"
+#line 7111 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33048,7 +33043,7 @@
   case 1160:
 
 /* Line 1455 of yacc.c  */
-#line 7123 "preproc.y"
+#line 7118 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33057,7 +33052,7 @@
   case 1161:
 
 /* Line 1455 of yacc.c  */
-#line 7127 "preproc.y"
+#line 7122 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -33066,7 +33061,7 @@
   case 1162:
 
 /* Line 1455 of yacc.c  */
-#line 7135 "preproc.y"
+#line 7130 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33075,7 +33070,7 @@
   case 1163:
 
 /* Line 1455 of yacc.c  */
-#line 7139 "preproc.y"
+#line 7134 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33084,7 +33079,7 @@
   case 1164:
 
 /* Line 1455 of yacc.c  */
-#line 7143 "preproc.y"
+#line 7138 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33093,7 +33088,7 @@
   case 1165:
 
 /* Line 1455 of yacc.c  */
-#line 7147 "preproc.y"
+#line 7142 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33102,7 +33097,7 @@
   case 1166:
 
 /* Line 1455 of yacc.c  */
-#line 7151 "preproc.y"
+#line 7146 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("as ("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -33111,7 +33106,7 @@
   case 1167:
 
 /* Line 1455 of yacc.c  */
-#line 7155 "preproc.y"
+#line 7150 "preproc.y"
     { 
  (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("as"),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -33120,7 +33115,7 @@
   case 1168:
 
 /* Line 1455 of yacc.c  */
-#line 7159 "preproc.y"
+#line 7154 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -33129,7 +33124,7 @@
   case 1169:
 
 /* Line 1455 of yacc.c  */
-#line 7163 "preproc.y"
+#line 7158 "preproc.y"
     { 
 		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");
 
@@ -33140,7 +33135,7 @@
   case 1170:
 
 /* Line 1455 of yacc.c  */
-#line 7169 "preproc.y"
+#line 7164 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33149,7 +33144,7 @@
   case 1171:
 
 /* Line 1455 of yacc.c  */
-#line 7173 "preproc.y"
+#line 7168 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33158,7 +33153,7 @@
   case 1172:
 
 /* Line 1455 of yacc.c  */
-#line 7177 "preproc.y"
+#line 7172 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
 ;}
@@ -33167,7 +33162,7 @@
   case 1173:
 
 /* Line 1455 of yacc.c  */
-#line 7185 "preproc.y"
+#line 7180 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -33176,7 +33171,7 @@
   case 1174:
 
 /* Line 1455 of yacc.c  */
-#line 7189 "preproc.y"
+#line 7184 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("cross join"),(yyvsp[(4) - (4)].str));
 ;}
@@ -33185,7 +33180,7 @@
   case 1175:
 
 /* Line 1455 of yacc.c  */
-#line 7193 "preproc.y"
+#line 7188 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),make_str("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
 ;}
@@ -33194,7 +33189,7 @@
   case 1176:
 
 /* Line 1455 of yacc.c  */
-#line 7197 "preproc.y"
+#line 7192 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -33203,7 +33198,7 @@
   case 1177:
 
 /* Line 1455 of yacc.c  */
-#line 7201 "preproc.y"
+#line 7196 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("natural"),(yyvsp[(3) - (5)].str),make_str("join"),(yyvsp[(5) - (5)].str));
 ;}
@@ -33212,7 +33207,7 @@
   case 1178:
 
 /* Line 1455 of yacc.c  */
-#line 7205 "preproc.y"
+#line 7200 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("natural join"),(yyvsp[(4) - (4)].str));
 ;}
@@ -33221,7 +33216,7 @@
   case 1179:
 
 /* Line 1455 of yacc.c  */
-#line 7213 "preproc.y"
+#line 7208 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("as"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -33230,7 +33225,7 @@
   case 1180:
 
 /* Line 1455 of yacc.c  */
-#line 7217 "preproc.y"
+#line 7212 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("as"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33239,7 +33234,7 @@
   case 1181:
 
 /* Line 1455 of yacc.c  */
-#line 7221 "preproc.y"
+#line 7216 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),make_str("("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -33248,7 +33243,7 @@
   case 1182:
 
 /* Line 1455 of yacc.c  */
-#line 7225 "preproc.y"
+#line 7220 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33257,7 +33252,7 @@
   case 1183:
 
 /* Line 1455 of yacc.c  */
-#line 7233 "preproc.y"
+#line 7228 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("full"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33266,7 +33261,7 @@
   case 1184:
 
 /* Line 1455 of yacc.c  */
-#line 7237 "preproc.y"
+#line 7232 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("left"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33275,7 +33270,7 @@
   case 1185:
 
 /* Line 1455 of yacc.c  */
-#line 7241 "preproc.y"
+#line 7236 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("right"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33284,7 +33279,7 @@
   case 1186:
 
 /* Line 1455 of yacc.c  */
-#line 7245 "preproc.y"
+#line 7240 "preproc.y"
     { 
  (yyval.str) = make_str("inner");
 ;}
@@ -33293,7 +33288,7 @@
   case 1187:
 
 /* Line 1455 of yacc.c  */
-#line 7253 "preproc.y"
+#line 7248 "preproc.y"
     { 
  (yyval.str) = make_str("outer");
 ;}
@@ -33302,7 +33297,7 @@
   case 1188:
 
 /* Line 1455 of yacc.c  */
-#line 7257 "preproc.y"
+#line 7252 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33310,7 +33305,7 @@
   case 1189:
 
 /* Line 1455 of yacc.c  */
-#line 7264 "preproc.y"
+#line 7259 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("using ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -33319,7 +33314,7 @@
   case 1190:
 
 /* Line 1455 of yacc.c  */
-#line 7268 "preproc.y"
+#line 7263 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("on"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33328,7 +33323,7 @@
   case 1191:
 
 /* Line 1455 of yacc.c  */
-#line 7276 "preproc.y"
+#line 7271 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33337,7 +33332,7 @@
   case 1192:
 
 /* Line 1455 of yacc.c  */
-#line 7280 "preproc.y"
+#line 7275 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("*"));
 ;}
@@ -33346,7 +33341,7 @@
   case 1193:
 
 /* Line 1455 of yacc.c  */
-#line 7284 "preproc.y"
+#line 7279 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("only"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33355,7 +33350,7 @@
   case 1194:
 
 /* Line 1455 of yacc.c  */
-#line 7288 "preproc.y"
+#line 7283 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("only ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -33364,7 +33359,7 @@
   case 1195:
 
 /* Line 1455 of yacc.c  */
-#line 7296 "preproc.y"
+#line 7291 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33373,7 +33368,7 @@
   case 1196:
 
 /* Line 1455 of yacc.c  */
-#line 7300 "preproc.y"
+#line 7295 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -33382,7 +33377,7 @@
   case 1197:
 
 /* Line 1455 of yacc.c  */
-#line 7308 "preproc.y"
+#line 7303 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33391,7 +33386,7 @@
   case 1198:
 
 /* Line 1455 of yacc.c  */
-#line 7312 "preproc.y"
+#line 7307 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33400,7 +33395,7 @@
   case 1199:
 
 /* Line 1455 of yacc.c  */
-#line 7316 "preproc.y"
+#line 7311 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
 ;}
@@ -33409,7 +33404,7 @@
   case 1200:
 
 /* Line 1455 of yacc.c  */
-#line 7324 "preproc.y"
+#line 7319 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33418,7 +33413,7 @@
   case 1201:
 
 /* Line 1455 of yacc.c  */
-#line 7332 "preproc.y"
+#line 7327 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33427,7 +33422,7 @@
   case 1202:
 
 /* Line 1455 of yacc.c  */
-#line 7336 "preproc.y"
+#line 7331 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33435,7 +33430,7 @@
   case 1203:
 
 /* Line 1455 of yacc.c  */
-#line 7343 "preproc.y"
+#line 7338 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("where"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33444,7 +33439,7 @@
   case 1204:
 
 /* Line 1455 of yacc.c  */
-#line 7347 "preproc.y"
+#line 7342 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("where current of"),(yyvsp[(4) - (4)].str));
 ;}
@@ -33453,7 +33448,7 @@
   case 1205:
 
 /* Line 1455 of yacc.c  */
-#line 7351 "preproc.y"
+#line 7346 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("where current of"),(yyvsp[(4) - (4)].str));
 ;}
@@ -33462,7 +33457,7 @@
   case 1206:
 
 /* Line 1455 of yacc.c  */
-#line 7355 "preproc.y"
+#line 7350 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33470,7 +33465,7 @@
   case 1207:
 
 /* Line 1455 of yacc.c  */
-#line 7362 "preproc.y"
+#line 7357 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33479,7 +33474,7 @@
   case 1208:
 
 /* Line 1455 of yacc.c  */
-#line 7366 "preproc.y"
+#line 7361 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -33488,7 +33483,7 @@
   case 1209:
 
 /* Line 1455 of yacc.c  */
-#line 7374 "preproc.y"
+#line 7369 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33497,21 +33492,21 @@
   case 1210:
 
 /* Line 1455 of yacc.c  */
-#line 7382 "preproc.y"
+#line 7377 "preproc.y"
     {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
     break;
 
   case 1211:
 
 /* Line 1455 of yacc.c  */
-#line 7384 "preproc.y"
+#line 7379 "preproc.y"
     {	(yyval.str) = (yyval.str) = cat_str(3, make_str("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
     break;
 
   case 1212:
 
 /* Line 1455 of yacc.c  */
-#line 7386 "preproc.y"
+#line 7381 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),make_str("array ["),(yyvsp[(4) - (5)].str),make_str("]"));
 ;}
@@ -33520,7 +33515,7 @@
   case 1213:
 
 /* Line 1455 of yacc.c  */
-#line 7390 "preproc.y"
+#line 7385 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("setof"),(yyvsp[(2) - (6)].str),make_str("array ["),(yyvsp[(5) - (6)].str),make_str("]"));
 ;}
@@ -33529,7 +33524,7 @@
   case 1214:
 
 /* Line 1455 of yacc.c  */
-#line 7394 "preproc.y"
+#line 7389 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("array"));
 ;}
@@ -33538,7 +33533,7 @@
   case 1215:
 
 /* Line 1455 of yacc.c  */
-#line 7398 "preproc.y"
+#line 7393 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("setof"),(yyvsp[(2) - (3)].str),make_str("array"));
 ;}
@@ -33547,7 +33542,7 @@
   case 1216:
 
 /* Line 1455 of yacc.c  */
-#line 7406 "preproc.y"
+#line 7401 "preproc.y"
     {
 		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
 		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
@@ -33562,7 +33557,7 @@
   case 1217:
 
 /* Line 1455 of yacc.c  */
-#line 7416 "preproc.y"
+#line 7411 "preproc.y"
     {
 		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
 		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
@@ -33577,7 +33572,7 @@
   case 1218:
 
 /* Line 1455 of yacc.c  */
-#line 7426 "preproc.y"
+#line 7421 "preproc.y"
     {
 		(yyval.index).index1 = make_str("-1");
 		(yyval.index).index2 = make_str("-1");
@@ -33588,7 +33583,7 @@
   case 1219:
 
 /* Line 1455 of yacc.c  */
-#line 7436 "preproc.y"
+#line 7431 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33597,7 +33592,7 @@
   case 1220:
 
 /* Line 1455 of yacc.c  */
-#line 7440 "preproc.y"
+#line 7435 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33606,7 +33601,7 @@
   case 1221:
 
 /* Line 1455 of yacc.c  */
-#line 7444 "preproc.y"
+#line 7439 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33615,7 +33610,7 @@
   case 1222:
 
 /* Line 1455 of yacc.c  */
-#line 7448 "preproc.y"
+#line 7443 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33624,7 +33619,7 @@
   case 1223:
 
 /* Line 1455 of yacc.c  */
-#line 7452 "preproc.y"
+#line 7447 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33633,7 +33628,7 @@
   case 1224:
 
 /* Line 1455 of yacc.c  */
-#line 7456 "preproc.y"
+#line 7451 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33642,7 +33637,7 @@
   case 1225:
 
 /* Line 1455 of yacc.c  */
-#line 7460 "preproc.y"
+#line 7455 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
 ;}
@@ -33651,7 +33646,7 @@
   case 1226:
 
 /* Line 1455 of yacc.c  */
-#line 7468 "preproc.y"
+#line 7463 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33660,7 +33655,7 @@
   case 1227:
 
 /* Line 1455 of yacc.c  */
-#line 7472 "preproc.y"
+#line 7467 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33669,7 +33664,7 @@
   case 1228:
 
 /* Line 1455 of yacc.c  */
-#line 7476 "preproc.y"
+#line 7471 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33678,7 +33673,7 @@
   case 1229:
 
 /* Line 1455 of yacc.c  */
-#line 7480 "preproc.y"
+#line 7475 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33687,7 +33682,7 @@
   case 1230:
 
 /* Line 1455 of yacc.c  */
-#line 7488 "preproc.y"
+#line 7483 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33696,7 +33691,7 @@
   case 1231:
 
 /* Line 1455 of yacc.c  */
-#line 7492 "preproc.y"
+#line 7487 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -33705,7 +33700,7 @@
   case 1232:
 
 /* Line 1455 of yacc.c  */
-#line 7500 "preproc.y"
+#line 7495 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -33714,7 +33709,7 @@
   case 1233:
 
 /* Line 1455 of yacc.c  */
-#line 7504 "preproc.y"
+#line 7499 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33722,7 +33717,7 @@
   case 1234:
 
 /* Line 1455 of yacc.c  */
-#line 7511 "preproc.y"
+#line 7506 "preproc.y"
     { 
  (yyval.str) = make_str("int");
 ;}
@@ -33731,7 +33726,7 @@
   case 1235:
 
 /* Line 1455 of yacc.c  */
-#line 7515 "preproc.y"
+#line 7510 "preproc.y"
     { 
  (yyval.str) = make_str("integer");
 ;}
@@ -33740,7 +33735,7 @@
   case 1236:
 
 /* Line 1455 of yacc.c  */
-#line 7519 "preproc.y"
+#line 7514 "preproc.y"
     { 
  (yyval.str) = make_str("smallint");
 ;}
@@ -33749,7 +33744,7 @@
   case 1237:
 
 /* Line 1455 of yacc.c  */
-#line 7523 "preproc.y"
+#line 7518 "preproc.y"
     { 
  (yyval.str) = make_str("bigint");
 ;}
@@ -33758,7 +33753,7 @@
   case 1238:
 
 /* Line 1455 of yacc.c  */
-#line 7527 "preproc.y"
+#line 7522 "preproc.y"
     { 
  (yyval.str) = make_str("real");
 ;}
@@ -33767,7 +33762,7 @@
   case 1239:
 
 /* Line 1455 of yacc.c  */
-#line 7531 "preproc.y"
+#line 7526 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("float"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33776,7 +33771,7 @@
   case 1240:
 
 /* Line 1455 of yacc.c  */
-#line 7535 "preproc.y"
+#line 7530 "preproc.y"
     { 
  (yyval.str) = make_str("double precision");
 ;}
@@ -33785,7 +33780,7 @@
   case 1241:
 
 /* Line 1455 of yacc.c  */
-#line 7539 "preproc.y"
+#line 7534 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("decimal"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33794,7 +33789,7 @@
   case 1242:
 
 /* Line 1455 of yacc.c  */
-#line 7543 "preproc.y"
+#line 7538 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("dec"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33803,7 +33798,7 @@
   case 1243:
 
 /* Line 1455 of yacc.c  */
-#line 7547 "preproc.y"
+#line 7542 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("numeric"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33812,7 +33807,7 @@
   case 1244:
 
 /* Line 1455 of yacc.c  */
-#line 7551 "preproc.y"
+#line 7546 "preproc.y"
     { 
  (yyval.str) = make_str("boolean");
 ;}
@@ -33821,7 +33816,7 @@
   case 1245:
 
 /* Line 1455 of yacc.c  */
-#line 7559 "preproc.y"
+#line 7554 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -33830,7 +33825,7 @@
   case 1246:
 
 /* Line 1455 of yacc.c  */
-#line 7563 "preproc.y"
+#line 7558 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -33838,7 +33833,7 @@
   case 1247:
 
 /* Line 1455 of yacc.c  */
-#line 7570 "preproc.y"
+#line 7565 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33847,7 +33842,7 @@
   case 1248:
 
 /* Line 1455 of yacc.c  */
-#line 7574 "preproc.y"
+#line 7569 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33856,7 +33851,7 @@
   case 1249:
 
 /* Line 1455 of yacc.c  */
-#line 7582 "preproc.y"
+#line 7577 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33865,7 +33860,7 @@
   case 1250:
 
 /* Line 1455 of yacc.c  */
-#line 7586 "preproc.y"
+#line 7581 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33874,7 +33869,7 @@
   case 1251:
 
 /* Line 1455 of yacc.c  */
-#line 7594 "preproc.y"
+#line 7589 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("bit"),(yyvsp[(2) - (5)].str),make_str("("),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -33883,7 +33878,7 @@
   case 1252:
 
 /* Line 1455 of yacc.c  */
-#line 7602 "preproc.y"
+#line 7597 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("bit"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33892,7 +33887,7 @@
   case 1253:
 
 /* Line 1455 of yacc.c  */
-#line 7610 "preproc.y"
+#line 7605 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33901,7 +33896,7 @@
   case 1254:
 
 /* Line 1455 of yacc.c  */
-#line 7614 "preproc.y"
+#line 7609 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33910,7 +33905,7 @@
   case 1255:
 
 /* Line 1455 of yacc.c  */
-#line 7622 "preproc.y"
+#line 7617 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33919,7 +33914,7 @@
   case 1256:
 
 /* Line 1455 of yacc.c  */
-#line 7626 "preproc.y"
+#line 7621 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -33928,7 +33923,7 @@
   case 1257:
 
 /* Line 1455 of yacc.c  */
-#line 7634 "preproc.y"
+#line 7629 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
 ;}
@@ -33937,7 +33932,7 @@
   case 1258:
 
 /* Line 1455 of yacc.c  */
-#line 7642 "preproc.y"
+#line 7637 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -33946,7 +33941,7 @@
   case 1259:
 
 /* Line 1455 of yacc.c  */
-#line 7650 "preproc.y"
+#line 7645 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("character"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33955,7 +33950,7 @@
   case 1260:
 
 /* Line 1455 of yacc.c  */
-#line 7654 "preproc.y"
+#line 7649 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("char"),(yyvsp[(2) - (2)].str));
 ;}
@@ -33964,7 +33959,7 @@
   case 1261:
 
 /* Line 1455 of yacc.c  */
-#line 7658 "preproc.y"
+#line 7653 "preproc.y"
     { 
  (yyval.str) = make_str("varchar");
 ;}
@@ -33973,7 +33968,7 @@
   case 1262:
 
 /* Line 1455 of yacc.c  */
-#line 7662 "preproc.y"
+#line 7657 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("national character"),(yyvsp[(3) - (3)].str));
 ;}
@@ -33982,7 +33977,7 @@
   case 1263:
 
 /* Line 1455 of yacc.c  */
-#line 7666 "preproc.y"
+#line 7661 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("national char"),(yyvsp[(3) - (3)].str));
 ;}
@@ -33991,7 +33986,7 @@
   case 1264:
 
 /* Line 1455 of yacc.c  */
-#line 7670 "preproc.y"
+#line 7665 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("nchar"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34000,7 +33995,7 @@
   case 1265:
 
 /* Line 1455 of yacc.c  */
-#line 7678 "preproc.y"
+#line 7673 "preproc.y"
     { 
  (yyval.str) = make_str("varying");
 ;}
@@ -34009,7 +34004,7 @@
   case 1266:
 
 /* Line 1455 of yacc.c  */
-#line 7682 "preproc.y"
+#line 7677 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -34017,7 +34012,7 @@
   case 1267:
 
 /* Line 1455 of yacc.c  */
-#line 7689 "preproc.y"
+#line 7684 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("character set"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34026,7 +34021,7 @@
   case 1268:
 
 /* Line 1455 of yacc.c  */
-#line 7693 "preproc.y"
+#line 7688 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -34034,7 +34029,7 @@
   case 1269:
 
 /* Line 1455 of yacc.c  */
-#line 7700 "preproc.y"
+#line 7695 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("timestamp ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34043,7 +34038,7 @@
   case 1270:
 
 /* Line 1455 of yacc.c  */
-#line 7704 "preproc.y"
+#line 7699 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("timestamp"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34052,7 +34047,7 @@
   case 1271:
 
 /* Line 1455 of yacc.c  */
-#line 7708 "preproc.y"
+#line 7703 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("time ("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34061,7 +34056,7 @@
   case 1272:
 
 /* Line 1455 of yacc.c  */
-#line 7712 "preproc.y"
+#line 7707 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("time"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34070,7 +34065,7 @@
   case 1273:
 
 /* Line 1455 of yacc.c  */
-#line 7720 "preproc.y"
+#line 7715 "preproc.y"
     { 
  (yyval.str) = make_str("interval");
 ;}
@@ -34079,7 +34074,7 @@
   case 1274:
 
 /* Line 1455 of yacc.c  */
-#line 7728 "preproc.y"
+#line 7723 "preproc.y"
     { 
  (yyval.str) = make_str("with time zone");
 ;}
@@ -34088,7 +34083,7 @@
   case 1275:
 
 /* Line 1455 of yacc.c  */
-#line 7732 "preproc.y"
+#line 7727 "preproc.y"
     { 
  (yyval.str) = make_str("without time zone");
 ;}
@@ -34097,7 +34092,7 @@
   case 1276:
 
 /* Line 1455 of yacc.c  */
-#line 7736 "preproc.y"
+#line 7731 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -34105,7 +34100,7 @@
   case 1277:
 
 /* Line 1455 of yacc.c  */
-#line 7743 "preproc.y"
+#line 7738 "preproc.y"
     { 
  (yyval.str) = make_str("year");
 ;}
@@ -34114,7 +34109,7 @@
   case 1278:
 
 /* Line 1455 of yacc.c  */
-#line 7747 "preproc.y"
+#line 7742 "preproc.y"
     { 
  (yyval.str) = make_str("month");
 ;}
@@ -34123,7 +34118,7 @@
   case 1279:
 
 /* Line 1455 of yacc.c  */
-#line 7751 "preproc.y"
+#line 7746 "preproc.y"
     { 
  (yyval.str) = make_str("day");
 ;}
@@ -34132,7 +34127,7 @@
   case 1280:
 
 /* Line 1455 of yacc.c  */
-#line 7755 "preproc.y"
+#line 7750 "preproc.y"
     { 
  (yyval.str) = make_str("hour");
 ;}
@@ -34141,7 +34136,7 @@
   case 1281:
 
 /* Line 1455 of yacc.c  */
-#line 7759 "preproc.y"
+#line 7754 "preproc.y"
     { 
  (yyval.str) = make_str("minute");
 ;}
@@ -34150,7 +34145,7 @@
   case 1282:
 
 /* Line 1455 of yacc.c  */
-#line 7763 "preproc.y"
+#line 7758 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -34159,7 +34154,7 @@
   case 1283:
 
 /* Line 1455 of yacc.c  */
-#line 7767 "preproc.y"
+#line 7762 "preproc.y"
     { 
  (yyval.str) = make_str("year to month");
 ;}
@@ -34168,7 +34163,7 @@
   case 1284:
 
 /* Line 1455 of yacc.c  */
-#line 7771 "preproc.y"
+#line 7766 "preproc.y"
     { 
  (yyval.str) = make_str("day to hour");
 ;}
@@ -34177,7 +34172,7 @@
   case 1285:
 
 /* Line 1455 of yacc.c  */
-#line 7775 "preproc.y"
+#line 7770 "preproc.y"
     { 
  (yyval.str) = make_str("day to minute");
 ;}
@@ -34186,7 +34181,7 @@
   case 1286:
 
 /* Line 1455 of yacc.c  */
-#line 7779 "preproc.y"
+#line 7774 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("day to"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34195,7 +34190,7 @@
   case 1287:
 
 /* Line 1455 of yacc.c  */
-#line 7783 "preproc.y"
+#line 7778 "preproc.y"
     { 
  (yyval.str) = make_str("hour to minute");
 ;}
@@ -34204,7 +34199,7 @@
   case 1288:
 
 /* Line 1455 of yacc.c  */
-#line 7787 "preproc.y"
+#line 7782 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("hour to"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34213,7 +34208,7 @@
   case 1289:
 
 /* Line 1455 of yacc.c  */
-#line 7791 "preproc.y"
+#line 7786 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("minute to"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34222,7 +34217,7 @@
   case 1290:
 
 /* Line 1455 of yacc.c  */
-#line 7795 "preproc.y"
+#line 7790 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -34230,7 +34225,7 @@
   case 1291:
 
 /* Line 1455 of yacc.c  */
-#line 7802 "preproc.y"
+#line 7797 "preproc.y"
     { 
  (yyval.str) = make_str("second");
 ;}
@@ -34239,7 +34234,7 @@
   case 1292:
 
 /* Line 1455 of yacc.c  */
-#line 7806 "preproc.y"
+#line 7801 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("second ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -34248,7 +34243,7 @@
   case 1293:
 
 /* Line 1455 of yacc.c  */
-#line 7814 "preproc.y"
+#line 7809 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -34257,7 +34252,7 @@
   case 1294:
 
 /* Line 1455 of yacc.c  */
-#line 7818 "preproc.y"
+#line 7813 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34266,7 +34261,7 @@
   case 1295:
 
 /* Line 1455 of yacc.c  */
-#line 7822 "preproc.y"
+#line 7817 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("at time zone"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34275,7 +34270,7 @@
   case 1296:
 
 /* Line 1455 of yacc.c  */
-#line 7826 "preproc.y"
+#line 7821 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34284,7 +34279,7 @@
   case 1297:
 
 /* Line 1455 of yacc.c  */
-#line 7830 "preproc.y"
+#line 7825 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34293,7 +34288,7 @@
   case 1298:
 
 /* Line 1455 of yacc.c  */
-#line 7834 "preproc.y"
+#line 7829 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34302,7 +34297,7 @@
   case 1299:
 
 /* Line 1455 of yacc.c  */
-#line 7838 "preproc.y"
+#line 7833 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34311,7 +34306,7 @@
   case 1300:
 
 /* Line 1455 of yacc.c  */
-#line 7842 "preproc.y"
+#line 7837 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34320,7 +34315,7 @@
   case 1301:
 
 /* Line 1455 of yacc.c  */
-#line 7846 "preproc.y"
+#line 7841 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34329,7 +34324,7 @@
   case 1302:
 
 /* Line 1455 of yacc.c  */
-#line 7850 "preproc.y"
+#line 7845 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34338,7 +34333,7 @@
   case 1303:
 
 /* Line 1455 of yacc.c  */
-#line 7854 "preproc.y"
+#line 7849 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34347,7 +34342,7 @@
   case 1304:
 
 /* Line 1455 of yacc.c  */
-#line 7858 "preproc.y"
+#line 7853 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34356,7 +34351,7 @@
   case 1305:
 
 /* Line 1455 of yacc.c  */
-#line 7862 "preproc.y"
+#line 7857 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34365,7 +34360,7 @@
   case 1306:
 
 /* Line 1455 of yacc.c  */
-#line 7866 "preproc.y"
+#line 7861 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -34374,7 +34369,7 @@
   case 1307:
 
 /* Line 1455 of yacc.c  */
-#line 7870 "preproc.y"
+#line 7865 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -34383,7 +34378,7 @@
   case 1308:
 
 /* Line 1455 of yacc.c  */
-#line 7874 "preproc.y"
+#line 7869 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -34392,7 +34387,7 @@
   case 1309:
 
 /* Line 1455 of yacc.c  */
-#line 7878 "preproc.y"
+#line 7873 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -34401,7 +34396,7 @@
   case 1310:
 
 /* Line 1455 of yacc.c  */
-#line 7882 "preproc.y"
+#line 7877 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("and"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34410,7 +34405,7 @@
   case 1311:
 
 /* Line 1455 of yacc.c  */
-#line 7886 "preproc.y"
+#line 7881 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("or"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34419,7 +34414,7 @@
   case 1312:
 
 /* Line 1455 of yacc.c  */
-#line 7890 "preproc.y"
+#line 7885 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("not"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34428,7 +34423,7 @@
   case 1313:
 
 /* Line 1455 of yacc.c  */
-#line 7894 "preproc.y"
+#line 7889 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("like"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34437,7 +34432,7 @@
   case 1314:
 
 /* Line 1455 of yacc.c  */
-#line 7898 "preproc.y"
+#line 7893 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("like"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34446,7 +34441,7 @@
   case 1315:
 
 /* Line 1455 of yacc.c  */
-#line 7902 "preproc.y"
+#line 7897 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not like"),(yyvsp[(4) - (4)].str));
 ;}
@@ -34455,7 +34450,7 @@
   case 1316:
 
 /* Line 1455 of yacc.c  */
-#line 7906 "preproc.y"
+#line 7901 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not like"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34464,7 +34459,7 @@
   case 1317:
 
 /* Line 1455 of yacc.c  */
-#line 7910 "preproc.y"
+#line 7905 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("ilike"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34473,7 +34468,7 @@
   case 1318:
 
 /* Line 1455 of yacc.c  */
-#line 7914 "preproc.y"
+#line 7909 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("ilike"),(yyvsp[(3) - (5)].str),make_str("escape"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34482,7 +34477,7 @@
   case 1319:
 
 /* Line 1455 of yacc.c  */
-#line 7918 "preproc.y"
+#line 7913 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not ilike"),(yyvsp[(4) - (4)].str));
 ;}
@@ -34491,7 +34486,7 @@
   case 1320:
 
 /* Line 1455 of yacc.c  */
-#line 7922 "preproc.y"
+#line 7917 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("not ilike"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34500,7 +34495,7 @@
   case 1321:
 
 /* Line 1455 of yacc.c  */
-#line 7926 "preproc.y"
+#line 7921 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("similar to"),(yyvsp[(4) - (4)].str));
 ;}
@@ -34509,7 +34504,7 @@
   case 1322:
 
 /* Line 1455 of yacc.c  */
-#line 7930 "preproc.y"
+#line 7925 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("similar to"),(yyvsp[(4) - (6)].str),make_str("escape"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34518,7 +34513,7 @@
   case 1323:
 
 /* Line 1455 of yacc.c  */
-#line 7934 "preproc.y"
+#line 7929 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("not similar to"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34527,7 +34522,7 @@
   case 1324:
 
 /* Line 1455 of yacc.c  */
-#line 7938 "preproc.y"
+#line 7933 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not similar to"),(yyvsp[(5) - (7)].str),make_str("escape"),(yyvsp[(7) - (7)].str));
 ;}
@@ -34536,7 +34531,7 @@
   case 1325:
 
 /* Line 1455 of yacc.c  */
-#line 7942 "preproc.y"
+#line 7937 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is null"));
 ;}
@@ -34545,7 +34540,7 @@
   case 1326:
 
 /* Line 1455 of yacc.c  */
-#line 7946 "preproc.y"
+#line 7941 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("isnull"));
 ;}
@@ -34554,7 +34549,7 @@
   case 1327:
 
 /* Line 1455 of yacc.c  */
-#line 7950 "preproc.y"
+#line 7945 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not null"));
 ;}
@@ -34563,7 +34558,7 @@
   case 1328:
 
 /* Line 1455 of yacc.c  */
-#line 7954 "preproc.y"
+#line 7949 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),make_str("notnull"));
 ;}
@@ -34572,7 +34567,7 @@
   case 1329:
 
 /* Line 1455 of yacc.c  */
-#line 7958 "preproc.y"
+#line 7953 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("overlaps"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34581,7 +34576,7 @@
   case 1330:
 
 /* Line 1455 of yacc.c  */
-#line 7962 "preproc.y"
+#line 7957 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is true"));
 ;}
@@ -34590,7 +34585,7 @@
   case 1331:
 
 /* Line 1455 of yacc.c  */
-#line 7966 "preproc.y"
+#line 7961 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not true"));
 ;}
@@ -34599,7 +34594,7 @@
   case 1332:
 
 /* Line 1455 of yacc.c  */
-#line 7970 "preproc.y"
+#line 7965 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is false"));
 ;}
@@ -34608,7 +34603,7 @@
   case 1333:
 
 /* Line 1455 of yacc.c  */
-#line 7974 "preproc.y"
+#line 7969 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not false"));
 ;}
@@ -34617,7 +34612,7 @@
   case 1334:
 
 /* Line 1455 of yacc.c  */
-#line 7978 "preproc.y"
+#line 7973 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is unknown"));
 ;}
@@ -34626,7 +34621,7 @@
   case 1335:
 
 /* Line 1455 of yacc.c  */
-#line 7982 "preproc.y"
+#line 7977 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not unknown"));
 ;}
@@ -34635,7 +34630,7 @@
   case 1336:
 
 /* Line 1455 of yacc.c  */
-#line 7986 "preproc.y"
+#line 7981 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34644,7 +34639,7 @@
   case 1337:
 
 /* Line 1455 of yacc.c  */
-#line 7990 "preproc.y"
+#line 7985 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34653,7 +34648,7 @@
   case 1338:
 
 /* Line 1455 of yacc.c  */
-#line 7994 "preproc.y"
+#line 7989 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -34662,7 +34657,7 @@
   case 1339:
 
 /* Line 1455 of yacc.c  */
-#line 7998 "preproc.y"
+#line 7993 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -34671,7 +34666,7 @@
   case 1340:
 
 /* Line 1455 of yacc.c  */
-#line 8002 "preproc.y"
+#line 7997 "preproc.y"
     { 
  (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34680,7 +34675,7 @@
   case 1341:
 
 /* Line 1455 of yacc.c  */
-#line 8006 "preproc.y"
+#line 8001 "preproc.y"
     { 
  (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),make_str("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
 ;}
@@ -34689,7 +34684,7 @@
   case 1342:
 
 /* Line 1455 of yacc.c  */
-#line 8010 "preproc.y"
+#line 8005 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("between symmetric"),(yyvsp[(4) - (6)].str),make_str("and"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34698,7 +34693,7 @@
   case 1343:
 
 /* Line 1455 of yacc.c  */
-#line 8014 "preproc.y"
+#line 8009 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),make_str("not between symmetric"),(yyvsp[(5) - (7)].str),make_str("and"),(yyvsp[(7) - (7)].str));
 ;}
@@ -34707,7 +34702,7 @@
   case 1344:
 
 /* Line 1455 of yacc.c  */
-#line 8018 "preproc.y"
+#line 8013 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34716,7 +34711,7 @@
   case 1345:
 
 /* Line 1455 of yacc.c  */
-#line 8022 "preproc.y"
+#line 8017 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("not in"),(yyvsp[(4) - (4)].str));
 ;}
@@ -34725,7 +34720,7 @@
   case 1346:
 
 /* Line 1455 of yacc.c  */
-#line 8026 "preproc.y"
+#line 8021 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -34734,7 +34729,7 @@
   case 1347:
 
 /* Line 1455 of yacc.c  */
-#line 8030 "preproc.y"
+#line 8025 "preproc.y"
     { 
  (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),make_str("("),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -34743,7 +34738,7 @@
   case 1348:
 
 /* Line 1455 of yacc.c  */
-#line 8034 "preproc.y"
+#line 8029 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = cat_str(2,make_str("unique"),(yyvsp[(2) - (2)].str));
@@ -34753,7 +34748,7 @@
   case 1349:
 
 /* Line 1455 of yacc.c  */
-#line 8039 "preproc.y"
+#line 8034 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
 ;}
@@ -34762,7 +34757,7 @@
   case 1350:
 
 /* Line 1455 of yacc.c  */
-#line 8043 "preproc.y"
+#line 8038 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
 ;}
@@ -34771,7 +34766,7 @@
   case 1351:
 
 /* Line 1455 of yacc.c  */
-#line 8051 "preproc.y"
+#line 8046 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -34780,7 +34775,7 @@
   case 1352:
 
 /* Line 1455 of yacc.c  */
-#line 8055 "preproc.y"
+#line 8050 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("::"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34789,7 +34784,7 @@
   case 1353:
 
 /* Line 1455 of yacc.c  */
-#line 8059 "preproc.y"
+#line 8054 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34798,7 +34793,7 @@
   case 1354:
 
 /* Line 1455 of yacc.c  */
-#line 8063 "preproc.y"
+#line 8058 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
 ;}
@@ -34807,7 +34802,7 @@
   case 1355:
 
 /* Line 1455 of yacc.c  */
-#line 8067 "preproc.y"
+#line 8062 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("+"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34816,7 +34811,7 @@
   case 1356:
 
 /* Line 1455 of yacc.c  */
-#line 8071 "preproc.y"
+#line 8066 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("-"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34825,7 +34820,7 @@
   case 1357:
 
 /* Line 1455 of yacc.c  */
-#line 8075 "preproc.y"
+#line 8070 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("*"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34834,7 +34829,7 @@
   case 1358:
 
 /* Line 1455 of yacc.c  */
-#line 8079 "preproc.y"
+#line 8074 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("/"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34843,7 +34838,7 @@
   case 1359:
 
 /* Line 1455 of yacc.c  */
-#line 8083 "preproc.y"
+#line 8078 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("%"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34852,7 +34847,7 @@
   case 1360:
 
 /* Line 1455 of yacc.c  */
-#line 8087 "preproc.y"
+#line 8082 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("^"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34861,7 +34856,7 @@
   case 1361:
 
 /* Line 1455 of yacc.c  */
-#line 8091 "preproc.y"
+#line 8086 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("<"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34870,7 +34865,7 @@
   case 1362:
 
 /* Line 1455 of yacc.c  */
-#line 8095 "preproc.y"
+#line 8090 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(">"),(yyvsp[(3) - (3)].str));
 ;}
@@ -34879,7 +34874,7 @@
   case 1363:
 
 /* Line 1455 of yacc.c  */
-#line 8099 "preproc.y"
+#line 8094 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("="),(yyvsp[(3) - (3)].str));
 ;}
@@ -34888,7 +34883,7 @@
   case 1364:
 
 /* Line 1455 of yacc.c  */
-#line 8103 "preproc.y"
+#line 8098 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -34897,7 +34892,7 @@
   case 1365:
 
 /* Line 1455 of yacc.c  */
-#line 8107 "preproc.y"
+#line 8102 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -34906,7 +34901,7 @@
   case 1366:
 
 /* Line 1455 of yacc.c  */
-#line 8111 "preproc.y"
+#line 8106 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -34915,7 +34910,7 @@
   case 1367:
 
 /* Line 1455 of yacc.c  */
-#line 8115 "preproc.y"
+#line 8110 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("is distinct from"),(yyvsp[(5) - (5)].str));
 ;}
@@ -34924,7 +34919,7 @@
   case 1368:
 
 /* Line 1455 of yacc.c  */
-#line 8119 "preproc.y"
+#line 8114 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),make_str("is not distinct from"),(yyvsp[(6) - (6)].str));
 ;}
@@ -34933,7 +34928,7 @@
   case 1369:
 
 /* Line 1455 of yacc.c  */
-#line 8123 "preproc.y"
+#line 8118 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),make_str("is of ("),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -34942,7 +34937,7 @@
   case 1370:
 
 /* Line 1455 of yacc.c  */
-#line 8127 "preproc.y"
+#line 8122 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),make_str("is not of ("),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -34951,7 +34946,7 @@
   case 1371:
 
 /* Line 1455 of yacc.c  */
-#line 8131 "preproc.y"
+#line 8126 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),make_str("is document"));
 ;}
@@ -34960,7 +34955,7 @@
   case 1372:
 
 /* Line 1455 of yacc.c  */
-#line 8135 "preproc.y"
+#line 8130 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),make_str("is not document"));
 ;}
@@ -34969,7 +34964,7 @@
   case 1373:
 
 /* Line 1455 of yacc.c  */
-#line 8143 "preproc.y"
+#line 8138 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -34978,7 +34973,7 @@
   case 1374:
 
 /* Line 1455 of yacc.c  */
-#line 8147 "preproc.y"
+#line 8142 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -34987,7 +34982,7 @@
   case 1375:
 
 /* Line 1455 of yacc.c  */
-#line 8151 "preproc.y"
+#line 8146 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -34996,7 +34991,7 @@
   case 1376:
 
 /* Line 1455 of yacc.c  */
-#line 8155 "preproc.y"
+#line 8150 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("("),(yyvsp[(2) - (4)].str),make_str(")"),(yyvsp[(4) - (4)].str));
 ;}
@@ -35005,7 +35000,7 @@
   case 1377:
 
 /* Line 1455 of yacc.c  */
-#line 8159 "preproc.y"
+#line 8154 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35014,7 +35009,7 @@
   case 1378:
 
 /* Line 1455 of yacc.c  */
-#line 8163 "preproc.y"
+#line 8158 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35023,7 +35018,7 @@
   case 1379:
 
 /* Line 1455 of yacc.c  */
-#line 8167 "preproc.y"
+#line 8162 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35032,7 +35027,7 @@
   case 1380:
 
 /* Line 1455 of yacc.c  */
-#line 8171 "preproc.y"
+#line 8166 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("exists"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35041,7 +35036,7 @@
   case 1381:
 
 /* Line 1455 of yacc.c  */
-#line 8175 "preproc.y"
+#line 8170 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35050,7 +35045,7 @@
   case 1382:
 
 /* Line 1455 of yacc.c  */
-#line 8179 "preproc.y"
+#line 8174 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("array"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35059,7 +35054,7 @@
   case 1383:
 
 /* Line 1455 of yacc.c  */
-#line 8183 "preproc.y"
+#line 8178 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35068,7 +35063,7 @@
   case 1384:
 
 /* Line 1455 of yacc.c  */
-#line 8191 "preproc.y"
+#line 8186 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),make_str("( )"),(yyvsp[(4) - (4)].str));
 ;}
@@ -35077,7 +35072,7 @@
   case 1385:
 
 /* Line 1455 of yacc.c  */
-#line 8195 "preproc.y"
+#line 8190 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
 ;}
@@ -35086,7 +35081,7 @@
   case 1386:
 
 /* Line 1455 of yacc.c  */
-#line 8199 "preproc.y"
+#line 8194 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( variadic"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
 ;}
@@ -35095,7 +35090,7 @@
   case 1387:
 
 /* Line 1455 of yacc.c  */
-#line 8203 "preproc.y"
+#line 8198 "preproc.y"
     { 
  (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),make_str("("),(yyvsp[(3) - (8)].str),make_str(", variadic"),(yyvsp[(6) - (8)].str),make_str(")"),(yyvsp[(8) - (8)].str));
 ;}
@@ -35104,7 +35099,7 @@
   case 1388:
 
 /* Line 1455 of yacc.c  */
-#line 8207 "preproc.y"
+#line 8202 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( all"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
 ;}
@@ -35113,7 +35108,7 @@
   case 1389:
 
 /* Line 1455 of yacc.c  */
-#line 8211 "preproc.y"
+#line 8206 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),make_str("( distinct"),(yyvsp[(4) - (6)].str),make_str(")"),(yyvsp[(6) - (6)].str));
 ;}
@@ -35122,7 +35117,7 @@
   case 1390:
 
 /* Line 1455 of yacc.c  */
-#line 8215 "preproc.y"
+#line 8210 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),make_str("( * )"),(yyvsp[(5) - (5)].str));
 ;}
@@ -35131,7 +35126,7 @@
   case 1391:
 
 /* Line 1455 of yacc.c  */
-#line 8219 "preproc.y"
+#line 8214 "preproc.y"
     { 
  (yyval.str) = make_str("current_date");
 ;}
@@ -35140,7 +35135,7 @@
   case 1392:
 
 /* Line 1455 of yacc.c  */
-#line 8223 "preproc.y"
+#line 8218 "preproc.y"
     { 
  (yyval.str) = make_str("current_time");
 ;}
@@ -35149,7 +35144,7 @@
   case 1393:
 
 /* Line 1455 of yacc.c  */
-#line 8227 "preproc.y"
+#line 8222 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("current_time ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35158,7 +35153,7 @@
   case 1394:
 
 /* Line 1455 of yacc.c  */
-#line 8231 "preproc.y"
+#line 8226 "preproc.y"
     { 
  (yyval.str) = make_str("current_timestamp");
 ;}
@@ -35167,7 +35162,7 @@
   case 1395:
 
 /* Line 1455 of yacc.c  */
-#line 8235 "preproc.y"
+#line 8230 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("current_timestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35176,7 +35171,7 @@
   case 1396:
 
 /* Line 1455 of yacc.c  */
-#line 8239 "preproc.y"
+#line 8234 "preproc.y"
     { 
  (yyval.str) = make_str("localtime");
 ;}
@@ -35185,7 +35180,7 @@
   case 1397:
 
 /* Line 1455 of yacc.c  */
-#line 8243 "preproc.y"
+#line 8238 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("localtime ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35194,7 +35189,7 @@
   case 1398:
 
 /* Line 1455 of yacc.c  */
-#line 8247 "preproc.y"
+#line 8242 "preproc.y"
     { 
  (yyval.str) = make_str("localtimestamp");
 ;}
@@ -35203,7 +35198,7 @@
   case 1399:
 
 /* Line 1455 of yacc.c  */
-#line 8251 "preproc.y"
+#line 8246 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("localtimestamp ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35212,7 +35207,7 @@
   case 1400:
 
 /* Line 1455 of yacc.c  */
-#line 8255 "preproc.y"
+#line 8250 "preproc.y"
     { 
  (yyval.str) = make_str("current_role");
 ;}
@@ -35221,7 +35216,7 @@
   case 1401:
 
 /* Line 1455 of yacc.c  */
-#line 8259 "preproc.y"
+#line 8254 "preproc.y"
     { 
  (yyval.str) = make_str("current_user");
 ;}
@@ -35230,7 +35225,7 @@
   case 1402:
 
 /* Line 1455 of yacc.c  */
-#line 8263 "preproc.y"
+#line 8258 "preproc.y"
     { 
  (yyval.str) = make_str("session_user");
 ;}
@@ -35239,7 +35234,7 @@
   case 1403:
 
 /* Line 1455 of yacc.c  */
-#line 8267 "preproc.y"
+#line 8262 "preproc.y"
     { 
  (yyval.str) = make_str("user");
 ;}
@@ -35248,7 +35243,7 @@
   case 1404:
 
 /* Line 1455 of yacc.c  */
-#line 8271 "preproc.y"
+#line 8266 "preproc.y"
     { 
  (yyval.str) = make_str("current_catalog");
 ;}
@@ -35257,7 +35252,7 @@
   case 1405:
 
 /* Line 1455 of yacc.c  */
-#line 8275 "preproc.y"
+#line 8270 "preproc.y"
     { 
  (yyval.str) = make_str("current_schema");
 ;}
@@ -35266,7 +35261,7 @@
   case 1406:
 
 /* Line 1455 of yacc.c  */
-#line 8279 "preproc.y"
+#line 8274 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("cast ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -35275,7 +35270,7 @@
   case 1407:
 
 /* Line 1455 of yacc.c  */
-#line 8283 "preproc.y"
+#line 8278 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("extract ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35284,7 +35279,7 @@
   case 1408:
 
 /* Line 1455 of yacc.c  */
-#line 8287 "preproc.y"
+#line 8282 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("overlay ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35293,7 +35288,7 @@
   case 1409:
 
 /* Line 1455 of yacc.c  */
-#line 8291 "preproc.y"
+#line 8286 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("position ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35302,7 +35297,7 @@
   case 1410:
 
 /* Line 1455 of yacc.c  */
-#line 8295 "preproc.y"
+#line 8290 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("substring ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35311,7 +35306,7 @@
   case 1411:
 
 /* Line 1455 of yacc.c  */
-#line 8299 "preproc.y"
+#line 8294 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("treat ("),(yyvsp[(3) - (6)].str),make_str("as"),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -35320,7 +35315,7 @@
   case 1412:
 
 /* Line 1455 of yacc.c  */
-#line 8303 "preproc.y"
+#line 8298 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("trim ( both"),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -35329,7 +35324,7 @@
   case 1413:
 
 /* Line 1455 of yacc.c  */
-#line 8307 "preproc.y"
+#line 8302 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("trim ( leading"),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -35338,7 +35333,7 @@
   case 1414:
 
 /* Line 1455 of yacc.c  */
-#line 8311 "preproc.y"
+#line 8306 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("trim ( trailing"),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -35347,7 +35342,7 @@
   case 1415:
 
 /* Line 1455 of yacc.c  */
-#line 8315 "preproc.y"
+#line 8310 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("trim ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35356,7 +35351,7 @@
   case 1416:
 
 /* Line 1455 of yacc.c  */
-#line 8319 "preproc.y"
+#line 8314 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("nullif ("),(yyvsp[(3) - (6)].str),make_str(","),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -35365,7 +35360,7 @@
   case 1417:
 
 /* Line 1455 of yacc.c  */
-#line 8323 "preproc.y"
+#line 8318 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("coalesce ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35374,7 +35369,7 @@
   case 1418:
 
 /* Line 1455 of yacc.c  */
-#line 8327 "preproc.y"
+#line 8322 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("greatest ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35383,7 +35378,7 @@
   case 1419:
 
 /* Line 1455 of yacc.c  */
-#line 8331 "preproc.y"
+#line 8326 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("least ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35392,7 +35387,7 @@
   case 1420:
 
 /* Line 1455 of yacc.c  */
-#line 8335 "preproc.y"
+#line 8330 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("xmlconcat ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35401,7 +35396,7 @@
   case 1421:
 
 /* Line 1455 of yacc.c  */
-#line 8339 "preproc.y"
+#line 8334 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("xmlelement ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -35410,7 +35405,7 @@
   case 1422:
 
 /* Line 1455 of yacc.c  */
-#line 8343 "preproc.y"
+#line 8338 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -35419,7 +35414,7 @@
   case 1423:
 
 /* Line 1455 of yacc.c  */
-#line 8347 "preproc.y"
+#line 8342 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("xmlelement ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -35428,7 +35423,7 @@
   case 1424:
 
 /* Line 1455 of yacc.c  */
-#line 8351 "preproc.y"
+#line 8346 "preproc.y"
     { 
  (yyval.str) = cat_str(7,make_str("xmlelement ( name"),(yyvsp[(4) - (9)].str),make_str(","),(yyvsp[(6) - (9)].str),make_str(","),(yyvsp[(8) - (9)].str),make_str(")"));
 ;}
@@ -35437,7 +35432,7 @@
   case 1425:
 
 /* Line 1455 of yacc.c  */
-#line 8355 "preproc.y"
+#line 8350 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("xmlforest ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35446,7 +35441,7 @@
   case 1426:
 
 /* Line 1455 of yacc.c  */
-#line 8359 "preproc.y"
+#line 8354 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -35455,7 +35450,7 @@
   case 1427:
 
 /* Line 1455 of yacc.c  */
-#line 8363 "preproc.y"
+#line 8358 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("xmlpi ( name"),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -35464,7 +35459,7 @@
   case 1428:
 
 /* Line 1455 of yacc.c  */
-#line 8367 "preproc.y"
+#line 8362 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("xmlpi ( name"),(yyvsp[(4) - (7)].str),make_str(","),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -35473,7 +35468,7 @@
   case 1429:
 
 /* Line 1455 of yacc.c  */
-#line 8371 "preproc.y"
+#line 8366 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("xmlroot ("),(yyvsp[(3) - (7)].str),make_str(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -35482,7 +35477,7 @@
   case 1430:
 
 /* Line 1455 of yacc.c  */
-#line 8375 "preproc.y"
+#line 8370 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),make_str("as"),(yyvsp[(6) - (7)].str),make_str(")"));
 ;}
@@ -35491,7 +35486,7 @@
   case 1431:
 
 /* Line 1455 of yacc.c  */
-#line 8383 "preproc.y"
+#line 8378 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("version"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35500,7 +35495,7 @@
   case 1432:
 
 /* Line 1455 of yacc.c  */
-#line 8387 "preproc.y"
+#line 8382 "preproc.y"
     { 
  (yyval.str) = make_str("version no value");
 ;}
@@ -35509,7 +35504,7 @@
   case 1433:
 
 /* Line 1455 of yacc.c  */
-#line 8395 "preproc.y"
+#line 8390 "preproc.y"
     { 
  (yyval.str) = make_str(", standalone yes");
 ;}
@@ -35518,7 +35513,7 @@
   case 1434:
 
 /* Line 1455 of yacc.c  */
-#line 8399 "preproc.y"
+#line 8394 "preproc.y"
     { 
  (yyval.str) = make_str(", standalone no");
 ;}
@@ -35527,7 +35522,7 @@
   case 1435:
 
 /* Line 1455 of yacc.c  */
-#line 8403 "preproc.y"
+#line 8398 "preproc.y"
     { 
  (yyval.str) = make_str(", standalone no value");
 ;}
@@ -35536,7 +35531,7 @@
   case 1436:
 
 /* Line 1455 of yacc.c  */
-#line 8407 "preproc.y"
+#line 8402 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35544,7 +35539,7 @@
   case 1437:
 
 /* Line 1455 of yacc.c  */
-#line 8414 "preproc.y"
+#line 8409 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("xmlattributes ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35553,7 +35548,7 @@
   case 1438:
 
 /* Line 1455 of yacc.c  */
-#line 8422 "preproc.y"
+#line 8417 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35562,7 +35557,7 @@
   case 1439:
 
 /* Line 1455 of yacc.c  */
-#line 8426 "preproc.y"
+#line 8421 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -35571,7 +35566,7 @@
   case 1440:
 
 /* Line 1455 of yacc.c  */
-#line 8434 "preproc.y"
+#line 8429 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
 ;}
@@ -35580,7 +35575,7 @@
   case 1441:
 
 /* Line 1455 of yacc.c  */
-#line 8438 "preproc.y"
+#line 8433 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35589,7 +35584,7 @@
   case 1442:
 
 /* Line 1455 of yacc.c  */
-#line 8446 "preproc.y"
+#line 8441 "preproc.y"
     { 
  (yyval.str) = make_str("document");
 ;}
@@ -35598,7 +35593,7 @@
   case 1443:
 
 /* Line 1455 of yacc.c  */
-#line 8450 "preproc.y"
+#line 8445 "preproc.y"
     { 
  (yyval.str) = make_str("content");
 ;}
@@ -35607,7 +35602,7 @@
   case 1444:
 
 /* Line 1455 of yacc.c  */
-#line 8458 "preproc.y"
+#line 8453 "preproc.y"
     { 
  (yyval.str) = make_str("preserve whitespace");
 ;}
@@ -35616,7 +35611,7 @@
   case 1445:
 
 /* Line 1455 of yacc.c  */
-#line 8462 "preproc.y"
+#line 8457 "preproc.y"
     { 
  (yyval.str) = make_str("strip whitespace");
 ;}
@@ -35625,7 +35620,7 @@
   case 1446:
 
 /* Line 1455 of yacc.c  */
-#line 8466 "preproc.y"
+#line 8461 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35633,7 +35628,7 @@
   case 1447:
 
 /* Line 1455 of yacc.c  */
-#line 8473 "preproc.y"
+#line 8468 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("window"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35642,7 +35637,7 @@
   case 1448:
 
 /* Line 1455 of yacc.c  */
-#line 8477 "preproc.y"
+#line 8472 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35650,7 +35645,7 @@
   case 1449:
 
 /* Line 1455 of yacc.c  */
-#line 8484 "preproc.y"
+#line 8479 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35659,7 +35654,7 @@
   case 1450:
 
 /* Line 1455 of yacc.c  */
-#line 8488 "preproc.y"
+#line 8483 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -35668,7 +35663,7 @@
   case 1451:
 
 /* Line 1455 of yacc.c  */
-#line 8496 "preproc.y"
+#line 8491 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
 ;}
@@ -35677,7 +35672,7 @@
   case 1452:
 
 /* Line 1455 of yacc.c  */
-#line 8504 "preproc.y"
+#line 8499 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35686,7 +35681,7 @@
   case 1453:
 
 /* Line 1455 of yacc.c  */
-#line 8508 "preproc.y"
+#line 8503 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("over"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35695,7 +35690,7 @@
   case 1454:
 
 /* Line 1455 of yacc.c  */
-#line 8512 "preproc.y"
+#line 8507 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35703,7 +35698,7 @@
   case 1455:
 
 /* Line 1455 of yacc.c  */
-#line 8519 "preproc.y"
+#line 8514 "preproc.y"
     { 
  (yyval.str) = cat_str(6,make_str("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),make_str(")"));
 ;}
@@ -35712,7 +35707,7 @@
   case 1456:
 
 /* Line 1455 of yacc.c  */
-#line 8527 "preproc.y"
+#line 8522 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35721,7 +35716,7 @@
   case 1457:
 
 /* Line 1455 of yacc.c  */
-#line 8531 "preproc.y"
+#line 8526 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35729,7 +35724,7 @@
   case 1458:
 
 /* Line 1455 of yacc.c  */
-#line 8538 "preproc.y"
+#line 8533 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("partition by"),(yyvsp[(3) - (3)].str));
 ;}
@@ -35738,7 +35733,7 @@
   case 1459:
 
 /* Line 1455 of yacc.c  */
-#line 8542 "preproc.y"
+#line 8537 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35746,7 +35741,7 @@
   case 1460:
 
 /* Line 1455 of yacc.c  */
-#line 8549 "preproc.y"
+#line 8544 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("range"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35755,7 +35750,7 @@
   case 1461:
 
 /* Line 1455 of yacc.c  */
-#line 8553 "preproc.y"
+#line 8548 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("rows"),(yyvsp[(2) - (2)].str));
 ;}
@@ -35764,7 +35759,7 @@
   case 1462:
 
 /* Line 1455 of yacc.c  */
-#line 8557 "preproc.y"
+#line 8552 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -35772,19 +35767,19 @@
   case 1463:
 
 /* Line 1455 of yacc.c  */
+#line 8559 "preproc.y"
+    { 
+mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
+ (yyval.str) = (yyvsp[(1) - (1)].str);
+;}
+    break;
+
+  case 1464:
+
+/* Line 1455 of yacc.c  */
 #line 8564 "preproc.y"
     { 
 mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
- (yyval.str) = (yyvsp[(1) - (1)].str);
-;}
-    break;
-
-  case 1464:
-
-/* Line 1455 of yacc.c  */
-#line 8569 "preproc.y"
-    { 
-mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
  (yyval.str) = cat_str(4,make_str("between"),(yyvsp[(2) - (4)].str),make_str("and"),(yyvsp[(4) - (4)].str));
 ;}
     break;
@@ -35792,7 +35787,7 @@
   case 1465:
 
 /* Line 1455 of yacc.c  */
-#line 8578 "preproc.y"
+#line 8573 "preproc.y"
     { 
  (yyval.str) = make_str("unbounded preceding");
 ;}
@@ -35801,7 +35796,7 @@
   case 1466:
 
 /* Line 1455 of yacc.c  */
-#line 8582 "preproc.y"
+#line 8577 "preproc.y"
     { 
  (yyval.str) = make_str("unbounded following");
 ;}
@@ -35810,7 +35805,7 @@
   case 1467:
 
 /* Line 1455 of yacc.c  */
-#line 8586 "preproc.y"
+#line 8581 "preproc.y"
     { 
  (yyval.str) = make_str("current row");
 ;}
@@ -35819,7 +35814,7 @@
   case 1468:
 
 /* Line 1455 of yacc.c  */
-#line 8594 "preproc.y"
+#line 8589 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("row ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35828,7 +35823,7 @@
   case 1469:
 
 /* Line 1455 of yacc.c  */
-#line 8598 "preproc.y"
+#line 8593 "preproc.y"
     { 
  (yyval.str) = make_str("row ( )");
 ;}
@@ -35837,7 +35832,7 @@
   case 1470:
 
 /* Line 1455 of yacc.c  */
-#line 8602 "preproc.y"
+#line 8597 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("("),(yyvsp[(2) - (5)].str),make_str(","),(yyvsp[(4) - (5)].str),make_str(")"));
 ;}
@@ -35846,7 +35841,7 @@
   case 1471:
 
 /* Line 1455 of yacc.c  */
-#line 8610 "preproc.y"
+#line 8605 "preproc.y"
     { 
  (yyval.str) = make_str("any");
 ;}
@@ -35855,7 +35850,7 @@
   case 1472:
 
 /* Line 1455 of yacc.c  */
-#line 8614 "preproc.y"
+#line 8609 "preproc.y"
     { 
  (yyval.str) = make_str("some");
 ;}
@@ -35864,7 +35859,7 @@
   case 1473:
 
 /* Line 1455 of yacc.c  */
-#line 8618 "preproc.y"
+#line 8613 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -35873,7 +35868,7 @@
   case 1474:
 
 /* Line 1455 of yacc.c  */
-#line 8626 "preproc.y"
+#line 8621 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35882,7 +35877,7 @@
   case 1475:
 
 /* Line 1455 of yacc.c  */
-#line 8630 "preproc.y"
+#line 8625 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35891,7 +35886,7 @@
   case 1476:
 
 /* Line 1455 of yacc.c  */
-#line 8638 "preproc.y"
+#line 8633 "preproc.y"
     { 
  (yyval.str) = make_str("+");
 ;}
@@ -35900,7 +35895,7 @@
   case 1477:
 
 /* Line 1455 of yacc.c  */
-#line 8642 "preproc.y"
+#line 8637 "preproc.y"
     { 
  (yyval.str) = make_str("-");
 ;}
@@ -35909,7 +35904,7 @@
   case 1478:
 
 /* Line 1455 of yacc.c  */
-#line 8646 "preproc.y"
+#line 8641 "preproc.y"
     { 
  (yyval.str) = make_str("*");
 ;}
@@ -35918,7 +35913,7 @@
   case 1479:
 
 /* Line 1455 of yacc.c  */
-#line 8650 "preproc.y"
+#line 8645 "preproc.y"
     { 
  (yyval.str) = make_str("/");
 ;}
@@ -35927,7 +35922,7 @@
   case 1480:
 
 /* Line 1455 of yacc.c  */
-#line 8654 "preproc.y"
+#line 8649 "preproc.y"
     { 
  (yyval.str) = make_str("%");
 ;}
@@ -35936,7 +35931,7 @@
   case 1481:
 
 /* Line 1455 of yacc.c  */
-#line 8658 "preproc.y"
+#line 8653 "preproc.y"
     { 
  (yyval.str) = make_str("^");
 ;}
@@ -35945,7 +35940,7 @@
   case 1482:
 
 /* Line 1455 of yacc.c  */
-#line 8662 "preproc.y"
+#line 8657 "preproc.y"
     { 
  (yyval.str) = make_str("<");
 ;}
@@ -35954,7 +35949,7 @@
   case 1483:
 
 /* Line 1455 of yacc.c  */
-#line 8666 "preproc.y"
+#line 8661 "preproc.y"
     { 
  (yyval.str) = make_str(">");
 ;}
@@ -35963,7 +35958,7 @@
   case 1484:
 
 /* Line 1455 of yacc.c  */
-#line 8670 "preproc.y"
+#line 8665 "preproc.y"
     { 
  (yyval.str) = make_str("=");
 ;}
@@ -35972,7 +35967,7 @@
   case 1485:
 
 /* Line 1455 of yacc.c  */
-#line 8678 "preproc.y"
+#line 8673 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35981,7 +35976,7 @@
   case 1486:
 
 /* Line 1455 of yacc.c  */
-#line 8682 "preproc.y"
+#line 8677 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -35990,7 +35985,7 @@
   case 1487:
 
 /* Line 1455 of yacc.c  */
-#line 8690 "preproc.y"
+#line 8685 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -35999,7 +35994,7 @@
   case 1488:
 
 /* Line 1455 of yacc.c  */
-#line 8694 "preproc.y"
+#line 8689 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -36008,7 +36003,7 @@
   case 1489:
 
 /* Line 1455 of yacc.c  */
-#line 8702 "preproc.y"
+#line 8697 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36017,7 +36012,7 @@
   case 1490:
 
 /* Line 1455 of yacc.c  */
-#line 8706 "preproc.y"
+#line 8701 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("operator ("),(yyvsp[(3) - (4)].str),make_str(")"));
 ;}
@@ -36026,7 +36021,7 @@
   case 1491:
 
 /* Line 1455 of yacc.c  */
-#line 8710 "preproc.y"
+#line 8705 "preproc.y"
     { 
  (yyval.str) = make_str("like");
 ;}
@@ -36035,7 +36030,7 @@
   case 1492:
 
 /* Line 1455 of yacc.c  */
-#line 8714 "preproc.y"
+#line 8709 "preproc.y"
     { 
  (yyval.str) = make_str("not like");
 ;}
@@ -36044,7 +36039,7 @@
   case 1493:
 
 /* Line 1455 of yacc.c  */
-#line 8718 "preproc.y"
+#line 8713 "preproc.y"
     { 
  (yyval.str) = make_str("ilike");
 ;}
@@ -36053,7 +36048,7 @@
   case 1494:
 
 /* Line 1455 of yacc.c  */
-#line 8722 "preproc.y"
+#line 8717 "preproc.y"
     { 
  (yyval.str) = make_str("not ilike");
 ;}
@@ -36062,7 +36057,7 @@
   case 1495:
 
 /* Line 1455 of yacc.c  */
-#line 8730 "preproc.y"
+#line 8725 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36071,7 +36066,7 @@
   case 1496:
 
 /* Line 1455 of yacc.c  */
-#line 8734 "preproc.y"
+#line 8729 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36080,7 +36075,7 @@
   case 1497:
 
 /* Line 1455 of yacc.c  */
-#line 8742 "preproc.y"
+#line 8737 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36089,7 +36084,7 @@
   case 1498:
 
 /* Line 1455 of yacc.c  */
-#line 8746 "preproc.y"
+#line 8741 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36098,7 +36093,7 @@
   case 1499:
 
 /* Line 1455 of yacc.c  */
-#line 8754 "preproc.y"
+#line 8749 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
 ;}
@@ -36107,7 +36102,7 @@
   case 1500:
 
 /* Line 1455 of yacc.c  */
-#line 8758 "preproc.y"
+#line 8753 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
 ;}
@@ -36116,7 +36111,7 @@
   case 1501:
 
 /* Line 1455 of yacc.c  */
-#line 8762 "preproc.y"
+#line 8757 "preproc.y"
     { 
  (yyval.str) = make_str("[ ]");
 ;}
@@ -36125,7 +36120,7 @@
   case 1502:
 
 /* Line 1455 of yacc.c  */
-#line 8770 "preproc.y"
+#line 8765 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36134,7 +36129,7 @@
   case 1503:
 
 /* Line 1455 of yacc.c  */
-#line 8774 "preproc.y"
+#line 8769 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36143,7 +36138,7 @@
   case 1504:
 
 /* Line 1455 of yacc.c  */
-#line 8782 "preproc.y"
+#line 8777 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
 ;}
@@ -36152,7 +36147,7 @@
   case 1505:
 
 /* Line 1455 of yacc.c  */
-#line 8786 "preproc.y"
+#line 8781 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36160,7 +36155,7 @@
   case 1506:
 
 /* Line 1455 of yacc.c  */
-#line 8793 "preproc.y"
+#line 8788 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36169,7 +36164,7 @@
   case 1507:
 
 /* Line 1455 of yacc.c  */
-#line 8797 "preproc.y"
+#line 8792 "preproc.y"
     { 
  (yyval.str) = make_str("year");
 ;}
@@ -36178,7 +36173,7 @@
   case 1508:
 
 /* Line 1455 of yacc.c  */
-#line 8801 "preproc.y"
+#line 8796 "preproc.y"
     { 
  (yyval.str) = make_str("month");
 ;}
@@ -36187,7 +36182,7 @@
   case 1509:
 
 /* Line 1455 of yacc.c  */
-#line 8805 "preproc.y"
+#line 8800 "preproc.y"
     { 
  (yyval.str) = make_str("day");
 ;}
@@ -36196,7 +36191,7 @@
   case 1510:
 
 /* Line 1455 of yacc.c  */
-#line 8809 "preproc.y"
+#line 8804 "preproc.y"
     { 
  (yyval.str) = make_str("hour");
 ;}
@@ -36205,7 +36200,7 @@
   case 1511:
 
 /* Line 1455 of yacc.c  */
-#line 8813 "preproc.y"
+#line 8808 "preproc.y"
     { 
  (yyval.str) = make_str("minute");
 ;}
@@ -36214,7 +36209,7 @@
   case 1512:
 
 /* Line 1455 of yacc.c  */
-#line 8817 "preproc.y"
+#line 8812 "preproc.y"
     { 
  (yyval.str) = make_str("second");
 ;}
@@ -36223,7 +36218,7 @@
   case 1513:
 
 /* Line 1455 of yacc.c  */
-#line 8821 "preproc.y"
+#line 8816 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36232,7 +36227,7 @@
   case 1514:
 
 /* Line 1455 of yacc.c  */
-#line 8829 "preproc.y"
+#line 8824 "preproc.y"
     { 
  (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
 ;}
@@ -36241,7 +36236,7 @@
   case 1515:
 
 /* Line 1455 of yacc.c  */
-#line 8833 "preproc.y"
+#line 8828 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -36250,7 +36245,7 @@
   case 1516:
 
 /* Line 1455 of yacc.c  */
-#line 8841 "preproc.y"
+#line 8836 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("placing"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36259,7 +36254,7 @@
   case 1517:
 
 /* Line 1455 of yacc.c  */
-#line 8849 "preproc.y"
+#line 8844 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("in"),(yyvsp[(3) - (3)].str));
 ;}
@@ -36268,7 +36263,7 @@
   case 1518:
 
 /* Line 1455 of yacc.c  */
-#line 8853 "preproc.y"
+#line 8848 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36276,7 +36271,7 @@
   case 1519:
 
 /* Line 1455 of yacc.c  */
-#line 8860 "preproc.y"
+#line 8855 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -36285,7 +36280,7 @@
   case 1520:
 
 /* Line 1455 of yacc.c  */
-#line 8864 "preproc.y"
+#line 8859 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -36294,7 +36289,7 @@
   case 1521:
 
 /* Line 1455 of yacc.c  */
-#line 8868 "preproc.y"
+#line 8863 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36303,7 +36298,7 @@
   case 1522:
 
 /* Line 1455 of yacc.c  */
-#line 8872 "preproc.y"
+#line 8867 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36312,7 +36307,7 @@
   case 1523:
 
 /* Line 1455 of yacc.c  */
-#line 8876 "preproc.y"
+#line 8871 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36321,7 +36316,7 @@
   case 1524:
 
 /* Line 1455 of yacc.c  */
-#line 8880 "preproc.y"
+#line 8875 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36329,7 +36324,7 @@
   case 1525:
 
 /* Line 1455 of yacc.c  */
-#line 8887 "preproc.y"
+#line 8882 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36338,7 +36333,7 @@
   case 1526:
 
 /* Line 1455 of yacc.c  */
-#line 8895 "preproc.y"
+#line 8890 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("for"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36347,7 +36342,7 @@
   case 1527:
 
 /* Line 1455 of yacc.c  */
-#line 8903 "preproc.y"
+#line 8898 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("from"),(yyvsp[(3) - (3)].str));
 ;}
@@ -36356,7 +36351,7 @@
   case 1528:
 
 /* Line 1455 of yacc.c  */
-#line 8907 "preproc.y"
+#line 8902 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("from"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36365,7 +36360,7 @@
   case 1529:
 
 /* Line 1455 of yacc.c  */
-#line 8911 "preproc.y"
+#line 8906 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36374,7 +36369,7 @@
   case 1530:
 
 /* Line 1455 of yacc.c  */
-#line 8919 "preproc.y"
+#line 8914 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36383,7 +36378,7 @@
   case 1531:
 
 /* Line 1455 of yacc.c  */
-#line 8923 "preproc.y"
+#line 8918 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -36392,7 +36387,7 @@
   case 1532:
 
 /* Line 1455 of yacc.c  */
-#line 8931 "preproc.y"
+#line 8926 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),make_str("end"));
 ;}
@@ -36401,7 +36396,7 @@
   case 1533:
 
 /* Line 1455 of yacc.c  */
-#line 8939 "preproc.y"
+#line 8934 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36410,7 +36405,7 @@
   case 1534:
 
 /* Line 1455 of yacc.c  */
-#line 8943 "preproc.y"
+#line 8938 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36419,7 +36414,7 @@
   case 1535:
 
 /* Line 1455 of yacc.c  */
-#line 8951 "preproc.y"
+#line 8946 "preproc.y"
     { 
  (yyval.str) = cat_str(4,make_str("when"),(yyvsp[(2) - (4)].str),make_str("then"),(yyvsp[(4) - (4)].str));
 ;}
@@ -36428,7 +36423,7 @@
   case 1536:
 
 /* Line 1455 of yacc.c  */
-#line 8959 "preproc.y"
+#line 8954 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("else"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36437,7 +36432,7 @@
   case 1537:
 
 /* Line 1455 of yacc.c  */
-#line 8963 "preproc.y"
+#line 8958 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36445,7 +36440,7 @@
   case 1538:
 
 /* Line 1455 of yacc.c  */
-#line 8970 "preproc.y"
+#line 8965 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36454,7 +36449,7 @@
   case 1539:
 
 /* Line 1455 of yacc.c  */
-#line 8974 "preproc.y"
+#line 8969 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36462,7 +36457,7 @@
   case 1540:
 
 /* Line 1455 of yacc.c  */
-#line 8981 "preproc.y"
+#line 8976 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36471,7 +36466,7 @@
   case 1541:
 
 /* Line 1455 of yacc.c  */
-#line 8985 "preproc.y"
+#line 8980 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36480,7 +36475,7 @@
   case 1542:
 
 /* Line 1455 of yacc.c  */
-#line 8993 "preproc.y"
+#line 8988 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("."),(yyvsp[(2) - (2)].str));
 ;}
@@ -36489,7 +36484,7 @@
   case 1543:
 
 /* Line 1455 of yacc.c  */
-#line 8997 "preproc.y"
+#line 8992 "preproc.y"
     { 
  (yyval.str) = make_str(". *");
 ;}
@@ -36498,7 +36493,7 @@
   case 1544:
 
 /* Line 1455 of yacc.c  */
-#line 9001 "preproc.y"
+#line 8996 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("["),(yyvsp[(2) - (3)].str),make_str("]"));
 ;}
@@ -36507,7 +36502,7 @@
   case 1545:
 
 /* Line 1455 of yacc.c  */
-#line 9005 "preproc.y"
+#line 9000 "preproc.y"
     { 
  (yyval.str) = cat_str(5,make_str("["),(yyvsp[(2) - (5)].str),make_str(":"),(yyvsp[(4) - (5)].str),make_str("]"));
 ;}
@@ -36516,7 +36511,7 @@
   case 1546:
 
 /* Line 1455 of yacc.c  */
-#line 9013 "preproc.y"
+#line 9008 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36525,7 +36520,7 @@
   case 1547:
 
 /* Line 1455 of yacc.c  */
-#line 9017 "preproc.y"
+#line 9012 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36534,7 +36529,7 @@
   case 1548:
 
 /* Line 1455 of yacc.c  */
-#line 9025 "preproc.y"
+#line 9020 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36542,7 +36537,7 @@
   case 1549:
 
 /* Line 1455 of yacc.c  */
-#line 9028 "preproc.y"
+#line 9023 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36551,7 +36546,7 @@
   case 1550:
 
 /* Line 1455 of yacc.c  */
-#line 9036 "preproc.y"
+#line 9031 "preproc.y"
     { 
  (yyval.str) = make_str("asymmetric");
 ;}
@@ -36560,7 +36555,7 @@
   case 1551:
 
 /* Line 1455 of yacc.c  */
-#line 9040 "preproc.y"
+#line 9035 "preproc.y"
     { 
  (yyval.str)=EMPTY; ;}
     break;
@@ -36568,7 +36563,7 @@
   case 1552:
 
 /* Line 1455 of yacc.c  */
-#line 9047 "preproc.y"
+#line 9042 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36577,7 +36572,7 @@
   case 1553:
 
 /* Line 1455 of yacc.c  */
-#line 9051 "preproc.y"
+#line 9046 "preproc.y"
     { 
  (yyval.str) = make_str("default");
 ;}
@@ -36586,7 +36581,7 @@
   case 1554:
 
 /* Line 1455 of yacc.c  */
-#line 9059 "preproc.y"
+#line 9054 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36595,7 +36590,7 @@
   case 1555:
 
 /* Line 1455 of yacc.c  */
-#line 9063 "preproc.y"
+#line 9058 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36604,7 +36599,7 @@
   case 1556:
 
 /* Line 1455 of yacc.c  */
-#line 9071 "preproc.y"
+#line 9066 "preproc.y"
     { 
  (yyval.str) = cat_str(3,make_str("("),(yyvsp[(2) - (3)].str),make_str(")"));
 ;}
@@ -36613,7 +36608,7 @@
   case 1557:
 
 /* Line 1455 of yacc.c  */
-#line 9079 "preproc.y"
+#line 9074 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36622,7 +36617,7 @@
   case 1558:
 
 /* Line 1455 of yacc.c  */
-#line 9083 "preproc.y"
+#line 9078 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36631,7 +36626,7 @@
   case 1559:
 
 /* Line 1455 of yacc.c  */
-#line 9091 "preproc.y"
+#line 9086 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str("as"),(yyvsp[(3) - (3)].str));
 ;}
@@ -36640,7 +36635,7 @@
   case 1560:
 
 /* Line 1455 of yacc.c  */
-#line 9095 "preproc.y"
+#line 9090 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36649,7 +36644,7 @@
   case 1561:
 
 /* Line 1455 of yacc.c  */
-#line 9099 "preproc.y"
+#line 9094 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36658,7 +36653,7 @@
   case 1562:
 
 /* Line 1455 of yacc.c  */
-#line 9103 "preproc.y"
+#line 9098 "preproc.y"
     { 
  (yyval.str) = make_str("*");
 ;}
@@ -36667,7 +36662,7 @@
   case 1563:
 
 /* Line 1455 of yacc.c  */
-#line 9111 "preproc.y"
+#line 9106 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36676,7 +36671,7 @@
   case 1564:
 
 /* Line 1455 of yacc.c  */
-#line 9115 "preproc.y"
+#line 9110 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36685,7 +36680,7 @@
   case 1565:
 
 /* Line 1455 of yacc.c  */
-#line 9123 "preproc.y"
+#line 9118 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36694,7 +36689,7 @@
   case 1566:
 
 /* Line 1455 of yacc.c  */
-#line 9127 "preproc.y"
+#line 9122 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36703,7 +36698,7 @@
   case 1567:
 
 /* Line 1455 of yacc.c  */
-#line 9135 "preproc.y"
+#line 9130 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36712,7 +36707,7 @@
   case 1568:
 
 /* Line 1455 of yacc.c  */
-#line 9139 "preproc.y"
+#line 9134 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36721,7 +36716,7 @@
   case 1569:
 
 /* Line 1455 of yacc.c  */
-#line 9147 "preproc.y"
+#line 9142 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36730,7 +36725,7 @@
   case 1570:
 
 /* Line 1455 of yacc.c  */
-#line 9151 "preproc.y"
+#line 9146 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),make_str(","),(yyvsp[(3) - (3)].str));
 ;}
@@ -36739,7 +36734,7 @@
   case 1571:
 
 /* Line 1455 of yacc.c  */
-#line 9159 "preproc.y"
+#line 9154 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36748,7 +36743,7 @@
   case 1572:
 
 /* Line 1455 of yacc.c  */
-#line 9167 "preproc.y"
+#line 9162 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36757,7 +36752,7 @@
   case 1573:
 
 /* Line 1455 of yacc.c  */
-#line 9175 "preproc.y"
+#line 9170 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36766,7 +36761,7 @@
   case 1574:
 
 /* Line 1455 of yacc.c  */
-#line 9183 "preproc.y"
+#line 9178 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36775,7 +36770,7 @@
   case 1575:
 
 /* Line 1455 of yacc.c  */
-#line 9191 "preproc.y"
+#line 9186 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36784,7 +36779,7 @@
   case 1576:
 
 /* Line 1455 of yacc.c  */
-#line 9199 "preproc.y"
+#line 9194 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36793,7 +36788,7 @@
   case 1577:
 
 /* Line 1455 of yacc.c  */
-#line 9207 "preproc.y"
+#line 9202 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36802,7 +36797,7 @@
   case 1578:
 
 /* Line 1455 of yacc.c  */
-#line 9211 "preproc.y"
+#line 9206 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36811,7 +36806,7 @@
   case 1579:
 
 /* Line 1455 of yacc.c  */
-#line 9219 "preproc.y"
+#line 9214 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36820,7 +36815,7 @@
   case 1580:
 
 /* Line 1455 of yacc.c  */
-#line 9223 "preproc.y"
+#line 9218 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36829,7 +36824,7 @@
   case 1581:
 
 /* Line 1455 of yacc.c  */
-#line 9227 "preproc.y"
+#line 9222 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36838,7 +36833,7 @@
   case 1582:
 
 /* Line 1455 of yacc.c  */
-#line 9231 "preproc.y"
+#line 9226 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36847,7 +36842,7 @@
   case 1583:
 
 /* Line 1455 of yacc.c  */
-#line 9235 "preproc.y"
+#line 9230 "preproc.y"
     { 
  (yyval.str) = make_str("xconst");
 ;}
@@ -36856,7 +36851,7 @@
   case 1584:
 
 /* Line 1455 of yacc.c  */
-#line 9239 "preproc.y"
+#line 9234 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36865,7 +36860,7 @@
   case 1585:
 
 /* Line 1455 of yacc.c  */
-#line 9243 "preproc.y"
+#line 9238 "preproc.y"
     { 
  (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),make_str("("),(yyvsp[(3) - (5)].str),make_str(")"),(yyvsp[(5) - (5)].str));
 ;}
@@ -36874,7 +36869,7 @@
   case 1586:
 
 /* Line 1455 of yacc.c  */
-#line 9247 "preproc.y"
+#line 9242 "preproc.y"
     { 
  (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
 ;}
@@ -36883,7 +36878,7 @@
   case 1587:
 
 /* Line 1455 of yacc.c  */
-#line 9251 "preproc.y"
+#line 9246 "preproc.y"
     { 
  (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
 ;}
@@ -36892,7 +36887,7 @@
   case 1588:
 
 /* Line 1455 of yacc.c  */
-#line 9255 "preproc.y"
+#line 9250 "preproc.y"
     { 
  (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),make_str("("),(yyvsp[(3) - (6)].str),make_str(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
 ;}
@@ -36901,7 +36896,7 @@
   case 1589:
 
 /* Line 1455 of yacc.c  */
-#line 9259 "preproc.y"
+#line 9254 "preproc.y"
     { 
  (yyval.str) = make_str("true");
 ;}
@@ -36910,7 +36905,7 @@
   case 1590:
 
 /* Line 1455 of yacc.c  */
-#line 9263 "preproc.y"
+#line 9258 "preproc.y"
     { 
  (yyval.str) = make_str("false");
 ;}
@@ -36919,7 +36914,7 @@
   case 1591:
 
 /* Line 1455 of yacc.c  */
-#line 9267 "preproc.y"
+#line 9262 "preproc.y"
     { 
  (yyval.str) = make_str("null");
 ;}
@@ -36928,28 +36923,28 @@
   case 1592:
 
 /* Line 1455 of yacc.c  */
-#line 9270 "preproc.y"
+#line 9265 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 1593:
 
 /* Line 1455 of yacc.c  */
-#line 9271 "preproc.y"
+#line 9266 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 1594:
 
 /* Line 1455 of yacc.c  */
-#line 9277 "preproc.y"
+#line 9272 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 1595:
 
 /* Line 1455 of yacc.c  */
-#line 9283 "preproc.y"
+#line 9278 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36958,7 +36953,7 @@
   case 1596:
 
 /* Line 1455 of yacc.c  */
-#line 9291 "preproc.y"
+#line 9286 "preproc.y"
     { 
  (yyval.str) = (yyvsp[(1) - (1)].str);
 ;}
@@ -36967,14 +36962,14 @@
   case 1597:
 
 /* Line 1455 of yacc.c  */
-#line 9294 "preproc.y"
+#line 9289 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 1598:
 
 /* Line 1455 of yacc.c  */
-#line 9296 "preproc.y"
+#line 9291 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("+"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36983,7 +36978,7 @@
   case 1599:
 
 /* Line 1455 of yacc.c  */
-#line 9300 "preproc.y"
+#line 9295 "preproc.y"
     { 
  (yyval.str) = cat_str(2,make_str("-"),(yyvsp[(2) - (2)].str));
 ;}
@@ -36992,7 +36987,7 @@
   case 1600:
 
 /* Line 1455 of yacc.c  */
-#line 9308 "preproc.y"
+#line 9303 "preproc.y"
     { 
  (yyval.str) = make_str("abort");
 ;}
@@ -37001,7 +36996,7 @@
   case 1601:
 
 /* Line 1455 of yacc.c  */
-#line 9312 "preproc.y"
+#line 9307 "preproc.y"
     { 
  (yyval.str) = make_str("absolute");
 ;}
@@ -37010,7 +37005,7 @@
   case 1602:
 
 /* Line 1455 of yacc.c  */
-#line 9316 "preproc.y"
+#line 9311 "preproc.y"
     { 
  (yyval.str) = make_str("access");
 ;}
@@ -37019,7 +37014,7 @@
   case 1603:
 
 /* Line 1455 of yacc.c  */
-#line 9320 "preproc.y"
+#line 9315 "preproc.y"
     { 
  (yyval.str) = make_str("action");
 ;}
@@ -37028,7 +37023,7 @@
   case 1604:
 
 /* Line 1455 of yacc.c  */
-#line 9324 "preproc.y"
+#line 9319 "preproc.y"
     { 
  (yyval.str) = make_str("add");
 ;}
@@ -37037,7 +37032,7 @@
   case 1605:
 
 /* Line 1455 of yacc.c  */
-#line 9328 "preproc.y"
+#line 9323 "preproc.y"
     { 
  (yyval.str) = make_str("admin");
 ;}
@@ -37046,7 +37041,7 @@
   case 1606:
 
 /* Line 1455 of yacc.c  */
-#line 9332 "preproc.y"
+#line 9327 "preproc.y"
     { 
  (yyval.str) = make_str("after");
 ;}
@@ -37055,7 +37050,7 @@
   case 1607:
 
 /* Line 1455 of yacc.c  */
-#line 9336 "preproc.y"
+#line 9331 "preproc.y"
     { 
  (yyval.str) = make_str("aggregate");
 ;}
@@ -37064,7 +37059,7 @@
   case 1608:
 
 /* Line 1455 of yacc.c  */
-#line 9340 "preproc.y"
+#line 9335 "preproc.y"
     { 
  (yyval.str) = make_str("also");
 ;}
@@ -37073,7 +37068,7 @@
   case 1609:
 
 /* Line 1455 of yacc.c  */
-#line 9344 "preproc.y"
+#line 9339 "preproc.y"
     { 
  (yyval.str) = make_str("alter");
 ;}
@@ -37082,7 +37077,7 @@
   case 1610:
 
 /* Line 1455 of yacc.c  */
-#line 9348 "preproc.y"
+#line 9343 "preproc.y"
     { 
  (yyval.str) = make_str("always");
 ;}
@@ -37091,7 +37086,7 @@
   case 1611:
 
 /* Line 1455 of yacc.c  */
-#line 9352 "preproc.y"
+#line 9347 "preproc.y"
     { 
  (yyval.str) = make_str("assertion");
 ;}
@@ -37100,7 +37095,7 @@
   case 1612:
 
 /* Line 1455 of yacc.c  */
-#line 9356 "preproc.y"
+#line 9351 "preproc.y"
     { 
  (yyval.str) = make_str("assignment");
 ;}
@@ -37109,7 +37104,7 @@
   case 1613:
 
 /* Line 1455 of yacc.c  */
-#line 9360 "preproc.y"
+#line 9355 "preproc.y"
     { 
  (yyval.str) = make_str("at");
 ;}
@@ -37118,7 +37113,7 @@
   case 1614:
 
 /* Line 1455 of yacc.c  */
-#line 9364 "preproc.y"
+#line 9359 "preproc.y"
     { 
  (yyval.str) = make_str("backward");
 ;}
@@ -37127,7 +37122,7 @@
   case 1615:
 
 /* Line 1455 of yacc.c  */
-#line 9368 "preproc.y"
+#line 9363 "preproc.y"
     { 
  (yyval.str) = make_str("before");
 ;}
@@ -37136,7 +37131,7 @@
   case 1616:
 
 /* Line 1455 of yacc.c  */
-#line 9372 "preproc.y"
+#line 9367 "preproc.y"
     { 
  (yyval.str) = make_str("begin");
 ;}
@@ -37145,7 +37140,7 @@
   case 1617:
 
 /* Line 1455 of yacc.c  */
-#line 9376 "preproc.y"
+#line 9371 "preproc.y"
     { 
  (yyval.str) = make_str("by");
 ;}
@@ -37154,7 +37149,7 @@
   case 1618:
 
 /* Line 1455 of yacc.c  */
-#line 9380 "preproc.y"
+#line 9375 "preproc.y"
     { 
  (yyval.str) = make_str("cache");
 ;}
@@ -37163,7 +37158,7 @@
   case 1619:
 
 /* Line 1455 of yacc.c  */
-#line 9384 "preproc.y"
+#line 9379 "preproc.y"
     { 
  (yyval.str) = make_str("called");
 ;}
@@ -37172,7 +37167,7 @@
   case 1620:
 
 /* Line 1455 of yacc.c  */
-#line 9388 "preproc.y"
+#line 9383 "preproc.y"
     { 
  (yyval.str) = make_str("cascade");
 ;}
@@ -37181,7 +37176,7 @@
   case 1621:
 
 /* Line 1455 of yacc.c  */
-#line 9392 "preproc.y"
+#line 9387 "preproc.y"
     { 
  (yyval.str) = make_str("cascaded");
 ;}
@@ -37190,7 +37185,7 @@
   case 1622:
 
 /* Line 1455 of yacc.c  */
-#line 9396 "preproc.y"
+#line 9391 "preproc.y"
     { 
  (yyval.str) = make_str("catalog");
 ;}
@@ -37199,7 +37194,7 @@
   case 1623:
 
 /* Line 1455 of yacc.c  */
-#line 9400 "preproc.y"
+#line 9395 "preproc.y"
     { 
  (yyval.str) = make_str("chain");
 ;}
@@ -37208,7 +37203,7 @@
   case 1624:
 
 /* Line 1455 of yacc.c  */
-#line 9404 "preproc.y"
+#line 9399 "preproc.y"
     { 
  (yyval.str) = make_str("characteristics");
 ;}
@@ -37217,7 +37212,7 @@
   case 1625:
 
 /* Line 1455 of yacc.c  */
-#line 9408 "preproc.y"
+#line 9403 "preproc.y"
     { 
  (yyval.str) = make_str("checkpoint");
 ;}
@@ -37226,7 +37221,7 @@
   case 1626:
 
 /* Line 1455 of yacc.c  */
-#line 9412 "preproc.y"
+#line 9407 "preproc.y"
     { 
  (yyval.str) = make_str("class");
 ;}
@@ -37235,7 +37230,7 @@
   case 1627:
 
 /* Line 1455 of yacc.c  */
-#line 9416 "preproc.y"
+#line 9411 "preproc.y"
     { 
  (yyval.str) = make_str("close");
 ;}
@@ -37244,7 +37239,7 @@
   case 1628:
 
 /* Line 1455 of yacc.c  */
-#line 9420 "preproc.y"
+#line 9415 "preproc.y"
     { 
  (yyval.str) = make_str("cluster");
 ;}
@@ -37253,7 +37248,7 @@
   case 1629:
 
 /* Line 1455 of yacc.c  */
-#line 9424 "preproc.y"
+#line 9419 "preproc.y"
     { 
  (yyval.str) = make_str("comment");
 ;}
@@ -37262,7 +37257,7 @@
   case 1630:
 
 /* Line 1455 of yacc.c  */
-#line 9428 "preproc.y"
+#line 9423 "preproc.y"
     { 
  (yyval.str) = make_str("commit");
 ;}
@@ -37271,7 +37266,7 @@
   case 1631:
 
 /* Line 1455 of yacc.c  */
-#line 9432 "preproc.y"
+#line 9427 "preproc.y"
     { 
  (yyval.str) = make_str("committed");
 ;}
@@ -37280,7 +37275,7 @@
   case 1632:
 
 /* Line 1455 of yacc.c  */
-#line 9436 "preproc.y"
+#line 9431 "preproc.y"
     { 
  (yyval.str) = make_str("concurrently");
 ;}
@@ -37289,7 +37284,7 @@
   case 1633:
 
 /* Line 1455 of yacc.c  */
-#line 9440 "preproc.y"
+#line 9435 "preproc.y"
     { 
  (yyval.str) = make_str("configuration");
 ;}
@@ -37298,7 +37293,7 @@
   case 1634:
 
 /* Line 1455 of yacc.c  */
-#line 9444 "preproc.y"
+#line 9439 "preproc.y"
     { 
  (yyval.str) = make_str("constraints");
 ;}
@@ -37307,7 +37302,7 @@
   case 1635:
 
 /* Line 1455 of yacc.c  */
-#line 9448 "preproc.y"
+#line 9443 "preproc.y"
     { 
  (yyval.str) = make_str("content");
 ;}
@@ -37316,7 +37311,7 @@
   case 1636:
 
 /* Line 1455 of yacc.c  */
-#line 9452 "preproc.y"
+#line 9447 "preproc.y"
     { 
  (yyval.str) = make_str("continue");
 ;}
@@ -37325,7 +37320,7 @@
   case 1637:
 
 /* Line 1455 of yacc.c  */
-#line 9456 "preproc.y"
+#line 9451 "preproc.y"
     { 
  (yyval.str) = make_str("conversion");
 ;}
@@ -37334,7 +37329,7 @@
   case 1638:
 
 /* Line 1455 of yacc.c  */
-#line 9460 "preproc.y"
+#line 9455 "preproc.y"
     { 
  (yyval.str) = make_str("copy");
 ;}
@@ -37343,7 +37338,7 @@
   case 1639:
 
 /* Line 1455 of yacc.c  */
-#line 9464 "preproc.y"
+#line 9459 "preproc.y"
     { 
  (yyval.str) = make_str("cost");
 ;}
@@ -37352,7 +37347,7 @@
   case 1640:
 
 /* Line 1455 of yacc.c  */
-#line 9468 "preproc.y"
+#line 9463 "preproc.y"
     { 
  (yyval.str) = make_str("createdb");
 ;}
@@ -37361,7 +37356,7 @@
   case 1641:
 
 /* Line 1455 of yacc.c  */
-#line 9472 "preproc.y"
+#line 9467 "preproc.y"
     { 
  (yyval.str) = make_str("createrole");
 ;}
@@ -37370,7 +37365,7 @@
   case 1642:
 
 /* Line 1455 of yacc.c  */
-#line 9476 "preproc.y"
+#line 9471 "preproc.y"
     { 
  (yyval.str) = make_str("createuser");
 ;}
@@ -37379,7 +37374,7 @@
   case 1643:
 
 /* Line 1455 of yacc.c  */
-#line 9480 "preproc.y"
+#line 9475 "preproc.y"
     { 
  (yyval.str) = make_str("csv");
 ;}
@@ -37388,7 +37383,7 @@
   case 1644:
 
 /* Line 1455 of yacc.c  */
-#line 9484 "preproc.y"
+#line 9479 "preproc.y"
     { 
  (yyval.str) = make_str("cursor");
 ;}
@@ -37397,7 +37392,7 @@
   case 1645:
 
 /* Line 1455 of yacc.c  */
-#line 9488 "preproc.y"
+#line 9483 "preproc.y"
     { 
  (yyval.str) = make_str("cycle");
 ;}
@@ -37406,7 +37401,7 @@
   case 1646:
 
 /* Line 1455 of yacc.c  */
-#line 9492 "preproc.y"
+#line 9487 "preproc.y"
     { 
  (yyval.str) = make_str("data");
 ;}
@@ -37415,7 +37410,7 @@
   case 1647:
 
 /* Line 1455 of yacc.c  */
-#line 9496 "preproc.y"
+#line 9491 "preproc.y"
     { 
  (yyval.str) = make_str("database");
 ;}
@@ -37424,7 +37419,7 @@
   case 1648:
 
 /* Line 1455 of yacc.c  */
-#line 9500 "preproc.y"
+#line 9495 "preproc.y"
     { 
  (yyval.str) = make_str("deallocate");
 ;}
@@ -37433,7 +37428,7 @@
   case 1649:
 
 /* Line 1455 of yacc.c  */
-#line 9504 "preproc.y"
+#line 9499 "preproc.y"
     { 
  (yyval.str) = make_str("declare");
 ;}
@@ -37442,7 +37437,7 @@
   case 1650:
 
 /* Line 1455 of yacc.c  */
-#line 9508 "preproc.y"
+#line 9503 "preproc.y"
     { 
  (yyval.str) = make_str("defaults");
 ;}
@@ -37451,7 +37446,7 @@
   case 1651:
 
 /* Line 1455 of yacc.c  */
-#line 9512 "preproc.y"
+#line 9507 "preproc.y"
     { 
  (yyval.str) = make_str("deferred");
 ;}
@@ -37460,7 +37455,7 @@
   case 1652:
 
 /* Line 1455 of yacc.c  */
-#line 9516 "preproc.y"
+#line 9511 "preproc.y"
     { 
  (yyval.str) = make_str("definer");
 ;}
@@ -37469,7 +37464,7 @@
   case 1653:
 
 /* Line 1455 of yacc.c  */
-#line 9520 "preproc.y"
+#line 9515 "preproc.y"
     { 
  (yyval.str) = make_str("delete");
 ;}
@@ -37478,7 +37473,7 @@
   case 1654:
 
 /* Line 1455 of yacc.c  */
-#line 9524 "preproc.y"
+#line 9519 "preproc.y"
     { 
  (yyval.str) = make_str("delimiter");
 ;}
@@ -37487,7 +37482,7 @@
   case 1655:
 
 /* Line 1455 of yacc.c  */
-#line 9528 "preproc.y"
+#line 9523 "preproc.y"
     { 
  (yyval.str) = make_str("delimiters");
 ;}
@@ -37496,7 +37491,7 @@
   case 1656:
 
 /* Line 1455 of yacc.c  */
-#line 9532 "preproc.y"
+#line 9527 "preproc.y"
     { 
  (yyval.str) = make_str("dictionary");
 ;}
@@ -37505,7 +37500,7 @@
   case 1657:
 
 /* Line 1455 of yacc.c  */
-#line 9536 "preproc.y"
+#line 9531 "preproc.y"
     { 
  (yyval.str) = make_str("disable");
 ;}
@@ -37514,7 +37509,7 @@
   case 1658:
 
 /* Line 1455 of yacc.c  */
-#line 9540 "preproc.y"
+#line 9535 "preproc.y"
     { 
  (yyval.str) = make_str("discard");
 ;}
@@ -37523,7 +37518,7 @@
   case 1659:
 
 /* Line 1455 of yacc.c  */
-#line 9544 "preproc.y"
+#line 9539 "preproc.y"
     { 
  (yyval.str) = make_str("document");
 ;}
@@ -37532,7 +37527,7 @@
   case 1660:
 
 /* Line 1455 of yacc.c  */
-#line 9548 "preproc.y"
+#line 9543 "preproc.y"
     { 
  (yyval.str) = make_str("domain");
 ;}
@@ -37541,7 +37536,7 @@
   case 1661:
 
 /* Line 1455 of yacc.c  */
-#line 9552 "preproc.y"
+#line 9547 "preproc.y"
     { 
  (yyval.str) = make_str("double");
 ;}
@@ -37550,7 +37545,7 @@
   case 1662:
 
 /* Line 1455 of yacc.c  */
-#line 9556 "preproc.y"
+#line 9551 "preproc.y"
     { 
  (yyval.str) = make_str("drop");
 ;}
@@ -37559,7 +37554,7 @@
   case 1663:
 
 /* Line 1455 of yacc.c  */
-#line 9560 "preproc.y"
+#line 9555 "preproc.y"
     { 
  (yyval.str) = make_str("each");
 ;}
@@ -37568,7 +37563,7 @@
   case 1664:
 
 /* Line 1455 of yacc.c  */
-#line 9564 "preproc.y"
+#line 9559 "preproc.y"
     { 
  (yyval.str) = make_str("enable");
 ;}
@@ -37577,7 +37572,7 @@
   case 1665:
 
 /* Line 1455 of yacc.c  */
-#line 9568 "preproc.y"
+#line 9563 "preproc.y"
     { 
  (yyval.str) = make_str("encoding");
 ;}
@@ -37586,7 +37581,7 @@
   case 1666:
 
 /* Line 1455 of yacc.c  */
-#line 9572 "preproc.y"
+#line 9567 "preproc.y"
     { 
  (yyval.str) = make_str("encrypted");
 ;}
@@ -37595,7 +37590,7 @@
   case 1667:
 
 /* Line 1455 of yacc.c  */
-#line 9576 "preproc.y"
+#line 9571 "preproc.y"
     { 
  (yyval.str) = make_str("enum");
 ;}
@@ -37604,7 +37599,7 @@
   case 1668:
 
 /* Line 1455 of yacc.c  */
-#line 9580 "preproc.y"
+#line 9575 "preproc.y"
     { 
  (yyval.str) = make_str("escape");
 ;}
@@ -37613,7 +37608,7 @@
   case 1669:
 
 /* Line 1455 of yacc.c  */
-#line 9584 "preproc.y"
+#line 9579 "preproc.y"
     { 
  (yyval.str) = make_str("excluding");
 ;}
@@ -37622,7 +37617,7 @@
   case 1670:
 
 /* Line 1455 of yacc.c  */
-#line 9588 "preproc.y"
+#line 9583 "preproc.y"
     { 
  (yyval.str) = make_str("exclusive");
 ;}
@@ -37631,7 +37626,7 @@
   case 1671:
 
 /* Line 1455 of yacc.c  */
-#line 9592 "preproc.y"
+#line 9587 "preproc.y"
     { 
  (yyval.str) = make_str("execute");
 ;}
@@ -37640,7 +37635,7 @@
   case 1672:
 
 /* Line 1455 of yacc.c  */
-#line 9596 "preproc.y"
+#line 9591 "preproc.y"
     { 
  (yyval.str) = make_str("explain");
 ;}
@@ -37649,7 +37644,7 @@
   case 1673:
 
 /* Line 1455 of yacc.c  */
-#line 9600 "preproc.y"
+#line 9595 "preproc.y"
     { 
  (yyval.str) = make_str("external");
 ;}
@@ -37658,7 +37653,7 @@
   case 1674:
 
 /* Line 1455 of yacc.c  */
-#line 9604 "preproc.y"
+#line 9599 "preproc.y"
     { 
  (yyval.str) = make_str("family");
 ;}
@@ -37667,7 +37662,7 @@
   case 1675:
 
 /* Line 1455 of yacc.c  */
-#line 9608 "preproc.y"
+#line 9603 "preproc.y"
     { 
  (yyval.str) = make_str("first");
 ;}
@@ -37676,7 +37671,7 @@
   case 1676:
 
 /* Line 1455 of yacc.c  */
-#line 9612 "preproc.y"
+#line 9607 "preproc.y"
     { 
  (yyval.str) = make_str("following");
 ;}
@@ -37685,7 +37680,7 @@
   case 1677:
 
 /* Line 1455 of yacc.c  */
-#line 9616 "preproc.y"
+#line 9611 "preproc.y"
     { 
  (yyval.str) = make_str("force");
 ;}
@@ -37694,7 +37689,7 @@
   case 1678:
 
 /* Line 1455 of yacc.c  */
-#line 9620 "preproc.y"
+#line 9615 "preproc.y"
     { 
  (yyval.str) = make_str("forward");
 ;}
@@ -37703,7 +37698,7 @@
   case 1679:
 
 /* Line 1455 of yacc.c  */
-#line 9624 "preproc.y"
+#line 9619 "preproc.y"
     { 
  (yyval.str) = make_str("function");
 ;}
@@ -37712,7 +37707,7 @@
   case 1680:
 
 /* Line 1455 of yacc.c  */
-#line 9628 "preproc.y"
+#line 9623 "preproc.y"
     { 
  (yyval.str) = make_str("global");
 ;}
@@ -37721,7 +37716,7 @@
   case 1681:
 
 /* Line 1455 of yacc.c  */
-#line 9632 "preproc.y"
+#line 9627 "preproc.y"
     { 
  (yyval.str) = make_str("granted");
 ;}
@@ -37730,7 +37725,7 @@
   case 1682:
 
 /* Line 1455 of yacc.c  */
-#line 9636 "preproc.y"
+#line 9631 "preproc.y"
     { 
  (yyval.str) = make_str("handler");
 ;}
@@ -37739,7 +37734,7 @@
   case 1683:
 
 /* Line 1455 of yacc.c  */
-#line 9640 "preproc.y"
+#line 9635 "preproc.y"
     { 
  (yyval.str) = make_str("header");
 ;}
@@ -37748,7 +37743,7 @@
   case 1684:
 
 /* Line 1455 of yacc.c  */
-#line 9644 "preproc.y"
+#line 9639 "preproc.y"
     { 
  (yyval.str) = make_str("hold");
 ;}
@@ -37757,7 +37752,7 @@
   case 1685:
 
 /* Line 1455 of yacc.c  */
-#line 9648 "preproc.y"
+#line 9643 "preproc.y"
     { 
  (yyval.str) = make_str("identity");
 ;}
@@ -37766,7 +37761,7 @@
   case 1686:
 
 /* Line 1455 of yacc.c  */
-#line 9652 "preproc.y"
+#line 9647 "preproc.y"
     { 
  (yyval.str) = make_str("if");
 ;}
@@ -37775,7 +37770,7 @@
   case 1687:
 
 /* Line 1455 of yacc.c  */
-#line 9656 "preproc.y"
+#line 9651 "preproc.y"
     { 
  (yyval.str) = make_str("immediate");
 ;}
@@ -37784,7 +37779,7 @@
   case 1688:
 
 /* Line 1455 of yacc.c  */
-#line 9660 "preproc.y"
+#line 9655 "preproc.y"
     { 
  (yyval.str) = make_str("immutable");
 ;}
@@ -37793,7 +37788,7 @@
   case 1689:
 
 /* Line 1455 of yacc.c  */
-#line 9664 "preproc.y"
+#line 9659 "preproc.y"
     { 
  (yyval.str) = make_str("implicit");
 ;}
@@ -37802,7 +37797,7 @@
   case 1690:
 
 /* Line 1455 of yacc.c  */
-#line 9668 "preproc.y"
+#line 9663 "preproc.y"
     { 
  (yyval.str) = make_str("including");
 ;}
@@ -37811,7 +37806,7 @@
   case 1691:
 
 /* Line 1455 of yacc.c  */
-#line 9672 "preproc.y"
+#line 9667 "preproc.y"
     { 
  (yyval.str) = make_str("increment");
 ;}
@@ -37820,7 +37815,7 @@
   case 1692:
 
 /* Line 1455 of yacc.c  */
-#line 9676 "preproc.y"
+#line 9671 "preproc.y"
     { 
  (yyval.str) = make_str("index");
 ;}
@@ -37829,7 +37824,7 @@
   case 1693:
 
 /* Line 1455 of yacc.c  */
-#line 9680 "preproc.y"
+#line 9675 "preproc.y"
     { 
  (yyval.str) = make_str("indexes");
 ;}
@@ -37838,7 +37833,7 @@
   case 1694:
 
 /* Line 1455 of yacc.c  */
-#line 9684 "preproc.y"
+#line 9679 "preproc.y"
     { 
  (yyval.str) = make_str("inherit");
 ;}
@@ -37847,7 +37842,7 @@
   case 1695:
 
 /* Line 1455 of yacc.c  */
-#line 9688 "preproc.y"
+#line 9683 "preproc.y"
     { 
  (yyval.str) = make_str("inherits");
 ;}
@@ -37856,7 +37851,7 @@
   case 1696:
 
 /* Line 1455 of yacc.c  */
-#line 9692 "preproc.y"
+#line 9687 "preproc.y"
     { 
  (yyval.str) = make_str("insensitive");
 ;}
@@ -37865,7 +37860,7 @@
   case 1697:
 
 /* Line 1455 of yacc.c  */
-#line 9696 "preproc.y"
+#line 9691 "preproc.y"
     { 
  (yyval.str) = make_str("insert");
 ;}
@@ -37874,7 +37869,7 @@
   case 1698:
 
 /* Line 1455 of yacc.c  */
-#line 9700 "preproc.y"
+#line 9695 "preproc.y"
     { 
  (yyval.str) = make_str("instead");
 ;}
@@ -37883,7 +37878,7 @@
   case 1699:
 
 /* Line 1455 of yacc.c  */
-#line 9704 "preproc.y"
+#line 9699 "preproc.y"
     { 
  (yyval.str) = make_str("invoker");
 ;}
@@ -37892,7 +37887,7 @@
   case 1700:
 
 /* Line 1455 of yacc.c  */
-#line 9708 "preproc.y"
+#line 9703 "preproc.y"
     { 
  (yyval.str) = make_str("isolation");
 ;}
@@ -37901,7 +37896,7 @@
   case 1701:
 
 /* Line 1455 of yacc.c  */
-#line 9712 "preproc.y"
+#line 9707 "preproc.y"
     { 
  (yyval.str) = make_str("key");
 ;}
@@ -37910,7 +37905,7 @@
   case 1702:
 
 /* Line 1455 of yacc.c  */
-#line 9716 "preproc.y"
+#line 9711 "preproc.y"
     { 
  (yyval.str) = make_str("lancompiler");
 ;}
@@ -37919,7 +37914,7 @@
   case 1703:
 
 /* Line 1455 of yacc.c  */
-#line 9720 "preproc.y"
+#line 9715 "preproc.y"
     { 
  (yyval.str) = make_str("language");
 ;}
@@ -37928,7 +37923,7 @@
   case 1704:
 
 /* Line 1455 of yacc.c  */
-#line 9724 "preproc.y"
+#line 9719 "preproc.y"
     { 
  (yyval.str) = make_str("large");
 ;}
@@ -37937,7 +37932,7 @@
   case 1705:
 
 /* Line 1455 of yacc.c  */
-#line 9728 "preproc.y"
+#line 9723 "preproc.y"
     { 
  (yyval.str) = make_str("last");
 ;}
@@ -37946,7 +37941,7 @@
   case 1706:
 
 /* Line 1455 of yacc.c  */
-#line 9732 "preproc.y"
+#line 9727 "preproc.y"
     { 
  (yyval.str) = make_str("lc_collate");
 ;}
@@ -37955,7 +37950,7 @@
   case 1707:
 
 /* Line 1455 of yacc.c  */
-#line 9736 "preproc.y"
+#line 9731 "preproc.y"
     { 
  (yyval.str) = make_str("lc_ctype");
 ;}
@@ -37964,7 +37959,7 @@
   case 1708:
 
 /* Line 1455 of yacc.c  */
-#line 9740 "preproc.y"
+#line 9735 "preproc.y"
     { 
  (yyval.str) = make_str("level");
 ;}
@@ -37973,7 +37968,7 @@
   case 1709:
 
 /* Line 1455 of yacc.c  */
-#line 9744 "preproc.y"
+#line 9739 "preproc.y"
     { 
  (yyval.str) = make_str("listen");
 ;}
@@ -37982,7 +37977,7 @@
   case 1710:
 
 /* Line 1455 of yacc.c  */
-#line 9748 "preproc.y"
+#line 9743 "preproc.y"
     { 
  (yyval.str) = make_str("load");
 ;}
@@ -37991,7 +37986,7 @@
   case 1711:
 
 /* Line 1455 of yacc.c  */
-#line 9752 "preproc.y"
+#line 9747 "preproc.y"
     { 
  (yyval.str) = make_str("local");
 ;}
@@ -38000,7 +37995,7 @@
   case 1712:
 
 /* Line 1455 of yacc.c  */
-#line 9756 "preproc.y"
+#line 9751 "preproc.y"
     { 
  (yyval.str) = make_str("location");
 ;}
@@ -38009,7 +38004,7 @@
   case 1713:
 
 /* Line 1455 of yacc.c  */
-#line 9760 "preproc.y"
+#line 9755 "preproc.y"
     { 
  (yyval.str) = make_str("lock");
 ;}
@@ -38018,7 +38013,7 @@
   case 1714:
 
 /* Line 1455 of yacc.c  */
-#line 9764 "preproc.y"
+#line 9759 "preproc.y"
     { 
  (yyval.str) = make_str("login");
 ;}
@@ -38027,7 +38022,7 @@
   case 1715:
 
 /* Line 1455 of yacc.c  */
-#line 9768 "preproc.y"
+#line 9763 "preproc.y"
     { 
  (yyval.str) = make_str("mapping");
 ;}
@@ -38036,7 +38031,7 @@
   case 1716:
 
 /* Line 1455 of yacc.c  */
-#line 9772 "preproc.y"
+#line 9767 "preproc.y"
     { 
  (yyval.str) = make_str("match");
 ;}
@@ -38045,7 +38040,7 @@
   case 1717:
 
 /* Line 1455 of yacc.c  */
-#line 9776 "preproc.y"
+#line 9771 "preproc.y"
     { 
  (yyval.str) = make_str("maxvalue");
 ;}
@@ -38054,7 +38049,7 @@
   case 1718:
 
 /* Line 1455 of yacc.c  */
-#line 9780 "preproc.y"
+#line 9775 "preproc.y"
     { 
  (yyval.str) = make_str("minvalue");
 ;}
@@ -38063,7 +38058,7 @@
   case 1719:
 
 /* Line 1455 of yacc.c  */
-#line 9784 "preproc.y"
+#line 9779 "preproc.y"
     { 
  (yyval.str) = make_str("mode");
 ;}
@@ -38072,7 +38067,7 @@
   case 1720:
 
 /* Line 1455 of yacc.c  */
-#line 9788 "preproc.y"
+#line 9783 "preproc.y"
     { 
  (yyval.str) = make_str("move");
 ;}
@@ -38081,7 +38076,7 @@
   case 1721:
 
 /* Line 1455 of yacc.c  */
-#line 9792 "preproc.y"
+#line 9787 "preproc.y"
     { 
  (yyval.str) = make_str("name");
 ;}
@@ -38090,7 +38085,7 @@
   case 1722:
 
 /* Line 1455 of yacc.c  */
-#line 9796 "preproc.y"
+#line 9791 "preproc.y"
     { 
  (yyval.str) = make_str("names");
 ;}
@@ -38099,7 +38094,7 @@
   case 1723:
 
 /* Line 1455 of yacc.c  */
-#line 9800 "preproc.y"
+#line 9795 "preproc.y"
     { 
  (yyval.str) = make_str("next");
 ;}
@@ -38108,7 +38103,7 @@
   case 1724:
 
 /* Line 1455 of yacc.c  */
-#line 9804 "preproc.y"
+#line 9799 "preproc.y"
     { 
  (yyval.str) = make_str("no");
 ;}
@@ -38117,7 +38112,7 @@
   case 1725:
 
 /* Line 1455 of yacc.c  */
-#line 9808 "preproc.y"
+#line 9803 "preproc.y"
     { 
  (yyval.str) = make_str("nocreatedb");
 ;}
@@ -38126,7 +38121,7 @@
   case 1726:
 
 /* Line 1455 of yacc.c  */
-#line 9812 "preproc.y"
+#line 9807 "preproc.y"
     { 
  (yyval.str) = make_str("nocreaterole");
 ;}
@@ -38135,7 +38130,7 @@
   case 1727:
 
 /* Line 1455 of yacc.c  */
-#line 9816 "preproc.y"
+#line 9811 "preproc.y"
     { 
  (yyval.str) = make_str("nocreateuser");
 ;}
@@ -38144,7 +38139,7 @@
   case 1728:
 
 /* Line 1455 of yacc.c  */
-#line 9820 "preproc.y"
+#line 9815 "preproc.y"
     { 
  (yyval.str) = make_str("noinherit");
 ;}
@@ -38153,7 +38148,7 @@
   case 1729:
 
 /* Line 1455 of yacc.c  */
-#line 9824 "preproc.y"
+#line 9819 "preproc.y"
     { 
  (yyval.str) = make_str("nologin");
 ;}
@@ -38162,7 +38157,7 @@
   case 1730:
 
 /* Line 1455 of yacc.c  */
-#line 9828 "preproc.y"
+#line 9823 "preproc.y"
     { 
  (yyval.str) = make_str("nosuperuser");
 ;}
@@ -38171,7 +38166,7 @@
   case 1731:
 
 /* Line 1455 of yacc.c  */
-#line 9832 "preproc.y"
+#line 9827 "preproc.y"
     { 
  (yyval.str) = make_str("nothing");
 ;}
@@ -38180,7 +38175,7 @@
   case 1732:
 
 /* Line 1455 of yacc.c  */
-#line 9836 "preproc.y"
+#line 9831 "preproc.y"
     { 
  (yyval.str) = make_str("notify");
 ;}
@@ -38189,7 +38184,7 @@
   case 1733:
 
 /* Line 1455 of yacc.c  */
-#line 9840 "preproc.y"
+#line 9835 "preproc.y"
     { 
  (yyval.str) = make_str("nowait");
 ;}
@@ -38198,7 +38193,7 @@
   case 1734:
 
 /* Line 1455 of yacc.c  */
-#line 9844 "preproc.y"
+#line 9839 "preproc.y"
     { 
  (yyval.str) = make_str("nulls");
 ;}
@@ -38207,7 +38202,7 @@
   case 1735:
 
 /* Line 1455 of yacc.c  */
-#line 9848 "preproc.y"
+#line 9843 "preproc.y"
     { 
  (yyval.str) = make_str("object");
 ;}
@@ -38216,7 +38211,7 @@
   case 1736:
 
 /* Line 1455 of yacc.c  */
-#line 9852 "preproc.y"
+#line 9847 "preproc.y"
     { 
  (yyval.str) = make_str("of");
 ;}
@@ -38225,7 +38220,7 @@
   case 1737:
 
 /* Line 1455 of yacc.c  */
-#line 9856 "preproc.y"
+#line 9851 "preproc.y"
     { 
  (yyval.str) = make_str("oids");
 ;}
@@ -38234,7 +38229,7 @@
   case 1738:
 
 /* Line 1455 of yacc.c  */
-#line 9860 "preproc.y"
+#line 9855 "preproc.y"
     { 
  (yyval.str) = make_str("operator");
 ;}
@@ -38243,7 +38238,7 @@
   case 1739:
 
 /* Line 1455 of yacc.c  */
-#line 9864 "preproc.y"
+#line 9859 "preproc.y"
     { 
  (yyval.str) = make_str("option");
 ;}
@@ -38252,7 +38247,7 @@
   case 1740:
 
 /* Line 1455 of yacc.c  */
-#line 9868 "preproc.y"
+#line 9863 "preproc.y"
     { 
  (yyval.str) = make_str("options");
 ;}
@@ -38261,7 +38256,7 @@
   case 1741:
 
 /* Line 1455 of yacc.c  */
-#line 9872 "preproc.y"
+#line 9867 "preproc.y"
     { 
  (yyval.str) = make_str("owned");
 ;}
@@ -38270,7 +38265,7 @@
   case 1742:
 
 /* Line 1455 of yacc.c  */
-#line 9876 "preproc.y"
+#line 9871 "preproc.y"
     { 
  (yyval.str) = make_str("owner");
 ;}
@@ -38279,7 +38274,7 @@
   case 1743:
 
 /* Line 1455 of yacc.c  */
-#line 9880 "preproc.y"
+#line 9875 "preproc.y"
     { 
  (yyval.str) = make_str("parser");
 ;}
@@ -38288,7 +38283,7 @@
   case 1744:
 
 /* Line 1455 of yacc.c  */
-#line 9884 "preproc.y"
+#line 9879 "preproc.y"
     { 
  (yyval.str) = make_str("partial");
 ;}
@@ -38297,7 +38292,7 @@
   case 1745:
 
 /* Line 1455 of yacc.c  */
-#line 9888 "preproc.y"
+#line 9883 "preproc.y"
     { 
  (yyval.str) = make_str("partition");
 ;}
@@ -38306,7 +38301,7 @@
   case 1746:
 
 /* Line 1455 of yacc.c  */
-#line 9892 "preproc.y"
+#line 9887 "preproc.y"
     { 
  (yyval.str) = make_str("password");
 ;}
@@ -38315,7 +38310,7 @@
   case 1747:
 
 /* Line 1455 of yacc.c  */
-#line 9896 "preproc.y"
+#line 9891 "preproc.y"
     { 
  (yyval.str) = make_str("plans");
 ;}
@@ -38324,7 +38319,7 @@
   case 1748:
 
 /* Line 1455 of yacc.c  */
-#line 9900 "preproc.y"
+#line 9895 "preproc.y"
     { 
  (yyval.str) = make_str("preceding");
 ;}
@@ -38333,7 +38328,7 @@
   case 1749:
 
 /* Line 1455 of yacc.c  */
-#line 9904 "preproc.y"
+#line 9899 "preproc.y"
     { 
  (yyval.str) = make_str("prepare");
 ;}
@@ -38342,7 +38337,7 @@
   case 1750:
 
 /* Line 1455 of yacc.c  */
-#line 9908 "preproc.y"
+#line 9903 "preproc.y"
     { 
  (yyval.str) = make_str("prepared");
 ;}
@@ -38351,7 +38346,7 @@
   case 1751:
 
 /* Line 1455 of yacc.c  */
-#line 9912 "preproc.y"
+#line 9907 "preproc.y"
     { 
  (yyval.str) = make_str("preserve");
 ;}
@@ -38360,7 +38355,7 @@
   case 1752:
 
 /* Line 1455 of yacc.c  */
-#line 9916 "preproc.y"
+#line 9911 "preproc.y"
     { 
  (yyval.str) = make_str("prior");
 ;}
@@ -38369,7 +38364,7 @@
   case 1753:
 
 /* Line 1455 of yacc.c  */
-#line 9920 "preproc.y"
+#line 9915 "preproc.y"
     { 
  (yyval.str) = make_str("privileges");
 ;}
@@ -38378,7 +38373,7 @@
   case 1754:
 
 /* Line 1455 of yacc.c  */
-#line 9924 "preproc.y"
+#line 9919 "preproc.y"
     { 
  (yyval.str) = make_str("procedural");
 ;}
@@ -38387,7 +38382,7 @@
   case 1755:
 
 /* Line 1455 of yacc.c  */
-#line 9928 "preproc.y"
+#line 9923 "preproc.y"
     { 
  (yyval.str) = make_str("procedure");
 ;}
@@ -38396,7 +38391,7 @@
   case 1756:
 
 /* Line 1455 of yacc.c  */
-#line 9932 "preproc.y"
+#line 9927 "preproc.y"
     { 
  (yyval.str) = make_str("quote");
 ;}
@@ -38405,7 +38400,7 @@
   case 1757:
 
 /* Line 1455 of yacc.c  */
-#line 9936 "preproc.y"
+#line 9931 "preproc.y"
     { 
  (yyval.str) = make_str("range");
 ;}
@@ -38414,7 +38409,7 @@
   case 1758:
 
 /* Line 1455 of yacc.c  */
-#line 9940 "preproc.y"
+#line 9935 "preproc.y"
     { 
  (yyval.str) = make_str("read");
 ;}
@@ -38423,7 +38418,7 @@
   case 1759:
 
 /* Line 1455 of yacc.c  */
-#line 9944 "preproc.y"
+#line 9939 "preproc.y"
     { 
  (yyval.str) = make_str("reassign");
 ;}
@@ -38432,7 +38427,7 @@
   case 1760:
 
 /* Line 1455 of yacc.c  */
-#line 9948 "preproc.y"
+#line 9943 "preproc.y"
     { 
  (yyval.str) = make_str("recheck");
 ;}
@@ -38441,7 +38436,7 @@
   case 1761:
 
 /* Line 1455 of yacc.c  */
-#line 9952 "preproc.y"
+#line 9947 "preproc.y"
     { 
  (yyval.str) = make_str("recursive");
 ;}
@@ -38450,7 +38445,7 @@
   case 1762:
 
 /* Line 1455 of yacc.c  */
-#line 9956 "preproc.y"
+#line 9951 "preproc.y"
     { 
  (yyval.str) = make_str("reindex");
 ;}
@@ -38459,7 +38454,7 @@
   case 1763:
 
 /* Line 1455 of yacc.c  */
-#line 9960 "preproc.y"
+#line 9955 "preproc.y"
     { 
  (yyval.str) = make_str("relative");
 ;}
@@ -38468,7 +38463,7 @@
   case 1764:
 
 /* Line 1455 of yacc.c  */
-#line 9964 "preproc.y"
+#line 9959 "preproc.y"
     { 
  (yyval.str) = make_str("release");
 ;}
@@ -38477,7 +38472,7 @@
   case 1765:
 
 /* Line 1455 of yacc.c  */
-#line 9968 "preproc.y"
+#line 9963 "preproc.y"
     { 
  (yyval.str) = make_str("rename");
 ;}
@@ -38486,7 +38481,7 @@
   case 1766:
 
 /* Line 1455 of yacc.c  */
-#line 9972 "preproc.y"
+#line 9967 "preproc.y"
     { 
  (yyval.str) = make_str("repeatable");
 ;}
@@ -38495,7 +38490,7 @@
   case 1767:
 
 /* Line 1455 of yacc.c  */
-#line 9976 "preproc.y"
+#line 9971 "preproc.y"
     { 
  (yyval.str) = make_str("replace");
 ;}
@@ -38504,7 +38499,7 @@
   case 1768:
 
 /* Line 1455 of yacc.c  */
-#line 9980 "preproc.y"
+#line 9975 "preproc.y"
     { 
  (yyval.str) = make_str("replica");
 ;}
@@ -38513,7 +38508,7 @@
   case 1769:
 
 /* Line 1455 of yacc.c  */
-#line 9984 "preproc.y"
+#line 9979 "preproc.y"
     { 
  (yyval.str) = make_str("reset");
 ;}
@@ -38522,7 +38517,7 @@
   case 1770:
 
 /* Line 1455 of yacc.c  */
-#line 9988 "preproc.y"
+#line 9983 "preproc.y"
     { 
  (yyval.str) = make_str("restart");
 ;}
@@ -38531,7 +38526,7 @@
   case 1771:
 
 /* Line 1455 of yacc.c  */
-#line 9992 "preproc.y"
+#line 9987 "preproc.y"
     { 
  (yyval.str) = make_str("restrict");
 ;}
@@ -38540,7 +38535,7 @@
   case 1772:
 
 /* Line 1455 of yacc.c  */
-#line 9996 "preproc.y"
+#line 9991 "preproc.y"
     { 
  (yyval.str) = make_str("returns");
 ;}
@@ -38549,7 +38544,7 @@
   case 1773:
 
 /* Line 1455 of yacc.c  */
-#line 10000 "preproc.y"
+#line 9995 "preproc.y"
     { 
  (yyval.str) = make_str("revoke");
 ;}
@@ -38558,7 +38553,7 @@
   case 1774:
 
 /* Line 1455 of yacc.c  */
-#line 10004 "preproc.y"
+#line 9999 "preproc.y"
     { 
  (yyval.str) = make_str("role");
 ;}
@@ -38567,7 +38562,7 @@
   case 1775:
 
 /* Line 1455 of yacc.c  */
-#line 10008 "preproc.y"
+#line 10003 "preproc.y"
     { 
  (yyval.str) = make_str("rollback");
 ;}
@@ -38576,7 +38571,7 @@
   case 1776:
 
 /* Line 1455 of yacc.c  */
-#line 10012 "preproc.y"
+#line 10007 "preproc.y"
     { 
  (yyval.str) = make_str("rows");
 ;}
@@ -38585,7 +38580,7 @@
   case 1777:
 
 /* Line 1455 of yacc.c  */
-#line 10016 "preproc.y"
+#line 10011 "preproc.y"
     { 
  (yyval.str) = make_str("rule");
 ;}
@@ -38594,7 +38589,7 @@
   case 1778:
 
 /* Line 1455 of yacc.c  */
-#line 10020 "preproc.y"
+#line 10015 "preproc.y"
     { 
  (yyval.str) = make_str("savepoint");
 ;}
@@ -38603,7 +38598,7 @@
   case 1779:
 
 /* Line 1455 of yacc.c  */
-#line 10024 "preproc.y"
+#line 10019 "preproc.y"
     { 
  (yyval.str) = make_str("schema");
 ;}
@@ -38612,7 +38607,7 @@
   case 1780:
 
 /* Line 1455 of yacc.c  */
-#line 10028 "preproc.y"
+#line 10023 "preproc.y"
     { 
  (yyval.str) = make_str("scroll");
 ;}
@@ -38621,7 +38616,7 @@
   case 1781:
 
 /* Line 1455 of yacc.c  */
-#line 10032 "preproc.y"
+#line 10027 "preproc.y"
     { 
  (yyval.str) = make_str("search");
 ;}
@@ -38630,7 +38625,7 @@
   case 1782:
 
 /* Line 1455 of yacc.c  */
-#line 10036 "preproc.y"
+#line 10031 "preproc.y"
     { 
  (yyval.str) = make_str("security");
 ;}
@@ -38639,7 +38634,7 @@
   case 1783:
 
 /* Line 1455 of yacc.c  */
-#line 10040 "preproc.y"
+#line 10035 "preproc.y"
     { 
  (yyval.str) = make_str("sequence");
 ;}
@@ -38648,7 +38643,7 @@
   case 1784:
 
 /* Line 1455 of yacc.c  */
-#line 10044 "preproc.y"
+#line 10039 "preproc.y"
     { 
  (yyval.str) = make_str("serializable");
 ;}
@@ -38657,7 +38652,7 @@
   case 1785:
 
 /* Line 1455 of yacc.c  */
-#line 10048 "preproc.y"
+#line 10043 "preproc.y"
     { 
  (yyval.str) = make_str("server");
 ;}
@@ -38666,7 +38661,7 @@
   case 1786:
 
 /* Line 1455 of yacc.c  */
-#line 10052 "preproc.y"
+#line 10047 "preproc.y"
     { 
  (yyval.str) = make_str("session");
 ;}
@@ -38675,7 +38670,7 @@
   case 1787:
 
 /* Line 1455 of yacc.c  */
-#line 10056 "preproc.y"
+#line 10051 "preproc.y"
     { 
  (yyval.str) = make_str("set");
 ;}
@@ -38684,7 +38679,7 @@
   case 1788:
 
 /* Line 1455 of yacc.c  */
-#line 10060 "preproc.y"
+#line 10055 "preproc.y"
     { 
  (yyval.str) = make_str("share");
 ;}
@@ -38693,7 +38688,7 @@
   case 1789:
 
 /* Line 1455 of yacc.c  */
-#line 10064 "preproc.y"
+#line 10059 "preproc.y"
     { 
  (yyval.str) = make_str("show");
 ;}
@@ -38702,7 +38697,7 @@
   case 1790:
 
 /* Line 1455 of yacc.c  */
-#line 10068 "preproc.y"
+#line 10063 "preproc.y"
     { 
  (yyval.str) = make_str("simple");
 ;}
@@ -38711,7 +38706,7 @@
   case 1791:
 
 /* Line 1455 of yacc.c  */
-#line 10072 "preproc.y"
+#line 10067 "preproc.y"
     { 
  (yyval.str) = make_str("stable");
 ;}
@@ -38720,7 +38715,7 @@
   case 1792:
 
 /* Line 1455 of yacc.c  */
-#line 10076 "preproc.y"
+#line 10071 "preproc.y"
     { 
  (yyval.str) = make_str("standalone");
 ;}
@@ -38729,7 +38724,7 @@
   case 1793:
 
 /* Line 1455 of yacc.c  */
-#line 10080 "preproc.y"
+#line 10075 "preproc.y"
     { 
  (yyval.str) = make_str("start");
 ;}
@@ -38738,7 +38733,7 @@
   case 1794:
 
 /* Line 1455 of yacc.c  */
-#line 10084 "preproc.y"
+#line 10079 "preproc.y"
     { 
  (yyval.str) = make_str("statement");
 ;}
@@ -38747,7 +38742,7 @@
   case 1795:
 
 /* Line 1455 of yacc.c  */
-#line 10088 "preproc.y"
+#line 10083 "preproc.y"
     { 
  (yyval.str) = make_str("statistics");
 ;}
@@ -38756,7 +38751,7 @@
   case 1796:
 
 /* Line 1455 of yacc.c  */
-#line 10092 "preproc.y"
+#line 10087 "preproc.y"
     { 
  (yyval.str) = make_str("stdin");
 ;}
@@ -38765,7 +38760,7 @@
   case 1797:
 
 /* Line 1455 of yacc.c  */
-#line 10096 "preproc.y"
+#line 10091 "preproc.y"
     { 
  (yyval.str) = make_str("stdout");
 ;}
@@ -38774,7 +38769,7 @@
   case 1798:
 
 /* Line 1455 of yacc.c  */
-#line 10100 "preproc.y"
+#line 10095 "preproc.y"
     { 
  (yyval.str) = make_str("storage");
 ;}
@@ -38783,7 +38778,7 @@
   case 1799:
 
 /* Line 1455 of yacc.c  */
-#line 10104 "preproc.y"
+#line 10099 "preproc.y"
     { 
  (yyval.str) = make_str("strict");
 ;}
@@ -38792,7 +38787,7 @@
   case 1800:
 
 /* Line 1455 of yacc.c  */
-#line 10108 "preproc.y"
+#line 10103 "preproc.y"
     { 
  (yyval.str) = make_str("strip");
 ;}
@@ -38801,7 +38796,7 @@
   case 1801:
 
 /* Line 1455 of yacc.c  */
-#line 10112 "preproc.y"
+#line 10107 "preproc.y"
     { 
  (yyval.str) = make_str("superuser");
 ;}
@@ -38810,7 +38805,7 @@
   case 1802:
 
 /* Line 1455 of yacc.c  */
-#line 10116 "preproc.y"
+#line 10111 "preproc.y"
     { 
  (yyval.str) = make_str("sysid");
 ;}
@@ -38819,7 +38814,7 @@
   case 1803:
 
 /* Line 1455 of yacc.c  */
-#line 10120 "preproc.y"
+#line 10115 "preproc.y"
     { 
  (yyval.str) = make_str("system");
 ;}
@@ -38828,7 +38823,7 @@
   case 1804:
 
 /* Line 1455 of yacc.c  */
-#line 10124 "preproc.y"
+#line 10119 "preproc.y"
     { 
  (yyval.str) = make_str("tablespace");
 ;}
@@ -38837,7 +38832,7 @@
   case 1805:
 
 /* Line 1455 of yacc.c  */
-#line 10128 "preproc.y"
+#line 10123 "preproc.y"
     { 
  (yyval.str) = make_str("temp");
 ;}
@@ -38846,7 +38841,7 @@
   case 1806:
 
 /* Line 1455 of yacc.c  */
-#line 10132 "preproc.y"
+#line 10127 "preproc.y"
     { 
  (yyval.str) = make_str("template");
 ;}
@@ -38855,7 +38850,7 @@
   case 1807:
 
 /* Line 1455 of yacc.c  */
-#line 10136 "preproc.y"
+#line 10131 "preproc.y"
     { 
  (yyval.str) = make_str("temporary");
 ;}
@@ -38864,7 +38859,7 @@
   case 1808:
 
 /* Line 1455 of yacc.c  */
-#line 10140 "preproc.y"
+#line 10135 "preproc.y"
     { 
  (yyval.str) = make_str("text");
 ;}
@@ -38873,7 +38868,7 @@
   case 1809:
 
 /* Line 1455 of yacc.c  */
-#line 10144 "preproc.y"
+#line 10139 "preproc.y"
     { 
  (yyval.str) = make_str("transaction");
 ;}
@@ -38882,7 +38877,7 @@
   case 1810:
 
 /* Line 1455 of yacc.c  */
-#line 10148 "preproc.y"
+#line 10143 "preproc.y"
     { 
  (yyval.str) = make_str("trigger");
 ;}
@@ -38891,7 +38886,7 @@
   case 1811:
 
 /* Line 1455 of yacc.c  */
-#line 10152 "preproc.y"
+#line 10147 "preproc.y"
     { 
  (yyval.str) = make_str("truncate");
 ;}
@@ -38900,7 +38895,7 @@
   case 1812:
 
 /* Line 1455 of yacc.c  */
-#line 10156 "preproc.y"
+#line 10151 "preproc.y"
     { 
  (yyval.str) = make_str("trusted");
 ;}
@@ -38909,7 +38904,7 @@
   case 1813:
 
 /* Line 1455 of yacc.c  */
-#line 10160 "preproc.y"
+#line 10155 "preproc.y"
     { 
  (yyval.str) = make_str("type");
 ;}
@@ -38918,7 +38913,7 @@
   case 1814:
 
 /* Line 1455 of yacc.c  */
-#line 10164 "preproc.y"
+#line 10159 "preproc.y"
     { 
  (yyval.str) = make_str("unbounded");
 ;}
@@ -38927,7 +38922,7 @@
   case 1815:
 
 /* Line 1455 of yacc.c  */
-#line 10168 "preproc.y"
+#line 10163 "preproc.y"
     { 
  (yyval.str) = make_str("uncommitted");
 ;}
@@ -38936,7 +38931,7 @@
   case 1816:
 
 /* Line 1455 of yacc.c  */
-#line 10172 "preproc.y"
+#line 10167 "preproc.y"
     { 
  (yyval.str) = make_str("unencrypted");
 ;}
@@ -38945,7 +38940,7 @@
   case 1817:
 
 /* Line 1455 of yacc.c  */
-#line 10176 "preproc.y"
+#line 10171 "preproc.y"
     { 
  (yyval.str) = make_str("unknown");
 ;}
@@ -38954,7 +38949,7 @@
   case 1818:
 
 /* Line 1455 of yacc.c  */
-#line 10180 "preproc.y"
+#line 10175 "preproc.y"
     { 
  (yyval.str) = make_str("unlisten");
 ;}
@@ -38963,7 +38958,7 @@
   case 1819:
 
 /* Line 1455 of yacc.c  */
-#line 10184 "preproc.y"
+#line 10179 "preproc.y"
     { 
  (yyval.str) = make_str("until");
 ;}
@@ -38972,7 +38967,7 @@
   case 1820:
 
 /* Line 1455 of yacc.c  */
-#line 10188 "preproc.y"
+#line 10183 "preproc.y"
     { 
  (yyval.str) = make_str("update");
 ;}
@@ -38981,7 +38976,7 @@
   case 1821:
 
 /* Line 1455 of yacc.c  */
-#line 10192 "preproc.y"
+#line 10187 "preproc.y"
     { 
  (yyval.str) = make_str("vacuum");
 ;}
@@ -38990,7 +38985,7 @@
   case 1822:
 
 /* Line 1455 of yacc.c  */
-#line 10196 "preproc.y"
+#line 10191 "preproc.y"
     { 
  (yyval.str) = make_str("valid");
 ;}
@@ -38999,7 +38994,7 @@
   case 1823:
 
 /* Line 1455 of yacc.c  */
-#line 10200 "preproc.y"
+#line 10195 "preproc.y"
     { 
  (yyval.str) = make_str("validator");
 ;}
@@ -39008,7 +39003,7 @@
   case 1824:
 
 /* Line 1455 of yacc.c  */
-#line 10204 "preproc.y"
+#line 10199 "preproc.y"
     { 
  (yyval.str) = make_str("value");
 ;}
@@ -39017,7 +39012,7 @@
   case 1825:
 
 /* Line 1455 of yacc.c  */
-#line 10208 "preproc.y"
+#line 10203 "preproc.y"
     { 
  (yyval.str) = make_str("varying");
 ;}
@@ -39026,7 +39021,7 @@
   case 1826:
 
 /* Line 1455 of yacc.c  */
-#line 10212 "preproc.y"
+#line 10207 "preproc.y"
     { 
  (yyval.str) = make_str("version");
 ;}
@@ -39035,7 +39030,7 @@
   case 1827:
 
 /* Line 1455 of yacc.c  */
-#line 10216 "preproc.y"
+#line 10211 "preproc.y"
     { 
  (yyval.str) = make_str("view");
 ;}
@@ -39044,7 +39039,7 @@
   case 1828:
 
 /* Line 1455 of yacc.c  */
-#line 10220 "preproc.y"
+#line 10215 "preproc.y"
     { 
  (yyval.str) = make_str("volatile");
 ;}
@@ -39053,7 +39048,7 @@
   case 1829:
 
 /* Line 1455 of yacc.c  */
-#line 10224 "preproc.y"
+#line 10219 "preproc.y"
     { 
  (yyval.str) = make_str("whitespace");
 ;}
@@ -39062,7 +39057,7 @@
   case 1830:
 
 /* Line 1455 of yacc.c  */
-#line 10228 "preproc.y"
+#line 10223 "preproc.y"
     { 
  (yyval.str) = make_str("without");
 ;}
@@ -39071,7 +39066,7 @@
   case 1831:
 
 /* Line 1455 of yacc.c  */
-#line 10232 "preproc.y"
+#line 10227 "preproc.y"
     { 
  (yyval.str) = make_str("work");
 ;}
@@ -39080,7 +39075,7 @@
   case 1832:
 
 /* Line 1455 of yacc.c  */
-#line 10236 "preproc.y"
+#line 10231 "preproc.y"
     { 
  (yyval.str) = make_str("wrapper");
 ;}
@@ -39089,7 +39084,7 @@
   case 1833:
 
 /* Line 1455 of yacc.c  */
-#line 10240 "preproc.y"
+#line 10235 "preproc.y"
     { 
  (yyval.str) = make_str("write");
 ;}
@@ -39098,7 +39093,7 @@
   case 1834:
 
 /* Line 1455 of yacc.c  */
-#line 10244 "preproc.y"
+#line 10239 "preproc.y"
     { 
  (yyval.str) = make_str("xml");
 ;}
@@ -39107,7 +39102,7 @@
   case 1835:
 
 /* Line 1455 of yacc.c  */
-#line 10248 "preproc.y"
+#line 10243 "preproc.y"
     { 
  (yyval.str) = make_str("yes");
 ;}
@@ -39116,7 +39111,7 @@
   case 1836:
 
 /* Line 1455 of yacc.c  */
-#line 10252 "preproc.y"
+#line 10247 "preproc.y"
     { 
  (yyval.str) = make_str("zone");
 ;}
@@ -39125,7 +39120,7 @@
   case 1837:
 
 /* Line 1455 of yacc.c  */
-#line 10260 "preproc.y"
+#line 10255 "preproc.y"
     { 
  (yyval.str) = make_str("bigint");
 ;}
@@ -39134,7 +39129,7 @@
   case 1838:
 
 /* Line 1455 of yacc.c  */
-#line 10264 "preproc.y"
+#line 10259 "preproc.y"
     { 
  (yyval.str) = make_str("bit");
 ;}
@@ -39143,7 +39138,7 @@
   case 1839:
 
 /* Line 1455 of yacc.c  */
-#line 10268 "preproc.y"
+#line 10263 "preproc.y"
     { 
  (yyval.str) = make_str("boolean");
 ;}
@@ -39152,7 +39147,7 @@
   case 1840:
 
 /* Line 1455 of yacc.c  */
-#line 10272 "preproc.y"
+#line 10267 "preproc.y"
     { 
  (yyval.str) = make_str("character");
 ;}
@@ -39161,7 +39156,7 @@
   case 1841:
 
 /* Line 1455 of yacc.c  */
-#line 10276 "preproc.y"
+#line 10271 "preproc.y"
     { 
  (yyval.str) = make_str("coalesce");
 ;}
@@ -39170,7 +39165,7 @@
   case 1842:
 
 /* Line 1455 of yacc.c  */
-#line 10280 "preproc.y"
+#line 10275 "preproc.y"
     { 
  (yyval.str) = make_str("dec");
 ;}
@@ -39179,7 +39174,7 @@
   case 1843:
 
 /* Line 1455 of yacc.c  */
-#line 10284 "preproc.y"
+#line 10279 "preproc.y"
     { 
  (yyval.str) = make_str("decimal");
 ;}
@@ -39188,7 +39183,7 @@
   case 1844:
 
 /* Line 1455 of yacc.c  */
-#line 10288 "preproc.y"
+#line 10283 "preproc.y"
     { 
  (yyval.str) = make_str("exists");
 ;}
@@ -39197,7 +39192,7 @@
   case 1845:
 
 /* Line 1455 of yacc.c  */
-#line 10292 "preproc.y"
+#line 10287 "preproc.y"
     { 
  (yyval.str) = make_str("extract");
 ;}
@@ -39206,7 +39201,7 @@
   case 1846:
 
 /* Line 1455 of yacc.c  */
-#line 10296 "preproc.y"
+#line 10291 "preproc.y"
     { 
  (yyval.str) = make_str("float");
 ;}
@@ -39215,7 +39210,7 @@
   case 1847:
 
 /* Line 1455 of yacc.c  */
-#line 10300 "preproc.y"
+#line 10295 "preproc.y"
     { 
  (yyval.str) = make_str("greatest");
 ;}
@@ -39224,7 +39219,7 @@
   case 1848:
 
 /* Line 1455 of yacc.c  */
-#line 10304 "preproc.y"
+#line 10299 "preproc.y"
     { 
  (yyval.str) = make_str("inout");
 ;}
@@ -39233,7 +39228,7 @@
   case 1849:
 
 /* Line 1455 of yacc.c  */
-#line 10308 "preproc.y"
+#line 10303 "preproc.y"
     { 
  (yyval.str) = make_str("integer");
 ;}
@@ -39242,7 +39237,7 @@
   case 1850:
 
 /* Line 1455 of yacc.c  */
-#line 10312 "preproc.y"
+#line 10307 "preproc.y"
     { 
  (yyval.str) = make_str("interval");
 ;}
@@ -39251,7 +39246,7 @@
   case 1851:
 
 /* Line 1455 of yacc.c  */
-#line 10316 "preproc.y"
+#line 10311 "preproc.y"
     { 
  (yyval.str) = make_str("least");
 ;}
@@ -39260,7 +39255,7 @@
   case 1852:
 
 /* Line 1455 of yacc.c  */
-#line 10320 "preproc.y"
+#line 10315 "preproc.y"
     { 
  (yyval.str) = make_str("national");
 ;}
@@ -39269,7 +39264,7 @@
   case 1853:
 
 /* Line 1455 of yacc.c  */
-#line 10324 "preproc.y"
+#line 10319 "preproc.y"
     { 
  (yyval.str) = make_str("nchar");
 ;}
@@ -39278,7 +39273,7 @@
   case 1854:
 
 /* Line 1455 of yacc.c  */
-#line 10328 "preproc.y"
+#line 10323 "preproc.y"
     { 
  (yyval.str) = make_str("none");
 ;}
@@ -39287,7 +39282,7 @@
   case 1855:
 
 /* Line 1455 of yacc.c  */
-#line 10332 "preproc.y"
+#line 10327 "preproc.y"
     { 
  (yyval.str) = make_str("nullif");
 ;}
@@ -39296,7 +39291,7 @@
   case 1856:
 
 /* Line 1455 of yacc.c  */
-#line 10336 "preproc.y"
+#line 10331 "preproc.y"
     { 
  (yyval.str) = make_str("numeric");
 ;}
@@ -39305,7 +39300,7 @@
   case 1857:
 
 /* Line 1455 of yacc.c  */
-#line 10340 "preproc.y"
+#line 10335 "preproc.y"
     { 
  (yyval.str) = make_str("out");
 ;}
@@ -39314,7 +39309,7 @@
   case 1858:
 
 /* Line 1455 of yacc.c  */
-#line 10344 "preproc.y"
+#line 10339 "preproc.y"
     { 
  (yyval.str) = make_str("overlay");
 ;}
@@ -39323,7 +39318,7 @@
   case 1859:
 
 /* Line 1455 of yacc.c  */
-#line 10348 "preproc.y"
+#line 10343 "preproc.y"
     { 
  (yyval.str) = make_str("position");
 ;}
@@ -39332,7 +39327,7 @@
   case 1860:
 
 /* Line 1455 of yacc.c  */
-#line 10352 "preproc.y"
+#line 10347 "preproc.y"
     { 
  (yyval.str) = make_str("precision");
 ;}
@@ -39341,7 +39336,7 @@
   case 1861:
 
 /* Line 1455 of yacc.c  */
-#line 10356 "preproc.y"
+#line 10351 "preproc.y"
     { 
  (yyval.str) = make_str("real");
 ;}
@@ -39350,7 +39345,7 @@
   case 1862:
 
 /* Line 1455 of yacc.c  */
-#line 10360 "preproc.y"
+#line 10355 "preproc.y"
     { 
  (yyval.str) = make_str("row");
 ;}
@@ -39359,7 +39354,7 @@
   case 1863:
 
 /* Line 1455 of yacc.c  */
-#line 10364 "preproc.y"
+#line 10359 "preproc.y"
     { 
  (yyval.str) = make_str("setof");
 ;}
@@ -39368,7 +39363,7 @@
   case 1864:
 
 /* Line 1455 of yacc.c  */
-#line 10368 "preproc.y"
+#line 10363 "preproc.y"
     { 
  (yyval.str) = make_str("smallint");
 ;}
@@ -39377,7 +39372,7 @@
   case 1865:
 
 /* Line 1455 of yacc.c  */
-#line 10372 "preproc.y"
+#line 10367 "preproc.y"
     { 
  (yyval.str) = make_str("substring");
 ;}
@@ -39386,7 +39381,7 @@
   case 1866:
 
 /* Line 1455 of yacc.c  */
-#line 10376 "preproc.y"
+#line 10371 "preproc.y"
     { 
  (yyval.str) = make_str("time");
 ;}
@@ -39395,7 +39390,7 @@
   case 1867:
 
 /* Line 1455 of yacc.c  */
-#line 10380 "preproc.y"
+#line 10375 "preproc.y"
     { 
  (yyval.str) = make_str("timestamp");
 ;}
@@ -39404,7 +39399,7 @@
   case 1868:
 
 /* Line 1455 of yacc.c  */
-#line 10384 "preproc.y"
+#line 10379 "preproc.y"
     { 
  (yyval.str) = make_str("treat");
 ;}
@@ -39413,7 +39408,7 @@
   case 1869:
 
 /* Line 1455 of yacc.c  */
-#line 10388 "preproc.y"
+#line 10383 "preproc.y"
     { 
  (yyval.str) = make_str("trim");
 ;}
@@ -39422,7 +39417,7 @@
   case 1870:
 
 /* Line 1455 of yacc.c  */
-#line 10392 "preproc.y"
+#line 10387 "preproc.y"
     { 
  (yyval.str) = make_str("varchar");
 ;}
@@ -39431,7 +39426,7 @@
   case 1871:
 
 /* Line 1455 of yacc.c  */
-#line 10396 "preproc.y"
+#line 10391 "preproc.y"
     { 
  (yyval.str) = make_str("xmlattributes");
 ;}
@@ -39440,7 +39435,7 @@
   case 1872:
 
 /* Line 1455 of yacc.c  */
-#line 10400 "preproc.y"
+#line 10395 "preproc.y"
     { 
  (yyval.str) = make_str("xmlconcat");
 ;}
@@ -39449,7 +39444,7 @@
   case 1873:
 
 /* Line 1455 of yacc.c  */
-#line 10404 "preproc.y"
+#line 10399 "preproc.y"
     { 
  (yyval.str) = make_str("xmlelement");
 ;}
@@ -39458,7 +39453,7 @@
   case 1874:
 
 /* Line 1455 of yacc.c  */
-#line 10408 "preproc.y"
+#line 10403 "preproc.y"
     { 
  (yyval.str) = make_str("xmlforest");
 ;}
@@ -39467,7 +39462,7 @@
   case 1875:
 
 /* Line 1455 of yacc.c  */
-#line 10412 "preproc.y"
+#line 10407 "preproc.y"
     { 
  (yyval.str) = make_str("xmlparse");
 ;}
@@ -39476,7 +39471,7 @@
   case 1876:
 
 /* Line 1455 of yacc.c  */
-#line 10416 "preproc.y"
+#line 10411 "preproc.y"
     { 
  (yyval.str) = make_str("xmlpi");
 ;}
@@ -39485,7 +39480,7 @@
   case 1877:
 
 /* Line 1455 of yacc.c  */
-#line 10420 "preproc.y"
+#line 10415 "preproc.y"
     { 
  (yyval.str) = make_str("xmlroot");
 ;}
@@ -39494,7 +39489,7 @@
   case 1878:
 
 /* Line 1455 of yacc.c  */
-#line 10424 "preproc.y"
+#line 10419 "preproc.y"
     { 
  (yyval.str) = make_str("xmlserialize");
 ;}
@@ -39503,7 +39498,7 @@
   case 1879:
 
 /* Line 1455 of yacc.c  */
-#line 10432 "preproc.y"
+#line 10427 "preproc.y"
     { 
  (yyval.str) = make_str("authorization");
 ;}
@@ -39512,7 +39507,7 @@
   case 1880:
 
 /* Line 1455 of yacc.c  */
-#line 10436 "preproc.y"
+#line 10431 "preproc.y"
     { 
  (yyval.str) = make_str("between");
 ;}
@@ -39521,7 +39516,7 @@
   case 1881:
 
 /* Line 1455 of yacc.c  */
-#line 10440 "preproc.y"
+#line 10435 "preproc.y"
     { 
  (yyval.str) = make_str("binary");
 ;}
@@ -39530,7 +39525,7 @@
   case 1882:
 
 /* Line 1455 of yacc.c  */
-#line 10444 "preproc.y"
+#line 10439 "preproc.y"
     { 
  (yyval.str) = make_str("cross");
 ;}
@@ -39539,7 +39534,7 @@
   case 1883:
 
 /* Line 1455 of yacc.c  */
-#line 10448 "preproc.y"
+#line 10443 "preproc.y"
     { 
  (yyval.str) = make_str("current_schema");
 ;}
@@ -39548,7 +39543,7 @@
   case 1884:
 
 /* Line 1455 of yacc.c  */
-#line 10452 "preproc.y"
+#line 10447 "preproc.y"
     { 
  (yyval.str) = make_str("freeze");
 ;}
@@ -39557,7 +39552,7 @@
   case 1885:
 
 /* Line 1455 of yacc.c  */
-#line 10456 "preproc.y"
+#line 10451 "preproc.y"
     { 
  (yyval.str) = make_str("full");
 ;}
@@ -39566,7 +39561,7 @@
   case 1886:
 
 /* Line 1455 of yacc.c  */
-#line 10460 "preproc.y"
+#line 10455 "preproc.y"
     { 
  (yyval.str) = make_str("ilike");
 ;}
@@ -39575,7 +39570,7 @@
   case 1887:
 
 /* Line 1455 of yacc.c  */
-#line 10464 "preproc.y"
+#line 10459 "preproc.y"
     { 
  (yyval.str) = make_str("inner");
 ;}
@@ -39584,7 +39579,7 @@
   case 1888:
 
 /* Line 1455 of yacc.c  */
-#line 10468 "preproc.y"
+#line 10463 "preproc.y"
     { 
  (yyval.str) = make_str("is");
 ;}
@@ -39593,7 +39588,7 @@
   case 1889:
 
 /* Line 1455 of yacc.c  */
-#line 10472 "preproc.y"
+#line 10467 "preproc.y"
     { 
  (yyval.str) = make_str("isnull");
 ;}
@@ -39602,7 +39597,7 @@
   case 1890:
 
 /* Line 1455 of yacc.c  */
-#line 10476 "preproc.y"
+#line 10471 "preproc.y"
     { 
  (yyval.str) = make_str("join");
 ;}
@@ -39611,7 +39606,7 @@
   case 1891:
 
 /* Line 1455 of yacc.c  */
-#line 10480 "preproc.y"
+#line 10475 "preproc.y"
     { 
  (yyval.str) = make_str("left");
 ;}
@@ -39620,7 +39615,7 @@
   case 1892:
 
 /* Line 1455 of yacc.c  */
-#line 10484 "preproc.y"
+#line 10479 "preproc.y"
     { 
  (yyval.str) = make_str("like");
 ;}
@@ -39629,7 +39624,7 @@
   case 1893:
 
 /* Line 1455 of yacc.c  */
-#line 10488 "preproc.y"
+#line 10483 "preproc.y"
     { 
  (yyval.str) = make_str("natural");
 ;}
@@ -39638,7 +39633,7 @@
   case 1894:
 
 /* Line 1455 of yacc.c  */
-#line 10492 "preproc.y"
+#line 10487 "preproc.y"
     { 
  (yyval.str) = make_str("notnull");
 ;}
@@ -39647,7 +39642,7 @@
   case 1895:
 
 /* Line 1455 of yacc.c  */
-#line 10496 "preproc.y"
+#line 10491 "preproc.y"
     { 
  (yyval.str) = make_str("outer");
 ;}
@@ -39656,7 +39651,7 @@
   case 1896:
 
 /* Line 1455 of yacc.c  */
-#line 10500 "preproc.y"
+#line 10495 "preproc.y"
     { 
  (yyval.str) = make_str("over");
 ;}
@@ -39665,7 +39660,7 @@
   case 1897:
 
 /* Line 1455 of yacc.c  */
-#line 10504 "preproc.y"
+#line 10499 "preproc.y"
     { 
  (yyval.str) = make_str("overlaps");
 ;}
@@ -39674,7 +39669,7 @@
   case 1898:
 
 /* Line 1455 of yacc.c  */
-#line 10508 "preproc.y"
+#line 10503 "preproc.y"
     { 
  (yyval.str) = make_str("right");
 ;}
@@ -39683,7 +39678,7 @@
   case 1899:
 
 /* Line 1455 of yacc.c  */
-#line 10512 "preproc.y"
+#line 10507 "preproc.y"
     { 
  (yyval.str) = make_str("similar");
 ;}
@@ -39692,7 +39687,7 @@
   case 1900:
 
 /* Line 1455 of yacc.c  */
-#line 10516 "preproc.y"
+#line 10511 "preproc.y"
     { 
  (yyval.str) = make_str("verbose");
 ;}
@@ -39701,7 +39696,7 @@
   case 1901:
 
 /* Line 1455 of yacc.c  */
-#line 10524 "preproc.y"
+#line 10519 "preproc.y"
     { 
  (yyval.str) = make_str("all");
 ;}
@@ -39710,7 +39705,7 @@
   case 1902:
 
 /* Line 1455 of yacc.c  */
-#line 10528 "preproc.y"
+#line 10523 "preproc.y"
     { 
  (yyval.str) = make_str("analyse");
 ;}
@@ -39719,7 +39714,7 @@
   case 1903:
 
 /* Line 1455 of yacc.c  */
-#line 10532 "preproc.y"
+#line 10527 "preproc.y"
     { 
  (yyval.str) = make_str("analyze");
 ;}
@@ -39728,7 +39723,7 @@
   case 1904:
 
 /* Line 1455 of yacc.c  */
-#line 10536 "preproc.y"
+#line 10531 "preproc.y"
     { 
  (yyval.str) = make_str("and");
 ;}
@@ -39737,7 +39732,7 @@
   case 1905:
 
 /* Line 1455 of yacc.c  */
-#line 10540 "preproc.y"
+#line 10535 "preproc.y"
     { 
  (yyval.str) = make_str("any");
 ;}
@@ -39746,7 +39741,7 @@
   case 1906:
 
 /* Line 1455 of yacc.c  */
-#line 10544 "preproc.y"
+#line 10539 "preproc.y"
     { 
  (yyval.str) = make_str("array");
 ;}
@@ -39755,7 +39750,7 @@
   case 1907:
 
 /* Line 1455 of yacc.c  */
-#line 10548 "preproc.y"
+#line 10543 "preproc.y"
     { 
  (yyval.str) = make_str("as");
 ;}
@@ -39764,7 +39759,7 @@
   case 1908:
 
 /* Line 1455 of yacc.c  */
-#line 10552 "preproc.y"
+#line 10547 "preproc.y"
     { 
  (yyval.str) = make_str("asc");
 ;}
@@ -39773,7 +39768,7 @@
   case 1909:
 
 /* Line 1455 of yacc.c  */
-#line 10556 "preproc.y"
+#line 10551 "preproc.y"
     { 
  (yyval.str) = make_str("asymmetric");
 ;}
@@ -39782,7 +39777,7 @@
   case 1910:
 
 /* Line 1455 of yacc.c  */
-#line 10560 "preproc.y"
+#line 10555 "preproc.y"
     { 
  (yyval.str) = make_str("both");
 ;}
@@ -39791,7 +39786,7 @@
   case 1911:
 
 /* Line 1455 of yacc.c  */
-#line 10564 "preproc.y"
+#line 10559 "preproc.y"
     { 
  (yyval.str) = make_str("case");
 ;}
@@ -39800,7 +39795,7 @@
   case 1912:
 
 /* Line 1455 of yacc.c  */
-#line 10568 "preproc.y"
+#line 10563 "preproc.y"
     { 
  (yyval.str) = make_str("cast");
 ;}
@@ -39809,7 +39804,7 @@
   case 1913:
 
 /* Line 1455 of yacc.c  */
-#line 10572 "preproc.y"
+#line 10567 "preproc.y"
     { 
  (yyval.str) = make_str("check");
 ;}
@@ -39818,7 +39813,7 @@
   case 1914:
 
 /* Line 1455 of yacc.c  */
-#line 10576 "preproc.y"
+#line 10571 "preproc.y"
     { 
  (yyval.str) = make_str("collate");
 ;}
@@ -39827,7 +39822,7 @@
   case 1915:
 
 /* Line 1455 of yacc.c  */
-#line 10580 "preproc.y"
+#line 10575 "preproc.y"
     { 
  (yyval.str) = make_str("column");
 ;}
@@ -39836,7 +39831,7 @@
   case 1916:
 
 /* Line 1455 of yacc.c  */
-#line 10584 "preproc.y"
+#line 10579 "preproc.y"
     { 
  (yyval.str) = make_str("constraint");
 ;}
@@ -39845,7 +39840,7 @@
   case 1917:
 
 /* Line 1455 of yacc.c  */
-#line 10588 "preproc.y"
+#line 10583 "preproc.y"
     { 
  (yyval.str) = make_str("create");
 ;}
@@ -39854,7 +39849,7 @@
   case 1918:
 
 /* Line 1455 of yacc.c  */
-#line 10592 "preproc.y"
+#line 10587 "preproc.y"
     { 
  (yyval.str) = make_str("current_catalog");
 ;}
@@ -39863,7 +39858,7 @@
   case 1919:
 
 /* Line 1455 of yacc.c  */
-#line 10596 "preproc.y"
+#line 10591 "preproc.y"
     { 
  (yyval.str) = make_str("current_date");
 ;}
@@ -39872,7 +39867,7 @@
   case 1920:
 
 /* Line 1455 of yacc.c  */
-#line 10600 "preproc.y"
+#line 10595 "preproc.y"
     { 
  (yyval.str) = make_str("current_role");
 ;}
@@ -39881,7 +39876,7 @@
   case 1921:
 
 /* Line 1455 of yacc.c  */
-#line 10604 "preproc.y"
+#line 10599 "preproc.y"
     { 
  (yyval.str) = make_str("current_time");
 ;}
@@ -39890,7 +39885,7 @@
   case 1922:
 
 /* Line 1455 of yacc.c  */
-#line 10608 "preproc.y"
+#line 10603 "preproc.y"
     { 
  (yyval.str) = make_str("current_timestamp");
 ;}
@@ -39899,7 +39894,7 @@
   case 1923:
 
 /* Line 1455 of yacc.c  */
-#line 10612 "preproc.y"
+#line 10607 "preproc.y"
     { 
  (yyval.str) = make_str("current_user");
 ;}
@@ -39908,7 +39903,7 @@
   case 1924:
 
 /* Line 1455 of yacc.c  */
-#line 10616 "preproc.y"
+#line 10611 "preproc.y"
     { 
  (yyval.str) = make_str("default");
 ;}
@@ -39917,7 +39912,7 @@
   case 1925:
 
 /* Line 1455 of yacc.c  */
-#line 10620 "preproc.y"
+#line 10615 "preproc.y"
     { 
  (yyval.str) = make_str("deferrable");
 ;}
@@ -39926,7 +39921,7 @@
   case 1926:
 
 /* Line 1455 of yacc.c  */
-#line 10624 "preproc.y"
+#line 10619 "preproc.y"
     { 
  (yyval.str) = make_str("desc");
 ;}
@@ -39935,7 +39930,7 @@
   case 1927:
 
 /* Line 1455 of yacc.c  */
-#line 10628 "preproc.y"
+#line 10623 "preproc.y"
     { 
  (yyval.str) = make_str("distinct");
 ;}
@@ -39944,7 +39939,7 @@
   case 1928:
 
 /* Line 1455 of yacc.c  */
-#line 10632 "preproc.y"
+#line 10627 "preproc.y"
     { 
  (yyval.str) = make_str("do");
 ;}
@@ -39953,7 +39948,7 @@
   case 1929:
 
 /* Line 1455 of yacc.c  */
-#line 10636 "preproc.y"
+#line 10631 "preproc.y"
     { 
  (yyval.str) = make_str("else");
 ;}
@@ -39962,7 +39957,7 @@
   case 1930:
 
 /* Line 1455 of yacc.c  */
-#line 10640 "preproc.y"
+#line 10635 "preproc.y"
     { 
  (yyval.str) = make_str("end");
 ;}
@@ -39971,7 +39966,7 @@
   case 1931:
 
 /* Line 1455 of yacc.c  */
-#line 10644 "preproc.y"
+#line 10639 "preproc.y"
     { 
  (yyval.str) = make_str("except");
 ;}
@@ -39980,7 +39975,7 @@
   case 1932:
 
 /* Line 1455 of yacc.c  */
-#line 10648 "preproc.y"
+#line 10643 "preproc.y"
     { 
  (yyval.str) = make_str("false");
 ;}
@@ -39989,7 +39984,7 @@
   case 1933:
 
 /* Line 1455 of yacc.c  */
-#line 10652 "preproc.y"
+#line 10647 "preproc.y"
     { 
  (yyval.str) = make_str("fetch");
 ;}
@@ -39998,7 +39993,7 @@
   case 1934:
 
 /* Line 1455 of yacc.c  */
-#line 10656 "preproc.y"
+#line 10651 "preproc.y"
     { 
  (yyval.str) = make_str("for");
 ;}
@@ -40007,7 +40002,7 @@
   case 1935:
 
 /* Line 1455 of yacc.c  */
-#line 10660 "preproc.y"
+#line 10655 "preproc.y"
     { 
  (yyval.str) = make_str("foreign");
 ;}
@@ -40016,7 +40011,7 @@
   case 1936:
 
 /* Line 1455 of yacc.c  */
-#line 10664 "preproc.y"
+#line 10659 "preproc.y"
     { 
  (yyval.str) = make_str("from");
 ;}
@@ -40025,7 +40020,7 @@
   case 1937:
 
 /* Line 1455 of yacc.c  */
-#line 10668 "preproc.y"
+#line 10663 "preproc.y"
     { 
  (yyval.str) = make_str("grant");
 ;}
@@ -40034,7 +40029,7 @@
   case 1938:
 
 /* Line 1455 of yacc.c  */
-#line 10672 "preproc.y"
+#line 10667 "preproc.y"
     { 
  (yyval.str) = make_str("group");
 ;}
@@ -40043,7 +40038,7 @@
   case 1939:
 
 /* Line 1455 of yacc.c  */
-#line 10676 "preproc.y"
+#line 10671 "preproc.y"
     { 
  (yyval.str) = make_str("having");
 ;}
@@ -40052,7 +40047,7 @@
   case 1940:
 
 /* Line 1455 of yacc.c  */
-#line 10680 "preproc.y"
+#line 10675 "preproc.y"
     { 
  (yyval.str) = make_str("in");
 ;}
@@ -40061,7 +40056,7 @@
   case 1941:
 
 /* Line 1455 of yacc.c  */
-#line 10684 "preproc.y"
+#line 10679 "preproc.y"
     { 
  (yyval.str) = make_str("initially");
 ;}
@@ -40070,7 +40065,7 @@
   case 1942:
 
 /* Line 1455 of yacc.c  */
-#line 10688 "preproc.y"
+#line 10683 "preproc.y"
     { 
  (yyval.str) = make_str("intersect");
 ;}
@@ -40079,7 +40074,7 @@
   case 1943:
 
 /* Line 1455 of yacc.c  */
-#line 10692 "preproc.y"
+#line 10687 "preproc.y"
     { 
  (yyval.str) = make_str("into");
 ;}
@@ -40088,7 +40083,7 @@
   case 1944:
 
 /* Line 1455 of yacc.c  */
-#line 10696 "preproc.y"
+#line 10691 "preproc.y"
     { 
  (yyval.str) = make_str("leading");
 ;}
@@ -40097,7 +40092,7 @@
   case 1945:
 
 /* Line 1455 of yacc.c  */
-#line 10700 "preproc.y"
+#line 10695 "preproc.y"
     { 
  (yyval.str) = make_str("limit");
 ;}
@@ -40106,7 +40101,7 @@
   case 1946:
 
 /* Line 1455 of yacc.c  */
-#line 10704 "preproc.y"
+#line 10699 "preproc.y"
     { 
  (yyval.str) = make_str("localtime");
 ;}
@@ -40115,7 +40110,7 @@
   case 1947:
 
 /* Line 1455 of yacc.c  */
-#line 10708 "preproc.y"
+#line 10703 "preproc.y"
     { 
  (yyval.str) = make_str("localtimestamp");
 ;}
@@ -40124,7 +40119,7 @@
   case 1948:
 
 /* Line 1455 of yacc.c  */
-#line 10712 "preproc.y"
+#line 10707 "preproc.y"
     { 
  (yyval.str) = make_str("new");
 ;}
@@ -40133,7 +40128,7 @@
   case 1949:
 
 /* Line 1455 of yacc.c  */
-#line 10716 "preproc.y"
+#line 10711 "preproc.y"
     { 
  (yyval.str) = make_str("not");
 ;}
@@ -40142,7 +40137,7 @@
   case 1950:
 
 /* Line 1455 of yacc.c  */
-#line 10720 "preproc.y"
+#line 10715 "preproc.y"
     { 
  (yyval.str) = make_str("null");
 ;}
@@ -40151,7 +40146,7 @@
   case 1951:
 
 /* Line 1455 of yacc.c  */
-#line 10724 "preproc.y"
+#line 10719 "preproc.y"
     { 
  (yyval.str) = make_str("off");
 ;}
@@ -40160,7 +40155,7 @@
   case 1952:
 
 /* Line 1455 of yacc.c  */
-#line 10728 "preproc.y"
+#line 10723 "preproc.y"
     { 
  (yyval.str) = make_str("offset");
 ;}
@@ -40169,7 +40164,7 @@
   case 1953:
 
 /* Line 1455 of yacc.c  */
-#line 10732 "preproc.y"
+#line 10727 "preproc.y"
     { 
  (yyval.str) = make_str("old");
 ;}
@@ -40178,7 +40173,7 @@
   case 1954:
 
 /* Line 1455 of yacc.c  */
-#line 10736 "preproc.y"
+#line 10731 "preproc.y"
     { 
  (yyval.str) = make_str("on");
 ;}
@@ -40187,7 +40182,7 @@
   case 1955:
 
 /* Line 1455 of yacc.c  */
-#line 10740 "preproc.y"
+#line 10735 "preproc.y"
     { 
  (yyval.str) = make_str("only");
 ;}
@@ -40196,7 +40191,7 @@
   case 1956:
 
 /* Line 1455 of yacc.c  */
-#line 10744 "preproc.y"
+#line 10739 "preproc.y"
     { 
  (yyval.str) = make_str("or");
 ;}
@@ -40205,7 +40200,7 @@
   case 1957:
 
 /* Line 1455 of yacc.c  */
-#line 10748 "preproc.y"
+#line 10743 "preproc.y"
     { 
  (yyval.str) = make_str("order");
 ;}
@@ -40214,7 +40209,7 @@
   case 1958:
 
 /* Line 1455 of yacc.c  */
-#line 10752 "preproc.y"
+#line 10747 "preproc.y"
     { 
  (yyval.str) = make_str("placing");
 ;}
@@ -40223,7 +40218,7 @@
   case 1959:
 
 /* Line 1455 of yacc.c  */
-#line 10756 "preproc.y"
+#line 10751 "preproc.y"
     { 
  (yyval.str) = make_str("primary");
 ;}
@@ -40232,7 +40227,7 @@
   case 1960:
 
 /* Line 1455 of yacc.c  */
-#line 10760 "preproc.y"
+#line 10755 "preproc.y"
     { 
  (yyval.str) = make_str("references");
 ;}
@@ -40241,7 +40236,7 @@
   case 1961:
 
 /* Line 1455 of yacc.c  */
-#line 10764 "preproc.y"
+#line 10759 "preproc.y"
     { 
  (yyval.str) = make_str("returning");
 ;}
@@ -40250,7 +40245,7 @@
   case 1962:
 
 /* Line 1455 of yacc.c  */
-#line 10768 "preproc.y"
+#line 10763 "preproc.y"
     { 
  (yyval.str) = make_str("select");
 ;}
@@ -40259,7 +40254,7 @@
   case 1963:
 
 /* Line 1455 of yacc.c  */
-#line 10772 "preproc.y"
+#line 10767 "preproc.y"
     { 
  (yyval.str) = make_str("session_user");
 ;}
@@ -40268,7 +40263,7 @@
   case 1964:
 
 /* Line 1455 of yacc.c  */
-#line 10776 "preproc.y"
+#line 10771 "preproc.y"
     { 
  (yyval.str) = make_str("some");
 ;}
@@ -40277,7 +40272,7 @@
   case 1965:
 
 /* Line 1455 of yacc.c  */
-#line 10780 "preproc.y"
+#line 10775 "preproc.y"
     { 
  (yyval.str) = make_str("symmetric");
 ;}
@@ -40286,7 +40281,7 @@
   case 1966:
 
 /* Line 1455 of yacc.c  */
-#line 10784 "preproc.y"
+#line 10779 "preproc.y"
     { 
  (yyval.str) = make_str("table");
 ;}
@@ -40295,7 +40290,7 @@
   case 1967:
 
 /* Line 1455 of yacc.c  */
-#line 10788 "preproc.y"
+#line 10783 "preproc.y"
     { 
  (yyval.str) = make_str("then");
 ;}
@@ -40304,7 +40299,7 @@
   case 1968:
 
 /* Line 1455 of yacc.c  */
-#line 10792 "preproc.y"
+#line 10787 "preproc.y"
     { 
  (yyval.str) = make_str("trailing");
 ;}
@@ -40313,7 +40308,7 @@
   case 1969:
 
 /* Line 1455 of yacc.c  */
-#line 10796 "preproc.y"
+#line 10791 "preproc.y"
     { 
  (yyval.str) = make_str("true");
 ;}
@@ -40322,7 +40317,7 @@
   case 1970:
 
 /* Line 1455 of yacc.c  */
-#line 10800 "preproc.y"
+#line 10795 "preproc.y"
     { 
  (yyval.str) = make_str("unique");
 ;}
@@ -40331,7 +40326,7 @@
   case 1971:
 
 /* Line 1455 of yacc.c  */
-#line 10804 "preproc.y"
+#line 10799 "preproc.y"
     { 
  (yyval.str) = make_str("user");
 ;}
@@ -40340,7 +40335,7 @@
   case 1972:
 
 /* Line 1455 of yacc.c  */
-#line 10808 "preproc.y"
+#line 10803 "preproc.y"
     { 
  (yyval.str) = make_str("using");
 ;}
@@ -40349,7 +40344,7 @@
   case 1973:
 
 /* Line 1455 of yacc.c  */
-#line 10812 "preproc.y"
+#line 10807 "preproc.y"
     { 
  (yyval.str) = make_str("variadic");
 ;}
@@ -40358,7 +40353,7 @@
   case 1974:
 
 /* Line 1455 of yacc.c  */
-#line 10816 "preproc.y"
+#line 10811 "preproc.y"
     { 
  (yyval.str) = make_str("when");
 ;}
@@ -40367,7 +40362,7 @@
   case 1975:
 
 /* Line 1455 of yacc.c  */
-#line 10820 "preproc.y"
+#line 10815 "preproc.y"
     { 
  (yyval.str) = make_str("where");
 ;}
@@ -40376,7 +40371,7 @@
   case 1976:
 
 /* Line 1455 of yacc.c  */
-#line 10824 "preproc.y"
+#line 10819 "preproc.y"
     { 
  (yyval.str) = make_str("window");
 ;}
@@ -40385,7 +40380,7 @@
   case 1977:
 
 /* Line 1455 of yacc.c  */
-#line 10828 "preproc.y"
+#line 10823 "preproc.y"
     { 
  (yyval.str) = make_str("with");
 ;}
@@ -40394,7 +40389,7 @@
   case 1978:
 
 /* Line 1455 of yacc.c  */
-#line 10836 "preproc.y"
+#line 10831 "preproc.y"
     { 
 		if (!QueryIsRule)
 			mmerror(PARSE_ERROR, ET_ERROR, "OLD used in query that is not in a rule");
@@ -40406,7 +40401,7 @@
   case 1979:
 
 /* Line 1455 of yacc.c  */
-#line 10843 "preproc.y"
+#line 10838 "preproc.y"
     { 
 		if (!QueryIsRule)
 			mmerror(PARSE_ERROR, ET_ERROR, "NEW used in query that is not in a rule");
@@ -40418,14 +40413,14 @@
   case 1982:
 
 /* Line 1455 of yacc.c  */
-#line 10859 "preproc.y"
+#line 10854 "preproc.y"
     { connection = NULL; ;}
     break;
 
   case 1984:
 
 /* Line 1455 of yacc.c  */
-#line 10862 "preproc.y"
+#line 10857 "preproc.y"
     {
                         fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                         free((yyvsp[(2) - (2)].str));
@@ -40436,42 +40431,42 @@
   case 1986:
 
 /* Line 1455 of yacc.c  */
-#line 10868 "preproc.y"
+#line 10863 "preproc.y"
     { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
     break;
 
   case 1987:
 
 /* Line 1455 of yacc.c  */
-#line 10869 "preproc.y"
+#line 10864 "preproc.y"
     { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
     break;
 
   case 1988:
 
 /* Line 1455 of yacc.c  */
-#line 10870 "preproc.y"
+#line 10865 "preproc.y"
     { braces_open++; fputs("{", yyout); ;}
     break;
 
   case 1989:
 
 /* Line 1455 of yacc.c  */
-#line 10871 "preproc.y"
+#line 10866 "preproc.y"
     { remove_typedefs(braces_open); remove_variables(braces_open--); fputs("}", yyout); ;}
     break;
 
   case 1990:
 
 /* Line 1455 of yacc.c  */
-#line 10874 "preproc.y"
+#line 10869 "preproc.y"
     {FoundInto = 0;;}
     break;
 
   case 1991:
 
 /* Line 1455 of yacc.c  */
-#line 10875 "preproc.y"
+#line 10870 "preproc.y"
     {
 			if (FoundInto == 1)
 				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");
@@ -40483,14 +40478,14 @@
   case 1992:
 
 /* Line 1455 of yacc.c  */
-#line 10884 "preproc.y"
+#line 10879 "preproc.y"
     {QueryIsRule = 1;;}
     break;
 
   case 1993:
 
 /* Line 1455 of yacc.c  */
-#line 10887 "preproc.y"
+#line 10882 "preproc.y"
     {
 			QueryIsRule=0;
 			(yyval.str) = cat_str(12, make_str("create"), (yyvsp[(2) - (14)].str), make_str("rule"), (yyvsp[(4) - (14)].str), make_str("as on"), (yyvsp[(8) - (14)].str), make_str("to"), (yyvsp[(10) - (14)].str), (yyvsp[(11) - (14)].str), make_str("do"), (yyvsp[(13) - (14)].str), (yyvsp[(14) - (14)].str));
@@ -40500,7 +40495,7 @@
   case 1994:
 
 /* Line 1455 of yacc.c  */
-#line 10894 "preproc.y"
+#line 10889 "preproc.y"
     {
                         connection = (yyvsp[(2) - (2)].str);
                         /*
@@ -40516,35 +40511,35 @@
   case 1995:
 
 /* Line 1455 of yacc.c  */
-#line 10910 "preproc.y"
+#line 10905 "preproc.y"
     { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), make_str(","), (yyvsp[(5) - (5)].str), make_str(","), (yyvsp[(4) - (5)].str)); ;}
     break;
 
   case 1996:
 
 /* Line 1455 of yacc.c  */
-#line 10912 "preproc.y"
+#line 10907 "preproc.y"
     { (yyval.str) = make_str("NULL, NULL, NULL, \"DEFAULT\""); ;}
     break;
 
   case 1997:
 
 /* Line 1455 of yacc.c  */
-#line 10915 "preproc.y"
+#line 10910 "preproc.y"
     { (yyval.str) = cat_str(3, make_str("NULL,"), (yyvsp[(2) - (2)].str), make_str(", NULL")); ;}
     break;
 
   case 1998:
 
 /* Line 1455 of yacc.c  */
-#line 10917 "preproc.y"
+#line 10912 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), make_str(", NULL, NULL, NULL")); ;}
     break;
 
   case 1999:
 
 /* Line 1455 of yacc.c  */
-#line 10921 "preproc.y"
+#line 10916 "preproc.y"
     {
 			/* old style: dbname[@server][:port] */
 			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
@@ -40561,7 +40556,7 @@
   case 2000:
 
 /* Line 1455 of yacc.c  */
-#line 10933 "preproc.y"
+#line 10928 "preproc.y"
     {
 			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
 			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
@@ -40582,7 +40577,7 @@
   case 2001:
 
 /* Line 1455 of yacc.c  */
-#line 10949 "preproc.y"
+#line 10944 "preproc.y"
     {
 			(yyval.str) = (yyvsp[(1) - (1)].str);
 		;}
@@ -40591,7 +40586,7 @@
   case 2002:
 
 /* Line 1455 of yacc.c  */
-#line 10953 "preproc.y"
+#line 10948 "preproc.y"
     {
 			/* We can only process double quoted strings not single quotes ones,
 			 * so we change the quotes.
@@ -40605,21 +40600,21 @@
   case 2003:
 
 /* Line 1455 of yacc.c  */
-#line 10963 "preproc.y"
+#line 10958 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2004:
 
 /* Line 1455 of yacc.c  */
-#line 10964 "preproc.y"
+#line 10959 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2005:
 
 /* Line 1455 of yacc.c  */
-#line 10968 "preproc.y"
+#line 10963 "preproc.y"
     {
 			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
 				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));
@@ -40634,7 +40629,7 @@
   case 2006:
 
 /* Line 1455 of yacc.c  */
-#line 10980 "preproc.y"
+#line 10975 "preproc.y"
     {
 			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
 				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));
@@ -40646,112 +40641,112 @@
   case 2007:
 
 /* Line 1455 of yacc.c  */
-#line 10988 "preproc.y"
+#line 10983 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2008:
 
 /* Line 1455 of yacc.c  */
-#line 10989 "preproc.y"
+#line 10984 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2009:
 
 /* Line 1455 of yacc.c  */
-#line 10992 "preproc.y"
+#line 10987 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2010:
 
 /* Line 1455 of yacc.c  */
-#line 10993 "preproc.y"
+#line 10988 "preproc.y"
     { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), make_str("."), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2011:
 
 /* Line 1455 of yacc.c  */
-#line 10994 "preproc.y"
+#line 10989 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2012:
 
 /* Line 1455 of yacc.c  */
-#line 10997 "preproc.y"
+#line 10992 "preproc.y"
     { (yyval.str) = make2_str(make_str(":"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2013:
 
 /* Line 1455 of yacc.c  */
-#line 10998 "preproc.y"
+#line 10993 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2014:
 
 /* Line 1455 of yacc.c  */
-#line 11001 "preproc.y"
+#line 10996 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2015:
 
 /* Line 1455 of yacc.c  */
-#line 11002 "preproc.y"
+#line 10997 "preproc.y"
     { (yyval.str) = make_str("NULL"); ;}
     break;
 
   case 2016:
 
 /* Line 1455 of yacc.c  */
-#line 11005 "preproc.y"
+#line 11000 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2017:
 
 /* Line 1455 of yacc.c  */
-#line 11006 "preproc.y"
+#line 11001 "preproc.y"
     { (yyval.str) = make_str("NULL, NULL"); ;}
     break;
 
   case 2018:
 
 /* Line 1455 of yacc.c  */
-#line 11010 "preproc.y"
+#line 11005 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), make_str(", NULL")); ;}
     break;
 
   case 2019:
 
 /* Line 1455 of yacc.c  */
-#line 11012 "preproc.y"
+#line 11007 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2020:
 
 /* Line 1455 of yacc.c  */
-#line 11014 "preproc.y"
+#line 11009 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), make_str(","), (yyvsp[(4) - (4)].str)); ;}
     break;
 
   case 2021:
 
 /* Line 1455 of yacc.c  */
-#line 11016 "preproc.y"
+#line 11011 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2022:
 
 /* Line 1455 of yacc.c  */
-#line 11020 "preproc.y"
+#line 11015 "preproc.y"
     {
 			if ((yyvsp[(1) - (1)].str)[0] == '\"')
 				(yyval.str) = (yyvsp[(1) - (1)].str);
@@ -40763,7 +40758,7 @@
   case 2023:
 
 /* Line 1455 of yacc.c  */
-#line 11027 "preproc.y"
+#line 11022 "preproc.y"
     {
 			if ((yyvsp[(1) - (1)].str)[0] == '\"')
 				(yyval.str) = (yyvsp[(1) - (1)].str);
@@ -40775,7 +40770,7 @@
   case 2024:
 
 /* Line 1455 of yacc.c  */
-#line 11034 "preproc.y"
+#line 11029 "preproc.y"
     {
 			enum ECPGttype type = argsinsert->variable->type->type;
 
@@ -40794,7 +40789,7 @@
   case 2025:
 
 /* Line 1455 of yacc.c  */
-#line 11050 "preproc.y"
+#line 11045 "preproc.y"
     {
 			/* check if we have a string variable */
 			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
@@ -40830,7 +40825,7 @@
   case 2026:
 
 /* Line 1455 of yacc.c  */
-#line 11083 "preproc.y"
+#line 11078 "preproc.y"
     {
 			if (strlen((yyvsp[(1) - (2)].str)) == 0)
 				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");
@@ -40845,21 +40840,21 @@
   case 2027:
 
 /* Line 1455 of yacc.c  */
-#line 11092 "preproc.y"
+#line 11087 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2028:
 
 /* Line 1455 of yacc.c  */
-#line 11096 "preproc.y"
+#line 11091 "preproc.y"
     { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2029:
 
 /* Line 1455 of yacc.c  */
-#line 11098 "preproc.y"
+#line 11093 "preproc.y"
     {
 				if (strlen((yyvsp[(3) - (4)].str)) == 0)
 					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");
@@ -40874,35 +40869,35 @@
   case 2030:
 
 /* Line 1455 of yacc.c  */
-#line 11110 "preproc.y"
+#line 11105 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2031:
 
 /* Line 1455 of yacc.c  */
-#line 11112 "preproc.y"
+#line 11107 "preproc.y"
     { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2032:
 
 /* Line 1455 of yacc.c  */
-#line 11114 "preproc.y"
+#line 11109 "preproc.y"
     { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2033:
 
 /* Line 1455 of yacc.c  */
-#line 11116 "preproc.y"
+#line 11111 "preproc.y"
     { (yyval.str) = make2_str(make_str("="), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2034:
 
 /* Line 1455 of yacc.c  */
-#line 11119 "preproc.y"
+#line 11114 "preproc.y"
     {
                                         if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                 (yyval.str) = (yyvsp[(1) - (1)].str);
@@ -40921,14 +40916,14 @@
   case 2035:
 
 /* Line 1455 of yacc.c  */
-#line 11132 "preproc.y"
+#line 11127 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2036:
 
 /* Line 1455 of yacc.c  */
-#line 11140 "preproc.y"
+#line 11135 "preproc.y"
     {
 			struct cursor *ptr, *this;
 			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
@@ -40968,7 +40963,7 @@
   case 2037:
 
 /* Line 1455 of yacc.c  */
-#line 11177 "preproc.y"
+#line 11172 "preproc.y"
     { 
 			  /* execute immediate means prepare the statement and
 			   * immediately execute it */
@@ -40979,84 +40974,84 @@
   case 2039:
 
 /* Line 1455 of yacc.c  */
-#line 11187 "preproc.y"
+#line 11182 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2040:
 
 /* Line 1455 of yacc.c  */
-#line 11188 "preproc.y"
+#line 11183 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2041:
 
 /* Line 1455 of yacc.c  */
-#line 11191 "preproc.y"
+#line 11186 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2042:
 
 /* Line 1455 of yacc.c  */
-#line 11193 "preproc.y"
+#line 11188 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2043:
 
 /* Line 1455 of yacc.c  */
-#line 11194 "preproc.y"
+#line 11189 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2044:
 
 /* Line 1455 of yacc.c  */
-#line 11197 "preproc.y"
+#line 11192 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2045:
 
 /* Line 1455 of yacc.c  */
-#line 11198 "preproc.y"
+#line 11193 "preproc.y"
     { (yyval.str) = make_str("year to minute"); ;}
     break;
 
   case 2046:
 
 /* Line 1455 of yacc.c  */
-#line 11199 "preproc.y"
+#line 11194 "preproc.y"
     { (yyval.str) = make_str("year to second"); ;}
     break;
 
   case 2047:
 
 /* Line 1455 of yacc.c  */
-#line 11200 "preproc.y"
+#line 11195 "preproc.y"
     { (yyval.str) = make_str("day to day"); ;}
     break;
 
   case 2048:
 
 /* Line 1455 of yacc.c  */
-#line 11201 "preproc.y"
+#line 11196 "preproc.y"
     { (yyval.str) = make_str("month to month"); ;}
     break;
 
   case 2049:
 
 /* Line 1455 of yacc.c  */
-#line 11208 "preproc.y"
+#line 11203 "preproc.y"
     { fputs("/* exec sql begin declare section */", yyout); ;}
     break;
 
   case 2050:
 
 /* Line 1455 of yacc.c  */
-#line 11210 "preproc.y"
+#line 11205 "preproc.y"
     {
 			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
 			free((yyvsp[(3) - (4)].str));
@@ -41067,91 +41062,91 @@
   case 2051:
 
 /* Line 1455 of yacc.c  */
-#line 11217 "preproc.y"
+#line 11212 "preproc.y"
     {;}
     break;
 
   case 2052:
 
 /* Line 1455 of yacc.c  */
-#line 11219 "preproc.y"
+#line 11214 "preproc.y"
     {;}
     break;
 
   case 2053:
 
 /* Line 1455 of yacc.c  */
-#line 11221 "preproc.y"
+#line 11216 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2054:
 
 /* Line 1455 of yacc.c  */
-#line 11222 "preproc.y"
+#line 11217 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2055:
 
 /* Line 1455 of yacc.c  */
-#line 11223 "preproc.y"
+#line 11218 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2056:
 
 /* Line 1455 of yacc.c  */
-#line 11226 "preproc.y"
+#line 11221 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2057:
 
 /* Line 1455 of yacc.c  */
-#line 11227 "preproc.y"
+#line 11222 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2058:
 
 /* Line 1455 of yacc.c  */
-#line 11228 "preproc.y"
+#line 11223 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2059:
 
 /* Line 1455 of yacc.c  */
-#line 11229 "preproc.y"
+#line 11224 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2060:
 
 /* Line 1455 of yacc.c  */
-#line 11230 "preproc.y"
+#line 11225 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2061:
 
 /* Line 1455 of yacc.c  */
-#line 11233 "preproc.y"
+#line 11228 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2062:
 
 /* Line 1455 of yacc.c  */
-#line 11234 "preproc.y"
+#line 11229 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2063:
 
 /* Line 1455 of yacc.c  */
-#line 11238 "preproc.y"
+#line 11233 "preproc.y"
     {
 		/* reset this variable so we see if there was */
 		/* an initializer specified */
@@ -41162,7 +41157,7 @@
   case 2064:
 
 /* Line 1455 of yacc.c  */
-#line 11244 "preproc.y"
+#line 11239 "preproc.y"
     {
 		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);
 
@@ -41175,7 +41170,7 @@
   case 2065:
 
 /* Line 1455 of yacc.c  */
-#line 11254 "preproc.y"
+#line 11249 "preproc.y"
     {
 			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
 			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
@@ -41189,7 +41184,7 @@
   case 2066:
 
 /* Line 1455 of yacc.c  */
-#line 11263 "preproc.y"
+#line 11258 "preproc.y"
     {
 			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), make_str(";\n"));
 		;}
@@ -41198,7 +41193,7 @@
   case 2067:
 
 /* Line 1455 of yacc.c  */
-#line 11267 "preproc.y"
+#line 11262 "preproc.y"
     {
 			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
 			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
@@ -41212,7 +41207,7 @@
   case 2068:
 
 /* Line 1455 of yacc.c  */
-#line 11276 "preproc.y"
+#line 11271 "preproc.y"
     {
 			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), make_str(";\n"));
 		;}
@@ -41221,7 +41216,7 @@
   case 2069:
 
 /* Line 1455 of yacc.c  */
-#line 11280 "preproc.y"
+#line 11275 "preproc.y"
     {
 			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), make_str(";"));
 		;}
@@ -41230,84 +41225,84 @@
   case 2070:
 
 /* Line 1455 of yacc.c  */
-#line 11285 "preproc.y"
+#line 11280 "preproc.y"
     { (yyval.str) =cat2_str(make_str(":"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2071:
 
 /* Line 1455 of yacc.c  */
-#line 11286 "preproc.y"
+#line 11281 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2072:
 
 /* Line 1455 of yacc.c  */
-#line 11290 "preproc.y"
+#line 11285 "preproc.y"
     {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2073:
 
 /* Line 1455 of yacc.c  */
-#line 11291 "preproc.y"
+#line 11286 "preproc.y"
     {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2074:
 
 /* Line 1455 of yacc.c  */
-#line 11292 "preproc.y"
+#line 11287 "preproc.y"
     {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2075:
 
 /* Line 1455 of yacc.c  */
-#line 11295 "preproc.y"
+#line 11290 "preproc.y"
     { (yyval.str) = make_str("extern"); ;}
     break;
 
   case 2076:
 
 /* Line 1455 of yacc.c  */
-#line 11296 "preproc.y"
+#line 11291 "preproc.y"
     { (yyval.str) = make_str("static"); ;}
     break;
 
   case 2077:
 
 /* Line 1455 of yacc.c  */
-#line 11297 "preproc.y"
+#line 11292 "preproc.y"
     { (yyval.str) = make_str("register"); ;}
     break;
 
   case 2078:
 
 /* Line 1455 of yacc.c  */
-#line 11298 "preproc.y"
+#line 11293 "preproc.y"
     { (yyval.str) = make_str("auto"); ;}
     break;
 
   case 2079:
 
 /* Line 1455 of yacc.c  */
-#line 11301 "preproc.y"
+#line 11296 "preproc.y"
     { (yyval.str) = make_str("const"); ;}
     break;
 
   case 2080:
 
 /* Line 1455 of yacc.c  */
-#line 11302 "preproc.y"
+#line 11297 "preproc.y"
     { (yyval.str) = make_str("volatile"); ;}
     break;
 
   case 2081:
 
 /* Line 1455 of yacc.c  */
-#line 11306 "preproc.y"
+#line 11301 "preproc.y"
     {
 			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
 			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
@@ -41320,7 +41315,7 @@
   case 2082:
 
 /* Line 1455 of yacc.c  */
-#line 11314 "preproc.y"
+#line 11309 "preproc.y"
     {
 			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
 			(yyval.type).type_dimension = make_str("-1");
@@ -41342,7 +41337,7 @@
   case 2083:
 
 /* Line 1455 of yacc.c  */
-#line 11331 "preproc.y"
+#line 11326 "preproc.y"
     {
 			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
 			(yyval.type).type_enum = ECPGt_int;
@@ -41355,7 +41350,7 @@
   case 2084:
 
 /* Line 1455 of yacc.c  */
-#line 11339 "preproc.y"
+#line 11334 "preproc.y"
     {
 			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
 			{
@@ -41383,7 +41378,7 @@
   case 2085:
 
 /* Line 1455 of yacc.c  */
-#line 11362 "preproc.y"
+#line 11357 "preproc.y"
     {
 			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
 				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");
@@ -41486,7 +41481,7 @@
   case 2086:
 
 /* Line 1455 of yacc.c  */
-#line 11460 "preproc.y"
+#line 11455 "preproc.y"
     {
 			/* this is for named structs/unions */
 			char *name;
@@ -41523,35 +41518,35 @@
   case 2087:
 
 /* Line 1455 of yacc.c  */
-#line 11494 "preproc.y"
+#line 11489 "preproc.y"
     { (yyval.str) = cat_str(3, make_str("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2088:
 
 /* Line 1455 of yacc.c  */
-#line 11496 "preproc.y"
+#line 11491 "preproc.y"
     { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2089:
 
 /* Line 1455 of yacc.c  */
-#line 11498 "preproc.y"
+#line 11493 "preproc.y"
     { (yyval.str) = cat2_str(make_str("enum"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2090:
 
 /* Line 1455 of yacc.c  */
-#line 11502 "preproc.y"
+#line 11497 "preproc.y"
     { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); ;}
     break;
 
   case 2091:
 
 /* Line 1455 of yacc.c  */
-#line 11505 "preproc.y"
+#line 11500 "preproc.y"
     {
 			struct_member_list[struct_level++] = NULL;
 			if (struct_level >= STRUCT_DEPTH)
@@ -41563,7 +41558,7 @@
   case 2092:
 
 /* Line 1455 of yacc.c  */
-#line 11512 "preproc.y"
+#line 11507 "preproc.y"
     {
 			struct typedefs *ptr, *this;
 			struct this_type su_type;
@@ -41610,14 +41605,14 @@
   case 2093:
 
 /* Line 1455 of yacc.c  */
-#line 11555 "preproc.y"
+#line 11550 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2094:
 
 /* Line 1455 of yacc.c  */
-#line 11557 "preproc.y"
+#line 11552 "preproc.y"
     {
 			struct_member_list[struct_level++] = NULL;
 			if (struct_level >= STRUCT_DEPTH)
@@ -41628,7 +41623,7 @@
   case 2095:
 
 /* Line 1455 of yacc.c  */
-#line 11563 "preproc.y"
+#line 11558 "preproc.y"
     {
 			ECPGfree_struct_member(struct_member_list[struct_level]);
 			struct_member_list[struct_level] = NULL;
@@ -41640,7 +41635,7 @@
   case 2096:
 
 /* Line 1455 of yacc.c  */
-#line 11572 "preproc.y"
+#line 11567 "preproc.y"
     {
 			(yyval.struct_union).su = make_str("struct");
 			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
@@ -41651,7 +41646,7 @@
   case 2097:
 
 /* Line 1455 of yacc.c  */
-#line 11578 "preproc.y"
+#line 11573 "preproc.y"
     {
 			(yyval.struct_union).su = make_str("union");
 			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
@@ -41661,7 +41656,7 @@
   case 2098:
 
 /* Line 1455 of yacc.c  */
-#line 11585 "preproc.y"
+#line 11580 "preproc.y"
     {
 			ECPGstruct_sizeof = make_str(""); /* This must not be NULL to distinguish from simple types. */
 			(yyval.str) = make_str("struct");
@@ -41671,70 +41666,70 @@
   case 2099:
 
 /* Line 1455 of yacc.c  */
-#line 11589 "preproc.y"
+#line 11584 "preproc.y"
     { (yyval.str) = make_str("union"); ;}
     break;
 
   case 2100:
 
 /* Line 1455 of yacc.c  */
-#line 11592 "preproc.y"
+#line 11587 "preproc.y"
     { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
     break;
 
   case 2101:
 
 /* Line 1455 of yacc.c  */
-#line 11593 "preproc.y"
+#line 11588 "preproc.y"
     { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
     break;
 
   case 2102:
 
 /* Line 1455 of yacc.c  */
-#line 11596 "preproc.y"
+#line 11591 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_short; ;}
     break;
 
   case 2103:
 
 /* Line 1455 of yacc.c  */
-#line 11597 "preproc.y"
+#line 11592 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_short; ;}
     break;
 
   case 2104:
 
 /* Line 1455 of yacc.c  */
-#line 11598 "preproc.y"
+#line 11593 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_int; ;}
     break;
 
   case 2105:
 
 /* Line 1455 of yacc.c  */
-#line 11599 "preproc.y"
+#line 11594 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_int; ;}
     break;
 
   case 2106:
 
 /* Line 1455 of yacc.c  */
-#line 11600 "preproc.y"
+#line 11595 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_long; ;}
     break;
 
   case 2107:
 
 /* Line 1455 of yacc.c  */
-#line 11601 "preproc.y"
+#line 11596 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_long; ;}
     break;
 
   case 2108:
 
 /* Line 1455 of yacc.c  */
-#line 11603 "preproc.y"
+#line 11598 "preproc.y"
     {
 #ifdef HAVE_LONG_LONG_INT_64
 			(yyval.type_enum) = ECPGt_unsigned_long_long;
@@ -41747,7 +41742,7 @@
   case 2109:
 
 /* Line 1455 of yacc.c  */
-#line 11611 "preproc.y"
+#line 11606 "preproc.y"
     {
 #ifdef HAVE_LONG_LONG_INT_64
 			(yyval.type_enum) = ECPGt_unsigned_long_long;
@@ -41760,49 +41755,49 @@
   case 2110:
 
 /* Line 1455 of yacc.c  */
-#line 11618 "preproc.y"
+#line 11613 "preproc.y"
     { (yyval.type_enum) = ECPGt_unsigned_char; ;}
     break;
 
   case 2111:
 
 /* Line 1455 of yacc.c  */
-#line 11621 "preproc.y"
+#line 11616 "preproc.y"
     { (yyval.type_enum) = ECPGt_short; ;}
     break;
 
   case 2112:
 
 /* Line 1455 of yacc.c  */
-#line 11622 "preproc.y"
+#line 11617 "preproc.y"
     { (yyval.type_enum) = ECPGt_short; ;}
     break;
 
   case 2113:
 
 /* Line 1455 of yacc.c  */
-#line 11623 "preproc.y"
+#line 11618 "preproc.y"
     { (yyval.type_enum) = ECPGt_int; ;}
     break;
 
   case 2114:
 
 /* Line 1455 of yacc.c  */
-#line 11624 "preproc.y"
+#line 11619 "preproc.y"
     { (yyval.type_enum) = ECPGt_long; ;}
     break;
 
   case 2115:
 
 /* Line 1455 of yacc.c  */
-#line 11625 "preproc.y"
+#line 11620 "preproc.y"
     { (yyval.type_enum) = ECPGt_long; ;}
     break;
 
   case 2116:
 
 /* Line 1455 of yacc.c  */
-#line 11627 "preproc.y"
+#line 11622 "preproc.y"
     {
 #ifdef HAVE_LONG_LONG_INT_64
 			(yyval.type_enum) = ECPGt_long_long;
@@ -41815,7 +41810,7 @@
   case 2117:
 
 /* Line 1455 of yacc.c  */
-#line 11635 "preproc.y"
+#line 11630 "preproc.y"
     {
 #ifdef HAVE_LONG_LONG_INT_64
 			(yyval.type_enum) = ECPGt_long_long;
@@ -41828,42 +41823,42 @@
   case 2118:
 
 /* Line 1455 of yacc.c  */
-#line 11642 "preproc.y"
+#line 11637 "preproc.y"
     { (yyval.type_enum) = ECPGt_bool; ;}
     break;
 
   case 2119:
 
 /* Line 1455 of yacc.c  */
-#line 11643 "preproc.y"
+#line 11638 "preproc.y"
     { (yyval.type_enum) = ECPGt_char; ;}
     break;
 
   case 2120:
 
 /* Line 1455 of yacc.c  */
-#line 11644 "preproc.y"
+#line 11639 "preproc.y"
     { (yyval.type_enum) = ECPGt_double; ;}
     break;
 
   case 2123:
 
 /* Line 1455 of yacc.c  */
-#line 11652 "preproc.y"
+#line 11647 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2124:
 
 /* Line 1455 of yacc.c  */
-#line 11654 "preproc.y"
+#line 11649 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2125:
 
 /* Line 1455 of yacc.c  */
-#line 11658 "preproc.y"
+#line 11653 "preproc.y"
     {
 			struct ECPGtype * type;
 			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
@@ -41951,14 +41946,14 @@
   case 2126:
 
 /* Line 1455 of yacc.c  */
-#line 11743 "preproc.y"
+#line 11738 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2127:
 
 /* Line 1455 of yacc.c  */
-#line 11745 "preproc.y"
+#line 11740 "preproc.y"
     {
 			initializer = 1;
 			(yyval.str) = cat2_str(make_str("="), (yyvsp[(2) - (2)].str));
@@ -41968,28 +41963,28 @@
   case 2128:
 
 /* Line 1455 of yacc.c  */
-#line 11751 "preproc.y"
+#line 11746 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2129:
 
 /* Line 1455 of yacc.c  */
-#line 11752 "preproc.y"
+#line 11747 "preproc.y"
     { (yyval.str) = make_str("*"); ;}
     break;
 
   case 2130:
 
 /* Line 1455 of yacc.c  */
-#line 11753 "preproc.y"
+#line 11748 "preproc.y"
     { (yyval.str) = make_str("**"); ;}
     break;
 
   case 2131:
 
 /* Line 1455 of yacc.c  */
-#line 11760 "preproc.y"
+#line 11755 "preproc.y"
     {
 			/* this is only supported for compatibility */
 			(yyval.str) = cat_str(3, make_str("/* declare statement"), (yyvsp[(3) - (3)].str), make_str("*/"));
@@ -41999,126 +41994,126 @@
   case 2132:
 
 /* Line 1455 of yacc.c  */
-#line 11768 "preproc.y"
+#line 11763 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2133:
 
 /* Line 1455 of yacc.c  */
-#line 11771 "preproc.y"
+#line 11766 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2134:
 
 /* Line 1455 of yacc.c  */
-#line 11772 "preproc.y"
+#line 11767 "preproc.y"
     { (yyval.str) = make_str("\"CURRENT\""); ;}
     break;
 
   case 2135:
 
 /* Line 1455 of yacc.c  */
-#line 11773 "preproc.y"
+#line 11768 "preproc.y"
     { (yyval.str) = make_str("\"ALL\""); ;}
     break;
 
   case 2136:
 
 /* Line 1455 of yacc.c  */
-#line 11774 "preproc.y"
+#line 11769 "preproc.y"
     { (yyval.str) = make_str("\"CURRENT\""); ;}
     break;
 
   case 2137:
 
 /* Line 1455 of yacc.c  */
-#line 11777 "preproc.y"
+#line 11772 "preproc.y"
     { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
     break;
 
   case 2138:
 
 /* Line 1455 of yacc.c  */
-#line 11778 "preproc.y"
+#line 11773 "preproc.y"
     { (yyval.str) = make_str("\"DEFAULT\""); ;}
     break;
 
   case 2139:
 
 /* Line 1455 of yacc.c  */
-#line 11779 "preproc.y"
+#line 11774 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2140:
 
 /* Line 1455 of yacc.c  */
-#line 11783 "preproc.y"
+#line 11778 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2141:
 
 /* Line 1455 of yacc.c  */
-#line 11785 "preproc.y"
+#line 11780 "preproc.y"
     { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
     break;
 
   case 2142:
 
 /* Line 1455 of yacc.c  */
-#line 11792 "preproc.y"
+#line 11787 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2143:
 
 /* Line 1455 of yacc.c  */
-#line 11793 "preproc.y"
+#line 11788 "preproc.y"
     { (yyval.str) = make_str("all"); ;}
     break;
 
   case 2144:
 
 /* Line 1455 of yacc.c  */
-#line 11799 "preproc.y"
+#line 11794 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (3)].str); ;}
     break;
 
   case 2145:
 
 /* Line 1455 of yacc.c  */
-#line 11801 "preproc.y"
+#line 11796 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2146:
 
 /* Line 1455 of yacc.c  */
-#line 11802 "preproc.y"
+#line 11797 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2147:
 
 /* Line 1455 of yacc.c  */
-#line 11805 "preproc.y"
+#line 11800 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2148:
 
 /* Line 1455 of yacc.c  */
-#line 11806 "preproc.y"
+#line 11801 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2149:
 
 /* Line 1455 of yacc.c  */
-#line 11810 "preproc.y"
+#line 11805 "preproc.y"
     {
 			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
 			(yyval.str) = EMPTY;
@@ -42128,7 +42123,7 @@
   case 2150:
 
 /* Line 1455 of yacc.c  */
-#line 11817 "preproc.y"
+#line 11812 "preproc.y"
     {
 			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
 			(yyval.str) = EMPTY;
@@ -42138,7 +42133,7 @@
   case 2155:
 
 /* Line 1455 of yacc.c  */
-#line 11828 "preproc.y"
+#line 11823 "preproc.y"
     {
 			char *length = mm_alloc(32);
 
@@ -42150,84 +42145,84 @@
   case 2156:
 
 /* Line 1455 of yacc.c  */
-#line 11834 "preproc.y"
+#line 11829 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2157:
 
 /* Line 1455 of yacc.c  */
-#line 11835 "preproc.y"
+#line 11830 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2158:
 
 /* Line 1455 of yacc.c  */
-#line 11838 "preproc.y"
+#line 11833 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2159:
 
 /* Line 1455 of yacc.c  */
-#line 11839 "preproc.y"
+#line 11834 "preproc.y"
     { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2160:
 
 /* Line 1455 of yacc.c  */
-#line 11840 "preproc.y"
+#line 11835 "preproc.y"
     { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2161:
 
 /* Line 1455 of yacc.c  */
-#line 11841 "preproc.y"
+#line 11836 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2162:
 
 /* Line 1455 of yacc.c  */
-#line 11842 "preproc.y"
+#line 11837 "preproc.y"
     { (yyval.str) = cat_str(2, make_str("+"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2163:
 
 /* Line 1455 of yacc.c  */
-#line 11843 "preproc.y"
+#line 11838 "preproc.y"
     { (yyval.str) = cat_str(2, make_str("-"), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2164:
 
 /* Line 1455 of yacc.c  */
-#line 11844 "preproc.y"
+#line 11839 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2165:
 
 /* Line 1455 of yacc.c  */
-#line 11845 "preproc.y"
+#line 11840 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2166:
 
 /* Line 1455 of yacc.c  */
-#line 11846 "preproc.y"
+#line 11841 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2167:
 
 /* Line 1455 of yacc.c  */
-#line 11853 "preproc.y"
+#line 11848 "preproc.y"
     {
 		const char *con = connection ? connection : "NULL";
 		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
@@ -42239,7 +42234,7 @@
   case 2168:
 
 /* Line 1455 of yacc.c  */
-#line 11860 "preproc.y"
+#line 11855 "preproc.y"
     {
 		const char *con = connection ? connection : "NULL";
 		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
@@ -42251,7 +42246,7 @@
   case 2169:
 
 /* Line 1455 of yacc.c  */
-#line 11867 "preproc.y"
+#line 11862 "preproc.y"
     {
 		const char *con = connection ? connection : "NULL";
 		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
@@ -42263,21 +42258,21 @@
   case 2170:
 
 /* Line 1455 of yacc.c  */
-#line 11875 "preproc.y"
+#line 11870 "preproc.y"
     { (yyval.str) = make_str("output"); ;}
     break;
 
   case 2171:
 
 /* Line 1455 of yacc.c  */
-#line 11876 "preproc.y"
+#line 11871 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2172:
 
 /* Line 1455 of yacc.c  */
-#line 11889 "preproc.y"
+#line 11884 "preproc.y"
     {
 			add_descriptor((yyvsp[(3) - (3)].str),connection);
 			(yyval.str) = (yyvsp[(3) - (3)].str);
@@ -42287,7 +42282,7 @@
   case 2173:
 
 /* Line 1455 of yacc.c  */
-#line 11900 "preproc.y"
+#line 11895 "preproc.y"
     {
 			drop_descriptor((yyvsp[(3) - (3)].str),connection);
 			(yyval.str) = (yyvsp[(3) - (3)].str);
@@ -42297,28 +42292,28 @@
   case 2174:
 
 /* Line 1455 of yacc.c  */
-#line 11911 "preproc.y"
+#line 11906 "preproc.y"
     {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
     break;
 
   case 2177:
 
 /* Line 1455 of yacc.c  */
+#line 11914 "preproc.y"
+    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
+    break;
+
+  case 2178:
+
+/* Line 1455 of yacc.c  */
 #line 11919 "preproc.y"
-    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
-    break;
-
-  case 2178:
-
-/* Line 1455 of yacc.c  */
-#line 11924 "preproc.y"
     { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
     break;
 
   case 2181:
 
 /* Line 1455 of yacc.c  */
-#line 11932 "preproc.y"
+#line 11927 "preproc.y"
     {
 			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
 		;}
@@ -42327,7 +42322,7 @@
   case 2182:
 
 /* Line 1455 of yacc.c  */
-#line 11938 "preproc.y"
+#line 11933 "preproc.y"
     {
                         char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
 
@@ -42340,42 +42335,42 @@
   case 2183:
 
 /* Line 1455 of yacc.c  */
-#line 11945 "preproc.y"
+#line 11940 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2184:
 
 /* Line 1455 of yacc.c  */
-#line 11948 "preproc.y"
+#line 11943 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_count; ;}
     break;
 
   case 2185:
 
 /* Line 1455 of yacc.c  */
-#line 11956 "preproc.y"
+#line 11951 "preproc.y"
     {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
     break;
 
   case 2188:
 
 /* Line 1455 of yacc.c  */
-#line 11963 "preproc.y"
+#line 11958 "preproc.y"
     { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
     break;
 
   case 2189:
 
 /* Line 1455 of yacc.c  */
-#line 11967 "preproc.y"
+#line 11962 "preproc.y"
     {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
     break;
 
   case 2192:
 
 /* Line 1455 of yacc.c  */
-#line 11975 "preproc.y"
+#line 11970 "preproc.y"
     {
 			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
 		;}
@@ -42384,7 +42379,7 @@
   case 2193:
 
 /* Line 1455 of yacc.c  */
-#line 11981 "preproc.y"
+#line 11976 "preproc.y"
     {
                         char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
 
@@ -42397,14 +42392,14 @@
   case 2194:
 
 /* Line 1455 of yacc.c  */
-#line 11988 "preproc.y"
+#line 11983 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2195:
 
 /* Line 1455 of yacc.c  */
-#line 11990 "preproc.y"
+#line 11985 "preproc.y"
     {
                         char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                         char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));
@@ -42418,7 +42413,7 @@
   case 2196:
 
 /* Line 1455 of yacc.c  */
-#line 11999 "preproc.y"
+#line 11994 "preproc.y"
     {
                         char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                         char *var = cat2_str(make_str("-"), (yyvsp[(2) - (2)].str));
@@ -42432,7 +42427,7 @@
   case 2197:
 
 /* Line 1455 of yacc.c  */
-#line 12008 "preproc.y"
+#line 12003 "preproc.y"
     {
                         char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                         char *var = (yyvsp[(1) - (1)].str) + 1;
@@ -42447,161 +42442,161 @@
   case 2198:
 
 /* Line 1455 of yacc.c  */
-#line 12019 "preproc.y"
+#line 12014 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_cardinality; ;}
     break;
 
   case 2199:
 
 /* Line 1455 of yacc.c  */
-#line 12020 "preproc.y"
+#line 12015 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_data; ;}
     break;
 
   case 2200:
 
 /* Line 1455 of yacc.c  */
-#line 12021 "preproc.y"
+#line 12016 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_di_code; ;}
     break;
 
   case 2201:
 
 /* Line 1455 of yacc.c  */
-#line 12022 "preproc.y"
+#line 12017 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_di_precision; ;}
     break;
 
   case 2202:
 
 /* Line 1455 of yacc.c  */
-#line 12023 "preproc.y"
+#line 12018 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_indicator; ;}
     break;
 
   case 2203:
 
 /* Line 1455 of yacc.c  */
-#line 12024 "preproc.y"
+#line 12019 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_key_member; ;}
     break;
 
   case 2204:
 
 /* Line 1455 of yacc.c  */
-#line 12025 "preproc.y"
+#line 12020 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_length; ;}
     break;
 
   case 2205:
 
 /* Line 1455 of yacc.c  */
-#line 12026 "preproc.y"
+#line 12021 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_name; ;}
     break;
 
   case 2206:
 
 /* Line 1455 of yacc.c  */
-#line 12027 "preproc.y"
+#line 12022 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_nullable; ;}
     break;
 
   case 2207:
 
 /* Line 1455 of yacc.c  */
-#line 12028 "preproc.y"
+#line 12023 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_octet; ;}
     break;
 
   case 2208:
 
 /* Line 1455 of yacc.c  */
-#line 12029 "preproc.y"
+#line 12024 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_precision; ;}
     break;
 
   case 2209:
 
 /* Line 1455 of yacc.c  */
-#line 12030 "preproc.y"
+#line 12025 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_length; ;}
     break;
 
   case 2210:
 
 /* Line 1455 of yacc.c  */
-#line 12031 "preproc.y"
+#line 12026 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
     break;
 
   case 2211:
 
 /* Line 1455 of yacc.c  */
-#line 12032 "preproc.y"
+#line 12027 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_scale; ;}
     break;
 
   case 2212:
 
 /* Line 1455 of yacc.c  */
-#line 12033 "preproc.y"
+#line 12028 "preproc.y"
     { (yyval.dtype_enum) = ECPGd_type; ;}
     break;
 
   case 2213:
 
 /* Line 1455 of yacc.c  */
-#line 12040 "preproc.y"
+#line 12035 "preproc.y"
     { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
     break;
 
   case 2214:
 
 /* Line 1455 of yacc.c  */
-#line 12041 "preproc.y"
+#line 12036 "preproc.y"
     { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
     break;
 
   case 2215:
 
 /* Line 1455 of yacc.c  */
-#line 12044 "preproc.y"
+#line 12039 "preproc.y"
     { (yyval.str) = make_str("on"); ;}
     break;
 
   case 2216:
 
 /* Line 1455 of yacc.c  */
-#line 12045 "preproc.y"
+#line 12040 "preproc.y"
     { (yyval.str) = make_str("off"); ;}
     break;
 
   case 2217:
 
 /* Line 1455 of yacc.c  */
-#line 12052 "preproc.y"
+#line 12047 "preproc.y"
     { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
     break;
 
   case 2218:
 
 /* Line 1455 of yacc.c  */
-#line 12053 "preproc.y"
+#line 12048 "preproc.y"
     { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
     break;
 
   case 2219:
 
 /* Line 1455 of yacc.c  */
-#line 12054 "preproc.y"
+#line 12049 "preproc.y"
     { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
     break;
 
   case 2220:
 
 /* Line 1455 of yacc.c  */
-#line 12061 "preproc.y"
+#line 12056 "preproc.y"
     {
 			/* reset this variable so we see if there was */
 			/* an initializer specified */
@@ -42612,7 +42607,7 @@
   case 2221:
 
 /* Line 1455 of yacc.c  */
-#line 12067 "preproc.y"
+#line 12062 "preproc.y"
     {
 			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);
 
@@ -42626,21 +42621,21 @@
   case 2222:
 
 /* Line 1455 of yacc.c  */
-#line 12077 "preproc.y"
+#line 12072 "preproc.y"
     { (yyval.str) = make_str("reference"); ;}
     break;
 
   case 2223:
 
 /* Line 1455 of yacc.c  */
-#line 12078 "preproc.y"
+#line 12073 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2224:
 
 /* Line 1455 of yacc.c  */
-#line 12085 "preproc.y"
+#line 12080 "preproc.y"
     {
 			/* reset this variable so we see if there was */
 			/* an initializer specified */
@@ -42651,7 +42646,7 @@
   case 2225:
 
 /* Line 1455 of yacc.c  */
-#line 12091 "preproc.y"
+#line 12086 "preproc.y"
     {
 			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
 			char *dimension = (yyvsp[(6) - (7)].index).index1;
@@ -42713,7 +42708,7 @@
   case 2226:
 
 /* Line 1455 of yacc.c  */
-#line 12154 "preproc.y"
+#line 12149 "preproc.y"
     {
 			when_error.code = (yyvsp[(3) - (3)].action).code;
 			when_error.command = (yyvsp[(3) - (3)].action).command;
@@ -42724,7 +42719,7 @@
   case 2227:
 
 /* Line 1455 of yacc.c  */
-#line 12160 "preproc.y"
+#line 12155 "preproc.y"
     {
 			when_nf.code = (yyvsp[(4) - (4)].action).code;
 			when_nf.command = (yyvsp[(4) - (4)].action).command;
@@ -42735,7 +42730,7 @@
   case 2228:
 
 /* Line 1455 of yacc.c  */
-#line 12166 "preproc.y"
+#line 12161 "preproc.y"
     {
 			when_warn.code = (yyvsp[(3) - (3)].action).code;
 			when_warn.command = (yyvsp[(3) - (3)].action).command;
@@ -42746,7 +42741,7 @@
   case 2229:
 
 /* Line 1455 of yacc.c  */
-#line 12174 "preproc.y"
+#line 12169 "preproc.y"
     {
 			(yyval.action).code = W_NOTHING;
 			(yyval.action).command = NULL;
@@ -42757,7 +42752,7 @@
   case 2230:
 
 /* Line 1455 of yacc.c  */
-#line 12180 "preproc.y"
+#line 12175 "preproc.y"
     {
 			(yyval.action).code = W_SQLPRINT;
 			(yyval.action).command = NULL;
@@ -42768,7 +42763,7 @@
   case 2231:
 
 /* Line 1455 of yacc.c  */
-#line 12186 "preproc.y"
+#line 12181 "preproc.y"
     {
 			(yyval.action).code = W_STOP;
 			(yyval.action).command = NULL;
@@ -42779,7 +42774,7 @@
   case 2232:
 
 /* Line 1455 of yacc.c  */
-#line 12192 "preproc.y"
+#line 12187 "preproc.y"
     {
 			(yyval.action).code = W_GOTO;
 			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
@@ -42790,7 +42785,7 @@
   case 2233:
 
 /* Line 1455 of yacc.c  */
-#line 12198 "preproc.y"
+#line 12193 "preproc.y"
     {
 			(yyval.action).code = W_GOTO;
 			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
@@ -42801,7 +42796,7 @@
   case 2234:
 
 /* Line 1455 of yacc.c  */
-#line 12204 "preproc.y"
+#line 12199 "preproc.y"
     {
 			(yyval.action).code = W_DO;
 			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
@@ -42812,7 +42807,7 @@
   case 2235:
 
 /* Line 1455 of yacc.c  */
-#line 12210 "preproc.y"
+#line 12205 "preproc.y"
     {
 			(yyval.action).code = W_BREAK;
 			(yyval.action).command = NULL;
@@ -42823,7 +42818,7 @@
   case 2236:
 
 /* Line 1455 of yacc.c  */
-#line 12216 "preproc.y"
+#line 12211 "preproc.y"
     {
 			(yyval.action).code = W_DO;
 			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), make_str("("), (yyvsp[(4) - (5)].str), make_str(")"));
@@ -42834,7 +42829,7 @@
   case 2237:
 
 /* Line 1455 of yacc.c  */
-#line 12222 "preproc.y"
+#line 12217 "preproc.y"
     {
 			(yyval.action).code = W_DO;
 			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), make_str("()"));
@@ -42845,686 +42840,686 @@
   case 2238:
 
 /* Line 1455 of yacc.c  */
-#line 12232 "preproc.y"
+#line 12227 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2239:
 
 /* Line 1455 of yacc.c  */
-#line 12233 "preproc.y"
+#line 12228 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2240:
 
 /* Line 1455 of yacc.c  */
-#line 12236 "preproc.y"
+#line 12231 "preproc.y"
     { (yyval.str) = make_str("break"); ;}
     break;
 
   case 2241:
 
 /* Line 1455 of yacc.c  */
-#line 12237 "preproc.y"
+#line 12232 "preproc.y"
     { (yyval.str) = make_str("call"); ;}
     break;
 
   case 2242:
 
 /* Line 1455 of yacc.c  */
-#line 12238 "preproc.y"
+#line 12233 "preproc.y"
     { (yyval.str) = make_str("cardinality"); ;}
     break;
 
   case 2243:
 
 /* Line 1455 of yacc.c  */
-#line 12239 "preproc.y"
+#line 12234 "preproc.y"
     { (yyval.str) = make_str("count"); ;}
     break;
 
   case 2244:
 
 /* Line 1455 of yacc.c  */
-#line 12240 "preproc.y"
+#line 12235 "preproc.y"
     { (yyval.str) = make_str("datetime_interval_code"); ;}
     break;
 
   case 2245:
 
 /* Line 1455 of yacc.c  */
-#line 12241 "preproc.y"
+#line 12236 "preproc.y"
     { (yyval.str) = make_str("datetime_interval_precision"); ;}
     break;
 
   case 2246:
 
 /* Line 1455 of yacc.c  */
-#line 12242 "preproc.y"
+#line 12237 "preproc.y"
     { (yyval.str) = make_str("found"); ;}
     break;
 
   case 2247:
 
 /* Line 1455 of yacc.c  */
-#line 12243 "preproc.y"
+#line 12238 "preproc.y"
     { (yyval.str) = make_str("go"); ;}
     break;
 
   case 2248:
 
 /* Line 1455 of yacc.c  */
-#line 12244 "preproc.y"
+#line 12239 "preproc.y"
     { (yyval.str) = make_str("goto"); ;}
     break;
 
   case 2249:
 
 /* Line 1455 of yacc.c  */
-#line 12245 "preproc.y"
+#line 12240 "preproc.y"
     { (yyval.str) = make_str("identified"); ;}
     break;
 
   case 2250:
 
 /* Line 1455 of yacc.c  */
-#line 12246 "preproc.y"
+#line 12241 "preproc.y"
     { (yyval.str) = make_str("indicator"); ;}
     break;
 
   case 2251:
 
 /* Line 1455 of yacc.c  */
-#line 12247 "preproc.y"
+#line 12242 "preproc.y"
     { (yyval.str) = make_str("key_member"); ;}
     break;
 
   case 2252:
 
 /* Line 1455 of yacc.c  */
-#line 12248 "preproc.y"
+#line 12243 "preproc.y"
     { (yyval.str) = make_str("length"); ;}
     break;
 
   case 2253:
 
 /* Line 1455 of yacc.c  */
-#line 12249 "preproc.y"
+#line 12244 "preproc.y"
     { (yyval.str) = make_str("nullable"); ;}
     break;
 
   case 2254:
 
 /* Line 1455 of yacc.c  */
-#line 12250 "preproc.y"
+#line 12245 "preproc.y"
     { (yyval.str) = make_str("octet_length"); ;}
     break;
 
   case 2255:
 
 /* Line 1455 of yacc.c  */
-#line 12251 "preproc.y"
+#line 12246 "preproc.y"
     { (yyval.str) = make_str("returned_length"); ;}
     break;
 
   case 2256:
 
 /* Line 1455 of yacc.c  */
-#line 12252 "preproc.y"
+#line 12247 "preproc.y"
     { (yyval.str) = make_str("returned_octet_length"); ;}
     break;
 
   case 2257:
 
 /* Line 1455 of yacc.c  */
-#line 12253 "preproc.y"
+#line 12248 "preproc.y"
     { (yyval.str) = make_str("scale"); ;}
     break;
 
   case 2258:
 
 /* Line 1455 of yacc.c  */
-#line 12254 "preproc.y"
+#line 12249 "preproc.y"
     { (yyval.str) = make_str("section"); ;}
     break;
 
   case 2259:
 
 /* Line 1455 of yacc.c  */
-#line 12255 "preproc.y"
+#line 12250 "preproc.y"
     { (yyval.str) = make_str("sql"); ;}
     break;
 
   case 2260:
 
 /* Line 1455 of yacc.c  */
-#line 12256 "preproc.y"
+#line 12251 "preproc.y"
     { (yyval.str) = make_str("sqlerror"); ;}
     break;
 
   case 2261:
 
 /* Line 1455 of yacc.c  */
-#line 12257 "preproc.y"
+#line 12252 "preproc.y"
     { (yyval.str) = make_str("sqlprint"); ;}
     break;
 
   case 2262:
 
 /* Line 1455 of yacc.c  */
-#line 12258 "preproc.y"
+#line 12253 "preproc.y"
     { (yyval.str) = make_str("sqlwarning"); ;}
     break;
 
   case 2263:
 
 /* Line 1455 of yacc.c  */
-#line 12259 "preproc.y"
+#line 12254 "preproc.y"
     { (yyval.str) = make_str("stop"); ;}
     break;
 
   case 2264:
 
 /* Line 1455 of yacc.c  */
-#line 12262 "preproc.y"
+#line 12257 "preproc.y"
     { (yyval.str) = make_str("connect"); ;}
     break;
 
   case 2265:
 
 /* Line 1455 of yacc.c  */
-#line 12263 "preproc.y"
+#line 12258 "preproc.y"
     { (yyval.str) = make_str("describe"); ;}
     break;
 
   case 2266:
 
 /* Line 1455 of yacc.c  */
-#line 12264 "preproc.y"
+#line 12259 "preproc.y"
     { (yyval.str) = make_str("disconnect"); ;}
     break;
 
   case 2267:
 
 /* Line 1455 of yacc.c  */
-#line 12265 "preproc.y"
+#line 12260 "preproc.y"
     { (yyval.str) = make_str("open"); ;}
     break;
 
   case 2268:
 
 /* Line 1455 of yacc.c  */
-#line 12266 "preproc.y"
+#line 12261 "preproc.y"
     { (yyval.str) = make_str("var"); ;}
     break;
 
   case 2269:
 
 /* Line 1455 of yacc.c  */
-#line 12267 "preproc.y"
+#line 12262 "preproc.y"
     { (yyval.str) = make_str("whenever"); ;}
     break;
 
   case 2270:
 
 /* Line 1455 of yacc.c  */
-#line 12271 "preproc.y"
+#line 12266 "preproc.y"
     { (yyval.str) = make_str("bool"); ;}
     break;
 
   case 2271:
 
 /* Line 1455 of yacc.c  */
-#line 12272 "preproc.y"
+#line 12267 "preproc.y"
     { (yyval.str) = make_str("long"); ;}
     break;
 
   case 2272:
 
 /* Line 1455 of yacc.c  */
-#line 12273 "preproc.y"
+#line 12268 "preproc.y"
     { (yyval.str) = make_str("output"); ;}
     break;
 
   case 2273:
 
 /* Line 1455 of yacc.c  */
-#line 12274 "preproc.y"
+#line 12269 "preproc.y"
     { (yyval.str) = make_str("short"); ;}
     break;
 
   case 2274:
 
 /* Line 1455 of yacc.c  */
-#line 12275 "preproc.y"
+#line 12270 "preproc.y"
     { (yyval.str) = make_str("struct"); ;}
     break;
 
   case 2275:
 
 /* Line 1455 of yacc.c  */
-#line 12276 "preproc.y"
+#line 12271 "preproc.y"
     { (yyval.str) = make_str("signed"); ;}
     break;
 
   case 2276:
 
 /* Line 1455 of yacc.c  */
-#line 12277 "preproc.y"
+#line 12272 "preproc.y"
     { (yyval.str) = make_str("unsigned"); ;}
     break;
 
   case 2277:
 
 /* Line 1455 of yacc.c  */
-#line 12280 "preproc.y"
+#line 12275 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2278:
 
 /* Line 1455 of yacc.c  */
-#line 12283 "preproc.y"
+#line 12278 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2279:
 
 /* Line 1455 of yacc.c  */
-#line 12284 "preproc.y"
+#line 12279 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2280:
 
 /* Line 1455 of yacc.c  */
-#line 12285 "preproc.y"
+#line 12280 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2281:
 
 /* Line 1455 of yacc.c  */
-#line 12286 "preproc.y"
+#line 12281 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2282:
 
 /* Line 1455 of yacc.c  */
-#line 12287 "preproc.y"
+#line 12282 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2283:
 
 /* Line 1455 of yacc.c  */
-#line 12288 "preproc.y"
+#line 12283 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2284:
 
 /* Line 1455 of yacc.c  */
-#line 12289 "preproc.y"
+#line 12284 "preproc.y"
     { (yyval.str) = make_str("char"); ;}
     break;
 
   case 2285:
 
 /* Line 1455 of yacc.c  */
-#line 12290 "preproc.y"
+#line 12285 "preproc.y"
     { (yyval.str) = make_str("values"); ;}
     break;
 
   case 2286:
 
 /* Line 1455 of yacc.c  */
-#line 12303 "preproc.y"
+#line 12298 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2287:
 
 /* Line 1455 of yacc.c  */
-#line 12304 "preproc.y"
+#line 12299 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2288:
 
 /* Line 1455 of yacc.c  */
-#line 12305 "preproc.y"
+#line 12300 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2289:
 
 /* Line 1455 of yacc.c  */
-#line 12306 "preproc.y"
+#line 12301 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2290:
 
 /* Line 1455 of yacc.c  */
-#line 12307 "preproc.y"
+#line 12302 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2291:
 
 /* Line 1455 of yacc.c  */
-#line 12308 "preproc.y"
+#line 12303 "preproc.y"
     { (yyval.str) = make_str("char"); ;}
     break;
 
   case 2292:
 
 /* Line 1455 of yacc.c  */
+#line 12304 "preproc.y"
+    { (yyval.str) = make_str("values"); ;}
+    break;
+
+  case 2293:
+
+/* Line 1455 of yacc.c  */
 #line 12309 "preproc.y"
-    { (yyval.str) = make_str("values"); ;}
-    break;
-
-  case 2293:
-
-/* Line 1455 of yacc.c  */
-#line 12314 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2294:
 
 /* Line 1455 of yacc.c  */
-#line 12315 "preproc.y"
+#line 12310 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2295:
 
 /* Line 1455 of yacc.c  */
-#line 12316 "preproc.y"
+#line 12311 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2296:
 
 /* Line 1455 of yacc.c  */
-#line 12317 "preproc.y"
+#line 12312 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2297:
 
 /* Line 1455 of yacc.c  */
-#line 12318 "preproc.y"
+#line 12313 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2298:
 
 /* Line 1455 of yacc.c  */
-#line 12319 "preproc.y"
+#line 12314 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2299:
 
 /* Line 1455 of yacc.c  */
-#line 12325 "preproc.y"
+#line 12320 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2300:
 
 /* Line 1455 of yacc.c  */
-#line 12326 "preproc.y"
+#line 12321 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2301:
 
 /* Line 1455 of yacc.c  */
-#line 12327 "preproc.y"
+#line 12322 "preproc.y"
     { (yyval.str) = make_str("char"); ;}
     break;
 
   case 2302:
 
 /* Line 1455 of yacc.c  */
-#line 12328 "preproc.y"
+#line 12323 "preproc.y"
     { (yyval.str) = make_str("current"); ;}
     break;
 
   case 2303:
 
 /* Line 1455 of yacc.c  */
-#line 12329 "preproc.y"
+#line 12324 "preproc.y"
     { (yyval.str) = make_str("input"); ;}
     break;
 
   case 2304:
 
 /* Line 1455 of yacc.c  */
-#line 12330 "preproc.y"
+#line 12325 "preproc.y"
     { (yyval.str) = make_str("int"); ;}
     break;
 
   case 2305:
 
 /* Line 1455 of yacc.c  */
-#line 12331 "preproc.y"
+#line 12326 "preproc.y"
     { (yyval.str) = make_str("to"); ;}
     break;
 
   case 2306:
 
 /* Line 1455 of yacc.c  */
-#line 12332 "preproc.y"
+#line 12327 "preproc.y"
     { (yyval.str) = make_str("union"); ;}
     break;
 
   case 2307:
 
 /* Line 1455 of yacc.c  */
-#line 12333 "preproc.y"
+#line 12328 "preproc.y"
     { (yyval.str) = make_str("values"); ;}
     break;
 
   case 2308:
 
 /* Line 1455 of yacc.c  */
-#line 12334 "preproc.y"
+#line 12329 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2309:
 
 /* Line 1455 of yacc.c  */
-#line 12335 "preproc.y"
+#line 12330 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2310:
 
 /* Line 1455 of yacc.c  */
-#line 12338 "preproc.y"
+#line 12333 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2311:
 
 /* Line 1455 of yacc.c  */
-#line 12339 "preproc.y"
+#line 12334 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2312:
 
 /* Line 1455 of yacc.c  */
-#line 12340 "preproc.y"
+#line 12335 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2313:
 
 /* Line 1455 of yacc.c  */
-#line 12341 "preproc.y"
+#line 12336 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2314:
 
 /* Line 1455 of yacc.c  */
-#line 12342 "preproc.y"
+#line 12337 "preproc.y"
     { (yyval.str) = make_str("connection"); ;}
     break;
 
   case 2315:
 
 /* Line 1455 of yacc.c  */
-#line 12345 "preproc.y"
+#line 12340 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2316:
 
 /* Line 1455 of yacc.c  */
-#line 12346 "preproc.y"
+#line 12341 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2317:
 
 /* Line 1455 of yacc.c  */
-#line 12347 "preproc.y"
+#line 12342 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2318:
 
 /* Line 1455 of yacc.c  */
-#line 12348 "preproc.y"
+#line 12343 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2319:
 
 /* Line 1455 of yacc.c  */
-#line 12351 "preproc.y"
+#line 12346 "preproc.y"
     { (yyval.str) = make_str("auto"); ;}
     break;
 
   case 2320:
 
 /* Line 1455 of yacc.c  */
-#line 12352 "preproc.y"
+#line 12347 "preproc.y"
     { (yyval.str) = make_str("const"); ;}
     break;
 
   case 2321:
 
 /* Line 1455 of yacc.c  */
-#line 12353 "preproc.y"
+#line 12348 "preproc.y"
     { (yyval.str) = make_str("extern"); ;}
     break;
 
   case 2322:
 
 /* Line 1455 of yacc.c  */
-#line 12354 "preproc.y"
+#line 12349 "preproc.y"
     { (yyval.str) = make_str("register"); ;}
     break;
 
   case 2323:
 
 /* Line 1455 of yacc.c  */
-#line 12355 "preproc.y"
+#line 12350 "preproc.y"
     { (yyval.str) = make_str("static"); ;}
     break;
 
   case 2324:
 
 /* Line 1455 of yacc.c  */
-#line 12356 "preproc.y"
+#line 12351 "preproc.y"
     { (yyval.str) = make_str("typedef"); ;}
     break;
 
   case 2325:
 
 /* Line 1455 of yacc.c  */
-#line 12357 "preproc.y"
+#line 12352 "preproc.y"
     { (yyval.str) = make_str("volatile"); ;}
     break;
 
   case 2326:
 
 /* Line 1455 of yacc.c  */
-#line 12374 "preproc.y"
+#line 12369 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2327:
 
 /* Line 1455 of yacc.c  */
-#line 12375 "preproc.y"
+#line 12370 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2328:
 
 /* Line 1455 of yacc.c  */
-#line 12376 "preproc.y"
+#line 12371 "preproc.y"
     { (yyval.str) = make_str("connection"); ;}
     break;
 
   case 2329:
 
 /* Line 1455 of yacc.c  */
-#line 12379 "preproc.y"
+#line 12374 "preproc.y"
     { (yyval.str) = make_str("day"); ;}
     break;
 
   case 2330:
 
 /* Line 1455 of yacc.c  */
-#line 12380 "preproc.y"
+#line 12375 "preproc.y"
     { (yyval.str) = make_str("hour"); ;}
     break;
 
   case 2331:
 
 /* Line 1455 of yacc.c  */
-#line 12381 "preproc.y"
+#line 12376 "preproc.y"
     { (yyval.str) = make_str("minute"); ;}
     break;
 
   case 2332:
 
 /* Line 1455 of yacc.c  */
-#line 12382 "preproc.y"
+#line 12377 "preproc.y"
     { (yyval.str) = make_str("month"); ;}
     break;
 
   case 2333:
 
 /* Line 1455 of yacc.c  */
-#line 12383 "preproc.y"
+#line 12378 "preproc.y"
     { (yyval.str) = make_str("second"); ;}
     break;
 
   case 2334:
 
 /* Line 1455 of yacc.c  */
-#line 12384 "preproc.y"
+#line 12379 "preproc.y"
     { (yyval.str) = make_str("year"); ;}
     break;
 
   case 2337:
 
 /* Line 1455 of yacc.c  */
-#line 12391 "preproc.y"
+#line 12386 "preproc.y"
     {
 				reset_variables();
 				pacounter = 1;
@@ -43534,35 +43529,35 @@
   case 2338:
 
 /* Line 1455 of yacc.c  */
-#line 12397 "preproc.y"
+#line 12392 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2339:
 
 /* Line 1455 of yacc.c  */
-#line 12398 "preproc.y"
+#line 12393 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2340:
 
 /* Line 1455 of yacc.c  */
-#line 12402 "preproc.y"
+#line 12397 "preproc.y"
     { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
     break;
 
   case 2341:
 
 /* Line 1455 of yacc.c  */
-#line 12404 "preproc.y"
+#line 12399 "preproc.y"
     { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
     break;
 
   case 2342:
 
 /* Line 1455 of yacc.c  */
-#line 12409 "preproc.y"
+#line 12404 "preproc.y"
     {
 			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
 				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");
@@ -43575,7 +43570,7 @@
   case 2343:
 
 /* Line 1455 of yacc.c  */
-#line 12419 "preproc.y"
+#line 12414 "preproc.y"
     {
 			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
 			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
@@ -43585,28 +43580,28 @@
   case 2344:
 
 /* Line 1455 of yacc.c  */
-#line 12425 "preproc.y"
+#line 12420 "preproc.y"
     { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2345:
 
 /* Line 1455 of yacc.c  */
-#line 12426 "preproc.y"
+#line 12421 "preproc.y"
     { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2346:
 
 /* Line 1455 of yacc.c  */
-#line 12427 "preproc.y"
+#line 12422 "preproc.y"
     { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2347:
 
 /* Line 1455 of yacc.c  */
-#line 12431 "preproc.y"
+#line 12426 "preproc.y"
     {
 			/* As long as multidimensional arrays are not implemented we have to check for those here */
 			char *ptr = (yyvsp[(1) - (1)].str);
@@ -43642,28 +43637,28 @@
   case 2348:
 
 /* Line 1455 of yacc.c  */
-#line 12463 "preproc.y"
+#line 12458 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2349:
 
 /* Line 1455 of yacc.c  */
-#line 12465 "preproc.y"
+#line 12460 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2350:
 
 /* Line 1455 of yacc.c  */
-#line 12467 "preproc.y"
+#line 12462 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2351:
 
 /* Line 1455 of yacc.c  */
-#line 12471 "preproc.y"
+#line 12466 "preproc.y"
     {
 			/* could have been input as '' or $$ */
 			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
@@ -43678,7 +43673,7 @@
   case 2352:
 
 /* Line 1455 of yacc.c  */
-#line 12481 "preproc.y"
+#line 12476 "preproc.y"
     {
 			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
 			(yyval.str)[0]='E';
@@ -43693,7 +43688,7 @@
   case 2353:
 
 /* Line 1455 of yacc.c  */
-#line 12491 "preproc.y"
+#line 12486 "preproc.y"
     {
 			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
 			(yyval.str)[0]='N';
@@ -43708,693 +43703,693 @@
   case 2354:
 
 /* Line 1455 of yacc.c  */
-#line 12500 "preproc.y"
+#line 12495 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2355:
 
 /* Line 1455 of yacc.c  */
-#line 12501 "preproc.y"
+#line 12496 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2356:
 
 /* Line 1455 of yacc.c  */
-#line 12504 "preproc.y"
+#line 12499 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2357:
 
 /* Line 1455 of yacc.c  */
-#line 12506 "preproc.y"
+#line 12501 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2358:
 
 /* Line 1455 of yacc.c  */
-#line 12507 "preproc.y"
+#line 12502 "preproc.y"
     { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
     break;
 
   case 2359:
 
 /* Line 1455 of yacc.c  */
-#line 12508 "preproc.y"
+#line 12503 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2360:
 
 /* Line 1455 of yacc.c  */
-#line 12512 "preproc.y"
+#line 12507 "preproc.y"
     { (yyval.str) = make3_str(make_str("\""), (yyvsp[(1) - (1)].str), make_str("\"")); ;}
     break;
 
   case 2361:
 
 /* Line 1455 of yacc.c  */
-#line 12514 "preproc.y"
+#line 12509 "preproc.y"
     { (yyval.str) = make3_str(make_str("("), (yyvsp[(1) - (1)].str), make_str(")")); ;}
     break;
 
   case 2362:
 
 /* Line 1455 of yacc.c  */
-#line 12521 "preproc.y"
+#line 12516 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2363:
 
 /* Line 1455 of yacc.c  */
-#line 12522 "preproc.y"
+#line 12517 "preproc.y"
     { (yyval.str) = make_str("()"); ;}
     break;
 
   case 2364:
 
 /* Line 1455 of yacc.c  */
-#line 12524 "preproc.y"
+#line 12519 "preproc.y"
     { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); ;}
     break;
 
   case 2365:
 
 /* Line 1455 of yacc.c  */
-#line 12527 "preproc.y"
+#line 12522 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2366:
 
 /* Line 1455 of yacc.c  */
-#line 12529 "preproc.y"
+#line 12524 "preproc.y"
     { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
     break;
 
   case 2367:
 
 /* Line 1455 of yacc.c  */
-#line 12532 "preproc.y"
+#line 12527 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2368:
 
 /* Line 1455 of yacc.c  */
-#line 12533 "preproc.y"
+#line 12528 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str(","), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2369:
 
 /* Line 1455 of yacc.c  */
-#line 12536 "preproc.y"
+#line 12531 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2370:
 
 /* Line 1455 of yacc.c  */
-#line 12537 "preproc.y"
+#line 12532 "preproc.y"
     { (yyval.str) = cat_str(3, make_str("{"), (yyvsp[(2) - (3)].str), make_str("}")); ;}
     break;
 
   case 2371:
 
 /* Line 1455 of yacc.c  */
-#line 12540 "preproc.y"
+#line 12535 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2372:
 
 /* Line 1455 of yacc.c  */
-#line 12541 "preproc.y"
+#line 12536 "preproc.y"
     { (yyval.str) = make_str("("); ;}
     break;
 
   case 2373:
 
 /* Line 1455 of yacc.c  */
-#line 12542 "preproc.y"
+#line 12537 "preproc.y"
     { (yyval.str) = make_str(")"); ;}
     break;
 
   case 2374:
 
 /* Line 1455 of yacc.c  */
-#line 12543 "preproc.y"
+#line 12538 "preproc.y"
     { (yyval.str) = make_str(","); ;}
     break;
 
   case 2375:
 
 /* Line 1455 of yacc.c  */
-#line 12544 "preproc.y"
+#line 12539 "preproc.y"
     { (yyval.str) = make_str(";"); ;}
     break;
 
   case 2376:
 
 /* Line 1455 of yacc.c  */
-#line 12547 "preproc.y"
+#line 12542 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2377:
 
 /* Line 1455 of yacc.c  */
-#line 12548 "preproc.y"
+#line 12543 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2378:
 
 /* Line 1455 of yacc.c  */
-#line 12549 "preproc.y"
+#line 12544 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2379:
 
 /* Line 1455 of yacc.c  */
-#line 12550 "preproc.y"
+#line 12545 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2380:
 
 /* Line 1455 of yacc.c  */
-#line 12551 "preproc.y"
+#line 12546 "preproc.y"
     { (yyval.str) = make_str("*"); ;}
     break;
 
   case 2381:
 
 /* Line 1455 of yacc.c  */
-#line 12552 "preproc.y"
+#line 12547 "preproc.y"
     { (yyval.str) = make_str("+"); ;}
     break;
 
   case 2382:
 
 /* Line 1455 of yacc.c  */
-#line 12553 "preproc.y"
+#line 12548 "preproc.y"
     { (yyval.str) = make_str("-"); ;}
     break;
 
   case 2383:
 
 /* Line 1455 of yacc.c  */
-#line 12554 "preproc.y"
+#line 12549 "preproc.y"
     { (yyval.str) = make_str("/"); ;}
     break;
 
   case 2384:
 
 /* Line 1455 of yacc.c  */
-#line 12555 "preproc.y"
+#line 12550 "preproc.y"
     { (yyval.str) = make_str("%"); ;}
     break;
 
   case 2385:
 
 /* Line 1455 of yacc.c  */
-#line 12556 "preproc.y"
+#line 12551 "preproc.y"
     { (yyval.str) = make_str("NULL"); ;}
     break;
 
   case 2386:
 
 /* Line 1455 of yacc.c  */
-#line 12557 "preproc.y"
+#line 12552 "preproc.y"
     { (yyval.str) = make_str("+="); ;}
     break;
 
   case 2387:
 
 /* Line 1455 of yacc.c  */
-#line 12558 "preproc.y"
+#line 12553 "preproc.y"
     { (yyval.str) = make_str("&&"); ;}
     break;
 
   case 2388:
 
 /* Line 1455 of yacc.c  */
-#line 12559 "preproc.y"
+#line 12554 "preproc.y"
     { (yyval.str) = make_name(); ;}
     break;
 
   case 2389:
 
 /* Line 1455 of yacc.c  */
-#line 12560 "preproc.y"
+#line 12555 "preproc.y"
     { (yyval.str) = make_str("auto"); ;}
     break;
 
   case 2390:
 
 /* Line 1455 of yacc.c  */
-#line 12561 "preproc.y"
+#line 12556 "preproc.y"
     { (yyval.str) = make_str("const"); ;}
     break;
 
   case 2391:
 
 /* Line 1455 of yacc.c  */
-#line 12562 "preproc.y"
+#line 12557 "preproc.y"
     { (yyval.str) = make_str("--"); ;}
     break;
 
   case 2392:
 
 /* Line 1455 of yacc.c  */
-#line 12563 "preproc.y"
+#line 12558 "preproc.y"
     { (yyval.str) = make_str("/="); ;}
     break;
 
   case 2393:
 
 /* Line 1455 of yacc.c  */
-#line 12564 "preproc.y"
+#line 12559 "preproc.y"
     { (yyval.str) = make_str(".*"); ;}
     break;
 
   case 2394:
 
 /* Line 1455 of yacc.c  */
-#line 12565 "preproc.y"
+#line 12560 "preproc.y"
     { (yyval.str) = make_str("=="); ;}
     break;
 
   case 2395:
 
 /* Line 1455 of yacc.c  */
-#line 12566 "preproc.y"
+#line 12561 "preproc.y"
     { (yyval.str) = make_str("extern"); ;}
     break;
 
   case 2396:
 
 /* Line 1455 of yacc.c  */
-#line 12567 "preproc.y"
+#line 12562 "preproc.y"
     { (yyval.str) = make_str("++"); ;}
     break;
 
   case 2397:
 
 /* Line 1455 of yacc.c  */
-#line 12568 "preproc.y"
+#line 12563 "preproc.y"
     { (yyval.str) = make_str("<<"); ;}
     break;
 
   case 2398:
 
 /* Line 1455 of yacc.c  */
-#line 12569 "preproc.y"
+#line 12564 "preproc.y"
     { (yyval.str) = make_str("->"); ;}
     break;
 
   case 2399:
 
 /* Line 1455 of yacc.c  */
-#line 12570 "preproc.y"
+#line 12565 "preproc.y"
     { (yyval.str) = make_str("->*"); ;}
     break;
 
   case 2400:
 
 /* Line 1455 of yacc.c  */
-#line 12571 "preproc.y"
+#line 12566 "preproc.y"
     { (yyval.str) = make_str("%="); ;}
     break;
 
   case 2401:
 
 /* Line 1455 of yacc.c  */
-#line 12572 "preproc.y"
+#line 12567 "preproc.y"
     { (yyval.str) = make_str("*="); ;}
     break;
 
   case 2402:
 
 /* Line 1455 of yacc.c  */
-#line 12573 "preproc.y"
+#line 12568 "preproc.y"
     { (yyval.str) = make_str("!="); ;}
     break;
 
   case 2403:
 
 /* Line 1455 of yacc.c  */
-#line 12574 "preproc.y"
+#line 12569 "preproc.y"
     { (yyval.str) = make_str("||"); ;}
     break;
 
   case 2404:
 
 /* Line 1455 of yacc.c  */
-#line 12575 "preproc.y"
+#line 12570 "preproc.y"
     { (yyval.str) = make_str("register"); ;}
     break;
 
   case 2405:
 
 /* Line 1455 of yacc.c  */
-#line 12576 "preproc.y"
+#line 12571 "preproc.y"
     { (yyval.str) = make_str(">>"); ;}
     break;
 
   case 2406:
 
 /* Line 1455 of yacc.c  */
-#line 12577 "preproc.y"
+#line 12572 "preproc.y"
     { (yyval.str) = make_str("static"); ;}
     break;
 
   case 2407:
 
 /* Line 1455 of yacc.c  */
-#line 12578 "preproc.y"
+#line 12573 "preproc.y"
     { (yyval.str) = make_str("-="); ;}
     break;
 
   case 2408:
 
 /* Line 1455 of yacc.c  */
-#line 12579 "preproc.y"
+#line 12574 "preproc.y"
     { (yyval.str) = make_str("typedef"); ;}
     break;
 
   case 2409:
 
 /* Line 1455 of yacc.c  */
-#line 12580 "preproc.y"
+#line 12575 "preproc.y"
     { (yyval.str) = make_str("volatile"); ;}
     break;
 
   case 2410:
 
 /* Line 1455 of yacc.c  */
-#line 12581 "preproc.y"
+#line 12576 "preproc.y"
     { (yyval.str) = make_str("bool"); ;}
     break;
 
   case 2411:
 
 /* Line 1455 of yacc.c  */
-#line 12582 "preproc.y"
+#line 12577 "preproc.y"
     { (yyval.str) = make_str("enum"); ;}
     break;
 
   case 2412:
 
 /* Line 1455 of yacc.c  */
-#line 12583 "preproc.y"
+#line 12578 "preproc.y"
     { (yyval.str) = make_str("hour"); ;}
     break;
 
   case 2413:
 
 /* Line 1455 of yacc.c  */
-#line 12584 "preproc.y"
+#line 12579 "preproc.y"
     { (yyval.str) = make_str("int"); ;}
     break;
 
   case 2414:
 
 /* Line 1455 of yacc.c  */
-#line 12585 "preproc.y"
+#line 12580 "preproc.y"
     { (yyval.str) = make_str("long"); ;}
     break;
 
   case 2415:
 
 /* Line 1455 of yacc.c  */
-#line 12586 "preproc.y"
+#line 12581 "preproc.y"
     { (yyval.str) = make_str("minute"); ;}
     break;
 
   case 2416:
 
 /* Line 1455 of yacc.c  */
-#line 12587 "preproc.y"
+#line 12582 "preproc.y"
     { (yyval.str) = make_str("month"); ;}
     break;
 
   case 2417:
 
 /* Line 1455 of yacc.c  */
-#line 12588 "preproc.y"
+#line 12583 "preproc.y"
     { (yyval.str) = make_str("second"); ;}
     break;
 
   case 2418:
 
 /* Line 1455 of yacc.c  */
-#line 12589 "preproc.y"
+#line 12584 "preproc.y"
     { (yyval.str) = make_str("short"); ;}
     break;
 
   case 2419:
 
 /* Line 1455 of yacc.c  */
-#line 12590 "preproc.y"
+#line 12585 "preproc.y"
     { (yyval.str) = make_str("signed"); ;}
     break;
 
   case 2420:
 
 /* Line 1455 of yacc.c  */
-#line 12591 "preproc.y"
+#line 12586 "preproc.y"
     { (yyval.str) = make_str("struct"); ;}
     break;
 
   case 2421:
 
 /* Line 1455 of yacc.c  */
-#line 12592 "preproc.y"
+#line 12587 "preproc.y"
     { (yyval.str) = make_str("unsigned"); ;}
     break;
 
   case 2422:
 
 /* Line 1455 of yacc.c  */
-#line 12593 "preproc.y"
+#line 12588 "preproc.y"
     { (yyval.str) = make_str("year"); ;}
     break;
 
   case 2423:
 
 /* Line 1455 of yacc.c  */
-#line 12594 "preproc.y"
+#line 12589 "preproc.y"
     { (yyval.str) = make_str("char"); ;}
     break;
 
   case 2424:
 
 /* Line 1455 of yacc.c  */
-#line 12595 "preproc.y"
+#line 12590 "preproc.y"
     { (yyval.str) = make_str("float"); ;}
     break;
 
   case 2425:
 
 /* Line 1455 of yacc.c  */
-#line 12596 "preproc.y"
+#line 12591 "preproc.y"
     { (yyval.str) = make_str("to"); ;}
     break;
 
   case 2426:
 
 /* Line 1455 of yacc.c  */
-#line 12597 "preproc.y"
+#line 12592 "preproc.y"
     { (yyval.str) = make_str("union"); ;}
     break;
 
   case 2427:
 
 /* Line 1455 of yacc.c  */
-#line 12598 "preproc.y"
+#line 12593 "preproc.y"
     { (yyval.str) = make_str("varchar"); ;}
     break;
 
   case 2428:
 
 /* Line 1455 of yacc.c  */
-#line 12599 "preproc.y"
+#line 12594 "preproc.y"
     { (yyval.str) = make_str("["); ;}
     break;
 
   case 2429:
 
 /* Line 1455 of yacc.c  */
-#line 12600 "preproc.y"
+#line 12595 "preproc.y"
     { (yyval.str) = make_str("]"); ;}
     break;
 
   case 2430:
 
 /* Line 1455 of yacc.c  */
-#line 12601 "preproc.y"
+#line 12596 "preproc.y"
     { (yyval.str) = make_str("="); ;}
     break;
 
   case 2431:
 
 /* Line 1455 of yacc.c  */
-#line 12602 "preproc.y"
+#line 12597 "preproc.y"
     { (yyval.str) = make_str(":"); ;}
     break;
 
   case 2432:
 
 /* Line 1455 of yacc.c  */
-#line 12605 "preproc.y"
+#line 12600 "preproc.y"
     { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
     break;
 
   case 2433:
 
 /* Line 1455 of yacc.c  */
-#line 12606 "preproc.y"
+#line 12601 "preproc.y"
     { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
     break;
 
   case 2434:
 
 /* Line 1455 of yacc.c  */
-#line 12607 "preproc.y"
+#line 12602 "preproc.y"
     { (yyval.str) = make_str("all"); ;}
     break;
 
   case 2435:
 
 /* Line 1455 of yacc.c  */
-#line 12608 "preproc.y"
+#line 12603 "preproc.y"
     { (yyval.str) = make_str("all"); ;}
     break;
 
   case 2436:
 
 /* Line 1455 of yacc.c  */
-#line 12611 "preproc.y"
+#line 12606 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2437:
 
 /* Line 1455 of yacc.c  */
-#line 12612 "preproc.y"
+#line 12607 "preproc.y"
     { (yyval.str) = cat_str(3, make_str("("), (yyvsp[(2) - (3)].str), make_str(")")); ;}
     break;
 
   case 2438:
 
 /* Line 1455 of yacc.c  */
-#line 12613 "preproc.y"
+#line 12608 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("+"), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2439:
 
 /* Line 1455 of yacc.c  */
-#line 12614 "preproc.y"
+#line 12609 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("-"), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2440:
 
 /* Line 1455 of yacc.c  */
-#line 12615 "preproc.y"
+#line 12610 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("*"), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2441:
 
 /* Line 1455 of yacc.c  */
-#line 12616 "preproc.y"
+#line 12611 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("/"), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2442:
 
 /* Line 1455 of yacc.c  */
-#line 12617 "preproc.y"
+#line 12612 "preproc.y"
     { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), make_str("%"), (yyvsp[(3) - (3)].str)); ;}
     break;
 
   case 2443:
 
 /* Line 1455 of yacc.c  */
-#line 12618 "preproc.y"
+#line 12613 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2444:
 
 /* Line 1455 of yacc.c  */
-#line 12619 "preproc.y"
+#line 12614 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
   case 2445:
 
 /* Line 1455 of yacc.c  */
-#line 12622 "preproc.y"
+#line 12617 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2446:
 
 /* Line 1455 of yacc.c  */
-#line 12623 "preproc.y"
+#line 12618 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2447:
 
 /* Line 1455 of yacc.c  */
-#line 12624 "preproc.y"
+#line 12619 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2448:
 
 /* Line 1455 of yacc.c  */
-#line 12625 "preproc.y"
+#line 12620 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2449:
 
 /* Line 1455 of yacc.c  */
-#line 12626 "preproc.y"
+#line 12621 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2450:
 
 /* Line 1455 of yacc.c  */
-#line 12629 "preproc.y"
+#line 12624 "preproc.y"
     { (yyval.str) = EMPTY; ;}
     break;
 
   case 2451:
 
 /* Line 1455 of yacc.c  */
-#line 12630 "preproc.y"
+#line 12625 "preproc.y"
     { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
     break;
 
 
 
 /* Line 1455 of yacc.c  */
-#line 44398 "preproc.c"
+#line 44393 "preproc.c"
       default: break;
     }
   YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);
@@ -44613,7 +44608,7 @@
 
 
 /* Line 1675 of yacc.c  */
-#line 12633 "preproc.y"
+#line 12628 "preproc.y"
 
 
 void base_yyerror(const char *error)

=== modified file 'src/interfaces/ecpg/preproc/preproc.y'
--- src/interfaces/ecpg/preproc/preproc.y	2010-10-05 20:41:08 +0000
+++ src/interfaces/ecpg/preproc/preproc.y	2012-02-25 11:17:15 +0000
@@ -1300,9 +1300,6 @@
  { output_statement($1, 0, ECPGst_normal); }
 |  DeallocateStmt
 	{
-		if (connection)
-			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DEALLOCATE statement");
-
 		output_deallocate_prepare_statement($1);
 	}
 |  DeclareCursorStmt
@@ -1440,8 +1437,6 @@
 	}
 	| ECPGDeallocateDescr
 	{
-		if (connection)
-			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DEALLOCATE statement");
 		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",$1);
 		whenever_action(0);
 		free($1);

=== modified file 'src/interfaces/libpq/fe-secure.c'
--- src/interfaces/libpq/fe-secure.c	2011-09-25 14:23:57 +0000
+++ src/interfaces/libpq/fe-secure.c	2012-02-25 11:17:15 +0000
@@ -675,6 +675,11 @@
 static bool
 verify_peer_name_matches_certificate(PGconn *conn)
 {
+	char	   *peer_cn;
+	int			r;
+	int			len;
+	bool		result;
+
 	/*
 	 * If told not to verify the peer name, don't do it. Return true indicating
 	 * that the verification was successful.
@@ -682,33 +687,81 @@
 	if (strcmp(conn->sslmode, "verify-full") != 0)
 		return true;
 
+	/*
+	 * Extract the common name from the certificate.
+	 *
+	 * XXX: Should support alternate names here
+	 */
+	/* First find out the name's length and allocate a buffer for it. */
+	len = X509_NAME_get_text_by_NID(X509_get_subject_name(conn->peer),
+									NID_commonName, NULL, 0);
+	if (len == -1)
+	{
+		printfPQExpBuffer(&conn->errorMessage,
+						  libpq_gettext("could not get server common name from server certificate\n"));
+		return false;
+	}
+	peer_cn = malloc(len + 1);
+	if (peer_cn == NULL)
+	{
+		printfPQExpBuffer(&conn->errorMessage,
+						  libpq_gettext("out of memory\n"));
+		return false;
+	}
+
+	r = X509_NAME_get_text_by_NID(X509_get_subject_name(conn->peer),
+								  NID_commonName, peer_cn, len + 1);
+	if (r != len)
+	{
+		/* Got different length than on the first call. Shouldn't happen. */
+		printfPQExpBuffer(&conn->errorMessage,
+						  libpq_gettext("could not get server common name from server certificate\n"));
+		free(peer_cn);
+		return false;
+	}
+	peer_cn[len] = '\0';
+
+	/*
+	 * Reject embedded NULLs in certificate common name to prevent attacks
+	 * like CVE-2009-4034.
+	 */
+	if (len != strlen(peer_cn))
+	{
+		printfPQExpBuffer(&conn->errorMessage,
+						  libpq_gettext("SSL certificate's common name contains embedded null\n"));
+		free(peer_cn);
+		return false;
+	}
+
+	/*
+	 * We got the peer's common name. Now compare it against the originally
+	 * given hostname.
+	 */
 	if (!(conn->pghost && conn->pghost[0] != '\0'))
 	{
 		printfPQExpBuffer(&conn->errorMessage,
 						  libpq_gettext("host name must be specified for a verified SSL connection\n"));
-		return false;
+		result = false;
 	}
 	else
 	{
-		/*
-		 * Connect by hostname.
-		 *
-		 * XXX: Should support alternate names here
-		 */
-		if (pg_strcasecmp(conn->peer_cn, conn->pghost) == 0)
+		if (pg_strcasecmp(peer_cn, conn->pghost) == 0)
 			/* Exact name match */
-			return true;
-		else if (wildcard_certificate_match(conn->peer_cn, conn->pghost))
+			result = true;
+		else if (wildcard_certificate_match(peer_cn, conn->pghost))
 			/* Matched wildcard certificate */
-			return true;
+			result = true;
 		else
 		{
 			printfPQExpBuffer(&conn->errorMessage,
 							  libpq_gettext("server common name \"%s\" does not match host name \"%s\"\n"),
-							  conn->peer_cn, conn->pghost);
-			return false;
+							  peer_cn, conn->pghost);
+			result = false;
 		}
 	}
+
+	free(peer_cn);
+	return result;
 }
 
 /*
@@ -1337,7 +1390,7 @@
 	 * SSL_CTX_set_verify() if root.crt exists.
 	 */
 
-	/* pull out server distinguished and common names */
+	/* get server certificate */
 	conn->peer = SSL_get_peer_certificate(conn->ssl);
 	if (conn->peer == NULL)
 	{
@@ -1351,33 +1404,6 @@
 		return PGRES_POLLING_FAILED;
 	}
 
-	X509_NAME_oneline(X509_get_subject_name(conn->peer),
-					  conn->peer_dn, sizeof(conn->peer_dn));
-	conn->peer_dn[sizeof(conn->peer_dn) - 1] = '\0';
-
-	r = X509_NAME_get_text_by_NID(X509_get_subject_name(conn->peer),
-							  NID_commonName, conn->peer_cn, SM_USER);
-	conn->peer_cn[SM_USER] = '\0'; /* buffer is SM_USER+1 chars! */
-	if (r == -1)
-	{
-		/* Unable to get the CN, set it to blank so it can't be used */
-		conn->peer_cn[0] = '\0';
-	}
-	else
-	{
-		/*
-		 * Reject embedded NULLs in certificate common name to prevent attacks like
-		 * CVE-2009-4034.
-		 */
-		if (r != strlen(conn->peer_cn))
-		{
-			printfPQExpBuffer(&conn->errorMessage,
-							  libpq_gettext("SSL certificate's common name contains embedded null\n"));
-			close_SSL(conn);
-			return PGRES_POLLING_FAILED;
-		}
-	}
-
 	if (!verify_peer_name_matches_certificate(conn))
 	{
 		close_SSL(conn);

=== modified file 'src/interfaces/libpq/libpq-dist.rc'
--- src/interfaces/libpq/libpq-dist.rc	2011-12-02 14:46:33 +0000
+++ src/interfaces/libpq/libpq-dist.rc	2012-02-25 11:17:15 +0000
@@ -1,8 +1,8 @@
 #include <winver.h>
 
 VS_VERSION_INFO VERSIONINFO
- FILEVERSION 8,4,10,11337
- PRODUCTVERSION 8,4,10,11337
+ FILEVERSION 8,4,11,12054
+ PRODUCTVERSION 8,4,11,12054
  FILEFLAGSMASK 0x3fL
  FILEFLAGS 0
  FILEOS VOS__WINDOWS32
@@ -15,13 +15,13 @@
         BEGIN
             VALUE "CompanyName", "\0"
             VALUE "FileDescription", "PostgreSQL Access Library\0"
-            VALUE "FileVersion", "8.4.10\0"
+            VALUE "FileVersion", "8.4.11\0"
             VALUE "InternalName", "libpq\0"
             VALUE "LegalCopyright", "Copyright (C) 2009\0"
             VALUE "LegalTrademarks", "\0"
             VALUE "OriginalFilename", "libpq.dll\0"
             VALUE "ProductName", "PostgreSQL\0"
-            VALUE "ProductVersion", "8.4.10\0"
+            VALUE "ProductVersion", "8.4.11\0"
         END
     END
     BLOCK "VarFileInfo"

=== modified file 'src/interfaces/libpq/libpq-int.h'
--- src/interfaces/libpq/libpq-int.h	2010-10-05 20:41:08 +0000
+++ src/interfaces/libpq/libpq-int.h	2012-02-25 11:17:15 +0000
@@ -385,8 +385,6 @@
 								 * attempting normal connection */
 	SSL		   *ssl;			/* SSL status, if have SSL connection */
 	X509	   *peer;			/* X509 cert of server */
-	char		peer_dn[256 + 1];		/* peer distinguished name */
-	char		peer_cn[SM_USER + 1];	/* peer common name */
 #ifdef USE_SSL_ENGINE
 	ENGINE	   *engine;			/* SSL engine, if any */
 #else

=== modified file 'src/interfaces/libpq/libpq.rc.in'
--- src/interfaces/libpq/libpq.rc.in	2011-12-02 14:46:33 +0000
+++ src/interfaces/libpq/libpq.rc.in	2012-02-25 11:17:15 +0000
@@ -1,8 +1,8 @@
 #include <winver.h>
 
 VS_VERSION_INFO VERSIONINFO
- FILEVERSION 8,4,10,0
- PRODUCTVERSION 8,4,10,0
+ FILEVERSION 8,4,11,0
+ PRODUCTVERSION 8,4,11,0
  FILEFLAGSMASK 0x3fL
  FILEFLAGS 0
  FILEOS VOS__WINDOWS32
@@ -15,13 +15,13 @@
         BEGIN
             VALUE "CompanyName", "\0"
             VALUE "FileDescription", "PostgreSQL Access Library\0"
-            VALUE "FileVersion", "8.4.10\0"
+            VALUE "FileVersion", "8.4.11\0"
             VALUE "InternalName", "libpq\0"
             VALUE "LegalCopyright", "Copyright (C) 2009\0"
             VALUE "LegalTrademarks", "\0"
             VALUE "OriginalFilename", "libpq.dll\0"
             VALUE "ProductName", "PostgreSQL\0"
-            VALUE "ProductVersion", "8.4.10\0"
+            VALUE "ProductVersion", "8.4.11\0"
         END
     END
     BLOCK "VarFileInfo"

=== modified file 'src/interfaces/libpq/po/es.po'
--- src/interfaces/libpq/po/es.po	2011-09-25 14:23:57 +0000
+++ src/interfaces/libpq/po/es.po	2012-02-25 11:17:15 +0000
@@ -13,7 +13,7 @@
 msgstr ""
 "Project-Id-Version: libpq (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:47+0000\n"
+"POT-Creation-Date: 2012-02-22 15:00+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/pl/plperl/po/es.po'
--- src/pl/plperl/po/es.po	2011-09-25 14:23:57 +0000
+++ src/pl/plperl/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: plperl (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:43+0000\n"
+"POT-Creation-Date: 2012-02-22 14:59+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/pl/plpgsql/src/pl_exec.c'
--- src/pl/plpgsql/src/pl_exec.c	2011-04-20 15:57:49 +0000
+++ src/pl/plpgsql/src/pl_exec.c	2012-02-25 11:17:15 +0000
@@ -179,14 +179,17 @@
 static HeapTuple make_tuple_from_row(PLpgSQL_execstate *estate,
 					PLpgSQL_row *row,
 					TupleDesc tupdesc);
-static char *convert_value_to_string(Datum value, Oid valtype);
-static Datum exec_cast_value(Datum value, Oid valtype,
+static char *convert_value_to_string(PLpgSQL_execstate *estate,
+						Datum value, Oid valtype);
+static Datum exec_cast_value(PLpgSQL_execstate *estate,
+				Datum value, Oid valtype,
 				Oid reqtype,
 				FmgrInfo *reqinput,
 				Oid reqtypioparam,
 				int32 reqtypmod,
 				bool isnull);
-static Datum exec_simple_cast_value(Datum value, Oid valtype,
+static Datum exec_simple_cast_value(PLpgSQL_execstate *estate,
+					   Datum value, Oid valtype,
 					   Oid reqtype, int32 reqtypmod,
 					   bool isnull);
 static void exec_init_tuple_store(PLpgSQL_execstate *estate);
@@ -285,6 +288,8 @@
 						/* If arg is null, treat it as an empty row */
 						exec_move_row(&estate, NULL, row, NULL, NULL);
 					}
+					/* clean up after exec_move_row() */
+					exec_eval_cleanup(&estate);
 				}
 				break;
 
@@ -424,7 +429,9 @@
 		else
 		{
 			/* Cast value to proper type */
-			estate.retval = exec_cast_value(estate.retval, estate.rettype,
+			estate.retval = exec_cast_value(&estate,
+											estate.retval,
+											estate.rettype,
 											func->fn_rettype,
 											&(func->fn_retinput),
 											func->fn_rettypioparam,
@@ -1686,7 +1693,7 @@
 	 * Get the value of the lower bound
 	 */
 	value = exec_eval_expr(estate, stmt->lower, &isnull, &valtype);
-	value = exec_cast_value(value, valtype, var->datatype->typoid,
+	value = exec_cast_value(estate, value, valtype, var->datatype->typoid,
 							&(var->datatype->typinput),
 							var->datatype->typioparam,
 							var->datatype->atttypmod, isnull);
@@ -1701,7 +1708,7 @@
 	 * Get the value of the upper bound
 	 */
 	value = exec_eval_expr(estate, stmt->upper, &isnull, &valtype);
-	value = exec_cast_value(value, valtype, var->datatype->typoid,
+	value = exec_cast_value(estate, value, valtype, var->datatype->typoid,
 							&(var->datatype->typinput),
 							var->datatype->typioparam,
 							var->datatype->atttypmod, isnull);
@@ -1718,7 +1725,7 @@
 	if (stmt->step)
 	{
 		value = exec_eval_expr(estate, stmt->step, &isnull, &valtype);
-		value = exec_cast_value(value, valtype, var->datatype->typoid,
+		value = exec_cast_value(estate, value, valtype, var->datatype->typoid,
 								&(var->datatype->typinput),
 								var->datatype->typioparam,
 								var->datatype->atttypmod, isnull);
@@ -2189,7 +2196,8 @@
 						errmsg("wrong result type supplied in RETURN NEXT")));
 
 					/* coerce type if needed */
-					retval = exec_simple_cast_value(retval,
+					retval = exec_simple_cast_value(estate,
+													retval,
 													var->datatype->typoid,
 												 tupdesc->attrs[0]->atttypid,
 												tupdesc->attrs[0]->atttypmod,
@@ -2260,7 +2268,8 @@
 								&rettype);
 
 		/* coerce type if needed */
-		retval = exec_simple_cast_value(retval,
+		retval = exec_simple_cast_value(estate,
+										retval,
 										rettype,
 										tupdesc->attrs[0]->atttypid,
 										tupdesc->attrs[0]->atttypmod,
@@ -2268,8 +2277,6 @@
 
 		tuplestore_putvalues(estate->tuple_store, tupdesc,
 							 &retval, &isNull);
-
-		exec_eval_cleanup(estate);
 	}
 	else
 	{
@@ -2286,6 +2293,8 @@
 			heap_freetuple(tuple);
 	}
 
+	exec_eval_cleanup(estate);
+
 	return PLPGSQL_RC_OK;
 }
 
@@ -2468,7 +2477,9 @@
 				if (paramisnull)
 					extval = "<NULL>";
 				else
-					extval = convert_value_to_string(paramvalue, paramtypeid);
+					extval = convert_value_to_string(estate,
+													 paramvalue,
+													 paramtypeid);
 				plpgsql_dstring_append(&ds, extval);
 				current_param = lnext(current_param);
 				exec_eval_cleanup(estate);
@@ -2506,7 +2517,7 @@
 					(errcode(ERRCODE_NULL_VALUE_NOT_ALLOWED),
 					 errmsg("RAISE statement option cannot be null")));
 
-		extval = convert_value_to_string(optionvalue, optiontypeid);
+		extval = convert_value_to_string(estate, optionvalue, optiontypeid);
 
 		switch (opt->opt_type)
 		{
@@ -2921,6 +2932,7 @@
 		}
 
 		/* Clean up */
+		exec_eval_cleanup(estate);
 		SPI_freetuptable(SPI_tuptable);
 	}
 	else
@@ -2966,7 +2978,10 @@
 				 errmsg("query string argument of EXECUTE is null")));
 
 	/* Get the C-String representation */
-	querystr = convert_value_to_string(query, restype);
+	querystr = convert_value_to_string(estate, query, restype);
+
+	/* copy it out of the temporary context before we clean up */
+	querystr = pstrdup(querystr);
 
 	exec_eval_cleanup(estate);
 
@@ -3098,6 +3113,8 @@
 			/* Put the first result row into the target */
 			exec_move_row(estate, rec, row, tuptab->vals[0], tuptab->tupdesc);
 		}
+		/* clean up after exec_move_row() */
+		exec_eval_cleanup(estate);
 	}
 	else
 	{
@@ -3216,7 +3233,10 @@
 					 errmsg("query string argument of EXECUTE is null")));
 
 		/* Get the C-String representation */
-		querystr = convert_value_to_string(queryD, restype);
+		querystr = convert_value_to_string(estate, queryD, restype);
+
+		/* copy it out of the temporary context before we clean up */
+		querystr = pstrdup(querystr);
 
 		exec_eval_cleanup(estate);
 
@@ -3403,6 +3423,7 @@
 		else
 			exec_move_row(estate, rec, row, tuptab->vals[0], tuptab->tupdesc);
 
+		exec_eval_cleanup(estate);
 		SPI_freetuptable(tuptab);
 	}
 	else
@@ -3480,7 +3501,7 @@
 /* ----------
  * exec_assign_value			Put a value into a target field
  *
- * Note: in some code paths, this may leak memory in the eval_econtext;
+ * Note: in some code paths, this will leak memory in the eval_econtext;
  * we assume that will be cleaned up later by exec_eval_cleanup.  We cannot
  * call exec_eval_cleanup here for fear of destroying the input Datum value.
  * ----------
@@ -3500,7 +3521,10 @@
 				PLpgSQL_var *var = (PLpgSQL_var *) target;
 				Datum		newvalue;
 
-				newvalue = exec_cast_value(value, valtype, var->datatype->typoid,
+				newvalue = exec_cast_value(estate,
+										   value,
+										   valtype,
+										   var->datatype->typoid,
 										   &(var->datatype->typinput),
 										   var->datatype->typioparam,
 										   var->datatype->atttypmod,
@@ -3513,19 +3537,14 @@
 									var->refname)));
 
 				/*
-				 * If type is by-reference, make sure we have a freshly
-				 * palloc'd copy; the originally passed value may not live as
-				 * long as the variable!  But we don't need to re-copy if
-				 * exec_cast_value performed a conversion; its output must
-				 * already be palloc'd.
+				 * If type is by-reference, copy the new value (which is
+				 * probably in the eval_econtext) into the procedure's
+				 * memory context.
 				 */
 				if (!var->datatype->typbyval && !*isNull)
-				{
-					if (newvalue == value)
-						newvalue = datumCopy(newvalue,
-											 false,
-											 var->datatype->typlen);
-				}
+					newvalue = datumCopy(newvalue,
+										 false,
+										 var->datatype->typlen);
 
 				/*
 				 * Now free the old value.	(We can't do this any earlier
@@ -3641,7 +3660,6 @@
 				Datum	   *values;
 				bool	   *nulls;
 				bool	   *replaces;
-				void	   *mustfree;
 				bool		attisnull;
 				Oid			atttype;
 				int32		atttypmod;
@@ -3693,7 +3711,8 @@
 				atttype = SPI_gettypeid(rec->tupdesc, fno + 1);
 				atttypmod = rec->tupdesc->attrs[fno]->atttypmod;
 				attisnull = *isNull;
-				values[fno] = exec_simple_cast_value(value,
+				values[fno] = exec_simple_cast_value(estate,
+													 value,
 													 valtype,
 													 atttype,
 													 atttypmod,
@@ -3701,15 +3720,6 @@
 				nulls[fno] = attisnull;
 
 				/*
-				 * Avoid leaking the result of exec_simple_cast_value, if it
-				 * performed a conversion to a pass-by-ref type.
-				 */
-				if (!attisnull && values[fno] != value && !get_typbyval(atttype))
-					mustfree = DatumGetPointer(values[fno]);
-				else
-					mustfree = NULL;
-
-				/*
 				 * Now call heap_modify_tuple() to create a new tuple that
 				 * replaces the old one in the record.
 				 */
@@ -3725,8 +3735,6 @@
 				pfree(values);
 				pfree(nulls);
 				pfree(replaces);
-				if (mustfree)
-					pfree(mustfree);
 
 				break;
 			}
@@ -3752,6 +3760,7 @@
 				ArrayType  *oldarrayval;
 				ArrayType  *newarrayval;
 				SPITupleTable *save_eval_tuptable;
+				MemoryContext oldcontext;
 
 				/*
 				 * We need to do subscript evaluation, which might require
@@ -3835,7 +3844,8 @@
 				estate->eval_tuptable = save_eval_tuptable;
 
 				/* Coerce source value to match array element type. */
-				coerced_value = exec_simple_cast_value(value,
+				coerced_value = exec_simple_cast_value(estate,
+													   value,
 													   valtype,
 													   arrayelemtypeid,
 													   -1,
@@ -3855,6 +3865,9 @@
 					(oldarrayisnull || *isNull))
 					return;
 
+				/* oldarrayval and newarrayval should be short-lived */
+				oldcontext = MemoryContextSwitchTo(estate->eval_econtext->ecxt_per_tuple_memory);
+
 				if (oldarrayisnull)
 					oldarrayval = construct_empty_array(arrayelemtypeid);
 				else
@@ -3873,12 +3886,7 @@
 										elemtypbyval,
 										elemtypalign);
 
-				/*
-				 * Avoid leaking the result of exec_simple_cast_value, if it
-				 * performed a conversion to a pass-by-ref type.
-				 */
-				if (!*isNull && coerced_value != value && !elemtypbyval)
-					pfree(DatumGetPointer(coerced_value));
+				MemoryContextSwitchTo(oldcontext);
 
 				/*
 				 * Assign the new array to the base variable.  It's never NULL
@@ -3888,11 +3896,6 @@
 				exec_assign_value(estate, target,
 								  PointerGetDatum(newarrayval),
 								  arraytypeid, isNull);
-
-				/*
-				 * Avoid leaking the modified array value, too.
-				 */
-				pfree(newarrayval);
 				break;
 			}
 
@@ -4082,7 +4085,7 @@
 	Oid			exprtypeid;
 
 	exprdatum = exec_eval_expr(estate, expr, isNull, &exprtypeid);
-	exprdatum = exec_simple_cast_value(exprdatum, exprtypeid,
+	exprdatum = exec_simple_cast_value(estate, exprdatum, exprtypeid,
 									   INT4OID, -1,
 									   *isNull);
 	return DatumGetInt32(exprdatum);
@@ -4104,7 +4107,7 @@
 	Oid			exprtypeid;
 
 	exprdatum = exec_eval_expr(estate, expr, isNull, &exprtypeid);
-	exprdatum = exec_simple_cast_value(exprdatum, exprtypeid,
+	exprdatum = exec_simple_cast_value(estate, exprdatum, exprtypeid,
 									   BOOLOID, -1,
 									   *isNull);
 	return DatumGetBool(exprdatum);
@@ -4298,7 +4301,10 @@
 	 * through with found = false.
 	 */
 	if (n <= 0)
+	{
 		exec_move_row(estate, rec, row, NULL, tuptab->tupdesc);
+		exec_eval_cleanup(estate);
+	}
 	else
 		found = true;			/* processed at least one tuple */
 
@@ -4315,6 +4321,7 @@
 			 * Assign the tuple to the target
 			 */
 			exec_move_row(estate, rec, row, tuptab->vals[i], tuptab->tupdesc);
+			exec_eval_cleanup(estate);
 
 			/*
 			 * Execute the statements
@@ -4623,6 +4630,9 @@
 
 /* ----------
  * exec_move_row			Move one tuple's values into a record or row
+ *
+ * Since this uses exec_assign_value, caller should eventually call
+ * exec_eval_cleanup to prevent long-term memory leaks.
  * ----------
  */
 static void
@@ -4819,28 +4829,44 @@
 /* ----------
  * convert_value_to_string			Convert a non-null Datum to C string
  *
- * Note: callers generally assume that the result is a palloc'd string and
- * should be pfree'd.  This is not all that safe an assumption ...
+ * Note: the result is in the estate's eval_econtext, and will be cleared
+ * by the next exec_eval_cleanup() call.  The invoked output function might
+ * leave additional cruft there as well, so just pfree'ing the result string
+ * would not be enough to avoid memory leaks if we did not do it like this.
+ * In most usages the Datum being passed in is also in that context (if
+ * pass-by-reference) and so an exec_eval_cleanup() call is needed anyway.
  *
  * Note: not caching the conversion function lookup is bad for performance.
  * ----------
  */
 static char *
-convert_value_to_string(Datum value, Oid valtype)
+convert_value_to_string(PLpgSQL_execstate *estate, Datum value, Oid valtype)
 {
+	char	   *result;
+	MemoryContext oldcontext;
 	Oid			typoutput;
 	bool		typIsVarlena;
 
+	oldcontext = MemoryContextSwitchTo(estate->eval_econtext->ecxt_per_tuple_memory);
 	getTypeOutputInfo(valtype, &typoutput, &typIsVarlena);
-	return OidOutputFunctionCall(typoutput, value);
+	result = OidOutputFunctionCall(typoutput, value);
+	MemoryContextSwitchTo(oldcontext);
+
+	return result;
 }
 
 /* ----------
  * exec_cast_value			Cast a value if required
+ *
+ * Note: the estate's eval_econtext is used for temporary storage, and may
+ * also contain the result Datum if we have to do a conversion to a pass-
+ * by-reference data type.  Be sure to do an exec_eval_cleanup() call when
+ * done with the result.
  * ----------
  */
 static Datum
-exec_cast_value(Datum value, Oid valtype,
+exec_cast_value(PLpgSQL_execstate *estate,
+				Datum value, Oid valtype,
 				Oid reqtype,
 				FmgrInfo *reqinput,
 				Oid reqtypioparam,
@@ -4848,25 +4874,27 @@
 				bool isnull)
 {
 	/*
-	 * If the type of the queries return value isn't that of the variable,
-	 * convert it.
+	 * If the type of the given value isn't what's requested, convert it.
 	 */
 	if (valtype != reqtype || reqtypmod != -1)
 	{
+		MemoryContext oldcontext;
+
+		oldcontext = MemoryContextSwitchTo(estate->eval_econtext->ecxt_per_tuple_memory);
 		if (!isnull)
 		{
 			char	   *extval;
 
-			extval = convert_value_to_string(value, valtype);
+			extval = convert_value_to_string(estate, value, valtype);
 			value = InputFunctionCall(reqinput, extval,
 									  reqtypioparam, reqtypmod);
-			pfree(extval);
 		}
 		else
 		{
 			value = InputFunctionCall(reqinput, NULL,
 									  reqtypioparam, reqtypmod);
 		}
+		MemoryContextSwitchTo(oldcontext);
 	}
 
 	return value;
@@ -4881,7 +4909,8 @@
  * ----------
  */
 static Datum
-exec_simple_cast_value(Datum value, Oid valtype,
+exec_simple_cast_value(PLpgSQL_execstate *estate,
+					   Datum value, Oid valtype,
 					   Oid reqtype, int32 reqtypmod,
 					   bool isnull)
 {
@@ -4895,7 +4924,8 @@
 
 		fmgr_info(typinput, &finfo_input);
 
-		value = exec_cast_value(value,
+		value = exec_cast_value(estate,
+								value,
 								valtype,
 								reqtype,
 								&finfo_input,
@@ -5533,7 +5563,10 @@
 				 errmsg("query string argument of EXECUTE is null")));
 
 	/* Get the C-String representation */
-	querystr = convert_value_to_string(query, restype);
+	querystr = convert_value_to_string(estate, query, restype);
+
+	/* copy it out of the temporary context before we clean up */
+	querystr = pstrdup(querystr);
 
 	exec_eval_cleanup(estate);
 

=== modified file 'src/pl/plpgsql/src/po/es.po'
--- src/pl/plpgsql/src/po/es.po	2011-09-25 14:23:57 +0000
+++ src/pl/plpgsql/src/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: plpgsql (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:43+0000\n"
+"POT-Creation-Date: 2012-02-22 14:59+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Álvaro Herrera <alvherre@alvh.no-ip.org>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"
@@ -112,332 +112,332 @@
 "no se pudo determinar el tipo verdadero de resultado para la función "
 "polimórfica «%s»"
 
-#: pl_exec.c:234 pl_exec.c:509
+#: pl_exec.c:237 pl_exec.c:516
 msgid "during initialization of execution state"
 msgstr "durante la inicialización del estado de ejecución"
 
-#: pl_exec.c:241 pl_exec.c:636
+#: pl_exec.c:244 pl_exec.c:643
 msgid "while storing call arguments into local variables"
 msgstr ""
 "mientras se almacenaban los argumentos de invocación en variables locales"
 
-#: pl_exec.c:296 pl_exec.c:647
+#: pl_exec.c:301 pl_exec.c:654
 msgid "during function entry"
 msgstr "durante el ingreso a la función"
 
-#: pl_exec.c:327 pl_exec.c:678
+#: pl_exec.c:332 pl_exec.c:685
 msgid "CONTINUE cannot be used outside a loop"
 msgstr "CONTINUE no puede usarse fuera de un bucle"
 
-#: pl_exec.c:331 pl_exec.c:682
+#: pl_exec.c:336 pl_exec.c:689
 msgid "RAISE without parameters cannot be used outside an exception handler"
 msgstr ""
 "RAISE sin parámetros no puede ser usado fuera de un manejador de excepción"
 
-#: pl_exec.c:335
+#: pl_exec.c:340
 msgid "control reached end of function without RETURN"
 msgstr "la ejecución alcanzó el fin de la función sin encontrar RETURN"
 
-#: pl_exec.c:342
+#: pl_exec.c:347
 msgid "while casting return value to function's return type"
 msgstr ""
 "mientras se hacía conversión del valor de retorno al tipo de retorno de la "
 "función"
 
-#: pl_exec.c:355 pl_exec.c:2381
+#: pl_exec.c:360 pl_exec.c:2390
 msgid "set-valued function called in context that cannot accept a set"
 msgstr ""
 "se llamó una función que retorna un conjunto en un contexto que no puede "
 "aceptarlo"
 
-#: pl_exec.c:393
+#: pl_exec.c:398
 msgid "returned record type does not match expected record type"
 msgstr ""
 "el tipo de registro retornado no coincide con el tipo de registro esperado"
 
-#: pl_exec.c:451 pl_exec.c:690
+#: pl_exec.c:458 pl_exec.c:697
 msgid "during function exit"
 msgstr "durante la salida de la función"
 
-#: pl_exec.c:686
+#: pl_exec.c:693
 msgid "control reached end of trigger procedure without RETURN"
 msgstr ""
 "la ejecución alcanzó el fin del procedimiento disparador sin encontrar RETURN"
 
-#: pl_exec.c:695
+#: pl_exec.c:702
 msgid "trigger procedure cannot return a set"
 msgstr "los procedimientos disparadores no pueden retornar conjuntos"
 
-#: pl_exec.c:717
+#: pl_exec.c:724
 msgid ""
 "returned row structure does not match the structure of the triggering table"
 msgstr ""
 "la estructura de fila retornada no coincide con la estructura de la tabla "
 "que generó el evento de disparador"
 
-#: pl_exec.c:784
+#: pl_exec.c:791
 #, c-format
 msgid "PL/pgSQL function \"%s\" line %d %s"
 msgstr "función PL/pgSQL «%s» en la línea %d %s"
 
-#: pl_exec.c:795
+#: pl_exec.c:802
 #, c-format
 msgid "PL/pgSQL function \"%s\" %s"
 msgstr "función PL/pgSQL «%s» %s"
 
 #. translator: last %s is a plpgsql statement type name
-#: pl_exec.c:803
+#: pl_exec.c:810
 #, c-format
 msgid "PL/pgSQL function \"%s\" line %d at %s"
 msgstr "función PL/pgSQL «%s» en la línea %d en %s"
 
-#: pl_exec.c:809
+#: pl_exec.c:816
 #, c-format
 msgid "PL/pgSQL function \"%s\""
 msgstr "función PL/pgSQL «%s»"
 
-#: pl_exec.c:918
+#: pl_exec.c:925
 msgid "during statement block local variable initialization"
 msgstr "durante inicialización de variables locales en el bloque de sentencias"
 
-#: pl_exec.c:960
+#: pl_exec.c:967
 #, c-format
 msgid "variable \"%s\" declared NOT NULL cannot default to NULL"
 msgstr ""
 "la variable «%s» declarada NOT NULL no puede tener un valor por omisión NULL"
 
-#: pl_exec.c:1006
+#: pl_exec.c:1013
 msgid "during statement block entry"
 msgstr "durante la entrada al bloque de sentencias"
 
-#: pl_exec.c:1027
+#: pl_exec.c:1034
 msgid "during statement block exit"
 msgstr "durante la salida del bloque de sentencias"
 
-#: pl_exec.c:1070
+#: pl_exec.c:1077
 msgid "during exception cleanup"
 msgstr "durante la finalización por excepción"
 
-#: pl_exec.c:1539
+#: pl_exec.c:1546
 msgid "case not found"
 msgstr "caso no encontrado"
 
-#: pl_exec.c:1540
+#: pl_exec.c:1547
 msgid "CASE statement is missing ELSE part."
 msgstr "A la sentencia CASE le falta la parte ELSE."
 
-#: pl_exec.c:1696
+#: pl_exec.c:1703
 msgid "lower bound of FOR loop cannot be null"
 msgstr "el límite inferior de un ciclo FOR no puede ser null"
 
-#: pl_exec.c:1711
+#: pl_exec.c:1718
 msgid "upper bound of FOR loop cannot be null"
 msgstr "el límite superior de un ciclo FOR no puede ser null"
 
-#: pl_exec.c:1728
+#: pl_exec.c:1735
 msgid "BY value of FOR loop cannot be null"
 msgstr "el valor BY de un ciclo FOR no puede ser null"
 
-#: pl_exec.c:1734
+#: pl_exec.c:1741
 msgid "BY value of FOR loop must be greater than zero"
 msgstr "el valor BY de un ciclo FOR debe ser mayor que cero"
 
-#: pl_exec.c:1906 pl_exec.c:3175
+#: pl_exec.c:1913 pl_exec.c:3192
 #, c-format
 msgid "cursor \"%s\" already in use"
 msgstr "el cursor «%s» ya está en uso"
 
-#: pl_exec.c:1929 pl_exec.c:3269
+#: pl_exec.c:1936 pl_exec.c:3289
 msgid "arguments given for cursor without arguments"
 msgstr "se dieron argumentos a un cursor sin argumentos"
 
-#: pl_exec.c:1948 pl_exec.c:3288
+#: pl_exec.c:1955 pl_exec.c:3308
 msgid "arguments required for cursor"
 msgstr "se requieren argumentos para el cursor"
 
-#: pl_exec.c:2165 gram.y:2434
+#: pl_exec.c:2172 gram.y:2434
 msgid "cannot use RETURN NEXT in a non-SETOF function"
 msgstr "no se puede usar RETURN NEXT en una función que no es SETOF"
 
-#: pl_exec.c:2189 pl_exec.c:2255
+#: pl_exec.c:2196 pl_exec.c:2263
 msgid "wrong result type supplied in RETURN NEXT"
 msgstr "se pasó un tipo incorrecto de resultado a RETURN NEXT"
 
-#: pl_exec.c:2211 pl_exec.c:3659 pl_exec.c:3978 pl_exec.c:4017
+#: pl_exec.c:2219 pl_exec.c:3677 pl_exec.c:3981 pl_exec.c:4020
 #, c-format
 msgid "record \"%s\" is not assigned yet"
 msgstr "el registro «%s» no ha sido asignado aún"
 
-#: pl_exec.c:2213 pl_exec.c:3661 pl_exec.c:3980 pl_exec.c:4019
+#: pl_exec.c:2221 pl_exec.c:3679 pl_exec.c:3983 pl_exec.c:4022
 msgid "The tuple structure of a not-yet-assigned record is indeterminate."
 msgstr ""
 "La estructura de fila de un registro aún no asignado no está determinado."
 
-#: pl_exec.c:2217 pl_exec.c:2236
+#: pl_exec.c:2225 pl_exec.c:2244
 msgid "wrong record type supplied in RETURN NEXT"
 msgstr "tipo de registro incorrecto suplantado en RETURN NEXT"
 
-#: pl_exec.c:2278
+#: pl_exec.c:2285
 msgid "RETURN NEXT must have a parameter"
 msgstr "RETURN NEXT debe tener un parámetro"
 
-#: pl_exec.c:2309 gram.y:2481
+#: pl_exec.c:2318 gram.y:2481
 msgid "cannot use RETURN QUERY in a non-SETOF function"
 msgstr ""
 "no se puede usar RETURN QUERY en una función que no ha sido declarada SETOF"
 
-#: pl_exec.c:2329
+#: pl_exec.c:2338
 msgid "structure of query does not match function result type"
 msgstr ""
 "la estructura de la consulta no coincide con el tipo del resultado de la "
 "función"
 
-#: pl_exec.c:2461
+#: pl_exec.c:2470
 msgid "too few parameters specified for RAISE"
 msgstr "se especificaron muy pocos parámetros a RAISE"
 
-#: pl_exec.c:2487
+#: pl_exec.c:2498
 msgid "too many parameters specified for RAISE"
 msgstr "se especificaron demasiados parámetros a RAISE"
 
-#: pl_exec.c:2507
+#: pl_exec.c:2518
 msgid "RAISE statement option cannot be null"
 msgstr "la opción de sentencia en RAISE no puede ser null"
 
-#: pl_exec.c:2517 pl_exec.c:2526 pl_exec.c:2534 pl_exec.c:2542
+#: pl_exec.c:2528 pl_exec.c:2537 pl_exec.c:2545 pl_exec.c:2553
 #, c-format
 msgid "RAISE option already specified: %s"
 msgstr "la opción de RAISE ya se especificó: %s"
 
-#: pl_exec.c:2577 pl_exec.c:2578
+#: pl_exec.c:2588 pl_exec.c:2589
 #, c-format
 msgid "%s"
 msgstr "%s"
 
-#: pl_exec.c:2732 pl_exec.c:3039
+#: pl_exec.c:2743 pl_exec.c:3054
 msgid "cannot COPY to/from client in PL/pgSQL"
 msgstr "no se puede ejecutar COPY desde/a un cliente en PL/pgSQL"
 
-#: pl_exec.c:2736 pl_exec.c:3043
+#: pl_exec.c:2747 pl_exec.c:3058
 msgid "cannot begin/end transactions in PL/pgSQL"
 msgstr "no se puede terminar/iniciar transacciones en PL/pgSQL"
 
-#: pl_exec.c:2737 pl_exec.c:3044
+#: pl_exec.c:2748 pl_exec.c:3059
 msgid "Use a BEGIN block with an EXCEPTION clause instead."
 msgstr "Utilice un bloque BEGIN con una cláusula EXCEPTION."
 
-#: pl_exec.c:2889 pl_exec.c:3068
+#: pl_exec.c:2900 pl_exec.c:3083
 msgid "INTO used with a command that cannot return data"
 msgstr "INTO es utilizado con un comando uqe no puede retornar datos"
 
-#: pl_exec.c:2909 pl_exec.c:3088
+#: pl_exec.c:2920 pl_exec.c:3103
 msgid "query returned no rows"
 msgstr "la consulta no regresó renglones"
 
-#: pl_exec.c:2918 pl_exec.c:3097
+#: pl_exec.c:2929 pl_exec.c:3112
 msgid "query returned more than one row"
 msgstr "la consulta regresó más de un renglón"
 
-#: pl_exec.c:2932
+#: pl_exec.c:2944
 msgid "query has no destination for result data"
 msgstr "la consulta no tiene un destino para los datos de resultado"
 
-#: pl_exec.c:2933
+#: pl_exec.c:2945
 msgid "If you want to discard the results of a SELECT, use PERFORM instead."
 msgstr "Si quiere descartar los resultados de un SELECT, utilice PERFORM."
 
-#: pl_exec.c:2966 pl_exec.c:3216 pl_exec.c:5533
+#: pl_exec.c:2978 pl_exec.c:3233 pl_exec.c:5563
 msgid "query string argument of EXECUTE is null"
 msgstr "el argumento de consulta a ejecutar en EXECUTE es null"
 
-#: pl_exec.c:3031
+#: pl_exec.c:3046
 msgid "EXECUTE of SELECT ... INTO is not implemented"
 msgstr "no está implementado EXECUTE de un SELECT ... INTO"
 
-#: pl_exec.c:3350 pl_exec.c:3441
+#: pl_exec.c:3370 pl_exec.c:3462
 #, c-format
 msgid "cursor variable \"%s\" is null"
 msgstr "variable cursor «%s» es null"
 
-#: pl_exec.c:3357 pl_exec.c:3448
+#: pl_exec.c:3377 pl_exec.c:3469
 #, c-format
 msgid "cursor \"%s\" does not exist"
 msgstr "no existe el cursor «%s»"
 
-#: pl_exec.c:3371
+#: pl_exec.c:3391
 msgid "relative or absolute cursor position is null"
 msgstr "la posición relativa o absoluta del cursor es null"
 
-#: pl_exec.c:3512
+#: pl_exec.c:3536
 #, c-format
 msgid "null value cannot be assigned to variable \"%s\" declared NOT NULL"
 msgstr ""
 "no puede asignarse un valor null a la variable «%s» que fue declarada NOT "
 "NULLNULL"
 
-#: pl_exec.c:3570
+#: pl_exec.c:3589
 msgid "cannot assign non-composite value to a row variable"
 msgstr "no se puede asignar un valor no compuesto a una variable de tipo fila"
 
-#: pl_exec.c:3612
+#: pl_exec.c:3631
 msgid "cannot assign non-composite value to a record variable"
 msgstr "no se puede asignar un valor no compuesto a un registro variable"
 
-#: pl_exec.c:3672 pl_exec.c:4024
+#: pl_exec.c:3690 pl_exec.c:4027
 #, c-format
 msgid "record \"%s\" has no field \"%s\""
 msgstr "el registro «%s» no tiene un campo «%s»"
 
-#: pl_exec.c:3782
+#: pl_exec.c:3791
 #, c-format
 msgid "number of array dimensions (%d) exceeds the maximum allowed (%d)"
 msgstr ""
 "el número de dimensiones del array (%d) excede el máximo permitido (%d)"
 
-#: pl_exec.c:3796
+#: pl_exec.c:3805
 msgid "subscripted object is not an array"
 msgstr "el objeto al que se le puso un subíndice no es un array"
 
-#: pl_exec.c:3819
+#: pl_exec.c:3828
 msgid "array subscript in assignment must not be null"
 msgstr "subíndice de array en asignación no puede ser nulo"
 
-#: pl_exec.c:3940 pl_exec.c:3965 pl_exec.c:4002
+#: pl_exec.c:3943 pl_exec.c:3968 pl_exec.c:4005
 #, c-format
 msgid "type of \"%s\" does not match that when preparing the plan"
 msgstr "tipo de «%s» no coincide con aquel con el cual fue preparado el plan"
 
-#: pl_exec.c:4031
+#: pl_exec.c:4034
 #, c-format
 msgid "type of \"%s.%s\" does not match that when preparing the plan"
 msgstr ""
 "tipo de «%s.%s» no coincide con aquel con el cual fue preparado el plan"
 
-#: pl_exec.c:4056
+#: pl_exec.c:4059
 #, c-format
 msgid "type of tg_argv[%d] does not match that when preparing the plan"
 msgstr ""
 "tipo de tg_argv[%d] no coincide con aquel con el cual cuando fue preparado "
 "el plan"
 
-#: pl_exec.c:4149
+#: pl_exec.c:4152
 #, c-format
 msgid "query \"%s\" did not return data"
 msgstr "la consulta «%s» no retornó datos"
 
-#: pl_exec.c:4157
+#: pl_exec.c:4160
 #, c-format
 msgid "query \"%s\" returned %d column"
 msgid_plural "query \"%s\" returned %d columns"
 msgstr[0] "la consulta «%s» retornó una columna"
 msgstr[1] "la consulta «%s» retornó %d columnas"
 
-#: pl_exec.c:4183
+#: pl_exec.c:4186
 #, c-format
 msgid "query \"%s\" returned more than one row"
 msgstr "la consulta «%s» retornó más de un registro"
 
-#: pl_exec.c:4240
+#: pl_exec.c:4243
 #, c-format
 msgid "query \"%s\" is not a SELECT"
 msgstr "la consulta «%s» no es una orden SELECT"

=== modified file 'src/pl/plpython/po/es.po'
--- src/pl/plpython/po/es.po	2011-09-25 14:23:57 +0000
+++ src/pl/plpython/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: plpython (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:43+0000\n"
+"POT-Creation-Date: 2012-02-22 14:59+0000\n"
 "PO-Revision-Date: 2010-09-24 18:07-0400\n"
 "Last-Translator: Emanuel Calvo Franco <postgres.arg@gmail.com>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/pl/tcl/po/es.po'
--- src/pl/tcl/po/es.po	2011-09-25 14:23:57 +0000
+++ src/pl/tcl/po/es.po	2012-02-25 11:17:15 +0000
@@ -12,7 +12,7 @@
 msgstr ""
 "Project-Id-Version: pltcl (PostgreSQL 8.4)\n"
 "Report-Msgid-Bugs-To: pgsql-bugs@postgresql.org\n"
-"POT-Creation-Date: 2011-09-22 08:44+0000\n"
+"POT-Creation-Date: 2012-02-22 14:58+0000\n"
 "PO-Revision-Date: 2010-09-24 18:08-0400\n"
 "Last-Translator: Emanuel Calvo Franco <postgres.arg@gmail.com>\n"
 "Language-Team: PgSQL-es-Ayuda <pgsql-es-ayuda@postgresql.org>\n"

=== modified file 'src/port/win32ver.rc'
--- src/port/win32ver.rc	2011-12-02 14:46:33 +0000
+++ src/port/win32ver.rc	2012-02-25 11:17:15 +0000
@@ -2,8 +2,8 @@
 #include "pg_config.h"
 
 VS_VERSION_INFO VERSIONINFO
- FILEVERSION    8,4,10,0
- PRODUCTVERSION 8,4,10,0
+ FILEVERSION    8,4,11,0
+ PRODUCTVERSION 8,4,11,0
  FILEFLAGSMASK  0x17L
  FILEFLAGS      0x0L
  FILEOS         VOS_NT_WINDOWS32

=== modified file 'src/test/regress/expected/select_into.out'
--- src/test/regress/expected/select_into.out	2009-03-20 12:00:13 +0000
+++ src/test/regress/expected/select_into.out	2012-02-25 11:17:15 +0000
@@ -11,3 +11,28 @@
    FROM onek2
    WHERE onek2.unique1 < 2;
 DROP TABLE tmp1;
+--
+-- CREATE TABLE AS/SELECT INTO as last command in a SQL function
+-- have been known to cause problems
+--
+CREATE FUNCTION make_table() RETURNS VOID
+AS $$
+  CREATE TABLE created_table AS SELECT * FROM int8_tbl;
+$$ LANGUAGE SQL;
+SELECT make_table();
+ make_table 
+------------
+ 
+(1 row)
+
+SELECT * FROM created_table;
+        q1        |        q2         
+------------------+-------------------
+              123 |               456
+              123 |  4567890123456789
+ 4567890123456789 |               123
+ 4567890123456789 |  4567890123456789
+ 4567890123456789 | -4567890123456789
+(5 rows)
+
+DROP TABLE created_table;

=== modified file 'src/test/regress/sql/select_into.sql'
--- src/test/regress/sql/select_into.sql	2009-03-20 12:00:13 +0000
+++ src/test/regress/sql/select_into.sql	2012-02-25 11:17:15 +0000
@@ -16,3 +16,17 @@
 
 DROP TABLE tmp1;
 
+--
+-- CREATE TABLE AS/SELECT INTO as last command in a SQL function
+-- have been known to cause problems
+--
+CREATE FUNCTION make_table() RETURNS VOID
+AS $$
+  CREATE TABLE created_table AS SELECT * FROM int8_tbl;
+$$ LANGUAGE SQL;
+
+SELECT make_table();
+
+SELECT * FROM created_table;
+
+DROP TABLE created_table;

